/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2014, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);



/* Line 268 of yacc.c  */
#line 249 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EVENT = 384,
     EXCEPT = 385,
     EXCLUDE = 386,
     EXCLUDING = 387,
     EXCLUSIVE = 388,
     EXECUTE = 389,
     EXISTS = 390,
     EXPLAIN = 391,
     EXTENSION = 392,
     EXTERNAL = 393,
     EXTRACT = 394,
     FALSE_P = 395,
     FAMILY = 396,
     FETCH = 397,
     FILTER = 398,
     FIRST_P = 399,
     FLOAT_P = 400,
     FOLLOWING = 401,
     FOR = 402,
     FORCE = 403,
     FOREIGN = 404,
     FORWARD = 405,
     FREEZE = 406,
     FROM = 407,
     FULL = 408,
     FUNCTION = 409,
     FUNCTIONS = 410,
     GLOBAL = 411,
     GRANT = 412,
     GRANTED = 413,
     GREATEST = 414,
     GROUP_P = 415,
     HANDLER = 416,
     HAVING = 417,
     HEADER_P = 418,
     HOLD = 419,
     HOUR_P = 420,
     IDENTITY_P = 421,
     IF_P = 422,
     ILIKE = 423,
     IMMEDIATE = 424,
     IMMUTABLE = 425,
     IMPLICIT_P = 426,
     IN_P = 427,
     INCLUDING = 428,
     INCREMENT = 429,
     INDEX = 430,
     INDEXES = 431,
     INHERIT = 432,
     INHERITS = 433,
     INITIALLY = 434,
     INLINE_P = 435,
     INNER_P = 436,
     INOUT = 437,
     INPUT_P = 438,
     INSENSITIVE = 439,
     INSERT = 440,
     INSTEAD = 441,
     INT_P = 442,
     INTEGER = 443,
     INTERSECT = 444,
     INTERVAL = 445,
     INTO = 446,
     INVOKER = 447,
     IS = 448,
     ISNULL = 449,
     ISOLATION = 450,
     JOIN = 451,
     KEY = 452,
     LABEL = 453,
     LANGUAGE = 454,
     LARGE_P = 455,
     LAST_P = 456,
     LATERAL_P = 457,
     LC_COLLATE_P = 458,
     LC_CTYPE_P = 459,
     LEADING = 460,
     LEAKPROOF = 461,
     LEAST = 462,
     LEFT = 463,
     LEVEL = 464,
     LIKE = 465,
     LIMIT = 466,
     LISTEN = 467,
     LOAD = 468,
     LOCAL = 469,
     LOCALTIME = 470,
     LOCALTIMESTAMP = 471,
     LOCATION = 472,
     LOCK_P = 473,
     MAPPING = 474,
     MATCH = 475,
     MATERIALIZED = 476,
     MAXVALUE = 477,
     MINUTE_P = 478,
     MINVALUE = 479,
     MODE = 480,
     MONTH_P = 481,
     MOVE = 482,
     NAME_P = 483,
     NAMES = 484,
     NATIONAL = 485,
     NATURAL = 486,
     NCHAR = 487,
     NEXT = 488,
     NO = 489,
     NONE = 490,
     NOT = 491,
     NOTHING = 492,
     NOTIFY = 493,
     NOTNULL = 494,
     NOWAIT = 495,
     NULL_P = 496,
     NULLIF = 497,
     NULLS_P = 498,
     NUMERIC = 499,
     OBJECT_P = 500,
     OF = 501,
     OFF = 502,
     OFFSET = 503,
     OIDS = 504,
     ON = 505,
     ONLY = 506,
     OPERATOR = 507,
     OPTION = 508,
     OPTIONS = 509,
     OR = 510,
     ORDER = 511,
     ORDINALITY = 512,
     OUT_P = 513,
     OUTER_P = 514,
     OVER = 515,
     OVERLAPS = 516,
     OVERLAY = 517,
     OWNED = 518,
     OWNER = 519,
     PARSER = 520,
     PARTIAL = 521,
     PARTITION = 522,
     PASSING = 523,
     PASSWORD = 524,
     PLACING = 525,
     PLANS = 526,
     POSITION = 527,
     PRECEDING = 528,
     PRECISION = 529,
     PRESERVE = 530,
     PREPARE = 531,
     PREPARED = 532,
     PRIMARY = 533,
     PRIOR = 534,
     PRIVILEGES = 535,
     PROCEDURAL = 536,
     PROCEDURE = 537,
     PROGRAM = 538,
     QUOTE = 539,
     RANGE = 540,
     READ = 541,
     REAL = 542,
     REASSIGN = 543,
     RECHECK = 544,
     RECURSIVE = 545,
     REF = 546,
     REFERENCES = 547,
     REFRESH = 548,
     REINDEX = 549,
     RELATIVE_P = 550,
     RELEASE = 551,
     RENAME = 552,
     REPEATABLE = 553,
     REPLACE = 554,
     REPLICA = 555,
     RESET = 556,
     RESTART = 557,
     RESTRICT = 558,
     RETURNING = 559,
     RETURNS = 560,
     REVOKE = 561,
     RIGHT = 562,
     ROLE = 563,
     ROLLBACK = 564,
     ROW = 565,
     ROWS = 566,
     RULE = 567,
     SAVEPOINT = 568,
     SCHEMA = 569,
     SCROLL = 570,
     SEARCH = 571,
     SECOND_P = 572,
     SECURITY = 573,
     SELECT = 574,
     SEQUENCE = 575,
     SEQUENCES = 576,
     SERIALIZABLE = 577,
     SERVER = 578,
     SESSION = 579,
     SESSION_USER = 580,
     SET = 581,
     SETOF = 582,
     SHARE = 583,
     SHOW = 584,
     SIMILAR = 585,
     SIMPLE = 586,
     SMALLINT = 587,
     SNAPSHOT = 588,
     SOME = 589,
     STABLE = 590,
     STANDALONE_P = 591,
     START = 592,
     STATEMENT = 593,
     STATISTICS = 594,
     STDIN = 595,
     STDOUT = 596,
     STORAGE = 597,
     STRICT_P = 598,
     STRIP_P = 599,
     SUBSTRING = 600,
     SYMMETRIC = 601,
     SYSID = 602,
     SYSTEM_P = 603,
     TABLE = 604,
     TABLES = 605,
     TABLESPACE = 606,
     TEMP = 607,
     TEMPLATE = 608,
     TEMPORARY = 609,
     TEXT_P = 610,
     THEN = 611,
     TIME = 612,
     TIMESTAMP = 613,
     TO = 614,
     TRAILING = 615,
     TRANSACTION = 616,
     TREAT = 617,
     TRIGGER = 618,
     TRIM = 619,
     TRUE_P = 620,
     TRUNCATE = 621,
     TRUSTED = 622,
     TYPE_P = 623,
     TYPES_P = 624,
     UNBOUNDED = 625,
     UNCOMMITTED = 626,
     UNENCRYPTED = 627,
     UNION = 628,
     UNIQUE = 629,
     UNKNOWN = 630,
     UNLISTEN = 631,
     UNLOGGED = 632,
     UNTIL = 633,
     UPDATE = 634,
     USER = 635,
     USING = 636,
     VACUUM = 637,
     VALID = 638,
     VALIDATE = 639,
     VALIDATOR = 640,
     VALUE_P = 641,
     VALUES = 642,
     VARCHAR = 643,
     VARIADIC = 644,
     VARYING = 645,
     VERBOSE = 646,
     VERSION_P = 647,
     VIEW = 648,
     VIEWS = 649,
     VOLATILE = 650,
     WHEN = 651,
     WHERE = 652,
     WHITESPACE_P = 653,
     WINDOW = 654,
     WITH = 655,
     WITHIN = 656,
     WITHOUT = 657,
     WORK = 658,
     WRAPPER = 659,
     WRITE = 660,
     XML_P = 661,
     XMLATTRIBUTES = 662,
     XMLCONCAT = 663,
     XMLELEMENT = 664,
     XMLEXISTS = 665,
     XMLFOREST = 666,
     XMLPARSE = 667,
     XMLPI = 668,
     XMLROOT = 669,
     XMLSERIALIZE = 670,
     YEAR_P = 671,
     YES_P = 672,
     ZONE = 673,
     NULLS_FIRST = 674,
     NULLS_LAST = 675,
     WITH_ORDINALITY = 676,
     WITH_TIME = 677,
     POSTFIXOP = 678,
     UMINUS = 679
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 179 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 293 of yacc.c  */
#line 748 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 773 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  727
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   79565

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  442
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  576
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2365
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4574

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   679

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   431,     2,     2,
     436,   437,   429,   427,   440,   428,   438,   430,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   441,   439,
     424,   423,   425,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   434,     2,   435,   432,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   426,   433
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   233,   235,   237,   239,
     241,   243,   244,   250,   252,   253,   256,   257,   260,   261,
     264,   267,   271,   275,   277,   281,   285,   288,   290,   292,
     295,   298,   301,   305,   309,   315,   321,   322,   326,   332,
     338,   344,   349,   353,   359,   363,   369,   375,   382,   384,
     386,   390,   396,   403,   408,   418,   426,   428,   429,   432,
     433,   435,   437,   439,   441,   443,   445,   448,   452,   456,
     459,   465,   467,   471,   475,   479,   483,   485,   489,   493,
     496,   499,   502,   505,   509,   513,   517,   521,   523,   527,
     529,   533,   535,   537,   540,   543,   546,   548,   550,   552,
     554,   556,   558,   560,   564,   571,   573,   575,   577,   579,
     581,   582,   584,   586,   589,   591,   594,   598,   601,   603,
     605,   608,   610,   613,   615,   618,   622,   627,   631,   634,
     639,   641,   643,   645,   647,   649,   652,   655,   658,   661,
     664,   669,   676,   687,   701,   706,   713,   724,   738,   743,
     750,   755,   762,   768,   776,   788,   803,   805,   809,   812,
     816,   821,   828,   835,   842,   848,   854,   861,   868,   873,
     882,   887,   890,   895,   899,   906,   911,   915,   919,   923,
     927,   931,   936,   941,   945,   949,   953,   957,   961,   965,
     970,   975,   979,   982,   986,   989,   992,   996,  1000,  1003,
    1006,  1010,  1012,  1016,  1019,  1021,  1023,  1024,  1027,  1028,
    1031,  1032,  1034,  1036,  1038,  1042,  1046,  1049,  1050,  1052,
    1056,  1060,  1062,  1068,  1072,  1077,  1079,  1083,  1088,  1095,
    1100,  1109,  1112,  1115,  1127,  1135,  1137,  1139,  1141,  1142,
    1144,  1146,  1148,  1150,  1154,  1157,  1158,  1160,  1162,  1164,
    1168,  1172,  1174,  1176,  1180,  1184,  1188,  1192,  1197,  1201,
    1204,  1206,  1207,  1210,  1211,  1215,  1216,  1218,  1219,  1221,
    1225,  1228,  1230,  1232,  1234,  1238,  1239,  1241,  1245,  1247,
    1259,  1274,  1285,  1299,  1301,  1303,  1306,  1309,  1312,  1315,
    1317,  1318,  1320,  1321,  1325,  1326,  1328,  1332,  1334,  1338,
    1340,  1342,  1344,  1346,  1348,  1353,  1358,  1361,  1362,  1366,
    1368,  1370,  1373,  1376,  1378,  1382,  1387,  1393,  1396,  1402,
    1404,  1407,  1410,  1413,  1417,  1421,  1425,  1426,  1428,  1430,
    1432,  1434,  1436,  1438,  1442,  1444,  1450,  1458,  1462,  1471,
    1476,  1486,  1498,  1501,  1502,  1506,  1507,  1509,  1513,  1515,
    1518,  1521,  1524,  1525,  1527,  1531,  1535,  1542,  1547,  1548,
    1550,  1552,  1555,  1558,  1559,  1563,  1567,  1570,  1572,  1574,
    1577,  1580,  1585,  1586,  1589,  1592,  1595,  1596,  1600,  1605,
    1610,  1611,  1614,  1615,  1620,  1621,  1625,  1633,  1639,  1642,
    1646,  1647,  1656,  1661,  1663,  1664,  1671,  1677,  1682,  1689,
    1691,  1692,  1694,  1697,  1700,  1702,  1705,  1709,  1712,  1715,
    1718,  1721,  1725,  1729,  1731,  1735,  1737,  1738,  1740,  1743,
    1745,  1747,  1751,  1758,  1769,  1771,  1772,  1774,  1777,  1780,
    1781,  1784,  1787,  1789,  1790,  1796,  1804,  1806,  1807,  1815,
    1818,  1819,  1823,  1829,  1835,  1844,  1847,  1848,  1851,  1854,
    1857,  1863,  1866,  1867,  1870,  1878,  1889,  1896,  1903,  1910,
    1917,  1925,  1933,  1943,  1953,  1960,  1968,  1975,  1984,  1993,
    2002,  2011,  2018,  2025,  2033,  2041,  2050,  2057,  2064,  2072,
    2075,  2078,  2081,  2084,  2086,  2089,  2091,  2092,  2099,  2108,
    2116,  2123,  2128,  2129,  2131,  2135,  2140,  2142,  2146,  2148,
    2151,  2154,  2157,  2160,  2162,  2164,  2175,  2178,  2179,  2182,
    2185,  2187,  2188,  2193,  2200,  2206,  2211,  2216,  2227,  2241,
    2247,  2255,  2264,  2266,  2268,  2270,  2278,  2288,  2297,  2313,
    2334,  2336,  2338,  2341,  2343,  2347,  2349,  2351,  2353,  2357,
    2359,  2363,  2364,  2366,  2367,  2369,  2371,  2376,  2377,  2379,
    2383,  2384,  2386,  2388,  2390,  2392,  2395,  2396,  2397,  2400,
    2403,  2405,  2408,  2411,  2414,  2417,  2424,  2433,  2445,  2459,
    2461,  2465,  2471,  2473,  2477,  2483,  2485,  2488,  2491,  2493,
    2502,  2507,  2513,  2518,  2523,  2528,  2532,  2540,  2549,  2556,
    2563,  2570,  2577,  2584,  2589,  2595,  2599,  2601,  2605,  2609,
    2611,  2613,  2615,  2617,  2619,  2621,  2625,  2627,  2631,  2635,
    2637,  2638,  2640,  2644,  2652,  2662,  2672,  2676,  2677,  2691,
    2693,  2697,  2703,  2710,  2715,  2723,  2726,  2728,  2729,  2732,
    2733,  2736,  2741,  2742,  2744,  2745,  2752,  2761,  2770,  2772,
    2776,  2782,  2788,  2796,  2806,  2814,  2824,  2830,  2837,  2844,
    2849,  2855,  2863,  2865,  2867,  2869,  2872,  2874,  2877,  2880,
    2882,  2884,  2886,  2888,  2890,  2892,  2896,  2900,  2904,  2908,
    2910,  2914,  2916,  2919,  2922,  2926,  2932,  2935,  2938,  2939,
    2946,  2954,  2962,  2970,  2979,  2988,  2995,  3004,  3014,  3024,
    3032,  3043,  3051,  3053,  3055,  3057,  3059,  3061,  3063,  3065,
    3067,  3069,  3072,  3074,  3076,  3078,  3080,  3082,  3085,  3087,
    3091,  3094,  3098,  3102,  3106,  3110,  3112,  3114,  3123,  3133,
    3143,  3153,  3163,  3166,  3167,  3169,  3171,  3174,  3177,  3179,
    3181,  3183,  3185,  3187,  3189,  3191,  3193,  3196,  3198,  3200,
    3203,  3206,  3208,  3211,  3215,  3219,  3223,  3227,  3232,  3237,
    3241,  3245,  3249,  3254,  3259,  3263,  3268,  3273,  3275,  3277,
    3279,  3280,  3288,  3296,  3307,  3309,  3311,  3314,  3319,  3325,
    3327,  3331,  3334,  3337,  3340,  3343,  3345,  3348,  3351,  3356,
    3360,  3363,  3366,  3369,  3372,  3376,  3379,  3382,  3385,  3391,
    3397,  3403,  3405,  3409,  3411,  3414,  3418,  3419,  3421,  3425,
    3428,  3435,  3442,  3452,  3456,  3457,  3461,  3462,  3468,  3471,
    3472,  3476,  3480,  3484,  3492,  3500,  3511,  3513,  3515,  3517,
    3519,  3534,  3536,  3537,  3539,  3540,  3542,  3543,  3546,  3547,
    3549,  3553,  3559,  3565,  3573,  3576,  3577,  3579,  3582,  3583,
    3585,  3587,  3588,  3590,  3592,  3593,  3603,  3616,  3624,  3627,
    3628,  3632,  3635,  3637,  3641,  3645,  3648,  3650,  3654,  3658,
    3662,  3665,  3668,  3670,  3672,  3674,  3676,  3679,  3681,  3683,
    3685,  3687,  3692,  3698,  3700,  3704,  3708,  3710,  3714,  3718,
    3724,  3731,  3733,  3737,  3739,  3742,  3747,  3753,  3755,  3757,
    3759,  3761,  3765,  3769,  3772,  3775,  3777,  3780,  3783,  3786,
    3788,  3791,  3794,  3796,  3798,  3800,  3804,  3807,  3808,  3811,
    3813,  3817,  3823,  3825,  3828,  3830,  3831,  3837,  3845,  3851,
    3859,  3865,  3873,  3877,  3883,  3889,  3895,  3897,  3901,  3904,
    3906,  3909,  3911,  3914,  3926,  3937,  3948,  3951,  3954,  3955,
    3965,  3968,  3969,  3974,  3979,  3984,  3986,  3988,  3990,  3991,
    3997,  4003,  4011,  4018,  4025,  4032,  4039,  4048,  4057,  4064,
    4071,  4079,  4089,  4099,  4106,  4113,  4120,  4129,  4136,  4145,
    4152,  4161,  4169,  4179,  4186,  4195,  4203,  4213,  4222,  4233,
    4243,  4255,  4264,  4274,  4286,  4295,  4304,  4312,  4319,  4326,
    4333,  4342,  4351,  4360,  4369,  4376,  4386,  4388,  4389,  4392,
    4393,  4401,  4408,  4415,  4422,  4429,  4436,  4444,  4454,  4464,
    4471,  4480,  4489,  4498,  4507,  4516,  4523,  4532,  4539,  4548,
    4556,  4566,  4574,  4584,  4591,  4599,  4606,  4613,  4620,  4627,
    4634,  4642,  4650,  4658,  4668,  4678,  4685,  4692,  4699,  4708,
    4717,  4726,  4733,  4741,  4755,  4757,  4759,  4763,  4767,  4769,
    4771,  4773,  4775,  4777,  4779,  4781,  4782,  4784,  4786,  4788,
    4790,  4792,  4794,  4795,  4802,  4811,  4815,  4818,  4819,  4822,
    4825,  4828,  4831,  4835,  4839,  4842,  4845,  4848,  4851,  4855,
    4858,  4864,  4869,  4873,  4877,  4881,  4883,  4885,  4886,  4890,
    4893,  4896,  4898,  4901,  4903,  4907,  4910,  4912,  4913,  4923,
    4935,  4948,  4963,  4967,  4972,  4977,  4978,  4981,  4987,  4990,
    4991,  4995,  4999,  5003,  5007,  5011,  5015,  5019,  5023,  5027,
    5031,  5035,  5039,  5043,  5048,  5052,  5056,  5058,  5059,  5065,
    5072,  5077,  5080,  5081,  5086,  5090,  5096,  5101,  5106,  5113,
    5118,  5125,  5132,  5138,  5146,  5156,  5163,  5165,  5166,  5173,
    5185,  5197,  5209,  5223,  5233,  5245,  5256,  5261,  5264,  5270,
    5273,  5274,  5279,  5285,  5291,  5296,  5303,  5305,  5309,  5311,
    5313,  5315,  5317,  5320,  5325,  5327,  5329,  5331,  5332,  5334,
    5335,  5337,  5338,  5342,  5343,  5346,  5351,  5355,  5361,  5363,
    5365,  5367,  5369,  5371,  5373,  5375,  5377,  5379,  5381,  5385,
    5388,  5390,  5392,  5394,  5396,  5397,  5403,  5407,  5408,  5410,
    5412,  5414,  5416,  5420,  5430,  5434,  5435,  5438,  5442,  5445,
    5449,  5456,  5458,  5463,  5466,  5468,  5472,  5475,  5478,  5479,
    5487,  5490,  5491,  5497,  5501,  5502,  5505,  5508,  5511,  5515,
    5517,  5521,  5523,  5526,  5528,  5529,  5538,  5540,  5544,  5546,
    5548,  5552,  5558,  5561,  5563,  5567,  5575,  5577,  5578,  5582,
    5585,  5588,  5591,  5592,  5595,  5598,  5600,  5602,  5606,  5610,
    5612,  5615,  5620,  5625,  5628,  5632,  5638,  5644,  5646,  5648,
    5658,  5660,  5663,  5668,  5673,  5678,  5681,  5685,  5687,  5691,
    5698,  5700,  5701,  5704,  5705,  5709,  5713,  5718,  5723,  5728,
    5733,  5737,  5740,  5742,  5744,  5745,  5747,  5749,  5750,  5752,
    5758,  5760,  5761,  5763,  5764,  5768,  5770,  5774,  5779,  5783,
    5786,  5789,  5791,  5793,  5795,  5796,  5799,  5804,  5810,  5813,
    5817,  5819,  5821,  5823,  5825,  5829,  5830,  5832,  5834,  5836,
    5838,  5840,  5844,  5845,  5848,  5849,  5851,  5855,  5857,  5858,
    5860,  5863,  5867,  5870,  5875,  5878,  5882,  5885,  5886,  5889,
    5893,  5896,  5897,  5899,  5903,  5906,  5909,  5913,  5916,  5920,
    5922,  5927,  5931,  5936,  5942,  5947,  5953,  5958,  5964,  5967,
    5972,  5974,  5976,  5977,  5979,  5984,  5990,  5995,  5996,  5999,
    6002,  6005,  6007,  6009,  6010,  6015,  6018,  6020,  6023,  6026,
    6031,  6033,  6037,  6039,  6042,  6046,  6049,  6056,  6059,  6061,
    6065,  6070,  6071,  6073,  6074,  6077,  6078,  6081,  6086,  6087,
    6089,  6090,  6092,  6096,  6100,  6103,  6107,  6113,  6120,  6123,
    6127,  6131,  6136,  6137,  6139,  6141,  6143,  6145,  6147,  6150,
    6156,  6158,  6160,  6162,  6164,  6167,  6171,  6175,  6176,  6178,
    6180,  6182,  6184,  6186,  6189,  6192,  6195,  6198,  6201,  6203,
    6207,  6208,  6210,  6212,  6214,  6216,  6222,  6225,  6227,  6229,
    6231,  6233,  6239,  6242,  6245,  6248,  6250,  6254,  6258,  6261,
    6263,  6264,  6268,  6269,  6275,  6278,  6284,  6287,  6289,  6292,
    6296,  6297,  6299,  6301,  6303,  6305,  6307,  6309,  6313,  6317,
    6321,  6325,  6329,  6333,  6337,  6338,  6340,  6345,  6347,  6351,
    6355,  6361,  6364,  6367,  6371,  6375,  6379,  6383,  6387,  6391,
    6395,  6399,  6403,  6407,  6410,  6413,  6417,  6421,  6424,  6428,
    6434,  6439,  6446,  6450,  6456,  6461,  6468,  6473,  6480,  6486,
    6494,  6498,  6501,  6506,  6509,  6513,  6517,  6522,  6526,  6531,
    6535,  6540,  6546,  6553,  6560,  6568,  6575,  6583,  6590,  6598,
    6602,  6607,  6612,  6619,  6622,  6626,  6631,  6633,  6637,  6640,
    6643,  6647,  6651,  6655,  6659,  6663,  6667,  6671,  6675,  6679,
    6683,  6686,  6689,  6695,  6702,  6709,  6717,  6721,  6726,  6728,
    6730,  6733,  6738,  6740,  6742,  6744,  6747,  6750,  6753,  6756,
    6758,  6762,  6768,  6775,  6784,  6791,  6798,  6803,  6808,  6810,
    6812,  6814,  6820,  6822,  6824,  6829,  6831,  6836,  6838,  6843,
    6845,  6850,  6852,  6854,  6856,  6858,  6860,  6862,  6869,  6874,
    6879,  6884,  6889,  6896,  6902,  6908,  6914,  6919,  6926,  6931,
    6936,  6941,  6946,  6952,  6960,  6968,  6978,  6984,  6989,  6996,
    7002,  7010,  7018,  7026,  7029,  7033,  7037,  7041,  7046,  7047,
    7052,  7054,  7058,  7062,  7064,  7066,  7068,  7071,  7074,  7075,
    7078,  7083,  7088,  7095,  7101,  7102,  7108,  7109,  7112,  7113,
    7115,  7119,  7123,  7126,  7129,  7130,  7137,  7139,  7140,  7144,
    7145,  7148,  7151,  7152,  7154,  7159,  7162,  7165,  7168,  7171,
    7174,  7179,  7183,  7189,  7191,  7193,  7195,  7197,  7199,  7201,
    7203,  7205,  7207,  7209,  7211,  7213,  7215,  7217,  7219,  7224,
    7226,  7231,  7233,  7238,  7240,  7243,  7245,  7248,  7250,  7254,
    7256,  7260,  7262,  7266,  7268,  7272,  7276,  7280,  7283,  7285,
    7289,  7293,  7294,  7296,  7298,  7300,  7302,  7304,  7306,  7308,
    7310,  7315,  7319,  7322,  7326,  7327,  7331,  7335,  7338,  7341,
    7343,  7344,  7347,  7350,  7354,  7357,  7359,  7361,  7365,  7371,
    7373,  7376,  7381,  7384,  7385,  7387,  7388,  7390,  7393,  7396,
    7399,  7403,  7409,  7411,  7414,  7415,  7418,  7420,  7421,  7423,
    7425,  7427,  7431,  7435,  7437,  7438,  7440,  7444,  7448,  7451,
    7453,  7455,  7457,  7461,  7463,  7466,  7468,  7472,  7474,  7476,
    7478,  7480,  7482,  7484,  7486,  7489,  7491,  7493,  7495,  7497,
    7499,  7502,  7509,  7512,  7516,  7523,  7525,  7527,  7529,  7531,
    7533,  7535,  7537,  7541,  7543,  7546,  7549,  7551,  7553,  7555,
    7557,  7559,  7561,  7563,  7565,  7567,  7569,  7571,  7573,  7575,
    7577,  7579,  7581,  7583,  7585,  7587,  7589,  7591,  7593,  7595,
    7597,  7599,  7601,  7603,  7605,  7607,  7609,  7611,  7613,  7615,
    7617,  7619,  7621,  7623,  7625,  7627,  7629,  7631,  7633,  7635,
    7637,  7639,  7641,  7643,  7645,  7647,  7649,  7651,  7653,  7655,
    7657,  7659,  7661,  7663,  7665,  7667,  7669,  7671,  7673,  7675,
    7677,  7679,  7681,  7683,  7685,  7687,  7689,  7691,  7693,  7695,
    7697,  7699,  7701,  7703,  7705,  7707,  7709,  7711,  7713,  7715,
    7717,  7719,  7721,  7723,  7725,  7727,  7729,  7731,  7733,  7735,
    7737,  7739,  7741,  7743,  7745,  7747,  7749,  7751,  7753,  7755,
    7757,  7759,  7761,  7763,  7765,  7767,  7769,  7771,  7773,  7775,
    7777,  7779,  7781,  7783,  7785,  7787,  7789,  7791,  7793,  7795,
    7797,  7799,  7801,  7803,  7805,  7807,  7809,  7811,  7813,  7815,
    7817,  7819,  7821,  7823,  7825,  7827,  7829,  7831,  7833,  7835,
    7837,  7839,  7841,  7843,  7845,  7847,  7849,  7851,  7853,  7855,
    7857,  7859,  7861,  7863,  7865,  7867,  7869,  7871,  7873,  7875,
    7877,  7879,  7881,  7883,  7885,  7887,  7889,  7891,  7893,  7895,
    7897,  7899,  7901,  7903,  7905,  7907,  7909,  7911,  7913,  7915,
    7917,  7919,  7921,  7923,  7925,  7927,  7929,  7931,  7933,  7935,
    7937,  7939,  7941,  7943,  7945,  7947,  7949,  7951,  7953,  7955,
    7957,  7959,  7961,  7963,  7965,  7967,  7969,  7971,  7973,  7975,
    7977,  7979,  7981,  7983,  7985,  7987,  7989,  7991,  7993,  7995,
    7997,  7999,  8001,  8003,  8005,  8007,  8009,  8011,  8013,  8015,
    8017,  8019,  8021,  8023,  8025,  8027,  8029,  8031,  8033,  8035,
    8037,  8039,  8041,  8043,  8045,  8047,  8049,  8051,  8053,  8055,
    8057,  8059,  8061,  8063,  8065,  8067,  8069,  8071,  8073,  8075,
    8077,  8079,  8081,  8083,  8085,  8087,  8089,  8091,  8093,  8095,
    8097,  8099,  8101,  8103,  8105,  8107,  8109,  8111,  8113,  8115,
    8117,  8119,  8121,  8123,  8125,  8127,  8129,  8131,  8133,  8135,
    8137,  8139,  8141,  8143,  8145,  8147,  8149,  8151,  8153,  8155,
    8157,  8159,  8161,  8163,  8165,  8167,  8169,  8171,  8173,  8175,
    8177,  8179,  8181,  8183,  8185,  8187,  8189,  8191,  8193,  8195,
    8197,  8199,  8201,  8203,  8205,  8207,  8209,  8211,  8213,  8215,
    8217,  8219,  8221,  8223,  8225,  8227,  8229,  8231,  8233,  8235,
    8237,  8239,  8241,  8243,  8245,  8247,  8249,  8251,  8253,  8255,
    8257,  8259,  8261,  8263,  8265,  8267,  8269,  8271,  8273,  8275,
    8277,  8279,  8281,  8283,  8285,  8287,  8289,  8291,  8293,  8295,
    8297,  8299,  8301,  8303,  8305,  8307,  8309,  8311,  8313,  8315,
    8317,  8319,  8321,  8323,  8325,  8327,  8329,  8331,  8333,  8335,
    8337,  8339,  8341,  8343,  8345,  8347,  8349,  8351,  8353,  8355,
    8357,  8359,  8361,  8363,  8365,  8367,  8369,  8371,  8373,  8375,
    8377,  8379,  8381,  8383,  8385,  8387
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     443,     0,    -1,   444,    -1,   444,   439,   445,    -1,   445,
      -1,   637,    -1,   787,    -1,   788,    -1,   701,    -1,   794,
      -1,   651,    -1,   589,    -1,   592,    -1,   598,    -1,   612,
      -1,   614,    -1,   739,    -1,   461,    -1,   761,    -1,   762,
      -1,   568,    -1,   792,    -1,   491,    -1,   757,    -1,   503,
      -1,   455,    -1,   453,    -1,   797,    -1,   796,    -1,   618,
      -1,   457,    -1,   456,    -1,   804,    -1,   489,    -1,   506,
      -1,   799,    -1,   675,    -1,   486,    -1,   507,    -1,   560,
      -1,   639,    -1,   750,    -1,   798,    -1,   793,    -1,   586,
      -1,   593,    -1,   607,    -1,   613,    -1,   717,    -1,   460,
      -1,   563,    -1,   653,    -1,   660,    -1,   661,    -1,   575,
      -1,   464,    -1,   567,    -1,   523,    -1,   583,    -1,   619,
      -1,   633,    -1,   446,    -1,   452,    -1,   615,    -1,   783,
      -1,   821,    -1,   840,    -1,   641,    -1,   827,    -1,   490,
      -1,   747,    -1,   640,    -1,   752,    -1,   597,    -1,   611,
      -1,   463,    -1,   664,    -1,   665,    -1,   666,    -1,   581,
      -1,   770,    -1,   668,    -1,   585,    -1,   632,    -1,   458,
      -1,   459,    -1,   617,    -1,   791,    -1,   819,    -1,   810,
      -1,   682,    -1,   686,    -1,   697,    -1,   706,    -1,   822,
      -1,   773,    -1,   566,    -1,   782,    -1,   829,    -1,   771,
      -1,   816,    -1,   667,    -1,   754,    -1,   743,    -1,   742,
      -1,   744,    -1,   758,    -1,   687,    -1,   698,    -1,   763,
      -1,   678,    -1,   844,    -1,   775,    -1,   673,    -1,   774,
      -1,   833,    -1,   801,    -1,   480,    -1,   468,    -1,   485,
      -1,   780,    -1,    -1,    83,   308,  1007,   447,   448,    -1,
     400,    -1,    -1,   448,   451,    -1,    -1,   449,   450,    -1,
      -1,   269,  1006,    -1,   269,   241,    -1,   125,   269,  1006,
      -1,   372,   269,  1006,    -1,   177,    -1,    75,   211,  1009,
      -1,   383,   378,  1006,    -1,   380,  1008,    -1,     3,    -1,
     450,    -1,   347,  1005,    -1,    19,  1008,    -1,   308,  1008,
      -1,   172,   308,  1008,    -1,   172,   160,  1008,    -1,    83,
     380,  1007,   447,   448,    -1,    24,   308,  1007,   447,   449,
      -1,    -1,   172,    97,   998,    -1,    24,   308,  1007,   454,
     483,    -1,    24,   308,    22,   454,   483,    -1,    24,   380,
    1007,   447,   449,    -1,    24,   380,  1007,   483,    -1,   120,
     308,  1008,    -1,   120,   308,   167,   135,  1008,    -1,   120,
     380,  1008,    -1,   120,   380,   167,   135,  1008,    -1,    83,
     160,  1007,   447,   448,    -1,    24,   160,  1007,   462,   380,
    1008,    -1,    18,    -1,   120,    -1,   120,   160,  1008,    -1,
     120,   160,   167,   135,  1008,    -1,    83,   314,   465,    38,
    1007,   466,    -1,    83,   314,  1010,   466,    -1,    83,   314,
     167,   236,   135,   465,    38,  1007,   466,    -1,    83,   314,
     167,   236,   135,  1010,   466,    -1,  1010,    -1,    -1,   466,
     467,    -1,    -1,   523,    -1,   706,    -1,   567,    -1,   619,
      -1,   686,    -1,   780,    -1,   326,   469,    -1,   326,   214,
     469,    -1,   326,   324,   469,    -1,   361,   778,    -1,   324,
      59,    31,   361,   778,    -1,   471,    -1,   472,   359,   473,
      -1,   472,   423,   473,    -1,   472,   359,   103,    -1,   472,
     423,   103,    -1,   470,    -1,   472,   152,    86,    -1,   357,
     418,   477,    -1,    55,  1006,    -1,   314,  1006,    -1,   229,
     478,    -1,   308,   479,    -1,   324,    38,   479,    -1,   324,
      38,   103,    -1,   406,   253,   940,    -1,   361,   333,  1006,
      -1,  1010,    -1,   472,   438,  1010,    -1,   474,    -1,   473,
     440,   474,    -1,   476,    -1,   573,    -1,   286,   371,    -1,
     286,    72,    -1,   298,   286,    -1,   322,    -1,   365,    -1,
     140,    -1,   250,    -1,   479,    -1,  1006,    -1,     3,    -1,
     924,  1006,   926,    -1,   924,   436,  1005,   437,  1006,   926,
      -1,   573,    -1,   103,    -1,   214,    -1,  1006,    -1,   103,
      -1,    -1,  1012,    -1,  1006,    -1,   301,   481,    -1,   482,
      -1,   357,   418,    -1,   361,   195,   209,    -1,   324,    38,
      -1,   472,    -1,    22,    -1,   326,   469,    -1,   480,    -1,
     326,   471,    -1,   480,    -1,   329,   472,    -1,   329,   357,
     418,    -1,   329,   361,   195,   209,    -1,   329,   324,    38,
      -1,   329,    22,    -1,   326,    77,   487,   488,    -1,    22,
      -1,   994,    -1,   106,    -1,   169,    -1,    61,    -1,   114,
      22,    -1,   114,   352,    -1,   114,   354,    -1,   114,   271,
      -1,   114,   321,    -1,    24,   349,   891,   492,    -1,    24,
     349,   167,   135,   891,   492,    -1,    24,   349,    22,   172,
     351,   997,   326,   351,   997,   832,    -1,    24,   349,    22,
     172,   351,   997,   263,    48,  1008,   326,   351,   997,   832,
      -1,    24,   175,   995,   492,    -1,    24,   175,   167,   135,
     995,   492,    -1,    24,   175,    22,   172,   351,   997,   326,
     351,   997,   832,    -1,    24,   175,    22,   172,   351,   997,
     263,    48,  1008,   326,   351,   997,   832,    -1,    24,   320,
     995,   492,    -1,    24,   320,   167,   135,   995,   492,    -1,
      24,   393,   995,   492,    -1,    24,   393,   167,   135,   995,
     492,    -1,    24,   221,   393,   995,   492,    -1,    24,   221,
     393,   167,   135,   995,   492,    -1,    24,   221,   393,    22,
     172,   351,   997,   326,   351,   997,   832,    -1,    24,   221,
     393,    22,   172,   351,   997,   263,    48,  1008,   326,   351,
     997,   832,    -1,   493,    -1,   492,   440,   493,    -1,    18,
     531,    -1,    18,    68,   531,    -1,    24,   759,  1010,   494,
      -1,    24,   759,  1010,   120,   236,   241,    -1,    24,   759,
    1010,   326,   236,   241,    -1,    24,   759,  1010,   326,   339,
    1009,    -1,    24,   759,  1010,   326,   499,    -1,    24,   759,
    1010,   301,   499,    -1,    24,   759,  1010,   326,   342,  1010,
      -1,   120,   759,   167,   135,  1010,   495,    -1,   120,   759,
    1010,   495,    -1,    24,   759,  1010,   760,   368,   904,   496,
     497,    -1,    24,   759,  1010,   601,    -1,    18,   540,    -1,
      24,    76,   997,   630,    -1,   384,    76,   997,    -1,   120,
      76,   167,   135,   997,   495,    -1,   120,    76,   997,   495,
      -1,   326,   400,   249,    -1,   326,   402,   249,    -1,    64,
     250,   997,    -1,   326,   402,    64,    -1,   123,   363,   997,
      -1,   123,    25,   363,   997,    -1,   123,   300,   363,   997,
      -1,   123,   363,    22,    -1,   123,   363,   380,    -1,   113,
     363,   997,    -1,   113,   363,    22,    -1,   113,   363,   380,
      -1,   123,   312,   997,    -1,   123,    25,   312,   997,    -1,
     123,   300,   312,   997,    -1,   113,   312,   997,    -1,   177,
     995,    -1,   234,   177,   995,    -1,   246,   671,    -1,   236,
     246,    -1,   264,   359,  1007,    -1,   326,   351,   997,    -1,
     326,   499,    -1,   301,   499,    -1,   300,   166,   498,    -1,
     601,    -1,   326,   103,   928,    -1,   120,   103,    -1,    51,
      -1,   303,    -1,    -1,    66,   671,    -1,    -1,   381,   928,
      -1,    -1,   237,    -1,   153,    -1,   103,    -1,   381,   175,
     997,    -1,   436,   501,   437,    -1,   400,   499,    -1,    -1,
     502,    -1,   501,   440,   502,    -1,  1013,   423,   645,    -1,
    1013,    -1,  1013,   438,  1013,   423,   645,    -1,  1013,   438,
    1013,    -1,    24,   368,   671,   504,    -1,   505,    -1,   504,
     440,   505,    -1,    18,    37,   903,   495,    -1,   120,    37,
     167,   135,  1010,   495,    -1,   120,    37,  1010,   495,    -1,
      24,    37,  1010,   760,   368,   904,   496,   495,    -1,    63,
     841,    -1,    63,    22,    -1,    81,   514,   995,   543,   515,
     508,   509,   510,   516,   447,   511,    -1,    81,   845,   359,
     509,   510,   447,   511,    -1,   152,    -1,   359,    -1,   283,
      -1,    -1,  1006,    -1,   340,    -1,   341,    -1,   512,    -1,
     436,   518,   437,    -1,   512,   513,    -1,    -1,    44,    -1,
     249,    -1,   151,    -1,   109,   795,  1006,    -1,   241,   795,
    1006,    -1,    85,    -1,   163,    -1,   284,   795,  1006,    -1,
     128,   795,  1006,    -1,   148,   284,   544,    -1,   148,   284,
     429,    -1,   148,   236,   241,   544,    -1,   148,   241,   544,
      -1,   124,  1006,    -1,    44,    -1,    -1,   400,   249,    -1,
      -1,   517,   110,  1006,    -1,    -1,   381,    -1,    -1,   519,
      -1,   518,   440,   519,    -1,  1013,   520,    -1,   476,    -1,
     573,    -1,   429,    -1,   436,   521,   437,    -1,    -1,   522,
      -1,   521,   440,   522,    -1,   476,    -1,    83,   524,   349,
     995,   436,   525,   437,   554,   555,   556,   557,    -1,    83,
     524,   349,   167,   236,   135,   995,   436,   525,   437,   554,
     555,   556,   557,    -1,    83,   524,   349,   995,   246,   671,
     526,   555,   556,   557,    -1,    83,   524,   349,   167,   236,
     135,   995,   246,   671,   526,   555,   556,   557,    -1,   354,
      -1,   352,    -1,   214,   354,    -1,   214,   352,    -1,   156,
     354,    -1,   156,   352,    -1,   377,    -1,    -1,   527,    -1,
      -1,   436,   528,   437,    -1,    -1,   529,    -1,   527,   440,
     529,    -1,   530,    -1,   528,   440,   530,    -1,   531,    -1,
     537,    -1,   540,    -1,   532,    -1,   540,    -1,  1010,   904,
     599,   533,    -1,  1010,   400,   254,   533,    -1,   533,   534,
      -1,    -1,    76,   997,   535,    -1,   535,    -1,   536,    -1,
      66,   671,    -1,   236,   241,    -1,   241,    -1,   374,   736,
     558,    -1,   278,   197,   736,   558,    -1,    60,   436,   928,
     437,   542,    -1,   103,   929,    -1,   292,   995,   543,   546,
     550,    -1,   105,    -1,   236,   105,    -1,   179,   106,    -1,
     179,   169,    -1,   210,   995,   538,    -1,   538,   173,   539,
      -1,   538,   132,   539,    -1,    -1,   104,    -1,    77,    -1,
     176,    -1,   342,    -1,    70,    -1,    22,    -1,    76,   997,
     541,    -1,   541,    -1,    60,   436,   928,   437,   630,    -1,
     374,   436,   544,   437,   736,   558,   630,    -1,   374,   559,
     630,    -1,   278,   197,   436,   544,   437,   736,   558,   630,
      -1,   278,   197,   559,   630,    -1,   131,   710,   436,   547,
     437,   736,   558,   549,   630,    -1,   149,   197,   436,   544,
     437,   292,   995,   543,   546,   550,   630,    -1,   234,   177,
      -1,    -1,   436,   544,   437,    -1,    -1,   545,    -1,   544,
     440,   545,    -1,  1010,    -1,   220,   153,    -1,   220,   266,
      -1,   220,   331,    -1,    -1,   548,    -1,   547,   440,   548,
      -1,   712,   400,   746,    -1,   712,   400,   252,   436,   746,
     437,    -1,   397,   436,   928,   437,    -1,    -1,   551,    -1,
     552,    -1,   551,   552,    -1,   552,   551,    -1,    -1,   250,
     379,   553,    -1,   250,   108,   553,    -1,   234,    17,    -1,
     303,    -1,    51,    -1,   326,   241,    -1,   326,   103,    -1,
     178,   436,   994,   437,    -1,    -1,   400,   499,    -1,   400,
     249,    -1,   402,   249,    -1,    -1,   250,    71,   120,    -1,
     250,    71,   108,   311,    -1,   250,    71,   275,   311,    -1,
      -1,   351,   997,    -1,    -1,   381,   175,   351,   997,    -1,
      -1,   381,   175,  1001,    -1,    83,   524,   349,   561,    31,
     844,   562,    -1,   995,   543,   555,   556,   557,    -1,   400,
      96,    -1,   400,   234,    96,    -1,    -1,    83,   565,   221,
     393,   564,    31,   844,   562,    -1,   995,   543,   500,   557,
      -1,   377,    -1,    -1,   293,   221,   393,   708,   995,   562,
      -1,    83,   524,   320,   995,   569,    -1,    24,   320,   995,
     570,    -1,    24,   320,   167,   135,   995,   570,    -1,   570,
      -1,    -1,   571,    -1,   570,   571,    -1,    49,   573,    -1,
      95,    -1,   234,    95,    -1,   174,   572,   573,    -1,   222,
     573,    -1,   224,   573,    -1,   234,   222,    -1,   234,   224,
      -1,   263,    48,   671,    -1,   337,   447,   573,    -1,   302,
      -1,   302,   447,   573,    -1,    48,    -1,    -1,     4,    -1,
     428,     4,    -1,  1009,    -1,   573,    -1,   574,   440,   573,
      -1,    83,   718,   576,   582,   199,   479,    -1,    83,   718,
     576,   582,   199,   479,   161,   577,   578,   580,    -1,   367,
      -1,    -1,   997,    -1,   997,   672,    -1,   180,   577,    -1,
      -1,   385,   577,    -1,   234,   385,    -1,   579,    -1,    -1,
     120,   582,   199,   479,   495,    -1,   120,   582,   199,   167,
     135,   479,   495,    -1,   281,    -1,    -1,    83,   351,   997,
     584,   217,  1006,   500,    -1,   264,   997,    -1,    -1,   120,
     351,   997,    -1,   120,   351,   167,   135,   997,    -1,    83,
     137,   997,   447,   587,    -1,    83,   137,   167,   236,   135,
     997,   447,   587,    -1,   587,   588,    -1,    -1,   314,   997,
      -1,   392,   479,    -1,   152,   479,    -1,    24,   137,   997,
     379,   590,    -1,   590,   591,    -1,    -1,   359,   479,    -1,
      24,   137,   997,   462,    21,  1003,   730,    -1,    24,   137,
     997,   462,    54,   436,   904,    31,   904,   437,    -1,    24,
     137,   997,   462,    67,   671,    -1,    24,   137,   997,   462,
      80,   671,    -1,    24,   137,   997,   462,   118,   671,    -1,
      24,   137,   997,   462,   154,   696,    -1,    24,   137,   997,
     462,   582,   199,   997,    -1,    24,   137,   997,   462,   252,
     746,   745,    -1,    24,   137,   997,   462,   252,    62,   671,
     381,   999,    -1,    24,   137,   997,   462,   252,   141,   671,
     381,   999,    -1,    24,   137,   997,   462,   314,   997,    -1,
      24,   137,   997,   462,   129,   363,   997,    -1,    24,   137,
     997,   462,   349,   671,    -1,    24,   137,   997,   462,   355,
     316,   265,   671,    -1,    24,   137,   997,   462,   355,   316,
     112,   671,    -1,    24,   137,   997,   462,   355,   316,   353,
     671,    -1,    24,   137,   997,   462,   355,   316,    74,   671,
      -1,    24,   137,   997,   462,   320,   671,    -1,    24,   137,
     997,   462,   393,   671,    -1,    24,   137,   997,   462,   221,
     393,   671,    -1,    24,   137,   997,   462,   149,   349,   671,
      -1,    24,   137,   997,   462,   149,    96,   404,   997,    -1,
      24,   137,   997,   462,   323,   997,    -1,    24,   137,   997,
     462,   368,   671,    -1,    83,   149,    96,   404,   997,   596,
     599,    -1,   161,   577,    -1,   234,   161,    -1,   385,   577,
      -1,   234,   385,    -1,   594,    -1,   595,   594,    -1,   595,
      -1,    -1,   120,   149,    96,   404,   997,   495,    -1,   120,
     149,    96,   404,   167,   135,   997,   495,    -1,    24,   149,
      96,   404,   997,   596,   601,    -1,    24,   149,    96,   404,
     997,   595,    -1,   254,   436,   600,   437,    -1,    -1,   604,
      -1,   600,   440,   604,    -1,   254,   436,   602,   437,    -1,
     603,    -1,   602,   440,   603,    -1,   604,    -1,   326,   604,
      -1,    18,   604,    -1,   120,   605,    -1,   605,   606,    -1,
    1013,    -1,  1006,    -1,    83,   323,   997,   608,   610,   149,
      96,   404,   997,   599,    -1,   368,  1006,    -1,    -1,   392,
    1006,    -1,   392,   241,    -1,   609,    -1,    -1,   120,   323,
     997,   495,    -1,   120,   323,   167,   135,   997,   495,    -1,
      24,   323,   997,   609,   601,    -1,    24,   323,   997,   609,
      -1,    24,   323,   997,   601,    -1,    83,   149,   349,   995,
     436,   525,   437,   323,   997,   599,    -1,    83,   149,   349,
     167,   236,   135,   995,   436,   525,   437,   323,   997,   599,
      -1,    24,   149,   349,   891,   492,    -1,    24,   149,   349,
     167,   135,   891,   492,    -1,    83,   380,   219,   147,   616,
     323,   997,   599,    -1,    93,    -1,   380,    -1,  1007,    -1,
     120,   380,   219,   147,   616,   323,   997,    -1,   120,   380,
     219,   167,   135,   147,   616,   323,   997,    -1,    24,   380,
     219,   147,   616,   323,   997,   601,    -1,    83,   363,   997,
     620,   621,   250,   995,   623,   626,   134,   282,  1003,   436,
     627,   437,    -1,    83,    76,   363,   997,    20,   621,   250,
     995,   629,   630,   147,   121,   310,   626,   134,   282,  1003,
     436,   627,   437,    -1,    40,    -1,    20,    -1,   186,   246,
      -1,   622,    -1,   621,   255,   622,    -1,   185,    -1,   108,
      -1,   379,    -1,   379,   246,   544,    -1,   366,    -1,   147,
     624,   625,    -1,    -1,   121,    -1,    -1,   310,    -1,   338,
      -1,   396,   436,   928,   437,    -1,    -1,   628,    -1,   627,
     440,   628,    -1,    -1,  1005,    -1,     4,    -1,  1006,    -1,
    1013,    -1,   152,   995,    -1,    -1,    -1,   630,   631,    -1,
     236,   105,    -1,   105,    -1,   179,   169,    -1,   179,   106,
      -1,   236,   383,    -1,   234,   177,    -1,   120,   363,   997,
     250,   671,   495,    -1,   120,   363,   167,   135,   997,   250,
     671,   495,    -1,    83,   129,   363,   997,   250,  1013,   134,
     282,  1003,   436,   437,    -1,    83,   129,   363,   997,   250,
    1013,   396,   634,   134,   282,  1003,   436,   437,    -1,   635,
      -1,   634,    28,   635,    -1,  1010,   172,   436,   636,   437,
      -1,     5,    -1,   636,   440,     5,    -1,    24,   129,   363,
     997,   638,    -1,   123,    -1,   123,   300,    -1,   123,    25,
      -1,   113,    -1,    83,    33,   997,    60,   436,   928,   437,
     630,    -1,   120,    33,   997,   495,    -1,    83,    21,  1003,
     730,   642,    -1,    83,    21,  1003,   646,    -1,    83,   252,
     746,   642,    -1,    83,   368,   671,   642,    -1,    83,   368,
     671,    -1,    83,   368,   671,    31,   436,   901,   437,    -1,
      83,   368,   671,    31,   127,   436,   649,   437,    -1,    83,
     368,   671,    31,   285,   642,    -1,    83,   355,   316,   265,
     671,   642,    -1,    83,   355,   316,   112,   671,   642,    -1,
      83,   355,   316,   353,   671,   642,    -1,    83,   355,   316,
      74,   671,   642,    -1,    83,    67,   671,   642,    -1,    83,
      67,   671,   152,   671,    -1,   436,   643,   437,    -1,   644,
      -1,   643,   440,   644,    -1,  1013,   423,   645,    -1,  1013,
      -1,   727,    -1,  1017,    -1,   960,    -1,   573,    -1,  1006,
      -1,   436,   647,   437,    -1,   648,    -1,   647,   440,   648,
      -1,     3,   423,   645,    -1,   650,    -1,    -1,  1006,    -1,
     650,   440,  1006,    -1,    24,   368,   671,    18,   386,   652,
    1006,    -1,    24,   368,   671,    18,   386,   652,  1006,    40,
    1006,    -1,    24,   368,   671,    18,   386,   652,  1006,    20,
    1006,    -1,   167,   236,   135,    -1,    -1,    83,   252,    62,
     671,   656,   147,   368,   904,   381,   999,   657,    31,   654,
      -1,   655,    -1,   654,   440,   655,    -1,   252,  1005,   746,
     658,   659,    -1,   252,  1005,   746,   745,   658,   659,    -1,
     154,  1005,  1003,   719,    -1,   154,  1005,   436,   965,   437,
    1003,   719,    -1,   342,   904,    -1,   103,    -1,    -1,   141,
     671,    -1,    -1,   147,   316,    -1,   147,   256,    48,   671,
      -1,    -1,   289,    -1,    -1,    83,   252,   141,   671,   381,
     999,    -1,    24,   252,   141,   671,   381,   999,    18,   654,
      -1,    24,   252,   141,   671,   381,   999,   120,   662,    -1,
     663,    -1,   662,   440,   663,    -1,   252,  1005,   436,   965,
     437,    -1,   154,  1005,   436,   965,   437,    -1,   120,   252,
      62,   671,   381,   999,   495,    -1,   120,   252,    62,   167,
     135,   671,   381,   999,   495,    -1,   120,   252,   141,   671,
     381,   999,   495,    -1,   120,   252,   141,   167,   135,   671,
     381,   999,   495,    -1,   120,   263,    48,  1008,   495,    -1,
     288,   263,    48,  1008,   359,   997,    -1,   120,   669,   167,
     135,   670,   495,    -1,   120,   669,   670,   495,    -1,   120,
     175,    73,   670,   495,    -1,   120,   175,    73,   167,   135,
     670,   495,    -1,   349,    -1,   320,    -1,   393,    -1,   221,
     393,    -1,   175,    -1,   149,   349,    -1,   129,   363,    -1,
     368,    -1,   118,    -1,    67,    -1,    80,    -1,   314,    -1,
     137,    -1,   355,   316,   265,    -1,   355,   316,   112,    -1,
     355,   316,   353,    -1,   355,   316,    74,    -1,   671,    -1,
     670,   440,   671,    -1,  1010,    -1,  1010,   672,    -1,   438,
    1000,    -1,   672,   438,  1000,    -1,   366,   855,   892,   674,
     495,    -1,    79,   166,    -1,   302,   166,    -1,    -1,    69,
     250,   676,   671,   193,   677,    -1,    69,   250,    21,  1003,
     730,   193,   677,    -1,    69,   250,   154,  1003,   719,   193,
     677,    -1,    69,   250,   252,   746,   745,   193,   677,    -1,
      69,   250,    76,   997,   250,   671,   193,   677,    -1,    69,
     250,   312,   997,   250,   671,   193,   677,    -1,    69,   250,
     312,   997,   193,   677,    -1,    69,   250,   363,   997,   250,
     671,   193,   677,    -1,    69,   250,   252,    62,   671,   381,
     999,   193,   677,    -1,    69,   250,   252,   141,   671,   381,
     999,   193,   677,    -1,    69,   250,   200,   245,   573,   193,
     677,    -1,    69,   250,    54,   436,   904,    31,   904,   437,
     193,   677,    -1,    69,   250,   582,   199,   671,   193,   677,
      -1,    68,    -1,    97,    -1,   314,    -1,   175,    -1,   320,
      -1,   349,    -1,   118,    -1,   368,    -1,   393,    -1,   221,
     393,    -1,    67,    -1,    80,    -1,   351,    -1,   137,    -1,
     308,    -1,   149,   349,    -1,   323,    -1,   149,    96,   404,
      -1,   129,   363,    -1,   355,   316,    74,    -1,   355,   316,
     112,    -1,   355,   316,   265,    -1,   355,   316,   353,    -1,
    1006,    -1,   241,    -1,   318,   198,   679,   250,   680,   671,
     193,   681,    -1,   318,   198,   679,   250,    21,  1003,   730,
     193,   681,    -1,   318,   198,   679,   250,   154,  1003,   719,
     193,   681,    -1,   318,   198,   679,   250,   200,   245,   573,
     193,   681,    -1,   318,   198,   679,   250,   582,   199,   671,
     193,   681,    -1,   147,   479,    -1,    -1,    68,    -1,    97,
      -1,   129,   363,    -1,   149,   349,    -1,   314,    -1,   320,
      -1,   349,    -1,   118,    -1,   308,    -1,   351,    -1,   368,
      -1,   393,    -1,   221,   393,    -1,  1006,    -1,   241,    -1,
     142,   683,    -1,   227,   683,    -1,   841,    -1,   684,   841,
      -1,   233,   685,   841,    -1,   279,   685,   841,    -1,   144,
     685,   841,    -1,   201,   685,   841,    -1,    15,  1009,   685,
     841,    -1,   295,  1009,   685,   841,    -1,  1009,   685,   841,
      -1,    22,   685,   841,    -1,   150,   685,   841,    -1,   150,
    1009,   685,   841,    -1,   150,    22,   685,   841,    -1,    39,
     685,   841,    -1,    39,  1009,   685,   841,    -1,    39,    22,
     685,   841,    -1,   152,    -1,   172,    -1,   684,    -1,    -1,
     157,   688,   250,   691,   359,   692,   694,    -1,   306,   688,
     250,   691,   152,   692,   495,    -1,   306,   157,   253,   147,
     688,   250,   691,   152,   692,   495,    -1,   689,    -1,    22,
      -1,    22,   280,    -1,    22,   436,   544,   437,    -1,    22,
     280,   436,   544,   437,    -1,   690,    -1,   689,   440,   690,
      -1,   319,   543,    -1,   292,   543,    -1,    83,   543,    -1,
    1010,   543,    -1,   994,    -1,   349,   994,    -1,   320,   994,
      -1,   149,    96,   404,   996,    -1,   149,   323,   996,    -1,
     154,   695,    -1,    97,   996,    -1,   118,   670,    -1,   199,
     996,    -1,   200,   245,   574,    -1,   314,   996,    -1,   351,
     996,    -1,   368,   670,    -1,    22,   350,   172,   314,   996,
      -1,    22,   321,   172,   314,   996,    -1,    22,   155,   172,
     314,   996,    -1,   693,    -1,   692,   440,   693,    -1,  1007,
      -1,   160,  1007,    -1,   400,   157,   253,    -1,    -1,   696,
      -1,   695,   440,   696,    -1,  1003,   719,    -1,   157,   689,
     359,  1008,   699,   700,    -1,   306,   689,   152,  1008,   700,
     495,    -1,   306,    19,   253,   147,   689,   152,  1008,   700,
     495,    -1,   400,    19,   253,    -1,    -1,   158,    48,  1007,
      -1,    -1,    24,   103,   280,   702,   704,    -1,   702,   703,
      -1,    -1,   172,   314,   996,    -1,   147,   308,  1008,    -1,
     147,   380,  1008,    -1,   157,   688,   250,   705,   359,   692,
     694,    -1,   306,   688,   250,   705,   152,   692,   495,    -1,
     306,   157,   253,   147,   688,   250,   705,   152,   692,   495,
      -1,   350,    -1,   155,    -1,   321,    -1,   369,    -1,    83,
     707,   175,   708,   709,   250,   995,   710,   436,   711,   437,
     500,   557,   899,    -1,   374,    -1,    -1,    73,    -1,    -1,
    1001,    -1,    -1,   381,   999,    -1,    -1,   712,    -1,   711,
     440,   712,    -1,  1010,   713,   714,   715,   716,    -1,   933,
     713,   714,   715,   716,    -1,   436,   928,   437,   713,   714,
     715,   716,    -1,    66,   671,    -1,    -1,   671,    -1,   381,
     671,    -1,    -1,    32,    -1,   111,    -1,    -1,   419,    -1,
     420,    -1,    -1,    83,   718,   154,  1003,   721,   305,   726,
     732,   736,    -1,    83,   718,   154,  1003,   721,   305,   349,
     436,   738,   437,   732,   736,    -1,    83,   718,   154,  1003,
     721,   732,   736,    -1,   255,   299,    -1,    -1,   436,   720,
     437,    -1,   436,   437,    -1,   723,    -1,   720,   440,   723,
      -1,   436,   722,   437,    -1,   436,   437,    -1,   728,    -1,
     722,   440,   728,    -1,   724,   725,   727,    -1,   725,   724,
     727,    -1,   725,   727,    -1,   724,   727,    -1,   727,    -1,
     172,    -1,   258,    -1,   182,    -1,   172,   258,    -1,   389,
      -1,  1011,    -1,   727,    -1,   904,    -1,  1011,   672,   431,
     368,    -1,   327,  1011,   672,   431,   368,    -1,   723,    -1,
     723,   103,   928,    -1,   723,   423,   928,    -1,   723,    -1,
     436,   429,   437,    -1,   436,   731,   437,    -1,   436,   256,
      48,   731,   437,    -1,   436,   731,   256,    48,   731,   437,
      -1,   729,    -1,   731,   440,   729,    -1,   734,    -1,   732,
     734,    -1,    50,   250,   241,   183,    -1,   305,   241,   250,
     241,   183,    -1,   343,    -1,   170,    -1,   335,    -1,   395,
      -1,   138,   318,   107,    -1,   138,   318,   192,    -1,   318,
     107,    -1,   318,   192,    -1,   206,    -1,   236,   206,    -1,
      82,   573,    -1,   311,   573,    -1,   484,    -1,    31,   735,
      -1,   199,   479,    -1,   399,    -1,   733,    -1,  1006,    -1,
    1006,   440,  1006,    -1,   400,   642,    -1,    -1,   725,   727,
      -1,   737,    -1,   738,   440,   737,    -1,    24,   154,   696,
     740,   741,    -1,   733,    -1,   740,   733,    -1,   303,    -1,
      -1,   120,   154,  1003,   719,   495,    -1,   120,   154,   167,
     135,  1003,   719,   495,    -1,   120,    21,  1003,   730,   495,
      -1,   120,    21,   167,   135,  1003,   730,   495,    -1,   120,
     252,   746,   745,   495,    -1,   120,   252,   167,   135,   746,
     745,   495,    -1,   436,   904,   437,    -1,   436,   904,   440,
     904,   437,    -1,   436,   235,   440,   904,   437,    -1,   436,
     904,   440,   235,   437,    -1,   957,    -1,  1010,   438,   746,
      -1,   116,   748,    -1,   749,    -1,   748,   749,    -1,  1006,
      -1,   199,   479,    -1,    83,    54,   436,   904,    31,   904,
     437,   400,   154,   696,   751,    -1,    83,    54,   436,   904,
      31,   904,   437,   402,   154,   751,    -1,    83,    54,   436,
     904,    31,   904,   437,   400,   182,   751,    -1,    31,   171,
      -1,    31,    34,    -1,    -1,   120,    54,   753,   436,   904,
      31,   904,   437,   495,    -1,   167,   135,    -1,    -1,   294,
     755,   995,   756,    -1,   294,   348,   997,   756,    -1,   294,
      97,   997,   756,    -1,   175,    -1,   349,    -1,   148,    -1,
      -1,    24,   351,   997,   326,   499,    -1,    24,   351,   997,
     301,   499,    -1,    24,    21,  1003,   730,   297,   359,   997,
      -1,    24,    67,   671,   297,   359,   997,    -1,    24,    80,
     671,   297,   359,   997,    -1,    24,    97,   998,   297,   359,
     998,    -1,    24,   118,   671,   297,   359,   997,    -1,    24,
     118,   671,   297,    76,   997,   359,   997,    -1,    24,   149,
      96,   404,   997,   297,   359,   997,    -1,    24,   154,   696,
     297,   359,   997,    -1,    24,   160,  1007,   297,   359,  1007,
      -1,    24,   582,   199,   997,   297,   359,   997,    -1,    24,
     252,    62,   671,   381,   999,   297,   359,   997,    -1,    24,
     252,   141,   671,   381,   999,   297,   359,   997,    -1,    24,
     314,   997,   297,   359,   997,    -1,    24,   323,   997,   297,
     359,   997,    -1,    24,   349,   891,   297,   359,   997,    -1,
      24,   349,   167,   135,   891,   297,   359,   997,    -1,    24,
     320,   995,   297,   359,   997,    -1,    24,   320,   167,   135,
     995,   297,   359,   997,    -1,    24,   393,   995,   297,   359,
     997,    -1,    24,   393,   167,   135,   995,   297,   359,   997,
      -1,    24,   221,   393,   995,   297,   359,   997,    -1,    24,
     221,   393,   167,   135,   995,   297,   359,   997,    -1,    24,
     175,   995,   297,   359,   997,    -1,    24,   175,   167,   135,
     995,   297,   359,   997,    -1,    24,   149,   349,   891,   297,
     359,   997,    -1,    24,   149,   349,   167,   135,   891,   297,
     359,   997,    -1,    24,   349,   891,   297,   759,   997,   359,
     997,    -1,    24,   349,   167,   135,   891,   297,   759,   997,
     359,   997,    -1,    24,   221,   393,   995,   297,   759,   997,
     359,   997,    -1,    24,   221,   393,   167,   135,   995,   297,
     759,   997,   359,   997,    -1,    24,   349,   891,   297,    76,
     997,   359,   997,    -1,    24,   149,   349,   891,   297,   759,
     997,   359,   997,    -1,    24,   149,   349,   167,   135,   891,
     297,   759,   997,   359,   997,    -1,    24,   312,   997,   250,
     995,   297,   359,   997,    -1,    24,   363,   997,   250,   995,
     297,   359,   997,    -1,    24,   129,   363,   997,   297,   359,
     997,    -1,    24,   308,  1007,   297,   359,  1007,    -1,    24,
     380,  1007,   297,   359,  1007,    -1,    24,   351,   997,   297,
     359,   997,    -1,    24,   355,   316,   265,   671,   297,   359,
     997,    -1,    24,   355,   316,   112,   671,   297,   359,   997,
      -1,    24,   355,   316,   353,   671,   297,   359,   997,    -1,
      24,   355,   316,    74,   671,   297,   359,   997,    -1,    24,
     368,   671,   297,   359,   997,    -1,    24,   368,   671,   297,
      37,   997,   359,   997,   495,    -1,    68,    -1,    -1,   326,
      96,    -1,    -1,    24,    21,  1003,   730,   326,   314,   997,
      -1,    24,    67,   671,   326,   314,   997,    -1,    24,    80,
     671,   326,   314,   997,    -1,    24,   118,   671,   326,   314,
     997,    -1,    24,   137,   671,   326,   314,   997,    -1,    24,
     154,   696,   326,   314,   997,    -1,    24,   252,   746,   745,
     326,   314,   997,    -1,    24,   252,    62,   671,   381,   999,
     326,   314,   997,    -1,    24,   252,   141,   671,   381,   999,
     326,   314,   997,    -1,    24,   349,   891,   326,   314,   997,
      -1,    24,   349,   167,   135,   891,   326,   314,   997,    -1,
      24,   355,   316,   265,   671,   326,   314,   997,    -1,    24,
     355,   316,   112,   671,   326,   314,   997,    -1,    24,   355,
     316,   353,   671,   326,   314,   997,    -1,    24,   355,   316,
      74,   671,   326,   314,   997,    -1,    24,   320,   995,   326,
     314,   997,    -1,    24,   320,   167,   135,   995,   326,   314,
     997,    -1,    24,   393,   995,   326,   314,   997,    -1,    24,
     393,   167,   135,   995,   326,   314,   997,    -1,    24,   221,
     393,   995,   326,   314,   997,    -1,    24,   221,   393,   167,
     135,   995,   326,   314,   997,    -1,    24,   149,   349,   891,
     326,   314,   997,    -1,    24,   149,   349,   167,   135,   891,
     326,   314,   997,    -1,    24,   368,   671,   326,   314,   997,
      -1,    24,    21,  1003,   730,   264,   359,  1007,    -1,    24,
      67,   671,   264,   359,  1007,    -1,    24,    80,   671,   264,
     359,  1007,    -1,    24,    97,   998,   264,   359,  1007,    -1,
      24,   118,   671,   264,   359,  1007,    -1,    24,   154,   696,
     264,   359,  1007,    -1,    24,   582,   199,   997,   264,   359,
    1007,    -1,    24,   200,   245,   573,   264,   359,  1007,    -1,
      24,   252,   746,   745,   264,   359,  1007,    -1,    24,   252,
      62,   671,   381,   999,   264,   359,  1007,    -1,    24,   252,
     141,   671,   381,   999,   264,   359,  1007,    -1,    24,   314,
     997,   264,   359,  1007,    -1,    24,   368,   671,   264,   359,
    1007,    -1,    24,   351,   997,   264,   359,  1007,    -1,    24,
     355,   316,   112,   671,   264,   359,  1007,    -1,    24,   355,
     316,    74,   671,   264,   359,  1007,    -1,    24,   149,    96,
     404,   997,   264,   359,  1007,    -1,    24,   323,   997,   264,
     359,  1007,    -1,    24,   129,   363,   997,   264,   359,  1007,
      -1,    83,   718,   312,   997,    31,   250,   768,   359,   995,
     899,   116,   769,   764,    -1,   237,    -1,   766,    -1,   436,
     765,   437,    -1,   765,   439,   767,    -1,   767,    -1,   844,
      -1,   822,    -1,   833,    -1,   827,    -1,   771,    -1,   766,
      -1,    -1,   319,    -1,   379,    -1,   108,    -1,   185,    -1,
     186,    -1,    23,    -1,    -1,   120,   312,   997,   250,   671,
     495,    -1,   120,   312,   167,   135,   997,   250,   671,   495,
      -1,   238,  1010,   772,    -1,   440,  1006,    -1,    -1,   212,
    1010,    -1,   376,  1010,    -1,   376,   429,    -1,    14,   776,
      -1,    41,   776,   779,    -1,   337,   361,   779,    -1,    71,
     776,    -1,   126,   776,    -1,   309,   776,    -1,   313,  1010,
      -1,   296,   313,  1010,    -1,   296,  1010,    -1,   309,   776,
     359,   313,  1010,    -1,   309,   776,   359,  1010,    -1,   276,
     361,  1006,    -1,    71,   277,  1006,    -1,   309,   277,  1006,
      -1,   403,    -1,   361,    -1,    -1,   195,   209,   475,    -1,
     286,   251,    -1,   286,   405,    -1,   105,    -1,   236,   105,
      -1,   777,    -1,   778,   440,   777,    -1,   778,   777,    -1,
     778,    -1,    -1,    83,   524,   393,   995,   543,   500,    31,
     844,   781,    -1,    83,   255,   299,   524,   393,   995,   543,
     500,    31,   844,   781,    -1,    83,   524,   290,   393,   995,
     436,   544,   437,   500,    31,   844,   781,    -1,    83,   255,
     299,   524,   290,   393,   995,   436,   544,   437,   500,    31,
     844,   781,    -1,   400,    60,   253,    -1,   400,    52,    60,
     253,    -1,   400,   214,    60,   253,    -1,    -1,   213,  1002,
      -1,    83,    97,   998,   447,   784,    -1,   784,   785,    -1,
      -1,   351,   786,   997,    -1,   351,   786,   103,    -1,   217,
     786,  1006,    -1,   217,   786,   103,    -1,   353,   786,   997,
      -1,   353,   786,   103,    -1,   124,   786,  1006,    -1,   124,
     786,  1005,    -1,   124,   786,   103,    -1,   203,   786,  1006,
      -1,   203,   786,   103,    -1,   204,   786,  1006,    -1,   204,
     786,   103,    -1,    75,   211,   786,  1009,    -1,   264,   786,
     997,    -1,   264,   786,   103,    -1,   423,    -1,    -1,    24,
      97,   998,   447,   789,    -1,    24,    97,   998,   326,   351,
     997,    -1,    24,    97,   998,   483,    -1,   789,   790,    -1,
      -1,    75,   211,   786,  1009,    -1,   120,    97,   998,    -1,
     120,    97,   167,   135,   998,    -1,    24,   348,   326,   470,
      -1,    24,   348,   301,   482,    -1,    83,   118,   671,   795,
     904,   533,    -1,    24,   118,   671,   494,    -1,    24,   118,
     671,   120,   236,   241,    -1,    24,   118,   671,   326,   236,
     241,    -1,    24,   118,   671,    18,   540,    -1,    24,   118,
     671,   120,    76,   997,   495,    -1,    24,   118,   671,   120,
      76,   167,   135,   997,   495,    -1,    24,   118,   671,   384,
      76,   997,    -1,    31,    -1,    -1,    24,   355,   316,   112,
     671,   642,    -1,    24,   355,   316,    74,   671,    18,   219,
     147,   996,   400,   670,    -1,    24,   355,   316,    74,   671,
      24,   219,   147,   996,   400,   670,    -1,    24,   355,   316,
      74,   671,    24,   219,   299,   671,   400,   671,    -1,    24,
     355,   316,    74,   671,    24,   219,   147,   996,   299,   671,
     400,   671,    -1,    24,   355,   316,    74,   671,   120,   219,
     147,   996,    -1,    24,   355,   316,    74,   671,   120,   219,
     167,   135,   147,   996,    -1,    83,   656,    80,   671,   147,
    1006,   359,  1006,   152,   671,    -1,    64,   806,   995,   800,
      -1,    64,   806,    -1,    64,   806,  1001,   250,   995,    -1,
     381,  1001,    -1,    -1,   382,   807,   808,   806,    -1,   382,
     807,   808,   806,   995,    -1,   382,   807,   808,   806,   804,
      -1,   382,   436,   802,   437,    -1,   382,   436,   802,   437,
     995,   809,    -1,   803,    -1,   802,   440,   803,    -1,   805,
      -1,   391,    -1,   151,    -1,   153,    -1,   805,   806,    -1,
     805,   806,   995,   809,    -1,    27,    -1,    26,    -1,   391,
      -1,    -1,   153,    -1,    -1,   151,    -1,    -1,   436,   996,
     437,    -1,    -1,   136,   811,    -1,   136,   805,   806,   811,
      -1,   136,   391,   811,    -1,   136,   436,   812,   437,   811,
      -1,   844,    -1,   822,    -1,   833,    -1,   827,    -1,   840,
      -1,   560,    -1,   563,    -1,   566,    -1,   819,    -1,   813,
      -1,   812,   440,   813,    -1,   814,   815,    -1,  1012,    -1,
     805,    -1,   476,    -1,   573,    -1,    -1,   276,   997,   817,
      31,   818,    -1,   436,   965,   437,    -1,    -1,   844,    -1,
     822,    -1,   833,    -1,   827,    -1,   134,   997,   820,    -1,
      83,   524,   349,   561,    31,   134,   997,   820,   562,    -1,
     436,   962,   437,    -1,    -1,    99,   997,    -1,    99,   276,
     997,    -1,    99,    22,    -1,    99,   276,    22,    -1,   852,
     185,   191,   995,   823,   826,    -1,   844,    -1,   436,   824,
     437,   844,    -1,   103,   387,    -1,   825,    -1,   824,   440,
     825,    -1,  1010,   986,    -1,   304,   992,    -1,    -1,   852,
     108,   152,   893,   828,   900,   826,    -1,   381,   882,    -1,
      -1,   218,   855,   892,   830,   832,    -1,   172,   831,   225,
      -1,    -1,    16,   328,    -1,   310,   328,    -1,   310,   133,
      -1,   328,   379,   133,    -1,   328,    -1,   328,   310,   133,
      -1,   133,    -1,    16,   133,    -1,   240,    -1,    -1,   852,
     379,   893,   326,   834,   881,   900,   826,    -1,   835,    -1,
     834,   440,   835,    -1,   836,    -1,   837,    -1,   838,   423,
     988,    -1,   436,   839,   437,   423,   990,    -1,  1010,   986,
      -1,   838,    -1,   839,   440,   838,    -1,   102,   841,   842,
      94,   843,   147,   844,    -1,   997,    -1,    -1,   842,   234,
     315,    -1,   842,   315,    -1,   842,    44,    -1,   842,   184,
      -1,    -1,   400,   164,    -1,   402,   164,    -1,   846,    -1,
     845,    -1,   436,   846,   437,    -1,   436,   845,   437,    -1,
     848,    -1,   847,   859,    -1,   847,   858,   874,   863,    -1,
     847,   858,   862,   875,    -1,   849,   847,    -1,   849,   847,
     859,    -1,   849,   847,   858,   874,   863,    -1,   849,   847,
     858,   862,   875,    -1,   848,    -1,   845,    -1,   319,   857,
     991,   853,   881,   899,   872,   873,   945,    -1,   880,    -1,
     349,   891,    -1,   847,   373,   856,   847,    -1,   847,   189,
     856,   847,    -1,   847,   130,   856,   847,    -1,   400,   850,
      -1,   400,   290,   850,    -1,   851,    -1,   850,   440,   851,
      -1,   997,   809,    31,   436,   818,   437,    -1,   849,    -1,
      -1,   191,   854,    -1,    -1,   354,   855,   995,    -1,   352,
     855,   995,    -1,   214,   354,   855,   995,    -1,   214,   352,
     855,   995,    -1,   156,   354,   855,   995,    -1,   156,   352,
     855,   995,    -1,   377,   855,   995,    -1,   349,   995,    -1,
     995,    -1,   349,    -1,    -1,    22,    -1,   115,    -1,    -1,
     115,    -1,   115,   250,   436,   962,   437,    -1,    22,    -1,
      -1,   859,    -1,    -1,   256,    48,   860,    -1,   861,    -1,
     860,   440,   861,    -1,   928,   381,   960,   716,    -1,   928,
     715,   716,    -1,   864,   865,    -1,   865,   864,    -1,   864,
      -1,   865,    -1,   862,    -1,    -1,   211,   866,    -1,   211,
     866,   440,   867,    -1,   142,   871,   868,   870,   251,    -1,
     248,   867,    -1,   248,   869,   870,    -1,   928,    -1,    22,
      -1,   928,    -1,  1009,    -1,   436,   928,   437,    -1,    -1,
     930,    -1,   310,    -1,   311,    -1,   144,    -1,   233,    -1,
     160,    48,   962,    -1,    -1,   162,   928,    -1,    -1,   876,
      -1,   147,   286,   251,    -1,   874,    -1,    -1,   877,    -1,
     876,   877,    -1,   878,   879,   832,    -1,   147,   379,    -1,
     147,   234,   197,   379,    -1,   147,   328,    -1,   147,   197,
     328,    -1,   246,   994,    -1,    -1,   387,   990,    -1,   880,
     440,   990,    -1,   152,   882,    -1,    -1,   883,    -1,   882,
     440,   883,    -1,   891,   886,    -1,   894,   887,    -1,   202,
     894,   887,    -1,   845,   886,    -1,   202,   845,   886,    -1,
     884,    -1,   436,   884,   437,   885,    -1,   436,   884,   437,
      -1,   883,    84,   196,   883,    -1,   883,   888,   196,   883,
     890,    -1,   883,   196,   883,   890,    -1,   883,   231,   888,
     196,   883,    -1,   883,   231,   196,   883,    -1,    31,  1010,
     436,   996,   437,    -1,    31,  1010,    -1,  1010,   436,   996,
     437,    -1,  1010,    -1,   885,    -1,    -1,   885,    -1,    31,
     436,   902,   437,    -1,    31,  1010,   436,   902,   437,    -1,
    1010,   436,   902,   437,    -1,    -1,   153,   889,    -1,   208,
     889,    -1,   307,   889,    -1,   181,    -1,   259,    -1,    -1,
     381,   436,   996,   437,    -1,   250,   928,    -1,   995,    -1,
     995,   429,    -1,   251,   995,    -1,   251,   436,   995,   437,
      -1,   891,    -1,   892,   440,   891,    -1,   891,    -1,   891,
    1010,    -1,   891,    31,  1010,    -1,   933,   898,    -1,   311,
     152,   436,   896,   437,   898,    -1,   933,   897,    -1,   895,
      -1,   896,   440,   895,    -1,    31,   436,   902,   437,    -1,
      -1,   421,    -1,    -1,   397,   928,    -1,    -1,   397,   928,
      -1,   397,    86,   246,   841,    -1,    -1,   902,    -1,    -1,
     903,    -1,   902,   440,   903,    -1,  1010,   904,   496,    -1,
     906,   905,    -1,   327,   906,   905,    -1,   906,    30,   434,
    1005,   435,    -1,   327,   906,    30,   434,  1005,   435,    -1,
     906,    30,    -1,   327,   906,    30,    -1,   905,   434,   435,
      -1,   905,   434,  1005,   435,    -1,    -1,   908,    -1,   910,
      -1,   912,    -1,   916,    -1,   923,    -1,   924,   926,    -1,
     924,   436,  1005,   437,   926,    -1,   910,    -1,   913,    -1,
     917,    -1,   923,    -1,  1011,   909,    -1,  1011,   672,   909,
      -1,   436,   962,   437,    -1,    -1,   187,    -1,   188,    -1,
     332,    -1,    43,    -1,   287,    -1,   145,   911,    -1,   119,
     274,    -1,   101,   909,    -1,   100,   909,    -1,   244,   909,
      -1,    46,    -1,   436,  1005,   437,    -1,    -1,   914,    -1,
     915,    -1,   914,    -1,   915,    -1,    45,   921,   436,   962,
     437,    -1,    45,   921,    -1,   918,    -1,   919,    -1,   918,
      -1,   919,    -1,   920,   436,  1005,   437,   922,    -1,   920,
     922,    -1,    58,   921,    -1,    57,   921,    -1,   388,    -1,
     230,    58,   921,    -1,   230,    57,   921,    -1,   232,   921,
      -1,   390,    -1,    -1,    58,   326,  1010,    -1,    -1,   358,
     436,  1005,   437,   925,    -1,   358,   925,    -1,   357,   436,
    1005,   437,   925,    -1,   357,   925,    -1,   190,    -1,   422,
     418,    -1,   402,   357,   418,    -1,    -1,   416,    -1,   226,
      -1,    98,    -1,   165,    -1,   223,    -1,   927,    -1,   416,
     359,   226,    -1,    98,   359,   165,    -1,    98,   359,   223,
      -1,    98,   359,   927,    -1,   165,   359,   223,    -1,   165,
     359,   927,    -1,   223,   359,   927,    -1,    -1,   317,    -1,
     317,   436,  1005,   437,    -1,   930,    -1,   928,    11,   904,
      -1,   928,    66,   671,    -1,   928,    36,   357,   418,   928,
      -1,   427,   928,    -1,   428,   928,    -1,   928,   427,   928,
      -1,   928,   428,   928,    -1,   928,   429,   928,    -1,   928,
     430,   928,    -1,   928,   431,   928,    -1,   928,   432,   928,
      -1,   928,   424,   928,    -1,   928,   425,   928,    -1,   928,
     423,   928,    -1,   928,   959,   928,    -1,   959,   928,    -1,
     928,   959,    -1,   928,    28,   928,    -1,   928,   255,   928,
      -1,   236,   928,    -1,   928,   210,   928,    -1,   928,   210,
     928,   128,   928,    -1,   928,   236,   210,   928,    -1,   928,
     236,   210,   928,   128,   928,    -1,   928,   168,   928,    -1,
     928,   168,   928,   128,   928,    -1,   928,   236,   168,   928,
      -1,   928,   236,   168,   928,   128,   928,    -1,   928,   330,
     359,   928,    -1,   928,   330,   359,   928,   128,   928,    -1,
     928,   236,   330,   359,   928,    -1,   928,   236,   330,   359,
     928,   128,   928,    -1,   928,   193,   241,    -1,   928,   194,
      -1,   928,   193,   236,   241,    -1,   928,   239,    -1,   955,
     261,   955,    -1,   928,   193,   365,    -1,   928,   193,   236,
     365,    -1,   928,   193,   140,    -1,   928,   193,   236,   140,
      -1,   928,   193,   375,    -1,   928,   193,   236,   375,    -1,
     928,   193,   115,   152,   928,    -1,   928,   193,   236,   115,
     152,   928,    -1,   928,   193,   246,   436,   965,   437,    -1,
     928,   193,   236,   246,   436,   965,   437,    -1,   928,    42,
     987,   929,    28,   929,    -1,   928,   236,    42,   987,   929,
      28,   929,    -1,   928,    42,   346,   929,    28,   929,    -1,
     928,   236,    42,   346,   929,    28,   929,    -1,   928,   172,
     977,    -1,   928,   236,   172,   977,    -1,   928,   961,   956,
     845,    -1,   928,   961,   956,   436,   928,   437,    -1,   374,
     845,    -1,   928,   193,   117,    -1,   928,   193,   236,   117,
      -1,   930,    -1,   929,    11,   904,    -1,   427,   929,    -1,
     428,   929,    -1,   929,   427,   929,    -1,   929,   428,   929,
      -1,   929,   429,   929,    -1,   929,   430,   929,    -1,   929,
     431,   929,    -1,   929,   432,   929,    -1,   929,   424,   929,
      -1,   929,   425,   929,    -1,   929,   423,   929,    -1,   929,
     959,   929,    -1,   959,   929,    -1,   929,   959,    -1,   929,
     193,   115,   152,   929,    -1,   929,   193,   236,   115,   152,
     929,    -1,   929,   193,   246,   436,   965,   437,    -1,   929,
     193,   236,   246,   436,   965,   437,    -1,   929,   193,   117,
      -1,   929,   193,   236,   117,    -1,   983,    -1,  1004,    -1,
      10,   986,    -1,   436,   928,   437,   986,    -1,   978,    -1,
     932,    -1,   845,    -1,   845,   985,    -1,   135,   845,    -1,
      30,   845,    -1,    30,   966,    -1,   955,    -1,  1003,   436,
     437,    -1,  1003,   436,   963,   858,   437,    -1,  1003,   436,
     389,   964,   858,   437,    -1,  1003,   436,   963,   440,   389,
     964,   858,   437,    -1,  1003,   436,    22,   963,   858,   437,
      -1,  1003,   436,   115,   963,   858,   437,    -1,  1003,   436,
     429,   437,    -1,   931,   943,   944,   948,    -1,   934,    -1,
     931,    -1,   934,    -1,    67,   147,   436,   928,   437,    -1,
      88,    -1,    91,    -1,    91,   436,  1005,   437,    -1,    92,
      -1,    92,   436,  1005,   437,    -1,   215,    -1,   215,   436,
    1005,   437,    -1,   216,    -1,   216,   436,  1005,   437,    -1,
      89,    -1,    93,    -1,   325,    -1,   380,    -1,    87,    -1,
      90,    -1,    54,   436,   928,    31,   904,   437,    -1,   139,
     436,   968,   437,    -1,   262,   436,   970,   437,    -1,   272,
     436,   972,   437,    -1,   345,   436,   973,   437,    -1,   362,
     436,   928,    31,   904,   437,    -1,   364,   436,    47,   976,
     437,    -1,   364,   436,   205,   976,   437,    -1,   364,   436,
     360,   976,   437,    -1,   364,   436,   976,   437,    -1,   242,
     436,   928,   440,   928,   437,    -1,    65,   436,   962,   437,
      -1,   159,   436,   962,   437,    -1,   207,   436,   962,   437,
      -1,   408,   436,   962,   437,    -1,   409,   436,   228,  1013,
     437,    -1,   409,   436,   228,  1013,   440,   937,   437,    -1,
     409,   436,   228,  1013,   440,   962,   437,    -1,   409,   436,
     228,  1013,   440,   937,   440,   962,   437,    -1,   410,   436,
     930,   942,   437,    -1,   411,   436,   938,   437,    -1,   412,
     436,   940,   928,   941,   437,    -1,   413,   436,   228,  1013,
     437,    -1,   413,   436,   228,  1013,   440,   928,   437,    -1,
     414,   436,   928,   440,   935,   936,   437,    -1,   415,   436,
     940,   928,    31,   906,   437,    -1,   392,   928,    -1,   392,
     234,   386,    -1,   440,   336,   417,    -1,   440,   336,   234,
      -1,   440,   336,   234,   386,    -1,    -1,   407,   436,   938,
     437,    -1,   939,    -1,   938,   440,   939,    -1,   928,    31,
    1013,    -1,   928,    -1,   117,    -1,    78,    -1,   275,   398,
      -1,   344,   398,    -1,    -1,   268,   930,    -1,   268,   930,
      48,   291,    -1,   268,    48,   291,   930,    -1,   268,    48,
     291,   930,    48,   291,    -1,   401,   160,   436,   859,   437,
      -1,    -1,   143,   436,   397,   928,   437,    -1,    -1,   399,
     946,    -1,    -1,   947,    -1,   946,   440,   947,    -1,  1010,
      31,   949,    -1,   260,   949,    -1,   260,  1010,    -1,    -1,
     436,   950,   951,   858,   952,   437,    -1,  1010,    -1,    -1,
     267,    48,   962,    -1,    -1,   285,   953,    -1,   311,   953,
      -1,    -1,   954,    -1,    42,   954,    28,   954,    -1,   370,
     273,    -1,   370,   146,    -1,    86,   310,    -1,   928,   273,
      -1,   928,   146,    -1,   310,   436,   962,   437,    -1,   310,
     436,   437,    -1,   436,   962,   440,   928,   437,    -1,    29,
      -1,   334,    -1,    22,    -1,     8,    -1,   958,    -1,   427,
      -1,   428,    -1,   429,    -1,   430,    -1,   431,    -1,   432,
      -1,   424,    -1,   425,    -1,   423,    -1,     8,    -1,   252,
     436,   746,   437,    -1,   957,    -1,   252,   436,   746,   437,
      -1,   957,    -1,   252,   436,   746,   437,    -1,   210,    -1,
     236,   210,    -1,   168,    -1,   236,   168,    -1,   928,    -1,
     962,   440,   928,    -1,   964,    -1,   963,   440,   964,    -1,
     928,    -1,   725,    13,   928,    -1,   904,    -1,   965,   440,
     904,    -1,   434,   962,   435,    -1,   434,   967,   435,    -1,
     434,   435,    -1,   966,    -1,   967,   440,   966,    -1,   969,
     152,   928,    -1,    -1,     3,    -1,   416,    -1,   226,    -1,
      98,    -1,   165,    -1,   223,    -1,   317,    -1,  1006,    -1,
     928,   971,   974,   975,    -1,   928,   971,   974,    -1,   270,
     928,    -1,   929,   172,   929,    -1,    -1,   928,   974,   975,
      -1,   928,   975,   974,    -1,   928,   974,    -1,   928,   975,
      -1,   962,    -1,    -1,   152,   928,    -1,   147,   928,    -1,
     928,   152,   962,    -1,   152,   962,    -1,   962,    -1,   845,
      -1,   436,   962,   437,    -1,    53,   982,   979,   981,   126,
      -1,   980,    -1,   979,   980,    -1,   396,   928,   356,   928,
      -1,   122,   928,    -1,    -1,   928,    -1,    -1,  1010,    -1,
    1010,   985,    -1,   438,  1000,    -1,   438,   429,    -1,   434,
     928,   435,    -1,   434,   928,   441,   928,   435,    -1,   984,
      -1,   985,   984,    -1,    -1,   986,   984,    -1,    35,    -1,
      -1,   928,    -1,   103,    -1,   988,    -1,   989,   440,   988,
      -1,   436,   989,   437,    -1,   992,    -1,    -1,   993,    -1,
     992,   440,   993,    -1,   928,    31,  1013,    -1,   928,     3,
      -1,   928,    -1,   429,    -1,   995,    -1,   994,   440,   995,
      -1,  1010,    -1,  1010,   985,    -1,   997,    -1,   996,   440,
     997,    -1,  1010,    -1,  1010,    -1,  1010,    -1,  1013,    -1,
    1010,    -1,  1006,    -1,  1011,    -1,  1010,   985,    -1,  1005,
      -1,     4,    -1,  1006,    -1,     6,    -1,     7,    -1,  1003,
    1006,    -1,  1003,   436,   963,   858,   437,  1006,    -1,   907,
    1006,    -1,   924,  1006,   926,    -1,   924,   436,  1005,   437,
    1006,   926,    -1,   365,    -1,   140,    -1,   241,    -1,     9,
      -1,     5,    -1,  1012,    -1,  1007,    -1,  1008,   440,  1007,
      -1,  1005,    -1,   427,  1005,    -1,   428,  1005,    -1,     3,
      -1,  1014,    -1,  1015,    -1,     3,    -1,  1014,    -1,  1016,
      -1,     3,    -1,  1014,    -1,  1015,    -1,  1016,    -1,     3,
      -1,  1014,    -1,  1015,    -1,  1016,    -1,  1017,    -1,    14,
      -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,    19,
      -1,    20,    -1,    21,    -1,    23,    -1,    24,    -1,    25,
      -1,    33,    -1,    34,    -1,    36,    -1,    37,    -1,    39,
      -1,    40,    -1,    41,    -1,    48,    -1,    49,    -1,    50,
      -1,    51,    -1,    52,    -1,    55,    -1,    56,    -1,    59,
      -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,    69,
      -1,    70,    -1,    71,    -1,    72,    -1,    74,    -1,    75,
      -1,    77,    -1,    78,    -1,    79,    -1,    80,    -1,    81,
      -1,    82,    -1,    85,    -1,    86,    -1,    94,    -1,    95,
      -1,    96,    -1,    97,    -1,    98,    -1,    99,    -1,   102,
      -1,   104,    -1,   106,    -1,   107,    -1,   108,    -1,   109,
      -1,   110,    -1,   112,    -1,   113,    -1,   114,    -1,   117,
      -1,   118,    -1,   119,    -1,   120,    -1,   121,    -1,   123,
      -1,   124,    -1,   125,    -1,   127,    -1,   128,    -1,   129,
      -1,   131,    -1,   132,    -1,   133,    -1,   134,    -1,   136,
      -1,   137,    -1,   138,    -1,   141,    -1,   143,    -1,   144,
      -1,   146,    -1,   148,    -1,   150,    -1,   154,    -1,   155,
      -1,   156,    -1,   158,    -1,   161,    -1,   163,    -1,   164,
      -1,   165,    -1,   166,    -1,   167,    -1,   169,    -1,   170,
      -1,   171,    -1,   173,    -1,   174,    -1,   175,    -1,   176,
      -1,   177,    -1,   178,    -1,   180,    -1,   183,    -1,   184,
      -1,   185,    -1,   186,    -1,   192,    -1,   195,    -1,   197,
      -1,   198,    -1,   199,    -1,   200,    -1,   201,    -1,   203,
      -1,   204,    -1,   206,    -1,   209,    -1,   212,    -1,   213,
      -1,   214,    -1,   217,    -1,   218,    -1,   219,    -1,   220,
      -1,   221,    -1,   222,    -1,   223,    -1,   224,    -1,   225,
      -1,   226,    -1,   227,    -1,   228,    -1,   229,    -1,   233,
      -1,   234,    -1,   237,    -1,   238,    -1,   240,    -1,   243,
      -1,   245,    -1,   246,    -1,   247,    -1,   249,    -1,   252,
      -1,   253,    -1,   254,    -1,   257,    -1,   260,    -1,   263,
      -1,   264,    -1,   265,    -1,   266,    -1,   267,    -1,   268,
      -1,   269,    -1,   271,    -1,   273,    -1,   276,    -1,   277,
      -1,   275,    -1,   279,    -1,   280,    -1,   281,    -1,   282,
      -1,   283,    -1,   284,    -1,   285,    -1,   286,    -1,   288,
      -1,   289,    -1,   290,    -1,   291,    -1,   293,    -1,   294,
      -1,   295,    -1,   296,    -1,   297,    -1,   298,    -1,   299,
      -1,   300,    -1,   301,    -1,   302,    -1,   303,    -1,   305,
      -1,   306,    -1,   308,    -1,   309,    -1,   311,    -1,   312,
      -1,   313,    -1,   314,    -1,   315,    -1,   316,    -1,   317,
      -1,   318,    -1,   320,    -1,   321,    -1,   322,    -1,   323,
      -1,   324,    -1,   326,    -1,   328,    -1,   329,    -1,   331,
      -1,   333,    -1,   335,    -1,   336,    -1,   337,    -1,   338,
      -1,   339,    -1,   340,    -1,   341,    -1,   342,    -1,   343,
      -1,   344,    -1,   347,    -1,   348,    -1,   350,    -1,   351,
      -1,   352,    -1,   353,    -1,   354,    -1,   355,    -1,   361,
      -1,   363,    -1,   366,    -1,   367,    -1,   368,    -1,   369,
      -1,   370,    -1,   371,    -1,   372,    -1,   375,    -1,   376,
      -1,   377,    -1,   378,    -1,   379,    -1,   382,    -1,   383,
      -1,   384,    -1,   385,    -1,   386,    -1,   390,    -1,   392,
      -1,   393,    -1,   394,    -1,   395,    -1,   398,    -1,   401,
      -1,   402,    -1,   403,    -1,   404,    -1,   405,    -1,   406,
      -1,   416,    -1,   417,    -1,   418,    -1,    42,    -1,    43,
      -1,    45,    -1,    46,    -1,    57,    -1,    58,    -1,    65,
      -1,   100,    -1,   101,    -1,   135,    -1,   139,    -1,   145,
      -1,   159,    -1,   182,    -1,   187,    -1,   188,    -1,   190,
      -1,   207,    -1,   230,    -1,   232,    -1,   235,    -1,   242,
      -1,   244,    -1,   258,    -1,   262,    -1,   272,    -1,   274,
      -1,   287,    -1,   310,    -1,   327,    -1,   332,    -1,   345,
      -1,   357,    -1,   358,    -1,   362,    -1,   364,    -1,   387,
      -1,   388,    -1,   407,    -1,   408,    -1,   409,    -1,   410,
      -1,   411,    -1,   412,    -1,   413,    -1,   414,    -1,   415,
      -1,    38,    -1,    44,    -1,    67,    -1,    73,    -1,    84,
      -1,    90,    -1,   151,    -1,   153,    -1,   168,    -1,   181,
      -1,   193,    -1,   194,    -1,   196,    -1,   208,    -1,   210,
      -1,   231,    -1,   239,    -1,   259,    -1,   261,    -1,   307,
      -1,   330,    -1,   391,    -1,    22,    -1,    26,    -1,    27,
      -1,    28,    -1,    29,    -1,    30,    -1,    31,    -1,    32,
      -1,    35,    -1,    47,    -1,    53,    -1,    54,    -1,    60,
      -1,    66,    -1,    68,    -1,    76,    -1,    83,    -1,    87,
      -1,    88,    -1,    89,    -1,    91,    -1,    92,    -1,    93,
      -1,   103,    -1,   105,    -1,   111,    -1,   115,    -1,   116,
      -1,   122,    -1,   126,    -1,   130,    -1,   140,    -1,   142,
      -1,   147,    -1,   149,    -1,   152,    -1,   157,    -1,   160,
      -1,   162,    -1,   172,    -1,   179,    -1,   189,    -1,   191,
      -1,   202,    -1,   205,    -1,   211,    -1,   215,    -1,   216,
      -1,   236,    -1,   241,    -1,   248,    -1,   250,    -1,   251,
      -1,   255,    -1,   256,    -1,   270,    -1,   278,    -1,   292,
      -1,   304,    -1,   319,    -1,   325,    -1,   334,    -1,   346,
      -1,   349,    -1,   356,    -1,   359,    -1,   360,    -1,   365,
      -1,   373,    -1,   374,    -1,   380,    -1,   381,    -1,   389,
      -1,   396,    -1,   397,    -1,   399,    -1,   400,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   690,   690,   697,   704,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   746,   747,   748,
     749,   750,   751,   752,   753,   754,   755,   756,   757,   758,
     759,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   777,   778,
     779,   780,   781,   782,   783,   784,   785,   786,   787,   788,
     789,   790,   791,   792,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   813,   814,   815,   816,   817,   818,
     819,   820,   821,   822,   823,   824,   825,   826,   827,   828,
     829,   831,   841,   852,   853,   862,   863,   867,   868,   872,
     877,   881,   886,   891,   895,   899,   904,   908,   962,   964,
     968,   972,   976,   980,   994,  1012,  1023,  1024,  1028,  1036,
    1054,  1066,  1087,  1094,  1113,  1120,  1137,  1155,  1166,  1167,
    1179,  1186,  1203,  1216,  1226,  1244,  1262,  1263,  1267,  1274,
    1282,  1283,  1284,  1285,  1286,  1287,  1301,  1307,  1313,  1322,
    1330,  1338,  1342,  1350,  1358,  1365,  1374,  1375,  1383,  1394,
    1402,  1410,  1421,  1429,  1437,  1444,  1453,  1463,  1464,  1468,
    1469,  1472,  1474,  1478,  1479,  1480,  1481,  1485,  1486,  1487,
    1493,  1505,  1509,  1513,  1528,  1551,  1552,  1553,  1557,  1558,
    1559,  1563,  1564,  1568,  1572,  1573,  1580,  1587,  1597,  1604,
    1614,  1615,  1620,  1621,  1626,  1632,  1638,  1644,  1650,  1660,
    1670,  1671,  1675,  1676,  1684,  1699,  1705,  1711,  1717,  1723,
    1742,  1751,  1760,  1771,  1782,  1791,  1800,  1811,  1822,  1831,
    1840,  1849,  1858,  1867,  1876,  1887,  1901,  1902,  1907,  1915,
    1923,  1932,  1940,  1948,  1957,  1966,  1975,  1984,  1994,  2007,
    2022,  2031,  2039,  2054,  2062,  2072,  2082,  2089,  2096,  2104,
    2112,  2120,  2128,  2136,  2143,  2150,  2158,  2165,  2172,  2180,
    2188,  2196,  2204,  2212,  2220,  2230,  2237,  2245,  2253,  2261,
    2269,  2276,  2286,  2287,  2291,  2292,  2293,  2297,  2305,  2309,
    2310,  2314,  2321,  2328,  2335,  2345,  2348,  2349,  2353,  2354,
    2359,  2363,  2367,  2372,  2387,  2400,  2401,  2406,  2415,  2425,
    2435,  2461,  2467,  2497,  2526,  2548,  2549,  2553,  2554,  2563,
    2564,  2565,  2568,  2569,  2574,  2575,  2579,  2583,  2587,  2591,
    2595,  2599,  2603,  2607,  2611,  2615,  2619,  2623,  2627,  2631,
    2640,  2644,  2648,  2652,  2656,  2660,  2664,  2665,  2670,  2674,
    2681,  2688,  2689,  2690,  2691,  2692,  2696,  2700,  2708,  2719,
    2734,  2750,  2766,  2795,  2796,  2797,  2798,  2799,  2806,  2813,
    2814,  2818,  2819,  2823,  2824,  2828,  2832,  2839,  2843,  2850,
    2851,  2852,  2856,  2857,  2860,  2881,  2902,  2903,  2907,  2915,
    2916,  2917,  2948,  2955,  2962,  2973,  2984,  2994,  3003,  3036,
    3043,  3050,  3057,  3068,  3078,  3079,  3080,  3084,  3085,  3086,
    3087,  3088,  3089,  3098,  3106,  3110,  3123,  3138,  3152,  3167,
    3181,  3199,  3220,  3221,  3225,  3226,  3230,  3231,  3234,  3240,
    3244,  3252,  3257,  3263,  3264,  3268,  3273,  3280,  3281,  3291,
    3293,  3295,  3297,  3300,  3303,  3306,  3310,  3311,  3312,  3313,
    3314,  3317,  3318,  3323,  3324,  3325,  3326,  3329,  3330,  3331,
    3332,  3335,  3336,  3339,  3340,  3343,  3358,  3373,  3387,  3388,
    3389,  3401,  3416,  3429,  3430,  3442,  3462,  3474,  3482,  3493,
    3494,  3497,  3498,  3501,  3505,  3509,  3513,  3517,  3521,  3525,
    3529,  3533,  3537,  3541,  3545,  3551,  3552,  3556,  3557,  3562,
    3565,  3566,  3578,  3590,  3605,  3606,  3614,  3615,  3619,  3620,
    3624,  3625,  3629,  3630,  3634,  3645,  3658,  3659,  3669,  3680,
    3681,  3694,  3701,  3718,  3726,  3737,  3740,  3744,  3748,  3752,
    3764,  3774,  3777,  3781,  3794,  3804,  3814,  3823,  3832,  3841,
    3851,  3860,  3870,  3880,  3890,  3899,  3908,  3917,  3926,  3935,
    3944,  3953,  3962,  3971,  3980,  3989,  3998,  4007,  4025,  4036,
    4037,  4038,  4039,  4043,  4044,  4048,  4049,  4059,  4070,  4090,
    4098,  4110,  4111,  4115,  4119,  4127,  4131,  4135,  4142,  4146,
    4151,  4156,  4163,  4170,  4175,  4185,  4199,  4200,  4205,  4206,
    4210,  4211,  4221,  4232,  4252,  4261,  4269,  4286,  4301,  4326,
    4335,  4353,  4365,  4366,  4367,  4377,  4385,  4402,  4421,  4441,
    4466,  4467,  4468,  4472,  4474,  4496,  4498,  4500,  4502,  4504,
    4509,  4514,  4524,  4525,  4529,  4530,  4534,  4535,  4539,  4540,
    4541,  4545,  4551,  4552,  4553,  4557,  4558,  4563,  4564,  4591,
    4592,  4593,  4594,  4595,  4596,  4601,  4612,  4635,  4645,  4659,
    4661,  4666,  4671,  4673,  4678,  4688,  4689,  4690,  4691,  4703,
    4723,  4746,  4756,  4767,  4777,  4787,  4798,  4807,  4814,  4821,
    4830,  4839,  4848,  4857,  4866,  4877,  4880,  4881,  4884,  4888,
    4895,  4896,  4897,  4898,  4899,  4902,  4905,  4906,  4914,  4921,
    4922,  4925,  4927,  4938,  4948,  4958,  4970,  4971,  4987,  5002,
    5003,  5007,  5017,  5028,  5037,  5047,  5056,  5057,  5060,  5061,
    5064,  5065,  5066,  5069,  5083,  5088,  5098,  5107,  5119,  5120,
    5124,  5132,  5144,  5155,  5169,  5180,  5203,  5213,  5231,  5242,
    5253,  5264,  5278,  5279,  5280,  5281,  5282,  5283,  5284,  5285,
    5286,  5287,  5288,  5289,  5290,  5291,  5292,  5293,  5294,  5298,
    5299,  5302,  5303,  5306,  5308,  5321,  5332,  5333,  5334,  5366,
    5375,  5384,  5393,  5402,  5411,  5420,  5430,  5439,  5448,  5457,
    5466,  5475,  5487,  5488,  5489,  5490,  5491,  5492,  5493,  5494,
    5495,  5496,  5497,  5498,  5499,  5500,  5501,  5502,  5503,  5504,
    5505,  5506,  5507,  5508,  5509,  5513,  5514,  5528,  5539,  5550,
    5561,  5572,  5585,  5586,  5590,  5591,  5592,  5593,  5594,  5595,
    5596,  5597,  5598,  5599,  5600,  5601,  5602,  5605,  5606,  5616,
    5622,  5630,  5638,  5646,  5654,  5662,  5670,  5678,  5686,  5694,
    5702,  5710,  5718,  5726,  5734,  5742,  5750,  5760,  5761,  5764,
    5765,  5775,  5791,  5805,  5831,  5833,  5835,  5837,  5844,  5853,
    5854,  5857,  5864,  5871,  5878,  5892,  5900,  5908,  5916,  5924,
    5932,  5940,  5948,  5956,  5964,  5972,  5980,  5988,  5996,  6004,
    6012,  6024,  6025,  6028,  6038,  6052,  6053,  6057,  6058,  6063,
    6079,  6092,  6102,  6114,  6115,  6118,  6119,  6129,  6139,  6140,
    6144,  6148,  6152,  6163,  6176,  6190,  6207,  6208,  6209,  6210,
    6222,  6249,  6250,  6254,  6255,  6259,  6260,  6264,  6265,  6268,
    6269,  6277,  6288,  6299,  6312,  6313,  6316,  6317,  6318,  6321,
    6322,  6323,  6326,  6327,  6328,  6344,  6356,  6369,  6384,  6385,
    6388,  6389,  6393,  6394,  6402,  6403,  6407,  6408,  6423,  6432,
    6441,  6450,  6459,  6471,  6472,  6473,  6474,  6475,  6481,  6485,
    6500,  6501,  6507,  6517,  6521,  6526,  6534,  6575,  6579,  6583,
    6587,  6595,  6596,  6601,  6602,  6609,  6613,  6617,  6621,  6625,
    6629,  6633,  6637,  6641,  6645,  6649,  6653,  6657,  6661,  6665,
    6673,  6677,  6681,  6685,  6691,  6692,  6699,  6700,  6703,  6715,
    6719,  6734,  6745,  6746,  6751,  6752,  6767,  6778,  6792,  6803,
    6817,  6828,  6842,  6850,  6852,  6854,  6859,  6861,  6874,  6883,
    6884,  6888,  6892,  6904,  6915,  6926,  6939,  6940,  6941,  6945,
    6958,  6959,  6973,  6981,  6991,  7004,  7005,  7008,  7009,  7020,
    7029,  7046,  7056,  7065,  7074,  7083,  7092,  7102,  7111,  7121,
    7130,  7139,  7149,  7159,  7168,  7177,  7187,  7197,  7207,  7217,
    7227,  7237,  7247,  7257,  7267,  7277,  7287,  7297,  7308,  7319,
    7330,  7341,  7351,  7362,  7373,  7383,  7393,  7401,  7410,  7419,
    7428,  7437,  7446,  7455,  7464,  7473,  7487,  7488,  7491,  7492,
    7502,  7512,  7521,  7530,  7539,  7548,  7558,  7568,  7578,  7588,
    7597,  7606,  7615,  7624,  7633,  7642,  7651,  7660,  7669,  7678,
    7687,  7696,  7705,  7714,  7731,  7740,  7748,  7756,  7764,  7772,
    7781,  7789,  7797,  7806,  7815,  7824,  7832,  7840,  7848,  7856,
    7864,  7872,  7880,  7897,  7914,  7915,  7916,  7921,  7927,  7936,
    7937,  7938,  7939,  7940,  7944,  7945,  7948,  7949,  7950,  7951,
    7955,  7956,  7957,  7962,  7973,  7995,  8005,  8006,  8009,  8018,
    8024,  8043,  8050,  8057,  8064,  8071,  8078,  8085,  8093,  8101,
    8109,  8117,  8125,  8132,  8139,  8148,  8149,  8150,  8154,  8157,
    8160,  8163,  8166,  8173,  8175,  8177,  8182,  8184,  8196,  8209,
    8222,  8240,  8261,  8262,  8263,  8264,  8274,  8290,  8300,  8301,
    8305,  8309,  8313,  8317,  8321,  8325,  8329,  8333,  8337,  8341,
    8345,  8349,  8353,  8357,  8361,  8365,  8375,  8376,  8387,  8394,
    8405,  8416,  8417,  8421,  8435,  8442,  8460,  8466,  8482,  8495,
    8504,  8512,  8520,  8529,  8540,  8551,  8561,  8562,  8573,  8583,
    8593,  8603,  8613,  8623,  8631,  8652,  8675,  8683,  8692,  8703,
    8704,  8716,  8732,  8748,  8762,  8782,  8807,  8808,  8812,  8813,
    8814,  8815,  8819,  8833,  8850,  8851,  8855,  8856,  8859,  8860,
    8863,  8864,  8868,  8869,  8882,  8889,  8899,  8906,  8916,  8917,
    8918,  8919,  8920,  8921,  8922,  8923,  8924,  8928,  8932,  8939,
    8946,  8947,  8951,  8952,  8953,  8963,  8973,  8974,  8978,  8979,
    8980,  8981,  8991,  8998,  9016,  9017,  9027,  9033,  9039,  9045,
    9061,  9071,  9077,  9083,  9092,  9094,  9099,  9110,  9111,  9122,
    9136,  9137,  9148,  9159,  9160,  9163,  9164,  9165,  9166,  9167,
    9168,  9169,  9170,  9173,  9174,  9185,  9203,  9204,  9208,  9209,
    9213,  9221,  9249,  9260,  9261,  9271,  9282,  9285,  9286,  9287,
    9288,  9289,  9292,  9293,  9294,  9342,  9343,  9347,  9348,  9363,
    9364,  9371,  9379,  9387,  9395,  9403,  9411,  9422,  9423,  9450,
    9465,  9466,  9485,  9489,  9493,  9508,  9515,  9525,  9526,  9529,
    9541,  9542,  9546,  9558,  9566,  9571,  9576,  9581,  9586,  9594,
    9602,  9607,  9612,  9619,  9620,  9623,  9624,  9625,  9632,  9633,
    9634,  9635,  9639,  9640,  9644,  9648,  9649,  9652,  9661,  9674,
    9675,  9676,  9677,  9681,  9682,  9686,  9688,  9698,  9703,  9706,
    9711,  9712,  9720,  9730,  9731,  9732,  9740,  9744,  9745,  9748,
    9749,  9754,  9755,  9759,  9760,  9764,  9765,  9769,  9770,  9774,
    9775,  9779,  9790,  9791,  9792,  9793,  9797,  9798,  9803,  9809,
    9827,  9828,  9832,  9833,  9839,  9844,  9851,  9859,  9894,  9919,
    9923,  9949,  9953,  9965,  9978,  9992, 10003, 10018, 10024, 10029,
   10035, 10042, 10043, 10051, 10055, 10059, 10065, 10072, 10077, 10078,
   10079, 10080, 10084, 10085, 10097, 10098, 10103, 10110, 10117, 10124,
   10135, 10136, 10149, 10153, 10160, 10181, 10191, 10203, 10208, 10209,
   10212, 10213, 10216, 10217, 10222, 10223, 10228, 10229, 10237, 10242,
   10243, 10247, 10251, 10257, 10287, 10292, 10299, 10304, 10310, 10315,
   10324, 10326, 10329, 10333, 10334, 10335, 10336, 10337, 10338, 10343,
   10373, 10374, 10375, 10376, 10387, 10393, 10401, 10402, 10408, 10413,
   10418, 10423, 10428, 10433, 10438, 10443, 10449, 10455, 10461, 10468,
   10490, 10499, 10503, 10511, 10515, 10523, 10535, 10556, 10560, 10566,
   10570, 10583, 10594, 10609, 10611, 10613, 10615, 10617, 10619, 10624,
   10625, 10629, 10630, 10637, 10646, 10654, 10663, 10674, 10682, 10683,
   10684, 10688, 10690, 10692, 10694, 10696, 10698, 10700, 10705, 10710,
   10716, 10724, 10729, 10736, 10743, 10747, 10751, 10781, 10782, 10784,
   10792, 10807, 10809, 10811, 10813, 10815, 10817, 10819, 10821, 10823,
   10825, 10827, 10830, 10832, 10834, 10837, 10839, 10841, 10844, 10846,
   10853, 10855, 10862, 10864, 10871, 10873, 10881, 10888, 10895, 10902,
   10919, 10926, 10933, 10940, 10947, 10963, 10970, 10977, 10984, 10991,
   10998, 11005, 11009, 11017, 11021, 11031, 11038, 11045, 11058, 11071,
   11090, 11111, 11121, 11128, 11144, 11149, 11167, 11169, 11171, 11173,
   11175, 11177, 11179, 11181, 11183, 11185, 11187, 11189, 11191, 11193,
   11195, 11197, 11199, 11203, 11208, 11212, 11216, 11221, 11238, 11239,
   11240, 11255, 11267, 11269, 11271, 11281, 11304, 11314, 11324, 11332,
   11343, 11347, 11353, 11360, 11367, 11377, 11384, 11412, 11447, 11458,
   11459, 11466, 11472, 11498, 11508, 11521, 11529, 11542, 11552, 11565,
   11575, 11588, 11592, 11596, 11600, 11604, 11608, 11612, 11614, 11618,
   11627, 11632, 11639, 11654, 11661, 11665, 11669, 11673, 11677, 11684,
   11692, 11700, 11704, 11708, 11712, 11716, 11720, 11726, 11730, 11739,
   11743, 11747, 11752, 11766, 11768, 11772, 11774, 11776, 11779, 11782,
   11785, 11786, 11789, 11797, 11807, 11808, 11811, 11812, 11813, 11818,
   11822, 11826, 11830, 11841, 11842, 11846, 11847, 11855, 11856, 11860,
   11861, 11866, 11874, 11876, 11890, 11893, 11920, 11921, 11924, 11925,
   11936, 11954, 11961, 11970, 11987, 12032, 12040, 12048, 12056, 12064,
   12085, 12086, 12087, 12090, 12091, 12092, 12095, 12096, 12099, 12100,
   12101, 12102, 12103, 12104, 12105, 12106, 12107, 12110, 12112, 12117,
   12119, 12124, 12126, 12128, 12130, 12132, 12134, 12146, 12150, 12157,
   12161, 12167, 12171, 12182, 12183, 12186, 12190, 12194, 12200, 12201,
   12206, 12210, 12217, 12218, 12219, 12220, 12221, 12222, 12223, 12224,
   12234, 12238, 12245, 12252, 12253, 12269, 12273, 12278, 12282, 12297,
   12302, 12306, 12309, 12312, 12313, 12314, 12317, 12324, 12334, 12348,
   12349, 12353, 12364, 12365, 12368, 12369, 12372, 12376, 12383, 12387,
   12391, 12398, 12408, 12409, 12413, 12414, 12417, 12418, 12429, 12430,
   12439, 12440, 12448, 12458, 12459, 12463, 12464, 12467, 12483, 12491,
   12499, 12521, 12522, 12533, 12537, 12564, 12566, 12571, 12574, 12577,
   12579, 12581, 12583, 12593, 12595, 12606, 12610, 12614, 12618, 12622,
   12631, 12638, 12670, 12674, 12680, 12697, 12701, 12705, 12711, 12712,
   12713, 12715, 12717, 12721, 12722, 12723, 12739, 12740, 12741, 12746,
   12747, 12748, 12753, 12754, 12755, 12756, 12762, 12763, 12764, 12765,
   12766, 12786, 12787, 12788, 12789, 12790, 12791, 12792, 12793, 12794,
   12795, 12796, 12797, 12798, 12799, 12800, 12801, 12802, 12803, 12804,
   12805, 12806, 12807, 12808, 12809, 12810, 12811, 12812, 12813, 12814,
   12815, 12816, 12817, 12818, 12819, 12820, 12821, 12822, 12823, 12824,
   12825, 12826, 12827, 12828, 12829, 12830, 12831, 12832, 12833, 12834,
   12835, 12836, 12837, 12838, 12839, 12840, 12841, 12842, 12843, 12844,
   12845, 12846, 12847, 12848, 12849, 12850, 12851, 12852, 12853, 12854,
   12855, 12856, 12857, 12858, 12859, 12860, 12861, 12862, 12863, 12864,
   12865, 12866, 12867, 12868, 12869, 12870, 12871, 12872, 12873, 12874,
   12875, 12876, 12877, 12878, 12879, 12880, 12881, 12882, 12883, 12884,
   12885, 12886, 12887, 12888, 12889, 12890, 12891, 12892, 12893, 12894,
   12895, 12896, 12897, 12898, 12899, 12900, 12901, 12902, 12903, 12904,
   12905, 12906, 12907, 12908, 12909, 12910, 12911, 12912, 12913, 12914,
   12915, 12916, 12917, 12918, 12919, 12920, 12921, 12922, 12923, 12924,
   12925, 12926, 12927, 12928, 12929, 12930, 12931, 12932, 12933, 12934,
   12935, 12936, 12937, 12938, 12939, 12940, 12941, 12942, 12943, 12944,
   12945, 12946, 12947, 12948, 12949, 12950, 12951, 12952, 12953, 12954,
   12955, 12956, 12957, 12958, 12959, 12960, 12961, 12962, 12963, 12964,
   12965, 12966, 12967, 12968, 12969, 12970, 12971, 12972, 12973, 12974,
   12975, 12976, 12977, 12978, 12979, 12980, 12981, 12982, 12983, 12984,
   12985, 12986, 12987, 12988, 12989, 12990, 12991, 12992, 12993, 12994,
   12995, 12996, 12997, 12998, 12999, 13000, 13001, 13002, 13003, 13004,
   13005, 13006, 13007, 13008, 13009, 13010, 13011, 13012, 13013, 13014,
   13015, 13016, 13017, 13018, 13019, 13020, 13021, 13022, 13023, 13024,
   13025, 13026, 13027, 13028, 13029, 13030, 13031, 13032, 13033, 13034,
   13035, 13036, 13037, 13038, 13039, 13040, 13041, 13042, 13043, 13044,
   13058, 13059, 13060, 13061, 13062, 13063, 13064, 13065, 13066, 13067,
   13068, 13069, 13070, 13071, 13072, 13073, 13074, 13075, 13076, 13077,
   13078, 13079, 13080, 13081, 13082, 13083, 13084, 13085, 13086, 13087,
   13088, 13089, 13090, 13091, 13092, 13093, 13094, 13095, 13096, 13097,
   13098, 13099, 13100, 13101, 13102, 13103, 13104, 13118, 13119, 13120,
   13121, 13122, 13123, 13124, 13125, 13126, 13127, 13128, 13129, 13130,
   13131, 13132, 13133, 13134, 13135, 13136, 13137, 13138, 13139, 13149,
   13150, 13151, 13152, 13153, 13154, 13155, 13156, 13157, 13158, 13159,
   13160, 13161, 13162, 13163, 13164, 13165, 13166, 13167, 13168, 13169,
   13170, 13171, 13172, 13173, 13174, 13175, 13176, 13177, 13178, 13179,
   13180, 13181, 13182, 13183, 13184, 13185, 13186, 13187, 13188, 13189,
   13190, 13191, 13192, 13193, 13194, 13195, 13196, 13197, 13198, 13199,
   13200, 13201, 13202, 13203, 13204, 13205, 13206, 13207, 13208, 13209,
   13210, 13211, 13212, 13213, 13214, 13215, 13216, 13217, 13218, 13219,
   13220, 13221, 13222, 13223, 13224, 13225
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "RoleId", "role_list",
  "SignedIconst", "ColId", "type_function_name", "NonReservedWord",
  "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,    61,    60,    62,   678,    43,    45,    42,
      47,    37,    94,   679,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   442,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   451,   451,
     451,   451,   451,   451,   452,   453,   454,   454,   455,   455,
     456,   457,   458,   458,   459,   459,   460,   461,   462,   462,
     463,   463,   464,   464,   464,   464,   465,   465,   466,   466,
     467,   467,   467,   467,   467,   467,   468,   468,   468,   469,
     469,   469,   470,   470,   470,   470,   471,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   472,   472,   473,
     473,   474,   474,   475,   475,   475,   475,   476,   476,   476,
     476,   477,   477,   477,   477,   477,   477,   477,   478,   478,
     478,   479,   479,   480,   481,   481,   481,   481,   482,   482,
     483,   483,   484,   484,   485,   485,   485,   485,   485,   486,
     487,   487,   488,   488,   489,   490,   490,   490,   490,   490,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   492,   492,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   494,   494,   495,   495,   495,   496,   496,   497,
     497,   498,   498,   498,   498,   499,   500,   500,   501,   501,
     502,   502,   502,   502,   503,   504,   504,   505,   505,   505,
     505,   506,   506,   507,   507,   508,   508,   509,   509,   510,
     510,   510,   511,   511,   512,   512,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     514,   514,   515,   515,   516,   516,   517,   517,   518,   518,
     519,   520,   520,   520,   520,   520,   521,   521,   522,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   524,
     524,   525,   525,   526,   526,   527,   527,   528,   528,   529,
     529,   529,   530,   530,   531,   532,   533,   533,   534,   534,
     534,   534,   535,   535,   535,   535,   535,   535,   535,   536,
     536,   536,   536,   537,   538,   538,   538,   539,   539,   539,
     539,   539,   539,   540,   540,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   545,   546,
     546,   546,   546,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   553,   553,   553,   553,
     553,   554,   554,   555,   555,   555,   555,   556,   556,   556,
     556,   557,   557,   558,   558,   559,   560,   561,   562,   562,
     562,   563,   564,   565,   565,   566,   567,   568,   568,   569,
     569,   570,   570,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   572,   572,   573,   573,   573,
     574,   574,   575,   575,   576,   576,   577,   577,   578,   578,
     579,   579,   580,   580,   581,   581,   582,   582,   583,   584,
     584,   585,   585,   586,   586,   587,   587,   588,   588,   588,
     589,   590,   590,   591,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   593,   594,
     594,   594,   594,   595,   595,   596,   596,   597,   597,   598,
     598,   599,   599,   600,   600,   601,   602,   602,   603,   603,
     603,   603,   604,   605,   606,   607,   608,   608,   609,   609,
     610,   610,   611,   611,   612,   612,   612,   613,   613,   614,
     614,   615,   616,   616,   616,   617,   617,   618,   619,   619,
     620,   620,   620,   621,   621,   622,   622,   622,   622,   622,
     623,   623,   624,   624,   625,   625,   626,   626,   627,   627,
     627,   628,   628,   628,   628,   629,   629,   630,   630,   631,
     631,   631,   631,   631,   631,   632,   632,   633,   633,   634,
     634,   635,   636,   636,   637,   638,   638,   638,   638,   639,
     640,   641,   641,   641,   641,   641,   641,   641,   641,   641,
     641,   641,   641,   641,   641,   642,   643,   643,   644,   644,
     645,   645,   645,   645,   645,   646,   647,   647,   648,   649,
     649,   650,   650,   651,   651,   651,   652,   652,   653,   654,
     654,   655,   655,   655,   655,   655,   656,   656,   657,   657,
     658,   658,   658,   659,   659,   660,   661,   661,   662,   662,
     663,   663,   664,   664,   665,   665,   666,   667,   668,   668,
     668,   668,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   670,
     670,   671,   671,   672,   672,   673,   674,   674,   674,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   676,   676,   677,   677,   678,   678,   678,
     678,   678,   679,   679,   680,   680,   680,   680,   680,   680,
     680,   680,   680,   680,   680,   680,   680,   681,   681,   682,
     682,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   683,   684,   684,   685,
     685,   686,   687,   687,   688,   688,   688,   688,   688,   689,
     689,   690,   690,   690,   690,   691,   691,   691,   691,   691,
     691,   691,   691,   691,   691,   691,   691,   691,   691,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   695,   696,
     697,   698,   698,   699,   699,   700,   700,   701,   702,   702,
     703,   703,   703,   704,   704,   704,   705,   705,   705,   705,
     706,   707,   707,   708,   708,   709,   709,   710,   710,   711,
     711,   712,   712,   712,   713,   713,   714,   714,   714,   715,
     715,   715,   716,   716,   716,   717,   717,   717,   718,   718,
     719,   719,   720,   720,   721,   721,   722,   722,   723,   723,
     723,   723,   723,   724,   724,   724,   724,   724,   725,   726,
     727,   727,   727,   728,   728,   728,   729,   730,   730,   730,
     730,   731,   731,   732,   732,   733,   733,   733,   733,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   733,   733,
     734,   734,   734,   734,   735,   735,   736,   736,   737,   738,
     738,   739,   740,   740,   741,   741,   742,   742,   743,   743,
     744,   744,   745,   745,   745,   745,   746,   746,   747,   748,
     748,   749,   749,   750,   750,   750,   751,   751,   751,   752,
     753,   753,   754,   754,   754,   755,   755,   756,   756,   757,
     757,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   759,   759,   760,   760,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   763,   764,   764,   764,   765,   765,   766,
     766,   766,   766,   766,   767,   767,   768,   768,   768,   768,
     769,   769,   769,   770,   770,   771,   772,   772,   773,   774,
     774,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   776,   776,   776,   777,   777,
     777,   777,   777,   778,   778,   778,   779,   779,   780,   780,
     780,   780,   781,   781,   781,   781,   782,   783,   784,   784,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   786,   786,   787,   787,
     788,   789,   789,   790,   791,   791,   792,   792,   793,   794,
     794,   794,   794,   794,   794,   794,   795,   795,   796,   797,
     797,   797,   797,   797,   797,   798,   799,   799,   799,   800,
     800,   801,   801,   801,   801,   801,   802,   802,   803,   803,
     803,   803,   804,   804,   805,   805,   806,   806,   807,   807,
     808,   808,   809,   809,   810,   810,   810,   810,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   812,   812,   813,
     814,   814,   815,   815,   815,   816,   817,   817,   818,   818,
     818,   818,   819,   819,   820,   820,   821,   821,   821,   821,
     822,   823,   823,   823,   824,   824,   825,   826,   826,   827,
     828,   828,   829,   830,   830,   831,   831,   831,   831,   831,
     831,   831,   831,   832,   832,   833,   834,   834,   835,   835,
     836,   837,   838,   839,   839,   840,   841,   842,   842,   842,
     842,   842,   843,   843,   843,   844,   844,   845,   845,   846,
     846,   846,   846,   846,   846,   846,   846,   847,   847,   848,
     848,   848,   848,   848,   848,   849,   849,   850,   850,   851,
     852,   852,   853,   853,   854,   854,   854,   854,   854,   854,
     854,   854,   854,   855,   855,   856,   856,   856,   857,   857,
     857,   857,   858,   858,   859,   860,   860,   861,   861,   862,
     862,   862,   862,   863,   863,   864,   864,   864,   865,   865,
     866,   866,   867,   868,   868,   868,   869,   870,   870,   871,
     871,   872,   872,   873,   873,   874,   874,   875,   875,   876,
     876,   877,   878,   878,   878,   878,   879,   879,   880,   880,
     881,   881,   882,   882,   883,   883,   883,   883,   883,   883,
     883,   884,   884,   884,   884,   884,   884,   885,   885,   885,
     885,   886,   886,   887,   887,   887,   887,   887,   888,   888,
     888,   888,   889,   889,   890,   890,   891,   891,   891,   891,
     892,   892,   893,   893,   893,   894,   894,   895,   896,   896,
     897,   897,   898,   898,   899,   899,   900,   900,   900,   901,
     901,   902,   902,   903,   904,   904,   904,   904,   904,   904,
     905,   905,   905,   906,   906,   906,   906,   906,   906,   906,
     907,   907,   907,   907,   908,   908,   909,   909,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   911,
     911,   912,   912,   913,   913,   914,   915,   916,   916,   917,
     917,   918,   919,   920,   920,   920,   920,   920,   920,   921,
     921,   922,   922,   923,   923,   923,   923,   924,   925,   925,
     925,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   927,   927,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     931,   931,   931,   931,   931,   931,   931,   932,   932,   933,
     933,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   935,   935,   936,   936,   936,   936,   937,
     938,   938,   939,   939,   940,   940,   941,   941,   941,   942,
     942,   942,   942,   943,   943,   944,   944,   945,   945,   946,
     946,   947,   948,   948,   948,   949,   950,   950,   951,   951,
     952,   952,   952,   953,   953,   954,   954,   954,   954,   954,
     955,   955,   955,   956,   956,   956,   957,   957,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   959,   959,   960,
     960,   961,   961,   961,   961,   961,   961,   962,   962,   963,
     963,   964,   964,   965,   965,   966,   966,   966,   967,   967,
     968,   968,   969,   969,   969,   969,   969,   969,   969,   969,
     970,   970,   971,   972,   972,   973,   973,   973,   973,   973,
     973,   974,   975,   976,   976,   976,   977,   977,   978,   979,
     979,   980,   981,   981,   982,   982,   983,   983,   984,   984,
     984,   984,   985,   985,   986,   986,   987,   987,   988,   988,
     989,   989,   990,   991,   991,   992,   992,   993,   993,   993,
     993,   994,   994,   995,   995,   996,   996,   997,   998,   999,
    1000,  1001,  1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1005,  1006,
    1007,  1008,  1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,
    1011,  1011,  1012,  1012,  1012,  1012,  1013,  1013,  1013,  1013,
    1013,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     1,     2,     3,     2,     1,     1,
       2,     1,     2,     1,     2,     3,     4,     3,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       4,     6,    10,    13,     4,     6,    10,    13,     4,     6,
       4,     6,     5,     7,    11,    14,     1,     3,     2,     3,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     8,
       4,     2,     4,     3,     6,     4,     3,     3,     3,     3,
       3,     4,     4,     3,     3,     3,     3,     3,     3,     4,
       4,     3,     2,     3,     2,     2,     3,     3,     2,     2,
       3,     1,     3,     2,     1,     1,     0,     2,     0,     2,
       0,     1,     1,     1,     3,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     7,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     3,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    11,
      14,    10,    13,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     4,     4,     2,     0,     3,     1,
       1,     2,     2,     1,     3,     4,     5,     2,     5,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     7,     5,     2,     3,
       0,     8,     4,     1,     0,     6,     5,     4,     6,     1,
       0,     1,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     0,     1,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       5,     2,     0,     2,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     7,     6,     8,     8,     8,
       8,     6,     6,     7,     7,     8,     6,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     6,     8,     7,
       6,     4,     0,     1,     3,     4,     1,     3,     1,     2,
       2,     2,     2,     1,     1,    10,     2,     0,     2,     2,
       1,     0,     4,     6,     5,     4,     4,    10,    13,     5,
       7,     8,     1,     1,     1,     7,     9,     8,    15,    20,
       1,     1,     2,     1,     3,     1,     1,     1,     3,     1,
       3,     0,     1,     0,     1,     1,     4,     0,     1,     3,
       0,     1,     1,     1,     1,     2,     0,     0,     2,     2,
       1,     2,     2,     2,     2,     6,     8,    11,    13,     1,
       3,     5,     1,     3,     5,     1,     2,     2,     1,     8,
       4,     5,     4,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     5,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     7,     9,     9,     3,     0,    13,     1,
       3,     5,     6,     4,     7,     2,     1,     0,     2,     0,
       2,     4,     0,     1,     0,     6,     8,     8,     1,     3,
       5,     5,     7,     9,     7,     9,     5,     6,     6,     4,
       5,     7,     1,     1,     1,     2,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       3,     1,     2,     2,     3,     5,     2,     2,     0,     6,
       7,     7,     7,     8,     8,     6,     8,     9,     9,     7,
      10,     7,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     1,     3,
       2,     3,     3,     3,     3,     1,     1,     8,     9,     9,
       9,     9,     2,     0,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       2,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     3,     4,     4,     3,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     1,     3,     2,
       6,     6,     9,     3,     0,     3,     0,     5,     2,     0,
       3,     3,     3,     7,     7,    10,     1,     1,     1,     1,
      14,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     5,     5,     7,     2,     0,     1,     2,     0,     1,
       1,     0,     1,     1,     0,     9,    12,     7,     2,     0,
       3,     2,     1,     3,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     1,     2,     4,     5,     1,     1,     1,
       1,     3,     3,     2,     2,     1,     2,     2,     2,     1,
       2,     2,     1,     1,     1,     3,     2,     0,     2,     1,
       3,     5,     1,     2,     1,     0,     5,     7,     5,     7,
       5,     7,     3,     5,     5,     5,     1,     3,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,     4,     4,     4,     1,     1,     1,     0,     5,
       5,     7,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     6,     6,     6,     8,     6,     8,     6,
       8,     7,     9,     6,     8,     7,     9,     8,    10,     9,
      11,     8,     9,    11,     8,     8,     7,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       8,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     7,     6,     6,     6,     6,     6,
       7,     7,     7,     9,     9,     6,     6,     6,     8,     8,
       8,     6,     7,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     6,     8,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     2,     0,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     4,     3,     3,     1,     0,     5,     6,
       4,     2,     0,     4,     3,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,    10,     4,     2,     5,     2,
       0,     4,     5,     5,     4,     6,     1,     3,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     0,     5,     3,     0,     1,     1,
       1,     1,     3,     9,     3,     0,     2,     3,     2,     3,
       6,     1,     4,     2,     1,     3,     2,     2,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     8,     1,     3,     1,     1,
       3,     5,     2,     1,     3,     7,     1,     0,     3,     2,
       2,     2,     0,     2,     2,     1,     1,     3,     3,     1,
       2,     4,     4,     2,     3,     5,     5,     1,     1,     9,
       1,     2,     4,     4,     4,     2,     3,     1,     3,     6,
       1,     0,     2,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     2,     3,
       2,     0,     1,     3,     2,     2,     3,     2,     3,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     4,     2,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     2,     6,     2,     1,     3,
       4,     0,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     1,     3,     3,     3,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     2,     3,     0,     3,     3,     2,     2,     1,
       0,     2,     2,     3,     2,     1,     1,     3,     5,     1,
       2,     4,     2,     0,     1,     0,     1,     2,     2,     2,
       3,     5,     1,     2,     0,     2,     1,     0,     1,     1,
       1,     3,     3,     1,     0,     1,     3,     3,     2,     1,
       1,     1,     3,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     6,     2,     3,     6,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1401,  1197,   547,  1285,  1284,  1197,   244,     0,  1287,     0,
    1197,   371,   959,     0,     0,     0,     0,   547,  1197,     0,
    1401,     0,     0,     0,     0,  1414,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  1421,     0,
       0,     0,     0,  1414,     0,  1289,     0,     0,     0,     0,
       2,     4,    61,    62,    26,    25,    31,    30,    84,    85,
      49,    17,    75,    55,   118,   117,   119,    37,    33,    69,
      22,    24,    34,    38,    57,    39,    50,    96,    56,    20,
      54,    79,    58,    82,    44,    11,    12,    45,    73,    13,
      46,    74,    14,    47,    15,    63,    86,    29,    59,    83,
      60,     5,    40,    71,    67,    10,    51,    52,    53,    76,
      77,    78,   101,    81,   113,    36,   110,    90,    91,   107,
      92,   108,     8,    93,    48,    16,   104,   103,   105,    70,
      41,    72,   102,    23,   106,    18,    19,   109,    80,    99,
      95,   114,   112,   120,    97,    64,     6,     7,    87,    21,
      43,     9,    28,    27,    42,    35,   116,    32,  1287,    89,
     100,    88,    65,    94,    68,    98,   115,    66,   111,  1388,
    1375,  1423,  1387,  1400,     0,  1390,  1196,  1195,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   546,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1207,
    1946,  1961,  1962,  1963,  1964,  1965,  1966,  1967,  1968,   342,
    1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,  1977,  1978,
    2220,  2221,  2222,  2223,  1979,  1980,  1981,  1982,  1983,  1984,
    1985,  2224,  2225,  1986,  1987,  1988,  1989,  1990,  2226,  1991,
    1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,
    2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2227,
    2228,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,
    2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,  2033,  2034,  2035,  2229,  2036,  2037,  2038,
    2230,  2039,  2040,  2041,  2231,  2042,  2043,  2044,  2045,  2046,
    2047,  2048,  2232,  2049,  2050,  2051,  2052,  2053,  2054,  2055,
    2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2233,
    2065,  2066,  2067,  2068,  2234,  2235,  2236,  2069,  2070,  2071,
    2072,  2073,  2074,  2075,  2076,  2077,  2078,  2237,  2079,  2080,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2238,  2239,  2096,  2097,  2240,
    2098,  2099,  2100,  2241,  2101,  2242,  2102,  2103,  2104,  2105,
    2106,  2107,  2108,  2109,  2243,  2110,  2244,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2118,  2245,  2119,  2246,  2122,  2120,
    2121,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2247,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2248,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
    2160,  2161,  2162,  2163,  2249,  2164,  2165,  2166,  2250,  2167,
    2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,
    2251,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2252,
    2253,  2186,  2254,  2187,  2255,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2256,  2257,  2205,  2206,  2207,  2208,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2258,  2259,  2260,  2261,
    2262,  2263,  2264,  2265,  2266,  2217,  2218,  2219,   341,  1366,
    1917,  1947,  1948,  1286,  1267,   547,     0,  1184,   370,     0,
       0,     0,     0,     0,     0,     0,     0,   736,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   167,     0,
       0,   394,   393,     0,     0,     0,   931,   399,     0,     0,
       0,     0,     0,   535,  1328,  2120,  1326,  1367,   245,   248,
     249,   246,   247,  1939,     0,  1038,  1039,  1041,     0,     0,
    1051,   771,   772,     0,   770,     0,   774,     0,     0,     0,
     766,     0,     0,     0,     0,     0,   773,   763,     0,   762,
       0,     0,     0,   769,     0,   764,     0,     0,  1185,  1325,
     400,  1401,     0,  1303,  1304,  1305,  1287,  1294,  1306,  1299,
    1301,  1300,  1302,  1298,  1938,  1962,   870,   870,   870,   870,
     867,   868,   870,   870,   870,  2137,     0,     0,   849,     0,
     851,  1943,   870,   875,   455,   455,   455,     0,   874,   879,
     455,  1178,  1216,  1922,  1413,     0,   850,  1177,  2186,  1317,
       0,     0,     0,  1055,     0,  1056,     0,  2152,  1189,   229,
    2162,  2252,  2186,   228,   223,   224,   197,  1966,     0,     0,
     874,     0,  1186,  1187,   833,  1420,  1418,  1904,  1984,  1997,
    2082,   220,  2148,  2153,  2162,  2252,  2186,  2216,   176,   186,
     181,     0,   238,  2162,  2252,  2186,   234,  1207,     0,  1391,
    1506,  1913,     0,  1180,  1179,  1288,     0,  1291,     0,  1468,
    2133,  1395,  1397,  1293,  1388,     0,     0,     1,  1401,  1282,
    1417,  1417,     0,  1417,     0,  1380,  1388,  1383,  1387,     0,
       0,     0,     0,  1946,  2267,  2268,  2269,  2270,  2271,  2272,
    2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,
    2283,  2284,  2285,  2286,  2287,  2288,     0,     0,  1923,  1947,
    1951,     0,   781,     0,   124,  1918,   919,     0,     0,     0,
       0,  1917,     0,     0,     0,     0,  1952,     0,  1940,  1953,
    1954,  1955,     0,  2054,     0,     0,     0,  1816,  1988,  2039,
    1826,  1824,  1825,  1818,  1819,  1820,  1821,  1822,  1823,     0,
    1036,  1817,     0,   146,   124,     0,     0,  2054,     0,     0,
       0,     0,     0,  2054,     0,     0,     0,     0,     0,  2085,
     124,  2054,     0,     0,  1201,     0,     0,     0,  1203,  1206,
    1182,  1270,     0,  1913,     0,     0,   812,   802,     0,   813,
     803,   808,     0,   815,     0,     0,   805,     0,     0,     0,
     816,     0,   804,   806,   818,   807,   814,     0,     0,   809,
     810,     0,     0,  1193,   455,   348,     0,     0,     0,     0,
       0,   124,  1257,     0,  2054,   124,     0,     0,   398,   397,
     124,   396,   395,  1988,  2039,     0,   958,   124,  2054,     0,
     169,   617,   550,     0,     0,   695,  2085,   124,     0,     0,
       0,     0,     0,     0,   934,     0,     0,   534,   547,  1329,
    1327,     0,  1042,   222,   221,  1040,  2054,     0,   316,     0,
       0,  2054,  1244,   768,     0,   767,  2054,     0,  2054,  1941,
     160,     0,   765,  1988,  2039,  2054,     0,     0,  2054,   152,
    2054,     0,  2054,   316,  2054,   551,     0,  2054,     0,  2054,
    2085,   154,     0,  2054,   316,   779,     0,  1322,     0,  1296,
    2256,  1311,     0,  1307,  1314,  1310,  1401,   870,   869,     0,
     870,     0,   870,     0,   870,     0,   870,     0,     0,     0,
     870,  1944,  1945,   852,     0,   876,     0,     0,   883,   882,
     881,     0,     0,     0,   884,  1510,  1344,     0,  1175,  1192,
       0,     0,     0,   934,  1058,  1058,  1058,  1188,   227,   225,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,  1926,  1928,  1929,  1827,  1894,     0,  2221,  2222,  2223,
    1885,     0,  2224,  2225,  2226,  2269,  1735,  1722,  1731,  1736,
    1723,  1725,  1732,  2227,  2228,  2023,  2229,  2230,  1936,  2231,
    2232,  2234,  2235,  2236,  2237,  1727,  1729,  2238,  2239,     0,
    1937,  2241,  2242,  2106,  2244,  2245,  2247,  2248,  1733,  2250,
    2251,  2252,  2253,  2254,  2255,  1935,     0,  1734,  2257,  2259,
    2260,  2261,  2262,  2263,  2264,  2265,  2266,     0,     0,  1910,
       0,  1704,     0,  1550,  1551,  1573,  1574,  1552,  1579,  1580,
    1592,  1553,     0,  1909,  1617,  1784,  1703,  1718,  1709,     0,
    1702,  1698,  1403,  1903,  1905,     0,  1699,  1925,  1927,  1886,
     189,   240,     0,   241,  1911,  2162,   177,   219,   191,   218,
     192,   190,     0,  1986,   178,     0,     0,   179,     0,     0,
       0,     0,   237,   235,     0,  1183,     0,  1508,  1507,     0,
       0,  1892,  1914,   788,  1280,  1281,  1279,     0,  1276,  1278,
    1290,  1287,  1899,  1898,  1900,     0,  1396,     0,     0,     0,
    1378,  1377,     3,  1293,  1415,  1416,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,  1431,  1432,  1434,  1455,  1459,
    1467,     0,  1384,     0,     0,  1512,     0,  1469,     0,     0,
    1924,     0,     0,     0,     0,   782,     0,     0,     0,     0,
       0,     0,   123,  1242,   231,  1240,     0,     0,     0,     0,
       0,     0,     0,  1249,     0,     0,   158,   159,   562,   547,
       0,  2054,     0,     0,     0,     0,   998,  1005,     0,     0,
       0,     0,     0,     0,     0,   999,   997,  1000,   233,  1009,
    1022,  1025,     0,   909,     0,     0,     0,     0,     0,  1107,
       0,     0,  1107,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   254,   266,   311,   527,     0,
       0,   529,     0,  2054,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
     514,   526,     0,     0,     0,     0,     0,   523,     0,   124,
     258,   507,   511,     0,     0,     0,   626,   625,  1247,  1246,
       0,     0,     0,  1107,     0,   250,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   334,   335,     0,     0,     0,   128,   151,     0,     0,
       0,   260,     0,     0,  1202,  1199,  1200,     0,  1205,     0,
    1266,     0,     0,     0,     0,   820,     0,   817,     0,     0,
     811,  1988,  2039,     0,     0,     0,     0,     0,     0,   373,
     347,     0,     0,   692,     0,     0,  1949,  1561,  1590,  1568,
    1590,  1590,  1557,  1557,  1570,  1558,  1559,  1597,     0,  1590,
    1557,  1562,     0,  1560,  1600,  1600,  1585,     0,  1542,  1543,
    1544,  1545,  1571,  1572,  1546,  1577,  1578,  1547,  1614,  1557,
    1950,     0,     0,   703,     0,  1219,  1256,     0,     0,     0,
     556,     0,  2054,     0,   126,   737,     0,   693,   399,     0,
     126,     0,     0,   163,     0,   621,     0,     0,     0,     0,
       0,     0,   641,   640,     0,     0,     0,   694,     0,   126,
       0,   510,  2054,     0,   455,   455,     0,     0,   933,   936,
       0,     0,     0,  1370,  1372,  1371,     0,  1369,     0,   316,
     314,   315,   690,  1050,     0,     0,     0,     0,   316,     0,
       0,  2054,   316,  2054,     0,  2054,     0,     0,   316,   316,
       0,     0,     0,     0,   622,     0,   778,   776,   775,   777,
       0,     0,     0,     0,     0,  2054,   316,     0,     0,   759,
    1837,     0,     0,  1401,     0,   208,   209,   207,  1312,   210,
    1313,  1309,  1295,     0,   860,     0,   864,     0,   855,     0,
     861,     0,   856,   853,   854,     0,   859,     0,     0,   456,
     458,     0,     0,  2008,  2022,     0,  2045,  2073,  2074,  2153,
    2158,     0,  2181,  2190,     0,   885,   914,   880,     0,     0,
    1354,  1176,  1843,     0,  1401,     0,     0,  1057,  1054,  1053,
    1052,   226,   198,     0,     0,     0,   916,  2152,  1191,   832,
     547,     0,  1700,     0,  1707,  1708,  1589,  1576,  1884,     0,
       0,  1584,  1583,     0,     0,     0,     0,     0,  1566,  1565,
    1564,  1706,  1851,     0,  1563,     0,     0,     0,     0,  1590,
    1590,  1588,  1637,     0,  1567,     0,     0,  1864,     0,  1870,
       0,     0,     0,  1596,     0,  1594,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,  1621,  1622,  1704,
    1837,     0,  1705,  1932,     0,     0,  1582,     0,  1614,  1908,
    1827,     0,     0,     0,     0,  1897,     0,  1835,     0,     0,
    1651,  1833,     0,  1653,     0,     0,     0,  1826,  1824,  1825,
    1818,  1819,  1820,  1821,  1822,  1823,  1831,  1634,     0,     0,
    1786,     0,  1633,     0,  1471,     0,     0,  1930,  1887,   242,
     243,   239,     0,     0,   194,   193,     0,   212,   216,   217,
     188,   215,     0,   211,   196,  1775,  1774,   195,   187,   184,
     182,   199,   201,   202,   185,   183,   236,     0,     0,  1956,
    2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,
    2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,
    2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,
    2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  1889,  1888,  1920,
    1957,  1958,  1959,  1960,  1893,     0,     0,   316,  1274,     0,
    1271,  1902,     0,  1398,     0,  1915,     0,  1283,  1394,  1393,
    1424,  1425,   951,  1392,  1449,  1450,  1445,     0,     0,     0,
    1464,  1462,  1441,  1435,  1440,  1438,     0,  1442,  1617,  1457,
    1382,  1429,  1430,  1433,  1381,     0,  1460,     0,  1354,  1458,
    1434,  1341,     0,     0,  1513,     0,   973,   975,     0,   974,
       0,   977,     0,   986,     0,     0,   972,   991,     0,   980,
     978,     0,     0,     0,     0,     0,     0,   783,     0,     0,
       0,     0,     0,     0,  2181,   230,  1238,     0,     0,     0,
       0,   918,   917,     0,     0,   938,     0,     0,     0,  1252,
     444,     0,   313,     0,     0,     0,     0,     0,     0,     0,
       0,   688,   685,     0,     0,   684,     0,   560,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   596,     0,  1107,     0,
     629,     0,  1007,     0,  1006,     0,     0,     0,  1008,  1003,
    1004,  2153,  2162,  2186,   232,  1024,     0,  1023,  1021,   961,
       0,   962,     0,     0,     0,     0,     0,  2032,   268,   281,
       0,  1106,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   302,     0,   305,   304,     0,     0,     0,
       0,     0,   309,     0,     0,     0,   308,     0,     0,   528,
       0,     0,     0,  1107,     0,   262,     0,     0,     0,     0,
       0,     0,  1037,     0,   149,     0,   145,   148,     0,     0,
       0,     0,   513,   525,     0,   517,   518,   515,   519,   520,
       0,     0,     0,     0,     0,     0,   512,     0,     0,   619,
     618,   624,     0,     0,     0,     0,     0,     0,     0,     0,
    1060,  1059,     0,     0,     0,     0,     0,     0,   727,     0,
       0,     0,     0,     0,     0,     0,   632,   633,     0,   634,
       0,   150,     0,     0,     0,     0,     0,     0,     0,   206,
    1198,  1204,  1269,  1921,  1268,     0,     0,     0,   819,     0,
       0,     0,     0,     0,     0,     0,   821,   822,   823,   824,
       0,     0,     0,     0,     0,   350,   351,   124,   349,  1949,
       0,   716,   691,     0,  1542,     0,  1538,  1534,  1603,  1604,
    1605,  1602,  1615,  1601,     0,  1548,  1606,  1557,  1554,   704,
       0,   706,   709,     0,  1217,   417,     0,     0,   553,   596,
       0,   402,   156,     0,     0,     0,     0,   122,   167,   169,
     400,     0,   168,   170,   172,   173,   174,   171,   175,   616,
     620,     0,   549,     0,     0,     0,     0,     0,   642,   646,
     645,   649,   647,     0,   643,     0,     0,  1530,     0,   144,
       0,   506,   509,     0,     0,     0,   402,   486,   327,     0,
     455,     0,     0,   935,     0,     0,     0,     0,     0,     0,
       0,  1368,     0,  1028,     0,  1245,  2054,   316,     0,  1026,
     161,  1942,     0,   760,     0,     0,     0,     0,     0,  1030,
     756,   153,     0,   316,   316,   552,     0,   316,   155,     0,
       0,     0,   544,   316,   780,  1324,     0,   455,  1297,  1308,
     857,   866,   865,   863,   862,   858,     0,   877,     0,   454,
       0,     0,     0,   891,   892,     0,     0,   890,   907,   893,
       0,   895,   887,   886,   896,   897,     0,     0,   916,     0,
    1351,     0,  1349,     0,  1511,  1353,  1342,  1316,     0,  1315,
    1319,  1321,  1320,  1318,     0,   500,     0,     0,   874,     0,
       0,   316,  1190,     0,   834,   835,   841,     0,     0,     0,
       0,     0,   842,   838,   839,   840,   843,   844,   845,     0,
       0,     0,  1895,  1847,     0,  1848,     0,     0,     0,  1883,
    1879,     0,     0,     0,     0,     0,     0,  1852,  1855,  1856,
    1857,  1854,  1858,  1853,     0,     0,  1859,     0,     0,     0,
       0,     0,  1587,  1586,     0,     0,     0,     0,     0,     0,
       0,  1676,  1709,     0,     0,  1811,     0,  1837,  1869,     0,
       0,  1598,     0,     0,     0,     0,     0,     0,     0,  1837,
    1875,     0,     0,     0,     0,  1773,     0,  1770,     0,     0,
       0,     0,  1894,     0,     0,     0,     0,  1933,  1618,  1635,
    1907,     0,  1896,     0,     0,  1619,  1642,     0,  1876,  1669,
       0,  1674,  1657,     0,  1650,     0,  1655,  1659,  1638,  1897,
    1836,     0,  1834,     0,     0,  1636,     0,  1631,  1629,  1630,
    1623,  1624,  1625,  1626,  1627,  1628,  1632,  1815,  1813,  1814,
       0,     0,     0,  1794,     0,     0,  1654,  2047,  2082,     0,
    1414,  1414,  1414,  1402,  1412,     0,  1525,  1906,     0,     0,
       0,     0,  1710,     0,  1841,  1423,  1839,  1923,  1912,     0,
       0,  1614,     0,  1509,  1890,     0,   786,   787,   785,  1293,
    1277,  1273,  1272,  1901,  1292,     0,  1401,     0,   949,   950,
       0,   954,     0,     0,  1443,  1465,     0,  1456,     0,  1447,
    1448,  1439,  1466,  1461,  1386,  1385,     0,  1528,     0,     0,
    1338,  1331,  1514,     0,  1471,  1356,  1358,  1359,     0,  1894,
     976,     0,  1557,   987,     0,   971,     0,   970,  1557,     0,
     988,     0,  1557,     0,     0,     0,  1135,  1062,  1111,   784,
    1136,  1063,  1112,  1137,  1064,  1239,     0,  1241,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   667,  2054,   316,  1250,  1138,     0,  1065,   312,
    1251,  1113,  1255,   687,   686,     0,     0,  1114,     0,   561,
       0,     0,   566,   567,   568,     0,     0,     0,   569,     0,
    1988,  2039,     0,   574,   581,   586,   576,     0,   587,   582,
       0,     0,     0,     0,     0,     0,   593,   600,     0,     0,
       0,     0,     0,     0,  1001,  1002,  1139,  1068,     0,  1115,
     960,     0,  1069,   157,     0,     0,   255,   269,   602,   667,
    1109,   288,   301,   296,   297,   295,  2054,   316,  2054,   316,
       0,     0,     0,     0,   298,   293,   294,   290,   303,  1965,
    2024,  2163,     0,   606,   608,     0,   613,   306,  1083,   323,
     322,   321,     0,   310,     0,   328,   331,   307,   286,   289,
     287,   283,   267,     0,     0,     0,     0,     0,     0,     0,
    1919,     0,     0,  1032,     0,     0,     0,   147,  1097,   137,
       0,     0,   133,     0,     0,     0,     0,   127,     0,  1145,
    1073,     0,     0,   259,   508,   516,   521,  1077,   524,  1125,
     522,  1151,  1074,     0,  1107,     0,   251,     0,  1075,     0,
    1119,  1147,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,   316,     0,
       0,     0,  1109,  2054,   316,  1146,     0,  1104,  1133,     0,
     336,     0,  1098,     0,     0,   261,  1079,  1127,     0,     0,
     204,   203,   205,     0,     0,     0,     0,     0,     0,     0,
       0,   826,   795,   825,     0,     0,     0,   789,   372,   345,
     346,   348,   355,     0,   715,     0,     0,  1539,  1535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1555,   705,
       0,     0,     0,     0,  1237,  1237,  1237,  1237,  1237,  1237,
    1237,  1218,  1248,     0,   124,     0,     0,     0,   555,   595,
     602,     0,     0,     0,   401,   405,   409,   410,   411,     0,
       0,     0,     0,   138,   125,     0,   745,     0,   455,     0,
     169,   162,     0,     0,     0,   327,   702,   700,   699,   701,
       0,     0,     0,   720,   698,     0,  1529,  1531,     0,     0,
       0,     0,   500,   404,     0,   458,     0,     0,   490,     0,
       0,     0,   327,     0,     0,   965,     0,   983,   966,     0,
       0,     0,  1012,  1017,  1013,   993,     0,   532,  1373,  1374,
       0,   316,     0,     0,   597,   316,   316,     0,   316,     0,
     316,   316,     0,  1173,   623,     0,   675,     0,     0,   316,
     758,  1838,   878,   457,     0,     0,     0,     0,   889,     0,
     530,   894,     0,   906,   901,   903,     0,   910,  1352,  1345,
    1347,  1346,     0,     0,  1343,  1844,   757,     0,   505,     0,
       0,   316,     0,   911,     0,   836,   837,     0,     0,   846,
       0,     0,  1419,  1845,  1846,     0,     0,     0,     0,  1880,
       0,     0,  1748,     0,  1724,  1726,  1556,  1738,     0,  1569,
    1749,  1750,  1728,  1730,     0,  1828,     0,     0,  1739,  1678,
    1679,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1691,  1690,  1740,  1810,     0,     0,
    1867,  1868,  1741,  1599,  1600,  1600,     0,     0,  1874,     0,
       0,     0,  1746,  1751,     0,     0,     0,     0,  1757,     0,
    1778,     0,     0,     0,  1701,  1838,  1591,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,  1675,  1658,  1652,     0,
    1656,  1660,     0,     0,     0,     0,  1644,  1670,  1640,     0,
       0,  1646,     0,  1671,     0,     0,     0,  1717,  1414,  1414,
    1414,  1414,  1411,     0,     0,     0,     0,  2150,     0,  1492,
    1470,  1472,  1479,  1492,  1497,  1719,  1523,  1720,     0,  1913,
       0,  1452,  1423,  1423,  1423,  1716,     0,     0,     0,  1422,
     180,     0,   213,   200,     0,  1275,  1916,     0,  1426,     0,
    1829,   954,   952,   953,  1428,     0,     0,  1463,  1436,  1340,
       0,  1338,  1333,     0,  1334,  1894,     0,  1330,  1363,     0,
       0,  1528,     0,  1362,     0,  1557,   968,   969,     0,   992,
       0,  1134,  1061,  1110,  1237,   921,   922,     0,   920,     0,
       0,     0,   443,   937,     0,     0,     0,   667,     0,     0,
     447,     0,  1253,     0,  1152,  1096,   563,   564,     0,   575,
       0,   584,   583,     0,     0,   571,     0,     0,     0,     0,
     570,   589,   536,   590,   592,     0,     0,   591,   594,   599,
    1107,     0,   630,  1085,     0,  1131,   995,     0,   963,     0,
       0,     0,     0,   417,   282,     0,     0,     0,   270,   280,
       0,     0,   285,     0,   278,   299,   291,   300,   292,   610,
     611,   609,   605,     0,   612,   614,     0,   325,     0,     0,
       0,  1141,     0,  1107,     0,   263,  1081,     0,  1129,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1142,  1116,     0,     0,   130,   129,     0,   136,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   337,   318,     0,   723,     0,     0,     0,
     339,     0,     0,     0,     0,  1140,  1070,   790,     0,     0,
     791,   799,     0,     0,   792,     0,     0,   801,     0,     0,
     344,   352,  2106,  1818,  1819,   713,   718,   710,   712,   714,
     711,     0,   717,   667,     0,     0,     0,  1540,     0,  1608,
    1609,  1610,  1611,  1612,  1613,     0,  1607,  1614,   707,   708,
       0,  1237,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   429,     0,     0,   423,     0,     0,
    1017,   416,   419,   420,     0,     0,   556,   559,   557,   558,
     588,     0,   436,     0,     0,   140,     0,     0,   141,   139,
       0,     0,   327,     0,   165,   400,     0,     0,   548,   648,
     651,   644,     0,   719,   721,   696,     0,   602,     0,     0,
    1325,   496,     0,   486,   482,   484,   483,   485,     0,   492,
     326,     0,   500,   492,     0,   938,   964,     0,     0,     0,
    1010,  1014,  1011,     0,     0,   979,     0,   994,   957,  1168,
    1169,  1166,  1167,     0,     0,  1365,  1029,     0,   316,  1027,
     761,     0,   752,     0,   754,  1031,   316,   316,   635,     0,
     545,     0,     0,     0,   888,   908,     0,   904,     0,     0,
     871,   913,  1350,  1348,   498,     0,   916,     0,   872,   915,
       0,     0,     0,     0,     0,  1849,  1575,     0,  1882,  1878,
       0,  1721,  1850,     0,  1862,  1861,  1677,  1863,     0,  1696,
       0,     0,  1688,  1686,  1687,  1680,  1681,  1682,  1683,  1684,
    1685,  1689,  1872,  1871,  1865,  1866,  1595,  1593,     0,  1743,
    1744,  1745,  1873,  1752,     0,  1979,  1779,  1756,  1772,  1771,
       0,     0,     0,  1759,     0,     0,  1768,     0,  1812,  1581,
    1614,  1620,     0,     0,  1643,  1877,  1661,     0,     0,     0,
    1639,     0,     0,     0,     0,  1648,  1828,     0,     0,     0,
       0,  1797,  1792,  1793,     0,     0,     0,     0,  1405,  1404,
    1410,  1492,  1497,     0,  1388,     0,  1479,     0,  1491,  1477,
    1490,     0,     0,  1503,  1501,     0,  1503,     0,  1503,     0,
    1474,     0,  1493,  1475,  1490,  1522,  1515,     0,  1914,  1524,
       0,  1454,     0,     0,     0,     0,  1842,     0,  1840,  1711,
       0,  1891,  1399,     0,  1427,  1444,  1437,  2004,  1526,  1339,
       0,     0,  1336,  1337,     0,     0,  1357,  1338,  1360,   989,
       0,     0,   981,     0,   927,   928,   926,   929,     0,     0,
       0,   667,     0,     0,   463,     0,   945,   945,     0,     0,
     449,   495,  1017,   670,     0,     0,     0,   668,   316,  1066,
       0,   585,     0,     0,   580,   578,   577,   579,   537,  1150,
    1067,     0,     0,     0,     0,   996,     0,     0,  1084,     0,
     414,     0,   275,  1108,     0,     0,     0,   274,     0,   316,
     316,   607,   324,   329,   330,   333,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   729,
       0,     0,   747,   748,     0,     0,     0,  1034,  1035,  1033,
     134,   131,   132,   135,  1094,  1078,  1126,     0,     0,  1076,
       0,  1120,  1091,  1087,     0,     0,     0,     0,     0,  1149,
    1103,  1124,  1148,  1101,  1122,  1100,  1121,  1102,  1123,  1095,
       0,  1533,   726,     0,     0,     0,   316,   316,   637,  1080,
    1128,     0,   793,     0,     0,   794,   796,   375,     0,   378,
     385,   356,   361,  1257,     0,  1257,     0,   358,   362,  1257,
     357,  1257,   354,   689,     0,     0,     0,  1536,  1541,  1616,
    1549,   666,     0,  1228,  1227,  1226,  1230,  1229,  1232,  1231,
    1223,  1222,  1235,  1234,  1221,  1220,  1225,  1224,     0,   421,
       0,   427,   431,   432,   430,   422,  1017,   455,   494,     0,
       0,   679,     0,   554,   402,   433,     0,   406,   143,   142,
       0,     0,     0,   169,     0,     0,   653,   657,   697,     0,
    1532,   631,   327,     0,   402,   500,     0,   407,   412,   413,
       0,   490,     0,   486,     0,     0,   497,  1215,   501,   502,
       0,     0,   967,   984,   985,     0,     0,  1017,  1016,     0,
     539,   316,   598,   316,   316,  1174,   676,     0,   900,   899,
     898,   531,     0,   902,   499,   316,     0,     0,     0,     0,
       0,   848,   827,   847,  1881,  1737,  1747,  1860,     0,     0,
    1697,     0,     0,  1742,  2258,     0,     0,     0,     0,  1776,
    1777,  1758,     0,  2097,  1763,     0,     0,     0,  1934,  1667,
    1665,  1662,     0,  1663,     0,     0,  1645,  1641,     0,  1647,
    1672,  1783,     0,  1799,  1796,  1409,  1408,  1407,  1406,  1478,
    1476,     0,  1481,  1488,     0,  1473,     0,  1502,  1498,     0,
    1499,     0,     0,  1500,     0,     0,  1488,     0,  1423,     0,
       0,  1788,  1714,  1715,  1712,  1423,  1931,  1614,     0,     0,
    1332,  1335,     0,  1364,  1355,   982,   990,  1243,     0,     0,
       0,   445,     0,  1017,     0,     0,     0,   948,   948,     0,
    1017,   494,   672,   671,   674,   669,   673,  1254,     0,   572,
     573,  1086,     0,  1132,  1092,     0,  1354,     0,   603,   271,
     272,   273,   276,   318,   284,   277,     0,     0,     0,  1082,
       0,  1130,  1089,  1143,  1071,  1117,     0,     0,   735,     0,
       0,     0,     0,  1144,  1072,  1118,     0,  1354,     0,     0,
       0,     0,  1263,     0,   317,   725,   724,   318,   338,  1105,
       0,   797,   798,   376,   124,     0,   353,     0,   383,     0,
     381,   380,   382,     0,   369,     0,     0,     0,     0,     0,
       0,  1537,     0,  1048,  1048,     0,   667,  1233,     0,     0,
     418,   494,   462,     0,   424,     0,     0,     0,     0,     0,
       0,     0,   602,     0,     0,     0,   164,   402,   602,   652,
       0,     0,     0,   722,     0,   404,     0,  1323,   403,     0,
       0,   492,     0,   490,     0,   487,     0,   491,     0,  1208,
       0,     0,  1015,     0,  1019,     0,   978,   955,  1525,     0,
     543,  1049,   753,   755,   636,   905,   912,   316,   828,   829,
     830,   831,  1692,     0,     0,     0,     0,  1753,     0,  1754,
    1781,  1780,  1760,  1764,     0,  1761,  1762,  1664,  1668,  1666,
    1649,  1785,     0,  1423,  1518,     0,  1521,  1480,     0,     0,
    1482,     0,     0,  1484,  1486,     0,     0,     0,     0,     0,
    1917,     0,  1451,  1453,     0,  1389,     0,   214,  1830,  1527,
    1361,   906,     0,   316,   945,   494,   464,  2106,   465,   944,
       0,   946,   951,   951,     0,   494,   667,   565,     0,     0,
     256,   601,     0,   320,   332,     0,  1354,     0,     0,     0,
     742,   730,     0,     0,   749,     0,   252,  1088,     0,     0,
       0,     0,     0,   316,   800,   355,     0,   379,   388,     0,
     386,   359,   364,     0,   368,   366,   365,   360,   363,  1048,
       0,  1045,  1044,   665,     0,   453,   425,     0,   473,     0,
       0,   680,     0,     0,     0,   442,   441,   438,   437,   439,
     440,   435,   434,   627,   739,   327,  1215,   615,   654,   655,
     650,     0,     0,     0,   486,   482,   408,   417,   391,     0,
     492,   488,   489,     0,     0,     0,  1265,     0,   939,  1018,
       0,     0,     0,   538,     0,     0,   542,   533,   873,  1693,
       0,  1694,     0,     0,     0,  1766,  1765,     0,  1802,  1523,
       0,     0,  1517,     0,  1489,  1505,     0,  1485,  1483,  1494,
       0,  1496,  1711,  1787,  1789,     0,  1713,   923,     0,   924,
     948,   468,     0,   947,   954,   954,   455,   667,   446,  1093,
       0,   604,     0,   279,     0,   264,  1090,     0,   733,     0,
     744,   742,     0,     0,     0,  1259,     0,  1260,  1261,  1264,
     340,   343,   374,   384,     0,   367,  1043,  1047,  1046,     0,
       0,   426,   459,   460,   461,     0,   428,   469,   470,     0,
     677,     0,   682,     0,     0,     0,     0,     0,  1209,     0,
       0,  1215,   490,   486,   415,   481,   389,     0,  1212,     0,
     327,     0,  1017,  1020,  1172,   541,   540,  1695,  1769,  1755,
    1782,  1767,  1798,     0,     0,     0,  1516,  1519,     0,  1487,
       0,  1495,     0,     0,     0,   951,     0,   667,     0,   942,
     941,   462,   448,  1354,   319,     0,     0,     0,   740,   743,
     731,   744,   751,   750,  1354,     0,   387,     0,   452,     0,
       0,     0,   471,     0,   472,   493,     0,   681,     0,   602,
     738,     0,     0,   656,     0,  1210,   492,   490,  1213,  1214,
     492,   940,   956,  1171,  1170,  1401,  2220,  2004,  2192,     0,
    1800,  1803,  1801,  1795,     0,  1504,  1790,  1791,   316,   954,
       0,   450,   466,   473,   257,  1354,     0,     0,   732,   253,
    1262,   657,   478,     0,   477,     0,   475,   474,   678,   683,
     628,   728,  1215,   660,   392,   492,  1525,  1154,  1401,  1153,
    1155,  1163,  1160,  1162,  1161,  1159,     0,  1807,  1806,  1805,
    1809,  1808,  1520,   925,   943,     0,   667,   265,   734,   741,
       0,   476,   480,   479,  1211,   662,     0,   658,   661,   663,
     664,   390,   930,     0,  1164,  1158,  1388,  1375,     0,   467,
     451,     0,   638,     0,  1156,  1401,  1804,     0,   659,  1157,
       0,   660,     0,   639
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1223,  2162,  2036,  2843,  2844,
      53,    54,  1301,    55,    56,    57,    58,    59,    60,    61,
    1239,    62,    63,   899,  1453,  2172,    64,  1905,   699,   700,
     701,  1730,  1731,  2100,  1732,  1720,  1138,  1539,  1258,   674,
     675,  1225,  1259,    66,    67,  1132,  1711,    68,    69,    70,
    1285,  1286,  1233,  1492,  3741,  4343,  2673,  2016,  2880,  2674,
    2675,    71,  1351,  1352,    72,    73,  2791,  1391,  2127,  3310,
    3311,  3772,   529,  2124,  4044,  4045,  3758,  3759,  4051,  4229,
    4230,  2173,  1449,  2874,  3403,  2834,  3836,  2835,  3837,  2836,
    3838,  2822,  3361,  3362,  3363,  2837,  3815,  4261,  2838,  1920,
    4371,  2207,  1561,  1559,  4248,  3633,  3634,  4427,  4376,  4377,
    4378,  4506,  3843,  2878,  3409,  3846,  4074,  2572,   613,  1473,
    2948,   614,  2209,   560,   615,  2174,    79,  2201,  1321,  1322,
    2044,  3315,  2931,    80,   918,  3181,  4120,  4296,  4297,    81,
     208,    82,  1457,    83,    84,  2158,  2828,    85,  1937,  2589,
      86,    87,  2616,  2617,  2618,    88,    89,  3203,  3997,  1287,
    2662,  2663,  2664,  2665,  3224,    90,  1455,  1327,  2181,    91,
      92,    93,    94,    95,  2088,    96,    97,  2175,  1465,  2193,
    2194,  3827,  4090,  4270,  4092,  4546,  4547,  4066,  3160,  3647,
      99,   100,  3810,  3811,  4383,   101,  1935,   102,   103,   104,
    1433,  2150,  2151,  3316,  1393,  2130,  2131,  3392,  3393,   105,
    2751,   106,  3698,  3699,   561,  4386,  4350,  4440,   107,   108,
    3702,  3703,   109,   110,   111,   112,   113,   607,   964,   965,
    1215,   114,  1827,   115,   872,  2782,   116,  1029,  2330,  3882,
     117,   638,   978,   979,  2176,   119,   647,  2308,   649,  1574,
    2933,  2934,  3460,  2277,   784,   120,   121,  2288,  2311,   122,
    1226,  1911,  1912,  3628,  2177,   562,  1479,  2212,  2567,  4287,
    3635,  3977,  4192,  2501,  3114,   124,   563,  1263,  1980,  2215,
    2886,  1883,  1884,  1885,  3424,  1886,  2888,  1887,  1209,  1888,
    2893,  2894,  2895,  3420,  3428,  4114,  4115,   125,  1261,  1978,
     126,   127,   128,  1298,   809,   129,   575,   576,   130,  4241,
     131,   930,   132,   666,  1588,   133,   134,  1993,  3210,   135,
     136,   137,  4519,  4553,  4554,  4555,  3433,  4475,   138,  4521,
    1008,   140,   141,   142,   178,   838,   839,   840,  2178,  4109,
     144,   145,  2154,  2821,  3343,   146,   147,  1906,  2557,   148,
     149,   150,   151,  1437,   152,   153,   154,   155,  1370,   156,
    1167,  1168,   157,   158,   524,   717,  1171,  1179,   159,   617,
     972,   973,   974,  1541,   160,  1011,  2299,   618,   967,   162,
     619,  2520,  3123,  3124,  3127,   620,  2517,   165,  1580,  2293,
    2296,   621,  2524,  2525,  2526,  2527,  2528,  3129,   622,   640,
     921,  2220,   623,  1101,   170,   171,   172,   726,   721,   722,
     174,  1704,  2463,   655,  1186,   687,   734,  3099,  1840,  1841,
    1863,  1864,  1195,  1196,  1853,  1855,  2503,  1856,  2511,  1846,
    3591,  3951,  1859,  1860,  1198,  1199,  1200,  1868,   175,  2466,
    3080,  3081,  3082,  3568,  3569,  3583,  3579,  3938,  4163,  3083,
    1006,  1206,  3084,  4154,  4155,  4312,  3586,  3091,  3121,  2865,
    2866,  2867,  1889,  2137,  1418,  1102,  1419,  2148,  1103,  1624,
    1421,  1104,  1105,  1106,  1424,  1107,  1108,  1109,  1110,  1607,
    1666,  1111,  1112,  1643,  2145,  2146,  1530,  2370,  1114,  1115,
    1116,  3086,  1117,  3526,  3906,  3895,  2396,  2397,  1727,  3522,
    3026,  1700,  2453,  4175,  4323,  4324,  3067,  3552,  3923,  4153,
    4415,  4480,  4481,  1118,  2450,  1696,   811,  1119,  3318,  1698,
    2390,  2475,  2476,  1583,  1605,  2336,  2354,  2355,  2367,  2987,
    2374,  2379,  3010,  3011,  2391,  2419,  1120,  2339,  2340,  2970,
    1609,  1121,  1161,  1162,  1602,  2414,  1174,  1175,   719,  1122,
    1123,  1124,  1575,   710,  4159,   519,   774,  2689,  1818,   842,
     652,  1125,  1126,  1127,  1128,   939,   940,  1291,   520,   768,
     788,  2666,   521,   522,   770,  1823
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3923
static const int yypact[] =
{
    5168,     7, 10920, -3923, -3923,     7, -3923, 55085,    14,   646,
    1039,   166, 10604, 55501, 63405,   509,   289,  6460,     7, 63405,
    2357, 40941, 52173, 63405,   918,   810, 40941, 63405, 63821,   966,
    1108,  1150, 64237, 55917, 50925,  1040, 63405,  1190,   326, 64653,
   56333,  1045, 56749,   810, 38047,   118,   984, 65069,  1618,  1450,
    1037, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,    14, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,   195,
   -3923,   861,   204,  1307,   754,  1122, -3923, -3923, -3923, 46349,
   63405, 63405, 63405,  1220, 63405,  1261, 63405,   712, 46349, 46765,
   57165,  1464,  1253, 34632, -3923, 44685, 63405, 63405, 65485, 63405,
     909, 53421, 63405,  1400, 63405, 63405, 47181, 65901,  1524,  1319,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, 63405,  8961,   918, -3923, -3923, 63405,
    1406, 46349, 63405,  1343, 63405,  1420, 63405, -3923, 63405,  1491,
   66317,   716,  1522, 46765,  1763, 35062,  1513, 46765, 66733, 63405,
   63405, -3923, -3923,  1544, 63405, 63405, -3923,  1674, 47597,  1411,
    1682,  1827,  1745,  1050, -3923, 57581, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, 45101,   289, -3923, -3923, 48013, 63405,
    1759, -3923, -3923, 67149, -3923,  1577, -3923,   720, 48429, 48845,
    1884,  1567, 35492,  1924, 49261, 67565, -3923, -3923, 67981, -3923,
   68397,  1667, 68813, -3923, 49677, -3923,  1789, 69229, -3923,  1576,
    1737,   790, 31241, -3923, -3923, -3923,    14, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923,   212,   741,   197,   194,   264,
   -3923, -3923,   205,   207,   256,   212,  2007,  2007, -3923, 63405,
   -3923, -3923,   741,    35,  1586,  1586,  1586,  1794,  1015, -3923,
    1586, -3923, -3923, -3923, -3923, 56749, -3923,  1600,   918,  1613,
    2012,  1662, 63405, -3923, 63405, -3923, 63405, 63405, -3923, -3923,
    2028,  1658,  1885,  1650, -3923, -3923, -3923,  1866,  1878,  1842,
     165,   918,  1799, -3923,  2001, -3923,  1887, 21787,   918, 57997,
   69645,   271, 45101,   918, 58413,  1744,  1204,  1921, -3923, -3923,
   -3923,   351, -3923,  2143,  1767,  1997,  1650,  1319, 32510, -3923,
    1781,   661, 56749, -3923, -3923, -3923,   349,  2077, 22221, -3923,
   63405,  1805, -3923,  1818,  1830,  1861,  1307, -3923,  5168, 63405,
     815,   815,  2214,   815,  1592,  1615, -3923,  1085, -3923,  2147,
    2117, 56749,   984,   186, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923,  1873,   661, -3923,   222,
   -3923,  1264,  1876,  1346,  1378, -3923, -3923,   787, 63405,  2035,
     224,    30,  1951, 58829,  2522,  1931, -3923,   294, -3923, -3923,
   -3923, -3923,  2206,  2244,  3595,   334, 59245, -3923, 63405, 63405,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,  1955,
   -3923, -3923,  1948,  2224,  1079,  2152,   124,  2268,  9821,  1148,
   59661, 63405,  2236,  2279,  5274,  1542,   737,  2165,   841,  2275,
      63,  2288,  6364, 63405, -3923,  2225,  2330,    60, -3923,   932,
   -3923,  2064,  2191,   644, 46349,  2016, -3923, -3923, 63405, -3923,
   -3923, -3923,  2116, -3923,   736, 46349, -3923,  2239,  2120, 35922,
   -3923, 63405, -3923, -3923, -3923, -3923, -3923,  2177, 63405, -3923,
   -3923,  2309, 63405, -3923,  1586,  2234,  2099,  2494, 78337,   111,
   63405,  2160,  2532, 63405,  2328,  2160,  2161, 70061, -3923, -3923,
    2160, -3923, -3923, 63405, 63405,  2137,  1665,  2160,  2340,  2541,
    2542,  2213,  2318,   846,   296,   170,  2436,  2160,  2192, 63405,
   70477, 63405,  2198, 63405,  2511, 46349, 63405, -3923,  2311, -3923,
   -3923,  1114, -3923, -3923, -3923, -3923,  2458,  1873,   219,  2461,
    2162,  2464, -3923, -3923,  2201, -3923,  2471,  1931,  2472, -3923,
    2168, 70893, -3923, 71309, 71725,  2476,  1955, 46765,  2477,  2168,
    2480,  2368,  2484,   219,  2486, -3923,   847,  2487,  2373,  2490,
    1339,  2168, 45517,  2492,   141, -3923, 23957, -3923,  2281, -3923,
     984, -3923,   -43, -3923, 40525, -3923,   790,   741, -3923, 63405,
     741, 63405,   741, 63405,   741, 63405,   741, 63405, 63405, 63405,
     741, -3923, -3923, -3923, 63405,  2196, 63405, 63405, -3923, -3923,
   -3923, 52589, 46765, 53005, -3923, -3923,   129,   918, -3923, -3923,
   78337,  2602, 46765,  2511,  2491,  2491,  2491, -3923, -3923, -3923,
    2425, 63405,  2493,  2504, 52589, 46765, -3923, 72141, 45101,  2388,
    2217, -3923, -3923, -3923, -3923, -3923,  1762,  2652,   309,  2653,
   23957,  2223,   300,   300,  2229,  2519, -3923, -3923, -3923,   239,
    2231,  2232, -3923,   272,   272,  2396,  2237,  2238, -3923,   275,
    2242,  2670,  2675,   287,  2245,  2247,  2248,  1675,   300, 23957,
   -3923,  2249,   272,  2252,  2253,  2254,  2690,  2260, -3923,  2692,
    2263,   302,   320,  2269,  2274, -3923,  2237, -3923,   269,  2282,
    2283,  2287,  2289,  2290,  2291,  2295,  2296, 23957, 23957, -3923,
   20919,   661,   918, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
     160, -3923,   291,  3500, -3923,  2299, -3923, -3923,  2443, 23957,
   -3923, -3923,  2526,  2280, -3923,   298, -3923, -3923, -3923,   661,
   -3923, -3923,   804,  2293, -3923,  1573, -3923, -3923, -3923, -3923,
   -3923, -3923, 43437,  2693, -3923,   867,   918,   932,  1489,  2649,
   39693, 40109, -3923, -3923,  2527, -3923, 63405, -3923, -3923, 23957,
   37631, -3923,   661,   446, -3923, -3923, -3923,   469, -3923, -3923,
   -3923,    14, -3923,  9204, -3923,  1349,  1805, 63405, 63405,  2706,
   -3923, -3923, -3923,  1818, -3923, -3923,  1307,  1307, 23957,  1307,
     221,  1235, 22655, 23957,  2595,  2499,  1054,   769,  2603, -3923,
    2503,  1592,  1615, 56749, 63405, 72557,  2428, -3923, 38463,  1503,
     661,  2392,  2397,  2441, 41773,  2321,  2402,  2405,  2454,  2410,
    2414, 72973, -3923, -3923, -3923, -3923,  1310,   223,   237,  2416,
     215,   805,  2701, -3923,   210,  2465, -3923, -3923, -3923,  3558,
   63405,  2645,  6993,  2531,   334,  2466, -3923, -3923,  2581,  2429,
    2430,  2550,   334,   246, 73389, -3923, -3923, -3923, -3923, -3923,
   -3923,  2351, 19675, -3923,  2433,  2415,  2446, 63405, 50093,  1557,
    2544,  1179,  1623,   466, 63405,  2621,  2556, 63405,  2367,  2452,
    2453,  2647,  2378,  1814,  2745,  2382, -3923, -3923, -3923,  1764,
    2560, -3923,  2656,  2694,  6998,  2456,  2457, 77527,   928, 36352,
    2738,  1387,  2483, -3923,  1387, 63405,  2488,  2500, 63405,   334,
   -3923,  2791,   334,   334,  1505,  2795,  2501,   376,  1433,  2160,
    2382,  1687, -3923,  2502,  2509,   292, -3923,  2592, -3923, -3923,
    1018,  2518, 56749,   190,  1527,  2382,  2513,  2514,  2378,  2378,
   63405, 63405, 63405, 63405, 63405,   174,  2825,  2837,  2517,   178,
    2563,  2444, -3923, 43853,  2524, 69645, -3923, -3923, 63405,  2528,
    1685,  2382,  1332,  1483, -3923, -3923, -3923,  1319, -3923, 63405,
   -3923, 63405,  1873, 78337,  2628, -3923,  2481, -3923,  1931,   334,
   -3923, 63405, 63405,  1955,  1030,   920,  2636, 63405,  2695,  2489,
   -3923,   198, 38870, -3923,  2137,  2455, -3923, -3923,  2505, -3923,
    2505,  2505,  2467,  2467,  2468, -3923, -3923, -3923,  1675,  2505,
    2467, -3923, 79147, -3923,  1502,  1520, -3923,  2859,  2864, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,   817,  1770,
   -3923, 63405, 41773, -3923,  2882, -3923, -3923, 78337,  2655,  2772,
   -3923, 63405,  2672,  2474, -3923,  2809,  2533, -3923, -3923,    57,
   -3923,  2778, 46765,  1356,   918,  2523, 63405,  2699, 63405, 63405,
   63405, 63405, -3923, -3923,  2673,   827,   107, -3923, 43853, -3923,
   63405,  1687,  2685,  2897,    47,  1586, 63405,  2782, -3923, 63405,
    2496,  2902,  2735, -3923,  1844, -3923,  2620, -3923, 46349,   219,
   -3923, -3923, -3923, -3923, 78337, 63405, 73805, 46349,   219, 46765,
   46765,  2803,   141,  2804,  2559,  2806,  2561, 36352,   219,   267,
   46765, 63405, 63405, 63405, -3923, 63405, -3923, -3923, -3923, -3923,
   63405, 63405, 46765, 43853,  2808,  2810,   219, 63405, 63405, -3923,
    9204,  1397, 63405,   790, 44269, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, 63405, -3923, 63405, -3923, 63405, -3923, 63405,
   -3923, 63405, -3923, -3923, -3923, 63405, -3923, 63405,  1407, -3923,
   -3923,  1443,   134, 63405, 63405,   188, 46349, 63405,  2704, 63405,
   63405, 63405, 63405, 63405,  2585,  2293,  1072, -3923,   217, 56749,
    2710, -3923, -3923,  1476,  1618,  1076, 63405, -3923, -3923, -3923,
   -3923, -3923, -3923, 53005, 52173,  2794,   329, 63405, -3923, -3923,
    3972, 23957,   661, 21353, -3923, -3923, -3923,  2515,  9204,  2557,
   23957, -3923, -3923, 23957,  2516,  2007,  2007, 23957, -3923, -3923,
   -3923, -3923,   897,  2007, -3923, 23957, 23957,  2007,  2007,  2505,
    2505, -3923,  5603, 23957, -3923, 36352, 23957, 26561, 18825, 23957,
    2601,  2543,  2007, -3923,  2007, -3923, 23957, 20485, -3923, 23957,
    2737, 27423, 23957,  1489,  2740, 23957,  1489,  2949,  2949,  1619,
    4276,  2530,   661, -3923,  2646,  2007, -3923,  2007,   730, -3923,
     216, 78337, 23957, 41773,  2614,   182, 63405, 23957,  2537,  1242,
   -3923, 23957,  1012, -3923,  2538, 23957,  2617, 23957, 23957, 23957,
   23957, 23957, 23957, 23957, 23957, 23957, -3923, 28269,   232,  2817,
    2835,    11,  1234, 60077,  2827, 21787, 18390, -3923,   262, -3923,
   -3923, -3923, 63405,  2693, -3923, -3923,  2619, -3923, -3923, -3923,
   -3923, -3923,   301, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
    2546, -3923, -3923, -3923, -3923,  2546, -3923,  2545,  2754, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923,  2815,  2821,   219, 63405,   349,
   53837, -3923, 22221, -3923,  1507, -3923,  2552, -3923,  2800, -3923,
    2551, -3923,  7497,  2800, -3923, -3923,   323,  2664,  2798,  2746,
   -3923, -3923, -3923,  2558,  9204, -3923,  1760,  9204,  1833, -3923,
   -3923, -3923, -3923, -3923, -3923,   735, -3923, 63405,  2710,  2595,
     769,  2618,   123, 63405, -3923, 32933,  2743, -3923,  2954, -3923,
   79147, -3923,  2566, -3923, 78742, 76301, -3923, -3923,   688, -3923,
     868,  2648,  2651,  2697, 46765, 63405, 63405, -3923, 41773, 46765,
   63405, 63405, 46765, 63405, 63405, -3923,  2937,   549, 52173,  2700,
   51341, -3923, -3923,  2577, 63405,  2634,  2819,  2820,  1041, -3923,
   -3923, 74221, -3923,  2779, 46765, 63405, 63405, 23957,  2786, 63405,
   63405, -3923,   316,  2660,  2680, -3923, 63405,  2681, 46349,  2596,
   63405, 63405, 63405,  2668,   739, 46349,  2650, 36782, 63405, 63405,
   63405, 63405,  2725, 63405, 63405,  2845,  1260, 56749,   173,  1696,
    2382,  2807, -3923,   938, -3923, 46765, 63405,  2799, -3923, -3923,
   -3923, 60493,  3007,  2717, -3923, -3923, 74637, -3923, -3923, -3923,
    1525, -3923, 46765, 46765, 63405,  8035, 63405,  1089, -3923, -3923,
   78337, -3923, 63405, 63405, 63405, 63405, 54253, 75053, 75469,  1297,
    1311, 63405, 54669, -3923, 63405, -3923, -3923, 42189, 46765, 63405,
     145, 41773, -3923, 63405,  2805,   255, -3923, 63405,  2721, -3923,
    2696,  2702, 63405,   192,  1754,  2382, 63405, 63405,  2612,  1583,
    2698,  2744, -3923, 63405, -3923, 46765,  1091, -3923,  2762, 46765,
   63405, 10102, -3923, -3923,   334, -3923, -3923, -3923, -3923, -3923,
   63405, 63405,   334, 63405,   334,  1354, -3923, 46765, 63405, -3923,
   -3923, -3923, 63405,  8467, 63405, 63405, 63405, 63405, 46765, 63405,
   -3923, -3923,  1035,   914,  1296,  1376,  2764, 63405,  2900, 63405,
   75885, 46765, 63405, 63405, 63405,  1412, -3923, -3923,  2748, -3923,
   46765,  1091,  9175, 63405, 63405,  2709,  2714,   148,  2783, -3923,
   -3923, -3923, -3923, -3923, -3923,  2881,  3046, 63405, -3923,  2886,
    2887,  2712,  2713,  2890,   793, 63405, -3923, -3923, -3923, -3923,
   63405,  2892,   793,  2838,   708, -3923, -3923,  2160, -3923,  2667,
    1598, -3923, -3923, 23957,  3066, 78337,  2663,  2666,  2742,  2747,
    2749, -3923,  2671,  2750,  2007, -3923, -3923,  1825, -3923, -3923,
    1622, -3923,  2679,   827,  1695, -3923, 41773, 63405,   120,   121,
    2968, 50509,  1756,  2957, 63405,  2719, 63405,  1756, 63405, -3923,
    2272, 52173, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923,  2961, -3923,   918,  2137,  2137,  2137,  2137, -3923, -3923,
   -3923, -3923,  2867,  1595, -3923,  2678,  2137, 63405,  2792,  1756,
    2683, -3923,  1687,  2981,  1060, 63405, 50509,  1881,  2720,  3086,
    1586,   918,  2872, -3923, 20080,  4994,  2873, 45101,  2960,  2964,
    2978, -3923,  1873, -3923,  3098, -3923,  2996,   219,  1931, -3923,
    2168, -3923, 63405, -3923, 63405, 63405, 63405, 63405,  1955, -3923,
   -3923,  2168,  2883,   219,   219, -3923,  2884,   219,  2168,  2812,
    2985, 45101, -3923,   141, -3923, -3923, 23957,  1586, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923,  1635, -3923, 63405, -3923,
    2965,  2966,  2967,  2703,  2705,  2761, 63405,  2708, -3923,  2703,
     334,  2703,  2293,  2293,  2703,  2705, 45933,  3117,  2983,   169,
   -3923,   682,   940,  2917, -3923, -3923, -3923, -3923, 78337, -3923,
   -3923, -3923, -3923, -3923, 63405,  2753,   312,  2899,  2729, 45933,
    3106,   219, -3923, 46349, -3923, -3923, -3923,  2811,  2822, 46349,
    2925,  2780, -3923, -3923, -3923, -3923, -3923, -3923, -3923,  2976,
   63405,  1670, -3923, -3923,  1416, -3923,  1452, 23957, 23957,   383,
   -3923,  8174,  1671, 23957,  2739,  2751,  1676, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923,  2755,  3028, -3923,  2757,  1686,  1693,
    2759,  2763, -3923, -3923,  3459,  2768,  8414,  2770, 26561, 26561,
    1367, -3923, -3923, 26561,  2774, -3923,  1701,  7701,  2769,  2787,
    2773, -3923,  2788,  2793,  8447, 23089, 23957, 23089, 23089,  8499,
    2769,  2801,  1705, 41773,  2919,  8794,  1726, -3923, 23957, 41773,
    3967, 23957, -3923, 23957, 63405,  2802,  2813, -3923, -3923,  5603,
   -3923,  2797, -3923, 26561, 26561, -3923,  2606, 20919, -3923, -3923,
    3038, -3923, -3923,  1708, -3923,  2765, -3923, -3923,  2958,   202,
   23957,  2537, 23957,  2858, 36352,  3205, 23957,  6131,  2888,  2888,
     415,   415,   177,   177,   177,  1453,  1234, -3923, -3923, -3923,
    2796,  2823,  2824,  2969,  2260, 23957, -3923,  2008,  2043, 63405,
    1497,  2095,  2264, -3923, -3923, 29549,  2831, -3923, 23957, 23957,
   23957,  2814, -3923,  3218,  9204,    54, -3923,  3222, -3923,  1319,
    2007,   730, 40525, -3923, -3923, 23957, -3923, -3923, -3923,  1818,
   -3923, -3923, -3923, -3923, -3923, 63405,  1618, 23957, -3923, -3923,
     599,  1733, 23957,  1760, -3923, -3923,  2857, -3923, 23957, -3923,
   -3923, -3923,  2293, -3923, -3923, -3923, 29549,  2840,  2853, 32087,
    2938, -3923, -3923, 63405,   344, -3923, -3923, -3923,  2832, -3923,
   -3923, 76301,  1770, -3923, 78742, -3923, 78742, -3923,  1770,  3197,
   -3923, 76301,   -35, 46765, 63405, 63405, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923,  3045, -3923, 46765, 46765,
    3008, 63405,  3004,  3012, 23957,   843, 63405,  2830,  2833,  1130,
    3088, 63405, -3923,  3132,   219, -3923, -3923,  2909, -3923,  9204,
   -3923, -3923, -3923, -3923, -3923, 46765, 63405, -3923, 45101, -3923,
    1873, 78337, -3923, -3923, -3923, 63405,  2866, 63405, -3923, 63405,
   63405, 63405,  1955, -3923, -3923, -3923, -3923,  1017, -3923, -3923,
   63405, 63405,   139,  2913,  2914, 63405, -3923,   864,  2592,  9269,
   63405, 63405, 63405,  3091, -3923, -3923, -3923, -3923,  3034, -3923,
   -3923, 76301, -3923,  2168,  1183,  2921,  2382, -3923,  3022, -3923,
     189, -3923, -3923, -3923, -3923, -3923,  3143,   219,  3146,   219,
   63405, 63405, 63405, 63405, -3923, -3923, -3923, -3923, -3923, 41773,
   41773, 41773,  1730, -3923, -3923,   918, -3923, -3923, -3923, -3923,
   -3923, -3923,  3107, -3923,  1731, -3923,  1192, -3923, -3923, -3923,
   -3923, -3923, -3923, 46765, 63405,  9562, 63405, 63405, 63405,  1510,
   -3923,   457, 78337, -3923, 77932, 46765, 63405, -3923, -3923, -3923,
    3072,  3015, -3923,   797,  3016, 46765,  2908, -3923,  2928, -3923,
   -3923,  2931,  1795,  2382,  1687, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923,  1191,   220,  2018,  2382,  2933, -3923,  2934,
   -3923, -3923, -3923,  3075,  3078,  3080,  2941,  2942,  2988,  2945,
    2946,  2992, -3923,  2948,  2994,  2951,  3000,  2972,   219, 78337,
    3096,   918,  2998,  3202,   219, -3923,  2982, -3923, -3923,  3303,
   -3923, 63405, -3923,  2984,  2167,  2382, -3923, -3923, 46765, 63405,
   -3923, -3923, -3923,   793, 78337,  3149,   793,   793, 63405, 63405,
     793, -3923, -3923, -3923,  3151,  3152,   793, -3923, -3923, -3923,
   -3923,  2234,  2910, 34202, -3923,  3344,  4392,  2916,  2666,  2911,
    2007,   203,  1056,  1023,  3035,  2007,  3125,  2918, -3923, -3923,
   41773, 34202,  1664,  3142,  2935,  2935,  2935,  2935,  2935,  2935,
    2935, -3923,  2074,   662,  2160, 45101, 63405, 45101, -3923,   121,
    3022, 63405, 63405,  2920,  2922, -3923, -3923, -3923, -3923, 46765,
    1014, 46765,  2007, -3923, -3923,  2986, -3923, 63405,  1586,  3318,
    2542,  1356,  3060,  1473,  3264,  2720, -3923, -3923, -3923, -3923,
   63405, 63405,   827,   918, -3923,  2924,  2923, -3923, 63405, 63405,
   63405, 63405,  2753,  2929,  2927, 78337,    59,  3118,  3116,  2378,
    3338,  1618,  2720,  3011, 63405, -3923,  1743,   119, -3923,   918,
   45101, 76706, -3923,  4547, -3923, -3923,   834,  3210, -3923, -3923,
    1618,   219, 78337, 63405, -3923,   219,   141,  2991,   219,  2993,
     219,   219, 63405, -3923, -3923, 63405, -3923, 63405, 43853,   219,
   -3923,  9204, -3923, -3923,  3061,  3062,  3064, 63405,  2703, 46349,
   -3923,  2939, 46765,  1143, -3923, -3923,  3127, -3923, -3923, -3923,
   -3923, -3923,  3248,  3249, -3923, -3923, -3923,   228, -3923, 46765,
   52589,   342, 46765, -3923,  1873, -3923, -3923,  1931,   334, -3923,
   63405,  3191, -3923, -3923, -3923,  2959,  1778,  8526, 23957, -3923,
    3265, 78337, -3923,  4726, -3923, -3923, -3923, -3923, 23957, -3923,
   -3923, -3923, -3923, -3923, 23957, -3923, 23957,  3240, -3923,  3383,
    3383, 78337, 26561,  1147,  2252, 26561, 26561, 26561, 26561, 26561,
   26561, 26561, 26561, 26561, 28703,   645, -3923, -3923, 23957, 23957,
    3250,  3240, -3923, -3923,  1116,  1116, 78337,  2963,  2769,  2970,
    2971, 23957, -3923, -3923,  1780, 27846,  2979, 41773, -3923, 23957,
    7834,  1782,  3009,  9089,   661,  5004, -3923,  3347,   918, 23957,
    1386,  1897, 23957,  1784, 23957,  3244, -3923, -3923, -3923,  2973,
   -3923, -3923, 78337, 23957, 26561, 26561,  4162, -3923,  4759, 23957,
    2987,  6722, 20919, -3923,  3150,  3005, 33356, -3923,   810,   810,
     810,   810, -3923, 63405, 63405, 63405, 29972,  3266, 29126, 60909,
    2989,  1284, -3923, 60909, 61325, -3923,  3001, -3923,  2990,   661,
   23957,  3259,   545,   545,  3150, -3923, 23957, 23523,  2997, -3923,
     932,  3003, -3923, -3923,  7368, -3923, -3923,  3014, -3923,  2995,
   -3923,  1733, -3923, -3923, -3923,  5437,  3170, -3923, -3923,  2989,
   24391,  2938, -3923,  1786, -3923, -3923, 21787, -3923, -3923,  1790,
   32933,  2840, 22221,   661,  1792,  1614, -3923, -3923, 76301, -3923,
    3055, -3923, -3923, -3923,  2935,  2168,  2168,   639,  2703,  3278,
     639,  5570, -3923, -3923, 30395, 63405, 63405, -3923, 63405,  1796,
    1449, 63405, -3923, 63405, -3923, -3923, -3923, -3923,  3396, -3923,
   63405, -3923, -3923,  3047,  3049, -3923, 63405, 63405, 63405, 63405,
   -3923, -3923,  1876, -3923, -3923, 46765, 63405, -3923, -3923, -3923,
     388,  2195,  2382, -3923,  3074, -3923, -3923,  3252, -3923,  3389,
    3094, 63405,  3006, -3923,  1449,   234,  2378,   150, -3923, -3923,
    3095, 63405, -3923, 63405, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, 42189, -3923, -3923, 63405, -3923, 41773, 34202,
   41773, -3923,  1203,   390,  2200,  2382, -3923,  3087, -3923,  3100,
    3109,  3140,   939,   714,  3110,  3113,  3159,  3037,  3039,  3040,
   -3923, -3923,   212,   918, -3923, -3923,   918,  2168,   918, 63405,
   63405, 63405,  3417,  3124, 63405, 63405, 63405, 63405, 63405,  3331,
     179,  1588, 46765, 63405, 63405, 46765, 63405, 63405, 63405, 63405,
   63405, 63405, 63405, -3923,  3413,  3345,  1736,  3387,  3120, 63405,
   -3923, 63405,  2592, 63405, 63405, -3923, -3923, -3923,  3048,   793,
   -3923, -3923,  3291,  3293, -3923,   793,   793, -3923,   198, 41773,
   -3923,  2438,  2995,  2007,  1764, -3923, -3923, -3923, -3923, -3923,
   -3923,  2667, -3923, -3923,  2007,  2060,  3056, -3923,  3057, -3923,
   -3923, -3923, -3923, -3923, -3923,  3053, -3923,   730, -3923, -3923,
   63405,  2935, -3923,  1292,   315,   324,   976, 61741, 62157, 62573,
    3058, 63405, 63405, 26561, -3923,  1389,   702, -3923,  3296, 63405,
    3097, -3923, -3923, -3923,  3214, 63405, -3923, -3923, -3923, -3923,
   -3923,  3063, -3923,  3175, 50509,  2168, 46765, 46765,  2168, -3923,
   78337,  3068,  2720, 46765,  1356,  1709, 70477,  3101, -3923,  3069,
    3353, -3923,  3065,  3070, -3923, -3923, 63405,  3022,  1798,   554,
    1576, -3923, 51757,  1881,  3335, -3923, -3923, -3923,  3443,  3164,
   -3923,  1618,  2753,  3164,   918,  2634, -3923, 76301, 23957, 23957,
   -3923,  3076, -3923,  3081,  5873, -3923,  2137, -3923, -3923, -3923,
   -3923, -3923, -3923,  3160, 63405, -3923, -3923,  3083,   219, -3923,
   -3923, 63405, -3923, 63405, -3923, -3923,   219,   219, -3923,  3195,
   -3923, 63405, 63405, 63405,  2703, -3923,   334, -3923,  3364, 45933,
   -3923, -3923, -3923, -3923, -3923,  3426,   329,  3371, -3923, -3923,
    3333,  3334,  3336,  3337,   801, -3923, -3923, 23957,  9204, -3923,
    3102, -3923,  9204,  5660,  9204,  3250, -3923,  2898,  3380, -3923,
    1090,  3104,  2898,  1841,  1841,   424,   424,   176,   176,   176,
    3383,   645,  9204,  9204, -3923, -3923, -3923, -3923,  3108, -3923,
   -3923, -3923,  2769, -3923, 24825,  3242,  3486, -3923, -3923, -3923,
    3139,  3148,  3111, -3923, 23957, 25259,  3112, 79147, -3923, -3923,
     730,   373, 26561, 26561,  2377, -3923,   519, 23957, 78337,  1803,
    2377,  2284,  2732, 23957, 23957,  7212,   233, 23957,  5883,  3114,
   23957, 77111, -3923, -3923, 63405, 63405, 63405, 63405, -3923, -3923,
   -3923, 60909, 61325,  3105, 19251,  1284,  3119, 63405, -3923, -3923,
    3121, 29549,  3342,  3285, -3923, 29549,  3285,  1028,  3285,  3351,
   -3923, 33779, -3923, -3923,  3122, -3923, -3923, 18390,  1568,  9204,
    3501,  3388, 23957,  3123,  3126,  3128,  9204, 23957, -3923,   918,
     918, -3923, -3923, 36352, -3923, -3923, -3923,  3307,  9204, -3923,
    1618, 63405,   661,  2280,  3131, 63405, -3923,  2938, -3923, -3923,
    3187,  1819, -3923,   212, -3923, -3923, -3923, -3923,  3200, 52173,
    3409, -3923, 23957,  1837, -3923,  3162,  3498,   229,  1839,  1845,
    1449, -3923,  3097, -3923,  1401,  3390,   412, -3923,   219, -3923,
   78337, -3923, 63405, 63405, -3923, -3923, -3923, -3923,  2321, -3923,
   -3923, 63405, 63405, 63405, 63405, -3923, 46765, 63405, -3923, 41773,
    2074,  3327, -3923, -3923,  3328,   212, 63405, -3923, 78337,   219,
     219, -3923, -3923, -3923, -3923,  3147,  3524,  3223, 63405, 63405,
   63405, 63405, 46765, 63405, 63405,  2007,  2007, 78337,  3133, -3923,
    2007,  2007,  3136, -3923, 46765, 63405, 63405, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, 46765, 63405, -3923,
    3221, -3923, -3923, -3923, 63405, 63405, 63405, 63405,  3442, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   63405, -3923, -3923,   918,   918, 78337,   219,   219, -3923, -3923,
   -3923,  3391, -3923,   793,   793, -3923, -3923,   175,  1851, -3923,
   30818, -3923, -3923,  2532,   918,  2532,  1440, -3923, -3923,  2532,
   -3923,  2532, -3923,  1449,  3153,   258,  3428, -3923, -3923, -3923,
   -3923,  3431,   212, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923, 23957, -3923,
     865,  2898, -3923, -3923, -3923, -3923,  3097,  1586,  3206, 46349,
     343, -3923,  3419,   120, 50509,   238, 63405, -3923,  2168,  2168,
    3211, 63405,  3562, -3923,   653, 63405,  3473,  3203, -3923,   918,
   -3923, -3923,  2720, 63405, 50509,  2753,  1853, -3923, -3923, -3923,
    3201,  3116,  3169,  1881,  1158, 63405, -3923,  3207, -3923, -3923,
    3456,  3180, -3923,  9204,  9204,   918, 17896,  4547, -3923, 63405,
    3438,   219, -3923,   219,   219, -3923, -3923, 63405,  2703,  2703,
    2703, -3923,  3367, -3923, -3923,   219, 45933,   801,   801,   801,
     801, -3923, -3923, -3923,  9204, -3923, -3923, -3923, 26561,  3470,
   -3923,  3188, 78337, -3923,  3190,  1860,  1879, 27423,  3348, -3923,
   -3923, -3923,  5930,  3254,  9204,  3305,  3208,  3209, -3923,   828,
     828,   519,  1909, -3923, 26561, 26561,  2377,  2377, 23957,  2377,
   -3923, -3923,  6213,  3375, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923, 42605, 60909,  3213, 63405,  1284, 29549, -3923, -3923,  1439,
   -3923, 29549,  3447, -3923, 29549, 63405,  3219, 63405,    54, 23957,
   23957,  3245, -3923, -3923, -3923,  3150, -3923,   730,  3217, 63405,
   -3923, -3923,   984, -3923, -3923, -3923, -3923, -3923, 45933,  3397,
   45933,  1449,  6652,  3097, 30395, 37212, 63405, 62989, 62989,  3358,
    3097,  3206, -3923, -3923, -3923, -3923, -3923, -3923,  3220, -3923,
   -3923, -3923,  3297, -3923, -3923,     9,  2710,  1913, -3923, -3923,
   -3923, -3923, -3923,  3413, -3923, -3923, 34202, 46765, 63405, -3923,
    3299, -3923, -3923, -3923, -3923, -3923, 31664, 36352, -3923,   939,
    3224,  3225,   714, -3923, -3923, -3923,    13,  2710, 63405,  1159,
      46,  3262,  2703,  3516, -3923, -3923, -3923,  3413, -3923, -3923,
     793, -3923, -3923, -3923,  2160,  3554, -3923, 41773, -3923, 43021,
   -3923, -3923, -3923,   918, -3923,   918,  3424, 63405, 39277,   918,
     918, -3923, 46349,  3635,  3635, 63405, -3923, -3923,  6771,  3429,
   -3923,  3206,  3451,  3499, -3923,  3237, 63405,  3393,  3241,  3243,
    1027,  1027,  3022, 63405,  1917,  1618,  1356, 50509,  3022, -3923,
    1383,  3246,  3544, -3923,  3648,  2929,  3247, -3923, -3923, 51757,
    3427,  3164, 63405,  3116,  3372, -3923,  3374, -3923,   923, -3923,
   63405, 30395, -3923, 78742, -3923,  1919, -3923, -3923,  2831, 63405,
     100, -3923, -3923, -3923, -3923, -3923, -3923,   342, -3923, -3923,
   -3923, -3923,   733, 26561, 78337,  1940, 23957, -3923, 23957, -3923,
    3638, -3923, -3923, -3923,   814, -3923, -3923, -3923,   828,   828,
    2377, -3923,  3640,  3150, -3923,  1950,  3658, -3923, 63405,  1970,
   -3923, 23957,  3255, -3923, -3923, 29549,  1439,  1972, 63405,  1990,
   78337,  3253,  2769,  9204, 63405, -3923,  3260, -3923, -3923, -3923,
   -3923,  1143,   639,   342,  3498,  3206, -3923,  3256, -3923, -3923,
   63405, -3923,   808,   808, 63405,  3206, -3923, -3923, 63405,  3350,
   -3923, -3923, 41773,  3321, -3923,   487,  2710, 63405, 78337,  1931,
      82, -3923, 78337, 78337, -3923,  3352, -3923, -3923, 63405, 63405,
   63405, 63405, 63405,   219, -3923,  2910,   918, -3923, -3923,  1992,
   -3923, -3923, -3923, 63405,  3069, -3923,  3069, -3923, -3923,  3635,
    1001, -3923, -3923, -3923,  1051,  3465, -3923,   997,  3454,  3354,
    3269, -3923, 46349,  3704,  3394, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923,  3572,  2720,  3207, -3923, -3923, -3923,
   -3923, 23957,  3434,  1618,  1881,  3335, -3923, -3923, -3923,  2002,
    3164, -3923, -3923,  3659,  3469,  3663, -3923,  2021, -3923, -3923,
    5873, 17896,  3608, -3923,  3343, 63405, -3923, -3923, -3923,   733,
    2029, -3923,  2030,  2034,  3439,  3346, -3923, 23957,   629,  3001,
   42605,  3295, -3923,  2036, -3923,  9204, 63405, -3923, -3923, -3923,
    2085, -3923, -3923,  3289, -3923,  3706, -3923, -3923,  3583, -3923,
   62989,  3341, 36352, -3923,  1733,  1733,  1586, -3923,  1449, -3923,
   63405, -3923, 23957, -3923,  3395, -3923, -3923,  2091, -3923,   625,
    3452,  3593,  2100,  2102, 63405,  2705,  3349,  2705, -3923,  2703,
   -3923, -3923, -3923, -3923, 43021,  3069, -3923, -3923, -3923,  3621,
    3568, -3923, -3923, -3923, -3923,   167, -3923,  3497,  3503, 63405,
   -3923,  3312, -3923,  2104, 63405, 63405,  3720,  3725, -3923,  7025,
   46349,  3207,  3116,  1881,  2074, -3923, -3923,  3504, -3923,  3505,
    2720, 30395,  4547, -3923,   307, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923,  2769, 25693, 25693,  3322, -3923, -3923, 63405, -3923,
    2113, -3923, 63405,  3324, 45933,   808,  3325, -3923,  3326, -3923,
   -3923,  3451,  1449,  2710,  9204, 63405, 46349,  3714, -3923, -3923,
   -3923,  3452, -3923, -3923,  2710, 63405, -3923,  3455, -3923,   218,
     218,  3656, -3923,  3398, -3923, -3923,  3329, -3923,  3762,  3022,
   -3923,   939,  1618, -3923,  3332, -3923,  3164,  3116, -3923, -3923,
    3164, -3923, -3923, -3923, -3923,  2049, 26995,  3466,   196,  8041,
   -3923, -3923, -3923, -3923,  2115, -3923, -3923, -3923,   342,  1733,
   23957,  1449, -3923,  3454, -3923,  2710,  1931, 63405, -3923, -3923,
   -3923,  3203, -3923,  3752, -3923,   225, -3923, -3923, -3923, -3923,
   -3923,  3133,  3207, 41357, -3923,  3164,  2831, -3923,  2051, -3923,
   -3923, -3923, -3923, -3923, -3923, -3923,  3747, -3923, -3923, -3923,
   -3923, -3923, -3923, -3923, -3923,  7230, -3923, -3923, -3923, -3923,
    3646, -3923, -3923, -3923, -3923, -3923,  2119, -3923, -3923, -3923,
   -3923, -3923, -3923,  2041, -3923, -3923,  2065,  1861, 26127, -3923,
    1449,  3509, -3923, 41357, -3923,  2051, -3923, 46349, -3923, -3923,
    3357, 41357,  2121, -3923
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3923, -3923, -3923,  3054, -3923,  -783,   248,  2431, -1646, -3923,
   -3923, -3923,  2980, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
    3013, -3923, -3923,  1627, -2085, -3923, -3923,   127,  2975, -1102,
     113,  2630,  1316, -3923,  -950, -3923, -3923,  -514,   106, -3923,
    3002,  -632, -3923, -3923, -3923, -3923, -3923, -3923, -3923, -3923,
    -674,  1783,  1162,  -717, -3604, -3923, -3923, -1199, -2745, -3923,
     571, -3923, -3923,  1718, -3923, -3923, -3923,  1020,   497,  -417,
   -3923, -3923, -3923, -3923, -3923, -3923, -3923,  -241, -3923, -3923,
    -555,   130,    43, -2084,  -283, -3923, -3923,   439,  -285, -1108,
   -3923, -3082, -3923,    15, -3923, -3923, -3923,  -264, -1202,  1255,
   -3923,  -609,  -969,  1550,  -610, -3923,  -150, -3923,  -668,  -552,
    -550,  -622,  -443, -3271, -3674, -3287, -2829,  1266,   147, -3923,
   -2727,   149, -3923, -3923,   151,   154, -3923, -3923, -1306, -1230,
   -3923,  -593, -3923, -3923, -3923, -2537, -3923, -3923, -3923, -3923,
      68, -3923, -3923, -3923, -3923,   467, -3923, -3923, -3923, -3923,
   -3923, -3923, -1790,  1677,  1678, -3923, -3923, -2717, -3923,  -754,
   -3923,   615, -2566,  1180, -3923, -3923, -3923,  2387, -3923, -3923,
   -3923, -3923, -3923, -3923, -1396, -3923, -3923,   155, -3923,  1690,
     982, -3923, -3923, -3923,  -655,  -724,  -715, -3923, -2565, -3923,
   -3923, -3923, -3923,  -226, -3923, -3923, -3923, -3923, -3923, -3923,
    -832, -3923,  1042, -2694, -3923, -3923,  1058, -3923, -3923, -3923,
   -3923, -3923,  -607,  -168,  2411, -3923,  -496,  -584, -3923, -3923,
   -3923,  -162, -3923, -3923, -3923, -3923, -3923, -3923,  -909,    44,
   -1350, -3923, -3923, -3923, -3923, -2013, -3923, -3923, -3923, -1778,
   -3923,  3835,  1920,  2222,   156, -3923,   -26,    65,  2860,  -956,
   -2242,   403,  -317, -3923, -1514, -3923, -3923, -3923, -2176, -3923,
   -3923, -3923, -3923, -3028,   157, -3923,  2852, -3923,   451, -3923,
   -3888, -3467, -3769, -3122, -3008, -3923, -3923,  -918, -3923, -3923,
   -3923, -1208,  1986, -1644, -3923, -1795,   456,  1333,  -819, -2363,
   -3290,  -595, -2805, -3923, -3183,  -416, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923,  -907,  -528, -3923, -3923,  3301, -3923, -3760,
   -3923, -3923, -3923, -3923,  1109, -3923, -3923, -1190,  1127, -3923,
   -3923, -3923, -3923, -3923,  -590,  -685, -3923, -3923, -3923,   159,
   -3923, -3923, -3923, -3923,  1991,  -796,  -626,  3186,   161, -3479,
   -3923, -3923, -3923, -3923, -2635, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -3923, -3365, -3923, -3923, -3923, -3923, -3923, -3923,
   -3923,  2068,  2070,    61,   -29, -3923, -3923, -1091, -3923,  -478,
   -3923,  2360, -3923, -3923, -3923, -3923,  1402,   162,   501, -3923,
       3, -3923, -3923,   295, -2949,     4, -3923, -3923, -3923, -3923,
   -1824,     5, -3923,   772, -3923, -3923, -2403, -3923,   163,    26,
   -3923, -3923,     1,     0,   -36,   -42,   -38,     2,  3183,  2728,
   -3923, -3923, -3923,    -5,  1793, -3923,  -721,  -137, -3923,  1413,
    -559,  2038,  2715,  2722, -3923,  1404, -3923, -3923,  1415, -3923,
   -3923, -3923,  -544,  2040, -3923,  2716, -3923, -3923, -3923,  1391,
    1403, -2940,   838, -2948, -2914,   358,   345, -1033,  -233,    58,
    3226,  2731,   859,  -373, -3923, -3923,  -370, -3922,   811, -3923,
   -3731, -1980,  -627,  1809, -1351, -3923, -3923,  -978,  8547, -3923,
   -3923, -3923, 12891, 13240, -3923, -3923, 13392, 13496, -3923,  -811,
     911, 14209,  6560, -1024, -1612,  -774, 11738,  -662, -1022, -2323,
   -3923, -3043, -2226, -3923, -3923, -3923,  -190,   926,   171, -3923,
   -3923, -3923, -3923, -3923, -3923,  -473, -3923,  -467, -3923, -3923,
   -3923,  -457, -3274, -1451, -3923,  -183, -3923, 12077,  1458, -3923,
    -924, -2350, -2354, -2937, -1517, -3923, -3923, -3923, -3923, -3923,
   -3923, -3923, -1767, -2836,  -419,  1528, -3923, -3923,  1621, -3923,
   -3923, -3923, -1082,  -714, -2261,  1533, -1736, -3923,  -713, -3923,
     837,  2261,  -666,  6830, -1150,  6324,  -435, -1956, -1050, -1300,
   -3923,  -158, -3923,    25,   -10,  -180,  -545,    -8,  3416,  6673,
    -567, -1110,  8812, 10528, 11739, -2688
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2273
static const yytype_int16 yytable[] =
{
     169,   168,   173,   163,   164,   166,   577,   924,   679,   787,
     810,   530,   725,   642,   653,   814,  1201,   895,   642,  1498,
     169,   766,   173,  1133,  1538,  1919,   830,  1558,  1834,  1207,
     785,  1303,  1502,   518,   735,   998,   999,  1000,   712,  1508,
     567,  1004,  1531,  1368,  2513,   975,   641,  1356,   724,   949,
    1819,   641,  2278,  1210,  1981,   559,  2407,  1394,  1645,   961,
     922,  2134,  2473,  1447,   946,  1326,  1989,  2951,  1595,  2102,
    1147,  2691,  2198,  1467,  3204,  1618,  1619,  2833,  3187,  2147,
    1824,   616,  1998,  2012,  2851,   606,  2335,   648,  3427,  2535,
    2537,  2056,  1837,  3219,  1634,  3221,  2493,  2748,  1435,   680,
     709,   881,  1440,  3604,  1819,  3320,    65,  1444,  1489,  2787,
    3388,  3636,  2937,  3370,  1450,  3539,  3094,  3339,  3092,  3093,
    3128,  3670,  3630,  3320,  1469,   924,  3849,  2249,  1824,   729,
      74,   737,  3841,   969,  3857,   738,  3582,  3413,  3565,  2070,
    2071,  3034,  3085,  2066,  1320,  3401,   673,    75,   932,    76,
    1335,    77,  1974,   706,    78,    98,   118,   123,  1361,   139,
    1988,   143,   161,   167,  1897,  2202,   698,  4101,  3134,  3580,
    3978,  1858,  3609,   736,  3504,  1194,  1661,  3808,  1140,  2213,
    3344,  3345,  3346,  3347,  3348,  3349,  2372,  2991,  1671,  1260,
    1197, -1949,  1490,  3085, -2041, -1376,  4292, -1976,  1357, -1949,
    2372,  1466,  1290,   573, -1379, -2075,   624, -2096,  2846,  4193,
     528,  2077,   624,  1674,  4167,  2082,  4169,  2412,  1664,   980,
    2770,   624,  3418,  4288,   771,   773,  2518, -1950,   777,  4349,
     779,  1611,  1612,  2289,  2195, -1950,  1514,  2412, -1816,  3087,
    2534,  1991,  1236,  1676, -2272, -1816,  3673,  1529,  2669,   828,
    2456,  1417, -2272,  1927,  2447, -1832, -2123,  1631,  1991,   824,
    1991,  2448, -1832,  1431, -2044,  1389,  2064, -1924,  3133,  4502,
    1490,   715,  2825,   624, -1585,  4449,   573, -1557, -1376,  2908,
   -1570,  2910,  2611,  1913,  2275,  -377,   984, -1379,  1991,  2270,
    3087,  1925, -1597,  2205,   573,  3976,   573,   573,  2670,  1914,
    3183,  1578,  2938,   573,  4242, -1590,   573, -1600,  3405,  3205,
     732,  1365,  1236,  1921, -1590,   995,  1462,  1025,  1490,  2679,
     573,  2454,  2152,  1931,  3464, -1600,  3725, -1585,  4542,   573,
    4473,  1383,   624,  1932,  4294,  4199,  1463,  1922,  1288,  4215,
    1922,  2583,  4528,   624,  1237,  4219,   630,  2165,   685,   630,
    2290,  1368, -1376,  1969,  1915,  2612,  -781,   630, -1590,   630,
    1354, -1379,   810,   890,    33,  1844,   631,   897,   176,   631,
    4080,  4076,  1916,   876,  1137,     3,     4,   631,   907,   631,
    -124,  1540,  2671,  1582,  1671,  -124,  3674,  1662,  1306,  1355,
    2707,  1645,  2196,  1490,  1533,   924,  3140,  1534,  4053,  4203,
    4055,  1617,  1509,  1898,  4059,   523,  4060,   924,   630,   810,
     177,  4081,  4062,  2273,  1237,  1708,   630,  2279,  3786,  2281,
     927,  1307,  2284, -2095,  1618,  1619,  1671,  3788,   631,  4280,
     937,  2598,  1634,  4223,  2826,  2991,   631,  4320,  1970,  1676,
    4063,   686,    38,  1278,  1491,  2707,  4220,  2455,  1526,  1500,
    2166,  1674,  4503,  1500,  1845,  2271,  1991,  1576,  1991,  3981,
    2109,   924,  3465,  1222,  2949,  1366,  4543,  1585,  1214,  4529,
    3671,   996,    42,  1923,  1933,  3242,  2113,  4077,  3726,  4366,
    1596,  1676,  1464,  2206,  2272,  4295,  2495,  2310,   574,  3675,
    3206,  1999,  3676,  4474,  3097,  2011,  2465,  2939,  1542, -1376,
    1164,  1917,  1165,  1149,  2680,  2968,  2615,  1934, -1379,  3623,
      46,  2276,  2827,  4471,  1599,  3207,   873,  3985,  1297,  2771,
    2332,  4504,  1491,    47,  3184,  1825,  2672,  2291,  2413,  2134,
    1671,   568,  2620,  2059,  2052,  3684,  2054,  2083,  2125,  2126,
    2542,  3320,  3419,  2197,  4505,  2292,  4450,  1432,  3054,  2065,
   -1816,  2686,  1721,  2105,   716,  1674,  4043,  1733,  1733,  2519,
    2078,  4425,  2132,  2410,   923,   577,  2449, -1832,  1960,  1579,
    1491,  2101,  4103,  2061,  1926,   924,   725,  3243,   879,  3264,
    1824,  1528,   882,   924,   924,  1676,  2011,   976,  2266,  1611,
    1612,  1264,  3640,   871,  4552, -1376,  1665,  1918,  1631,   905,
    1202,  3912,    48,  1238, -1379,  1003,  1432,   797,  3003,  1695,
    3153,   169,   724,   173,  3582,  2371,  2584,   977,  2253,   982,
    2025,   986, -1949,  4071,   636,   637,  1824,   990,  1715,  2394,
   -2095,  3935, -1376, -2041, -1376,  3939, -1976,  3822,  3327,   636,
     637, -1379,  1869, -1379, -2075,  1491, -2096,  3929,  1009,  3887,
     641,  1962,   641,   968,   641,  2274,  2991,  1870, -1950,  1968,
     641,   991,   992,  1159,  2285,   993,  1977,  1160,  3964,  2034,
    2029,  1026,  2037,   971,  4117, -2272,   810,  2331,  1130,  2334,
    3831,  1139,   923,  1141,   737,  3848,  1372,  4484,   738,  2342,
    1606,   636,   637,  2346, -2095, -2123,  1159,  1378, -1924,  1606,
    1160,  2358,  2359, -2044,  1640, -1585,  3782,  1500,  1617, -2095,
    1150,  1623, -2273,  1005,  2376,  2378,  2042,  4330,  4466,  2045,
    2046,  3244,  1640, -1597,  1641,  2392,   736,  1667,   169,   168,
     173,   163,   164,   166,  1706,  2714, -1590,  2480,  1642,  3136,
    1166,  3137,  1641,  3598,  2991, -1590,  2106,  3661,  1826,  3688,
     636,   637,  1003,  3085,  3245,  3085,  1644,  1480,  3773,  2502,
    3297,   636,  1289,  3300,  3301,  3384,  2000,  3304,  2621,  1500,
    1005,  2032,  2223,  3307,  1151,  3621,  1222,  1169,  2001,  2338,
     569,  2229,  3459,  3246,  3130,  2233,  2110,  4388,  1819,  1021,
    4185,  2239,  2240,  4515,  3624,  3986,  3364,  4195,   573,  1205,
    3833,   732,   573,  -124,  -124,  1227,   573,  3804,   782,  2252,
    2155,  1340,   886,  4344,  4278,  2940,   934,  1136,  2362,  2363,
     641,  1144,  3302,  3303,  2473,  2473,  2473,  3188,  2138,  2002,
     570,  3085,  1376,  2687,    65,  2596,  1034,  1184,  2993,  2991,
    2498,  1242,  1295,  1296,  1692,  1693,  1694,  1695,  2549,  1341,
    3087,  3109,  3087,  3000,  3001,  3002,  3003,  2558,    74,  1345,
    2789,   571,   739,   572,  3612,  1346,  2208,  2224,  3700,  3102,
    1717,  1288,   573,   610,  1974,    75,   624,    76,  2637,    77,
    1224,  4437,    78,    98,   118,   123,  1579,   139,  4156,   143,
     161,   167,    14,   630, -1921,  2139,   525,  3860, -1557,  2205,
    2347,  2676,   573,  1913,  2282,  2283,  1828,  1228,  1927,  1829,
    1709,  1190,  4465,   631,  4413,  2138,  1388,  2372,  2372,  2499,
    1458,  1516,  2372,   573,    19,  3350, -2273,  1500,  3087,  2559,
    1185,  3636,  1847,   673,  1330,  2189,  1224,  1445,  1446,   740,
    4414,  4438,  3429,  3805,  2539,  1662,  1690,  1691,  1692,  1693,
    1694,  1695,   923,  2140,  2230,  4135,  2141,  1477,  1459,  1517,
    3625,  1347,  2372,  2372,   923,  2241,  3701,   975,  3353,  1848,
    1718, -1557,  2056,  1710,  1915,  4283,   169,  2248,   173,  2238,
    1192,   573,  2139,  4284,  4157,  3592,  1482,  1504,  1506,  3626,
    3834,   730,  1916,  4396,  2116,  2348,  4160,  1581,  3317,   641,
    4402,  4164,  1342,  4392,  4166,  1544,  2887,  1546,  3627,  1548,
    2941,  1550,  2190,  1552,  1553,  1554,  3317,  1193,   923,  3430,
    1556,  2993,   800,   801,   802,  2611,   803,   804,   805,   806,
     807,   808,  2117,  4544,  2781,  4367,  1604,   834,  3254,  3188,
    2140,  1928,  3881,  2141,  2408,  2624,  2823,  2142,  4305,  4255,
     731,  1229,  3427,  2733,  2429,  2258,  1621,  1407,  3365,  2734,
    2225,   783,  2349,  1850,   725,   887,  3971,  2790,  3636,   935,
    4334,  4335,  2998,  2999,  3000,  3001,  3002,  3003,  1159,  3790,
    2994,  1719,  1160,    30,  1230,  1377,  1648,  4094,  2597,  4087,
    1343,  3176,  1663,  3695,  2699,  1159,  3425,  4256,  2612,  1160,
    1659,  4069,  1668,  3998,  4257,  1348,  3357,  2365,  4097,    38,
    2488,  1460,  1518,  1231,  1851,  1707,   810,   732,  -595,  1929,
    2350,  1917,  4467,  2351, -1557,  2540,  2928,   835,  2541,  3177,
    2625,  4258,   923,   741,  2142,  1723,  1724,  4285,  1349,    42,
     923,   923,  1830,  3358,  1838,  1839,  2143,  1843,   738,   738,
    4372,   738,  4196,  3431,  4328,  2735,  3643,  3359,  1483,   654,
    2998,  2999,  3000,  3001,  3002,  3003,  2700,  1350,   836,  2808,
     641,  1232,  4368,  2089,  3376,   641,   641,    46,  2739,  4514,
    2430,  3573,  3135,  4516,  2431,  2118,   736,   736,  2542,   736,
      47,  3696,  2030,  2191,  2871,  4394,  1190,  4300,  4369,  1461,
    1519,  2512,  4526,  4259,   915,  3889,  2192,  3890,  1484,  3574,
     820,  2740,  3963,  3432,  2352,   730,  2701,  1918,   837,  4472,
    3485,  3329,  2432,  2114,  3941,  4317,    48, -1423,  4551,   660,
    3644,  4306, -1423,  2143,   733,   821,  3576,  3948,  3598,  3360,
    2741,  2742,  4246,  3955,  3505,  1671,  3332,   662,  3085,  2615,
    2942,  1300,  3085,  2144,  2031,  2998,  2999,  3000,  3001,  3002,
    3003,  1205,  3488,  4373,  3489,  1192,  4104,  4156,  2702,   641,
    1674,  4347,  2169,  2119,   731,  4352,  4353,   641,  4105,  3330,
    2115,  3697,  3178,  3024,  4566,  3645,  3752,  3646,  2089,  3031,
    3875, -1557,  3755,  3756,   636,  1289, -1423,   573,  1485,  2736,
    1676,   624, -1557,  4489,  1617, -1557,  1214,  1955, -1557,   834,
    2905,  2636,  4204,  2353,   992,  2060,   526,   681,  3320,  2943,
    2231,  2006,  3377,  2906,   810,   663,  4429,  4430,  4374,   661,
    2222,  2911,  2737, -1423,   641,  3578,  3891,   641,   641,  2228,
    2142,   732,  2433,  2089,  2792,  3087,  2371,  2371,  1486,  3087,
    1432,  2371,  2856,  2857,  2858,  2859,  4331,  2420,  3636,  2421,
    2703,  2738,   916,  2638,  2864,  4263,  4337,  2713,  3572,  4260,
    3179,  4267,  1367,  2142,  1002,  1034,  1302,  1150,  2991,    38,
    -146,  2128,  2422,  3490,  2072,  2073,  2074,  2075,   684,  2726,
    2063,  2371,  2371,  3491,  1034,  3783,  3618,  2991,  3105,   835,
     176,   176,  1278,  2901,   641,  -146,   707,  1224,   785,    42,
    1224,  3148,  1323,  2966,  3532,  3455,  3830,   917,  2765,  2602,
     718,  2611,  2570,  3198,   834,  2111,  2112,  1679,  1680,  1487,
    2759,  2121,  1847,  4106,  3317,  2304,  1346,  3573,  2633,  2170,
     836,  1151,   177,   177,  2179,  1324,  3199,    46,  3475,  2047,
     727,  2715,   810,  2473,  3262,  1003,  1021,  1907,   733,  2718,
      47,  2720,  3018,  2704,  1671,  3574,  3686,  1908,  2554,  1848,
    2566,  2705,  2287,  1683,  2706,  2149,   728,  2571,  2423,  1222,
    3575,  4534,  1909,  2424,  2056,  3863,  1523,  3864,  2425,  1674,
     837,  1995,  3576,  3043,  2612,  3802,    48, -2182,   664,   665,
     776,  4244,  2184,  2185,  2186,  2187,  1524,  3982,  2799,  3200,
    2904,  2570,  1500,  2171,   835,  3577,  1500,  3263,  1640,  1676,
    4387,  1849,  3449,  3572,  2613,  -938,  2913,  2914,  1211,  3687,
    2916,  1661,  1347,   169,  3265,   173,  2920,  1146,  1641,  2992,
    1325,  2372,  1996,  3458,  2372,  2372,  2372,  2372,  2372,  2372,
    2372,  2372,  2372,  2372,  3643,   836,  2243,  2614,  3803,  4218,
    2993,  1212,   742,  1850,  2808,  2247,  3156,  1725,  2307,  2260,
    3983,  2261,  2254,  2262,  2372,  2263,  2048,  2264,  2049,  2993,
   -2182,  2265,  4293,  3459,   169,  2303,   173,  2300,  2301,  2302,
    1213,  3578,  3573,  2743,  2953,   971,  2095,  3427,  2697,  2495,
    2047,  2882,  3159,  2372,  2372,   837,  1726,  2426,  3085,  2650,
    1216,  1142,  2356,  3085,  1851,  3229,  1910,  2427,  3085,  2994,
    3574,  3085,  2744,  2652,   778,  1991,    38, -2182,  3644,  2096,
    3230,  4338,  1713,  1992,  4127,  3575,  4341,  2294,  2994, -2182,
    2344,  2345,  1219,  1217, -2182,  2615,   796,  3576,  2357, -2182,
     924,  3085,  2360,  2361, -2182,  4470,    42, -2182,  2306, -2182,
    2651,  1690,  1691,  1692,  1693,  1694,  1695,  2382,  2329,  2383,
    3577,  2945,  1218,  2745,  2653,  1220,  4056,  3406,  2418,    33,
    3410,  4057,  2004,  3645,   924,  3646, -2182,  2930,    33,  4161,
    2405,  1991,  2406,  4268,    46,  3175,  3989,  3990,  2167,  1997,
    2152,   908,  2746,  2897,  1221,  3087,  2989,  2990, -2182,   795,
    3087,  3005,  2481,  1355,  2546,  3087,   826,  2199,  3087,  2550,
    2415,  4269,  2553,   833,  4058,  3780,  4181,  2048,  4183,  2049,
    4079,   909,  1629,  1630,  1190,  3727,  1309,  2919,  4086,  1191,
    4041,  4042,  4510,    48,  2576, -2182,  3578,  2053,  3087, -1388,
    4096,  3040,  3041, -2182,  3098,  3728,  3743, -1422,  4406,  2699,
     910, -1388, -1422,   908,   810,   875, -1388,  1891,  2019,  2097,
    2813,  3167,  4432,   624,  3239,  2839,  3744,  3454,  1222,   878,
    2590,  2098,  1310,   880,  2013,  2626,  1831,   785,  3085,  1832,
    2995,  2996,  2997,   909,  2998,  2999,  3000,  3001,  3002,  3003,
    1892, -2182,  2632,  1192,   911,  2099,  1336,  3240, -1388,  2995,
    2996,  2997,   896,  2998,  2999,  3000,  3001,  3002,  3003,  2814,
    4162,   542,  3386,  3045,  2398,  3046, -1422,  2401,  2667,  1893,
   -1388,  2700,  3658,  2014,  2255,  2015,  3241,  2256,  2504,  1337,
    1193,  2067,  3085,  1338,  2267,  2861,   654,  2268,  3047,  1034,
    2862,  2963,  2991,  3100,   883,  2698,  2256,  3162,  3641,  2709,
     903,  1311,  4491, -1422,  3189,   542,   911, -1388,  1339,  2011,
   -2182,   641,   169,  2521,   888, -1388,   889,  2721,  2013,   544,
    2269,  2701,  2560,  2268,  2563,  3087,  3209,  2964,  2731,  1733,
    1169,  3389,  2965,   542, -2182,  -503, -2182, -2182,  2815,  2816,
    3398,  2755,  2372,   912,  1640,  1034,  3060,   913,  2991,  1312,
    2762,  1313,  2817,  2297,  3340,   924,  2298,  3518,  3908,  2862,
     914,  2055,  1640,   544,  1641,  3533,   929,  2014,  2840,  2015,
    3212, -2182,  3214,  2702, -2182, -2182, -2182,    38,  1642,  3087,
     933,   639,  1641,  2473,  2494,  3192,   639,  2495,  2473,  3048,
    1315,   544,  2332,  2473,  3049,  -400,  1644,   941,  -504,  2818,
     942,  1141,  2630,  2011,  3168,  2631,  3017,    42,  3019,  3020,
    2371,  4560,   947,  2371,  2371,  2371,  2371,  2371,  2371,  2371,
    2371,  2371,  2371,   956,  2592,  2593,  2594,  3085,   962,  1317,
    3506,  3507, -1388,  2604,  3467,  2606,   209,  2608,  2609,  2094,
    3662,   527,  1159,  3516, -1924,    46,  1160,  3672,  3677,   608,
    2622,  3235,   966,  3145,  3146,  2619,   624,   551,    47,   552,
    2693,   924,   997,  2694,  1319,  2703,   682,  4224,  3331,  3333,
    3334,  3283,  2371,  2371,  2993,  2794,  2013,  3290,  2795,  3471,
    1007,  3366,  1448,  3689,  1001,  3620,  2819,  2013,  2820,  1010,
    1617,  2332,  1898,  1159,    48,  1013,  1180,  1160,  -400,  2809,
    1012,   551,  2810,   552,  2841,  3247,  1018,  3249,  2688,   641,
    2509,  2510,  2922,  3050,  3166,  2268,  1019,   641,  3085,   641,
    1020,  2372,  2372,  3051,  3087,  2014,  1448,  2015,  1021,   551,
    2993,   552,  1024,  2994,  2716, -2184,  2014,  3512,  2015,  4128,
    4129,  4130,  4131,  2842,  2783,  2013,  2935,  2962,  2972,  3261,
    2256,  2256,  2783,  2976,   557,   891,  2256,   892,  2676,  1022,
    3685,  2011,  3284,  2980,  1589,  1590,  2256,  4264,  2704,  2935,
    2981,  1023,  2011,  2256,  3350,  3470,  2705,  1030,  3007,  2706,
    3351,  2256,  3023, -1446, -1446,  2256,  2013,  3298,  1028,  2994,
    3352,  2775,  3112,  3113,  2014,  2954,  2015,  2808,  1027,  2784,
    3257,  2957,  1145,  3028,  2785,  2013,  3029,  3222,  3227,  2807,
    3223,  3228,  4200,  2855,  1148,  3087,  3907,  3353, -2184,  3354,
    3416,  1152,  4488,  3417,  3436,  1153,  3638,  3639,  3439,  3440,
    2011,  3442,  1154,  3444,  3445,  2014,  1603,  2015,    48,  3760,
    3839,  2883,  3450,  4216,   169,  2872,  1617,   923,  1214,  2887,
    1158,  3317,  4113,  2853,  2014,  3476,  2015,  3513,  2256,  3523,
    3514,  3535,  3524,  3610,  2256, -2184,  3611,  3614,  1170,  3619,
    3615,  2011,  2541,  3642,  3468,  3832,  2268, -2184,  2268,  3382,
    3913,   923, -2184,  2298,  2218,  1177,  2219, -2184,  2638,  2873,
    2011,   810, -2184,  3355,  1178, -2184,  3966, -2184,   924,  2541,
     924,  1617,  1188,  1898, -2197, -2273, -2273,  1180,  2998,  2999,
    3000,  3001,  3002,  3003,  3973,  3437,  3979,  3974,  2907,  2268,
    2909,  2876,  3980,  2877, -2184,  2268,  4517,    27,  4046,    27,
    4098,  4047,  1034,  4099,  3375,  2991,  3378,  4137,  1181,  1203,
    4138,  3868,  3869,  3870,  1368,   641, -2184,  3088,  1204,  1208,
    3356,  3367,  3914,  3369,  1214,  3357,  4139,  3110,  4289,  2256,
    2995,  2996,  2997,   924,  2998,  2999,  3000,  3001,  3002,  3003,
    3487,  2371,  3266,  3492,  3493,  3494,  3495,  3496,  3497,  3498,
    3499,  3500,  3501, -2184,  3480,  4177,  4147, -2197,   535,  2298,
    4201, -2184,  3358,  4202,  4265,  1240,  4290,  2268,  3088,  4291,
    3068,  1235,  3069,  3141,  3486,  3472,  3359,  1262,    38,  2013,
      38,  3593,  3594,  3595,  2961,  3588,  3422,  4301,  1266,  1267,
    2298,   725,  4345,     3,     4,  1670,  1299,  4309,  1671,  3508,
    4310,  1297,  3541,  3542, -2197,  3070,  1300,  3071,    42, -2184,
      42,  1243,  1305,  1308,  3466,  3164, -2197,  4314,  1331,  4319,
    2495, -2197,  3396,  1674,  1332,  1344, -2197,  1659,  2014,  1675,
    2015, -2197,  1353,  1358, -2197,  1582, -2197,  4321,   542,  4363,
    3396,  2418,  4364,  1244,  1363,  1364,    46,  2372,    46,  4395,
     610,  1371,  1712,  1676,   654,  1369,  2372,  -932,  3360,    47,
    3063,    47,  1373, -2197,  2011,  3073,  3074,  3075,  4400,    14,
    3775,  4401,  3776,  2372,  2372,  3079,  4407,  4408, -2184,  2298,
    3029,  4409,   923,  4419,  2256, -2197,  2495,  2993,  4564,  1375,
    4565,  3294,  3761,   725,  1379,  4518,   544,    48, -1165,  1245,
   -1165,    19, -2184,  1385, -2184, -2184,   169,  2303,   173,  2300,
    2301,  2302,  1180,  3231, -1376,  3101,  1824,   641,  1387,  3663,
    2371,  2371, -2197,  1380,  3690,  3250,  3079,  1390,  2013,   724,
   -2197,  1246,  4421,  3762,  1187,  3396,  1189,  2852,  4436, -2184,
    2332,  2298, -2184, -2184, -2184,  1392,  2994,  4442,  3748,  4443,
    2298,  4457,  2298,  3940,  4458,  3943,  2013,  3763,  4239,  1678,
    4485,  2013,  4532,  2495,  1395,  3396,  4562,  1247,  4573,  4563,
    1222,  4563,  3764,  1436,  1439,  1441,  3765,  2014, -2197,  2015,
    1679,  1680,  1243,  1432,  4029,  4030,  1451,  4032,   923,  1452,
    -166,  1454,  1456,  1468,  1478,  1470,  3766,  1248,  3295,  3767,
    3896,  1476,   194,  1488,  3858,  2014,  1493,  2015,  1494,  1495,
    2014,  3768,  2015,  2011,  1244,  1496,  1497,  1499,  1500,  4494,
    3110,  1507,  1510,   654,  1670,  1511,  1683,  1671,  1512,  1513,
    4499,  1515,  1520,  1521,   551,  1522,   552,  1527,  3110,  1684,
    1532,  2011,  1557,  1584,  1591,   554,  2011, -2197,  1600,  1587,
    1593,  3171,  1674,  3172,  3173,  3174,   556,  4113,  1675,  1448,
      30,  1594,    33,  1601,  1975,  3225,  1251, -1561, -1568,  1610,
    1245, -2197,  1252, -2197, -2197,  1613,  1614,  1615,  1616,  1253,
    1620,  4537,  1676,    48,  1622, -1558,    38,  1976,  1625,  3769,
   -1559,  1626,  2372,  1627,  1628,  1633,  1255,  3770,  1635,  1636,
    1637,  3801,  1246,  3255,  1256, -1562,  1638, -1560, -2197,  1639,
    1699, -2197, -2197, -2197,  1701,  1646,    42,  2995,  2996,  2997,
    1647,  2998,  2999,  3000,  3001,  3002,  3003,  1703,  1649,  1650,
    1705,  3862,  3771,  1651,  1716,  1652,  1653,  1654,  1247,  3865,
    3866,  1655,  1656,  1712,  3042,  1728,  1736,  1836,  2089,  1268,
    1034,  3286,  1191,  2991,    46,  1269,  1257,  1193,   611,  1867,
    1865,  1894,  3457,  3820,  1875,  1896,  1895,    47,  1248,  1898,
    3915,  1899,  1670,  2783,  1900,  1671,  2783,  2783,  1901,  1902,
    2783,   785,  3469,  1903, -2273,  1924,  2783,  1930,  1678,  1936,
    1957,  1961,  1672,  3319,  1963,  1270,  1249,  1964,  1965,  1966,
    1674,  1967,  1982,   612,  1994,  1983,  1675,  1984,  2004,  1679,
    1680,  3319,  2005,  2007,  1690,  1691,  1692,  1693,  1694,  1695,
    4050,  2008,  2009,  2010,  2011,   923, -2273,   923,   641,  1250,
    1676,  2017,  2018,    33,  2020,  3326,  3328,  1251,  2021,  2022,
    3335,  3818,  3819,  1252,  1271,  2033,   641,  2026,  2027,  2043,
    1253,  1272,  2035,  2050,  1273,  1683,  1278,  2039,  1254,   981,
     983,   985,  4084,  3394,   987,   988,   989,  1255,  1684,  2040,
    2051,  2057,  2079,  3871,   994,  1256,  2371,  3379,  2058,  2062,
    3909,  3910,  2068,  2069,  2080,  4140,  2081,  2084,  2107,  3421,
     923,   169,  3412,  2090,  2085,  2108,  2120,  2093,  2122,  2123,
    2135,  2133,  2371,  2371,  2136,  1606,  1670,  3839,  1274,  1671,
     169,  3435,  2153,  1617,  1623,  2156,  1034,  2157,  2160,  2991,
    2161,  1582,   537,  2168,  2164,  1325,  2183,  1257,  3088,  2188,
    3088,  2203,  1677,  1210,  1674,  2993,  1678,  3549,  2204,  2211,
    1675,  3987,  2214,  2216,  2217,  2221, -2273,  3760,  2232,  2234,
    2235,  2236,  2237,  2250,  2286,  2251,  2309,  1679,  1680,  2280,
    2295,  2337,  2343,  2338,  1676,  1275,  3446,  1276,  2380,  3447,
    1671,  2381,  4004,  4005,  1681,  2393,  1670,  1277,  2399,  1671,
    2403,  2411,  2404,  2417,  2434,  1278,  2436,  2451,  2452,  2465,
    2479,  2486,  2483,   641,  2994,  1279,  2482,  2487,  2496,   731,
    1682,  2497,  2505,  1683,  1674,  2506,  3088,  2507,  2508,  2516,
    1675,  2530,  2531,  2533,  3473,  3659,  1684,  2543,  4313,  1685,
    2544,  2545,  2556,  2564,  2561,  2566,  2568,  2569,  4313,  2585,
    2575,  1281,  1282,  3988,  1676,  4172,   725,  2580,  3530,  4038,
    4039,  2595,  2591,  1690,  1691,  1692,  1693,  1694,  1695,  2586,
    2588,  2607,   725,  2599,  2610,  1142,  3110,  1283,  2623,  2628,
    1146,  4003,  2692,  2684,  2678,  2683,  1677,  2695,  2696,  2708,
    1678,  2747,  1659,  3554,  3555,  3556,  3557,  2750,  2768,  2772,
    4018,  2761,  4359,  2769,  2773,  3958,  3561,  2774,  3564,  2776,
    2777,  1679,  1680,  2780,  1686,  2786,  3053,  2788,  4234,  4236,
    2793,  2993,  3729,  2778,  2779,  3732,  2797,  2800,  1681,  4228,
    2801,  2802,  2811,  2831,  2845,  1284,  2803,  2805,  2804,  2806,
    2854,  2371,  2847,  2860,  2863,  2868,  2870,  2881,  4037,  2869,
    2879,  3995,  2884,  2896,  2898,  2900, -2273,  1683,  2899,  2902,
    1678,  2903,  2918,  2912,  2915,  2917,  2936,  2924,  2925,  2926,
    1684,  2310,  2944,  2495,  4121,  1528,  4122,  4123,  2929,  2950,
    2994,  1679,  1680,  2947,  2952,  2995,  2996,  2997,  4126,  2998,
    2999,  3000,  3001,  3002,  3003,  2927,  4420,  4052, -2273,  1003,
    2958,  2956,  4026,  2959,  2955,  2960,  2974,  1687,  1688,  1689,
    2978,  1690,  1691,  1692,  1693,  1694,  1695,  3025,  2975,  2484,
    3044,  3013,  2977,   924,  2979,  2485,  2982,  1683,  4072,  1543,
    2983,  3052,  1545,  3823,  1547,  2985,  1549,  2988,  1551,  2256,
    1684,  3006,  1555,  1670,  4303,  3039,  1671,  3059,  1686,  3319,
    3654,  3655,  3656,  3657,  3012,  3014,  4132,  4171,  3090,  3066,
    3015,  3096,  3062,  1672,  4176,  -978,  3117,  3120,  3022,  3037,
    3122,  1674,  3126,  3711,  3710,  3138,  3712,  1675,  3713,  4180,
    3038,  3095,  4148,  4149,   641,  3132,  3144,  3149,  3147,  3064,
    3065,  4225,  3150,  3158,  4365,  1582,  3154,  3161,  3163,  3155,
    3170,  1676,  3185,  3186,  3196,  3197,  3202,   641,  3211,  2935,
    3201,  3213,  3226,  3252,  3253,  3256,  3258,  3259, -2273,  2783,
    3260,  4348,  3267,  3268,  3269,  2783,  2783,  3270,  2128,  3271,
    3272,  3273,  3274,  4351,  3275,  3276,  3277,  3278,  3279,  4355,
    3280,  4357, -2273, -2273,  3281,  1690,  1691,  1692,  1693,  1694,
    1695,  2995,  2996,  2997,  3287,  2998,  2999,  3000,  3001,  3002,
    3003,  3282,  3285,  3785,  3787,  3789,  3791,  3289,   991,   992,
    2077,  3291,  3299,  3293,  3305,  3306,  3309,  3321,  3325,  3774,
    3324,  3336,  2142,  3341,  3380,  3337,  3383,  3373,  3342,  3385,
    3387,  3395,  3374,  3396,  3404,  3402,  3408,  3407,  3784,  3411,
    3414,  3434,  3441,  1677,  3443,  3451,  3452,  1678,  3453,  3456,
    3461,  3462,  3463,  4412,  3474,  1690,  1691,  1692,  1693,  1694,
    1695,  3479,  3009,  1603,  2991,  3799,  3537,  3008,  1679,  1680,
    3509,  3525,  3550,  4550,  3850,  1664,   732,  3510,  3511,  3538,
    4298,   169,  3847,  3088,  4228,  1681,  3517,  3088,  3563,  3590,
     810,  3606,  3585,  3622,  3546,  3629,  3587,  3650,  3652,  3571,
    3653,  3603,  4308,  3664,  3599,  3665,  4279,  3666,   650,   651,
    3600,  1682,  3669,   657,  1683,  3667,  3691,  4188,   668,   676,
     650,  3602,   683,  4550,  3694,   676,   676,  1684,   711,  3692,
     714,  4550,  4205,  3678,  3883,  3717,  4329,  1670,  3693,  3704,
    1671,  4299,  3705,  3706,  3707,  3718,  3708,  3709,  3724,  3740,
    3742,   641,   924,  3673,  3753,  3751,  3754,  1672,  3745,  4210,
    3779,  3777,  3778,  3806,  3798,  1674,  3809,  3426,  3816,  3814,
    3826,  1675,  3828,  1669,  3821,  3825,  4360,  1582,  1670,  2268,
    3829,  1671,  4013,  3842,  3844,  3845,  3855,  3856,  3867,  3859,
    3861,  3872,  3874,  3876,  4023,  1676,  3877,  3878,  1672,  3879,
    3880,  1673,  3888,  3897,  3898,  1686,  1674,  3899,  3936,  3885,
    3892,  3931,  1675,  3284,  3937,  3893,  3900,  3944,  3901,  3949,
    3950,  3921,  3905,  3959,  3962,  3965,  3932,  3934,  3947,  3968,
    3952,  3970,  3975,  3953,  3976,  3954,  1676,  3984,  3999,  4000,
    4006,  3079,  4007,  4019,  4008,  3079,  4022,  4033,  4538,  1938,
    4028,  1582,  4064,  4065,  4040,  1582,  1582,  4073,  4061,  3956,
    3957,  4078,  4083,  4085,  4089,   767,   772,   772,   775,  4091,
     772,  4100,   781,  3969,   767,  4102,   711,  4108,  4110,   812,
     169,  3960,  1939,  1268,   711,  3967,  4111,   711,  4119,  1269,
    4125,   772,  4133,   711,  4134,  1940,  4136,  1677,  1687,  1688,
    1689,  1678,  1690,  1691,  1692,  1693,  1694,  1695,  1941,  4141,
    4143,  4144,  4152,  4165,  4174,  4145,  4146,  4182,   641,  4158,
    4194,  4075,  1679,  1680,  4178,  4168,  4198,  4197,  4207,  1270,
    4212,  4213,  4221,  4222,  4226,  4233,  4240,  4001,  1677,  1681,
    3805,  4247,  1678,  4250,  4249,  4252,  1942,  4253,  4272,  4273,
    4254,  4277,  4271,  4281,  4275,  4282,  4304,  1943,  4307,  4311,
    4322,  4316,  4332,  1679,  1680,  1682,  2935,  4326,  1683,  4370,
     641,  4340,  4342,  4354,  4375,  4379,  4380,  1944,  1271,  4382,
    1681,  1684,  1945,  4385,  1685,  1272,  4390,  4384,  1273,  4397,
    4016,  4017,  4398,  4399,  4404,  4020,  4021,  4431,  4405,  4422,
    4410,  4418,  4411,  4035,  4036,  4424,  1682,  4423,  4426,  1683,
    4349,  4439,  4447,  2783,  2783,  4448,  4435,  4451,  4456,  4445,
     923,  4461,  1684,  4453,  4054,  1685,  4462,  4468,  4469,  4483,
    3551,  4490,  4497,  4492,  4449,  4501,  4508,  4509,  4513,  4541,
    4031,  4533,  1274,  3088,  4067,  4558,  4527,  4450,  3088,  1946,
    4561,  1735,  1182,  3088,  4034,   641,  3088,  2091,  2935,  1686,
    2935,  4567,   810,  4571,  1304,  2849,  1329,   924,  3103,  3683,
    1265,  2682,  3208,  2760,  4428,  3757,  4227,   641,  4361,  4446,
    1947,  3308,  4274,  3817,  4276,  4070,  3088,  4262,  2923,  4093,
    3152,  4493,  1328,  3110,  4186,  4536,  4454,  4452,  4507,  1275,
    1686,  1276,  4393,  3813,   810,  3157,  2829,  2830,  3681,   194,
    3220,  1277,  2180,  2812,  3391,  4112,  4540,  4572,  4568,  1278,
    4251,  4211,  3338,  3322,  4511,  4441,  2163,  4498,  4209,  1279,
    4214,   656,  3873,  1577,  4327,  1586,  3851,  3883,  3883,  3883,
    3883,  2536,  1948,  3852,  3139,  4403,   925,  4095,  1949,  3288,
    4569,  1950,  1687,  1688,  1689,  4520,  1690,  1691,  1692,  1693,
    1694,  1695,  1280,  1155,  2259,  1281,  1282,  2490,  3107,  2984,
    2491,  3835,  3616,  1176,   785,  1833,  3961,  1951,  2515,  2514,
    3108,  1862,  3118,  1952,  1866,  3131,  3566,  1861,  3116,  3119,
    3930,  1283,  3942,  1687,  1688,  1689,  1953,  1690,  1691,  1692,
    1693,  1694,  1695,  4318,  1871,  3562,  3079,  4417,  1163,  4416,
     843,  3079,  3617,  2798,  3079,   711,  4302,   767,  3529,  4486,
     772,  1954,   775,  3088,   772,  3519,  4487,  4482,  3111,  3057,
    2969,   812,  3055,  3613,   900,     0,  2467,     0,     0,     0,
       0,   772,     0,     0,     0,  1670,     0,     0,  1671,  1284,
       0,     0,     0,     0,     0,  4179,     0,     0,     0,     0,
       0,     0,     0,  2313,   767,  1672,  3319,     0,     0,   775,
       0,     0,     0,  1674,   767,     0,     0,  3088,   812,  1675,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4189,  4191,  4191,   772,     0,     0,     0,     0,     0,     0,
    2783,   641,     0,  1676,     0,     0,     0,     0,     0,   923,
    2314,     0,     0,  4231,     0,  4232,     0,     0,     0,  4237,
    4238,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2315,
       0,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   711,  1017,     0,   169,  4266,     0,     0,     0,
    2316,     0,     0,     0,  4381,     0,     0,     0,     0,     0,
       0,  2317,     0,  1129,     0,   711,   676,     0,     0,     0,
     676,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2318,     0,     0,   711,     0,  2319,     0,   711,     0,
       0,     0,     0,     0,  1129,  1677,     0,     0,     0,  1678,
       0,     0,     0,     0,     0,   711,     0,     0,     0,   810,
       0,     0,  3088,     0,  4286,     0,     0,   711,     0,     0,
    1679,  1680,     0,     0,     0,  3079,     0,     0,     0,     0,
    1670,     0,  2320,  1671,     0,     0,     0,  1681,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2321,     0,     0,     0,     0,  1674,   711,
       0,     0,     0,  1682,  1675,     0,  1683,     0,     0,     0,
       0,     0,   711,     0,   772,   772,  4362,     0,     0,  1684,
       0,     0,  1685,     0,     0,     0,     0,     0,  1676,     0,
       0,     0,  4464,     0,  4333,     0,   676,   676,     0,     0,
       0,     0,     0,  3088,  2935,     0,     0,     0,     0,     0,
       0,     0,     0,   194,     0,     0,     0,     0,     0,     0,
     767,     0,     0,  4356,     0,  4358,     0,     0,     0,     0,
       0,   767,     0,   169,  4391,   812,     0,     0,  4496,     0,
    2322,     0,     0,     0,  1670,     0,  2323,  1671,   772,     0,
    3543,     0,  2324,     0,     0,     0,     0,  1686,     0,     0,
       0,     0,     0,   711,  1672,     0,     0,     0,     0,   772,
     772,     0,  1674,     0,     0,     0,     0,     0,  1675,     0,
       0,  2325,     0,  2326,     0,   711,   711,   711,     0,   772,
   -2273,   767,     0,     0,  1678,     0,     0,     0,     0,     0,
    2327,     0,  1676,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   923,  1679,  1680,   772,     0,   772,
     772,     0,     0,     0,     0,  2328,     0,     0,     0,     0,
       0,     0, -2273,     0,  4191,     0,     0,     0,     0,     0,
       0,     0,  1129,     0,     0,     0,     0,     0,     0,     0,
    1687,  1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,
    1670,  1683,     0,  1671,     0,     0,     0,  3032,     0,  4570,
       0,     0,  1560,  1560,  1684,     0,     0,   711,     0,   650,
    1672,     0,     0,     0,     0,     0,     0,     0,  1674,  4460,
       0,     0,     0,     0,  1675,     0,     0,  1592,     0,     0,
     711,     0,     0,  1598,  1677,     0,     0,     0,  1678,     0,
       0,     0,     0,     0,     0,     0,  1129,     0,  1676,     0,
       0,     0,   169,  4512,     0,     0,     0,     0,     0,  1679,
    1680,     0,     0,     0,     0,   169,  4525,   173,  4522,  4523,
    4524,     0,  4557,     0,     0,  1129,  1681,     0,     0,  4500,
       0,     0, -2273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4549,     0,     0,     0,     0,     0,     0,
       0,     0,  1682,  1129,  1129,  1683,  1129,     0,  4556,  4525,
     173,  4522,  4523,  4524,     0,     0,     0,     0,  1684,     0,
       0,  1685,     0,     0,     0,  1129,     0,     0,  4548,     0,
       0,  4539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4549,     0,     0,     0,     0,     0,     0,
    1677,  4549,     0,     0,  1678,   169,  4525,   173,  4522,  4523,
    4524,     0,   711,     0,     0,  1129,     0,     0,  2889,     0,
       0,     0,     0,     0,     0,  1679,  1680,     0,  4548,  1690,
    1691,  1692,  1693,  1694,  1695,     0,  4548,  1243,     0,     0,
       0,     0,  1681,     0,  1129,     0,  1686,     0,  1129,  1129,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
     711,  1874,     0,     0,     0,     0,     0,     0,  1682,  1244,
       0,  1683,     0,     0,     0,     0,     0,   676,     0,     0,
       0,     0,     0,     0,  1684,     0,     0,  1685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     676,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,  1990,  1245,     0,     0,     0,     0,
     711,     0,     0,   772,     0,     0,     0,     0,     0,  1687,
    1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,     0,
       0,     0,     0,  2402,     0,   812,     0,  1246,     0,     0,
       0,   711,  1686,     0,   711,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1670,     0,     0,  1671,     0,     0,
       0,     0,     0,     0,     0,     0,  2890,     0,   711,     0,
       0,     0,     0,  1247,  1672,     0,   772,   772,   772,   772,
     711,     0,  1674,     0,     0,     0,     0,  1670,  1675,     0,
    1671,   676,     0,     0,   711,     0,     0,     0,     0,     0,
       0,     0,     0,  1248,     0,  2103,     0,   711,     0,     0,
       0,     0,  1676,     0,     0,  1674,     0,   772,   772,     0,
       0,  1675,     0,   772,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1687,  1688,  1689,     0,  1690,
    1691,  1692,  1693,  1694,  1695,  1676,     0,     0,     0,  3323,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   772,    33,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,  1252,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,  1976,   772,   772,   772,   772,     0,     0,
       0,     0,  1255,     0,     0,     0,   711,  3544,     0,     0,
    1256,     0,   711,     0,  1677,  2103,     0,     0,  1678,     0,
       0,     0,     0,     0,   767,     0,     0,     0,     0,     0,
       0,   775,     0,   767,     0,     0,     0,     0,     0,  1679,
    1680,     0,     0,   812,     0,     0,     0, -2273,   772,     0,
       0,  1678,     0,     0,     0,     0,  1681,   772,     0,     0,
       0,     0,  1257,   772,   772,     0,  2892,  3426,   711,     0,
       0,     0,  1679,  1680,     0,     0,     0,     0,     0,     0,
       0,     0,  1682,     0,     0,  1683,     0,     0,     0, -2273,
       0,     0,     0,  1560,     0,     0,     0,     0,  1684,     0,
     772,  1685,   767,     0,     0,     0,   711,   711,     0,   772,
       0,     0,     0,     0,     0,   711,     0,     0,  1683,     0,
       0,     0,   711,     0,     0,     0,     0,     0,     0,   650,
     650,  1684,  1670,  2312,     0,  1671,     0,  1129,     0,  1129,
       0,     0,     0,     0,     0,  2889,  1129,     0,     0,  1129,
       0,     0,  1672,  1129,     0,     0,     0,     0,     0,     0,
    1674,  1129,  1129,     0,  1243,     0,  1675,     0,     0,  1129,
       0,   812,  1129,  1129,  1129,  1129,  1686,     0,     0,     0,
       0,     0,  1129,  1129,     0,  1129,     0,  1129,  1129,     0,
    1676,  1129,     0,     0,     0,     0,  1244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1129, -2273,
       0,     0,   772,  1129,     0,     0,     0,  1129,     0,     0,
       0,  1129,     0,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,     0,  1129,     0,     0,     0,     0,     0,   711,
       0,  1129,  1129,     0,     0,     0,     0,     0,   711,     0,
       0,     0,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1687,
    1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,     0,
       0,     0,     0,  3481,  1246,     0,     0,     0,  -121,     0,
       0,     0,  1677,     0,     0,     0,  1678,     0,     0,     0,
       0,     0,     1,     0,     0,     0,  1690,  1691,  1692,  1693,
    1694,  1695,     2,  2890,     3,     4,     0,  1679,  1680,     0,
    1247,     0,     0,     0,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,  1681,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
    1248,     7,     8,     0,     0,     0,     0,     9,     0,    10,
    1682,     0,     0,  1683,   711,     0,   711,     0,  1129,    11,
       0,    12,     0,     0,     0,     0,  1684,     0,     0,  1685,
       0,     0,     0,     0,     0,     0,     0,    13,     0,     0,
      14,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    15,   711,    16,     0,     0,     0,    17,  2522,
       0,  2529,  1268,     0,    18,    33,     0,     0,  1269,  2891,
       0,     0,    19,     0,    20,  1252,     0,     0,     0,     0,
      21,     0,  1253,     0,     0,     0,     0,     0,     0,   775,
    1976,     0,     0,     0,   650,    22,   650,     0,     0,  1255,
       0,     0,     0,     0,  1686,     0,     0,  1256,  1270,     0,
       0,     0,     0,  1129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   767,     0,   772,   772,   772,     0,
       0,   767,     0,   812,     0,   772,     0,   772,     0,   772,
     772,     0,     0,   711,     0,     0,     0,     0,     0,     0,
      23,    24,     0,     0,     0,     0,    25,  1271,     0,  1257,
       0,     0,   676,  2892,  1272,    26,     0,  1273,     0,     0,
       0,     0,  1990,     0,     0,     0,    27,     0,     0,  2640,
       0,     0,     0,     0,  2649,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,     0,     0,  1687,  1688,  1689,
       0,  1690,  1691,  1692,  1693,  1694,  1695,     0,   711,     0,
       0,  3528,  2690,  2690,    28,  1670,     0,     0,  1671,   775,
       0,  1274,     0,     0,     0,     0,    29,     0,     0,     0,
       0,    30,    31,     0,    32,  1672,   772,     0,     0,    33,
       0,     0,     0,  1674,    34,     0,     0,    35,     0,  1675,
       0,    36,     0,     0,     0,     0,    37,    38,     0,     0,
       0,     0,     0,  2749,    39,  2752,  2754,    40,     0,     0,
       0,     0,     0,  1676,     0,    41,     0,     0,  1275,     0,
    1276,     0,     0,     0,     0,     0,     0,    42,     0,     0,
    1277,     0,     0,   772,     0,     0,     0,     0,  1278,     0,
       0,   772,     0,     0,    43,     0,   772,     0,  1279,     0,
       0,     0,     0,     0,    44,     0,     0,     0,     0,  1129,
      45,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,  1333,     0,     0,  1281,  1282,     0,  1990,  1670,     0,
    2690,  1671,   711,     0,  2850,     0,     0,   650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,     0,
    1334,     0,     0,     0,    48,  1677,  1674,  -121,     0,  1678,
       0,  1670,  1675,  2749,  1671,     0,     0,     0,     0,     0,
       0,   772,  2875,     0,     0,     0,     0,     0,     0,     0,
    1679,  1680,     0,     0,     0,     0,  1676,     0,     0,  1674,
       0,     0,     0,     0,     0,  1675,     0,  1681,   772,     0,
     772,  2690,   772,  2690,     0,     0,     0,     0,  1284,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1670,  1676,
       0,  1671,  1129,  1682,     0,     0,  1683,     0,     0,     0,
       0,     0,     0,     0,  1560,     0,     0,     0,  1672,  1684,
       0,     0,  1685,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,  1675,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1676,     0,     0,   767,
       0,     0,     0,     0,     0,   767,     0,     0,  1677,     0,
       0,     0,  1678,     0,     0,     0,   772,     0,     0,     0,
       0,     0,     0,  1129,  1129,     0,     0,     0,     0,  1129,
       0,     0,     0,  1679,  1680,     0,     0,  1686,     0,     0,
       0,  1677,     0,     0,     0,  1678,     0,     0,     0,     0,
    1681,     0,     0,     0,  1129,  1129,     0,     0,     0,  1129,
       0,     0,     0,     0,     0,     0,  1679,  1680,     0,     0,
       0,  1129,  1129,  1129,  1129,     0,  1682,     0,     0,  1683,
       0,     0,     0,  1681,  1129,     0,     0,  1129,     0,  1129,
    3036,     0,  1684,     0,     0,  1685,     0,     0,  1677,  1129,
    1129,     0,  1678,  1129,     0,     0,     0,     0,     0,  1682,
       0,     0,  1683,     0,     0,     0,  1129,     0,  1129,     0,
     812,     0,  1129,  1679,  1680,  1684,     0,     0,     0,     0,
    1687,  1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,
    1681,  1129,     0,     0,  3605,   711,     0,     0,     0,     0,
       0,  3089,     0,     0,  1129,  1129,  1129,     0,     0,     0,
       0,  1670,     0,     0,  1671,     0,  1682,     0,     0,  1683,
    1686,  1129,     0,     0,  2889,     0,     0,     0,     0,     0,
       0,  1672,  1684,  1129,     0,  1685,     0,     0,  1129,  1674,
       0,     0,     0,  1243,  1129,  1675,     0,     0,     0,     0,
       0,     0,  3089,  1686,     0,  3125,     0,     0,  1670,  2529,
       0,  1671,     0,     0,     0,     0,     0,     0,     0,  1676,
       0,     0,     0,     0,     0,  1244,     0,     0,  1672,     0,
       0,     0,     0,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,  1675,     0,     0,     0,     0,     0,     0,     0,
    1129,     0,  2690,     0,     0,     0,     0,  1560,     0,     0,
    1686,     0,     0,  1687,  1688,  1689,  1676,  1690,  1691,  1692,
    1693,  1694,  1695,     0,     0,     0,     0,  3631,     0,     0,
       0,  1245,     0,   772,     0,   772,   772,   772,     0,     0,
       0,     0,     0,     0,     0,     0,  1687,  1688,  1689,     0,
    1690,  1691,  1692,  1693,  1694,  1695,     0,     0,     0,     0,
       0,     0,     0,  1246,     0,     0,     0,     0,     0,     0,
       0,  1677,     0,     0,     0,  1678,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2890,     0,     0,     0,  1679,  1680,     0,  1247,
       0,     0,     0,  1687,  1688,  1689,     0,  1690,  1691,  1692,
    1693,  1694,  1695,  1681,     0,     0,     0,  3886,  1677,     0,
       0,     0,  1678,     0,     0,     0,     0,     0,     0,  1248,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1682,
       0,     0,  1683,  1679,  1680,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1684,     0,     0,  1685,  1670,
    1681,     0,  1671,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1682,  1674,     0,  1683,
       0,     0,     0,  1675,    33,     0,     0,     0,  1251,     0,
       0,     0,  1684,     0,  1252,  1685,     0,     0,     0,     0,
       0,  1253,     0,     0,  2690,  2690,     0,  1676,     0,  1976,
       0,     0,     0,     0,     0,     0,     0,     0,  1255,     0,
       0,     0,     0,  1686,     0,     0,  1256,     0,     0,     0,
       0,  1670,     0,     0,  1671,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1672,     0,     0,     0,     0,     0,   711,   711,  1674,
       0,     0,     0,     0,     0,  1675,     0,     0,     0,     0,
    1686,     0,     0,   711,     0,     0,     0,     0,  1257,     0,
       0,     0,  2892,     0,     0,     0,  1560,   711,     0,  1676,
       0,     0,     0,     0,     0,  1560,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1677,
     711,     0,     0,  1678,     0,     0,  1687,  1688,  1689,     0,
    1690,  1691,  1692,  1693,  1694,  1695,     0,     0,     0,     0,
    3920,     0,     0,     0,  1679,  1680,     0,     0,   772,     0,
       0,   772,     0,     0,     0,     0,     0,   566,     0,     0,
       0,  1681,     0,   609,     0,   767,     0,     0,     0,     0,
       0,     0,   659,  1687,  1688,  1689,     0,  1690,  1691,  1692,
    1693,  1694,  1695,     0,     0,     0,   711,  4142,     0,     0,
    1683,   723,     0,     0,     0,     0,   772,     0,     0,     0,
       0,  1677,  1268,  1684,  1129,  1678,     0,     0,  1269,     0,
       0,     0,     0,     0,  1129,     0,     0,     0,     0,     0,
    1129,     0,  1129,     0,     0,     0,  1679,  1680,  1129,     0,
       0,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,     0,     0,  1681,  1129,  1129,     0,     0,  1270,     0,
       0,     0,     0,     0,     0,     0,     0,  1129,     0,     0,
       0,  1129,     0,     0,     0,  1129,     0,     0,     0,  1682,
       0,     0,  1683,     0,     0,  1129,     0,     0,  1129,     0,
    1129,  1686,     0,     0,     0,  1684,     0,     0,  1685,  1129,
    1129,  1129,     0,     0,     0,  1129,     0,  1271,  1129,     0,
       0,   578,  3553,     0,  1272,     0,     0,  1273,     0,   711,
     711,   711,   767,   579,  3089,  3570,     0,     0,     0,  3570,
    3584,     0,     0,     0,     0,     0,  1129,     0,     0,     0,
     780,     0,  1129,  1129,   580,     0,     0,     0,     0,     0,
     815,   816,     0,   819,     0,     0,   825,   581,   827,     0,
       0,     0,     0,     0,     0,     0,  1129,     0,     0,     0,
     582,  1274,  1129,  1686,     0,     0,  2529,     0,  1129,     0,
       0,     0,     0,     0,  1687,  1688,  1689,   583,  1690,  1691,
    1692,  1693,  1694,  1695,     0,     0,     0,     0,     0,     0,
    3637,  1560,  1560,     0,  2103,     0,     0,     0,   584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   585,
       0,     0,   772,   772,   772,   772,     0,   586,  1275,     0,
    1276,     0,     0,     0,     0,     0,     0,     0,     0,   587,
    1277,     0,     0,     0,   588,     0,     0,     0,  1278,     0,
     589,     0,     0,     0,     0,     0,     0,     0,  1279,  3680,
       0,     0,     0,     0,     0,   590,  1687,  1688,  1689,     0,
    1690,  1691,  1692,  1693,  1694,  1695,     0,     0,     0,     0,
    4151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1670,  1359,     0,  1671,  1281,  1282,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1672,   591,     0,     0,     0,     0,     0,     0,  1674,     0,
    1360,     0,     0,     0,  1675,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3746,     0,     0,     0,     0,
       0,     0,   592,     0,     0,     0,     0,     0,  1676,     0,
       0,     0,     0,   593,     0,     0,     0,     0,     0,     0,
    1670,     0,     0,  1671,     0,     0,     0,     0,     0,     0,
       0,   194,     0,     0,     0,     0,     0,     0,  1284,     0,
       0,     0,     0,     0,     0,     0,   711,     0,  1674,     0,
       0,     0,     0,     0,  1675,     0,     0,   772,   594,  1129,
       0,     0,   595,     0,   596,   711,     0,     0,     0,  1670,
     597,  3812,  1671,   598,     0,     0,     0,     0,  1676,     0,
    1990,     0,     0,     0,     0,     0,     0,     0,     0,  1672,
       0,     0,   711,     0,     0,     0,     0,  1674,     0,   599,
       0,   600,  2749,  1675,     0,   601,     0,     0,  3840,     0,
    1677,     0,     0,   602,  1678,     0,     0,     0,   603,     0,
       0,     0,     0,     0,  1129,  1129,     0,  1676,     0,     0,
     604,     0,     0,     0,     0,  1679,  1680,     0,     0,     0,
    3547,     0,     0,   605,     0,     0,   877,  2690,     0,  2690,
       0,     0,  1681,     0,   885,     0,     0,     0,     0,     0,
       0,     0,     0,   901,   902,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1682,   920,
   -2273,  1683,     0,  1129,  1678,     0,     0,     0,     0,     0,
       0,     0,     0,   928,  1684,     0,     0,  1685,     0,     0,
       0,     0,     0,     0,     0,  1679,  1680,     0,     0,   951,
       0,     0,   953,     0,   955,     0,   958,     0,     0,     0,
    1129,     0, -2273,     0,     0,     0,     0,     0,     0,  1677,
    1129,  1129,     0,  1678,     0,     0,     0,     0,  1129,  1129,
       0,     0,     0,  1129,     0,     0,     0,     0,     0,  1129,
    1129,  1683,     0,  1129,  1679,  1680,  1129,  3924,     0,     0,
     711,   711,   711,   711,  1684,     0,     0,  3570,  3584,     0,
    3570,  1681,  1686,  3933,     0,     0,  1014,  3089,  1015,     0,
       0,  3089,     0,     0,     0,     0,     0,  3946,     0,     0,
       0,     0,     0,  1129,     0,     0,     0,  1682,  1129,     0,
    1683,  1268,     0,  1129,     0,     0,  1268,  1269,     0,   812,
     794,     0,  1269,  1684,     0,     0,  1685,  3125,   818,     0,
       0,  2529,     0,  1670,     0,     0,  1671,   832,     0,     0,
       0,     0,     0,     0,   723,   650,     0,     0,  1129,     0,
       0,     0, -2273,  1672,     0,     0,     0,  1270,     0,     0,
       0,  1674,  1270,     0,     0,     0,     0,  1675,  2690,  2690,
       0,     0,     0,     0,     0,  1687,  1688,  1689,     0,  1690,
    1691,  1692,  1693,  1694,  1695,     0,     0,     0,     0,  4184,
       0,  1676,  4002,     0,     0,     0,     0,     0,     0,     0,
       0,  1686,  1234,     0,     0,     0,  1271,     0,     0,     0,
       0,  1271,     0,  1272,     0,     0,  1273,     0,  1272,     0,
       0,  1273,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   772,     0,     0,     0,     0,     0,     0,  1690,
    1691,  1692,  1693,  1694,  1695,     0,   772,  1362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1274,     0,  1374,     0,     0,  1274,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1384,     0,     0,     0,     0,
       0,     0,  1386,  1677,  1687,  1688,  1689,  1678,  1690,  1691,
    1692,  1693,  1694,  1695,  1434,     0,     0,  1438,  4245,     0,
       0,     0,     0,     0,  1129,     0,     0,     0,  1679,  1680,
    1670,     0,     0,  1671,     0,   767,     0,  1275,     0,  1276,
    1990,     0,  1275,     0,  1276,  1681,     0,  1560,  1670,  1277,
    1481,  1671,     0,     0,  1277,     0,     0,  1278,  1674,   772,
    1990,     0,  1278,     0,  1675,     0,     0,  1279,  1672,     0,
       0,  1682,  1279,     0,  1683,     0,  1674,     0,     0,     0,
       0,     0,  1675,     0,     0,   711,     0,  1684,  1676,     0,
    1685,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1958,     0,     0,  1281,  1282,  2023,  1676,     0,  1281,  1282,
       0,     0,     0,     0,  1129,     0,     0,     0,     0,     0,
       0,     0,     0,  1129,     0,     0,     0,     0,     0,  1959,
       0,     0,     0,     0,  2024,     0,     0,     0,     0,     0,
    1129,  1129,     0,     0,  1129,     0,     0,     0,     0,     0,
    3918,     0,     0,     0,     0,     0,     0,   767,  3570,     0,
       0,     0,  3089,     0,   841,  1686,     0,  3089,     0,   874,
    3089,  2749,     0,  4170,     0,  1129,  1129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1670,  1284,     0,  1671,
   -2273,     0,  1284,     0,  1678,     0,     0,     0,     0,     0,
    3637,   812,   772,   772,   772,     0,  1672,     0,  1677,     0,
       0,     0,  1678,     0,  1674,  1679,  1680,     0,     0,     0,
    1675,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2273,  1679,  1680,     0,     0,     0,     0,     0,
       0,     0,   767,   812,  1676,     0,     0,     0,  1428,     0,
    1681,     0,     0,     0,     0,     0,     0,     0,  1687,  1688,
    1689,  1683,  1690,  1691,  1692,  1693,  1694,  1695,     0,     0,
       0,     0,  4463,     0,  1684,     0,  1682,     0,     0,  1683,
       0,     0,     0,  1560,  1560,     0,     0,     0,   767,     0,
       0,   711,  1684,     0,     0,  1685,     0,     0,     0,     0,
       0,     0,  3812,     0,     0,     0,  1016,     0,     0,  2690,
       0,   723,  1835,  1990,     0,  1670,     0,     0,  1671,     0,
       0,     0,     0,     0,     0,  3840,     0,     0,   711,  1134,
       0,     0,     0,     0,     0,  1672,   772,  3637,     0,  2498,
       0,     0,     0,  1674,     0,     0,  1677,     0,  1157,  1675,
    1678,     0, -2273,     0,     0,     0,     0,     0,     0,  1129,
       0,  1429,  1129,     0,  1129,     0,     0,     0,     0,  1183,
    1686,  1679,  1680,  1676,  1956,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,  1129,  1681,     0,
       0,  3089,     0,     0,  4170,     0,     0,     0,     0,     0,
    4325,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1682,     0,   772,  1683,  2499,     0,
     711,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1684,     0,     0,  1685,     0,     0,  1294,     0,     0,     0,
       0,     0,     0,     0,   772,   772,   772,   772,     0,  1690,
    1691,  1692,  1693,  1694,  1695,     0,     0,     0,     0,  1560,
       0,     0,     0,  1687,  1688,  1689,     0,  1690,  1691,  1692,
    1693,  1694,  1695,     0,     0,  1677,     0,  4559,   767,  1678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1429,     0,     0,     0,  1129,     0,     0,
    1679,  1680,     0,     0,     0,     0,     0,     0,  1686,     0,
       0,     0,     0,     0,     0,  1722,     0,  1681,     0,  1670,
       0,     0,  1671,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,  1129,     0,     0,   767,     0,     0,  1672,
       0,     0,     0,  1682,     0,     0,  1683,  1674,     0,  1471,
    1474,  1475,     0,  1675,     0,     0,   772,     0,   812,  1684,
       0,     0,  1685,     0,     0,     0,     0,     0,  1129,     0,
       0,     0,     0,     0,     0,  2159,     0,  1676,  1428,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1687,  1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,
    1695,   772,     0,  3601,     0,     0,   767,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3637,     0,     0,
    2227,     0,  1428,     0,     0,     0,     0,  1686,     0,  1129,
    1129,  1134,     0,     0,  2749,  2242,     0,  2244,  4325,  2245,
       0,     0,  1670,     0,  2246,  1671,     0,     0,  3008,     0,
       0,     0,   767,  3009,  1134,     0,     0,  1428,     0,     0,
       0,   772,  1672,     0,     0,     0,     0,     0,     0,  1677,
    1674,     0,     0,  1678,     0,     0,  1675,     0,  2500,     0,
       0,  1890,     0,     0,     0,     0,     0,  1835,     0,     0,
       0,  1835,  1129,  1835,  1679,  1680,  1835,     0,     0,     0,
    1676,     0,     0,     0,     0,     0,  1129,     0,     0,     0,
       0,  1681,     0,   772,     0,     0,     0,     0,     0,     0,
    1687,  1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,
       0,     0,     0,  1428,     0,  1890,     0,  1682,     0,     0,
    1683,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1428,  1684,     0,     0,  1685,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,  1428,     0,  1129,     0,     0,     0,     0,     0,
       0,     0,     0,   767,     0,     0,  1737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,  1677,     0,     0,     0,  1678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,     0,
       0,  1686,     0,     0,  1872,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1681,     0,  1429,     0,     0,  1670,
       0,     0,  1671,  1268,  1428,     0,     0,     0,     0,  1269,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,  1672,
    1682,     0,     0,  1683,     0,     0,     0,  1674,     0,     0,
       0,     0,     0,  1675,     0,  1429,  1684,     0,     0,  1685,
       0,     0,     0,     0,     0,     0,     0,  1985,     0,  1270,
       0,     0,     0,     0,  2003,     0,     0,  1676,     0,  3520,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1687,  1688,  1689,     0,  1690,  1691,
    1692,  1693,  1694,  1695,     0,  2038,     0,     0,  2041,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1271,     0,
       0,     0,     0,     0,     0,  1272,     0,     0,  1273,     0,
       0,     0,     0,     0,  1686,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,  2076,     0,     0,     0,  3521,     0,
       0,     0,  1670,     0,     0,  1671,     0,  4530,  2092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2104,  1672,     0,     0,  2971,     0,     0,     0,  1677,
    1674,     0,  1274,  1678,     0,     0,  1675,     0,     0,  2547,
    2548,     0,     0,     0,  2551,  2552,     0,     0,  2555,     0,
       0,  1428,     0,     0,  1679,  1680,     0,     0,  2565,     0,
    1676,     0,     0,     0,     0,  2574,     0,     0,     0,  2577,
    2578,  1681,     0,  2581,  2582,     0,     0,  1687,  1688,  1689,
    2587,  1690,  1691,  1692,  1693,  1694,  1695,     0,     0,  1275,
       0,  1276,  2603,     0,  2605,     0,     0,  1682,     0,     0,
    1683,  1277,     0,     0,     0,     0,     0,     0,     0,  1278,
    2627,     0,     0,  1684,     0,  2629,  1685,     0,     0,  1279,
    2200,     0,     0,     0,     0,     0,  2210,     0,  2634,     0,
       0,     0,     0,     0,  4531,     0,  2639,     0,  2641,  2642,
    2645,  2647,     0,     0,     0,  2654,  2657,     0,     0,     0,
       0,     0,  2635,  2668,     0,  1281,  1282,  2677,     0,     0,
       0,  2681,  1677,     0,  1429,     0,  1678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1283,  2257,     0,  2710,     0,     0,  1679,  1680,     0,
       0,  1686,     0,     0,     0,  2717,     0,  2719,     0,  2477,
       0,     0,  2722,     0,  1681,     0,  2723,     0,  2727,  2728,
    2729,  2730,     0,  2732,     0,     0,     0,     0,     0,     0,
    1134,  1134,     0,     0,     0,     0,  2756,  2757,  2758,     0,
    1682,     0,     0,  1683,     0,     0,  2305,  2766,  2767,  1284,
       0,     0,  1670,     0,     0,  1671,  1684,     0,     0,  1685,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,  1672,     0,  1428,  1428,     0,     0,     0,     0,
    1674,     0,     0,     0,     0,  1670,  1675,     0,  1671,     0,
       0,     0,     0,     0,  1687,  1688,  1689,     0,  1690,  1691,
    1692,  1693,  1694,  1695,     0,  1672,     0,     0,  3016,     0,
    1676,  2824,     0,  1674,     0,  1268,     0,     0,     0,  1675,
       0,  1269,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1686,     0,     0,  1670,     0,     0,
    1671,     0,     0,  1676,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1672,     0,     0,
       0,  1270,     0,  2464,  1670,  1674,     0,  1671,     0,     0,
       0,  1675,  2478,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,  2532,  1672,     0,     0,  1890,  2538,     0,
       0,     0,  1674,     0,     0,  1676,     0,     0,  1675,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1271,     0,  1677,     0,     0,     0,  1678,  1272,     0,     0,
    1273,     0,  1676,     0,     0,     0,     0,  1687,  1688,  1689,
    1835,  1690,  1691,  1692,  1693,  1694,  1695,  1679,  1680,     0,
       0,     0,     0,     0,     0,  1677,     0,     0,     0,  1678,
       0,     0,     0,     0,  1681,     0,     0,     0,  2946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1679,  1680,     0,     0,  1274,     0,     0,     0,     0,     0,
    1682,  3021,     0,  1683,     0,     0,     0,  1681,  2489,     0,
    2492,     0,     0,  1429,     0,     0,  1684,  1677,     0,  1685,
       0,  1678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1682,  2986,     0,  1683,     0,     0,     0,
       0,     0,  1679,  1680,  1677,  1428,     0,  1134,  1678,  1684,
       0,  1275,  1685,  1276,     0,     0,     0,     0,     0,  1681,
       0,     0,     0,  1277,     0,     0,     0,     0,     0,  1679,
    1680,  1278,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1279,     0,     0,     0,  1682,  1681,     0,  1683,     0,
       0,     0,     0,     0,  1686,     0,     0,     0,     0,     0,
       0,  1684,     0,     0,  1685,     0,     0,     0,     0,     0,
       0,     0,  1682,     0,  2724,  1683,     0,  1281,  1282,     0,
       0,     0,     0,     0,  1428,     0,     0,  1686,  1684,     0,
       0,  1685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2725,     0,     0,     0,     0,     0,     0,
       0,     0,  1670,     0,     0,  1671,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3106,
       0,     0,  1672,     0,     0,  3027,     0,     0,     0,  1686,
    1674,     0,     0,     0,  2658,     0,  1675,  1687,  1688,  1689,
       0,  1690,  1691,  1692,  1693,  1694,  1695,     0,     0,     0,
       0,  1284,  2685,     0,     0,     0,  1686,     0,  1428,     0,
    1676,     0,     0,     0,     0,     0,     0,     0,  3142,  3143,
    1687,  1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,
       0,     0,  3477,     0,     0,  1835,     0,  1890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3165,     0,     0,     0,     0,     0,     0,     0,     0,  3169,
       0,     0,  1687,  1688,  1689,     0,  1690,  1691,  1692,  1693,
    1694,  1695,     0,     0,  3180,  3182,     0,     0,     0,  3182,
       0,     0,     0,     0,  3193,  3194,  3195,     0,     0,  1687,
    1688,  1689,     0,  1690,  1691,  1692,  1693,  1694,  1695,     0,
       0,     0,  1677,     0,     0,     0,  1678,     0,     0,     0,
       0,  1429,     0,     0,  3215,  3216,  3217,  3218,     0,     0,
       0,     0,   844,     0,     0,     0,     0,  1679,  1680,     0,
       0,   769,     0,     0,     0,     0,  2848,     0,     0,     0,
     769,   789,     0,     0,  1681,     0,     0,   789,  3232,     0,
    3236,  3237,  3238,     0,     0,   845,     0,     0,   789,     0,
    3251,     0,     0,     0,     0,     0,     0,     0,   846,   847,
    1682,     0,     0,  1683,     0,     0,     0,   848,     0,     0,
       0,   849,     0,     0,     0,     0,  1684,     0,     0,  1685,
       0,     0,     0,     0,     0,     0,     0,     0,   850,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   851,
       0,     0,     0,     0,     0,  3292,     0,     0,     0,     0,
     852,  1428,     0,  3296,  1428,     0,  1428,  1670,   853,     0,
    1671,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
     854,     0,     0,     0,     0,   855,     0,  1672,     0,     0,
    3527,     0,     0,     0,  1686,  1674,     0,     0,     0,     0,
       0,  1675,     0,     0,     0,     0,   856,     0,     0,     0,
       0,  2477,  2477,  2477,     0,     0,     0,     0,     0,     0,
    3368,  1428,     0,     0,     0,  1676,     0,     0,     0,     0,
       0,   857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   858,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,  3397,  1268,     0,  3400,     0,     0,     0,  1269,
       0,     0,     0,     0,  1890,     0,     0,  2538,     0,  2538,
       0,     0,  1670,   859,  1890,  1671,     0,  1687,  1688,  1689,
       0,  1690,  1691,  1692,  1693,  1694,  1695,  3438,     0,     0,
       0,     0,  1672,     0,     0,     0,     0,     0,     0,  1270,
    1674,  3448,   194,     0,     0,     0,  1675,     0,     0,     0,
       0,  1835,  1428,     0,  1428,     0,     0,  1677,     0,     0,
       0,  1678,     0,     0,  1429,     0,     0,     0,     0,   860,
    1676,     0,     0,   861,     0,   862,     0,     0,     0,     0,
       0,   863,  1679,  1680,   864,     0,     0,  1268,  1271,  3072,
       0,     0,     0,  1269,     0,  1272,     0,     0,  1273,  1681,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,  1428,
     865,     0,   866,     0,     0,     0,   867,     0,     0,     0,
       0,     0,     0,     0,   868,  1682,     0,     0,  1683,   869,
       0,     0,     0,  1270,  1428,     0,     0,     0,     0,     0,
       0,  1684,     0,   769,  1685,     0,     0,     0,     0,     0,
       0,     0,  1274,  1428,   870,   789,     0,     0,     0,   789,
       0,     0,     0,     0,     0,  1429,     0,  1429,     0,     0,
     789,  1428,  1677,     0,     0,     0,  1678,     0,     0,     0,
       0,     0,  1271,     0,     0,     0,   789,     0,     0,  1272,
     769,     0,  1273,     0,     0,     0,     0,  1679,  1680,     0,
     769,   789,     0,     0,     0,     0,   789,     0,     0,  1275,
       0,  1276,     0,     0,  1681,     0,   789,     0,     0,  1686,
       0,  1277,  1429,     0,   789,  1420,     0,     0,     0,  1278,
       0,     0,     0,     0,     0,  1428,     0,     0,     0,  1279,
    1682,     0,     0,  1683,     0,     0,  1274,  1429,     0,     0,
       0,  1428,     0,     0,     0,     0,  1684,     0,     0,  1685,
       0,     0,  1428,     0,     0,     0,  2538,     0,     0,     0,
       0,     0,  2763,     0,     0,  1281,  1282,     0,     0,     0,
       0,     0,     0,     0,  2538,  3648,     0,  3649,     0,     0,
       0,     0,     0,     0,  3651,     0,     0,     0,     0,   769,
       0,  2764,     0,  1275,   789,  1276,     0,     0,     0,     0,
    3660,     0,  1687,  1688,  1689,  1277,  1690,  1691,  1692,  1693,
    1694,  1695,     0,  1278,     0,  3668,     0,     0,     0,     0,
     769,  1428,     0,  1279,  1686,  3679,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
    3682,  1428,     0,     0,     0,     0,     0,  1420,     0,  1284,
       0,     0,     0,     0,  2538,     0,  3190,     0,     0,  1281,
    1282,     0,     0,     0,     0,  1429,  1428,     0,     0,     0,
    1268,     0,     0,  3714,  3715,  3716,  1269,     0,  3719,  3720,
    3721,  3722,  3723,     0,     0,  3191,     0,  3730,  3731,     0,
    3733,  3734,  3735,  3736,  3737,  3738,  3739,     0,     0,     0,
       0,     0,  1428,     0,     0,  3747,     0,  3749,  3750,     0,
       0,     0,     0,     0,     0,     0,  1270,  1687,  1688,  1689,
       0,  1690,  1691,  1692,  1693,  1694,  1695,     0,     0,     0,
       0,     0,     0,     0,  1429,     0,     0,     0,     0,     0,
       0,     0,     0,  1284,     0,     0,   769,     0,     0,     0,
       0,  3371,  3372,     0,  1429,     0,     0,   769,     0,     0,
       0,  3793,  3795,  3797,     0,  1271,  3800,  3381,     0,     0,
       0,     0,  1272,     0,     0,  1273,     0,     0,     0,  1429,
    1430,  3390,     0,     0,     0,     0,     0,     0,  1428,     0,
    3399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1429,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1274,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1420,     0,     0,  3182,   789,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2477,     0,     0,     0,   789,  1835,  1835,  1835,   769,     0,
    1134,     0,     0,     0,     0,     0,   789,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,  1275,     0,  1276,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1277,  1420,
       0,  1890,     0,     0,   789,     0,  1278,     0,     0,     0,
       0,     0,  1430,     0,   789,     0,  1279,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,  1268,
     789,     0,     0,     0,  1420,  1269,     0,     0,     0,     0,
       0,     0,   769,     0,     0,     0,     0,     0,     0,  3233,
       0,     0,  1281,  1282,     0,     0,     0,     0,     0,     0,
    1309,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,  1270,     0,     0,  3234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2538,  3558,  3559,  3560,     0,     0,     0,   769,
     769,     0,   769,     0,     0,     0,  1310,     0,     0,     0,
    1420,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,  1271,     0,     0,     0,     0,  1420,
    1428,  1272,     0,     0,  1273,     0,  1284,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,     0,     0,  1420,
       0,     0,   789,   789,     0,     0,     0,     0,     0,     0,
       0,   769,  1820,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,  1420,  3991,  3992,  3993,  3994,     0,
       0,  3996,     0,     0,     0,  1311,     0,     0,  1274,     0,
     769,     0,     0,     0,   769,   769,     0,     0,     0,     0,
       0,     0,  4009,  4010,  4011,  4012,     0,  4014,  4015,     0,
    1430,     0,     0,     0,     0,     0,  1820,     0,     0,  4024,
    4025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1420,  4027,  1312,     0,  1313,     0,     0,  1835,  1835,
       0,  1835,     0,  1429,     0,  1314,     0,  1276,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1277,     0,     0,
       0,     0,     0,     0,  1430,  1278,     0,     0,     0,     0,
       0,     0,     0,     0,  1315,  1279,     0,  1428,     0,     0,
    1890,     0,     0,     0,     0,     0,     0,     0,  1428,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1430,
       0,     0,     0,     0,     0,     0,     0,     0,  1316,     0,
    1268,  1281,  1282,  1317,     0,     0,  1269,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4082,     0,     0,     0,     0,     0,     0,  1318,     0,  4088,
       0,  1309,     0,     0,     0,     0,     0,     0,  1319,     0,
       0,     0,     0,     0,     0,   789,  1270,     0,     0,  4107,
    3781,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,  3807,
       0,  4124,     0,     0,     0,     0,     0,  1310,     0,     0,
    1429,     0,     0,     0,  1430,  1284,     0,     0,     0,     0,
    1428,  1429,     0,     0,     0,  1271,  3824,     0,  1420,     0,
       0,     0,  1272,     0,  1430,  1273,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1428,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,  1430,
       0,     0,     0,     0,     0,     0,     0,  1428,  1835,     0,
    2477,     0,     0,     0,   789,  2477,     0,     0,     0,     0,
    2477,  1835,     0,     0,     0,     0,  1311,     0,     0,  1274,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,  1428,  1430,     0,     0,   769,
       0,   789,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   789,  1429,  1312,     0,  1313,     0,     0,     0,
       0,     0,  4206,     0,   789,   789,  1314,     0,  1276,     0,
       0,     0,     0,     0,     0,     0,   789,     0,  1277,     0,
       0,  1429,  4217,     0,     0,     0,  1278,     0,     0,     0,
       0,     0,     0,     0,     0,  1315,  1279,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,  3925,  3926,  3927,  3928,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2711,
       0,     0,  1281,  1282,  1317,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,   769,     0,     0,  1429,     0,
       0,     0,   769,     0,     0,   769,     0,  1420,  2712,   769,
       0,  1420,  1420,     0,     0,     0,     0,   769,   769,  1319,
       0,     0,     0,  3182,     0,   769,     0,     0,   769,   769,
     769,   769,  1428,     0,     0,     0,     0,     0,   769,   769,
       0,   769,     0,   769,   769,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1835,  1430,   769,  1820,  1284,     0,     0,   769,
       0,     0,  1835,   769,     0,     0,     0,   769,     0,   769,
     769,   769,   769,   769,   769,   769,   769,   769,     0,   769,
       0,     0,     0,     0,     0,     0,     0,   769,   769,     0,
       0,     0,  4339,     0,     0,     0,     0,     0,     0,  4116,
       0,  4346,     0,     0,     0,     0,     0,  1420,     0,     0,
       0,     0,     0,     0,     0,     0,  1835,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1429,  1428,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3182,
       0,     0,     0,     0,     0,   531,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   532,     0,     0,
    1835,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   533,     0,
       0,     0,     0,     0,  4433,     0,     0,     0,     0,     0,
       0,   534,     0,  1428,     0,     0,     0,     0,  4444,  2538,
     535,     0,  1420,     0,  -737,     0,     0,     0,     0,  4118,
       0,     0,  1430,     0,  1428,     0,  1430,  1430,     0,     0,
       0,   536,     0,  4455,     0,     0,   789,   537,  4459,     0,
    1820,   789,     0,     0,   789,     0,     0,   790,     0,     0,
       0,     0,   538,   790,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,   539,   790,     0,   789,     0,     0,   769,
       0,   540,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,   541,     0,     0,     0,   769,     0,  4495,
     542,  1420,     0,     0,   543,     0,     0,     0,  1428,     0,
       0,     0,  1428,  1428,     0,     0,     0,   789,     0,  -932,
       0,     0,     0,     0,     0,     0,  2538,     0,     0,     0,
       0,     0,     0,     0,   789,   789,     0,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   544,  1820,
     789,     0,     0,  1820,     0,  -504,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1429,     0,  1420,     0,   789,     0,     0,
       0,   789,     0,     0,     0,     0,   545,     0,     0,   546,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,  1429,     0,     0,     0,  1429,  1429,     0,     0,     0,
       0,     0,     0,   789,  -400,  4243,     0,     0,     0,     0,
       0,     0,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   547,     0,     0,     0,     0,     0,   548,     0,
       0,     0,     0,     0,  -400,     0,     0,   549,     0,     0,
       0,     0,  1134,     0,     0,     0,     0,     0,     0,     0,
       0,   179,     0,     0,     0,   769,     0,  1430,     0,     0,
       0,     0,     0,  -400,     0,   550,   551,     0,   552,   553,
       0,     0,     0,     0,  4116,     0,     0,   554,  1820,     0,
       0,     0,   555,     0,     0,     0,     0,     0,   556,     0,
       0,   557,     0,     0,   558,     0,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -400,     0,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,     0,     0,
       0,     0,     0,   183,  4336,     0,  1430,     0,     0,   789,
       0,     0,     0,     0,     0,     0,     0,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   185,
       0,     0,     0,     0,     0,     0,     0,   186,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,   769,   187,
       0,   790,     0,     0,   188,   790,     0,     0,  1420,     0,
     189,  1420,     0,  1420,     0,     0,   790,     0,  1420,     0,
       0,     0,     0,     0,     0,   190,     0,     0,   789,     0,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,     0,     0,     0,     0,   790,     0,     0,
     191,   789,   790,     0,     0,   769,     0,     0,     0,     0,
       0,   769,   790,     0,     0,     0,     0,     0,  1420,     0,
     790,   192,     0,     0,     0,     0,     0,     0,     0,   769,
     769,     0,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   193,     0,     0,     0,     0,     0,  1420,     0,
     769,   769,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,   769,   769,
     769,   194,     0,     0,     0,  1820,     0,     0,     0,     0,
     769,  1820,     0,   769,     0,   769,     0,     0,     0,     0,
     790,     0,     0,     0,     0,   769,   769,     0,   195,   769,
       0,     0,   196,     0,   197,     0,     0,     0,     0,  1420,
     198,  1420,   769,   199,   769,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,   200,   201,
       0,   202,     0,     0,     0,   203,     0,   769,     0,     0,
     769,   769,   769,   204,     0,     0,     0,     0,   205,     0,
       0,     0,     0,     0,   789,     0,  1420,   769,     0,     0,
     206,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,     0,   207,   769,     0,     0,     0,     0,     0,
     769,  1420,     0,     0,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1420,     0,     0,  1430,     0,     0,  1430,     0,  1430,     0,
       0,     0,     0,  1430,     0,   789,     0,     0,  1420,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,   789,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
     789,     0,     0,  1430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1420,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1420,     0,
       0,     0,     0,  1430,     0,     0,     0,     0,     0,  1420,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1820,  1820,  1820,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,   790,     0,  1430,     0,  1430,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,  1420,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,  1420,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   790,     0,     0,   790,     0,     0,     0,
       0,  1430,     0,  1420,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1420,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,  1430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,   789,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,   790,   790,
       0,     0,     0,     0,     0,  1420,     0,  1430,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   789,  1430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,  1821,     0,   789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,     0,   789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
     769,     0,     0,  1430,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,   769,     0,   769,     0,
       0,     0,     0,  1430,   769,     0,     0,   769,   769,   769,
     769,   769,   769,   769,   769,   769,   769,     0,     0,     0,
     769,   769,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,   769,     0,     0,     0,   769,     0,  1820,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,   769,     0,   769,     0,     0,     0,
       0,     0,     0,     0,  1430,   769,   769,   769,     0,     0,
       0,   769,     0,     0,   769,     0,     0,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,     0,   769,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,     0,     0,     0,     0,     0,   769,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1420,   791,     0,
       0,     0,   769,     0,   791,     0,     0,     0,   769,     0,
       0,     0,     0,     0,   769,   791,     0,     0,     0,     0,
    1430,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,  1420,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,   790,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,   790,     0,
    1820,  1430,  1820,     0,     0,     0,     0,     0,     0,     0,
     790,   790,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1420,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   789,  1420,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1820,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,   789,
       0,     0,  1430,     0,     0,   789,     0,  1420,     0,     0,
       0,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1420,     0,     0,     0,  1430,
     769,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1420,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,   791,     0,     0,   769,
       0,     0,  1420,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,   791,     0,
       0,     0,     0,   791,     0,     0,   769,   769,     0,  1430,
       0,     0,     0,   791,   769,   769,     0,     0,     0,   769,
    1430,   791,     0,     0,     0,   769,   769,     0,     0,   769,
       0,     0,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,     0,     0,   769,     0,     0,     0,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,  1113,  1821,   790,     0,     0,
     790,   791,     0,     0,     0,     0,     0,     0,     0,  1420,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,     0,  1173,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,  1820,     0,     0,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,     0,     0,  1430,
     790,   790,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,     0,     0,     0,     0,  1821,   790,     0,     0,  1821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1420,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,   790,     0,     0,     0,   790,     0,     0,
       0,     0,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   790,
     769,     0,     0,     0,     0,     0,     0,     0,   790,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1420,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1420,     0,     0,  1821,     0,   791,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,   791,     0,     0,  1430,     0,     0,     0,     0,   769,
       0,     0,     0,   791,     0,     0,     0,  1420,     0,     0,
       0,     0,     0,     0,     0,     0,   769,   769,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   791,     0,   769,     0,   790,     0,     0,   769,     0,
       0,   791,     0,   769,     0,  1420,   769,     0,     0,  1420,
    1420,   769,   769,     0,   791,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1608,   790,
     789,     0,   789,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,     0,
       0,     0,     0,     0,   790,     0,     0,     0,  1430,   789,
       0,     0,     0,     0,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,  1657,  1658,   790,  1660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1702,     0,  1820,
       0,   789,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,   791,
     791,     0,     0,     0,     0,     0,     0,  1738,     0,  1822,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1821,     0,   769,     0,  1430,  1842,  1821,     0,     0,
    1854,  1857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,  1430,     0,   769,     0,
     769,     0,     0,  1822,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,     0,     0,   769,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
    1430,     0,     0,     0,  1430,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,     0,   790,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   790,     0,     0,   790,     0,     0,   769,
       0,     0,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1822,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,  1821,  1821,
    1697,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,     0,     0,     0,     0,   791,     0,     0,
       0,   790,     0,   769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   790,     0,   769,   769,     0,     0,     0,
       0,     0,     0,   790,     0,     0,   789,     0,   791,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   769,   791,
    1697,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   791,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,     0,     0,   790,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,   790,
     769,  2364,     0,     0,  2366,  1820,     0,  2377,     0,   769,
       0,     0,     0,  1820,  2384,  2389,     0,     0,     0,     0,
    2395,     0,     0,  2400,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2409,     0,  1822,     0,     0,  2416,     0,     0,   790,  2428,
       0,     0,     0,  2435,     0,  2437,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,     0,  2446,     0,     0,     0,     0,
       0,     0,     0,  1113,  2474,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1697,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,  1822,   791,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1697,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,     0,     0,     0,  1697,
       0,     0,     0,   790,  2373,     0,     0,     0,     0,     0,
       0,   791,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1697,  1697,     0,  1697,     0,     0,
       0,     0,     0,     0,     0,     0,  1822,   791,     0,     0,
    1822,  1821,     0,     0,     0,     0,  1821,     0,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1422,
       0,     0,     0,     0,   791,     0,     0,     0,   791,  1697,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
     790,     0,     0,   790,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,  1697,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2796,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1822,     0,     0,     0,     0,
       0,  1422,     0,     0,   790,   790,     0,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,     0,     0,  1697,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1697,     0,     0,  1697,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,     0,     0,
     791,     0,     0,     0,  2921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2967,     0,     0,     0,
       0,  2973,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1423,     0,
       0,     0,     0,  2389,     0,  2389,  2389,     0,     0,     0,
       0,     0,  1822,     0,     0,     0,  3030,     0,  1822,  3033,
       0,  3035,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3056,     0,
    3058,     0,     0,     0,  3061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1422,     0,
       0,     0,     0,     0,   790,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,     0,  2474,  2474,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,   791,     0,  3104,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,  1842,     0,     0,     0,     0,
    3115,     0,     0,     0,     0,   790,  1857,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1422,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,  1422,     0,     0,     0,     0,   790,     0,
       0,     0,     0,     0,     0,     0,     0,   791,   791,     0,
       0,     0,  3151,  1422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,     0,   791,  1422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1822,  1822,
    1822,     0,  1425,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1697,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,  1697,     0,  1697,   791,  2373,  2373,  3004,  1423,     0,
    2373,     0,     0,     0,  1697,     0,     0,     0,     0,     0,
       0,  1697,     0,     0,     0,     0,  1697,     0,     0,     0,
       0,     0,  1697,     0,     0,     0,     0,  1697,     0,     0,
       0,     0,     0,     0,     0,     0,  1697,     0,     0,     0,
    2373,  2373,     0,  1697,     0,     0,   790,     0,   790,     0,
       0,     0,  1423,     0,     0,  1697,  1426,   791,     0,     0,
       0,     0,  1697,     0,  1697,  1697,  1697,  1697,  1697,  1697,
    1697,  1697,  1697,  1697,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1822,
       0,  1697,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1422,     0,   791,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,     0,   790,   791,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,  1423,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,  1425,     0,  1697,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,  1425,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,  3478,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3482,     0,     0,     0,
       0,     0,  3483,     0,  3484,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3502,  3503,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,  1425,  1822,  2395,     0,     0,
       0,  1422,     0,     0,     0,  1422,  1422,  3531,     0,     0,
    3534,     0,  3536,     0,  1425,     0,     0,     0,     0,     0,
       0,  3540,     0,  1426,     0,     0,     0,  3545,     0,     0,
    3548,     0,     0,     0,  1425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3589,  1425,
       0,     0,     0,     0,  3596,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3608,     0,
       0,     0,     0,     0,  1113,     0,     0,     0,     0,  1426,
    1173,     0,     0,  1697,     0,     0,     0,     0,     0,     0,
       0,  1422,     0,     0,     0,     0,  1425,     0,  1426,     0,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1822,     0,     0,     0,     0,  1822,     0,  1822,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,  1697,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   791,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1821,     0,     0,  1697,     0,     0,     0,  1822,     0,
    1697,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,  3004,  3004,     0,  2373,
       0,     0,  2373,  2373,  2373,  2373,  2373,  2373,  2373,  2373,
    2373,  2373,  3004,     0,     0,     0,     0,  1427,     0,     0,
       0,  1821,     0,     0,     0,     0,     0,     0,     0,  1821,
       0,     0,     0,     0,     0,  1422,     0,  1697,     0,     0,
    1697,     0,  1697,     0,     0,   791,   791,  3004,  3004,     0,
    1423,     0,   791,     0,  1423,  1423,     0,     0,     0,     0,
       0,  2373,  2373,  1697,     0,  1697,     0,     0,  1697,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3853,  3854,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1697,     0,     0,     0,     0,     0,     0,     0,  1422,
       0,     0,  1697,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3884,     0,     0,     0,  1427,
       0,     0,     0,     0,     0,     0,     0,     0,  1697,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3902,  3904,     0,     0,     0,     0,     0,     0,
       0,     0,  1425,     0,     0,  3911,  1425,  1425,     0,     0,
       0,  3916,  3917,     0,     0,  3919,     0,     0,  3922,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
    2474,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3972,     0,     0,     0,     0,  1423,  1426,     0,     0,     0,
    1426,  1426,  1425,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,  1822,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,     0,
       0,     0,  1422,     0,     0,  1422,     0,  1422,     0,     0,
    2373,   791,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1423,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1422,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1422,     0,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,     0,     0,     0,  4068,     0,  1423,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1697,     0,     0,     0,  1697,
    1697,  1697,     0,     0,  3004,     0,     0,     0,     0,  3004,
    3004,  3004,  3004,  3004,  3004,  3004,  3004,  3004,  3004,  1697,
    1697,     0,  1427,  1422,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1427,     0,     0,     0,     0,  1425,     0,  1697,  2373,
    2373,  1697,     0,  1697,     0,   791,     0,  1697,  3004,  3004,
       0,  1427,  1697,     0,     0,  1697,     0,     0,     0,     0,
       0,  1426,     0,     0,     0,     0,     0,     0,     0,     0,
    1422,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4150,     0,     0,     0,
       0,     0,     0,     0,     0,  1422,  1697,     0,     0,     0,
       0,     0,     0,  1697,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1422,  1697,     0,     0,  4173,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1422,  1427,     0,     0,     0,   791,     0,   791,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,  1423,     0,     0,  1423,     0,  1423,     0,     0,     0,
       0,  1423,  1422,     0,     0,     0,  1822,     0,   791,     0,
       0,     0,     0,  1422,  1426,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,  1423,     0,     0,  2395,     0,     0,     0,  3004,     0,
    1427,     0,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4315,
       0,     0,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,  1425,     0,  1425,     0,
    1697,  1697,  1423,  1425,  1423,     0,     0,     0,     0,     0,
       0,  1822,     0,  1422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1697,     0,     0,     0,  2373,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1697,
       0,  1697,     0,  1425,     0,     0,  3004,  3004,  1697,  1423,
       0,  2373,  2373,  1697,  1697,     0,  1697,     0,     0,  1697,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4389,
       0,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,     0,  1426,     0,  1422,
    1426,     0,  1426,  1423,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1697,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4434,     0,     0,     0,  1425,     0,  1425,  1426,     0,  1427,
       0,     0,     0,  1427,  1427,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,     0,
    1422,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1425,  1423,     0,     0,  1697,     0,     0,     0,     0,
       0,  4479,  4479,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,     0,     0,  1425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1425,     0,     0,  1426,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,  1427,
       0,     0,     0,  1425,     0,     0,     0,     0,     0,  3004,
    2373,  1423,     0,     0,  4479,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3004,  3004,  1697,  4535,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
    1697,     0,  1822,     0,     0,     0,  1423,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1425,     0,     0,
    1426,  1422,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,     0,     0,     0,  1426,
       0,     0,  1423,     0,  1425,     0,  4479,     0,     0,     0,
       0,     0,  1822,     0,     0,     0,     0,  1426,  1422,     0,
    1822,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1427,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,     0,     0,     0,     0,
       0,  1426,     0,     0,     0,     0,  3004,     0,  1423,     0,
       0,     0,     0,  1425,     0,     0,     0,  1426,     0,     0,
       0,     0,  1697,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1422,     0,
       0,     0,     0,  1427,     0,     0,     0,     0,     0,  1422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1697,  1426,     0,  1423,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,     0,
       0,  1697,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1422,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,  1697,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1697,     0,     0,     0,     0,     0,     0,     0,
    1423,  1425,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,  1422,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,  1427,     0,  1427,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,  1425,     0,     0,     0,     0,     0,  1423,     0,
       0,     0,     0,  1422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,  1427,     0,  1427,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,     0,  1423,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1427,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1427,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1427,     0,  1422,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,  1426,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
       0,     0,  1425,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1422,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1427,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1422,
    1427,     0,     0,  1422,  1422,     0,     0,     0,     0,     0,
       0,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1423,     0,     0,     0,     0,  1425,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,     0,     0,     0,
    1427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1427,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1426,     0,     0,     0,     0,  1423,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,     0,
       0,     0,     0,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1423,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1427,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1423,     0,
       0,     0,  1423,  1423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,  1425,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1425,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1427,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,  1425,  1425,     0,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,  1426,  1426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1427,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1396,
       0,     0,     0,     0,     0,     0,  1427,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,     0,     0,
     745,     0,     0,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,     0,  1427,   243,     0,   244,   245,   246,
     247,     0,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,     0,     0,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,     0,   297,   298,   299,     0,     0,   301,     0,   302,
     303,     0,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,     0,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,     0,   330,
     331,   332,   333,     0,     0,     0,     0,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,  1427,   346,     0,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,     0,   759,     0,   367,
     368,     0,     0,   370,   371,   760,   372,     0,     0,   374,
       0,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,     0,   761,   385,   762,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   396,
       0,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,     0,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,     0,   430,   431,   432,
     433,   434,   435,   436,   437,  1427,   438,   439,   440,   441,
     442,     0,   443,     0,   445,   446,   764,   447,     0,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,     0,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,     0,     0,     0,   471,     0,   473,
       0,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,     0,     0,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,  1427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1427,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1427,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,  1031,   573,  1032,  1033,  1034,   624,
    1035,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  2468,   220,   221,   222,     0,  1427,     0,     0,
    1036,  1427,  1427,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,  1037,   745,  1038,  1039,     0,   234,   235,
     236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,
       0,   244,   245,   246,   247,  1044,     0,  1045,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,   268,
    1053,  1054,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,  2469,     0,   281,   282,  1055,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1056,   297,   298,   299,  1057,
    1058,   301,     0,   302,   303,  1059,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1060,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,  1061,  1062,     0,
    1063,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1064,   757,   348,
     758,     0,   349,   350,   351,  1065,  1066,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1067,   759,  1068,   367,   368,   369,  1069,   370,   371,   760,
     372,  1070,  1071,   374,  1072,   376,   377,   378,     0,   379,
       0,     0,  1073,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1074,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1075,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1076,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
    1077,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1078,   443,   444,   445,   446,
     764,   447,  1079,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1080,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1081,  1082,     0,
       0,   471,  1083,   473,  1084,  1085,   475,   476,   477,   478,
     479,   480,   481,     0,  1086,   482,   483,   484,   485,   486,
    1087,     0,   487,   488,   489,   490,   491,   492,  1088,  2470,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1097,  1098,  2471,
       0,     0,     0,     0,     0,     0,  1100,  2472,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,   479,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,   210,     0,     0,     0,     0,     0,
       0,  1100,  2375,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,  3567,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0, -1492,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0, -1492,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328, -1492,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338, -1492,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347, -1492,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365, -1492,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426, -1492,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1396,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,     0,  1397,   745,
    1398,  1399,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1400,  1401,   243,     0,   244,   245,   246,   247,
       0,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1402,  1403,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1404,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,  1876,   322,   323,
     324,   325,   326,   327,     0,   328,   753,  1877,   330,   331,
     332,   333,  1405,  1406,     0,  1407,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1408,   759,  1409,   367,   368,
       0,     0,   370,   371,   760,   372,     0,     0,   374,  1410,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,  1879,   761,   385,   762,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1411,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1880,   445,   446,   764,   447,  1413,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1414,  1415,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1416,  1881,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1396,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,  1979,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,  1397,   745,  1398,  1399,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1400,  1401,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1402,  1403,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1055,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1404,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,  1876,   322,   323,   324,   325,   326,   327,     0,
     328,   753,  1877,   330,   331,   332,   333,  1405,  1406,     0,
    1407,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1408,   759,  1409,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,  1410,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,  1879,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1411,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1880,   445,   446,
     764,   447,  1413,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1414,  1415,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1416,  1881,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,  2885,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,  2385,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,  2386,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
    2387,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,  2388,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,   479,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,     0,     0,     0,     0,     0,     0,
       0,  1100,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,   368,   369,  1069,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,    38,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,    42,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,  1086,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   970,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,    47,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1098,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,     0,     0,     0,  1603,  2333,  1100,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,   368,   369,  1069,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,   479,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,  1099,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,  1172,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,  1069,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,  1086,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  1098,
       0,     0,     0,     0,     0,     0,     0,  1100,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1852,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,   479,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,     0,     0,     0,     0,     0,     0,
       0,  1100,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,  2386,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,   368,   369,  1069,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,  1086,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1098,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,  3597,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,     0,     0,     0,     0,     0,  1100,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,   368,   369,  1069,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,   479,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,     0,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,  3607,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,  1069,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,  1086,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,  1098,
       0,     0,     0,     0,     0,     0,     0,  1100,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,  1069,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,   479,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,  3894,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,     0,     0,     0,     0,     0,     0,
       0,  1100,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,  3903,   369,  1069,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,  1086,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1098,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,  4476,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,  4477,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,  1069,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,  4478,   480,   481,     0,  1086,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,  1098,     0,     0,     0,     0,     0,     0,     0,  1100,
     743,  1031,   573,  1032,  1033,  1034,   624,  1035,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1036,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
    1037,   745,  1038,  1039,     0,   234,   235,   236,   237,   238,
    1040,  1041,   239,   240,  1042,  1043,   243,     0,   244,   245,
     246,   247,  1044,     0,  1045,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,  4477,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   263,   264,   265,   266,   267,   268,  1053,  1054,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,  1056,   297,   298,   299,  1057,  1058,   301,     0,
     302,   303,  1059,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1060,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,  1061,  1062,     0,  1063,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1064,   757,   348,   758,     0,   349,
     350,   351,  1065,  1066,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1067,   759,  1068,
     367,   368,   369,  1069,   370,   371,   760,   372,  1070,  1071,
     374,  1072,   376,   377,   378,     0,   379,     0,     0,  1073,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1074,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1075,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1076,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,  1077,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1078,   443,   444,   445,   446,   764,   447,  1079,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1080,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1081,  1082,     0,     0,   471,  1083,
     473,  1084,  1085,   475,   476,   477,   478,  4478,   480,   481,
       0,  1086,   482,   483,   484,   485,   486,  1087,     0,   487,
     488,   489,   490,   491,   492,  1088,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1098,     0,     0,     0,     0,
       0,     0,     0,  1100,   743,  1031,   573,  1032,  1033,  1034,
     624,  1035,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1036,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1037,   745,  1038,  1039,     0,   234,
     235,   236,   237,   238,  1040,  1041,   239,   240,  1042,  1043,
     243,     0,   244,   245,   246,   247,  1044,     0,  1045,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,   267,
     268,  1053,  1054,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1056,   297,   298,   299,
    1057,  1058,   301,     0,   302,   303,  1059,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1060,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1061,  1062,
       0,  1063,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1064,   757,
     348,   758,     0,   349,   350,   351,  1065,  1066,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1067,   759,  1068,   367,   368,   369,     0,   370,   371,
     760,   372,  1070,  1071,   374,  1072,   376,   377,   378,     0,
     379,     0,     0,  1073,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1074,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1075,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1076,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1077,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1078,   443,   444,   445,
     446,   764,   447,  1079,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1080,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1081,  1082,
       0,     0,   471,  1083,   473,  1084,  1085,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1087,     0,   487,   488,   489,   490,   491,   492,  1088,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,     0,  2368,  2369,
       0,     0,     0,     0,     0,     0,     0,  1100,   743,  1031,
     573,  1032,  1033,  1034,   624,  1035,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1036,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229, -2273,  1037,   745,
    1038,  1039,     0,   234,   235,   236,   237,   238,  1040,  1041,
     239,   240,  1042,  1043,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,  4477,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,  1053,  1054,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1055,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1056,   297,   298,   299,  1057,  1058,   301,     0,   302,   303,
    1059,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1061,  1062,     0,  1063,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,     0,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1067,   759,  1068,   367,   368,
     369,     0,   370,   371,   760,   372,  1070,  1071,   374,  1072,
     376,   377,   378,     0,   379,     0,     0,  1073,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1076,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1077,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,     0,   447,  1079,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1081,  1082,     0,     0,   471,  1083,   473,  1084,
    1085,   475,   476,   477,   478,  4478,   480,   481,     0,  1086,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,  1088,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,  1098,     0,     0,   743,  1031,   573,  1032,
    1033,  1100,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,   758,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,     0,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,   764,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   743,
    1031,   573,  1032,  1033,     0,   624,  1035,     0,     0,  1100,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1036,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,  1037,
     745,  1038,  1039,     0,  3515,   235,   236,   237,   238,  1040,
    1041,   239,   240,  1042,  1043,   243,     0,   244,   245,   246,
     247,  1044,     0,  1045,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,
     263,   264,   265,   266,   267,   268,  1053,  1054,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1055,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1056,   297,   298,   299,  1057,  1058,   301,     0,   302,
     303,  1059,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1060,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,  1061,  1062,     0,  1063,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1064,   757,   348,   758,     0,   349,   350,
     351,  1065,  1066,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1067,   759,  1068,   367,
     368,   369,     0,   370,   371,   760,   372,  1070,  1071,   374,
    1072,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1074,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1075,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1076,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,  1077,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1078,   443,   444,   445,   446,   764,   447,  1079,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1080,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1081,  1082,     0,     0,   471,  1083,   473,
    1084,  1085,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  1087,     0,   487,   488,
     489,   490,   491,   492,  1088,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   743,  1031,   573,  1032,  1033,  1034,   624,  1035,
       0,     0,  1100,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1036,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,     0,  1037,   745,  1038,  1039,     0,   234,   235,   236,
     237,   238,  1040,  1041,   239,   240,  1042,  1043,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,  1053,
    1054,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1055,   284,
     285,     0,   286,   287,   288,     0,   289,     0,   291,     0,
     292,   293,   294,   295,  1056,   297,   298,   299,  1057,  1058,
     301,     0,   302,   303,  1059,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,  1061,  1062,     0,  1063,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1064,   757,   348,     0,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1067,
     759,  1068,   367,   368,   369,     0,   370,   371,   760,   372,
    1070,  1071,   374,  1072,   376,   377,   378,     0,   379,     0,
       0,  1073,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1076,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,  1077,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,     0,
     447,  1079,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1081,  1082,     0,     0,
     471,  1083,   473,  1084,  1085,   475,   476,   477,   478,   479,
     480,   481,     0,  1086,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,  1088,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,  1098,     0,     0,
       0,     0,     0,     0,     0,  1100,   743,  1031,   573,  1032,
    1033,  1034,   624,  1035,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1036,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,     0,  1037,   745,  1038,  1039,
       0,   234,   235,   236,   237,   238,  1040,  1041,   239,   240,
    1042,  1043,   243,     0,   244,   245,   246,   247,  1044,     0,
    1045,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
    1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,
     266,   267,   268,  1053,  1054,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,     0,   291,     0,   292,   293,   294,   295,  1056,   297,
     298,   299,  1057,  1058,   301,     0,   302,   303,  1059,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,  1060,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
    1061,  1062,     0,  1063,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
    1064,   757,   348,     0,     0,   349,   350,   351,  1065,  1066,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1067,   759,  1068,   367,   368,   369,     0,
     370,   371,   760,   372,  1070,  1071,   374,  1072,   376,   377,
     378,     0,   379,     0,     0,  1073,   381,   382,     0,     0,
     383,   384,   761,   385,   762,  1074,   387,   388,   389,   390,
     391,   392,   393,     0,   394,  1075,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1076,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,  1077,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,  1078,   443,
     444,   445,   446,     0,   447,  1079,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,  1080,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1081,  1082,     0,     0,   471,  1083,   473,  1084,  1085,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  1087,     0,   487,   488,   489,   490,   491,
     492,  1088,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   743,
    2368,  2369,     0,     0,     0,     0,     0,     0,     0,  1100,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
    1041,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,  1044,     0,  1045,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,  1057,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1060,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,  3076,   344,
     345,     0,   346,  1064,   757,   348,   758,     0,   349,   350,
     351,  1065,  1066,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,  1071,   374,
     375,   376,   377,   378,     0,   379,     0,   708,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1074,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1075,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,  3077,   431,   432,
     433,   434,   435,   436,   437,    38,   438,   439,   440,   441,
     442,  1078,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1080,     0,   461,   462,    42,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,  1083,   473,
    1084,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  1087,     0,   487,   488,
     489,   490,   491,   970,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,    47,   500,   501,   502,
     503,   504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3078,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,  1041,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,  1044,     0,  1045,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,  1057,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,  1060,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,  3076,   344,   345,     0,   346,  1064,   757,   348,   758,
       0,   349,   350,   351,  1065,  1066,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,  1071,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,  1074,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1075,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
    3077,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1078,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1080,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,  1083,   473,  1084,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,  1087,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3078,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,  1041,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,  1044,     0,  1045,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,  1046,
    1047,  1048,  1049,  1050,  1051,  1052,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,  1057,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,  1060,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1064,
     757,   348,   758,     0,   349,   350,   351,  1065,  1066,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,  1071,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,  1074,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1075,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,  3077,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1078,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1080,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,  1083,   473,  1084,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  1087,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,  1041,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,  1057,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,  1071,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,  1083,   473,  1084,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   786,  1288,   573,     0,     0,     0,   624,     0,     0,
       0,  3632,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1535,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,     0,   370,   371,   760,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,  1536,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   764,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,  1537,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   786,   636,  1289,  4048,     0,     0,
       0,     0,     0,     0,  4049,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     3,     4,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      38,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
      42,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   970,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,    47,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4208,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    38,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,    42,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   970,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,    47,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1156,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2523,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3551,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,  1396,  1288,   573,     0,     0,
     797,   624,     0,     0,     0,  3945,   211,   212,   213,   214,
     215,   216,   217,   218,  1740,   220,   221,   222,  1741,  1742,
    1743,  1744,  1745,  1746,  1747,   223,   224,  1748,   225,   226,
     744,   227,   228,   229,     0,  1397,   745,  1398,  1399,  1749,
     234,   235,   236,   237,   238,  1750,  1751,   239,   240,  1400,
    1401,   243,  1752,   244,   245,   246,   247,     0,  1753,   746,
    1754,   249,   250,   251,   252,   747,   253,   254,  1755,   255,
     256,   257,   258,   259,   260,  1756,   748,   261,   262,  1757,
    1758,  1759,   749,  1760,  1761,  1762,   263,   264,   265,   266,
     267,   268,  1402,  1403,   271,  1763,   272,  1764,   273,   274,
     275,   276,   277,  1765,   278,   279,   280,  1766,  1767,   281,
     282,  1055,   284,   285,  1768,   286,   287,   288,  1769,   289,
     290,   291,  1770,   292,   293,   294,   295,     0,   297,   298,
     299,     0,  1771,   301,  1772,   302,   303,  1404,   305,  1773,
     306,  1774,   307,   750,  1775,   751,   308,   309,   310,  1776,
     311,     0,  1777,   313,  1778,   314,   315,   316,   317,   318,
     752,   319,   320,   321,  1779,   322,   323,   324,   325,   326,
     327,  1780,   328,   753,     0,   330,   331,   332,   333,  1405,
    1406,  1781,  1407,  1782,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,  1783,   344,   345,  1784,   346,     0,
     757,   348,   758,  1785,   349,   350,   351,  1786,  1787,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1408,   759,  1409,   367,   368,     0,  1788,   370,
     371,   760,   372,  1789,     0,   374,  1410,   376,   377,   378,
    1790,   379,  1791,  1792,  3312,   381,   382,  1793,  1794,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,  1795,   394,     0,   396,     0,   398,   399,   400,
    1796,   401,   402,   403,   404,   405,   406,   407,   408,  1411,
     410,   411,   412,   413,  1797,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1798,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,  1799,   438,   439,   440,   441,   442,  1800,   443,  1880,
     445,   446,   764,   447,  1413,   449,  1801,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,  1802,   461,
     462,  1803,   463,   464,   465,   466,   467,   468,  1804,  1414,
    1415,  1805,  1806,   471,     0,   473,     0,  1807,   475,   476,
     477,   478,   479,   480,   481,  1808,  1809,   482,   483,   484,
     485,   486,  1810,  1811,   487,   488,   489,   490,   491,     0,
    1416,  1812,   494,   765,   495,   496,   497,   498,  1813,  1814,
     499,  1815,  1816,   500,   501,   502,   503,   504,   505,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,  3313,
    3314,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   798,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   799,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   893,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   894,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   943,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   944,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   945,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,  1381,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,  1382,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,  2600,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,  2601,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   210,     0,     0,     0,     0,
     797,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,  4187,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,  1739,   800,   801,   802,     0,   803,
     804,   805,   806,   807,   808,   211,   212,   213,   214,   215,
     216,   217,   218,  1740,   220,   221,   222,  1741,  1742,  1743,
    1744,  1745,  1746,  1747,   223,   224,  1748,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,  1749,   234,
     235,   236,   237,   238,  1750,  1751,   239,   240,   241,   242,
     243,  1752,   244,   245,   246,   247,   248,  1753,   746,  1754,
     249,   250,   251,   252,   747,   253,   254,  1755,   255,   256,
     257,   258,   259,   260,  1756,   748,   261,   262,  1757,  1758,
    1759,   749,  1760,  1761,  1762,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  1763,   272,  1764,   273,   274,   275,
     276,   277,  1765,   278,   279,   280,  1766,  1767,   281,   282,
     283,   284,   285,  1768,   286,   287,   288,  1769,   289,   290,
     291,  1770,   292,   293,   294,   295,   296,   297,   298,   299,
     300,  1771,   301,  1772,   302,   303,   304,   305,  1773,   306,
    1774,   307,   750,  1775,   751,   308,   309,   310,  1776,   311,
     312,  1777,   313,  1778,   314,   315,   316,   317,   318,   752,
     319,   320,   321,  1779,   322,   323,   324,   325,   326,   327,
    1780,   328,   753,   329,   330,   331,   332,   333,   334,   335,
    1781,   336,  1782,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,  1783,   344,   345,  1784,   346,   347,   757,
     348,   758,  1785,   349,   350,   351,  1786,  1787,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,  1788,   370,   371,
     760,   372,  1789,   373,   374,   375,   376,   377,   378,  1790,
     379,  1791,  1792,   380,   381,   382,  1793,  1794,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,  1795,   394,   395,   396,   397,   398,   399,   400,  1796,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,  1797,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1798,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1799,   438,   439,   440,   441,   442,  1800,   443,   444,   445,
     446,   764,   447,   448,   449,  1801,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,  1802,   461,   462,
    1803,   463,   464,   465,   466,   467,   468,  1804,   469,   470,
    1805,  1806,   471,   472,   473,   474,  1807,   475,   476,   477,
     478,   479,   480,   481,  1808,  1809,   482,   483,   484,   485,
     486,  1810,  1811,   487,   488,   489,   490,   491,   492,   493,
    1812,   494,   765,   495,   496,   497,   498,  1813,  1814,   499,
    1815,  1816,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,  1396,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   713,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,     0,  1397,   745,  1398,  1399,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
    1400,  1401,   243,     0,   244,   245,   246,   247,     0,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,  1402,  1403,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,  1055,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,     0,   297,
     298,   299,     0,     0,   301,     0,   302,   303,  1404,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,     0,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,  1876,   322,   323,   324,   325,
     326,   327,     0,   328,   753,  1877,   330,   331,   332,   333,
    1405,  1406,     0,  1407,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
       0,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1408,   759,  1409,   367,   368,     0,     0,
     370,   371,   760,   372,     0,     0,   374,  1410,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,  1878,
     383,  1879,   761,   385,   762,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   396,     0,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
    1411,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,     0,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
    1880,   445,   446,   764,   447,  1413,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,     0,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
    1414,  1415,     0,     0,   471,     0,   473,     0,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
       0,  1416,  1881,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
       0,     0,     0,  2129,     0,     0,     0,     0,     0,   515,
     516,   517,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1882,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,  1397,   745,  1398,  1399,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1400,  1401,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1402,  1403,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1055,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1404,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,  1876,   322,   323,   324,   325,   326,   327,     0,
     328,   753,  1877,   330,   331,   332,   333,  1405,  1406,     0,
    1407,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1408,   759,  1409,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,  1410,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,  1878,   383,  1879,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1411,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1880,   445,   446,
     764,   447,  1413,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1414,  1415,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1416,  1881,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,     0,     0,
     210,     0,     0,     0,     0,     0,   515,   516,   517,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1882,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,  1288,   573,     0,
       0,     0,   624,     0,     0,     0,  4235,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,  1729,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,  1535,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,  1536,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,  1537,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,  1288,   573,     0,     0,     0,   624,     0,
     636,  1289,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,  1734,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,  1535,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,  1536,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,  1537,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,  1288,
     573,     0,     0,     0,   624,     0,   636,  1289,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,  1535,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,  1536,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
    1537,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
     624,     0,   636,  1289,     0,   211,   625,   213,   214,   215,
     216,   217,   218,   626,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     627,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   628,   304,   305,     0,   306,
       0,   629,     0,   630,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   631,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   632,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   633,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     634,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   635,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1739,  4545,   573,     0,     0,     0,   624,     0,   636,   637,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1740,
     220,   221,   222,  1741,  1742,  1743,  1744,  1745,  1746,  1747,
     223,   224,  1748,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,  1749,   234,   235,   236,   237,   238,
    1750,  1751,   239,   240,   241,   242,   243,  1752,   244,   245,
     246,   247,   248,  1753,   746,  1754,   249,   250,   251,   252,
     747,   253,   254,  1755,   255,   256,   257,   258,   259,   260,
    1756,   748,   261,   262,  1757,  1758,  1759,   749,  1760,  1761,
    1762,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    1763,   272,  1764,   273,   274,   275,   276,   277,  1765,   278,
     279,   280,  1766,  1767,   281,   282,   283,   284,   285,  1768,
     286,   287,   288,  1769,   289,   290,   291,  1770,   292,   293,
     294,   295,   296,   297,   298,   299,   300,  1771,   301,  1772,
     302,   303,   304,   305,  1773,   306,  1774,   307,   750,  1775,
     751,   308,   309,   310,  1776,   311,   312,  1777,   313,  1778,
     314,   315,   316,   317,   318,   752,   319,   320,   321,  1779,
     322,   323,   324,   325,   326,   327,  1780,   328,   753,   329,
     330,   331,   332,   333,   334,   335,  1781,   336,  1782,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,  1783,
     344,   345,  1784,   346,   347,   757,   348,   758,  1785,   349,
     350,   351,  1786,  1787,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,  1788,   370,   371,   760,   372,  1789,   373,
     374,   375,   376,   377,   378,  1790,   379,  1791,  1792,   380,
     381,   382,  1793,  1794,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,  1795,   394,   395,
     396,   397,   398,   399,   400,  1796,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,  1797,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  1798,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1799,   438,   439,   440,
     441,   442,  1800,   443,   444,   445,   446,   764,   447,   448,
     449,  1801,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,  1802,   461,   462,  1803,   463,   464,   465,
     466,   467,   468,  1804,   469,   470,  1805,  1806,   471,   472,
     473,   474,  1807,   475,   476,   477,   478,   479,   480,   481,
    1808,  1809,   482,   483,   484,   485,   486,  1810,  1811,   487,
     488,   489,   490,   491,   492,   493,  1812,   494,   765,   495,
     496,   497,   498,  1813,  1814,   499,  1815,  1816,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,  1739,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  1740,   220,   221,   222,  1741,
    1742,  1743,  1744,  1745,  1746,  1747,   223,   224,  1748,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
    1749,   234,   235,   236,   237,   238,  1750,  1751,   239,   240,
     241,   242,   243,  1752,   244,   245,   246,   247,   248,  1753,
     746,  1754,   249,   250,   251,   252,   747,   253,   254,  1755,
     255,   256,   257,   258,   259,   260,  1756,   748,   261,   262,
    1757,  1758,  1759,   749,  1760,  1761,  1762,   263,   264,   265,
     266,   267,   268,   269,   270,   271,  1763,   272,  1764,   273,
     274,   275,   276,   277,  1765,   278,   279,   280,  1766,  1767,
     281,   282,   283,   284,   285,  1768,   286,   287,   288,  1769,
     289,   290,   291,  1770,   292,   293,   294,   295,   296,   297,
     298,   299,   300,  1771,   301,  1772,   302,   303,   304,   305,
    1773,   306,  1774,   307,   750,  1775,   751,   308,   309,   310,
    1776,   311,   312,  1777,   313,  1778,   314,   315,   316,   317,
     318,   752,   319,   320,   321,  1779,   322,   323,   324,   325,
     326,   327,  1780,   328,   753,   329,   330,   331,   332,   333,
     334,   335,  1781,   336,  1782,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,  1783,   344,   345,  1784,   346,
     347,   757,   348,   758,  1785,   349,   350,   351,  1786,  1787,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,  1788,
     370,   371,   760,   372,  1789,   373,   374,   375,   376,   377,
     378,  1790,   379,  1791,  1792,   380,   381,   382,  1793,  1794,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,  1795,   394,   395,   396,   397,   398,   399,
     400,  1796,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,  1797,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,  1798,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1799,   438,   439,   440,   441,   442,  1800,   443,
     444,   445,   446,   764,   447,   448,   449,  1801,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,  1802,
     461,   462,  1803,   463,   464,   465,   466,   467,   468,  1804,
     469,   470,  1805,  1806,   471,   472,   473,   474,  1807,   475,
     476,   477,   478,   479,   480,   481,  1808,  1809,   482,   483,
     484,   485,   486,  1810,  1811,   487,   488,   489,   490,   491,
     492,   493,  1812,   494,   765,   495,   496,   497,   498,  1813,
    1814,   499,  1815,  1816,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  1739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,  2659,   216,   217,
     218,  1740,   220,   221,   222,  1741,  1742,  1743,  1744,  1745,
    1746,  1747,   223,   224,  1748,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,  1749,   234,   235,   236,
     237,   238,  1750,  1751,   239,   240,   241,   242,   243,  1752,
     244,   245,   246,   247,   248,  1753,   746,  1754,   249,   250,
     251,   252,   747,   253,   254,  1755,   255,   256,   257,   258,
     259,   260,  1756,   748,   261,   262,  1757,  1758,  1759,   749,
    1760,  1761,  1762,   263,   264,   265,   266,   267,   268,   269,
     270,   271,  1763,   272,  1764,   273,   274,   275,   276,   277,
    1765,   278,   279,   280,  1766,  1767,   281,   282,   283,  2660,
     285,  1768,   286,   287,   288,  1769,   289,   290,   291,  1770,
     292,   293,   294,   295,   296,   297,   298,   299,   300,  1771,
     301,  1772,   302,   303,   304,   305,  1773,   306,  1774,   307,
     750,  1775,   751,   308,   309,   310,  1776,   311,   312,  1777,
     313,  1778,   314,   315,   316,   317,   318,   752,   319,   320,
     321,  1779,   322,   323,   324,   325,   326,   327,  1780,   328,
     753,   329,   330,   331,   332,   333,   334,   335,  1781,   336,
    1782,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,  1783,   344,   345,  1784,   346,   347,   757,   348,   758,
    1785,   349,   350,   351,  1786,  1787,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,  1788,   370,   371,   760,   372,
    1789,   373,   374,   375,   376,   377,   378,  1790,   379,  1791,
    1792,   380,   381,   382,  1793,  1794,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,  1795,
     394,   395,   396,   397,   398,   399,   400,  1796,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,  1797,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,  1798,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1799,   438,
     439,   440,   441,   442,  1800,  2661,   444,   445,   446,   764,
     447,   448,   449,  1801,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,  1802,   461,   462,  1803,   463,
     464,   465,   466,   467,   468,  1804,   469,   470,  1805,  1806,
     471,   472,   473,   474,  1807,   475,   476,   477,   478,   479,
     480,   481,  1808,  1809,   482,   483,   484,   485,   486,  1810,
    1811,   487,   488,   489,   490,   491,   492,   493,  1812,   494,
     765,   495,   496,   497,   498,  1813,  1814,   499,  1815,  1816,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,  1041,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
    1044,     0,  1045,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1046,  1047,  1048,  1049,  1050,  1051,  1052,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,  1057,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1060,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1064,   757,   348,   758,     0,   349,   350,   351,
    1065,  1066,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,  1071,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1074,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1075,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1078,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1080,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,  1083,   473,  1084,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1087,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1089,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,   515,   516,   517,   786,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,  1535,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,  1536,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,  1537,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,   573,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    1714,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,  2086,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  2087,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     3,     4,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   813,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,   573,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,  1525,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,  2932,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     829,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   906,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     926,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   936,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,   231,   745,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   938,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   759,   366,   367,   368,
     369,     0,   370,   371,   760,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   761,   385,   762,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   764,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   948,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   959,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   960,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,  1913,   244,   245,   246,   247,   248,     0,
       0,  1986,   249,   250,   251,   252,     0,   253,   254,  1914,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,  1987,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,  1916,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,  1917,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,  1918,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,  1913,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,  1914,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
    1987,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,  1916,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,  2832,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,  1917,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,  1918,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   677,   217,   218,   643,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,   644,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,   678,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   645,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   646,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   643,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,   644,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,  2562,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   645,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     646,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,  1913,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,  1914,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,  1987,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,  1916,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,  1917,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,  1918,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   643,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,   644,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   645,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   646,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  1562,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,  1563,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,  1564,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,  1565,   307,
       0,     0,     0,  1566,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,  1567,  1568,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,  1569,   434,   435,   436,   437,     0,  1570,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,  1571,   463,
    1572,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,  1573,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,   644,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   645,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   646,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   822,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   823,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,   708,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     3,     4,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,  2643,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,  2644,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  2655,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,  2656,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   564,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   565,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,   669,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   670,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   671,   470,     0,     0,   672,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,   702,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   703,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     704,   470,     0,     0,   705,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,   792,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   793,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   919,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,  1131,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,  1142,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,  1143,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,  1135,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  1241,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
     708,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1292,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  1293,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,   669,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,  2457,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,  2458,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,  2459,   463,   464,  2460,
     466,  2461,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,  2462,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,   573,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
    3567,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,  3581,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,  3792,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
    3794,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,  3796,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
    4190,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   658,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     667,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     689,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   690,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   694,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   720,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   817,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   831,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   884,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     898,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   931,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   950,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   952,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   954,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     957,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   963,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     688,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   691,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   692,   428,   429,   430,   431,   432,   693,
     434,   435,   436,   437,     0,   438,   439,   440,   441,  1135,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   695,   470,     0,     0,   696,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   697,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,  1442,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,  1472,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    1501,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  1503,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  1505,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,  1597,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,  1873,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,     0,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   688,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   691,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   692,   428,   429,   430,   431,   432,   693,   434,   435,
     436,   437,     0,   438,   439,   440,   441,  1135,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,  1904,   465,   466,   467,   468,     0,
     695,   470,     0,     0,   696,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   697,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   688,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   691,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   692,   428,   429,
     430,   431,   432,  1971,   434,   435,   436,   437,     0,   438,
     439,   440,   441,  1972,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   695,   470,     0,     0,
    1973,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   697,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  2226,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,  2573,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   688,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   691,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   692,   428,   429,   430,   431,
     432,   693,   434,   435,   436,   437,     0,   438,   439,   440,
     441,  1972,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   695,   470,     0,     0,  1973,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   697,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
       0,     0,   249,   250,   251,   252,     0,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,     0,   261,   262,
       0,     0,     0,     0,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,     0,     0,     0,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
    2646,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,     0,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,     0,     0,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,     0,   348,     0,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,     0,   366,   367,   368,   369,     0,
     370,   371,     0,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,     0,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,     0,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,  2648,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,  2753,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1396,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,     0,  1397,   745,  1398,  1399,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,  1400,  1401,
     243,     0,   244,   245,   246,   247,     0,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,  1402,  1403,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1055,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,     0,   297,   298,   299,
       0,     0,   301,     0,   302,   303,  1404,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
       0,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,  1876,   322,   323,   324,   325,   326,   327,
       0,   328,   753,  1877,   330,   331,   332,   333,  1405,  1406,
       0,  1407,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,     0,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1408,   759,  1409,   367,   368,     0,     0,   370,   371,
     760,   372,     0,     0,   374,  1410,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,  1879,
     761,   385,   762,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   396,     0,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1411,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,     0,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,  1880,   445,
     446,   764,   447,  1413,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,     0,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1414,  1415,
       0,     0,   471,     0,   473,     0,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,     0,  1416,
    1881,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,     0,  1396,
       0,     0,     0,     0,     0,     0,     0,   515,   516,   517,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,     0,  1397,
     745,  1398,  1399,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,  1400,  1401,   243,     0,   244,   245,   246,
     247,     0,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,  1402,  1403,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1055,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,     0,   297,   298,   299,     0,     0,   301,     0,   302,
     303,  1404,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,     0,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,     0,   330,
     331,   332,   333,  1405,  1406,     0,  1407,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1408,   759,  1409,   367,
     368,     0,     0,   370,   371,   760,   372,  1967,     0,   374,
    1410,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,     0,   761,   385,   762,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   396,
       0,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1411,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,     0,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,  1880,   445,   446,   764,   447,  1413,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,     0,     0,   461,   462,  3423,   463,   464,   465,   466,
     467,   468,     0,  1414,  1415,     0,     0,   471,     0,   473,
       0,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,     0,  1416,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,     0,   210,     0,     0,     0,     0,     0,
       0,     0,   515,   516,   517,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,     0,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1396,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1397,   745,  1398,  1399,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1400,  1401,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1402,  1403,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1404,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1405,  1406,     0,  1407,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1408,   759,  1409,
     367,   368,  2028,     0,   370,   371,   760,   372,     0,     0,
     374,  1410,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1411,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,  1412,   445,   446,   764,   447,  1413,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1414,  1415,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1416,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,  1396,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1397,   745,  1398,  1399,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1400,
    1401,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1402,  1403,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1055,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1404,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1405,
    1406,     0,  1407,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1408,   759,  1409,   367,   368,  3248,     0,   370,
     371,   760,   372,     0,     0,   374,  1410,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1411,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1412,
     445,   446,   764,   447,  1413,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1414,
    1415,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1416,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
    1396,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1397,   745,  1398,  1399,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1400,  1401,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1402,  1403,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1404,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1405,  1406,     0,  1407,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1408,   759,  1409,
     367,   368,     0,     0,   370,   371,   760,   372,     0,     0,
     374,  1410,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1411,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,  1412,   445,   446,   764,   447,  1413,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1414,  1415,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1416,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,  1396,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1397,   745,  1398,  1399,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1400,
    1401,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1402,  1403,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1055,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1404,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1405,
    1406,     0,  1407,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1408,   759,  1409,   367,   368,     0,     0,   370,
     371,   760,   372,     0,     0,   374,  1410,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1411,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1880,
     445,   446,   764,   447,  1413,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1414,
    1415,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1416,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
    1396,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1397,   745,  1398,  1399,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1400,  1401,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1402,  1403,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1055,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1404,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1405,  1406,     0,  1407,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1408,   759,  1409,
     367,   368,     0,     0,   370,   371,   760,   372,     0,     0,
     374,  1410,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1411,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,     0,   445,   446,   764,   447,  1413,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1414,  1415,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1416,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3923))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2273))

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,   574,    34,   189,
     193,    11,    48,    21,    24,   195,   737,   545,    26,   937,
      20,   179,    20,   689,   974,  1227,   206,   996,  1178,   742,
     188,   814,   941,     7,   171,   644,   645,   646,    43,   946,
      14,   650,   966,   839,  1868,   612,    21,   830,    48,   594,
    1160,    26,  1566,   767,  1262,    12,  1668,   876,  1082,   604,
     574,  1412,  1706,   895,   592,   819,  1268,  2309,  1024,  1369,
     696,  2027,  1468,   905,  2639,  1053,  1054,  2161,  2615,  1429,
    1162,    20,  1272,  1282,  2169,    17,  1603,    22,  2893,  1884,
    1885,  1321,  1183,  2659,  1072,  2661,  1832,  2077,   881,    34,
      42,   536,   885,  3111,  1214,  2793,     0,   890,   927,  2122,
    2855,  3154,  2288,  2830,   897,  3052,  2470,  2811,  2468,  2469,
    2523,  3203,  3150,  2811,   907,   692,  3413,  1523,  1210,   158,
       0,   173,  3403,   611,  3424,   173,  3084,  2882,  3078,  1338,
    1339,  2402,  2465,  1333,   818,  2872,    33,     0,   583,     0,
     824,     0,  1254,    40,     0,     0,     0,     0,   832,     0,
    1268,     0,     0,     0,  1214,  1471,    39,  3841,  2531,  3083,
    3637,  1193,  3121,   173,  3010,   734,  1100,  3360,   692,  1479,
    2815,  2816,  2817,  2818,  2819,  2820,  1637,    11,    11,   784,
     734,     5,    51,  2516,     0,     0,  4118,     0,   830,    13,
    1651,    31,   795,     5,     0,     0,     9,     0,  2164,  3978,
      44,    37,     9,    36,  3945,    37,  3947,    35,    58,    22,
      72,     9,   103,  4111,   180,   181,   103,     5,   184,   147,
     186,  1042,  1043,    16,   127,    13,   953,    35,    22,  2465,
    1884,    68,    18,    66,     5,    29,    96,   964,   103,   205,
    1701,   878,    13,   103,    22,    22,     0,  1068,    68,   201,
      68,    29,    29,   152,     0,   874,    76,     5,  2529,    51,
      51,   153,   152,     9,     5,   108,     5,     5,    83,  2235,
       5,  2237,   161,    60,    96,   110,    22,    83,    68,   155,
    2516,    76,     5,   246,     5,    66,     5,     5,   153,    76,
     161,   172,   133,     5,  4064,     5,     5,     5,   249,   120,
     256,   251,    18,    76,     5,   280,    20,   152,    51,    64,
       5,   310,  1432,   113,    96,     5,   147,    58,   103,     5,
      23,   859,     9,   123,   234,   326,    40,   103,     4,   326,
     103,    25,   146,     9,   120,   299,   152,   290,    22,   152,
     133,  1147,   157,   107,   131,   234,   326,   152,    58,   152,
     297,   157,   545,   543,   301,   144,   172,   547,   361,   172,
     132,    28,   149,   531,   103,    26,    27,   172,   558,   172,
       4,   974,   237,  1010,    11,     9,   236,  1101,   264,   326,
    2036,  1415,   285,    51,   437,   962,   431,   440,  3763,  4003,
    3765,   436,   947,   438,  3769,   391,  3771,   974,   152,   592,
     403,   173,   154,  1563,   120,  1129,   152,  1567,   103,  1569,
     578,   297,  1572,   152,  1402,  1403,    11,   103,   172,  4103,
     588,  1945,  1410,  4037,   314,    11,   172,  4168,   192,    66,
     182,   115,   319,   254,   303,  2091,   400,   436,   962,   440,
     393,    36,   234,   440,   233,   321,    68,  1002,    68,  3642,
    1378,  1028,   234,   400,   152,   405,   241,  1012,   438,   273,
     236,   436,   349,   236,   264,    18,  1383,   134,   299,  4239,
    1025,    66,   186,   436,   350,   385,   440,   158,   199,   339,
     301,    25,   342,   186,   440,   436,   152,   328,   976,   304,
     151,   278,   153,   152,   249,   122,   385,   297,   304,  3144,
     387,   323,   392,  4401,  1028,   326,   526,   105,   436,   371,
    1602,   303,   303,   400,   385,    79,   381,   310,   346,  1880,
      11,    22,   359,   241,  1317,  3229,  1319,   359,   340,   341,
    1890,  3229,   423,   436,   326,   328,   379,   436,   346,   359,
     334,   359,  1145,  1372,   436,    36,   381,  1150,  1151,   436,
     386,  4330,  1394,  1673,   574,   575,   334,   334,  1242,   440,
     303,  1367,  3843,  1327,   359,  1142,   612,   120,   534,   359,
    1662,   440,   538,  1150,  1151,    66,   436,   616,  1557,  1400,
    1401,   297,  3157,   525,  4516,   400,   436,   374,  1409,   555,
     737,  3538,   436,   379,   400,   440,   436,     8,   432,   432,
    2566,   611,   612,   611,  3562,  1637,   300,   625,  1527,   627,
    1294,   629,   436,  3806,   427,   428,  1708,   635,  1142,  1651,
     359,  3571,   437,   439,   439,  3575,   439,  3382,   435,   427,
     428,   437,  1201,   439,   439,   303,   439,  3561,   658,  3485,
     625,  1244,   627,   610,   629,  1564,    11,  1201,   436,  1252,
     635,   636,   637,   434,  1573,   639,  1261,   438,  3617,  1301,
    1297,   681,  1304,   612,  3857,   436,   859,  1601,   688,  1603,
    3397,   691,   692,   693,   726,  3412,   844,  4418,   726,  1613,
     390,   427,   428,  1617,   423,   439,   434,   855,   436,   390,
     438,  1625,  1626,   439,   402,   436,  3341,   440,   436,   438,
     359,   436,   193,   655,  1638,  1639,  1309,  4184,  4392,  1312,
    1313,   264,   402,   436,   422,  1649,   726,   436,   728,   728,
     728,   728,   728,   728,   436,  2041,   436,   436,   436,  2534,
     391,  2536,   422,  3097,    11,   436,  1373,   359,   302,   359,
     427,   428,   440,  3076,   297,  3078,   436,   915,  3323,   436,
    2773,   427,   428,  2776,  2777,  2850,   300,  2780,  1958,   440,
     712,  1299,  1489,  2786,   423,  3138,   400,   716,   312,   396,
     271,  1498,   440,   326,   440,  1502,  1379,  4266,  1898,   438,
    3973,  1508,  1509,  4467,   155,   383,   134,  3980,     5,   741,
     246,   256,     5,   427,   428,    18,     5,   105,    96,  1526,
    1437,    74,    96,   326,  4101,   133,    96,   690,  1629,  1630,
     795,   694,  2778,  2779,  2468,  2469,  2470,  2617,    98,   363,
     321,  3154,    96,  2023,   728,    96,     8,    22,   193,    11,
      32,   783,   798,   799,   429,   430,   431,   432,  1898,   112,
    3076,   252,  3078,   429,   430,   431,   432,   308,   728,    18,
     152,   352,   108,   354,  3125,    24,  1475,  1494,   154,  2481,
       3,     4,     5,    83,  1976,   728,     9,   728,  1986,   728,
     774,   256,   728,   728,   728,   728,   440,   728,  3931,   728,
     728,   728,   102,   152,   250,   165,   250,  3434,    30,   246,
       3,  2011,     5,    60,  1570,  1571,   437,   120,   103,   440,
     106,   142,  4391,   172,   285,    98,   872,  2368,  2369,   111,
      74,    74,  2373,     5,   134,    60,   193,   440,  3154,   380,
     115,  3974,   197,   820,   821,   108,   830,   893,   894,   185,
     311,   316,   108,   241,   256,  1659,   427,   428,   429,   430,
     431,   432,   962,   223,  1499,  3892,   226,   913,   112,   112,
     321,   120,  2413,  2414,   974,  1510,   252,  1534,   103,   234,
     103,   103,  2202,   169,   131,    52,   976,  1522,   976,  1507,
     211,     5,   165,    60,  3932,   440,   918,   943,   944,   350,
     436,   130,   149,  4280,    74,    98,  3936,  1007,  2793,   974,
    4290,  3941,   265,  4274,  3944,   979,  2214,   981,   369,   983,
     328,   985,   185,   987,   988,   989,  2811,   248,  1028,   185,
     994,   193,   423,   424,   425,   161,   427,   428,   429,   430,
     431,   432,   112,  4512,   241,    34,  1036,   105,   241,  2829,
     223,   236,   241,   226,  1671,   107,  2156,   317,   234,    22,
     189,   264,  3857,    18,    42,  1533,  1056,   190,   396,    24,
    1495,   349,   165,   328,  1100,   349,  3631,   359,  4111,   349,
    4192,  4193,   427,   428,   429,   430,   431,   432,   434,   103,
     252,   214,   438,   293,   297,   349,  1086,  3832,   349,   436,
     353,    74,  1102,   154,     3,   434,  2891,    70,   234,   438,
    1100,   236,  1112,  3669,    77,   264,   241,  1635,  3835,   319,
    1827,   265,   265,   326,   379,  1125,  1299,   256,   254,   314,
     223,   278,  4393,   226,   256,   437,  2276,   195,   440,   112,
     192,   104,  1142,   379,   317,  1145,  1146,   214,   297,   349,
    1150,  1151,  1171,   278,  1186,  1187,   416,  1189,  1186,  1187,
     153,  1189,  3981,   319,  4182,   120,   105,   292,    44,   349,
     427,   428,   429,   430,   431,   432,    75,   326,   236,  2147,
    1145,   384,   171,  1353,   160,  1150,  1151,   387,   264,  4466,
     168,   153,  2532,  4470,   172,   265,  1186,  1187,  2538,  1189,
     400,   252,   264,   366,   134,  4277,   142,  4134,   147,   353,
     353,  1867,  4476,   176,   154,   115,   379,   117,    94,   181,
     301,   297,  3615,   379,   317,   130,   125,   374,   286,  4402,
    2987,   165,   210,   193,   196,  4165,   436,   142,  4515,   263,
     179,   417,   147,   416,   373,   326,   208,  3587,  3592,   374,
     326,  2073,  4071,  3597,  3011,    11,   223,    97,  3571,   385,
     310,   172,  3575,   436,   326,   427,   428,   429,   430,   431,
     432,  1203,   115,   266,   117,   211,   108,  4310,   177,  1244,
      36,  4208,  1452,   353,   189,  4212,  4213,  1252,   120,   223,
     250,   342,   265,  2393,  4558,   234,  3299,   236,  1468,  2399,
    3466,   423,  3305,  3306,   427,   428,   211,     5,   184,   264,
      66,     9,   434,  4425,   436,   437,   438,  1239,   440,   105,
    2228,  1985,  4006,   416,  1289,  1325,   277,   277,  4006,   379,
    1500,  1277,   308,  2232,  1507,   175,  4334,  4335,   331,   221,
    1488,  2238,   297,   248,  1309,   307,   246,  1312,  1313,  1497,
     317,   256,   330,  1523,  2127,  3571,  2368,  2369,   234,  3575,
     436,  2373,  2184,  2185,  2186,  2187,  4185,   115,  4401,   117,
     269,   326,   312,  1990,  2196,  4082,  4195,  2041,    84,   342,
     353,  4088,   440,   317,   359,     8,   297,   359,    11,   319,
     301,  1391,   140,   236,  1340,  1341,  1342,  1343,   198,  2063,
    1332,  2413,  2414,   246,     8,   103,  3132,    11,  2489,   195,
     361,   361,   254,  2222,  1379,   326,   361,  1301,  1566,   349,
    1304,  2561,   264,  2337,    28,  2929,  3396,   367,  2092,  1947,
     436,   161,   381,  2631,   105,  1381,  1382,   193,   194,   315,
      18,  1387,   197,   275,  3229,   359,    24,   153,  1983,    83,
     236,   423,   403,   403,  1454,   297,   263,   387,  2965,    95,
       0,  2044,  1635,  3097,   263,   440,   438,   147,   373,  2052,
     400,  2054,  2386,   372,    11,   181,   263,   157,  1903,   234,
     381,   380,   400,   239,   383,  1431,   439,   436,   236,   400,
     196,  4489,   172,   241,  2714,  3441,   147,  3443,   246,    36,
     286,   312,   208,  2417,   234,   106,   436,     0,   348,   349,
     280,  4066,  1458,  1459,  1460,  1461,   167,   106,  2135,   326,
    2227,   381,   440,   157,   195,   231,   440,   326,   402,    66,
    4265,   286,  2918,    84,   264,   436,  2243,  2244,   264,   326,
    2247,  2455,   120,  1533,  2724,  1533,  2253,   333,   422,   172,
     392,  2992,   363,   400,  2995,  2996,  2997,  2998,  2999,  3000,
    3001,  3002,  3003,  3004,   105,   236,  1512,   297,   169,   400,
     193,   297,   440,   328,  2542,  1521,   436,    78,  1594,  1543,
     169,  1545,  1528,  1547,  3025,  1549,   222,  1551,   224,   193,
      83,  1555,  4119,   440,  1584,  1584,  1584,  1584,  1584,  1584,
     326,   307,   153,   297,  2311,  1534,   264,  4402,  2033,   440,
      95,  2210,  2571,  3054,  3055,   286,   117,   365,  3931,   312,
     264,    38,  1622,  3936,   379,   423,   306,   375,  3941,   252,
     181,  3944,   326,   312,   363,    68,   319,   130,   179,   297,
     438,  4196,    59,    76,  3876,   196,  4202,  1579,   252,   142,
    1615,  1616,   264,   297,   147,   385,   393,   208,  1623,   152,
    2217,  3974,  1627,  1628,   157,  4400,   349,   160,  1593,   162,
     363,   427,   428,   429,   430,   431,   432,  1642,  1600,  1644,
     231,  2298,   326,   297,   363,   297,   236,  2876,  1678,   301,
    2879,   241,   177,   234,  2251,   236,   189,  2280,   301,   250,
    1665,    68,  1667,   310,   387,  2602,  3652,  3653,  1450,    76,
    2810,   290,   326,  2217,   326,  3931,  2368,  2369,   211,   245,
    3936,  2373,  1722,   326,  1894,  3941,   316,  1469,  3944,  1899,
    1676,   338,  1902,   199,   284,  3337,  3968,   222,  3970,   224,
    3814,   320,    57,    58,   142,   147,    49,  2251,  3823,   147,
    3753,  3754,  4459,   436,  1924,   248,   307,   314,  3974,   130,
    3834,  2413,  2414,   256,  2475,   167,    20,   142,  4295,     3,
     349,   142,   147,   290,  1947,   359,   147,   264,     4,   286,
      75,  2590,  4337,     9,   264,    19,    40,  2927,   400,   436,
    1938,   298,    95,   363,   351,  1965,   437,  1945,  4111,   440,
     423,   424,   425,   320,   427,   428,   429,   430,   431,   432,
     297,   304,  1982,   211,   393,   322,   264,   297,   189,   423,
     424,   425,   299,   427,   428,   429,   430,   431,   432,   124,
     381,   156,   349,   115,  1653,   117,   211,  1656,  2008,   326,
     211,    75,  3182,   400,   437,   402,   326,   440,  1846,   297,
     248,   314,  4165,   301,   437,   250,   349,   440,   140,     8,
     255,   435,    11,  2479,   363,  2035,   440,  2574,  3158,  2039,
     316,   174,  4427,   248,  2618,   156,   393,   248,   326,   436,
     373,  1846,  1872,  1872,   352,   256,   354,  2057,   351,   214,
     437,   125,  1908,   440,  1910,  4111,  2640,   435,  2068,  2482,
    1829,  2860,   440,   156,   397,   221,   399,   400,   203,   204,
    2869,  2081,  3353,   221,   402,     8,  2434,    80,    11,   222,
    2090,   224,   217,   437,   250,  2482,   440,  3027,  3530,   255,
     175,   234,   402,   214,   422,    28,   167,   400,   172,   402,
    2647,   434,  2649,   177,   437,   438,   439,   319,   436,  4165,
     363,    21,   422,  3587,   437,  2619,    26,   440,  3592,   241,
     263,   214,  3034,  3597,   246,   290,   436,    73,   221,   264,
     393,  1971,   437,   436,  2591,   440,  2385,   349,  2387,  2388,
    2992,  4536,    48,  2995,  2996,  2997,  2998,  2999,  3000,  3001,
    3002,  3003,  3004,   316,  1940,  1941,  1942,  4310,   199,   302,
    3014,  3015,   373,  1949,  2950,  1951,     5,  1953,  1954,   314,
    3190,    10,   434,  3025,   436,   387,   438,  3206,  3207,    18,
     314,  2685,   436,  2558,  2559,  1957,     9,   352,   400,   354,
     437,  2588,   436,   440,   337,   269,    35,  4040,  2802,  2803,
    2804,  2748,  3054,  3055,   193,   437,   351,  2754,   440,  2957,
     440,  2824,   377,  3233,   250,   431,   351,   351,   353,   436,
     436,  3133,   438,   434,   436,   393,   437,   438,   393,   437,
      48,   352,   440,   354,   308,  2692,    38,  2694,   314,  2044,
     310,   311,   437,   365,  2588,   440,   418,  2052,  4401,  2054,
     195,  3532,  3533,   375,  4310,   400,   377,   402,   438,   352,
     193,   354,   250,   252,  2050,     0,   400,  3021,   402,  3877,
    3878,  3879,  3880,   347,  2114,   351,  2286,   437,   437,   314,
     440,   440,  2122,   437,   377,   352,   440,   354,  3228,   253,
    3230,   436,  2749,   437,  1015,  1016,   440,  4083,   372,  2309,
     437,   253,   436,   440,    60,  2954,   380,   250,   437,   383,
      66,   440,   437,   310,   311,   440,   351,  2774,   147,   252,
      76,  2107,   419,   420,   400,  2313,   402,  3135,   359,  2115,
    2705,  2319,   418,   437,  2120,   351,   440,   437,   437,  2144,
     440,   440,  3996,  2183,   253,  4401,  3527,   103,    83,   105,
     437,    38,  4424,   440,  2901,   418,  3155,  3156,  2905,  2906,
     436,  2908,   195,  2910,  2911,   400,   434,   402,   436,  3309,
    3402,  2211,  2919,  4027,  2204,  2204,   436,  2217,   438,  3417,
     429,  4006,  3856,  2170,   400,   437,   402,   437,   440,   437,
     440,   437,   440,   437,   440,   130,   440,   437,   151,   437,
     440,   436,   440,   437,  2951,   437,   440,   142,   440,  2848,
     437,  2251,   147,   440,   400,   440,   402,   152,  2875,  2205,
     436,  2434,   157,   179,   436,   160,   437,   162,  2825,   440,
    2827,   436,    48,   438,     0,   424,   425,   437,   427,   428,
     429,   430,   431,   432,   437,  2902,   437,   440,  2234,   440,
    2236,   400,   437,   402,   189,   440,   237,   238,   437,   238,
     437,   440,     8,   440,  2839,    11,  2841,   437,   437,   152,
     440,  3451,  3452,  3453,  3100,  2280,   211,  2465,   191,   436,
     236,  2825,    28,  2827,   438,   241,   437,  2500,  4113,   440,
     423,   424,   425,  2890,   427,   428,   429,   430,   431,   432,
    2992,  3353,   314,  2995,  2996,  2997,  2998,  2999,  3000,  3001,
    3002,  3003,  3004,   248,  2971,  3957,   437,    83,    76,   440,
     437,   256,   278,   440,   437,   404,   437,   440,  2516,   440,
     352,   326,   354,  2543,  2991,  2958,   292,   436,   319,   351,
     319,  3092,  3093,  3094,  2330,  3089,  2890,   437,   172,   135,
     440,  2417,  4206,    26,    27,     8,   438,   437,    11,  3016,
     440,   436,  3054,  3055,   130,   352,   172,   354,   349,   304,
     349,    50,   250,   135,  2949,  2585,   142,   437,   172,   437,
     440,   147,   440,    36,   135,   250,   152,  2417,   400,    42,
     402,   157,   147,   135,   160,  3052,   162,   437,   156,   437,
     440,  2431,   440,    82,   209,   105,   387,  3888,   387,   437,
      83,   250,   440,    66,   349,   381,  3897,   175,   374,   400,
    2450,   400,   436,   189,   436,  2460,  2461,  2462,   437,   102,
     400,   440,   402,  3914,  3915,  2465,   437,   437,   373,   440,
     440,   437,  2482,   437,   440,   211,   440,   193,   437,   363,
     439,   314,    44,  2519,   245,   436,   214,   436,   437,   138,
     439,   134,   397,   316,   399,   400,  2496,  2496,  2496,  2496,
    2496,  2496,   437,  2683,   439,  2480,  3588,  2482,   199,   314,
    3532,  3533,   248,   393,   314,  2695,  2516,   283,   351,  2519,
     256,   170,   437,    85,   731,   440,   733,   255,   437,   434,
    3612,   440,   437,   438,   439,   436,   252,   437,  3292,   437,
     440,   437,   440,  3576,   440,  3578,   351,   109,  4062,   172,
     437,   351,   437,   440,    60,   440,   437,   206,   437,   440,
     400,   440,   124,    31,   236,   404,   128,   400,   304,   402,
     193,   194,    50,   436,  3724,  3725,   236,  3727,  2588,    38,
      38,   368,   264,   147,    73,   393,   148,   236,  2768,   151,
    3514,   393,   281,   135,  3426,   400,   135,   402,   436,   135,
     400,   163,   402,   436,    82,   404,   135,   135,   440,  4433,
    2793,   135,   135,   349,     8,   135,   239,    11,   250,   135,
    4444,   135,   135,   250,   352,   135,   354,   135,  2811,   252,
     349,   436,   436,    31,   209,   363,   436,   373,   250,   148,
     147,  2597,    36,  2599,  2600,  2601,   374,  4291,    42,   377,
     293,   147,   301,   436,   303,  2665,   305,     5,     5,   436,
     138,   397,   311,   399,   400,   436,   147,   436,   436,   318,
     274,  4495,    66,   436,   436,     5,   319,   326,   436,   241,
       5,   436,  4133,   436,   436,   436,   335,   249,   436,   436,
     436,  3353,   170,  2703,   343,     5,   436,     5,   434,   436,
     401,   437,   438,   439,   261,   436,   349,   423,   424,   425,
     436,   427,   428,   429,   430,   431,   432,   191,   436,   436,
     440,  3438,   284,   436,    31,   436,   436,   436,   206,  3446,
    3447,   436,   436,   440,   128,    86,   209,    31,  2918,    18,
       8,  2751,   147,    11,   387,    24,   395,   248,   391,   246,
     147,   359,  2932,  3380,   326,   314,   359,   400,   236,   438,
      28,   359,     8,  2773,   359,    11,  2776,  2777,   314,   359,
    2780,  2929,  2952,   359,   168,   359,  2786,    76,   172,   314,
     135,   250,    28,  2793,   318,    64,   264,   206,   359,   359,
      36,   241,   359,   436,   250,   380,    42,   351,   177,   193,
     194,  2811,   246,   436,   427,   428,   429,   430,   431,   432,
    3760,   359,   359,   166,   436,  2825,   210,  2827,  2793,   297,
      66,    76,   440,   301,   264,  2800,  2801,   305,   172,   135,
    2805,  3376,  3377,   311,   113,    97,  2811,   381,   381,    48,
     318,   120,   359,    48,   123,   239,   254,   359,   326,   627,
     628,   629,  3821,  2863,   632,   633,   634,   335,   252,   359,
     359,   359,    37,  3456,   642,   343,  3888,  2842,   359,   351,
    3532,  3533,   359,   359,    37,  3897,   359,   314,   250,  2889,
    2890,  2881,  2881,   359,   440,   404,   250,   359,   193,   400,
      31,   436,  3914,  3915,    30,   390,     8,  4099,   177,    11,
    2900,  2900,    20,   436,   436,   250,     8,   135,   236,    11,
     436,  3538,   103,   135,   381,   392,   217,   395,  3076,   246,
    3078,   236,   168,  3637,    36,   193,   172,  3064,    31,   147,
      42,  3648,   436,    31,   199,   315,   330,  4047,   135,   135,
     381,   135,   381,   135,   359,   135,   152,   193,   194,   245,
     240,   436,   436,   396,    66,   234,  2912,   236,   357,  2915,
      11,   418,  3679,  3680,   210,   228,     8,   246,   228,    11,
     440,   357,   326,   436,   436,   254,   359,   160,   143,   152,
     361,   166,   437,  2958,   252,   264,   440,   166,   436,   189,
     236,   440,   328,   239,    36,   197,  3154,   251,   440,   381,
      42,   258,    48,   437,  2960,  3185,   252,   359,  4158,   255,
     359,   314,    75,   436,   314,   381,   197,   197,  4168,   359,
     241,   300,   301,  3650,    66,  3949,  3062,   241,  3038,  3746,
    3747,   363,   436,   427,   428,   429,   430,   431,   432,   359,
     359,   316,  3078,   393,   199,    38,  3229,   326,   241,   250,
     333,  3678,   440,   351,   249,   359,   168,   359,   314,   297,
     172,   297,  3062,  3068,  3069,  3070,  3071,   167,   359,   286,
    3697,   323,  4222,   359,   193,  3603,  3076,    31,  3078,   193,
     193,   193,   194,   193,   330,   193,   128,   249,  4057,  4058,
     423,   193,  3272,   381,   381,  3275,    30,   434,   210,  4049,
     434,   359,   423,   135,   147,   384,   359,   436,   359,   359,
     149,  4133,   393,   246,   436,   323,   135,    31,  3745,   436,
     400,  3666,   250,   250,   164,   147,   168,   239,   164,    31,
     172,   135,   147,   250,   250,   323,    19,   172,   172,   172,
     252,   158,   225,   440,  3861,   440,  3863,  3864,   440,   250,
     252,   193,   194,   400,    48,   423,   424,   425,  3875,   427,
     428,   429,   430,   431,   432,   404,  4316,  3760,   210,   440,
     245,   349,  3717,   393,   363,   199,   437,   423,   424,   425,
     152,   427,   428,   429,   430,   431,   432,   268,   437,   435,
     152,   418,   437,  3760,   437,   441,   437,   239,  3807,   977,
     437,   436,   980,  3383,   982,   437,   984,   437,   986,   440,
     252,   437,   990,     8,  4138,   418,    11,   359,   330,  3229,
    3176,  3177,  3178,  3179,   437,   437,  3888,  3948,   397,   260,
     437,    13,   436,    28,  3955,    13,   379,   397,   437,   437,
     387,    36,   304,  3253,  3252,    48,  3256,    42,  3258,  3962,
     437,   437,  3914,  3915,  3229,   423,   211,   253,   250,   436,
     436,  4044,   250,   175,  4233,  3892,   436,   135,   359,   436,
     404,    66,   359,   359,   183,   241,   254,  3252,   135,  3459,
     359,   135,   175,   211,   269,   269,   378,   359,   330,  3299,
     359,  4209,   359,   359,   219,  3305,  3306,   219,  3308,   219,
     359,   359,   314,  4210,   359,   359,   314,   359,   314,  4218,
     359,  4220,   424,   425,   314,   427,   428,   429,   430,   431,
     432,   423,   424,   425,   326,   427,   428,   429,   430,   431,
     432,   359,   236,  3343,  3344,  3345,  3346,   135,  3313,  3314,
      37,   359,   193,   359,   193,   193,   436,     3,   437,  3324,
     434,   226,   317,   211,   368,   437,    38,   437,   423,   299,
      96,   437,   440,   440,   437,   436,   250,   249,  3343,    31,
     359,   161,   381,   168,   381,   314,   314,   172,   314,   440,
     253,   133,   133,  4307,   193,   427,   428,   429,   430,   431,
     432,   126,   152,   434,    11,  3351,   152,   147,   193,   194,
     437,   392,   397,  4513,  3414,    58,   256,   437,   437,   436,
    4127,  3411,  3411,  3571,  4364,   210,   437,  3575,   152,   160,
    3603,   251,   421,   368,   437,   147,   436,    31,   381,   440,
     381,   436,  4153,   359,   437,   183,  4102,    48,    22,    23,
     437,   236,   436,    27,   239,   351,   359,  3975,    32,    33,
      34,   437,    36,  4563,   314,    39,    40,   252,    42,   359,
      44,  4571,  4007,   368,  3474,    48,  4183,     8,   359,   359,
      11,  4133,   359,   314,   437,   351,   437,   437,   147,    66,
     135,  3456,  4049,    96,   193,   437,   193,    28,   368,  4017,
     437,   435,   435,   197,   436,    36,   282,   400,   323,   436,
     147,    42,   437,     3,   436,   404,  4223,  4134,     8,   440,
     440,    11,  3692,   178,    71,   351,   440,   436,   323,   359,
     437,   157,    96,   152,  3704,    66,   193,   193,    28,   193,
     193,    31,   152,   291,    48,   330,    36,   398,   196,   437,
     436,   436,    42,  4170,   259,   437,   398,   196,   437,    48,
     162,   437,   440,   246,   423,   368,   437,   436,   436,   359,
     437,   152,   400,   437,    66,   437,    66,   177,   241,   241,
     423,  3571,    48,   440,   351,  3575,   440,   135,  4496,    21,
     359,  4208,   154,   152,   193,  4212,  4213,   381,   435,  3599,
    3600,   172,   381,    31,   121,   179,   180,   181,   182,   396,
     184,   400,   186,  3629,   188,   436,   190,   400,   152,   193,
    3610,  3610,    54,    18,   198,  3623,   436,   201,   180,    24,
     253,   205,   152,   207,   436,    67,   436,   168,   423,   424,
     425,   172,   427,   428,   429,   430,   431,   432,    80,   291,
     386,   336,   267,   196,   399,   437,   437,   250,  3623,   436,
     292,  3809,   193,   194,   437,   436,   359,   437,   359,    64,
     436,   436,   400,   147,   110,   241,    31,  3675,   168,   210,
     241,   220,   172,   436,   175,   282,   118,   436,   134,    31,
     437,   254,   436,   311,   437,   311,    48,   129,    48,    31,
     437,   436,   436,   193,   194,   236,  3876,   437,   239,   234,
    3675,   351,   381,   351,   250,   351,   437,   149,   113,     5,
     210,   252,   154,   141,   255,   120,   282,   323,   123,    60,
    3695,  3696,   253,    60,   116,  3700,  3701,  4336,   385,   440,
     291,   436,   386,  3743,  3744,   152,   236,    31,   397,   239,
     147,   289,   121,  3753,  3754,   177,   351,   250,   436,   400,
    3760,    31,   252,   250,  3764,   255,    31,   253,   253,   437,
     436,   436,    48,   437,   108,   310,   437,     5,   436,    17,
    3726,  4488,   177,  3931,  3782,    28,   310,   379,  3936,   221,
     134,  1151,   728,  3941,  3740,  3760,  3944,  1356,  3968,   330,
    3970,   282,  3975,   436,   814,  2168,   821,  4364,  2482,  3228,
     787,  2018,  2640,  2085,  4332,  3308,  4047,  3782,  4225,  4364,
     252,  2791,  4095,  3374,  4099,  3800,  3974,  4081,  2268,  3829,
    2565,  4431,   820,  4006,  3974,  4493,  4378,  4377,  4450,   234,
     330,   236,  4275,  3366,  4017,  2569,  2159,  2159,  3223,   281,
    2660,   246,  1455,  2153,  2862,  3855,  4501,  4571,  4563,   254,
    4076,  4019,  2810,  2795,  4461,  4351,  1445,  4441,  4016,   264,
    4022,    26,  3459,  1003,  4181,  1013,  3415,  3877,  3878,  3879,
    3880,  1885,   314,  3417,  2541,  4291,   575,  3833,   320,  2752,
    4565,   323,   423,   424,   425,  4475,   427,   428,   429,   430,
     431,   432,   297,   707,  1534,   300,   301,  1829,  2496,   440,
    1830,  3400,  3130,   720,  4062,  1177,  3611,   349,  1870,  1869,
    2497,  1196,  2508,   355,  1198,  2524,  3078,  1195,  2503,  2516,
    3562,   326,  3577,   423,   424,   425,   368,   427,   428,   429,
     430,   431,   432,  4166,  1203,  3076,  3936,  4310,   712,  4309,
     524,  3941,  3131,  2134,  3944,   529,  4136,   531,  3037,  4422,
     534,   393,   536,  4111,   538,  3029,  4423,  4414,  2500,  2431,
    2339,   545,  2429,  3126,   548,    -1,  1705,    -1,    -1,    -1,
      -1,   555,    -1,    -1,    -1,     8,    -1,    -1,    11,   384,
      -1,    -1,    -1,    -1,    -1,  3959,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,   578,    28,  4006,    -1,    -1,   583,
      -1,    -1,    -1,    36,   588,    -1,    -1,  4165,   592,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3976,  3977,  3978,   607,    -1,    -1,    -1,    -1,    -1,    -1,
    4040,  4006,    -1,    66,    -1,    -1,    -1,    -1,    -1,  4049,
      68,    -1,    -1,  4053,    -1,  4055,    -1,    -1,    -1,  4059,
    4060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      -1,   655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   666,   667,    -1,  4085,  4085,    -1,    -1,    -1,
     118,    -1,    -1,    -1,  4252,    -1,    -1,    -1,    -1,    -1,
      -1,   129,    -1,   687,    -1,   689,   690,    -1,    -1,    -1,
     694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   708,    -1,   154,    -1,   712,    -1,
      -1,    -1,    -1,    -1,   718,   168,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,   729,    -1,    -1,    -1,  4332,
      -1,    -1,  4310,    -1,  4110,    -1,    -1,   741,    -1,    -1,
     193,   194,    -1,    -1,    -1,  4165,    -1,    -1,    -1,    -1,
       8,    -1,   200,    11,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    36,   783,
      -1,    -1,    -1,   236,    42,    -1,   239,    -1,    -1,    -1,
      -1,    -1,   796,    -1,   798,   799,  4226,    -1,    -1,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,  4390,    -1,  4190,    -1,   820,   821,    -1,    -1,
      -1,    -1,    -1,  4401,  4424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
     844,    -1,    -1,  4219,    -1,  4221,    -1,    -1,    -1,    -1,
      -1,   855,    -1,  4273,  4273,   859,    -1,    -1,  4436,    -1,
     308,    -1,    -1,    -1,     8,    -1,   314,    11,   872,    -1,
     128,    -1,   320,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,   887,    28,    -1,    -1,    -1,    -1,   893,
     894,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,   349,    -1,   351,    -1,   909,   910,   911,    -1,   913,
     168,   915,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
     368,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4364,   193,   194,   941,    -1,   943,
     944,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,  4330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       8,   239,    -1,    11,    -1,    -1,    -1,   440,    -1,  4567,
      -1,    -1,   996,   997,   252,    -1,    -1,  1001,    -1,  1003,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,  4385,
      -1,    -1,    -1,    -1,    42,    -1,    -1,  1021,    -1,    -1,
    1024,    -1,    -1,  1027,   168,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1040,    -1,    66,    -1,
      -1,    -1,  4462,  4462,    -1,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,  4475,  4475,  4475,  4475,  4475,
    4475,    -1,  4518,    -1,    -1,  1069,   210,    -1,    -1,  4445,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4513,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   236,  1097,  1098,   239,  1100,    -1,  4518,  4518,
    4518,  4518,  4518,  4518,    -1,    -1,    -1,    -1,   252,    -1,
      -1,   255,    -1,    -1,    -1,  1119,    -1,    -1,  4513,    -1,
      -1,  4497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,
     168,  4571,    -1,    -1,   172,  4565,  4565,  4565,  4565,  4565,
    4565,    -1,  1156,    -1,    -1,  1159,    -1,    -1,    31,    -1,
      -1,    -1,    -1,    -1,    -1,   193,   194,    -1,  4563,   427,
     428,   429,   430,   431,   432,    -1,  4571,    50,    -1,    -1,
      -1,    -1,   210,    -1,  1188,    -1,   330,    -1,  1192,  1193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1203,
    1204,  1205,    -1,    -1,    -1,    -1,    -1,    -1,   236,    82,
      -1,   239,    -1,    -1,    -1,    -1,    -1,  1221,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1267,  1268,   138,    -1,    -1,    -1,    -1,
    1274,    -1,    -1,  1277,    -1,    -1,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   437,    -1,  1299,    -1,   170,    -1,    -1,
      -1,  1305,   330,    -1,  1308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,  1332,    -1,
      -1,    -1,    -1,   206,    28,    -1,  1340,  1341,  1342,  1343,
    1344,    -1,    36,    -1,    -1,    -1,    -1,     8,    42,    -1,
      11,  1355,    -1,    -1,  1358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   236,    -1,  1369,    -1,  1371,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    36,    -1,  1381,  1382,    -1,
      -1,    42,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    66,    -1,    -1,    -1,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1431,   301,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,   311,    -1,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,  1458,  1459,  1460,  1461,    -1,    -1,
      -1,    -1,   335,    -1,    -1,    -1,  1470,   128,    -1,    -1,
     343,    -1,  1476,    -1,   168,  1479,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,  1488,    -1,    -1,    -1,    -1,    -1,
      -1,  1495,    -1,  1497,    -1,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,  1507,    -1,    -1,    -1,   168,  1512,    -1,
      -1,   172,    -1,    -1,    -1,    -1,   210,  1521,    -1,    -1,
      -1,    -1,   395,  1527,  1528,    -1,   399,   400,  1532,    -1,
      -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   236,    -1,    -1,   239,    -1,    -1,    -1,   210,
      -1,    -1,    -1,  1557,    -1,    -1,    -1,    -1,   252,    -1,
    1564,   255,  1566,    -1,    -1,    -1,  1570,  1571,    -1,  1573,
      -1,    -1,    -1,    -1,    -1,  1579,    -1,    -1,   239,    -1,
      -1,    -1,  1586,    -1,    -1,    -1,    -1,    -1,    -1,  1593,
    1594,   252,     8,  1597,    -1,    11,    -1,  1601,    -1,  1603,
      -1,    -1,    -1,    -1,    -1,    31,  1610,    -1,    -1,  1613,
      -1,    -1,    28,  1617,    -1,    -1,    -1,    -1,    -1,    -1,
      36,  1625,  1626,    -1,    50,    -1,    42,    -1,    -1,  1633,
      -1,  1635,  1636,  1637,  1638,  1639,   330,    -1,    -1,    -1,
      -1,    -1,  1646,  1647,    -1,  1649,    -1,  1651,  1652,    -1,
      66,  1655,    -1,    -1,    -1,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1672,   330,
      -1,    -1,  1676,  1677,    -1,    -1,    -1,  1681,    -1,    -1,
      -1,  1685,    -1,  1687,  1688,  1689,  1690,  1691,  1692,  1693,
    1694,  1695,    -1,  1697,    -1,    -1,    -1,    -1,    -1,  1703,
      -1,  1705,  1706,    -1,    -1,    -1,    -1,    -1,  1712,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   437,   170,    -1,    -1,    -1,     0,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    14,    -1,    -1,    -1,   427,   428,   429,   430,
     431,   432,    24,   199,    26,    27,    -1,   193,   194,    -1,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
     236,    63,    64,    -1,    -1,    -1,    -1,    69,    -1,    71,
     236,    -1,    -1,   239,  1828,    -1,  1830,    -1,  1832,    81,
      -1,    83,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    99,    -1,    -1,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   114,  1867,   116,    -1,    -1,    -1,   120,  1873,
      -1,  1875,    18,    -1,   126,   301,    -1,    -1,    24,   305,
      -1,    -1,   134,    -1,   136,   311,    -1,    -1,    -1,    -1,
     142,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,  1903,
     326,    -1,    -1,    -1,  1908,   157,  1910,    -1,    -1,   335,
      -1,    -1,    -1,    -1,   330,    -1,    -1,   343,    64,    -1,
      -1,    -1,    -1,  1927,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1938,    -1,  1940,  1941,  1942,    -1,
      -1,  1945,    -1,  1947,    -1,  1949,    -1,  1951,    -1,  1953,
    1954,    -1,    -1,  1957,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,    -1,    -1,    -1,    -1,   218,   113,    -1,   395,
      -1,    -1,  1976,   399,   120,   227,    -1,   123,    -1,    -1,
      -1,    -1,  1986,    -1,    -1,    -1,   238,    -1,    -1,  1993,
      -1,    -1,    -1,    -1,  1998,    -1,    -1,    -1,    -1,    -1,
    2004,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,  2022,    -1,
      -1,   437,  2026,  2027,   276,     8,    -1,    -1,    11,  2033,
      -1,   177,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,   293,   294,    -1,   296,    28,  2050,    -1,    -1,   301,
      -1,    -1,    -1,    36,   306,    -1,    -1,   309,    -1,    42,
      -1,   313,    -1,    -1,    -1,    -1,   318,   319,    -1,    -1,
      -1,    -1,    -1,  2077,   326,  2079,  2080,   329,    -1,    -1,
      -1,    -1,    -1,    66,    -1,   337,    -1,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,    -1,
     246,    -1,    -1,  2107,    -1,    -1,    -1,    -1,   254,    -1,
      -1,  2115,    -1,    -1,   366,    -1,  2120,    -1,   264,    -1,
      -1,    -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,  2133,
     382,    -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,   297,    -1,    -1,   300,   301,    -1,  2161,     8,    -1,
    2164,    11,  2166,    -1,  2168,    -1,    -1,  2171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
     326,    -1,    -1,    -1,   436,   168,    36,   439,    -1,   172,
      -1,     8,    42,  2197,    11,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,  2206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,    66,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,   210,  2232,    -1,
    2234,  2235,  2236,  2237,    -1,    -1,    -1,    -1,   384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    66,
      -1,    11,  2256,   236,    -1,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2268,    -1,    -1,    -1,    28,   252,
      -1,    -1,   255,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,  2313,
      -1,    -1,    -1,    -1,    -1,  2319,    -1,    -1,   168,    -1,
      -1,    -1,   172,    -1,    -1,    -1,  2330,    -1,    -1,    -1,
      -1,    -1,    -1,  2337,  2338,    -1,    -1,    -1,    -1,  2343,
      -1,    -1,    -1,   193,   194,    -1,    -1,   330,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,  2368,  2369,    -1,    -1,    -1,  2373,
      -1,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,
      -1,  2385,  2386,  2387,  2388,    -1,   236,    -1,    -1,   239,
      -1,    -1,    -1,   210,  2398,    -1,    -1,  2401,    -1,  2403,
    2404,    -1,   252,    -1,    -1,   255,    -1,    -1,   168,  2413,
    2414,    -1,   172,  2417,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,   239,    -1,    -1,    -1,  2430,    -1,  2432,    -1,
    2434,    -1,  2436,   193,   194,   252,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
     210,  2455,    -1,    -1,   437,  2459,    -1,    -1,    -1,    -1,
      -1,  2465,    -1,    -1,  2468,  2469,  2470,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,   236,    -1,    -1,   239,
     330,  2485,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    28,   252,  2497,    -1,   255,    -1,    -1,  2502,    36,
      -1,    -1,    -1,    50,  2508,    42,    -1,    -1,    -1,    -1,
      -1,    -1,  2516,   330,    -1,  2519,    -1,    -1,     8,  2523,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    82,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2564,    -1,  2566,    -1,    -1,    -1,    -1,  2571,    -1,    -1,
     330,    -1,    -1,   423,   424,   425,    66,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,    -1,   437,    -1,    -1,
      -1,   138,    -1,  2597,    -1,  2599,  2600,  2601,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   199,    -1,    -1,    -1,   193,   194,    -1,   206,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,   210,    -1,    -1,    -1,   437,   168,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,   239,   193,   194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,     8,
     210,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   236,    36,    -1,   239,
      -1,    -1,    -1,    42,   301,    -1,    -1,    -1,   305,    -1,
      -1,    -1,   252,    -1,   311,   255,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,  2778,  2779,    -1,    66,    -1,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,    -1,
      -1,    -1,    -1,   330,    -1,    -1,   343,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,  2831,  2832,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
     330,    -1,    -1,  2847,    -1,    -1,    -1,    -1,   395,    -1,
      -1,    -1,   399,    -1,    -1,    -1,  2860,  2861,    -1,    66,
      -1,    -1,    -1,    -1,    -1,  2869,  2870,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,
    2884,    -1,    -1,   172,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,   193,   194,    -1,    -1,  2912,    -1,
      -1,  2915,    -1,    -1,    -1,    -1,    -1,    13,    -1,    -1,
      -1,   210,    -1,    19,    -1,  2929,    -1,    -1,    -1,    -1,
      -1,    -1,    28,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,  2950,   437,    -1,    -1,
     239,    47,    -1,    -1,    -1,    -1,  2960,    -1,    -1,    -1,
      -1,   168,    18,   252,  2968,   172,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,  2978,    -1,    -1,    -1,    -1,    -1,
    2984,    -1,  2986,    -1,    -1,    -1,   193,   194,  2992,    -1,
      -1,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,  3003,
    3004,    -1,    -1,   210,  3008,  3009,    -1,    -1,    64,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,    -1,    -1,
      -1,  3025,    -1,    -1,    -1,  3029,    -1,    -1,    -1,   236,
      -1,    -1,   239,    -1,    -1,  3039,    -1,    -1,  3042,    -1,
    3044,   330,    -1,    -1,    -1,   252,    -1,    -1,   255,  3053,
    3054,  3055,    -1,    -1,    -1,  3059,    -1,   113,  3062,    -1,
      -1,    21,  3066,    -1,   120,    -1,    -1,   123,    -1,  3073,
    3074,  3075,  3076,    33,  3078,  3079,    -1,    -1,    -1,  3083,
    3084,    -1,    -1,    -1,    -1,    -1,  3090,    -1,    -1,    -1,
     186,    -1,  3096,  3097,    54,    -1,    -1,    -1,    -1,    -1,
     196,   197,    -1,   199,    -1,    -1,   202,    67,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    -1,    -1,
      80,   177,  3126,   330,    -1,    -1,  3130,    -1,  3132,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,    97,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,    -1,    -1,
    3154,  3155,  3156,    -1,  3158,    -1,    -1,    -1,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,
      -1,    -1,  3176,  3177,  3178,  3179,    -1,   137,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   149,
     246,    -1,    -1,    -1,   154,    -1,    -1,    -1,   254,    -1,
     160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,  3213,
      -1,    -1,    -1,    -1,    -1,   175,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,   297,    -1,    11,   300,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,   221,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
     326,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3289,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3340,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,  3351,   308,  3353,
      -1,    -1,   312,    -1,   314,  3359,    -1,    -1,    -1,     8,
     320,  3365,    11,   323,    -1,    -1,    -1,    -1,    66,    -1,
    3374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,  3386,    -1,    -1,    -1,    -1,    36,    -1,   349,
      -1,   351,  3396,    42,    -1,   355,    -1,    -1,  3402,    -1,
     168,    -1,    -1,   363,   172,    -1,    -1,    -1,   368,    -1,
      -1,    -1,    -1,    -1,  3418,  3419,    -1,    66,    -1,    -1,
     380,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,
     128,    -1,    -1,   393,    -1,    -1,   532,  3441,    -1,  3443,
      -1,    -1,   210,    -1,   540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   549,   550,    -1,    -1,    -1,   554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,   565,
     168,   239,    -1,  3477,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   579,   252,    -1,    -1,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,   595,
      -1,    -1,   598,    -1,   600,    -1,   602,    -1,    -1,    -1,
    3514,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,   168,
    3524,  3525,    -1,   172,    -1,    -1,    -1,    -1,  3532,  3533,
      -1,    -1,    -1,  3537,    -1,    -1,    -1,    -1,    -1,  3543,
    3544,   239,    -1,  3547,   193,   194,  3550,  3551,    -1,    -1,
    3554,  3555,  3556,  3557,   252,    -1,    -1,  3561,  3562,    -1,
    3564,   210,   330,  3567,    -1,    -1,   662,  3571,   664,    -1,
      -1,  3575,    -1,    -1,    -1,    -1,    -1,  3581,    -1,    -1,
      -1,    -1,    -1,  3587,    -1,    -1,    -1,   236,  3592,    -1,
     239,    18,    -1,  3597,    -1,    -1,    18,    24,    -1,  3603,
     190,    -1,    24,   252,    -1,    -1,   255,  3611,   198,    -1,
      -1,  3615,    -1,     8,    -1,    -1,    11,   207,    -1,    -1,
      -1,    -1,    -1,    -1,   720,  3629,    -1,    -1,  3632,    -1,
      -1,    -1,   330,    28,    -1,    -1,    -1,    64,    -1,    -1,
      -1,    36,    64,    -1,    -1,    -1,    -1,    42,  3652,  3653,
      -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,   437,
      -1,    66,  3676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,   778,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,   113,    -1,   120,    -1,    -1,   123,    -1,   120,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3726,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,   429,   430,   431,   432,    -1,  3740,   833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,    -1,   848,    -1,    -1,   177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   861,    -1,    -1,    -1,    -1,
      -1,    -1,   868,   168,   423,   424,   425,   172,   427,   428,
     429,   430,   431,   432,   880,    -1,    -1,   883,   437,    -1,
      -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,   193,   194,
       8,    -1,    -1,    11,    -1,  3809,    -1,   234,    -1,   236,
    3814,    -1,   234,    -1,   236,   210,    -1,  3821,     8,   246,
     916,    11,    -1,    -1,   246,    -1,    -1,   254,    36,  3833,
    3834,    -1,   254,    -1,    42,    -1,    -1,   264,    28,    -1,
      -1,   236,   264,    -1,   239,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,  3859,    -1,   252,    66,    -1,
     255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,   300,   301,   297,    66,    -1,   300,   301,
      -1,    -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,   326,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,
    3914,  3915,    -1,    -1,  3918,    -1,    -1,    -1,    -1,    -1,
     128,    -1,    -1,    -1,    -1,    -1,    -1,  3931,  3932,    -1,
      -1,    -1,  3936,    -1,   524,   330,    -1,  3941,    -1,   529,
    3944,  3945,    -1,  3947,    -1,  3949,  3950,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   384,    -1,    11,
     168,    -1,   384,    -1,   172,    -1,    -1,    -1,    -1,    -1,
    3974,  3975,  3976,  3977,  3978,    -1,    28,    -1,   168,    -1,
      -1,    -1,   172,    -1,    36,   193,   194,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   210,   193,   194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4016,  4017,    66,    -1,    -1,    -1,   878,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,
     425,   239,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,   437,    -1,   252,    -1,   236,    -1,    -1,   239,
      -1,    -1,    -1,  4057,  4058,    -1,    -1,    -1,  4062,    -1,
      -1,  4065,   252,    -1,    -1,   255,    -1,    -1,    -1,    -1,
      -1,    -1,  4076,    -1,    -1,    -1,   666,    -1,    -1,  4083,
      -1,  1177,  1178,  4087,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,  4099,    -1,    -1,  4102,   689,
      -1,    -1,    -1,    -1,    -1,    28,  4110,  4111,    -1,    32,
      -1,    -1,    -1,    36,    -1,    -1,   168,    -1,   708,    42,
     172,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,  4133,
      -1,   878,  4136,    -1,  4138,    -1,    -1,    -1,    -1,   729,
     330,   193,   194,    66,  1240,    -1,    -1,    -1,    -1,    -1,
    1010,    -1,    -1,    -1,    -1,    -1,    -1,  4161,   210,    -1,
      -1,  4165,    -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,
    4174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,  4190,   239,   111,    -1,
    4194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,   255,    -1,    -1,   796,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4218,  4219,  4220,  4221,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,  4233,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   168,    -1,   437,  4252,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1010,    -1,    -1,    -1,  4271,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,  1145,    -1,   210,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   887,    -1,    -1,
      -1,    -1,    -1,  4307,    -1,    -1,  4310,    -1,    -1,    28,
      -1,    -1,    -1,   236,    -1,    -1,   239,    36,    -1,   909,
     910,   911,    -1,    42,    -1,    -1,  4330,    -1,  4332,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,  4342,    -1,
      -1,    -1,    -1,    -1,    -1,  1441,    -1,    66,  1208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,  4385,    -1,   435,    -1,    -1,  4390,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,    -1,    -1,
    1496,    -1,  1262,    -1,    -1,    -1,    -1,   330,    -1,  4413,
    4414,  1001,    -1,    -1,  4418,  1511,    -1,  1513,  4422,  1515,
      -1,    -1,     8,    -1,  1520,    11,    -1,    -1,   147,    -1,
      -1,    -1,  4436,   152,  1024,    -1,    -1,  1297,    -1,    -1,
      -1,  4445,    28,    -1,    -1,    -1,    -1,    -1,    -1,   168,
      36,    -1,    -1,   172,    -1,    -1,    42,    -1,   381,    -1,
      -1,  1208,    -1,    -1,    -1,    -1,    -1,  1563,    -1,    -1,
      -1,  1567,  4476,  1569,   193,   194,  1572,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,  4490,    -1,    -1,    -1,
      -1,   210,    -1,  4497,    -1,    -1,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,  1373,    -1,  1262,    -1,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1392,   252,    -1,    -1,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1297,    -1,  1412,    -1,  4558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4567,    -1,    -1,  1156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1437,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,   330,    -1,    -1,  1204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,  1373,    -1,    -1,     8,
      -1,    -1,    11,    18,  1494,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,  1392,    -1,    -1,    -1,    28,
     236,    -1,    -1,   239,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,  1412,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1267,    -1,    64,
      -1,    -1,    -1,    -1,  1274,    -1,    -1,    66,    -1,   275,
    1437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,  1305,    -1,    -1,  1308,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,  1494,    -1,    -1,
      -1,    -1,    -1,    -1,  1344,    -1,    -1,    -1,   344,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,   146,  1358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1371,    28,    -1,    -1,    31,    -1,    -1,    -1,   168,
      36,    -1,   177,   172,    -1,    -1,    42,    -1,    -1,  1895,
    1896,    -1,    -1,    -1,  1900,  1901,    -1,    -1,  1904,    -1,
      -1,  1671,    -1,    -1,   193,   194,    -1,    -1,  1914,    -1,
      66,    -1,    -1,    -1,    -1,  1921,    -1,    -1,    -1,  1925,
    1926,   210,    -1,  1929,  1930,    -1,    -1,   423,   424,   425,
    1936,   427,   428,   429,   430,   431,   432,    -1,    -1,   234,
      -1,   236,  1948,    -1,  1950,    -1,    -1,   236,    -1,    -1,
     239,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
    1966,    -1,    -1,   252,    -1,  1971,   255,    -1,    -1,   264,
    1470,    -1,    -1,    -1,    -1,    -1,  1476,    -1,  1984,    -1,
      -1,    -1,    -1,    -1,   273,    -1,  1992,    -1,  1994,  1995,
    1996,  1997,    -1,    -1,    -1,  2001,  2002,    -1,    -1,    -1,
      -1,    -1,   297,  2009,    -1,   300,   301,  2013,    -1,    -1,
      -1,  2017,   168,    -1,  1671,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,  1532,    -1,  2040,    -1,    -1,   193,   194,    -1,
      -1,   330,    -1,    -1,    -1,  2051,    -1,  2053,    -1,  1706,
      -1,    -1,  2058,    -1,   210,    -1,  2062,    -1,  2064,  2065,
    2066,  2067,    -1,  2069,    -1,    -1,    -1,    -1,    -1,    -1,
    1570,  1571,    -1,    -1,    -1,    -1,  2082,  2083,  2084,    -1,
     236,    -1,    -1,   239,    -1,    -1,  1586,  2093,  2094,   384,
      -1,    -1,     8,    -1,    -1,    11,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1880,    -1,    28,    -1,  1884,  1885,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,     8,    42,    -1,    11,    -1,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    28,    -1,    -1,    31,    -1,
      66,  2157,    -1,    36,    -1,    18,    -1,    -1,    -1,    42,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    64,    -1,  1703,     8,    36,    -1,    11,    -1,    -1,
      -1,    42,  1712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1990,    -1,    -1,  1880,    28,    -1,    -1,  1884,  1885,    -1,
      -1,    -1,    36,    -1,    -1,    66,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,   168,    -1,    -1,    -1,   172,   120,    -1,    -1,
     123,    -1,    66,    -1,    -1,    -1,    -1,   423,   424,   425,
    2276,   427,   428,   429,   430,   431,   432,   193,   194,    -1,
      -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,  2304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   194,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,
     236,   152,    -1,   239,    -1,    -1,    -1,   210,  1828,    -1,
    1830,    -1,    -1,  1990,    -1,    -1,   252,   168,    -1,   255,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   236,   270,    -1,   239,    -1,    -1,    -1,
      -1,    -1,   193,   194,   168,  2135,    -1,  1867,   172,   252,
      -1,   234,   255,   236,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,   193,
     194,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,   236,   210,    -1,   239,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   236,    -1,   297,   239,    -1,   300,   301,    -1,
      -1,    -1,    -1,    -1,  2214,    -1,    -1,   330,   252,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,  2135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2495,
      -1,    -1,    28,    -1,    -1,    31,    -1,    -1,    -1,   330,
      36,    -1,    -1,    -1,  2004,    -1,    42,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   384,  2022,    -1,    -1,    -1,   330,    -1,  2298,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2544,  2545,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   356,    -1,    -1,  2561,    -1,  2214,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2595,
      -1,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,  2610,  2611,    -1,    -1,    -1,  2615,
      -1,    -1,    -1,    -1,  2620,  2621,  2622,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,  2298,    -1,    -1,  2650,  2651,  2652,  2653,    -1,    -1,
      -1,    -1,    21,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,   179,    -1,    -1,    -1,    -1,  2166,    -1,    -1,    -1,
     188,   189,    -1,    -1,   210,    -1,    -1,   195,  2684,    -1,
    2686,  2687,  2688,    -1,    -1,    54,    -1,    -1,   206,    -1,
    2696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,
     236,    -1,    -1,   239,    -1,    -1,    -1,    76,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,  2761,    -1,    -1,    -1,    -1,
     129,  2531,    -1,  2769,  2534,    -1,  2536,     8,   137,    -1,
      11,  2541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,    28,    -1,    -1,
      31,    -1,    -1,    -1,   330,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,  2468,  2469,  2470,    -1,    -1,    -1,    -1,    -1,    -1,
    2826,  2591,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2631,  2868,    18,    -1,  2871,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,  2531,    -1,    -1,  2534,    -1,  2536,
      -1,    -1,     8,   252,  2541,    11,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,  2903,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      36,  2917,   281,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,  2927,  2692,    -1,  2694,    -1,    -1,   168,    -1,    -1,
      -1,   172,    -1,    -1,  2591,    -1,    -1,    -1,    -1,   308,
      66,    -1,    -1,   312,    -1,   314,    -1,    -1,    -1,    -1,
      -1,   320,   193,   194,   323,    -1,    -1,    18,   113,  2459,
      -1,    -1,    -1,    24,    -1,   120,    -1,    -1,   123,   210,
      -1,    -1,    -1,    -1,  2631,    -1,    -1,    -1,    -1,  2749,
     349,    -1,   351,    -1,    -1,    -1,   355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,   236,    -1,    -1,   239,   368,
      -1,    -1,    -1,    64,  2774,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,   531,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,  2793,   393,   543,    -1,    -1,    -1,   547,
      -1,    -1,    -1,    -1,    -1,  2692,    -1,  2694,    -1,    -1,
     558,  2811,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,   574,    -1,    -1,   120,
     578,    -1,   123,    -1,    -1,    -1,    -1,   193,   194,    -1,
     588,   589,    -1,    -1,    -1,    -1,   594,    -1,    -1,   234,
      -1,   236,    -1,    -1,   210,    -1,   604,    -1,    -1,   330,
      -1,   246,  2749,    -1,   612,   878,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,   264,
     236,    -1,    -1,   239,    -1,    -1,   177,  2774,    -1,    -1,
      -1,  2891,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,    -1,  2902,    -1,    -1,    -1,  2793,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,   300,   301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2811,  3161,    -1,  3163,    -1,    -1,
      -1,    -1,    -1,    -1,  3170,    -1,    -1,    -1,    -1,   687,
      -1,   326,    -1,   234,   692,   236,    -1,    -1,    -1,    -1,
    3186,    -1,   423,   424,   425,   246,   427,   428,   429,   430,
     431,   432,    -1,   254,    -1,  3201,    -1,    -1,    -1,    -1,
     718,  2971,    -1,   264,   330,  3211,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,
    3226,  2991,    -1,    -1,    -1,    -1,    -1,  1010,    -1,   384,
      -1,    -1,    -1,    -1,  2891,    -1,   297,    -1,    -1,   300,
     301,    -1,    -1,    -1,    -1,  2902,  3016,    -1,    -1,    -1,
      18,    -1,    -1,  3259,  3260,  3261,    24,    -1,  3264,  3265,
    3266,  3267,  3268,    -1,    -1,   326,    -1,  3273,  3274,    -1,
    3276,  3277,  3278,  3279,  3280,  3281,  3282,    -1,    -1,    -1,
      -1,    -1,  3052,    -1,    -1,  3291,    -1,  3293,  3294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   384,    -1,    -1,   844,    -1,    -1,    -1,
      -1,  2831,  2832,    -1,  2991,    -1,    -1,   855,    -1,    -1,
      -1,  3347,  3348,  3349,    -1,   113,  3352,  2847,    -1,    -1,
      -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,  3016,
     878,  2861,    -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,
    2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2884,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3052,    -1,   915,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1208,    -1,    -1,  3434,   947,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3097,    -1,    -1,    -1,   962,  3451,  3452,  3453,   966,    -1,
    2950,    -1,    -1,    -1,    -1,    -1,   974,    -1,    -1,  3229,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,  1262,
      -1,  3138,    -1,    -1,  1002,    -1,   254,    -1,    -1,    -1,
      -1,    -1,  1010,    -1,  1012,    -1,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1025,    -1,    18,
    1028,    -1,    -1,    -1,  1297,    24,    -1,    -1,    -1,    -1,
      -1,    -1,  1040,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      49,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1069,    -1,    -1,    -1,    64,    -1,    -1,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3229,  3073,  3074,  3075,    -1,    -1,    -1,  1097,
    1098,    -1,  1100,    -1,    -1,    -1,    95,    -1,    -1,    -1,
    1373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1119,    -1,    -1,   113,    -1,    -1,    -1,    -1,  1392,
    3380,   120,    -1,    -1,   123,    -1,   384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1142,    -1,    -1,    -1,    -1,  1412,
      -1,    -1,  1150,  1151,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1159,  1160,    -1,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,    -1,    -1,  1437,  3661,  3662,  3663,  3664,    -1,
      -1,  3667,    -1,    -1,    -1,   174,    -1,    -1,   177,    -1,
    1188,    -1,    -1,    -1,  1192,  1193,    -1,    -1,    -1,    -1,
      -1,    -1,  3688,  3689,  3690,  3691,    -1,  3693,  3694,    -1,
    1208,    -1,    -1,    -1,    -1,    -1,  1214,    -1,    -1,  3705,
    3706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1494,  3718,   222,    -1,   224,    -1,    -1,  3724,  3725,
      -1,  3727,    -1,  3380,    -1,   234,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,
      -1,    -1,    -1,    -1,  1262,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,   264,    -1,  3527,    -1,    -1,
    3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      18,   300,   301,   302,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3816,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,  3825,
      -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,
      -1,    -1,    -1,    -1,    -1,  1353,    64,    -1,    -1,  3845,
    3340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1373,    -1,    -1,    -1,  3359,
      -1,  3867,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
    3527,    -1,    -1,    -1,  1392,   384,    -1,    -1,    -1,    -1,
    3650,  3538,    -1,    -1,    -1,   113,  3386,    -1,  1671,    -1,
      -1,    -1,   120,    -1,  1412,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3678,    -1,
      -1,    -1,    -1,    -1,  1432,    -1,    -1,    -1,    -1,  1437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3697,  3934,    -1,
    3587,    -1,    -1,    -1,  1452,  3592,    -1,    -1,    -1,    -1,
    3597,  3947,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
    1468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1488,    -1,    -1,    -1,    -1,  3745,  1494,    -1,    -1,  1497,
      -1,  1499,  1500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1510,  3650,   222,    -1,   224,    -1,    -1,    -1,
      -1,    -1,  4008,    -1,  1522,  1523,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1534,    -1,   246,    -1,
      -1,  3678,  4028,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   264,    -1,    -1,    -1,
    3697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1566,    -1,
      -1,    -1,    -1,    -1,  3554,  3555,  3556,  3557,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1601,    -1,  1603,    -1,    -1,  3745,    -1,
      -1,    -1,  1610,    -1,    -1,  1613,    -1,  1880,   326,  1617,
      -1,  1884,  1885,    -1,    -1,    -1,    -1,  1625,  1626,   337,
      -1,    -1,    -1,  4119,    -1,  1633,    -1,    -1,  1636,  1637,
    1638,  1639,  3892,    -1,    -1,    -1,    -1,    -1,  1646,  1647,
      -1,  1649,    -1,  1651,  1652,    -1,    -1,  1655,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4158,  1671,  1672,  1673,   384,    -1,    -1,  1677,
      -1,    -1,  4168,  1681,    -1,    -1,    -1,  1685,    -1,  1687,
    1688,  1689,  1690,  1691,  1692,  1693,  1694,  1695,    -1,  1697,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1705,  1706,    -1,
      -1,    -1,  4198,    -1,    -1,    -1,    -1,    -1,    -1,  3856,
      -1,  4207,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3892,  4006,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4295,
      -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    -1,    -1,
    4316,    -1,    -1,    -1,  1832,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,  4340,    -1,    -1,    -1,    -1,    -1,
      -1,    67,    -1,  4113,    -1,    -1,    -1,    -1,  4354,  4006,
      76,    -1,  2135,    -1,    80,    -1,    -1,    -1,    -1,  3859,
      -1,    -1,  1880,    -1,  4134,    -1,  1884,  1885,    -1,    -1,
      -1,    97,    -1,  4379,    -1,    -1,  1894,   103,  4384,    -1,
    1898,  1899,    -1,    -1,  1902,    -1,    -1,   189,    -1,    -1,
      -1,    -1,   118,   195,    -1,    -1,    -1,    -1,    -1,    -1,
    4170,    -1,    -1,   129,   206,    -1,  1924,    -1,    -1,  1927,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1938,    -1,    -1,   149,    -1,    -1,    -1,  1945,    -1,  4435,
     156,  2214,    -1,    -1,   160,    -1,    -1,    -1,  4208,    -1,
      -1,    -1,  4212,  4213,    -1,    -1,    -1,  1965,    -1,   175,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1982,  1983,    -1,    -1,    -1,    -1,
      -1,    -1,  1990,    -1,    -1,    -1,    -1,  4134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   214,  2007,
    2008,    -1,    -1,  2011,    -1,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4170,    -1,  2298,    -1,  2035,    -1,    -1,
      -1,  2039,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2068,  4208,    -1,    -1,    -1,  4212,  4213,    -1,    -1,    -1,
      -1,    -1,    -1,  2081,   290,  4065,    -1,    -1,    -1,    -1,
      -1,    -1,  2090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   308,    -1,    -1,    -1,    -1,    -1,   314,    -1,
      -1,    -1,    -1,    -1,   320,    -1,    -1,   323,    -1,    -1,
      -1,    -1,  4102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,    -1,  2133,    -1,  2135,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,   352,    -1,   354,   355,
      -1,    -1,    -1,    -1,  4291,    -1,    -1,   363,  2156,    -1,
      -1,    -1,   368,    -1,    -1,    -1,    -1,    -1,   374,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,
      -1,    -1,    -1,   103,  4194,    -1,  2214,    -1,    -1,  2217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,  2251,    -1,    -1,    -1,    -1,  2256,   149,
      -1,   543,    -1,    -1,   154,   547,    -1,    -1,  2531,    -1,
     160,  2534,    -1,  2536,    -1,    -1,   558,    -1,  2541,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,  2286,    -1,
      -1,    -1,   574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2298,    -1,    -1,    -1,    -1,    -1,    -1,   589,    -1,    -1,
     200,  2309,   594,    -1,    -1,  2313,    -1,    -1,    -1,    -1,
      -1,  2319,   604,    -1,    -1,    -1,    -1,    -1,  2591,    -1,
     612,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,
    2338,    -1,    -1,    -1,    -1,  2343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,  2631,    -1,
    2368,  2369,    -1,    -1,    -1,  2373,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,  2386,  2387,
    2388,   281,    -1,    -1,    -1,  2393,    -1,    -1,    -1,    -1,
    2398,  2399,    -1,  2401,    -1,  2403,    -1,    -1,    -1,    -1,
     692,    -1,    -1,    -1,    -1,  2413,  2414,    -1,   308,  2417,
      -1,    -1,   312,    -1,   314,    -1,    -1,    -1,    -1,  2692,
     320,  2694,  2430,   323,  2432,    -1,    -1,    -1,  2436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2455,   348,   349,
      -1,   351,    -1,    -1,    -1,   355,    -1,  2465,    -1,    -1,
    2468,  2469,  2470,   363,    -1,    -1,    -1,    -1,   368,    -1,
      -1,    -1,    -1,    -1,  2482,    -1,  2749,  2485,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2497,
      -1,    -1,    -1,   393,  2502,    -1,    -1,    -1,    -1,    -1,
    2508,  2774,    -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2793,    -1,    -1,  2531,    -1,    -1,  2534,    -1,  2536,    -1,
      -1,    -1,    -1,  2541,    -1,  2543,    -1,    -1,  2811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2558,  2559,    -1,    -1,    -1,    -1,  2564,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2585,    -1,    -1,
    2588,    -1,    -1,  2591,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2891,    -1,
      -1,    -1,    -1,  2631,    -1,    -1,    -1,    -1,    -1,  2902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2659,  2660,  2661,    -1,   947,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     962,    -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,    -1,
      -1,    -1,   974,    -1,  2692,    -1,  2694,  2695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2705,  2971,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2991,    -1,
    1012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1025,    -1,    -1,  1028,    -1,    -1,    -1,
      -1,  2749,    -1,  3016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2768,    -1,    -1,    -1,    -1,    -1,  2774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3052,
      -1,    -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2810,  2811,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2825,    -1,  2827,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2839,    -1,  2841,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1150,  1151,
      -1,    -1,    -1,    -1,    -1,  3138,    -1,  2875,  1160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2890,  2891,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2902,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2929,  1214,    -1,  2932,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2949,    -1,    -1,  2952,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3229,    -1,    -1,    -1,
    2968,    -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,
    2978,    -1,    -1,    -1,    -1,    -1,  2984,    -1,  2986,    -1,
      -1,    -1,    -1,  2991,  2992,    -1,    -1,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,  3002,  3003,  3004,    -1,    -1,    -1,
    3008,  3009,    -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,
      -1,    -1,    -1,  3021,    -1,    -1,    -1,  3025,    -1,  3027,
      -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3039,    -1,    -1,  3042,    -1,  3044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3052,  3053,  3054,  3055,    -1,    -1,
      -1,  3059,    -1,    -1,  3062,    -1,    -1,    -1,    -1,    -1,
      -1,  1353,    -1,    -1,    -1,    -1,    -1,    -1,  3076,    -1,
    3078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3090,    -1,    -1,    -1,    -1,    -1,  3096,  3097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,   189,    -1,
      -1,    -1,  3120,    -1,   195,    -1,    -1,    -1,  3126,    -1,
      -1,    -1,    -1,    -1,  3132,   206,    -1,    -1,    -1,    -1,
    3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1432,    -1,    -1,    -1,  3417,    -1,  3154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1468,  3185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1499,  1500,    -1,
      -1,    -1,    -1,    -1,    -1,  3223,    -1,    -1,  1510,    -1,
    3228,  3229,  3230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1522,  1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3272,  3538,    -1,  3275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,  3377,
      -1,    -1,  3380,    -1,    -1,  3383,    -1,  3650,    -1,    -1,
      -1,  1673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,  3417,
    3418,  3419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3697,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   543,    -1,    -1,    -1,   547,    -1,    -1,  3477,
      -1,    -1,  3745,    -1,    -1,    -1,    -1,   558,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3514,    -1,   589,    -1,
      -1,    -1,    -1,   594,    -1,    -1,  3524,  3525,    -1,  3527,
      -1,    -1,    -1,   604,  3532,  3533,    -1,    -1,    -1,  3537,
    3538,   612,    -1,    -1,    -1,  3543,  3544,    -1,    -1,  3547,
      -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3571,    -1,    -1,    -1,  3575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,
      -1,    -1,    -1,    -1,  3592,    -1,    -1,    -1,    -1,  3597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1894,    -1,    -1,   687,  1898,  1899,    -1,    -1,
    1902,   692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3892,
      -1,    -1,    -1,    -1,  3632,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1924,    -1,    -1,    -1,   718,    -1,    -1,    -1,
      -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3666,    -1,
      -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3678,    -1,    -1,  1965,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3692,    -1,    -1,    -1,    -1,  3697,
    1982,  1983,    -1,    -1,    -1,    -1,  3704,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3717,
      -1,    -1,    -1,    -1,    -1,  2007,  2008,    -1,    -1,  2011,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,  3745,    -1,    -1,
      -1,    -1,    -1,  2035,    -1,    -1,    -1,  2039,    -1,    -1,
      -1,    -1,  3760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2081,
    3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2090,    -1,
      -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3856,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4134,    -1,    -1,  2156,    -1,   947,    -1,  3876,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3888,   962,    -1,    -1,  3892,    -1,    -1,    -1,    -1,  3897,
      -1,    -1,    -1,   974,    -1,    -1,    -1,  4170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3914,  3915,    -1,    -1,
    3918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1002,    -1,  3931,    -1,  2217,    -1,    -1,  3936,    -1,
      -1,  1012,    -1,  3941,    -1,  4208,  3944,    -1,    -1,  4212,
    4213,  3949,  3950,    -1,  1025,    -1,    -1,  1028,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1040,  2251,
    3968,    -1,  3970,    -1,    -1,    -1,  3974,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1069,    -1,    -1,
      -1,    -1,    -1,    -1,  2286,    -1,    -1,    -1,  4006,  4007,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4016,    -1,
      -1,    -1,    -1,    -1,    -1,  1097,  1098,  2309,  1100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1119,    -1,  4047,
      -1,  4049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,
      -1,  1142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1150,
    1151,    -1,    -1,    -1,    -1,    -1,    -1,  1159,    -1,  1160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2393,    -1,  4111,    -1,  4113,  1188,  2399,    -1,    -1,
    1192,  1193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4133,  4134,    -1,  4136,    -1,
    4138,    -1,    -1,  1214,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4161,    -1,    -1,    -1,  4165,    -1,    -1,
      -1,    -1,  4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2482,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,    -1,
    4208,    -1,    -1,    -1,  4212,  4213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4252,    -1,    -1,    -1,    -1,    -1,
      -1,  2543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4271,    -1,    -1,  2558,  2559,    -1,    -1,
      -1,    -1,  1353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2585,    -1,    -1,  2588,    -1,    -1,  4307,
      -1,    -1,  4310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1432,    -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2659,  2660,  2661,
    1113,  1452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4390,    -1,    -1,    -1,    -1,  1468,    -1,    -1,
      -1,  2683,    -1,  4401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2695,    -1,  4413,  4414,    -1,    -1,    -1,
      -1,    -1,    -1,  2705,    -1,    -1,  4424,    -1,  1499,  1500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4436,  1510,
    1173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1522,  1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,    -1,
      -1,    -1,  4490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1610,    -1,
      -1,    -1,    -1,  2825,    -1,  2827,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,  2841,
    4558,  1633,    -1,    -1,  1636,  4563,    -1,  1639,    -1,  4567,
      -1,    -1,    -1,  4571,  1646,  1647,    -1,    -1,    -1,    -1,
    1652,    -1,    -1,  1655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1672,    -1,  1673,    -1,    -1,  1677,    -1,    -1,  2890,  1681,
      -1,    -1,    -1,  1685,    -1,  1687,  1688,  1689,  1690,  1691,
    1692,  1693,  1694,  1695,    -1,  1697,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,  1706,    -1,  2918,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2949,    -1,    -1,
    2952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1530,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,  1898,  1899,    -1,
      -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1924,    -1,  1927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1965,    -1,    -1,    -1,    -1,  1632,
      -1,    -1,    -1,  3185,  1637,    -1,    -1,    -1,    -1,    -1,
      -1,  1982,  1983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1657,  1658,    -1,  1660,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2007,  2008,    -1,    -1,
    2011,  3223,    -1,    -1,    -1,    -1,  3228,    -1,  3230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   878,
      -1,    -1,    -1,    -1,  2035,    -1,    -1,    -1,  2039,  1702,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,
    3272,    -1,    -1,  3275,    -1,    -1,    -1,  2068,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,    -1,
    2081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2156,    -1,    -1,    -1,    -1,
      -1,  1010,    -1,    -1,  3376,  3377,    -1,    -1,    -1,    -1,
      -1,  3383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1842,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1854,    -1,    -1,  1857,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,
    2251,    -1,    -1,    -1,  2256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2338,    -1,    -1,    -1,
      -1,  2343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1208,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   878,    -1,
      -1,    -1,    -1,  2385,    -1,  2387,  2388,    -1,    -1,    -1,
      -1,    -1,  2393,    -1,    -1,    -1,  2398,    -1,  2399,  2401,
      -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2430,    -1,
    2432,    -1,    -1,    -1,  2436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1297,    -1,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,  3669,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2468,  2469,  2470,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3692,  2482,    -1,  2485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3704,    -1,    -1,  2497,    -1,    -1,    -1,    -1,
    2502,    -1,    -1,    -1,    -1,  3717,  2508,    -1,    -1,    -1,
    1010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1373,    -1,    -1,    -1,    -1,    -1,
     878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2543,  1392,    -1,    -1,    -1,    -1,  3760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2558,  2559,    -1,
      -1,    -1,  2564,  1412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2585,    -1,    -1,  2588,  1437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2659,  2660,
    2661,    -1,  1010,    -1,  3876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2341,    -1,
      -1,    -1,  2683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,
      -1,  2364,    -1,  2366,  2705,  2368,  2369,  2370,  1208,    -1,
    2373,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,    -1,
      -1,  2384,    -1,    -1,    -1,    -1,  2389,    -1,    -1,    -1,
      -1,    -1,  2395,    -1,    -1,    -1,    -1,  2400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2409,    -1,    -1,    -1,
    2413,  2414,    -1,  2416,    -1,    -1,  3968,    -1,  3970,    -1,
      -1,    -1,  1262,    -1,    -1,  2428,  1010,  2768,    -1,    -1,
      -1,    -1,  2435,    -1,  2437,  2438,  2439,  2440,  2441,  2442,
    2443,  2444,  2445,  2446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4007,    -1,  1297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2810,
      -1,  2474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1671,    -1,  2825,    -1,  2827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4047,    -1,  4049,  2839,    -1,
    2841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2890,
      -1,    -1,  1392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1412,    -1,  1262,    -1,  2579,  2918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2932,    -1,    -1,    -1,    -1,    -1,  1437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2949,  1297,
      -1,  2952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1208,    -1,  2968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2978,    -1,    -1,    -1,
      -1,    -1,  2984,    -1,  2986,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,  1494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3008,  3009,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1262,    -1,
      -1,    -1,    -1,    -1,    -1,  1373,  3027,  3029,    -1,    -1,
      -1,  1880,    -1,    -1,    -1,  1884,  1885,  3039,    -1,    -1,
    3042,    -1,  3044,    -1,  1392,    -1,    -1,    -1,    -1,    -1,
      -1,  3053,    -1,  1297,    -1,    -1,    -1,  3059,    -1,    -1,
    3062,    -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,  1437,
      -1,    -1,    -1,    -1,  3096,  3097,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,  1373,
    3132,    -1,    -1,  2796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1990,    -1,    -1,    -1,    -1,  1494,    -1,  1392,    -1,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1412,    -1,
      -1,  1671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3223,    -1,    -1,    -1,    -1,  3228,    -1,  3230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2921,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3272,    -1,    -1,  3275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4513,    -1,    -1,  2967,    -1,    -1,    -1,  3309,    -1,
    2973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1671,    -1,    -1,  2989,  2990,    -1,  2992,
      -1,    -1,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,
    3003,  3004,  3005,    -1,    -1,    -1,    -1,   878,    -1,    -1,
      -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4571,
      -1,    -1,    -1,    -1,    -1,  2214,    -1,  3030,    -1,    -1,
    3033,    -1,  3035,    -1,    -1,  3376,  3377,  3040,  3041,    -1,
    1880,    -1,  3383,    -1,  1884,  1885,    -1,    -1,    -1,    -1,
      -1,  3054,  3055,  3056,    -1,  3058,    -1,    -1,  3061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3418,  3419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,
      -1,    -1,  3115,    -1,    -1,    -1,    -1,    -1,  3459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3477,    -1,    -1,    -1,  1010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3151,    -1,
    1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3524,  3525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1880,    -1,    -1,  3537,  1884,  1885,    -1,    -1,
      -1,  3543,  3544,    -1,    -1,  3547,    -1,    -1,  3550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3587,    -1,    -1,    -1,    -1,
    3592,    -1,    -1,    -1,    -1,  3597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3632,    -1,    -1,    -1,    -1,  2135,  1880,    -1,    -1,    -1,
    1884,  1885,  1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3666,    -1,    -1,  3669,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1208,    -1,    -1,
      -1,    -1,  2531,    -1,    -1,  2534,    -1,  2536,    -1,    -1,
    3353,  3692,  2541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2214,    -1,  3717,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2591,    -1,    -1,    -1,  1990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,
      -1,    -1,    -1,    -1,    -1,    -1,  1297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2631,    -1,    -1,    -1,    -1,  2135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,  2298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,    -1,  3482,
    3483,  3484,    -1,    -1,  3487,    -1,    -1,    -1,    -1,  3492,
    3493,  3494,  3495,  3496,  3497,  3498,  3499,  3500,  3501,  3502,
    3503,    -1,  1373,  2692,    -1,  2694,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1392,    -1,    -1,    -1,    -1,  2214,    -1,  3531,  3532,
    3533,  3534,    -1,  3536,    -1,  3876,    -1,  3540,  3541,  3542,
      -1,  1412,  3545,    -1,    -1,  3548,    -1,    -1,    -1,    -1,
      -1,  2135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2749,    -1,    -1,    -1,    -1,    -1,  1437,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2774,  3589,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2793,  3608,    -1,    -1,  3950,    -1,
    2298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2811,  1494,    -1,    -1,    -1,  3968,    -1,  3970,
    2214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4007,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,
      -1,  2531,    -1,    -1,  2534,    -1,  2536,    -1,    -1,    -1,
      -1,  2541,  2891,    -1,    -1,    -1,  4047,    -1,  4049,    -1,
      -1,    -1,    -1,  2902,  2298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2631,    -1,    -1,  4136,    -1,    -1,    -1,  3801,    -1,
    1671,    -1,  2991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2531,    -1,    -1,  2534,    -1,  2536,    -1,
    3853,  3854,  2692,  2541,  2694,    -1,    -1,    -1,    -1,    -1,
      -1,  4202,    -1,  3052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3884,    -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3902,
      -1,  3904,    -1,  2591,    -1,    -1,  3909,  3910,  3911,  2749,
      -1,  3914,  3915,  3916,  3917,    -1,  3919,    -1,    -1,  3922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4271,
      -1,    -1,    -1,    -1,  2774,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2631,    -1,    -1,    -1,  2531,    -1,  3138,
    2534,    -1,  2536,  2793,    -1,    -1,    -1,  2541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3972,
      -1,  2811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4342,    -1,    -1,    -1,  2692,    -1,  2694,  2591,    -1,  1880,
      -1,    -1,    -1,  1884,  1885,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,    -1,
    3229,    -1,    -1,    -1,    -1,    -1,    -1,  2631,    -1,    -1,
      -1,  2891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2749,  2902,    -1,    -1,  4068,    -1,    -1,    -1,    -1,
      -1,  4413,  4414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4424,    -1,    -1,  2774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2793,    -1,    -1,  2692,    -1,
    2694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1990,
      -1,    -1,    -1,  2811,    -1,    -1,    -1,    -1,    -1,  4132,
    4133,  2971,    -1,    -1,  4476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4148,  4149,  4150,  4490,    -1,
      -1,  2991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2749,    -1,    -1,    -1,    -1,
    4173,    -1,  4513,    -1,    -1,    -1,  3016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,
    2774,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,  2793,
      -1,    -1,  3052,    -1,  2902,    -1,  4558,    -1,    -1,    -1,
      -1,    -1,  4563,    -1,    -1,    -1,    -1,  2811,  3417,    -1,
    4571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2875,    -1,    -1,    -1,    -1,  4299,    -1,  3138,    -1,
      -1,    -1,    -1,  2991,    -1,    -1,    -1,  2891,    -1,    -1,
      -1,    -1,  4315,    -1,    -1,    -1,    -1,    -1,  2902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,
      -1,    -1,    -1,  2214,    -1,    -1,    -1,    -1,    -1,  3538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4389,  2971,    -1,  3229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2991,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,    -1,    -1,
      -1,  4434,  3016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,  3052,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3678,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3380,  3229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3138,    -1,  3745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2531,    -1,    -1,  2534,    -1,  2536,    -1,    -1,    -1,    -1,
    2541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,    -1,
      -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,  3538,    -1,
      -1,    -1,    -1,  3892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3650,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,  2692,    -1,  2694,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,  3678,  3527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3538,    -1,    -1,    -1,    -1,    -1,    -1,  3697,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2774,    -1,  3745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2793,    -1,  4113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2811,    -1,    -1,  3527,    -1,  4134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3678,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,    -1,  3697,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4208,
    2891,    -1,    -1,  4212,  4213,    -1,    -1,    -1,    -1,    -1,
      -1,  2902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3892,    -1,    -1,    -1,    -1,  3745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,    -1,    -1,
    2971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3697,    -1,    -1,    -1,    -1,    -1,    -1,
    2991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3745,    -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3892,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,
      -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4208,    -1,
      -1,    -1,  4212,  4213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4006,    -1,    -1,  4113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4208,    -1,    -1,    -1,  4212,  4213,    -1,    -1,    -1,  4113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,
    4134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4208,    -1,    -1,    -1,  4212,  4213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3678,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,  3697,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    -1,  3745,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,    -1,    -1,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,    -1,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,    -1,   183,
     184,   185,   186,    -1,    -1,    -1,    -1,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,  3892,   206,    -1,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,
      -1,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,  4006,   320,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,    -1,    -1,    -1,    -1,   361,    -1,   363,
      -1,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,    -1,    -1,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,  4208,    -1,    -1,
      30,  4212,  4213,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,   429,
      -1,    -1,    -1,    -1,    -1,    -1,   436,   437,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   436,   437,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,   437,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,   429,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,     3,     4,     5,     6,
       7,   436,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,    -1,     9,    10,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,    -1,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,   251,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,   427,   428,   429,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,
       8,     9,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,     3,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     429,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,    -1,
     237,   238,   239,   240,    -1,    -1,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,   416,
     417,   418,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,   429,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,   429,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,   429,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,     4,     5,    -1,    -1,    -1,     9,    -1,
     427,   428,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,   427,   428,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
       9,    -1,   427,   428,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,   152,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,   427,   428,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      -1,    68,    69,    70,    71,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,   251,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
     251,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,    -1,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
     237,   238,    -1,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
     239,   240,    -1,    -1,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,    -1,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,    -1,   237,   238,   239,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,
      -1,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   418,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,    -1,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   157,   212,   213,   218,   227,   238,   276,   288,
     293,   294,   296,   301,   306,   309,   313,   318,   319,   326,
     329,   337,   349,   366,   376,   382,   387,   400,   436,   443,
     444,   445,   446,   452,   453,   455,   456,   457,   458,   459,
     460,   461,   463,   464,   468,   480,   485,   486,   489,   490,
     491,   503,   506,   507,   523,   560,   563,   566,   567,   568,
     575,   581,   583,   585,   586,   589,   592,   593,   597,   598,
     607,   611,   612,   613,   614,   615,   617,   618,   619,   632,
     633,   637,   639,   640,   641,   651,   653,   660,   661,   664,
     665,   666,   667,   668,   673,   675,   678,   682,   686,   687,
     697,   698,   701,   706,   717,   739,   742,   743,   744,   747,
     750,   752,   754,   757,   758,   761,   762,   763,   770,   771,
     773,   774,   775,   780,   782,   783,   787,   788,   791,   792,
     793,   794,   796,   797,   798,   799,   801,   804,   805,   810,
     816,   819,   821,   822,   827,   829,   833,   840,   844,   845,
     846,   847,   848,   849,   852,   880,   361,   403,   776,    21,
      67,    80,    97,   103,   118,   129,   137,   149,   154,   160,
     175,   200,   221,   252,   281,   308,   312,   314,   320,   323,
     348,   349,   351,   355,   363,   368,   380,   393,   582,   776,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    45,    46,    48,    49,    50,    51,    52,    55,
      56,    57,    58,    59,    61,    62,    63,    64,    65,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   129,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   141,   143,   144,   145,   146,   148,   150,   154,   155,
     156,   158,   159,   161,   163,   164,   165,   166,   167,   169,
     170,   171,   173,   174,   175,   176,   177,   178,   180,   182,
     183,   184,   185,   186,   187,   188,   190,   192,   195,   197,
     198,   199,   200,   201,   203,   204,   206,   207,   209,   212,
     213,   214,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   232,   233,   234,   235,
     237,   238,   240,   242,   243,   244,   245,   246,   247,   249,
     252,   253,   254,   257,   258,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   271,   272,   273,   274,   275,   276,
     277,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   305,   306,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   326,   327,   328,   329,   331,   332,   333,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   347,   348,   350,   351,   352,   353,   354,   355,   357,
     358,   361,   362,   363,   364,   366,   367,   368,   369,   370,
     371,   372,   375,   376,   377,   378,   379,   382,   383,   384,
     385,   386,   387,   388,   390,   392,   393,   394,   395,   398,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   841,   997,
    1010,  1014,  1015,   391,   806,   250,   277,   776,    44,   514,
     845,    21,    33,    54,    67,    76,    97,   103,   118,   129,
     137,   149,   156,   160,   214,   252,   255,   308,   314,   323,
     351,   352,   354,   355,   363,   368,   374,   377,   380,   524,
     565,   656,   707,   718,    22,   276,   997,   841,    22,   271,
     321,   352,   354,     5,   199,   748,   749,  1006,    21,    33,
      54,    67,    80,    97,   118,   129,   137,   149,   154,   160,
     175,   221,   252,   263,   308,   312,   314,   320,   323,   349,
     351,   355,   363,   368,   380,   393,   582,   669,   776,   997,
      83,   391,   436,   560,   563,   566,   805,   811,   819,   822,
     827,   833,   840,   844,     9,    15,    22,    39,   144,   150,
     152,   172,   201,   233,   279,   295,   427,   428,   683,   684,
     841,  1005,  1009,    22,    83,   292,   319,   688,   689,   690,
    1010,  1010,  1002,  1006,   349,   855,   683,  1010,   361,   997,
     263,   221,    97,   175,   348,   349,   755,   313,  1010,    22,
     324,   357,   361,   472,   481,   482,  1010,    19,   157,   688,
     689,   277,   776,  1010,   198,    22,   115,   857,    55,    77,
     214,   229,   308,   314,   324,   357,   361,   406,   469,   470,
     471,   472,    22,   324,   357,   361,   472,   361,   251,   891,
     995,  1010,   855,   429,  1010,   153,   436,   807,   436,   990,
     290,   850,   851,   997,   845,   846,   849,     0,   439,   806,
     130,   189,   256,   373,   858,   859,   845,   847,   848,   108,
     185,   379,   440,     3,    38,    44,    67,    73,    84,    90,
     151,   153,   168,   181,   193,   194,   196,   208,   210,   231,
     239,   259,   261,   307,   330,   391,  1003,  1010,  1011,  1014,
    1016,   671,  1010,   671,   998,  1010,   280,   671,   363,   671,
     997,  1010,    96,   349,   696,  1003,     3,  1007,  1012,  1014,
    1015,  1016,    22,   167,   995,   245,   393,     8,    62,   141,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   746,
     957,   958,  1010,    22,  1007,   997,   997,   167,   995,   997,
     301,   326,    22,   167,   891,   997,   316,   997,   671,   219,
    1007,   167,   995,   199,   105,   195,   236,   286,   777,   778,
     779,   995,  1001,  1010,    21,    54,    67,    68,    76,    80,
      97,   118,   129,   137,   149,   154,   175,   200,   221,   252,
     308,   312,   314,   320,   323,   349,   351,   355,   363,   368,
     393,   582,   676,  1006,   995,   359,  1003,   997,   436,   671,
     363,   998,   671,   363,   167,   997,    96,   349,   352,   354,
    1007,   352,   354,    62,   141,   746,   299,  1007,   167,   465,
    1010,   997,   997,   316,   997,   671,   219,  1007,   290,   320,
     349,   393,   221,    80,   175,   154,   312,   367,   576,    22,
     997,   842,   479,  1006,  1012,   749,   167,  1003,   997,   167,
     753,   167,   998,   363,    96,   349,   167,  1003,   167,  1007,
    1008,    73,   393,    62,   141,   167,   746,    48,   167,  1008,
     167,   997,   167,   997,   167,   997,   316,   167,   997,   167,
     219,  1008,   199,   167,   670,   671,   436,   820,   524,   811,
     387,   805,   812,   813,   814,  1012,   806,  1009,   684,   685,
      22,   685,  1009,   685,    22,   685,  1009,   685,   685,   685,
    1009,  1005,  1005,   841,   685,   280,   436,   436,   543,   543,
     543,   250,   359,   440,   543,   891,   892,   440,   772,  1006,
     436,   817,    48,   393,   997,   997,   995,  1010,    38,   418,
     195,   438,   253,   253,   250,   152,  1006,   359,   147,   679,
     250,     4,     6,     7,     8,    10,    30,    43,    45,    46,
      53,    54,    57,    58,    65,    67,    87,    88,    89,    90,
      91,    92,    93,   100,   101,   119,   135,   139,   140,   145,
     159,   187,   188,   190,   207,   215,   216,   230,   232,   236,
     241,   242,   244,   252,   262,   272,   287,   310,   325,   332,
     345,   357,   358,   362,   364,   365,   374,   380,   388,   408,
     409,   410,   411,   412,   413,   414,   415,   427,   428,   429,
     436,   845,   907,   910,   913,   914,   915,   917,   918,   919,
     920,   923,   924,   928,   930,   931,   932,   934,   955,   959,
     978,   983,   991,   992,   993,  1003,  1004,  1005,  1006,  1010,
    1006,    22,   487,   994,   995,   324,   469,   103,   478,  1006,
     479,  1006,    38,    59,   469,   418,   333,   778,   253,   152,
     359,   423,    38,   418,   195,   779,   436,   995,   429,   434,
     438,   984,   985,   892,   151,   153,   391,   802,   803,   805,
     151,   808,   103,   928,   988,   989,   850,   440,   436,   809,
     437,   437,   445,   995,    22,   115,   856,   856,    48,   856,
     142,   147,   211,   248,   862,   864,   865,   874,   876,   877,
     878,   858,   859,   152,   191,   891,   893,   990,   436,   730,
     985,   264,   297,   326,   438,   672,   264,   297,   326,   264,
     297,   326,   400,   447,   480,   483,   702,    18,   120,   264,
     297,   326,   384,   494,   997,   326,    18,   120,   379,   462,
     404,   167,   891,    50,    82,   138,   170,   206,   236,   264,
     297,   305,   311,   318,   326,   335,   343,   395,   480,   484,
     733,   740,   436,   719,   297,   462,   172,   135,    18,    24,
      64,   113,   120,   123,   177,   234,   236,   246,   254,   264,
     297,   300,   301,   326,   384,   492,   493,   601,     4,   428,
     573,  1009,    22,   167,   995,   671,   671,   436,   745,   438,
     172,   454,   297,   447,   454,   250,   264,   297,   135,    49,
      95,   174,   222,   224,   234,   263,   297,   302,   326,   337,
     492,   570,   571,   264,   297,   392,   601,   609,   482,   470,
     472,   172,   135,   297,   326,   492,   264,   297,   301,   326,
      74,   112,   265,   353,   250,    18,    24,   120,   264,   297,
     326,   504,   505,   147,   297,   326,   447,   483,   135,   297,
     326,   492,   997,   209,   105,   251,   405,   440,   777,   381,
     800,   250,  1003,   436,   997,   363,    96,   349,  1003,   245,
     393,    62,   141,   746,   997,   316,   997,   199,   671,   543,
     283,   509,   436,   646,   730,    60,     3,    43,    45,    46,
      57,    58,   100,   101,   145,   187,   188,   190,   230,   232,
     244,   287,   327,   332,   357,   358,   388,   904,   906,   908,
     910,   912,   914,   915,   916,   918,   919,   923,   924,  1011,
    1014,   152,   436,   642,   997,   447,    31,   795,   997,   236,
     447,   404,   167,   995,   447,   671,   671,   642,   377,   524,
     447,   236,    38,   466,   368,   608,   264,   584,    74,   112,
     265,   353,    20,    40,   186,   620,    31,   642,   147,   447,
     393,   995,   167,   561,   995,   995,   393,   671,    73,   708,
    1003,   997,   582,    44,    94,   184,   234,   315,   135,   730,
      51,   303,   495,   135,   436,   135,   404,   135,   719,   135,
     440,   167,   670,   167,   671,   167,   671,   135,   745,  1008,
     135,   135,   250,   135,   495,   135,    74,   112,   265,   353,
     135,   250,   135,   147,   167,   167,   479,   135,   440,   495,
     928,   962,   349,   437,   440,   140,   250,   365,   476,   479,
     573,   815,   811,   685,   841,   685,   841,   685,   841,   685,
     841,   685,   841,   841,   841,   685,   841,   436,   544,   545,
    1010,   544,    22,    97,   118,   149,   154,   199,   200,   314,
     320,   349,   351,   368,   691,   994,  1008,   690,   172,   440,
     830,  1006,   904,   965,    31,  1008,   708,   148,   756,   756,
     756,   209,  1010,   147,   147,   691,  1008,   313,  1010,   479,
     250,   436,   986,   434,   845,   966,   390,   921,   928,   982,
     436,   921,   921,   436,   147,   436,   436,   436,   909,   909,
     274,   845,   436,   436,   911,   436,   436,   436,   436,    57,
      58,   921,   928,   436,   909,   436,   436,   436,   436,   436,
     402,   422,   436,   925,   436,   925,   436,   436,   845,   436,
     436,   436,   436,   436,   436,   436,   436,   928,   928,   845,
     928,   962,   985,  1006,    58,   436,   922,   436,  1006,     3,
       8,    11,    28,    31,    36,    42,    66,   168,   172,   193,
     194,   210,   236,   239,   252,   255,   330,   423,   424,   425,
     427,   428,   429,   430,   431,   432,   957,   959,   961,   401,
     943,   261,   928,   191,   853,   440,   436,  1006,   985,   106,
     169,   488,   440,    59,   103,   479,    31,     3,   103,   214,
     477,   573,   924,  1006,  1006,    78,   117,   940,    86,   103,
     473,   474,   476,   573,   103,   473,   209,   995,   928,     3,
      22,    26,    27,    28,    29,    30,    31,    32,    35,    47,
      53,    54,    60,    66,    68,    76,    83,    87,    88,    89,
      91,    92,    93,   103,   105,   111,   115,   116,   122,   126,
     130,   140,   142,   147,   149,   152,   157,   160,   162,   172,
     179,   189,   191,   202,   205,   211,   215,   216,   236,   241,
     248,   250,   251,   255,   256,   270,   278,   292,   304,   319,
     325,   334,   346,   349,   356,   359,   360,   365,   373,   374,
     380,   381,   389,   396,   397,   399,   400,   429,  1000,  1013,
    1014,  1015,  1016,  1017,   984,    79,   302,   674,   437,   440,
     806,   437,   440,   851,   996,   997,    31,   809,   847,   847,
     860,   861,   928,   847,   144,   233,   871,   197,   234,   286,
     328,   379,    22,   866,   928,   867,   869,   928,   930,   874,
     875,   865,   864,   862,   863,   147,   877,   246,   879,   862,
     874,   893,   995,    31,  1010,   326,   172,   182,   256,   258,
     327,   389,   429,   723,   724,   725,   727,   729,   731,   904,
    1011,   264,   297,   326,   359,   359,   314,  1000,   438,   359,
     359,   314,   359,   359,   351,   469,   789,   147,   157,   172,
     306,   703,   704,    60,    76,   131,   149,   278,   374,   540,
     541,    76,   103,   236,   359,    76,   359,   103,   236,   314,
      76,   113,   123,   264,   297,   638,   314,   590,    21,    54,
      67,    80,   118,   129,   149,   154,   221,   252,   314,   320,
     323,   349,   355,   368,   393,   582,   997,   135,   297,   326,
     492,   250,   573,   318,   206,   359,   359,   241,   573,   107,
     192,   314,   324,   361,   471,   303,   326,   733,   741,   437,
     720,   723,   359,   380,   351,   995,    68,   131,   531,   540,
    1010,    68,    76,   759,   250,   312,   363,    76,   759,    25,
     300,   312,   363,   995,   177,   246,   671,   436,   359,   359,
     166,   436,   499,   351,   400,   402,   499,    76,   440,     4,
     264,   172,   135,   297,   326,   492,   381,   381,   235,   904,
     264,   326,   746,    97,   483,   359,   449,   483,   995,   359,
     359,   995,   573,    48,   572,   573,   573,    95,   222,   224,
      48,   359,   447,   314,   447,   234,   571,   359,   359,   241,
    1006,   601,   351,   891,    76,   359,   759,   314,   359,   359,
     499,   499,   671,   671,   671,   671,   995,    37,   386,    37,
      37,   359,    37,   359,   314,   440,    93,   380,   616,  1007,
     359,   449,   995,   359,   314,   264,   297,   286,   298,   322,
     475,   777,  1001,  1010,   995,   730,   904,   250,   404,   719,
     573,   671,   671,   745,   193,   250,    74,   112,   265,   353,
     250,   671,   193,   400,   515,   340,   341,   510,  1006,     3,
     647,   648,   642,   436,   906,    31,    30,   905,    98,   165,
     223,   226,   317,   416,   436,   926,   927,   672,   909,   671,
     643,   644,  1013,    20,   784,   904,   250,   135,   587,   997,
     236,   436,   448,   656,   381,   290,   393,   448,   135,  1007,
      83,   157,   467,   523,   567,   619,   686,   706,   780,  1006,
     609,   610,   997,   217,   671,   671,   671,   671,   246,   108,
     185,   366,   379,   621,   622,   127,   285,   436,   616,   448,
     995,   569,   570,   236,    31,   246,   436,   543,   543,   564,
     995,   147,   709,  1001,   436,   721,    31,   199,   400,   402,
     843,   315,  1003,   495,   904,   998,   167,   997,  1003,   495,
    1008,  1007,   135,   495,   135,   381,   135,   381,   746,   495,
     495,  1008,   997,   671,   997,   997,   997,   671,  1008,   616,
     135,   135,   495,   670,   671,   437,   440,   995,   811,   813,
     841,   841,   841,   841,   841,   841,   544,   437,   440,   437,
     155,   321,   350,   996,   670,    96,   323,   695,   696,   996,
     245,   996,   994,   994,   996,   670,   359,   400,   699,    16,
     133,   310,   328,   831,   891,   240,   832,   437,   440,   818,
     822,   827,   833,   844,   359,   995,   689,   688,   689,   152,
     158,   700,  1010,    21,    68,    97,   118,   129,   149,   154,
     200,   221,   308,   314,   320,   349,   351,   368,   393,   582,
     680,   962,   984,   435,   962,   966,   967,   436,   396,   979,
     980,   928,   962,   436,  1005,  1005,   962,     3,    98,   165,
     223,   226,   317,   416,   968,   969,  1006,  1005,   962,   962,
    1005,  1005,   921,   921,   928,   746,   928,   970,   427,   428,
     929,   930,   955,   959,   972,   437,   962,   928,   962,   973,
     357,   418,  1005,  1005,   928,    47,   152,   205,   360,   928,
     962,   976,   962,   228,   930,   928,   938,   939,   940,   228,
     928,   940,   437,   440,   326,  1005,  1005,   926,   904,   928,
    1013,   357,    35,   346,   987,   671,   928,   436,   845,   977,
     115,   117,   140,   236,   241,   246,   365,   375,   928,    42,
     168,   172,   210,   330,   436,   928,   359,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,    22,    29,   334,
     956,   160,   143,   944,   310,   436,   955,   156,   214,   349,
     352,   354,   377,   854,   995,   152,   881,   993,    22,   115,
     389,   429,   437,   725,   928,   963,   964,  1011,   995,   361,
     436,  1006,   440,   437,   435,   441,   166,   166,   495,   995,
     803,   804,   995,   988,   437,   440,   436,   440,    32,   111,
     381,   715,   436,   868,  1009,   328,   197,   251,   440,   310,
     311,   870,   994,   832,   875,   863,   381,   828,   103,   436,
     823,   844,  1010,   436,   834,   835,   836,   837,   838,  1010,
     258,    48,  1011,   437,   725,   727,   724,   727,  1011,   256,
     437,   440,   672,   359,   359,   314,  1007,   997,   997,  1000,
    1007,   997,   997,  1007,   998,   997,    75,   790,   308,   380,
     688,   314,   157,   688,   436,   997,   381,   710,   197,   197,
     381,   436,   559,   167,   997,   241,  1007,   997,   997,   928,
     241,   997,   997,    25,   300,   359,   359,   997,   359,   591,
    1003,   436,   671,   671,   671,   363,    96,   349,   696,   393,
      62,   141,   746,   997,   671,   997,   671,   316,   671,   671,
     199,   161,   234,   264,   297,   385,   594,   595,   596,   891,
     359,   759,   314,   241,   107,   192,  1007,   997,   250,   997,
     437,   440,  1007,  1008,   997,   297,   492,   531,   904,   997,
    1010,   997,   997,    22,   380,   997,   167,   997,   167,  1010,
     312,   363,   312,   363,   997,    22,   380,   997,   995,    18,
     120,   326,   602,   603,   604,   605,  1013,  1007,   997,   103,
     153,   237,   381,   498,   501,   502,  1013,   997,   249,    64,
     249,   997,   493,   359,   351,   995,   359,   759,   314,   999,
    1010,   999,   440,   437,   440,   359,   314,   998,  1007,     3,
      75,   125,   177,   269,   372,   380,   383,   450,   297,  1007,
     997,   297,   326,   492,   570,   573,   671,   997,   573,   997,
     573,  1007,   997,   997,   297,   326,   492,   997,   997,   997,
     997,  1007,   997,    18,    24,   120,   264,   297,   326,   264,
     297,   326,   642,   297,   326,   297,   326,   297,   903,  1010,
     167,   652,  1010,   167,  1010,  1007,   997,   997,   997,    18,
     505,   323,  1007,   297,   326,   492,   997,   997,   359,   359,
      72,   371,   286,   193,    31,   671,   193,   193,   381,   381,
     193,   241,   677,  1006,   671,   671,   193,   677,   249,   152,
     359,   508,   447,   423,   437,   440,   928,    30,   905,   904,
     434,   434,   359,   359,   359,   436,   359,  1005,   909,   437,
     440,   423,   621,    75,   124,   203,   204,   217,   264,   351,
     353,   785,   533,  1013,   997,   152,   314,   392,   588,   595,
     596,   135,   210,   525,   527,   529,   531,   537,   540,    19,
     172,   308,   347,   450,   451,   147,   999,   393,   995,   465,
    1010,   466,   255,   524,   149,  1006,   642,   642,   642,   642,
     246,   250,   255,   436,   642,   901,   902,   903,   323,   436,
     135,   134,   844,   671,   525,  1010,   400,   402,   555,   400,
     500,    31,   543,  1006,   250,   437,   722,   723,   728,    31,
     199,   305,   399,   732,   733,   734,   250,   479,   164,   164,
     147,   730,    31,   135,   495,   719,   670,   671,   999,   671,
     999,   745,   250,   495,   495,   250,   495,   323,   147,   479,
     495,   928,   437,   545,   172,   172,   172,   404,   996,   440,
     573,   574,   160,   692,   693,  1007,    19,   700,   133,   328,
     133,   328,   310,   379,   225,   904,   997,   400,   562,   152,
     250,   692,    48,   495,  1003,   363,   349,  1003,   245,   393,
     199,   671,   437,   435,   435,   440,   962,   928,   122,   980,
     981,    31,   437,   928,   437,   437,   437,   437,   152,   437,
     437,   437,   437,   437,   440,   437,   270,   971,   437,   929,
     929,    11,   172,   193,   252,   423,   424,   425,   427,   428,
     429,   430,   431,   432,   959,   929,   437,   437,   147,   152,
     974,   975,   437,   418,   437,   437,    31,   976,   962,   976,
     976,   152,   437,   437,  1013,   268,   942,    31,   437,   440,
     928,  1013,   440,   928,   986,   928,  1010,   437,   437,   418,
     929,   929,   128,   962,   152,   115,   117,   140,   241,   246,
     365,   375,   436,   128,   346,   987,   928,   977,   928,   359,
     746,   928,   436,   845,   436,   436,   260,   948,   352,   354,
     352,   354,   995,   855,   855,   855,   202,   311,   436,   845,
     882,   883,   884,   891,   894,   931,   933,   934,  1003,  1010,
     397,   899,   963,   963,   964,   437,    13,   440,   858,   859,
     778,  1005,   926,   474,   928,   809,   997,   818,   861,   252,
     957,   960,   419,   420,   716,   928,   870,   379,   867,   882,
     397,   900,   387,   824,   825,  1010,   304,   826,   838,   839,
     440,   881,   423,   986,   731,   672,   727,   727,    48,   729,
     431,  1007,   997,   997,   211,  1008,  1008,   250,   996,   253,
     250,   928,   541,   999,   436,   436,   436,   559,   175,   544,
     630,   135,   495,   359,  1007,   997,   479,   730,   904,   997,
     404,   671,   671,   671,   671,   745,    74,   112,   265,   353,
     997,   577,   997,   161,   385,   359,   359,   577,   594,   601,
     297,   326,   492,   997,   997,   997,   183,   241,   723,   263,
     326,   359,   254,   599,   630,   120,   301,   326,   494,   601,
     760,   135,   495,   135,   495,   997,   997,   997,   997,   604,
     605,   604,   437,   440,   606,  1006,   175,   437,   440,   423,
     438,  1007,   997,   297,   326,   492,   997,   997,   997,   264,
     297,   326,    18,   120,   264,   297,   326,   904,   235,   904,
    1007,   997,   211,   269,   241,  1006,   269,  1008,   378,   359,
     359,   314,   263,   326,   359,   759,   314,   359,   359,   219,
     219,   219,   359,   359,   314,   359,   359,   314,   359,   314,
     359,   314,   359,   495,   904,   236,  1006,   326,   760,   135,
     495,   359,   997,   359,   314,  1007,   997,   677,   904,   193,
     677,   677,   999,   999,   677,   193,   193,   677,   509,   436,
     511,   512,   252,   427,   428,   573,   645,   727,   960,  1006,
    1017,     3,   648,   437,   434,   437,  1005,   435,  1005,   165,
     223,   927,   223,   927,   927,  1005,   226,   437,   644,   645,
     250,   211,   423,   786,   786,   786,   786,   786,   786,   786,
      60,    66,    76,   103,   105,   179,   236,   241,   278,   292,
     374,   534,   535,   536,   134,   396,   447,   479,   997,   479,
     599,   995,   995,   437,   440,  1008,   160,   308,  1008,  1005,
     368,   995,   543,    38,   466,   299,   349,    96,   500,   544,
     995,   622,   649,   650,  1006,   437,   440,   997,   544,   995,
     997,   562,   436,   526,   437,   249,   499,   249,   250,   556,
     499,    31,   844,   500,   359,   995,   437,   440,   103,   423,
     735,  1006,   479,   349,   726,   727,   400,   734,   736,   108,
     185,   319,   379,   768,   161,   844,   495,   904,   997,   495,
     495,   381,   495,   381,   495,   495,   671,   671,   997,   616,
     495,   314,   314,   314,   996,   696,   440,  1007,   400,   440,
     694,   253,   133,   133,    96,   234,  1008,   691,   495,  1007,
     730,   719,   573,   671,   193,   966,   437,   356,   928,   126,
     904,   437,   928,   928,   928,   974,   904,   929,   115,   117,
     236,   246,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   928,   928,   975,   974,   925,   925,   904,   437,
     437,   437,   962,   437,   440,    48,   930,   437,  1013,   939,
     275,   344,   941,   437,   440,   392,   935,    31,   437,   922,
    1006,   928,    28,    28,   928,   437,   928,   152,   436,   965,
     928,   929,   929,   128,   128,   928,   437,   128,   928,   859,
     397,   436,   949,  1010,   855,   855,   855,   855,   995,   995,
     995,   845,   894,   152,   845,   883,   884,    31,   885,   886,
    1010,   440,    84,   153,   181,   196,   208,   231,   307,   888,
     886,    31,   885,   887,  1010,   421,   898,   436,   985,   928,
     160,   872,   440,   858,   858,   858,   928,   389,   964,   437,
     437,   435,   437,   436,   716,   437,   251,    86,   928,   826,
     437,   440,   986,   992,   437,   440,   835,   900,   988,   437,
     431,   731,   368,   786,   155,   321,   350,   369,   705,   147,
     705,   437,   436,   547,   548,   712,   933,  1010,   544,   544,
     630,  1001,   437,   105,   179,   234,   236,   631,   997,   997,
      31,   997,   381,   381,   671,   671,   671,   671,   672,  1007,
     997,   359,   759,   314,   359,   183,    48,   351,   997,   436,
     533,   236,   499,    96,   236,   339,   342,   499,   368,   997,
    1010,   603,   997,   502,   645,  1013,   263,   326,   359,   759,
     314,   359,   359,   359,   314,   154,   252,   342,   654,   655,
     154,   252,   662,   663,   359,   359,   314,   437,   437,   437,
    1009,  1006,  1006,  1006,   997,   997,   997,    48,   351,   997,
     997,   997,   997,   997,   147,   147,   299,   147,   167,  1007,
     997,   997,  1007,   997,   997,   997,   997,   997,   997,   997,
      66,   496,   135,    20,    40,   368,  1010,   997,   601,   997,
     997,   437,   677,   193,   193,   677,   677,   510,   518,   519,
    1013,    44,    85,   109,   124,   128,   148,   151,   163,   241,
     249,   284,   513,   630,  1005,   400,   402,   435,   435,   437,
     926,   995,   786,   103,  1005,  1006,   103,  1006,   103,  1006,
     103,  1006,   103,   997,   103,   997,   103,   997,   436,   671,
     997,   929,   106,   169,   105,   241,   197,   995,   736,   282,
     634,   635,  1010,   587,   436,   538,   323,   529,  1008,  1008,
     904,   436,   500,  1007,   995,   404,   147,   623,   437,   440,
     903,   599,   437,   246,   436,   820,   528,   530,   532,   540,
    1010,   555,   178,   554,    71,   351,   557,   844,   562,   557,
    1006,   710,   728,   928,   928,   440,   436,   732,   642,   359,
     577,   437,   495,   999,   999,   495,   495,   323,   996,   996,
     996,   573,   157,   693,    96,   700,   152,   193,   193,   193,
     193,   241,   681,  1006,   928,   437,   437,   975,   152,   115,
     117,   246,   436,   437,   407,   937,   962,   291,    48,   398,
     398,   437,   928,   234,   928,   440,   936,   906,   926,   929,
     929,   928,   965,   437,    28,    28,   928,   928,   128,   928,
     437,   437,   928,   950,  1010,   995,   995,   995,   995,   886,
     887,   436,   437,  1010,   436,   883,   196,   259,   889,   883,
     889,   196,   888,   889,   196,   436,  1010,   436,   963,    48,
     162,   873,   437,   437,   437,   964,  1006,  1006,   746,   246,
     844,   825,   423,   838,   826,   368,   437,  1009,   359,   688,
     152,   630,   928,   437,   440,   400,    66,   713,   713,   437,
     437,   736,   106,   169,   177,   105,   383,   495,   904,   999,
     999,   997,   997,   997,   997,  1008,   997,   600,   604,   241,
     241,  1009,  1010,   904,   495,   495,   423,    48,   351,   997,
     997,   997,   997,  1007,   997,   997,  1005,  1005,   904,   440,
    1005,  1005,   440,  1007,   997,   997,  1008,   997,   359,   996,
     996,   671,   996,   135,   671,  1006,  1006,   904,   495,   495,
     193,   677,   677,   381,   516,   517,   437,   440,   429,   436,
     476,   520,   573,   795,  1006,   795,   236,   241,   284,   795,
     795,   435,   154,   182,   154,   152,   629,  1009,   928,   236,
     535,   736,   543,   381,   558,  1003,    28,   134,   172,   525,
     132,   173,   997,   381,   544,    31,   466,   436,   997,   121,
     624,   396,   626,  1006,   500,   671,   525,   562,   437,   440,
     400,   556,   436,   555,   108,   120,   275,   997,   400,   781,
     152,   436,  1006,   725,   737,   738,  1011,   736,   995,   180,
     578,   495,   495,   495,   997,   253,   495,   692,   681,   681,
     681,   681,   929,   152,   436,   965,   436,   437,   440,   437,
     930,   291,   437,   386,   336,   437,   437,   437,   929,   929,
     928,   437,   267,   951,   895,   896,   933,   885,   436,   996,
     883,   250,   381,   890,   883,   196,   883,   902,   436,   902,
    1010,   858,   962,   928,   399,   945,   858,   926,   437,   841,
     990,   692,   250,   692,   437,   736,   548,   252,   746,   671,
     381,   671,   714,   714,   292,   736,   558,   437,   359,   326,
     832,   437,   440,   496,   645,  1008,   997,   359,   436,  1003,
     746,   655,   436,   436,   663,   326,   832,   997,   400,   299,
     400,   400,   147,   496,   677,   447,   110,   519,   476,   521,
     522,  1006,  1006,   241,   544,   429,   544,  1006,  1006,   696,
      31,   751,   751,   995,   630,   437,   558,   220,   546,   175,
     436,   635,   282,   436,   437,    22,    70,    77,   104,   176,
     342,   539,   539,   599,   999,   437,   844,   599,   310,   338,
     625,   436,   134,    31,   526,   437,   530,   254,   557,   994,
     556,   311,   311,    52,    60,   214,   671,   711,   712,   727,
     437,   440,   899,   577,   234,   385,   579,   580,   495,   929,
     965,   437,   938,   962,    48,   234,   417,    48,   858,   437,
     440,    31,   897,   996,   437,   928,   436,   883,   890,   437,
     902,   437,   437,   946,   947,  1010,   437,   694,   705,   495,
     713,   558,   436,   671,   715,   715,   995,   558,   630,   997,
     351,   604,   381,   497,   326,   832,   997,   965,   719,   147,
     658,   745,   965,   965,   351,   670,   671,   670,   671,   996,
     495,   511,  1006,   437,   440,   544,   751,    34,   171,   147,
     234,   542,   153,   266,   331,   250,   550,   551,   552,   351,
     437,  1003,     5,   636,   323,   141,   657,   500,   781,   928,
     282,   844,   555,   554,   533,   437,   557,    60,   253,    60,
     437,   440,   732,   737,   116,   385,   577,   437,   437,   437,
     291,   386,   962,   285,   311,   952,   898,   895,   436,   437,
     996,   437,   440,    31,   152,   714,   397,   549,   746,   716,
     716,   543,   630,   997,   928,   351,   437,   256,   316,   289,
     659,   658,   437,   437,   997,   400,   522,   121,   177,   108,
     379,   250,   552,   250,   551,   997,   436,   437,   440,   997,
     671,    31,    31,   437,  1003,   781,   556,   555,   253,   253,
     500,   712,   736,    23,   186,   769,    42,    86,   370,   928,
     953,   954,   953,   437,   902,   437,   947,   949,   692,   715,
     436,   630,   437,   546,   832,   997,  1003,    48,   659,   832,
     671,   310,    51,   234,   303,   326,   553,   553,   437,     5,
     599,   654,   844,   436,   557,   556,   557,   237,   436,   764,
     766,   771,   822,   827,   833,   844,   954,   310,   146,   273,
     146,   273,   437,   495,   716,   928,   550,   832,   719,   671,
     626,    17,   103,   241,   781,     4,   627,   628,  1005,  1006,
    1013,   557,   899,   765,   766,   767,   845,   846,    28,   437,
     630,   134,   437,   440,   437,   439,   954,   282,   628,   767,
    1003,   436,   627,   437
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 691 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 698 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 705 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 831 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 842 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 852 "gram.y"
    {}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 853 "gram.y"
    {}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 862 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 863 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 867 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 868 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 873 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 878 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 882 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 887 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 892 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 896 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 900 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 905 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 909 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 962 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 965 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 969 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 973 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 977 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 981 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 995 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1013 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1023 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1024 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1029 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1037 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1055 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1067 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1088 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1095 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1114 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1121 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1138 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1156 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1166 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1167 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1180 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1187 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1204 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1217 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1227 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(6) - (9)].str) != NULL)
						n->schemaname = (yyvsp[(6) - (9)].str);
					else
						n->schemaname = (yyvsp[(8) - (9)].str);
					n->authid = (yyvsp[(8) - (9)].str);
					if ((yyvsp[(9) - (9)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(9) - (9)]))));
					n->schemaElts = (yyvsp[(9) - (9)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1245 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(6) - (7)].str);
					n->authid = NULL;
					if ((yyvsp[(7) - (7)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(7) - (7)]))));
					n->schemaElts = (yyvsp[(7) - (7)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1262 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1263 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1268 "gram.y"
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[(2) - (2)]);
					(yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node));
				}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1274 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1302 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1308 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1314 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1323 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1331 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1343 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1351 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1359 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1366 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1374 "gram.y"
    {(yyval.vsetstmt) = (yyvsp[(1) - (1)].vsetstmt);}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1376 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1384 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1395 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1403 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1411 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1422 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1430 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1438 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1445 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1454 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1463 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1465 "gram.y"
    { (yyval.str) = psprintf("%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1468 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1469 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1473 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1475 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1478 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1479 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1480 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1481 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1485 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1486 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1487 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1493 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1506 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1510 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1514 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1529 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1551 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1552 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1553 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1557 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1558 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1559 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1563 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1564 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1568 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1572 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(1) - (1)].vsetstmt); }
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1574 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1581 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1588 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1598 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(1) - (1)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1605 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1614 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1615 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1620 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1621 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1627 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1633 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1639 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1645 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1651 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1661 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1670 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1671 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1675 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1676 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1685 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1700 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1706 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1712 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1718 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1724 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1743 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1752 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1761 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (10)].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(9) - (10)].str);
					n->nowait = (yyvsp[(10) - (10)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1772 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (13)].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[(9) - (13)].list);
					n->new_tablespacename = (yyvsp[(12) - (13)].str);
					n->nowait = (yyvsp[(13) - (13)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1783 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1792 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1801 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (10)].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(9) - (10)].str);
					n->nowait = (yyvsp[(10) - (10)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1812 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(6) - (13)].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[(9) - (13)].list);
					n->new_tablespacename = (yyvsp[(12) - (13)].str);
					n->nowait = (yyvsp[(13) - (13)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1823 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1832 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1841 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1850 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1859 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1868 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1877 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(7) - (11)].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(10) - (11)].str);
					n->nowait = (yyvsp[(11) - (11)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1888 "gram.y"
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[(7) - (14)].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[(10) - (14)].list);
					n->new_tablespacename = (yyvsp[(13) - (14)].str);
					n->nowait = (yyvsp[(14) - (14)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1901 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1902 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1908 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1916 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1924 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1933 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1941 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1949 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1958 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1967 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1976 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1985 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1995 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2008 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					def->location = (yylsp[(3) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2023 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2032 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2040 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[(3) - (4)].str);
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2055 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2063 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2073 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2083 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2090 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2097 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2105 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2113 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2121 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2129 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2137 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2144 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2151 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2159 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2166 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2173 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2181 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2189 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2197 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2205 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2213 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2221 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2231 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2238 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2246 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2254 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2262 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2270 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2277 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2286 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2287 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2291 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2292 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2293 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2298 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2305 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2309 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2310 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2315 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2322 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2329 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2336 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2345 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2348 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2349 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2353 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2354 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2360 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2364 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2368 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2373 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2388 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2400 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2401 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2407 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2416 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2426 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2436 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					def->location = (yylsp[(3) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2462 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2468 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2499 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (11)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (11)].list);
					n->is_from = (yyvsp[(6) - (11)].boolean);
					n->is_program = (yyvsp[(7) - (11)].boolean);
					n->filename = (yyvsp[(8) - (11)].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(8) - (11)]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (11)].defelt));
					if ((yyvsp[(5) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (11)].defelt));
					if ((yyvsp[(9) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(9) - (11)].defelt));
					if ((yyvsp[(11) - (11)].list))
						n->options = list_concat(n->options, (yyvsp[(11) - (11)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2527 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (7)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[(4) - (7)].boolean);
					n->filename = (yyvsp[(5) - (7)].str);
					n->options = (yyvsp[(7) - (7)].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(5) - (7)]))));

					(yyval.node) = (Node *)n;
				}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2548 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2549 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2553 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2554 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2563 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2564 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2565 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2568 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2569 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2574 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2575 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2580 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2584 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2588 "gram.y"
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2592 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2596 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2600 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2604 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2608 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2612 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2616 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2620 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2624 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2628 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2632 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2641 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2644 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2649 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2652 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2657 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2660 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2664 "gram.y"
    {}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2665 "gram.y"
    {}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2671 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2675 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2682 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2688 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2689 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2690 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2691 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2692 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2697 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2701 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2708 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2721 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2737 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2752 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2768 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2795 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2796 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2797 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2798 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2800 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2807 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2813 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2814 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2818 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2819 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2823 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2824 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2829 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2833 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2840 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2844 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2850 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2851 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2852 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2856 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2857 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2861 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2882 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2902 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2903 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2908 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2915 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2916 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2918 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2949 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2956 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2963 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2974 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2985 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(5) - (5)].boolean);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2995 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3004 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3037 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3044 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3051 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3058 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3069 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3078 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3079 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3080 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3084 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3085 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3086 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3087 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3088 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3089 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3099 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3106 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3111 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3125 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3139 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3154 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3168 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3184 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3201 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3220 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3221 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3225 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3226 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3230 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3231 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3235 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3241 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3245 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3253 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3257 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3263 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3265 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3269 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3274 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3280 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3281 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3292 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3294 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3296 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3298 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3300 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3303 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3306 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3310 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3311 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3312 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3313 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3314 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3317 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3318 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3323 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3324 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3325 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3326 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3329 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3330 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3331 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3332 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3335 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3336 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3339 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3340 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3343 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3359 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3374 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3387 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3388 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3389 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3402 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(7) - (8)].node);
					ctas->into = (yyvsp[(5) - (8)].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(5) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					(yyvsp[(5) - (8)].into)->skipData = !((yyvsp[(8) - (8)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3417 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (4)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (4)].list);
					(yyval.into)->options = (yyvsp[(3) - (4)].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[(4) - (4)].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3429 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3430 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3443 "gram.y"
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[(4) - (6)].boolean);
					n->relation = (yyvsp[(5) - (6)].range);
					n->skipData = !((yyvsp[(6) - (6)].boolean));
					(yyval.node) = (Node *) n;
				}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3463 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3475 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3483 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3493 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3494 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3497 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3498 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3502 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3506 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3510 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3514 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3518 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3522 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3526 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3530 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3534 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3538 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3542 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3546 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3551 "gram.y"
    {}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3552 "gram.y"
    {}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3556 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3558 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3562 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3565 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3566 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3579 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3592 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3605 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3606 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3614 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3615 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3619 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3620 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3624 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3625 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3629 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3630 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3635 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(4) - (5)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3646 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3658 "gram.y"
    {}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3659 "gram.y"
    {}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3670 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (7)].str);
					n->owner = (yyvsp[(4) - (7)].str);
					n->location = (yyvsp[(6) - (7)].str);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3680 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3681 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3695 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3702 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3719 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3727 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3738 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3740 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3745 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3749 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3753 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3765 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3775 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3777 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3782 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3795 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(7) - (7)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3805 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3815 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3824 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3833 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3842 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3852 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3861 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3871 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3881 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3891 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3900 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3909 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3918 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3927 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3936 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3945 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3954 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3963 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3972 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3981 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3990 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3999 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4008 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4026 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4036 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4037 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); }
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4038 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4039 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4043 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4044 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4048 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4049 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4060 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4071 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(7) - (8)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4091 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4099 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4110 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4111 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4116 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4120 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4127 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4132 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4136 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4143 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4147 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4152 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4157 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4164 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4170 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4175 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4187 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4199 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4200 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4205 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4206 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4210 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4211 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4222 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(3) - (4)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4233 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4253 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4262 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4270 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4289 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (10)].range);
					n->base.tableElts = (yyvsp[(6) - (10)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4304 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (13)].range);
					n->base.tableElts = (yyvsp[(9) - (13)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(12) - (13)].str);
					n->options = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4327 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4336 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4354 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4365 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4366 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4367 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4378 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4386 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4403 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4424 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4445 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4466 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4467 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4468 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4473 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4475 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4497 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4499 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4501 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4503 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4505 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4510 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4514 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4524 "gram.y"
    {}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4525 "gram.y"
    {}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4529 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4530 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4534 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4535 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4539 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4540 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4541 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4546 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4551 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4552 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4553 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4557 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4558 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4563 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4565 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4591 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4592 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4593 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4594 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4595 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; }
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4596 "gram.y"
    { (yyval.ival) = CAS_NO_INHERIT; }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4602 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4613 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4637 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (11)].str);
					n->eventname = (yyvsp[(6) - (11)].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[(9) - (11)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4648 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (13)].str);
					n->eventname = (yyvsp[(6) - (13)].str);
					n->whenclause = (yyvsp[(8) - (13)].list);
					n->funcname = (yyvsp[(11) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4660 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4662 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4667 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (5)].str), (Node *) (yyvsp[(4) - (5)].list)); }
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4672 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4674 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4679 "gram.y"
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[(4) - (5)].str);
					n->tgenabled = (yyvsp[(5) - (5)].chr);
					(yyval.node) = (Node *) n;
				}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4688 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4689 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4690 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4691 "gram.y"
    { (yyval.chr) = TRIGGER_DISABLED; }
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4705 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4724 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4747 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4757 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4768 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4778 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4788 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4799 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4808 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4815 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4822 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4831 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4840 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4849 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4858 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4867 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4877 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4880 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4881 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4885 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4889 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4895 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4896 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4897 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4898 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4899 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4902 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4905 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4906 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4915 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4921 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4922 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4926 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4928 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4939 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (7)].list);
				n->newVal = (yyvsp[(7) - (7)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[(6) - (7)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4949 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4959 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4970 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4971 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4989 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5002 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5003 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5008 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5019 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5029 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5038 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5048 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5056 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5057 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5060 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5061 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5064 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5065 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5066 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5070 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5083 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5089 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5099 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5108 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5119 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5120 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5125 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5133 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5145 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5156 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5170 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5181 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5204 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5214 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5232 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5243 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5254 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5265 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5278 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5279 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5280 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5281 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5282 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5283 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5284 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5285 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5286 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5287 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5288 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5289 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5290 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5291 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5292 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5293 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5294 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5298 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5299 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5302 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5303 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5307 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5309 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5322 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5332 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5333 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5334 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5367 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5376 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5385 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5394 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5403 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5412 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5421 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5431 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5440 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5449 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5458 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5467 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5476 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5487 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5488 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5489 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5490 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5491 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5492 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5493 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5494 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5495 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5496 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5497 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5498 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5499 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5500 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5501 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5502 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5503 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5504 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5505 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5506 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5507 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5508 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5509 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5513 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5514 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5530 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5541 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5552 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5563 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5574 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5585 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5586 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5590 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5591 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5592 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5593 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5594 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5595 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5596 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5597 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5598 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5599 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5600 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5601 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5602 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5605 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5606 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5617 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5623 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5631 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5639 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5647 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5655 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5663 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5671 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5679 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5687 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5695 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5703 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5711 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5719 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5727 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5735 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5743 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5751 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5760 "gram.y"
    {}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5761 "gram.y"
    {}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5764 "gram.y"
    {}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5765 "gram.y"
    {}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5777 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5793 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5807 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5832 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5834 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5836 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5838 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5845 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5853 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5854 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5858 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5865 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5872 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5879 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5893 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5901 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5909 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5917 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5925 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5933 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5941 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5949 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5957 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5965 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5973 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5981 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5989 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5997 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 6005 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 6013 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 6024 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 6025 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6029 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6039 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6052 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6053 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6057 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6059 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6064 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6080 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6093 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6103 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6114 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6115 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6118 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6119 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6130 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6139 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6140 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6145 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6149 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6153 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6165 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6178 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6192 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6207 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6208 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6209 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6210 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; }
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6225 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6249 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6250 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6254 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6255 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6259 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6260 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6264 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6265 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6268 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6269 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6278 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6289 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6300 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6312 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6313 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6316 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6317 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6318 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6321 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6322 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6323 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6326 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6327 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6328 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6346 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6358 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6371 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6384 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6385 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6388 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6389 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6393 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6394 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6402 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6403 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6407 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6409 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6424 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6433 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6442 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6451 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6460 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6471 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6472 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6473 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6474 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6475 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6486 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6500 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6502 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6508 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6518 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6522 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6527 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6535 "gram.y"
    {
					if (!((yyvsp[(1) - (1)].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[(1) - (1)].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6576 "gram.y"
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6580 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(2) - (3)].list), makeInteger(-1));
				}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6584 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(4) - (5)].list), makeInteger(0));
				}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6588 "gram.y"
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[(2) - (6)].list), (yyvsp[(5) - (6)].list), yyscanner);
				}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6595 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6596 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6601 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6602 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6610 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6614 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6618 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6622 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6626 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6630 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6634 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6638 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6642 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6646 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6650 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6654 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6658 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6662 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6666 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6674 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6678 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6682 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6686 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6691 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6693 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6699 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6700 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6704 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6716 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6720 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6735 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6745 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6746 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6768 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6779 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6793 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6804 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6818 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6829 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6843 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6851 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6853 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6855 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6860 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6862 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6875 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6883 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6884 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6889 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6893 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6906 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6917 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6928 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6939 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6940 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6941 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6946 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[(5) - (9)].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6958 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6959 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6974 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6982 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6992 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 7004 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 7005 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 7008 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 7009 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 7021 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 7030 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 7047 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = extractAggrArgTypes((yyvsp[(4) - (7)].list));
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 7057 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 7066 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 7075 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 7084 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 7093 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 7103 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 7112 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 7122 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 7131 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 7140 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 7150 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 7160 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 7169 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 7178 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 7188 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 7198 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 7208 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 7218 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 7228 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 7238 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7248 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7258 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7268 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7278 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7288 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7298 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7309 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7320 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7331 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7342 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7352 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7363 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7374 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7384 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7394 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7402 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7411 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7420 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7429 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7438 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7447 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7456 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7465 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7474 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7487 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7488 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7491 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7492 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7503 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = extractAggrArgTypes((yyvsp[(4) - (7)].list));
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7513 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7522 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7531 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7540 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7549 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7559 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7569 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7579 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7589 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7598 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7607 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7616 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7625 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7634 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7643 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7652 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7661 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7670 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7679 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7688 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7697 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7706 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7715 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7732 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = extractAggrArgTypes((yyvsp[(4) - (7)].list));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7741 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7749 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7757 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7765 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7773 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7782 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7790 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7798 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7807 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7816 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7825 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7833 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7841 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7849 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7857 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7865 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7873 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7881 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7900 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7914 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7915 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7916 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7922 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7928 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7944 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7945 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7948 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7949 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7950 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7951 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7955 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7956 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7957 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7963 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7974 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7996 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 8005 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 8006 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 8010 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 8019 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 8025 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 8044 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 8051 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 8058 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 8065 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 8072 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 8079 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 8086 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 8094 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 8102 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 8110 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 8118 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 8126 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 8133 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 8140 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 8148 "gram.y"
    {}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 8149 "gram.y"
    {}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 8150 "gram.y"
    {}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 8155 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 8158 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 8161 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 8164 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 8167 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 8174 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 8176 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 8178 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 8184 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 8198 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					n->withCheckOption = (yyvsp[(9) - (9)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 8211 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					n->withCheckOption = (yyvsp[(11) - (11)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 8224 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(5) - (12)].range);
					n->view->relpersistence = (yyvsp[(2) - (12)].ival);
					n->aliases = (yyvsp[(7) - (12)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(11) - (12)].node));
					n->replace = false;
					n->options = (yyvsp[(9) - (12)].list);
					n->withCheckOption = (yyvsp[(12) - (12)].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[(12) - (12)]))));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 8242 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(7) - (14)].range);
					n->view->relpersistence = (yyvsp[(4) - (14)].ival);
					n->aliases = (yyvsp[(9) - (14)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(13) - (14)].node));
					n->replace = true;
					n->options = (yyvsp[(11) - (14)].list);
					n->withCheckOption = (yyvsp[(14) - (14)].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[(14) - (14)]))));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 8261 "gram.y"
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 8262 "gram.y"
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 8263 "gram.y"
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 8264 "gram.y"
    { (yyval.ival) = NO_CHECK_OPTION; }
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 8275 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 8291 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 8300 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 8301 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 8306 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 8310 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 8314 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 8318 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 8322 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 8326 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 8330 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 8334 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 8338 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 8342 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 8346 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 8350 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 8354 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 8358 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 8362 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 8366 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 8375 "gram.y"
    {}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 8376 "gram.y"
    {}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 8388 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 8395 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 8406 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 8416 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 8417 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 8422 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 8436 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 8443 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 8461 "gram.y"
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 8467 "gram.y"
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 8483 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 8496 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 8505 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 8513 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 8521 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 8530 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8541 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8552 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8561 "gram.y"
    {}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8562 "gram.y"
    {}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8574 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8584 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8594 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8604 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8614 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8624 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 8632 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 8654 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8676 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8684 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8693 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8703 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8704 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8717 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8733 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8749 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8763 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8783 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8807 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8808 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8812 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8813 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8814 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8815 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8820 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8834 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8850 "gram.y"
    {}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8851 "gram.y"
    {}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8855 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8856 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8859 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8860 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8863 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8864 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8868 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8869 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8883 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8890 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8900 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8907 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8929 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8933 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8940 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8946 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8947 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8951 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8952 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8953 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8964 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8973 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8974 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8992 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 9000 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 9016 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 9017 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 9028 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 9034 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 9040 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 9046 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 9062 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 9072 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 9078 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 9084 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 9093 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 9095 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 9100 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 9110 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 9111 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 9124 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 9136 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 9137 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 9149 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 9159 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 9160 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 9163 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 9164 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 9165 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 9166 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 9167 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 9168 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 9169 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 9170 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 9173 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 9174 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 9190 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 9203 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 9204 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 9208 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 9209 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 9214 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 9222 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 9250 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 9260 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 9261 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 9272 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 9282 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 9285 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 9286 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 9287 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 9288 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 9289 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 9292 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 9293 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 9294 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 9347 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 9348 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 9363 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 9365 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 9372 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 9380 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 9388 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 9396 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 9404 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 9412 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 9422 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 9423 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 9453 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 9465 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 9467 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 9486 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 9490 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 9494 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 9509 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 9516 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 9525 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 9526 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 9530 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 9541 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); }
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 9542 "gram.y"
    { (yyval.with) = NULL; }
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 9547 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 9558 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 9567 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 9572 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 9577 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 9582 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 9587 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 9595 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 9603 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 9608 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 9613 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 9619 "gram.y"
    {}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 9620 "gram.y"
    {}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 9623 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9624 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9625 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9632 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9633 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9634 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9635 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9639 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9640 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9644 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9648 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9649 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9653 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9662 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9674 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9675 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9676 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9677 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9681 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9682 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9687 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9689 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9699 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9704 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9707 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9711 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9713 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9720 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9730 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9731 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9732 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9740 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9744 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9745 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9748 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9749 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9754 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9755 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9759 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9760 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9764 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9765 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9769 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9770 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9774 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9775 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9780 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(2) - (3)].list);
					n->strength = (yyvsp[(1) - (3)].ival);
					n->noWait = (yyvsp[(3) - (3)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9790 "gram.y"
    { (yyval.ival) = LCS_FORUPDATE; }
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9791 "gram.y"
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9792 "gram.y"
    { (yyval.ival) = LCS_FORSHARE; }
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9793 "gram.y"
    { (yyval.ival) = LCS_FORKEYSHARE; }
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9797 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9798 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9804 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9810 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9827 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9828 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9832 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9833 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9840 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9845 "gram.y"
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[(1) - (2)].node);
					n->alias = linitial((yyvsp[(2) - (2)].list));
					n->coldeflist = lsecond((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9852 "gram.y"
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[(2) - (3)].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[(3) - (3)].list));
					n->coldeflist = lsecond((yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9860 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[(2) - (2)].alias) == NULL)
					{
						if (IsA((yyvsp[(1) - (2)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(1) - (2)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
					}
					(yyval.node) = (Node *) n;
				}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9895 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[(2) - (3)].node);
					n->alias = (yyvsp[(3) - (3)].alias);
					/* same coment as above */
					if ((yyvsp[(3) - (3)].alias) == NULL)
					{
						if (IsA((yyvsp[(2) - (3)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(2) - (3)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
					}
					(yyval.node) = (Node *) n;
				}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9920 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9924 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9950 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9954 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9966 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9979 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9993 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 10004 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 10019 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 10025 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 10030 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 10036 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 10042 "gram.y"
    { (yyval.alias) = (yyvsp[(1) - (1)].alias); }
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 10043 "gram.y"
    { (yyval.alias) = NULL; }
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 10052 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (1)].alias), NIL);
				}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 10056 "gram.y"
    {
					(yyval.list) = list_make2(NULL, (yyvsp[(3) - (4)].list));
				}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 10060 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.list) = list_make2(a, (yyvsp[(4) - (5)].list));
				}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 10066 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.list) = list_make2(a, (yyvsp[(3) - (4)].list));
				}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 10072 "gram.y"
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 10077 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 10078 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 10079 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 10080 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 10084 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 10085 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 10097 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 10098 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 10104 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 10111 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 10118 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 10125 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 10135 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 10136 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 10150 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 10154 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 10161 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 10182 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[(2) - (2)].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[(1) - (2)].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 10192 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[(6) - (6)].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[(4) - (6)].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 10204 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list)); }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 10208 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 10209 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 10212 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 10213 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 10216 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 10217 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 10222 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 10223 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 10228 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 10230 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 10237 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 10242 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 10243 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 10248 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 10252 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 10258 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 10288 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 10293 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 10300 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 10305 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 10311 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 10316 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 10325 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 10327 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 10329 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 10333 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 10334 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 10335 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 10336 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 10337 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 10339 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 10344 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 10373 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 10374 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 10375 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 10376 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 10388 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 10394 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 10401 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 10402 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 10409 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 10414 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 10419 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10424 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10429 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10434 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10439 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10444 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10450 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10456 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10462 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10469 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10490 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10500 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10504 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10512 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10516 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10524 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10536 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10557 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10561 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10567 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10571 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10584 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
						(yyvsp[(1) - (5)].str) = psprintf("%s_%s", (yyvsp[(1) - (5)].str), (yyvsp[(5) - (5)].str));

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10595 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
						(yyvsp[(1) - (2)].str) = psprintf("%s_%s", (yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10610 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10612 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10614 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10616 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10618 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10620 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10624 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10625 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10629 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10630 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 10638 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 10647 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 10655 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 10664 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 10675 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 10682 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 10683 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 10684 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 10689 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 10691 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 10693 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 10695 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 10697 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 10699 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 10701 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 10706 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 10711 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 10717 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 10725 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 10730 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 10737 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 10743 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 10748 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 10752 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 10781 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 10783 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 10785 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 10793 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node)),
											   (yylsp[(2) - (5)]));
				}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 10808 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 10810 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 10812 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 10814 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 10816 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 10818 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 10820 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 10822 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 10824 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 10826 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 10828 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 10831 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 10833 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 10835 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 10838 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 10840 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 10842 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 10845 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 10847 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 10854 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 10856 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 10863 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 10865 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10872 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10874 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10882 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1)),
											   (yylsp[(2) - (4)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10889 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10896 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10903 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node)),
											   (yylsp[(2) - (7)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10920 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10927 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10934 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 10941 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 10948 "gram.y"
    {
					if (list_length((yyvsp[(1) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[(1) - (3)]))));
					if (list_length((yyvsp[(3) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[(3) - (3)]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)),
											   (yylsp[(2) - (3)]));
				}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 10964 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 10971 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10978 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 10985 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10992 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10999 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 11006 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 11010 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 11018 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 11022 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 11032 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 11039 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 11046 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 11059 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 11072 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 11091 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 11112 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 11122 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 11129 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 11145 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 11150 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 11168 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 11170 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 11172 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 11174 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 11176 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 11178 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 11180 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 11182 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 11184 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 11186 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 11188 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 11190 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 11192 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 11194 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 11196 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 11198 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 11200 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 11204 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 11209 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 11213 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 11217 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 11222 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 11238 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 11239 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 11241 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 11256 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 11268 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 11270 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 11272 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 11282 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 11305 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 11315 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 11325 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 11333 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 11344 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[(1) - (3)].list), NIL, (yylsp[(1) - (3)]));
				}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 11348 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (5)].list), (yyvsp[(3) - (5)].list), (yylsp[(1) - (5)]));
					n->agg_order = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 11354 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), list_make1((yyvsp[(4) - (6)].node)), (yylsp[(1) - (6)]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 11361 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (8)].list), lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node)), (yylsp[(1) - (8)]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 11368 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), (yyvsp[(4) - (6)].list), (yylsp[(1) - (6)]));
					n->agg_order = (yyvsp[(5) - (6)].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 11378 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), (yyvsp[(4) - (6)].list), (yylsp[(1) - (6)]));
					n->agg_order = (yyvsp[(5) - (6)].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 11385 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[(1) - (4)].list), NIL, (yylsp[(1) - (4)]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 11413 "gram.y"
    {
					FuncCall *n = (FuncCall *) (yyvsp[(1) - (4)].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[(2) - (4)].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						n->agg_order = (yyvsp[(2) - (4)].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[(3) - (4)].node);
					n->over = (yyvsp[(4) - (4)].windef);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 11448 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 11458 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 11459 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 11467 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[(4) - (5)].node)),
											   (yylsp[(1) - (5)]));
				}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 11473 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[(1) - (1)]));
				}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 11499 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[(1) - (1)]));
				}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 11509 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 11522 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 11530 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 11543 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[(1) - (1)]));
				}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 11553 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 11566 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[(1) - (1)]));
				}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 11576 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 11589 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 11593 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 11597 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 11601 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 11605 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 11609 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 11613 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 11615 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 11619 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 11628 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 11633 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 11640 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str),
												list_make1((yyvsp[(3) - (6)].node)),
												(yylsp[(1) - (6)]));
				}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 11655 "gram.y"
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 11662 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 11666 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 11670 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 11674 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 11678 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 11685 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 11693 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 11701 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 11705 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 11709 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 11713 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 11717 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 11721 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node)), (yylsp[(1) - (5)]));
				}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 11727 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 11731 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 11740 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 11744 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 11748 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 11753 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 11767 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 11769 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 11773 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 11775 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 11777 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 11779 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 11782 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 11785 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 11786 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 11790 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 11798 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 11807 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 11808 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 11811 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 11812 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 11813 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 11819 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 11823 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 11827 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 11831 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 11841 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 11842 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 11846 "gram.y"
    { (yyval.node) = (yyvsp[(4) - (5)].node); }
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 11847 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 11855 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 11856 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 11860 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 11862 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 11867 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 11875 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 11877 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 11890 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 11895 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 11920 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 11921 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 11924 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 11925 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 11937 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 11955 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 11961 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 11971 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 11988 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 12033 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 12041 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 12049 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 12057 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 12065 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 12085 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 12086 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 12087 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 12090 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 12091 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 12092 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 12095 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 12096 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 12099 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 12100 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 12101 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 12102 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 12103 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 12104 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 12105 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 12106 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 12107 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 12111 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 12113 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 12118 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 12120 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 12125 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 12127 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 12129 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 12131 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 12133 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 12135 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 12147 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 12151 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 12158 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 12162 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 12168 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 12172 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 12182 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 12183 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 12187 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 12191 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 12195 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 12200 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 12201 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 12207 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 12210 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 12217 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 12218 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 12219 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 12220 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 12221 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 12222 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 12223 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 12224 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 12235 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 12239 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 12246 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 12252 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 12253 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 12270 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 12274 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 12279 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 12283 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 12298 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 12302 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 12306 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 12309 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 12312 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 12313 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 12314 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 12318 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 12324 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 12335 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 12348 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 12349 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 12354 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 12364 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 12365 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 12368 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 12369 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 12373 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 12377 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 12384 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 12388 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 12392 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 12399 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 12408 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 12409 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 12413 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 12414 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 12429 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 12431 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 12439 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 12440 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 12448 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 12458 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 12459 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 12463 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 12464 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 12468 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 12484 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 12492 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 12500 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 12521 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 12522 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 12534 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 12538 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 12565 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 12567 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 12571 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 12574 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 12577 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 12579 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 12581 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 12583 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 12594 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 12596 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 12607 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 12611 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 12615 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 12619 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 12623 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 12632 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 12639 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (6)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[(3) - (6)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[(4) - (6)].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[(4) - (6)]))));

					t->typmods = (yyvsp[(3) - (6)].list);
					t->location = (yylsp[(1) - (6)]);
					(yyval.node) = makeStringConstCast((yyvsp[(6) - (6)].str), (yylsp[(6) - (6)]), t);
				}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 12671 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 12675 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 12681 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 12698 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 12702 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 12706 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 12711 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 12712 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 12713 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 12716 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 12718 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 12721 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 12722 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 12723 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 12739 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 12740 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 12741 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 12746 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 12747 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 12748 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 12753 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 12754 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 12755 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 12756 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 12762 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 12763 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 12764 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 12765 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 12766 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1806 of yacc.c  */
#line 40180 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 13228 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

