/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
static void __attribute__((format(PG_PRINTF_ATTRIBUTE, 3, 0)))
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 650 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EVENT = 461,
     EXCEPT = 462,
     EXCLUDE = 463,
     EXCLUDING = 464,
     EXCLUSIVE = 465,
     EXECUTE = 466,
     EXISTS = 467,
     EXPLAIN = 468,
     EXTENSION = 469,
     EXTERNAL = 470,
     EXTRACT = 471,
     FALSE_P = 472,
     FAMILY = 473,
     FETCH = 474,
     FILTER = 475,
     FIRST_P = 476,
     FLOAT_P = 477,
     FOLLOWING = 478,
     FOR = 479,
     FORCE = 480,
     FOREIGN = 481,
     FORWARD = 482,
     FREEZE = 483,
     FROM = 484,
     FULL = 485,
     FUNCTION = 486,
     FUNCTIONS = 487,
     GLOBAL = 488,
     GRANT = 489,
     GRANTED = 490,
     GREATEST = 491,
     GROUP_P = 492,
     HANDLER = 493,
     HAVING = 494,
     HEADER_P = 495,
     HOLD = 496,
     HOUR_P = 497,
     IDENTITY_P = 498,
     IF_P = 499,
     ILIKE = 500,
     IMMEDIATE = 501,
     IMMUTABLE = 502,
     IMPLICIT_P = 503,
     IN_P = 504,
     INCLUDING = 505,
     INCREMENT = 506,
     INDEX = 507,
     INDEXES = 508,
     INHERIT = 509,
     INHERITS = 510,
     INITIALLY = 511,
     INLINE_P = 512,
     INNER_P = 513,
     INOUT = 514,
     INPUT_P = 515,
     INSENSITIVE = 516,
     INSERT = 517,
     INSTEAD = 518,
     INT_P = 519,
     INTEGER = 520,
     INTERSECT = 521,
     INTERVAL = 522,
     INTO = 523,
     INVOKER = 524,
     IS = 525,
     ISNULL = 526,
     ISOLATION = 527,
     JOIN = 528,
     KEY = 529,
     LABEL = 530,
     LANGUAGE = 531,
     LARGE_P = 532,
     LAST_P = 533,
     LATERAL_P = 534,
     LC_COLLATE_P = 535,
     LC_CTYPE_P = 536,
     LEADING = 537,
     LEAKPROOF = 538,
     LEAST = 539,
     LEFT = 540,
     LEVEL = 541,
     LIKE = 542,
     LIMIT = 543,
     LISTEN = 544,
     LOAD = 545,
     LOCAL = 546,
     LOCALTIME = 547,
     LOCALTIMESTAMP = 548,
     LOCATION = 549,
     LOCK_P = 550,
     MAPPING = 551,
     MATCH = 552,
     MATERIALIZED = 553,
     MAXVALUE = 554,
     MINUTE_P = 555,
     MINVALUE = 556,
     MODE = 557,
     MONTH_P = 558,
     MOVE = 559,
     NAME_P = 560,
     NAMES = 561,
     NATIONAL = 562,
     NATURAL = 563,
     NCHAR = 564,
     NEXT = 565,
     NO = 566,
     NONE = 567,
     NOT = 568,
     NOTHING = 569,
     NOTIFY = 570,
     NOTNULL = 571,
     NOWAIT = 572,
     NULL_P = 573,
     NULLIF = 574,
     NULLS_P = 575,
     NUMERIC = 576,
     OBJECT_P = 577,
     OF = 578,
     OFF = 579,
     OFFSET = 580,
     OIDS = 581,
     ON = 582,
     ONLY = 583,
     OPERATOR = 584,
     OPTION = 585,
     OPTIONS = 586,
     OR = 587,
     ORDER = 588,
     ORDINALITY = 589,
     OUT_P = 590,
     OUTER_P = 591,
     OVER = 592,
     OVERLAPS = 593,
     OVERLAY = 594,
     OWNED = 595,
     OWNER = 596,
     PARSER = 597,
     PARTIAL = 598,
     PARTITION = 599,
     PASSING = 600,
     PASSWORD = 601,
     PLACING = 602,
     PLANS = 603,
     POSITION = 604,
     PRECEDING = 605,
     PRECISION = 606,
     PRESERVE = 607,
     PREPARE = 608,
     PREPARED = 609,
     PRIMARY = 610,
     PRIOR = 611,
     PRIVILEGES = 612,
     PROCEDURAL = 613,
     PROCEDURE = 614,
     PROGRAM = 615,
     QUOTE = 616,
     RANGE = 617,
     READ = 618,
     REAL = 619,
     REASSIGN = 620,
     RECHECK = 621,
     RECURSIVE = 622,
     REF = 623,
     REFERENCES = 624,
     REFRESH = 625,
     REINDEX = 626,
     RELATIVE_P = 627,
     RELEASE = 628,
     RENAME = 629,
     REPEATABLE = 630,
     REPLACE = 631,
     REPLICA = 632,
     RESET = 633,
     RESTART = 634,
     RESTRICT = 635,
     RETURNING = 636,
     RETURNS = 637,
     REVOKE = 638,
     RIGHT = 639,
     ROLE = 640,
     ROLLBACK = 641,
     ROW = 642,
     ROWS = 643,
     RULE = 644,
     SAVEPOINT = 645,
     SCHEMA = 646,
     SCROLL = 647,
     SEARCH = 648,
     SECOND_P = 649,
     SECURITY = 650,
     SELECT = 651,
     SEQUENCE = 652,
     SEQUENCES = 653,
     SERIALIZABLE = 654,
     SERVER = 655,
     SESSION = 656,
     SESSION_USER = 657,
     SET = 658,
     SETOF = 659,
     SHARE = 660,
     SHOW = 661,
     SIMILAR = 662,
     SIMPLE = 663,
     SMALLINT = 664,
     SNAPSHOT = 665,
     SOME = 666,
     STABLE = 667,
     STANDALONE_P = 668,
     START = 669,
     STATEMENT = 670,
     STATISTICS = 671,
     STDIN = 672,
     STDOUT = 673,
     STORAGE = 674,
     STRICT_P = 675,
     STRIP_P = 676,
     SUBSTRING = 677,
     SYMMETRIC = 678,
     SYSID = 679,
     SYSTEM_P = 680,
     TABLE = 681,
     TABLES = 682,
     TABLESPACE = 683,
     TEMP = 684,
     TEMPLATE = 685,
     TEMPORARY = 686,
     TEXT_P = 687,
     THEN = 688,
     TIME = 689,
     TIMESTAMP = 690,
     TO = 691,
     TRAILING = 692,
     TRANSACTION = 693,
     TREAT = 694,
     TRIGGER = 695,
     TRIM = 696,
     TRUE_P = 697,
     TRUNCATE = 698,
     TRUSTED = 699,
     TYPE_P = 700,
     TYPES_P = 701,
     UNBOUNDED = 702,
     UNCOMMITTED = 703,
     UNENCRYPTED = 704,
     UNION = 705,
     UNIQUE = 706,
     UNKNOWN = 707,
     UNLISTEN = 708,
     UNLOGGED = 709,
     UNTIL = 710,
     UPDATE = 711,
     USER = 712,
     USING = 713,
     VACUUM = 714,
     VALID = 715,
     VALIDATE = 716,
     VALIDATOR = 717,
     VALUE_P = 718,
     VALUES = 719,
     VARCHAR = 720,
     VARIADIC = 721,
     VARYING = 722,
     VERBOSE = 723,
     VERSION_P = 724,
     VIEW = 725,
     VIEWS = 726,
     VOLATILE = 727,
     WHEN = 728,
     WHERE = 729,
     WHITESPACE_P = 730,
     WINDOW = 731,
     WITH = 732,
     WITHIN = 733,
     WITHOUT = 734,
     WORK = 735,
     WRAPPER = 736,
     WRITE = 737,
     XML_P = 738,
     XMLATTRIBUTES = 739,
     XMLCONCAT = 740,
     XMLELEMENT = 741,
     XMLEXISTS = 742,
     XMLFOREST = 743,
     XMLPARSE = 744,
     XMLPI = 745,
     XMLROOT = 746,
     XMLSERIALIZE = 747,
     YEAR_P = 748,
     YES_P = 749,
     ZONE = 750,
     NULLS_FIRST = 751,
     NULLS_LAST = 752,
     WITH_ORDINALITY = 753,
     WITH_TIME = 754,
     POSTFIXOP = 755,
     UMINUS = 756
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 579 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1204 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1229 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   111903

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  718
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2841
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5230

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   508,     2,     2,
     513,   514,   506,   504,   516,   505,   515,   507,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   518,   517,
     501,   500,   502,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   511,     2,   512,   509,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   519,     2,   520,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   503,   510
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   273,   275,   276,
     282,   284,   285,   288,   289,   292,   293,   296,   299,   303,
     307,   309,   313,   317,   320,   322,   324,   327,   330,   333,
     337,   341,   347,   353,   354,   358,   364,   370,   376,   381,
     385,   391,   395,   401,   407,   414,   416,   418,   422,   428,
     435,   440,   450,   458,   460,   461,   464,   465,   467,   469,
     471,   473,   475,   477,   480,   484,   488,   491,   497,   499,
     503,   507,   511,   515,   517,   521,   525,   528,   531,   534,
     537,   541,   545,   549,   553,   555,   559,   561,   565,   567,
     569,   572,   575,   578,   580,   582,   584,   586,   588,   590,
     592,   596,   603,   605,   607,   609,   611,   613,   614,   616,
     618,   621,   623,   626,   630,   633,   635,   637,   640,   642,
     645,   647,   651,   656,   662,   667,   670,   675,   677,   679,
     681,   683,   685,   688,   691,   694,   697,   700,   705,   712,
     723,   737,   742,   749,   760,   774,   779,   786,   791,   798,
     804,   812,   824,   839,   841,   845,   848,   852,   857,   864,
     871,   878,   884,   890,   897,   904,   909,   918,   923,   926,
     931,   935,   942,   947,   951,   955,   959,   963,   967,   972,
     977,   981,   985,   989,   993,   997,  1001,  1006,  1011,  1015,
    1018,  1022,  1025,  1028,  1032,  1036,  1039,  1042,  1046,  1048,
    1052,  1055,  1057,  1059,  1060,  1063,  1064,  1067,  1068,  1070,
    1072,  1074,  1078,  1082,  1085,  1086,  1088,  1092,  1096,  1098,
    1104,  1108,  1113,  1115,  1119,  1124,  1131,  1136,  1145,  1148,
    1151,  1163,  1171,  1173,  1175,  1177,  1178,  1180,  1182,  1184,
    1186,  1190,  1193,  1194,  1196,  1198,  1200,  1204,  1208,  1210,
    1212,  1216,  1220,  1224,  1228,  1233,  1237,  1240,  1242,  1243,
    1246,  1247,  1251,  1252,  1254,  1255,  1257,  1261,  1264,  1266,
    1268,  1270,  1274,  1275,  1277,  1281,  1283,  1295,  1310,  1321,
    1335,  1337,  1339,  1342,  1345,  1348,  1351,  1353,  1354,  1356,
    1357,  1361,  1362,  1364,  1368,  1370,  1374,  1376,  1378,  1380,
    1382,  1384,  1389,  1394,  1397,  1398,  1402,  1404,  1406,  1409,
    1412,  1414,  1418,  1423,  1429,  1432,  1438,  1440,  1443,  1446,
    1449,  1453,  1457,  1461,  1462,  1464,  1466,  1468,  1470,  1472,
    1474,  1478,  1480,  1486,  1494,  1498,  1507,  1512,  1522,  1534,
    1537,  1538,  1542,  1543,  1545,  1549,  1551,  1554,  1557,  1560,
    1561,  1563,  1567,  1571,  1578,  1583,  1584,  1586,  1588,  1591,
    1594,  1595,  1599,  1603,  1606,  1608,  1610,  1613,  1616,  1621,
    1622,  1625,  1628,  1631,  1632,  1636,  1641,  1646,  1647,  1650,
    1651,  1656,  1657,  1661,  1667,  1670,  1674,  1675,  1684,  1689,
    1691,  1692,  1699,  1705,  1710,  1717,  1719,  1720,  1722,  1725,
    1728,  1730,  1733,  1737,  1740,  1743,  1746,  1749,  1753,  1757,
    1759,  1763,  1765,  1766,  1768,  1771,  1773,  1775,  1779,  1786,
    1797,  1799,  1800,  1802,  1805,  1808,  1809,  1812,  1815,  1817,
    1818,  1824,  1832,  1834,  1835,  1843,  1846,  1847,  1851,  1857,
    1863,  1872,  1875,  1876,  1879,  1882,  1885,  1891,  1894,  1895,
    1898,  1906,  1917,  1924,  1931,  1938,  1945,  1953,  1961,  1971,
    1981,  1988,  1996,  2003,  2012,  2021,  2030,  2039,  2046,  2053,
    2061,  2069,  2078,  2085,  2092,  2100,  2103,  2106,  2109,  2112,
    2114,  2117,  2119,  2120,  2127,  2136,  2144,  2151,  2156,  2157,
    2159,  2163,  2168,  2170,  2174,  2176,  2179,  2182,  2185,  2188,
    2190,  2192,  2203,  2206,  2207,  2210,  2213,  2215,  2216,  2221,
    2228,  2234,  2239,  2244,  2255,  2269,  2275,  2283,  2292,  2294,
    2296,  2298,  2306,  2316,  2325,  2341,  2362,  2364,  2366,  2369,
    2371,  2375,  2377,  2379,  2381,  2385,  2387,  2391,  2392,  2394,
    2395,  2397,  2399,  2404,  2405,  2407,  2411,  2412,  2414,  2416,
    2418,  2420,  2423,  2424,  2425,  2428,  2431,  2433,  2436,  2439,
    2442,  2445,  2452,  2461,  2473,  2487,  2489,  2493,  2499,  2501,
    2505,  2511,  2513,  2516,  2519,  2521,  2530,  2535,  2541,  2546,
    2551,  2556,  2560,  2568,  2577,  2584,  2591,  2598,  2605,  2612,
    2617,  2623,  2627,  2629,  2633,  2637,  2639,  2641,  2643,  2645,
    2647,  2649,  2653,  2655,  2659,  2663,  2665,  2666,  2668,  2672,
    2680,  2690,  2700,  2704,  2705,  2719,  2721,  2725,  2731,  2738,
    2743,  2751,  2754,  2756,  2757,  2760,  2761,  2764,  2769,  2770,
    2772,  2773,  2780,  2789,  2798,  2800,  2804,  2810,  2816,  2824,
    2834,  2842,  2852,  2858,  2865,  2872,  2877,  2883,  2891,  2893,
    2895,  2897,  2900,  2902,  2905,  2908,  2910,  2912,  2914,  2916,
    2918,  2920,  2924,  2928,  2932,  2936,  2938,  2942,  2944,  2947,
    2950,  2954,  2960,  2963,  2966,  2967,  2974,  2982,  2990,  2998,
    3007,  3016,  3023,  3032,  3042,  3052,  3060,  3071,  3079,  3081,
    3083,  3085,  3087,  3089,  3091,  3093,  3095,  3097,  3100,  3102,
    3104,  3106,  3108,  3110,  3113,  3115,  3119,  3122,  3126,  3130,
    3134,  3138,  3140,  3142,  3151,  3161,  3171,  3181,  3191,  3194,
    3195,  3197,  3199,  3202,  3205,  3207,  3209,  3211,  3213,  3215,
    3217,  3219,  3221,  3224,  3226,  3228,  3231,  3234,  3238,  3243,
    3249,  3254,  3260,  3264,  3269,  3273,  3278,  3280,  3283,  3287,
    3291,  3295,  3299,  3304,  3309,  3313,  3317,  3322,  3327,  3332,
    3337,  3339,  3341,  3343,  3344,  3352,  3360,  3371,  3373,  3375,
    3378,  3383,  3389,  3391,  3395,  3398,  3401,  3404,  3407,  3409,
    3412,  3415,  3420,  3424,  3427,  3430,  3433,  3436,  3440,  3443,
    3446,  3449,  3455,  3461,  3467,  3469,  3473,  3475,  3478,  3482,
    3483,  3485,  3489,  3492,  3499,  3506,  3516,  3520,  3521,  3525,
    3526,  3532,  3535,  3536,  3540,  3544,  3548,  3556,  3564,  3575,
    3577,  3579,  3581,  3583,  3598,  3600,  3601,  3603,  3604,  3606,
    3607,  3610,  3611,  3613,  3617,  3623,  3629,  3637,  3640,  3641,
    3643,  3646,  3647,  3649,  3651,  3652,  3654,  3656,  3657,  3667,
    3680,  3688,  3691,  3692,  3696,  3699,  3701,  3705,  3709,  3712,
    3714,  3718,  3722,  3726,  3729,  3732,  3734,  3736,  3738,  3740,
    3743,  3745,  3747,  3749,  3751,  3756,  3762,  3764,  3768,  3772,
    3774,  3778,  3782,  3788,  3795,  3797,  3801,  3803,  3806,  3811,
    3817,  3819,  3821,  3823,  3825,  3829,  3833,  3836,  3839,  3841,
    3844,  3847,  3850,  3852,  3855,  3858,  3860,  3862,  3864,  3868,
    3871,  3872,  3875,  3877,  3881,  3887,  3889,  3892,  3894,  3895,
    3901,  3909,  3915,  3923,  3929,  3937,  3941,  3947,  3953,  3959,
    3961,  3965,  3968,  3970,  3973,  3975,  3978,  3990,  4001,  4012,
    4015,  4018,  4019,  4029,  4032,  4033,  4038,  4043,  4048,  4050,
    4052,  4054,  4055,  4061,  4067,  4075,  4082,  4089,  4096,  4103,
    4112,  4121,  4128,  4135,  4143,  4153,  4163,  4170,  4177,  4184,
    4193,  4200,  4209,  4216,  4225,  4233,  4243,  4250,  4259,  4267,
    4277,  4286,  4297,  4307,  4319,  4328,  4338,  4350,  4359,  4368,
    4376,  4383,  4390,  4397,  4406,  4415,  4424,  4433,  4440,  4450,
    4452,  4453,  4456,  4457,  4465,  4472,  4479,  4486,  4493,  4500,
    4508,  4518,  4528,  4535,  4544,  4553,  4562,  4571,  4580,  4587,
    4596,  4603,  4612,  4620,  4630,  4638,  4648,  4655,  4663,  4670,
    4677,  4684,  4691,  4698,  4706,  4714,  4722,  4732,  4742,  4749,
    4756,  4763,  4772,  4781,  4790,  4797,  4805,  4819,  4821,  4823,
    4827,  4831,  4833,  4835,  4837,  4839,  4841,  4843,  4845,  4846,
    4848,  4850,  4852,  4854,  4856,  4858,  4859,  4866,  4875,  4879,
    4882,  4883,  4886,  4889,  4892,  4895,  4899,  4903,  4906,  4909,
    4912,  4915,  4919,  4922,  4928,  4933,  4937,  4941,  4945,  4947,
    4949,  4950,  4954,  4957,  4960,  4962,  4965,  4967,  4971,  4974,
    4976,  4977,  4987,  4999,  5012,  5027,  5031,  5036,  5041,  5042,
    5045,  5051,  5054,  5055,  5059,  5063,  5067,  5071,  5075,  5079,
    5083,  5087,  5091,  5095,  5099,  5103,  5107,  5112,  5116,  5120,
    5122,  5123,  5129,  5136,  5141,  5144,  5145,  5150,  5154,  5160,
    5165,  5170,  5177,  5182,  5189,  5196,  5202,  5210,  5220,  5227,
    5229,  5230,  5237,  5249,  5261,  5273,  5287,  5297,  5309,  5320,
    5325,  5328,  5334,  5337,  5338,  5343,  5349,  5355,  5360,  5367,
    5369,  5373,  5375,  5377,  5379,  5381,  5384,  5389,  5391,  5393,
    5395,  5396,  5398,  5399,  5401,  5402,  5406,  5407,  5410,  5415,
    5419,  5425,  5427,  5429,  5431,  5433,  5435,  5437,  5439,  5441,
    5443,  5445,  5449,  5452,  5454,  5456,  5458,  5460,  5461,  5467,
    5472,  5476,  5477,  5479,  5481,  5483,  5485,  5490,  5500,  5504,
    5505,  5512,  5514,  5519,  5522,  5524,  5528,  5531,  5535,  5536,
    5544,  5547,  5548,  5554,  5558,  5559,  5562,  5565,  5568,  5572,
    5574,  5578,  5580,  5583,  5585,  5586,  5595,  5597,  5601,  5603,
    5605,  5609,  5615,  5618,  5620,  5624,  5632,  5634,  5636,  5637,
    5641,  5644,  5647,  5650,  5651,  5654,  5657,  5659,  5661,  5665,
    5669,  5671,  5674,  5679,  5684,  5687,  5691,  5697,  5703,  5705,
    5707,  5717,  5719,  5722,  5727,  5732,  5737,  5740,  5744,  5746,
    5750,  5757,  5759,  5760,  5763,  5765,  5766,  5770,  5774,  5779,
    5784,  5789,  5794,  5798,  5801,  5803,  5805,  5806,  5808,  5810,
    5811,  5813,  5819,  5821,  5822,  5824,  5825,  5829,  5831,  5835,
    5840,  5844,  5847,  5850,  5852,  5854,  5856,  5857,  5860,  5865,
    5871,  5874,  5878,  5880,  5882,  5884,  5886,  5890,  5891,  5893,
    5895,  5897,  5899,  5901,  5905,  5906,  5909,  5910,  5912,  5916,
    5918,  5919,  5921,  5924,  5928,  5931,  5936,  5939,  5943,  5946,
    5947,  5950,  5954,  5957,  5958,  5960,  5964,  5967,  5970,  5974,
    5977,  5981,  5983,  5988,  5992,  5997,  6003,  6008,  6014,  6019,
    6025,  6028,  6033,  6035,  6037,  6038,  6040,  6045,  6051,  6056,
    6057,  6060,  6063,  6066,  6068,  6070,  6071,  6076,  6079,  6081,
    6084,  6087,  6092,  6094,  6098,  6100,  6103,  6107,  6110,  6117,
    6120,  6122,  6126,  6131,  6132,  6134,  6135,  6138,  6139,  6142,
    6147,  6148,  6150,  6151,  6153,  6157,  6161,  6164,  6168,  6174,
    6181,  6184,  6188,  6192,  6197,  6198,  6200,  6202,  6204,  6206,
    6208,  6211,  6217,  6219,  6221,  6223,  6225,  6228,  6232,  6236,
    6237,  6239,  6241,  6243,  6245,  6247,  6250,  6253,  6256,  6259,
    6262,  6264,  6268,  6269,  6271,  6273,  6275,  6277,  6283,  6286,
    6288,  6290,  6292,  6294,  6300,  6303,  6306,  6309,  6311,  6315,
    6319,  6322,  6324,  6325,  6329,  6330,  6336,  6339,  6345,  6348,
    6350,  6353,  6357,  6358,  6360,  6362,  6364,  6366,  6368,  6370,
    6374,  6378,  6382,  6386,  6390,  6394,  6398,  6399,  6401,  6406,
    6408,  6412,  6416,  6422,  6425,  6428,  6432,  6436,  6440,  6444,
    6448,  6452,  6456,  6460,  6464,  6468,  6471,  6474,  6478,  6482,
    6485,  6489,  6495,  6500,  6507,  6511,  6517,  6522,  6529,  6534,
    6541,  6547,  6555,  6559,  6562,  6567,  6570,  6574,  6578,  6583,
    6587,  6592,  6596,  6601,  6607,  6614,  6621,  6629,  6636,  6644,
    6651,  6659,  6663,  6668,  6673,  6680,  6683,  6687,  6692,  6694,
    6698,  6701,  6704,  6708,  6712,  6716,  6720,  6724,  6728,  6732,
    6736,  6740,  6744,  6747,  6750,  6756,  6763,  6770,  6778,  6782,
    6787,  6789,  6791,  6794,  6799,  6801,  6803,  6805,  6808,  6811,
    6814,  6817,  6819,  6823,  6829,  6836,  6845,  6852,  6859,  6864,
    6869,  6871,  6873,  6875,  6881,  6883,  6885,  6890,  6892,  6897,
    6899,  6904,  6906,  6911,  6913,  6915,  6917,  6919,  6921,  6923,
    6930,  6935,  6940,  6945,  6950,  6957,  6963,  6969,  6975,  6980,
    6987,  6992,  6997,  7002,  7007,  7013,  7021,  7029,  7039,  7045,
    7050,  7057,  7063,  7071,  7079,  7087,  7090,  7094,  7098,  7102,
    7107,  7108,  7113,  7115,  7119,  7123,  7125,  7127,  7129,  7132,
    7135,  7136,  7139,  7144,  7149,  7156,  7162,  7163,  7169,  7170,
    7173,  7174,  7176,  7180,  7184,  7187,  7190,  7191,  7198,  7200,
    7201,  7205,  7206,  7209,  7212,  7213,  7215,  7220,  7223,  7226,
    7229,  7232,  7235,  7240,  7244,  7250,  7252,  7254,  7256,  7258,
    7260,  7262,  7264,  7266,  7268,  7270,  7272,  7274,  7276,  7278,
    7280,  7285,  7287,  7292,  7294,  7299,  7301,  7304,  7306,  7309,
    7311,  7315,  7317,  7321,  7323,  7327,  7329,  7333,  7337,  7341,
    7344,  7346,  7350,  7354,  7355,  7357,  7359,  7361,  7363,  7365,
    7367,  7369,  7371,  7376,  7380,  7383,  7387,  7388,  7392,  7396,
    7399,  7402,  7404,  7405,  7408,  7411,  7415,  7418,  7420,  7422,
    7426,  7432,  7434,  7437,  7442,  7445,  7446,  7448,  7449,  7451,
    7454,  7457,  7460,  7464,  7470,  7472,  7475,  7476,  7479,  7481,
    7482,  7484,  7486,  7488,  7492,  7496,  7498,  7499,  7501,  7505,
    7509,  7512,  7514,  7516,  7518,  7522,  7524,  7527,  7529,  7533,
    7535,  7537,  7539,  7541,  7543,  7545,  7547,  7550,  7552,  7554,
    7556,  7558,  7560,  7563,  7570,  7573,  7577,  7584,  7586,  7588,
    7590,  7592,  7594,  7596,  7598,  7600,  7604,  7606,  7608,  7611,
    7614,  7616,  7618,  7620,  7622,  7624,  7626,  7628,  7630,  7632,
    7634,  7636,  7638,  7640,  7642,  7644,  7646,  7648,  7650,  7652,
    7654,  7656,  7658,  7660,  7662,  7664,  7666,  7668,  7670,  7672,
    7674,  7676,  7678,  7680,  7682,  7684,  7686,  7688,  7690,  7692,
    7694,  7696,  7698,  7700,  7702,  7704,  7706,  7708,  7710,  7712,
    7714,  7716,  7718,  7720,  7722,  7724,  7726,  7728,  7730,  7732,
    7734,  7736,  7738,  7740,  7742,  7744,  7746,  7748,  7750,  7752,
    7754,  7756,  7758,  7760,  7762,  7764,  7766,  7768,  7770,  7772,
    7774,  7776,  7778,  7780,  7782,  7784,  7786,  7788,  7790,  7792,
    7794,  7796,  7798,  7800,  7802,  7804,  7806,  7808,  7810,  7812,
    7814,  7816,  7818,  7820,  7822,  7824,  7826,  7828,  7830,  7832,
    7834,  7836,  7838,  7840,  7842,  7844,  7846,  7848,  7850,  7852,
    7854,  7856,  7858,  7860,  7862,  7864,  7866,  7868,  7870,  7872,
    7874,  7876,  7878,  7880,  7882,  7884,  7886,  7888,  7890,  7892,
    7894,  7896,  7898,  7900,  7902,  7904,  7906,  7908,  7910,  7912,
    7914,  7916,  7918,  7920,  7922,  7924,  7926,  7928,  7930,  7932,
    7934,  7936,  7938,  7940,  7942,  7944,  7946,  7948,  7950,  7952,
    7954,  7956,  7958,  7960,  7962,  7964,  7966,  7968,  7970,  7972,
    7974,  7976,  7978,  7980,  7982,  7984,  7986,  7988,  7990,  7992,
    7994,  7996,  7998,  8000,  8002,  8004,  8006,  8008,  8010,  8012,
    8014,  8016,  8018,  8020,  8022,  8024,  8026,  8028,  8030,  8032,
    8034,  8036,  8038,  8040,  8042,  8044,  8046,  8048,  8050,  8052,
    8054,  8056,  8058,  8060,  8062,  8064,  8066,  8068,  8070,  8072,
    8074,  8076,  8078,  8080,  8082,  8084,  8086,  8088,  8090,  8092,
    8094,  8096,  8098,  8100,  8102,  8104,  8106,  8108,  8110,  8112,
    8114,  8116,  8118,  8120,  8122,  8124,  8126,  8128,  8130,  8132,
    8134,  8136,  8138,  8140,  8142,  8144,  8146,  8148,  8150,  8152,
    8154,  8156,  8158,  8160,  8162,  8164,  8166,  8168,  8170,  8172,
    8174,  8176,  8178,  8180,  8182,  8184,  8186,  8188,  8190,  8192,
    8194,  8196,  8198,  8200,  8202,  8204,  8206,  8208,  8210,  8212,
    8214,  8216,  8218,  8220,  8222,  8224,  8226,  8228,  8230,  8232,
    8234,  8236,  8238,  8240,  8242,  8244,  8246,  8248,  8250,  8252,
    8254,  8256,  8258,  8260,  8262,  8264,  8266,  8268,  8270,  8272,
    8274,  8276,  8278,  8280,  8282,  8284,  8286,  8288,  8290,  8292,
    8294,  8296,  8298,  8300,  8302,  8304,  8306,  8308,  8310,  8312,
    8314,  8316,  8318,  8320,  8322,  8324,  8326,  8328,  8330,  8332,
    8334,  8336,  8338,  8340,  8342,  8344,  8346,  8348,  8350,  8352,
    8354,  8356,  8358,  8360,  8362,  8364,  8366,  8368,  8370,  8372,
    8374,  8376,  8378,  8380,  8382,  8384,  8386,  8388,  8390,  8392,
    8394,  8396,  8398,  8400,  8402,  8404,  8405,  8408,  8413,  8417,
    8420,  8422,  8424,  8426,  8428,  8430,  8431,  8440,  8443,  8449,
    8453,  8456,  8459,  8463,  8471,  8473,  8475,  8477,  8478,  8481,
    8484,  8486,  8487,  8489,  8493,  8495,  8498,  8499,  8502,  8503,
    8506,  8507,  8509,  8513,  8518,  8522,  8524,  8526,  8528,  8530,
    8533,  8534,  8537,  8542,  8543,  8546,  8549,  8552,  8554,  8556,
    8564,  8568,  8570,  8572,  8574,  8576,  8579,  8580,  8582,  8586,
    8590,  8594,  8598,  8599,  8604,  8610,  8616,  8617,  8619,  8621,
    8623,  8626,  8629,  8631,  8634,  8635,  8643,  8644,  8650,  8651,
    8656,  8659,  8662,  8663,  8666,  8668,  8670,  8672,  8674,  8676,
    8678,  8680,  8682,  8684,  8686,  8688,  8694,  8697,  8699,  8703,
    8706,  8709,  8713,  8714,  8720,  8722,  8723,  8729,  8732,  8735,
    8737,  8739,  8741,  8744,  8747,  8751,  8753,  8756,  8759,  8763,
    8767,  8772,  8775,  8777,  8780,  8782,  8784,  8787,  8790,  8794,
    8796,  8798,  8800,  8802,  8803,  8805,  8809,  8815,  8816,  8819,
    8820,  8822,  8825,  8829,  8832,  8834,  8836,  8838,  8839,  8841,
    8843,  8845,  8847,  8849,  8852,  8855,  8859,  8860,  8862,  8865,
    8867,  8872,  8876,  8881,  8885,  8888,  8890,  8894,  8896,  8898,
    8900,  8902,  8905,  8908,  8910,  8913,  8916,  8918,  8920,  8922,
    8927,  8932,  8937,  8942,  8947,  8949,  8950,  8954,  8958,  8963,
    8965,  8969,  8973,  8978,  8980,  8984,  8988,  8990,  8992,  8994,
    9001,  9003,  9007,  9011,  9018,  9020,  9024,  9028,  9030,  9032,
    9035,  9038,  9040,  9042,  9044,  9046,  9048,  9050,  9052,  9054,
    9056,  9058,  9060,  9062,  9064,  9066,  9068,  9070,  9075,  9080,
    9082,  9084,  9089,  9094,  9098,  9099,  9107,  9109,  9110,  9111,
    9119,  9123,  9128,  9132,  9134,  9136,  9138,  9141,  9145,  9151,
    9154,  9160,  9163,  9165,  9167,  9169,  9171,  9173,  9175,  9177,
    9179,  9181,  9183,  9185,  9187,  9189,  9191,  9193,  9195,  9197,
    9199,  9201,  9203,  9205,  9207,  9209,  9211,  9213,  9215,  9217,
    9219,  9221,  9223,  9225,  9227,  9229,  9231,  9233,  9235,  9237,
    9239,  9241,  9243,  9245,  9247,  9249,  9251,  9253,  9255,  9257,
    9259,  9261,  9263,  9265,  9267,  9269,  9271,  9273,  9275,  9277,
    9279,  9281,  9283,  9285,  9287,  9289,  9291,  9293,  9295,  9297,
    9299,  9301,  9303,  9305,  9307,  9309,  9311,  9313,  9315,  9317,
    9319,  9321,  9323,  9325,  9327,  9329,  9331,  9333,  9335,  9337,
    9339,  9341,  9343,  9345,  9347,  9349,  9351,  9353,  9355,  9357,
    9359,  9363,  9365,  9366,  9368,  9371,  9373,  9376,  9378,  9380,
    9382,  9385,  9388,  9390,  9392,  9394,  9396,  9398,  9400,  9402,
    9404,  9406,  9408,  9410,  9412,  9414,  9416,  9418,  9420,  9423,
    9427,  9429,  9432,  9434,  9438,  9440,  9444,  9446,  9448,  9450,
    9452,  9454,  9456,  9458,  9460,  9462,  9464,  9466,  9468,  9470,
    9472,  9474,  9476,  9478,  9480,  9482,  9484,  9486,  9488,  9490,
    9492,  9494,  9496,  9498,  9500,  9502,  9504,  9506,  9508,  9510,
    9512,  9514,  9516,  9518,  9520,  9522,  9524,  9526,  9528,  9530,
    9532,  9534,  9536,  9538,  9540,  9542,  9544,  9546,  9548,  9550,
    9552,  9554,  9556,  9558,  9560,  9562,  9564,  9566,  9569,  9573,
    9576,  9580,  9582,  9586,  9590,  9594,  9598,  9602,  9606,  9608,
    9610,  9615,  9616,  9619,  9622,  9624,  9626,  9629,  9631,  9633,
    9635,  9636
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     522,     0,    -1,  1090,    -1,   714,    -1,   864,    -1,   865,
      -1,   778,    -1,   871,    -1,   728,    -1,   666,    -1,   669,
      -1,   675,    -1,   689,    -1,   691,    -1,   816,    -1,   539,
      -1,   838,    -1,   839,    -1,   645,    -1,   869,    -1,   569,
      -1,   834,    -1,   581,    -1,   533,    -1,   531,    -1,   874,
      -1,   873,    -1,   695,    -1,   535,    -1,   534,    -1,   881,
      -1,   567,    -1,   584,    -1,   876,    -1,   752,    -1,   564,
      -1,   585,    -1,  1092,    -1,   716,    -1,   827,    -1,   875,
      -1,   870,    -1,   663,    -1,   670,    -1,   684,    -1,   690,
      -1,   794,    -1,   538,    -1,   640,    -1,   730,    -1,   737,
      -1,   738,    -1,   652,    -1,   542,    -1,   644,    -1,   601,
      -1,   660,    -1,   696,    -1,   710,    -1,   524,    -1,   530,
      -1,   692,    -1,   860,    -1,  1233,    -1,   916,    -1,   718,
      -1,   903,    -1,   568,    -1,   824,    -1,   717,    -1,   829,
      -1,   674,    -1,   688,    -1,   541,    -1,   741,    -1,   742,
      -1,   743,    -1,   658,    -1,   847,    -1,   745,    -1,   662,
      -1,   709,    -1,   536,    -1,   537,    -1,   694,    -1,   868,
      -1,   896,    -1,   887,    -1,   759,    -1,   763,    -1,   774,
      -1,   783,    -1,   898,    -1,   850,    -1,   643,    -1,   859,
      -1,   905,    -1,   848,    -1,   893,    -1,   744,    -1,   831,
      -1,   820,    -1,   819,    -1,   821,    -1,   835,    -1,   764,
      -1,   775,    -1,   840,    -1,   755,    -1,   920,    -1,   852,
      -1,   750,    -1,   851,    -1,   909,    -1,   878,    -1,   558,
      -1,   546,    -1,   563,    -1,   857,    -1,  1169,    -1,  1095,
      -1,  1112,    -1,  1170,    -1,  1152,    -1,  1167,    -1,  1153,
      -1,  1113,    -1,  1157,    -1,  1179,    -1,  1171,    -1,  1158,
      -1,  1187,    -1,  1189,    -1,  1182,    -1,  1174,    -1,  1190,
      -1,  1193,    -1,  1195,    -1,    -1,   160,   385,  1082,   525,
     526,    -1,   477,    -1,    -1,   526,   529,    -1,    -1,   527,
     528,    -1,    -1,   346,  1223,    -1,   346,   318,    -1,   202,
     346,  1223,    -1,   449,   346,  1223,    -1,   254,    -1,   152,
     288,  1084,    -1,   460,   455,  1223,    -1,   457,  1083,    -1,
    1225,    -1,   528,    -1,   424,  1081,    -1,    96,  1083,    -1,
     385,  1083,    -1,   249,   385,  1083,    -1,   249,   237,  1083,
      -1,   160,   457,  1082,   525,   526,    -1,   101,   385,  1082,
     525,   527,    -1,    -1,   249,   174,  1074,    -1,   101,   385,
    1082,   532,   561,    -1,   101,   385,    99,   532,   561,    -1,
     101,   457,  1082,   525,   527,    -1,   101,   457,  1082,   561,
      -1,   197,   385,  1083,    -1,   197,   385,   244,   212,  1083,
      -1,   197,   457,  1083,    -1,   197,   457,   244,   212,  1083,
      -1,   160,   237,  1082,   525,   526,    -1,   101,   237,  1082,
     540,   457,  1083,    -1,    95,    -1,   197,    -1,   197,   237,
    1083,    -1,   197,   237,   244,   212,  1083,    -1,   160,   391,
     543,   115,  1082,   544,    -1,   160,   391,  1203,   544,    -1,
     160,   391,   244,   313,   212,   543,   115,  1082,   544,    -1,
     160,   391,   244,   313,   212,  1203,   544,    -1,  1203,    -1,
      -1,   544,   545,    -1,    -1,   601,    -1,   783,    -1,   644,
      -1,   696,    -1,   763,    -1,   857,    -1,   403,   547,    -1,
     403,   291,   547,    -1,   403,   401,   547,    -1,   438,   855,
      -1,   401,   136,   108,   438,   855,    -1,   549,    -1,   550,
     436,   551,    -1,   550,   500,   551,    -1,   550,   436,   180,
      -1,   550,   500,   180,    -1,   548,    -1,   550,   229,   163,
      -1,   434,   495,   555,    -1,   132,  1223,    -1,   391,  1223,
      -1,   306,   556,    -1,   385,   557,    -1,   401,   115,   557,
      -1,   401,   115,   180,    -1,   483,   330,  1016,    -1,   438,
     410,  1223,    -1,  1202,    -1,   550,   515,  1203,    -1,   552,
      -1,   551,   516,   552,    -1,   554,    -1,   650,    -1,   363,
     448,    -1,   363,   149,    -1,   375,   363,    -1,   399,    -1,
     442,    -1,   217,    -1,   327,    -1,   557,    -1,  1223,    -1,
    1225,    -1,  1000,  1223,  1002,    -1,  1000,   513,  1081,   514,
    1223,  1002,    -1,   650,    -1,   180,    -1,   291,    -1,  1223,
      -1,   180,    -1,    -1,  1085,    -1,  1223,    -1,   378,   559,
      -1,   560,    -1,   434,   495,    -1,   438,   272,   286,    -1,
     401,   115,    -1,   550,    -1,    99,    -1,   403,   547,    -1,
     558,    -1,   403,   549,    -1,   558,    -1,   406,   550,  1236,
      -1,   406,   434,   495,  1236,    -1,   406,   438,   272,   286,
    1236,    -1,   406,   401,   115,  1236,    -1,   406,    99,    -1,
     403,   154,   565,   566,    -1,    99,    -1,  1070,    -1,   183,
      -1,   246,    -1,   138,    -1,   191,    99,    -1,   191,   429,
      -1,   191,   431,    -1,   191,   348,    -1,   191,   398,    -1,
     101,   426,   967,   570,    -1,   101,   426,   244,   212,   967,
     570,    -1,   101,   426,    99,   249,   428,  1073,   403,   428,
    1073,   908,    -1,   101,   426,    99,   249,   428,  1073,   340,
     125,  1083,   403,   428,  1073,   908,    -1,   101,   252,  1071,
     570,    -1,   101,   252,   244,   212,  1071,   570,    -1,   101,
     252,    99,   249,   428,  1073,   403,   428,  1073,   908,    -1,
     101,   252,    99,   249,   428,  1073,   340,   125,  1083,   403,
     428,  1073,   908,    -1,   101,   397,  1071,   570,    -1,   101,
     397,   244,   212,  1071,   570,    -1,   101,   470,  1071,   570,
      -1,   101,   470,   244,   212,  1071,   570,    -1,   101,   298,
     470,  1071,   570,    -1,   101,   298,   470,   244,   212,  1071,
     570,    -1,   101,   298,   470,    99,   249,   428,  1073,   403,
     428,  1073,   908,    -1,   101,   298,   470,    99,   249,   428,
    1073,   340,   125,  1083,   403,   428,  1073,   908,    -1,   571,
      -1,   570,   516,   571,    -1,    95,   609,    -1,    95,   145,
     609,    -1,   101,   836,  1203,   572,    -1,   101,   836,  1203,
     197,   313,   318,    -1,   101,   836,  1203,   403,   313,   318,
      -1,   101,   836,  1203,   403,   416,  1084,    -1,   101,   836,
    1203,   403,   577,    -1,   101,   836,  1203,   378,   577,    -1,
     101,   836,  1203,   403,   419,  1203,    -1,   197,   836,   244,
     212,  1203,   573,    -1,   197,   836,  1203,   573,    -1,   101,
     836,  1203,   837,   445,   980,   574,   575,    -1,   101,   836,
    1203,   678,    -1,    95,   618,    -1,   101,   153,  1073,   707,
      -1,   461,   153,  1073,    -1,   197,   153,   244,   212,  1073,
     573,    -1,   197,   153,  1073,   573,    -1,   403,   477,   326,
      -1,   403,   479,   326,    -1,   141,   327,  1073,    -1,   403,
     479,   141,    -1,   200,   440,  1073,    -1,   200,   102,   440,
    1073,    -1,   200,   377,   440,  1073,    -1,   200,   440,    99,
      -1,   200,   440,   457,    -1,   190,   440,  1073,    -1,   190,
     440,    99,    -1,   190,   440,   457,    -1,   200,   389,  1073,
      -1,   200,   102,   389,  1073,    -1,   200,   377,   389,  1073,
      -1,   190,   389,  1073,    -1,   254,  1071,    -1,   311,   254,
    1071,    -1,   323,   748,    -1,   313,   323,    -1,   341,   436,
    1082,    -1,   403,   428,  1073,    -1,   403,   577,    -1,   378,
     577,    -1,   377,   243,   576,    -1,   678,    -1,   403,   180,
    1004,    -1,   197,   180,    -1,   128,    -1,   380,    -1,    -1,
     143,   748,    -1,    -1,   458,  1004,    -1,    -1,   314,    -1,
     230,    -1,   180,    -1,   458,   252,  1073,    -1,   513,   579,
     514,    -1,   477,   577,    -1,    -1,   580,    -1,   579,   516,
     580,    -1,  1205,   500,   722,    -1,  1205,    -1,  1205,   515,
    1205,   500,   722,    -1,  1205,   515,  1205,    -1,   101,   445,
     748,   582,    -1,   583,    -1,   582,   516,   583,    -1,    95,
     114,   979,   573,    -1,   197,   114,   244,   212,  1203,   573,
      -1,   197,   114,  1203,   573,    -1,   101,   114,  1203,   837,
     445,   980,   574,   573,    -1,   140,   917,    -1,   140,    99,
      -1,   158,   592,  1071,   621,   593,   586,   587,   588,   594,
     525,   589,    -1,   158,   921,   436,   587,   588,   525,   589,
      -1,   229,    -1,   436,    -1,   360,    -1,    -1,  1223,    -1,
     417,    -1,   418,    -1,   590,    -1,   513,   596,   514,    -1,
     590,   591,    -1,    -1,   121,    -1,   326,    -1,   228,    -1,
     186,   872,  1223,    -1,   318,   872,  1223,    -1,   162,    -1,
     240,    -1,   361,   872,  1223,    -1,   205,   872,  1223,    -1,
     225,   361,   622,    -1,   225,   361,   506,    -1,   225,   313,
     318,   622,    -1,   225,   318,   622,    -1,   201,  1223,    -1,
     121,    -1,    -1,   477,   326,    -1,    -1,   595,   187,  1223,
      -1,    -1,   458,    -1,    -1,   597,    -1,   596,   516,   597,
      -1,  1205,   598,    -1,   554,    -1,   650,    -1,   506,    -1,
     513,   599,   514,    -1,    -1,   600,    -1,   599,   516,   600,
      -1,   554,    -1,   160,   602,   426,  1071,   513,   603,   514,
     632,   633,   634,   635,    -1,   160,   602,   426,   244,   313,
     212,  1071,   513,   603,   514,   632,   633,   634,   635,    -1,
     160,   602,   426,  1071,   323,   748,   604,   633,   634,   635,
      -1,   160,   602,   426,   244,   313,   212,  1071,   323,   748,
     604,   633,   634,   635,    -1,   431,    -1,   429,    -1,   291,
     431,    -1,   291,   429,    -1,   233,   431,    -1,   233,   429,
      -1,   454,    -1,    -1,   605,    -1,    -1,   513,   606,   514,
      -1,    -1,   607,    -1,   605,   516,   607,    -1,   608,    -1,
     606,   516,   608,    -1,   609,    -1,   615,    -1,   618,    -1,
     610,    -1,   618,    -1,  1203,   980,   676,   611,    -1,  1203,
     477,   331,   611,    -1,   611,   612,    -1,    -1,   153,  1073,
     613,    -1,   613,    -1,   614,    -1,   143,   748,    -1,   313,
     318,    -1,   318,    -1,   451,   813,   636,    -1,   355,   274,
     813,   636,    -1,   137,   513,  1004,   514,   620,    -1,   180,
    1005,    -1,   369,  1071,   621,   624,   628,    -1,   182,    -1,
     313,   182,    -1,   256,   183,    -1,   256,   246,    -1,   287,
    1071,   616,    -1,   616,   250,   617,    -1,   616,   209,   617,
      -1,    -1,   181,    -1,   154,    -1,   253,    -1,   419,    -1,
     147,    -1,    99,    -1,   153,  1073,   619,    -1,   619,    -1,
     137,   513,  1004,   514,   707,    -1,   451,   513,   622,   514,
     813,   636,   707,    -1,   451,   637,   707,    -1,   355,   274,
     513,   622,   514,   813,   636,   707,    -1,   355,   274,   637,
     707,    -1,   208,   787,   513,   625,   514,   813,   636,   627,
     707,    -1,   226,   274,   513,   622,   514,   369,  1071,   621,
     624,   628,   707,    -1,   311,   254,    -1,    -1,   513,   622,
     514,    -1,    -1,   623,    -1,   622,   516,   623,    -1,  1203,
      -1,   297,   230,    -1,   297,   343,    -1,   297,   408,    -1,
      -1,   626,    -1,   625,   516,   626,    -1,   789,   477,   823,
      -1,   789,   477,   329,   513,   823,   514,    -1,   474,   513,
    1004,   514,    -1,    -1,   629,    -1,   630,    -1,   629,   630,
      -1,   630,   629,    -1,    -1,   327,   456,   631,    -1,   327,
     185,   631,    -1,   311,    94,    -1,   380,    -1,   128,    -1,
     403,   318,    -1,   403,   180,    -1,   255,   513,  1070,   514,
      -1,    -1,   477,   577,    -1,   477,   326,    -1,   479,   326,
      -1,    -1,   327,   148,   197,    -1,   327,   148,   185,   388,
      -1,   327,   148,   352,   388,    -1,    -1,   428,  1073,    -1,
      -1,   458,   252,   428,  1073,    -1,    -1,   458,   252,  1077,
      -1,  1071,   621,   633,   634,   635,    -1,   477,   173,    -1,
     477,   311,   173,    -1,    -1,   160,   642,   298,   470,   641,
     108,   920,   639,    -1,  1071,   621,   578,   635,    -1,   454,
      -1,    -1,   370,   298,   470,   785,  1071,   639,    -1,   160,
     602,   397,  1071,   646,    -1,   101,   397,  1071,   647,    -1,
     101,   397,   244,   212,  1071,   647,    -1,   647,    -1,    -1,
     648,    -1,   647,   648,    -1,   126,   650,    -1,   172,    -1,
     311,   172,    -1,   251,   649,   650,    -1,   299,   650,    -1,
     301,   650,    -1,   311,   299,    -1,   311,   301,    -1,   340,
     125,   748,    -1,   414,   525,   650,    -1,   379,    -1,   379,
     525,   650,    -1,   125,    -1,    -1,  1222,    -1,   505,  1222,
      -1,  1084,    -1,   650,    -1,   651,   516,   650,    -1,   160,
     795,   653,   659,   276,   557,    -1,   160,   795,   653,   659,
     276,   557,   238,   654,   655,   657,    -1,   444,    -1,    -1,
    1073,    -1,  1073,   749,    -1,   257,   654,    -1,    -1,   462,
     654,    -1,   311,   462,    -1,   656,    -1,    -1,   197,   659,
     276,   557,   573,    -1,   197,   659,   276,   244,   212,   557,
     573,    -1,   358,    -1,    -1,   160,   428,  1073,   661,   294,
    1223,   578,    -1,   341,  1073,    -1,    -1,   197,   428,  1073,
      -1,   197,   428,   244,   212,  1073,    -1,   160,   214,  1073,
     525,   664,    -1,   160,   214,   244,   313,   212,  1073,   525,
     664,    -1,   664,   665,    -1,    -1,   391,  1073,    -1,   469,
     557,    -1,   229,   557,    -1,   101,   214,  1073,   456,   667,
      -1,   667,   668,    -1,    -1,   436,   557,    -1,   101,   214,
    1073,   540,    98,  1079,   807,    -1,   101,   214,  1073,   540,
     131,   513,   980,   108,   980,   514,    -1,   101,   214,  1073,
     540,   144,   748,    -1,   101,   214,  1073,   540,   157,   748,
      -1,   101,   214,  1073,   540,   195,   748,    -1,   101,   214,
    1073,   540,   231,   773,    -1,   101,   214,  1073,   540,   659,
     276,  1073,    -1,   101,   214,  1073,   540,   329,   823,   822,
      -1,   101,   214,  1073,   540,   329,   139,   748,   458,  1075,
      -1,   101,   214,  1073,   540,   329,   218,   748,   458,  1075,
      -1,   101,   214,  1073,   540,   391,  1073,    -1,   101,   214,
    1073,   540,   206,   440,  1073,    -1,   101,   214,  1073,   540,
     426,   748,    -1,   101,   214,  1073,   540,   432,   393,   342,
     748,    -1,   101,   214,  1073,   540,   432,   393,   189,   748,
      -1,   101,   214,  1073,   540,   432,   393,   430,   748,    -1,
     101,   214,  1073,   540,   432,   393,   151,   748,    -1,   101,
     214,  1073,   540,   397,   748,    -1,   101,   214,  1073,   540,
     470,   748,    -1,   101,   214,  1073,   540,   298,   470,   748,
      -1,   101,   214,  1073,   540,   226,   426,   748,    -1,   101,
     214,  1073,   540,   226,   173,   481,  1073,    -1,   101,   214,
    1073,   540,   400,  1073,    -1,   101,   214,  1073,   540,   445,
     748,    -1,   160,   226,   173,   481,  1073,   673,   676,    -1,
     238,   654,    -1,   311,   238,    -1,   462,   654,    -1,   311,
     462,    -1,   671,    -1,   672,   671,    -1,   672,    -1,    -1,
     197,   226,   173,   481,  1073,   573,    -1,   197,   226,   173,
     481,   244,   212,  1073,   573,    -1,   101,   226,   173,   481,
    1073,   673,   678,    -1,   101,   226,   173,   481,  1073,   672,
      -1,   331,   513,   677,   514,    -1,    -1,   681,    -1,   677,
     516,   681,    -1,   331,   513,   679,   514,    -1,   680,    -1,
     679,   516,   680,    -1,   681,    -1,   403,   681,    -1,    95,
     681,    -1,   197,   682,    -1,   682,   683,    -1,  1205,    -1,
    1223,    -1,   160,   400,  1073,   685,   687,   226,   173,   481,
    1073,   676,    -1,   445,  1223,    -1,    -1,   469,  1223,    -1,
     469,   318,    -1,   686,    -1,    -1,   197,   400,  1073,   573,
      -1,   197,   400,   244,   212,  1073,   573,    -1,   101,   400,
    1073,   686,   678,    -1,   101,   400,  1073,   686,    -1,   101,
     400,  1073,   678,    -1,   160,   226,   426,  1071,   513,   603,
     514,   400,  1073,   676,    -1,   160,   226,   426,   244,   313,
     212,  1071,   513,   603,   514,   400,  1073,   676,    -1,   101,
     226,   426,   967,   570,    -1,   101,   226,   426,   244,   212,
     967,   570,    -1,   160,   457,   296,   224,   693,   400,  1073,
     676,    -1,   170,    -1,   457,    -1,  1082,    -1,   197,   457,
     296,   224,   693,   400,  1073,    -1,   197,   457,   296,   244,
     212,   224,   693,   400,  1073,    -1,   101,   457,   296,   224,
     693,   400,  1073,   678,    -1,   160,   440,  1073,   697,   698,
     327,  1071,   700,   703,   211,   359,  1079,   513,   704,   514,
      -1,   160,   153,   440,  1073,    97,   698,   327,  1071,   706,
     707,   224,   198,   387,   703,   211,   359,  1079,   513,   704,
     514,    -1,   117,    -1,    97,    -1,   263,   323,    -1,   699,
      -1,   698,   332,   699,    -1,   262,    -1,   185,    -1,   456,
      -1,   456,   323,   622,    -1,   443,    -1,   224,   701,   702,
      -1,    -1,   198,    -1,    -1,   387,    -1,   415,    -1,   473,
     513,  1004,   514,    -1,    -1,   705,    -1,   704,   516,   705,
      -1,    -1,  1081,    -1,  1222,    -1,  1223,    -1,  1205,    -1,
     229,  1071,    -1,    -1,    -1,   707,   708,    -1,   313,   182,
      -1,   182,    -1,   256,   246,    -1,   256,   183,    -1,   313,
     460,    -1,   311,   254,    -1,   197,   440,  1073,   327,   748,
     573,    -1,   197,   440,   244,   212,  1073,   327,   748,   573,
      -1,   160,   206,   440,  1073,   327,  1205,   211,   359,  1079,
     513,   514,    -1,   160,   206,   440,  1073,   327,  1205,   473,
     711,   211,   359,  1079,   513,   514,    -1,   712,    -1,   711,
     105,   712,    -1,  1203,   249,   513,   713,   514,    -1,    82,
      -1,   713,   516,    82,    -1,   101,   206,   440,  1073,   715,
      -1,   200,    -1,   200,   377,    -1,   200,   102,    -1,   190,
      -1,   160,   110,  1073,   137,   513,  1004,   514,   707,    -1,
     197,   110,  1073,   573,    -1,   160,    98,  1079,   807,   719,
      -1,   160,    98,  1079,   723,    -1,   160,   329,   823,   719,
      -1,   160,   445,   748,   719,    -1,   160,   445,   748,    -1,
     160,   445,   748,   108,   513,   977,   514,    -1,   160,   445,
     748,   108,   204,   513,   726,   514,    -1,   160,   445,   748,
     108,   362,   719,    -1,   160,   432,   393,   342,   748,   719,
      -1,   160,   432,   393,   189,   748,   719,    -1,   160,   432,
     393,   430,   748,   719,    -1,   160,   432,   393,   151,   748,
     719,    -1,   160,   144,   748,   719,    -1,   160,   144,   748,
     229,   748,    -1,   513,   720,   514,    -1,   721,    -1,   720,
     516,   721,    -1,  1205,   500,   722,    -1,  1205,    -1,   804,
      -1,  1089,    -1,  1036,    -1,   650,    -1,  1223,    -1,   513,
     724,   514,    -1,   725,    -1,   724,   516,   725,    -1,  1225,
     500,   722,    -1,   727,    -1,    -1,  1223,    -1,   727,   516,
    1223,    -1,   101,   445,   748,    95,   463,   729,  1223,    -1,
     101,   445,   748,    95,   463,   729,  1223,   117,  1223,    -1,
     101,   445,   748,    95,   463,   729,  1223,    97,  1223,    -1,
     244,   313,   212,    -1,    -1,   160,   329,   139,   748,   733,
     224,   445,   980,   458,  1075,   734,   108,   731,    -1,   732,
      -1,   731,   516,   732,    -1,   329,  1081,   823,   735,   736,
      -1,   329,  1081,   823,   822,   735,   736,    -1,   231,  1081,
    1079,   796,    -1,   231,  1081,   513,  1041,   514,  1079,   796,
      -1,   419,   980,    -1,   180,    -1,    -1,   218,   748,    -1,
      -1,   224,   393,    -1,   224,   333,   125,   748,    -1,    -1,
     366,    -1,    -1,   160,   329,   218,   748,   458,  1075,    -1,
     101,   329,   218,   748,   458,  1075,    95,   731,    -1,   101,
     329,   218,   748,   458,  1075,   197,   739,    -1,   740,    -1,
     739,   516,   740,    -1,   329,  1081,   513,  1041,   514,    -1,
     231,  1081,   513,  1041,   514,    -1,   197,   329,   139,   748,
     458,  1075,   573,    -1,   197,   329,   139,   244,   212,   748,
     458,  1075,   573,    -1,   197,   329,   218,   748,   458,  1075,
     573,    -1,   197,   329,   218,   244,   212,   748,   458,  1075,
     573,    -1,   197,   340,   125,  1083,   573,    -1,   365,   340,
     125,  1083,   436,  1073,    -1,   197,   746,   244,   212,   747,
     573,    -1,   197,   746,   747,   573,    -1,   197,   252,   150,
     747,   573,    -1,   197,   252,   150,   244,   212,   747,   573,
      -1,   426,    -1,   397,    -1,   470,    -1,   298,   470,    -1,
     252,    -1,   226,   426,    -1,   206,   440,    -1,   445,    -1,
     195,    -1,   144,    -1,   157,    -1,   391,    -1,   214,    -1,
     432,   393,   342,    -1,   432,   393,   189,    -1,   432,   393,
     430,    -1,   432,   393,   151,    -1,   748,    -1,   747,   516,
     748,    -1,  1203,    -1,  1203,   749,    -1,   515,  1076,    -1,
     749,   515,  1076,    -1,   443,   931,   968,   751,   573,    -1,
     156,   243,    -1,   379,   243,    -1,    -1,   146,   327,   753,
     748,   270,   754,    -1,   146,   327,    98,  1079,   807,   270,
     754,    -1,   146,   327,   231,  1079,   796,   270,   754,    -1,
     146,   327,   329,   823,   822,   270,   754,    -1,   146,   327,
     153,  1073,   327,   748,   270,   754,    -1,   146,   327,   389,
    1073,   327,   748,   270,   754,    -1,   146,   327,   389,  1073,
     270,   754,    -1,   146,   327,   440,  1073,   327,   748,   270,
     754,    -1,   146,   327,   329,   139,   748,   458,  1075,   270,
     754,    -1,   146,   327,   329,   218,   748,   458,  1075,   270,
     754,    -1,   146,   327,   277,   322,   650,   270,   754,    -1,
     146,   327,   131,   513,   980,   108,   980,   514,   270,   754,
      -1,   146,   327,   659,   276,   748,   270,   754,    -1,   145,
      -1,   174,    -1,   391,    -1,   252,    -1,   397,    -1,   426,
      -1,   195,    -1,   445,    -1,   470,    -1,   298,   470,    -1,
     144,    -1,   157,    -1,   428,    -1,   214,    -1,   385,    -1,
     226,   426,    -1,   400,    -1,   226,   173,   481,    -1,   206,
     440,    -1,   432,   393,   151,    -1,   432,   393,   189,    -1,
     432,   393,   342,    -1,   432,   393,   430,    -1,  1223,    -1,
     318,    -1,   395,   275,   756,   327,   757,   748,   270,   758,
      -1,   395,   275,   756,   327,    98,  1079,   807,   270,   758,
      -1,   395,   275,   756,   327,   231,  1079,   796,   270,   758,
      -1,   395,   275,   756,   327,   277,   322,   650,   270,   758,
      -1,   395,   275,   756,   327,   659,   276,   748,   270,   758,
      -1,   224,   557,    -1,    -1,   145,    -1,   174,    -1,   206,
     440,    -1,   226,   426,    -1,   391,    -1,   397,    -1,   426,
      -1,   195,    -1,   385,    -1,   428,    -1,   445,    -1,   470,
      -1,   298,   470,    -1,  1223,    -1,   318,    -1,   219,   760,
      -1,   304,   760,    -1,   219,   760,  1237,    -1,   219,   227,
     917,  1238,    -1,   219,   227,   761,   917,  1238,    -1,   219,
     116,   917,  1238,    -1,   219,   116,   761,   917,  1238,    -1,
     304,   227,   917,    -1,   304,   227,   761,   917,    -1,   304,
     116,   917,    -1,   304,   116,   761,   917,    -1,   917,    -1,
     761,   917,    -1,   310,   762,   917,    -1,   356,   762,   917,
      -1,   221,   762,   917,    -1,   278,   762,   917,    -1,    92,
    1084,   762,   917,    -1,   372,  1084,   762,   917,    -1,  1084,
     762,   917,    -1,    99,   762,   917,    -1,   227,  1084,   762,
     917,    -1,   227,    99,   762,   917,    -1,   116,  1084,   762,
     917,    -1,   116,    99,   762,   917,    -1,   229,    -1,   249,
      -1,   761,    -1,    -1,   234,   765,   327,   768,   436,   769,
     771,    -1,   383,   765,   327,   768,   229,   769,   573,    -1,
     383,   234,   330,   224,   765,   327,   768,   229,   769,   573,
      -1,   766,    -1,    99,    -1,    99,   357,    -1,    99,   513,
     622,   514,    -1,    99,   357,   513,   622,   514,    -1,   767,
      -1,   766,   516,   767,    -1,   396,   621,    -1,   369,   621,
      -1,   160,   621,    -1,  1203,   621,    -1,  1070,    -1,   426,
    1070,    -1,   397,  1070,    -1,   226,   173,   481,  1072,    -1,
     226,   400,  1072,    -1,   231,   772,    -1,   174,  1072,    -1,
     195,   747,    -1,   276,  1072,    -1,   277,   322,   651,    -1,
     391,  1072,    -1,   428,  1072,    -1,   445,   747,    -1,    99,
     427,   249,   391,  1072,    -1,    99,   398,   249,   391,  1072,
      -1,    99,   232,   249,   391,  1072,    -1,   770,    -1,   769,
     516,   770,    -1,  1082,    -1,   237,  1082,    -1,   477,   234,
     330,    -1,    -1,   773,    -1,   772,   516,   773,    -1,  1079,
     796,    -1,   234,   766,   436,  1083,   776,   777,    -1,   383,
     766,   229,  1083,   777,   573,    -1,   383,    96,   330,   224,
     766,   229,  1083,   777,   573,    -1,   477,    96,   330,    -1,
      -1,   235,   125,  1082,    -1,    -1,   101,   180,   357,   779,
     781,    -1,   779,   780,    -1,    -1,   249,   391,  1072,    -1,
     224,   385,  1083,    -1,   224,   457,  1083,    -1,   234,   765,
     327,   782,   436,   769,   771,    -1,   383,   765,   327,   782,
     229,   769,   573,    -1,   383,   234,   330,   224,   765,   327,
     782,   229,   769,   573,    -1,   427,    -1,   232,    -1,   398,
      -1,   446,    -1,   160,   784,   252,   785,   786,   327,  1071,
     787,   513,   788,   514,   578,   635,   975,    -1,   451,    -1,
      -1,   150,    -1,    -1,  1077,    -1,    -1,   458,  1075,    -1,
      -1,   789,    -1,   788,   516,   789,    -1,  1203,   790,   791,
     792,   793,    -1,  1009,   790,   791,   792,   793,    -1,   513,
    1004,   514,   790,   791,   792,   793,    -1,   143,   748,    -1,
      -1,   748,    -1,   458,   748,    -1,    -1,   109,    -1,   188,
      -1,    -1,   496,    -1,   497,    -1,    -1,   160,   795,   231,
    1079,   798,   382,   803,   809,   813,    -1,   160,   795,   231,
    1079,   798,   382,   426,   513,   815,   514,   809,   813,    -1,
     160,   795,   231,  1079,   798,   809,   813,    -1,   332,   376,
      -1,    -1,   513,   797,   514,    -1,   513,   514,    -1,   800,
      -1,   797,   516,   800,    -1,   513,   799,   514,    -1,   513,
     514,    -1,   805,    -1,   799,   516,   805,    -1,   801,   802,
     804,    -1,   802,   801,   804,    -1,   802,   804,    -1,   801,
     804,    -1,   804,    -1,   249,    -1,   335,    -1,   259,    -1,
     249,   335,    -1,   466,    -1,  1204,    -1,   804,    -1,   980,
      -1,  1204,   749,   508,   445,    -1,   404,  1204,   749,   508,
     445,    -1,   800,    -1,   800,   180,  1004,    -1,   800,   500,
    1004,    -1,   800,    -1,   513,   506,   514,    -1,   513,   808,
     514,    -1,   513,   333,   125,   808,   514,    -1,   513,   808,
     333,   125,   808,   514,    -1,   806,    -1,   808,   516,   806,
      -1,   811,    -1,   809,   811,    -1,   127,   327,   318,   260,
      -1,   382,   318,   327,   318,   260,    -1,   420,    -1,   247,
      -1,   412,    -1,   472,    -1,   215,   395,   184,    -1,   215,
     395,   269,    -1,   395,   184,    -1,   395,   269,    -1,   283,
      -1,   313,   283,    -1,   159,   650,    -1,   388,   650,    -1,
     562,    -1,   108,   812,    -1,   276,   557,    -1,   476,    -1,
     810,    -1,  1223,    -1,  1223,   516,  1223,    -1,   477,   719,
      -1,    -1,   802,   804,    -1,   814,    -1,   815,   516,   814,
      -1,   101,   231,   773,   817,   818,    -1,   810,    -1,   817,
     810,    -1,   380,    -1,    -1,   197,   231,  1079,   796,   573,
      -1,   197,   231,   244,   212,  1079,   796,   573,    -1,   197,
      98,  1079,   807,   573,    -1,   197,    98,   244,   212,  1079,
     807,   573,    -1,   197,   329,   823,   822,   573,    -1,   197,
     329,   244,   212,   823,   822,   573,    -1,   513,   980,   514,
      -1,   513,   980,   516,   980,   514,    -1,   513,   312,   516,
     980,   514,    -1,   513,   980,   516,   312,   514,    -1,  1033,
      -1,  1203,   515,   823,    -1,   193,   825,    -1,   826,    -1,
     825,   826,    -1,  1223,    -1,   276,   557,    -1,   160,   131,
     513,   980,   108,   980,   514,   477,   231,   773,   828,    -1,
     160,   131,   513,   980,   108,   980,   514,   479,   231,   828,
      -1,   160,   131,   513,   980,   108,   980,   514,   477,   259,
     828,    -1,   108,   248,    -1,   108,   111,    -1,    -1,   197,
     131,   830,   513,   980,   108,   980,   514,   573,    -1,   244,
     212,    -1,    -1,   371,   832,  1071,   833,    -1,   371,   425,
    1073,   833,    -1,   371,   174,  1073,   833,    -1,   252,    -1,
     426,    -1,   225,    -1,    -1,   101,   428,  1073,   403,   577,
      -1,   101,   428,  1073,   378,   577,    -1,   101,    98,  1079,
     807,   374,   436,  1073,    -1,   101,   144,   748,   374,   436,
    1073,    -1,   101,   157,   748,   374,   436,  1073,    -1,   101,
     174,  1074,   374,   436,  1074,    -1,   101,   195,   748,   374,
     436,  1073,    -1,   101,   195,   748,   374,   153,  1073,   436,
    1073,    -1,   101,   226,   173,   481,  1073,   374,   436,  1073,
      -1,   101,   231,   773,   374,   436,  1073,    -1,   101,   237,
    1082,   374,   436,  1082,    -1,   101,   659,   276,  1073,   374,
     436,  1073,    -1,   101,   329,   139,   748,   458,  1075,   374,
     436,  1073,    -1,   101,   329,   218,   748,   458,  1075,   374,
     436,  1073,    -1,   101,   391,  1073,   374,   436,  1073,    -1,
     101,   400,  1073,   374,   436,  1073,    -1,   101,   426,   967,
     374,   436,  1073,    -1,   101,   426,   244,   212,   967,   374,
     436,  1073,    -1,   101,   397,  1071,   374,   436,  1073,    -1,
     101,   397,   244,   212,  1071,   374,   436,  1073,    -1,   101,
     470,  1071,   374,   436,  1073,    -1,   101,   470,   244,   212,
    1071,   374,   436,  1073,    -1,   101,   298,   470,  1071,   374,
     436,  1073,    -1,   101,   298,   470,   244,   212,  1071,   374,
     436,  1073,    -1,   101,   252,  1071,   374,   436,  1073,    -1,
     101,   252,   244,   212,  1071,   374,   436,  1073,    -1,   101,
     226,   426,   967,   374,   436,  1073,    -1,   101,   226,   426,
     244,   212,   967,   374,   436,  1073,    -1,   101,   426,   967,
     374,   836,  1073,   436,  1073,    -1,   101,   426,   244,   212,
     967,   374,   836,  1073,   436,  1073,    -1,   101,   298,   470,
    1071,   374,   836,  1073,   436,  1073,    -1,   101,   298,   470,
     244,   212,  1071,   374,   836,  1073,   436,  1073,    -1,   101,
     426,   967,   374,   153,  1073,   436,  1073,    -1,   101,   226,
     426,   967,   374,   836,  1073,   436,  1073,    -1,   101,   226,
     426,   244,   212,   967,   374,   836,  1073,   436,  1073,    -1,
     101,   389,  1073,   327,  1071,   374,   436,  1073,    -1,   101,
     440,  1073,   327,  1071,   374,   436,  1073,    -1,   101,   206,
     440,  1073,   374,   436,  1073,    -1,   101,   385,  1082,   374,
     436,  1082,    -1,   101,   457,  1082,   374,   436,  1082,    -1,
     101,   428,  1073,   374,   436,  1073,    -1,   101,   432,   393,
     342,   748,   374,   436,  1073,    -1,   101,   432,   393,   189,
     748,   374,   436,  1073,    -1,   101,   432,   393,   430,   748,
     374,   436,  1073,    -1,   101,   432,   393,   151,   748,   374,
     436,  1073,    -1,   101,   445,   748,   374,   436,  1073,    -1,
     101,   445,   748,   374,   114,  1073,   436,  1073,   573,    -1,
     145,    -1,    -1,   403,   173,    -1,    -1,   101,    98,  1079,
     807,   403,   391,  1073,    -1,   101,   144,   748,   403,   391,
    1073,    -1,   101,   157,   748,   403,   391,  1073,    -1,   101,
     195,   748,   403,   391,  1073,    -1,   101,   214,   748,   403,
     391,  1073,    -1,   101,   231,   773,   403,   391,  1073,    -1,
     101,   329,   823,   822,   403,   391,  1073,    -1,   101,   329,
     139,   748,   458,  1075,   403,   391,  1073,    -1,   101,   329,
     218,   748,   458,  1075,   403,   391,  1073,    -1,   101,   426,
     967,   403,   391,  1073,    -1,   101,   426,   244,   212,   967,
     403,   391,  1073,    -1,   101,   432,   393,   342,   748,   403,
     391,  1073,    -1,   101,   432,   393,   189,   748,   403,   391,
    1073,    -1,   101,   432,   393,   430,   748,   403,   391,  1073,
      -1,   101,   432,   393,   151,   748,   403,   391,  1073,    -1,
     101,   397,  1071,   403,   391,  1073,    -1,   101,   397,   244,
     212,  1071,   403,   391,  1073,    -1,   101,   470,  1071,   403,
     391,  1073,    -1,   101,   470,   244,   212,  1071,   403,   391,
    1073,    -1,   101,   298,   470,  1071,   403,   391,  1073,    -1,
     101,   298,   470,   244,   212,  1071,   403,   391,  1073,    -1,
     101,   226,   426,   967,   403,   391,  1073,    -1,   101,   226,
     426,   244,   212,   967,   403,   391,  1073,    -1,   101,   445,
     748,   403,   391,  1073,    -1,   101,    98,  1079,   807,   341,
     436,  1082,    -1,   101,   144,   748,   341,   436,  1082,    -1,
     101,   157,   748,   341,   436,  1082,    -1,   101,   174,  1074,
     341,   436,  1082,    -1,   101,   195,   748,   341,   436,  1082,
      -1,   101,   231,   773,   341,   436,  1082,    -1,   101,   659,
     276,  1073,   341,   436,  1082,    -1,   101,   277,   322,   650,
     341,   436,  1082,    -1,   101,   329,   823,   822,   341,   436,
    1082,    -1,   101,   329,   139,   748,   458,  1075,   341,   436,
    1082,    -1,   101,   329,   218,   748,   458,  1075,   341,   436,
    1082,    -1,   101,   391,  1073,   341,   436,  1082,    -1,   101,
     445,   748,   341,   436,  1082,    -1,   101,   428,  1073,   341,
     436,  1082,    -1,   101,   432,   393,   189,   748,   341,   436,
    1082,    -1,   101,   432,   393,   151,   748,   341,   436,  1082,
      -1,   101,   226,   173,   481,  1073,   341,   436,  1082,    -1,
     101,   400,  1073,   341,   436,  1082,    -1,   101,   206,   440,
    1073,   341,   436,  1082,    -1,   160,   795,   389,  1073,   108,
     327,   845,   436,  1071,   975,   193,   846,   841,    -1,   314,
      -1,   843,    -1,   513,   842,   514,    -1,   842,   517,   844,
      -1,   844,    -1,   920,    -1,   898,    -1,   909,    -1,   903,
      -1,   848,    -1,   843,    -1,    -1,   396,    -1,   456,    -1,
     185,    -1,   262,    -1,   263,    -1,   100,    -1,    -1,   197,
     389,  1073,   327,   748,   573,    -1,   197,   389,   244,   212,
    1073,   327,   748,   573,    -1,   315,  1203,   849,    -1,   516,
    1223,    -1,    -1,   289,  1203,    -1,   453,  1203,    -1,   453,
     506,    -1,    91,   853,    -1,   118,   853,   856,    -1,   414,
     438,   856,    -1,   148,   853,    -1,   203,   853,    -1,   386,
     853,    -1,   390,  1203,    -1,   373,   390,  1203,    -1,   373,
    1203,    -1,   386,   853,   436,   390,  1203,    -1,   386,   853,
     436,  1203,    -1,   353,   438,  1223,    -1,   148,   354,  1223,
      -1,   386,   354,  1223,    -1,   480,    -1,   438,    -1,    -1,
     272,   286,   553,    -1,   363,   328,    -1,   363,   482,    -1,
     182,    -1,   313,   182,    -1,   854,    -1,   855,   516,   854,
      -1,   855,   854,    -1,   855,    -1,    -1,   160,   602,   470,
    1071,   621,   578,   108,   920,   858,    -1,   160,   332,   376,
     602,   470,  1071,   621,   578,   108,   920,   858,    -1,   160,
     602,   367,   470,  1071,   513,   622,   514,   578,   108,   920,
     858,    -1,   160,   332,   376,   602,   367,   470,  1071,   513,
     622,   514,   578,   108,   920,   858,    -1,   477,   137,   330,
      -1,   477,   129,   137,   330,    -1,   477,   291,   137,   330,
      -1,    -1,   290,  1078,    -1,   160,   174,  1074,   525,   861,
      -1,   861,   862,    -1,    -1,   428,   863,  1073,    -1,   428,
     863,   180,    -1,   294,   863,  1223,    -1,   294,   863,   180,
      -1,   430,   863,  1073,    -1,   430,   863,   180,    -1,   201,
     863,  1223,    -1,   201,   863,  1081,    -1,   201,   863,   180,
      -1,   280,   863,  1223,    -1,   280,   863,   180,    -1,   281,
     863,  1223,    -1,   281,   863,   180,    -1,   152,   288,   863,
    1084,    -1,   341,   863,  1073,    -1,   341,   863,   180,    -1,
     500,    -1,    -1,   101,   174,  1074,   525,   866,    -1,   101,
     174,  1074,   403,   428,  1073,    -1,   101,   174,  1074,   561,
      -1,   866,   867,    -1,    -1,   152,   288,   863,  1084,    -1,
     197,   174,  1074,    -1,   197,   174,   244,   212,  1074,    -1,
     101,   425,   403,   548,    -1,   101,   425,   378,   560,    -1,
     160,   195,   748,   872,   980,   611,    -1,   101,   195,   748,
     572,    -1,   101,   195,   748,   197,   313,   318,    -1,   101,
     195,   748,   403,   313,   318,    -1,   101,   195,   748,    95,
     618,    -1,   101,   195,   748,   197,   153,  1073,   573,    -1,
     101,   195,   748,   197,   153,   244,   212,  1073,   573,    -1,
     101,   195,   748,   461,   153,  1073,    -1,   108,    -1,    -1,
     101,   432,   393,   189,   748,   719,    -1,   101,   432,   393,
     151,   748,    95,   296,   224,  1072,   477,   747,    -1,   101,
     432,   393,   151,   748,   101,   296,   224,  1072,   477,   747,
      -1,   101,   432,   393,   151,   748,   101,   296,   376,   748,
     477,   748,    -1,   101,   432,   393,   151,   748,   101,   296,
     224,  1072,   376,   748,   477,   748,    -1,   101,   432,   393,
     151,   748,   197,   296,   224,  1072,    -1,   101,   432,   393,
     151,   748,   197,   296,   244,   212,   224,  1072,    -1,   160,
     733,   157,   748,   224,  1223,   436,  1223,   229,   748,    -1,
     141,   883,  1071,   877,    -1,   141,   883,    -1,   141,   883,
    1077,   327,  1071,    -1,   458,  1077,    -1,    -1,   459,   884,
     885,   883,    -1,   459,   884,   885,   883,  1071,    -1,   459,
     884,   885,   883,   881,    -1,   459,   513,   879,   514,    -1,
     459,   513,   879,   514,  1071,   886,    -1,   880,    -1,   879,
     516,   880,    -1,   882,    -1,   468,    -1,   228,    -1,   230,
      -1,   882,   883,    -1,   882,   883,  1071,   886,    -1,   104,
      -1,   103,    -1,   468,    -1,    -1,   230,    -1,    -1,   228,
      -1,    -1,   513,  1072,   514,    -1,    -1,   213,   888,    -1,
     213,   882,   883,   888,    -1,   213,   468,   888,    -1,   213,
     513,   889,   514,   888,    -1,   920,    -1,   898,    -1,   909,
      -1,   903,    -1,   916,    -1,  1092,    -1,   640,    -1,   643,
      -1,   896,    -1,   890,    -1,   889,   516,   890,    -1,   891,
     892,    -1,  1085,    -1,   882,    -1,   554,    -1,   650,    -1,
      -1,   353,  1111,   894,   108,   895,    -1,   353,  1111,   229,
    1156,    -1,   513,  1041,   514,    -1,    -1,   920,    -1,   898,
      -1,   909,    -1,   903,    -1,   211,  1111,   897,  1235,    -1,
     160,   602,   426,   638,   108,   211,  1073,   897,   639,    -1,
     513,  1038,   514,    -1,    -1,   928,   262,   268,  1071,   899,
     902,    -1,   920,    -1,   513,   900,   514,   920,    -1,   180,
     464,    -1,   901,    -1,   900,   516,   901,    -1,  1203,  1062,
      -1,   381,  1068,  1236,    -1,    -1,   928,   185,   229,   969,
     904,   976,   902,    -1,   458,   958,    -1,    -1,   295,   931,
     968,   906,   908,    -1,   249,   907,   302,    -1,    -1,    93,
     405,    -1,   387,   405,    -1,   387,   210,    -1,   405,   456,
     210,    -1,   405,    -1,   405,   387,   210,    -1,   210,    -1,
      93,   210,    -1,   317,    -1,    -1,   928,   456,   969,   403,
     910,   957,   976,   902,    -1,   911,    -1,   910,   516,   911,
      -1,   912,    -1,   913,    -1,   914,   500,  1064,    -1,   513,
     915,   514,   500,  1066,    -1,  1203,  1062,    -1,   914,    -1,
     915,   516,   914,    -1,   179,   917,   918,   171,   919,   224,
     920,    -1,  1073,    -1,  1216,    -1,    -1,   918,   311,   392,
      -1,   918,   392,    -1,   918,   121,    -1,   918,   261,    -1,
      -1,   477,   241,    -1,   479,   241,    -1,   922,    -1,   921,
      -1,   513,   922,   514,    -1,   513,   921,   514,    -1,   924,
      -1,   923,   935,    -1,   923,   934,   950,   939,    -1,   923,
     934,   938,   951,    -1,   925,   923,    -1,   925,   923,   935,
      -1,   925,   923,   934,   950,   939,    -1,   925,   923,   934,
     938,   951,    -1,   924,    -1,   921,    -1,   396,   933,  1067,
     929,   957,   975,   948,   949,  1021,    -1,   956,    -1,   426,
     967,    -1,   923,   450,   932,   923,    -1,   923,   266,   932,
     923,    -1,   923,   207,   932,   923,    -1,   477,   926,    -1,
     477,   367,   926,    -1,   927,    -1,   926,   516,   927,    -1,
    1073,   886,   108,   513,   895,   514,    -1,   925,    -1,    -1,
     268,   930,    -1,  1236,    -1,    -1,   431,   931,  1071,    -1,
     429,   931,  1071,    -1,   291,   431,   931,  1071,    -1,   291,
     429,   931,  1071,    -1,   233,   431,   931,  1071,    -1,   233,
     429,   931,  1071,    -1,   454,   931,  1071,    -1,   426,  1071,
      -1,  1071,    -1,   426,    -1,    -1,    99,    -1,   192,    -1,
      -1,   192,    -1,   192,   327,   513,  1038,   514,    -1,    99,
      -1,    -1,   935,    -1,    -1,   333,   125,   936,    -1,   937,
      -1,   936,   516,   937,    -1,  1004,   458,  1036,   793,    -1,
    1004,   792,   793,    -1,   940,   941,    -1,   941,   940,    -1,
     940,    -1,   941,    -1,   938,    -1,    -1,   288,   942,    -1,
     288,   942,   516,   943,    -1,   219,   947,   944,   946,   328,
      -1,   325,   943,    -1,   325,   945,   946,    -1,  1004,    -1,
      99,    -1,  1004,    -1,  1084,    -1,   513,  1004,   514,    -1,
      -1,  1006,    -1,   387,    -1,   388,    -1,   221,    -1,   310,
      -1,   237,   125,  1038,    -1,    -1,   239,  1004,    -1,    -1,
     952,    -1,   224,   363,   328,    -1,   950,    -1,    -1,   953,
      -1,   952,   953,    -1,   954,   955,   908,    -1,   224,   456,
      -1,   224,   311,   274,   456,    -1,   224,   405,    -1,   224,
     274,   405,    -1,   323,  1070,    -1,    -1,   464,  1066,    -1,
     956,   516,  1066,    -1,   229,   958,    -1,    -1,   959,    -1,
     958,   516,   959,    -1,   967,   962,    -1,   970,   963,    -1,
     279,   970,   963,    -1,   921,   962,    -1,   279,   921,   962,
      -1,   960,    -1,   513,   960,   514,   961,    -1,   513,   960,
     514,    -1,   959,   161,   273,   959,    -1,   959,   964,   273,
     959,   966,    -1,   959,   273,   959,   966,    -1,   959,   308,
     964,   273,   959,    -1,   959,   308,   273,   959,    -1,   108,
    1203,   513,  1072,   514,    -1,   108,  1203,    -1,  1203,   513,
    1072,   514,    -1,  1203,    -1,   961,    -1,    -1,   961,    -1,
     108,   513,   978,   514,    -1,   108,  1203,   513,   978,   514,
      -1,  1203,   513,   978,   514,    -1,    -1,   230,   965,    -1,
     285,   965,    -1,   384,   965,    -1,   258,    -1,   336,    -1,
      -1,   458,   513,  1072,   514,    -1,   327,  1004,    -1,  1071,
      -1,  1071,   506,    -1,   328,  1071,    -1,   328,   513,  1071,
     514,    -1,   967,    -1,   968,   516,   967,    -1,   967,    -1,
     967,  1203,    -1,   967,   108,  1203,    -1,  1009,   974,    -1,
     388,   229,   513,   972,   514,   974,    -1,  1009,   973,    -1,
     971,    -1,   972,   516,   971,    -1,   108,   513,   978,   514,
      -1,    -1,   498,    -1,    -1,   474,  1004,    -1,    -1,   474,
    1004,    -1,   474,   163,   323,   917,    -1,    -1,   978,    -1,
      -1,   979,    -1,   978,   516,   979,    -1,  1203,   980,   574,
      -1,   982,   981,    -1,   404,   982,   981,    -1,   982,   107,
     511,  1081,   512,    -1,   404,   982,   107,   511,  1081,   512,
      -1,   982,   107,    -1,   404,   982,   107,    -1,   981,   511,
     512,    -1,   981,   511,  1234,   512,    -1,    -1,   984,    -1,
     986,    -1,   988,    -1,   992,    -1,   999,    -1,  1000,  1002,
      -1,  1000,   513,  1081,   514,  1002,    -1,   986,    -1,   989,
      -1,   993,    -1,   999,    -1,  1204,   985,    -1,  1204,   749,
     985,    -1,   513,  1038,   514,    -1,    -1,   264,    -1,   265,
      -1,   409,    -1,   120,    -1,   364,    -1,   222,   987,    -1,
     196,   351,    -1,   178,   985,    -1,   177,   985,    -1,   321,
     985,    -1,   123,    -1,   513,  1081,   514,    -1,    -1,   990,
      -1,   991,    -1,   990,    -1,   991,    -1,   122,   997,   513,
    1038,   514,    -1,   122,   997,    -1,   994,    -1,   995,    -1,
     994,    -1,   995,    -1,   996,   513,  1081,   514,   998,    -1,
     996,   998,    -1,   135,   997,    -1,   134,   997,    -1,   465,
      -1,   307,   135,   997,    -1,   307,   134,   997,    -1,   309,
     997,    -1,   467,    -1,    -1,   135,   403,  1203,    -1,    -1,
     435,   513,  1081,   514,  1001,    -1,   435,  1001,    -1,   434,
     513,  1081,   514,  1001,    -1,   434,  1001,    -1,   267,    -1,
     499,   495,    -1,   479,   434,   495,    -1,    -1,   493,    -1,
     303,    -1,   175,    -1,   242,    -1,   300,    -1,  1003,    -1,
     493,   436,   303,    -1,   175,   436,   242,    -1,   175,   436,
     300,    -1,   175,   436,  1003,    -1,   242,   436,   300,    -1,
     242,   436,  1003,    -1,   300,   436,  1003,    -1,    -1,   394,
      -1,   394,   513,  1081,   514,    -1,  1006,    -1,  1004,    88,
     980,    -1,  1004,   143,   748,    -1,  1004,   113,   434,   495,
    1004,    -1,   504,  1004,    -1,   505,  1004,    -1,  1004,   504,
    1004,    -1,  1004,   505,  1004,    -1,  1004,   506,  1004,    -1,
    1004,   507,  1004,    -1,  1004,   508,  1004,    -1,  1004,   509,
    1004,    -1,  1004,   501,  1004,    -1,  1004,   502,  1004,    -1,
    1004,   500,  1004,    -1,  1004,  1035,  1004,    -1,  1035,  1004,
      -1,  1004,  1035,    -1,  1004,   105,  1004,    -1,  1004,   332,
    1004,    -1,   313,  1004,    -1,  1004,   287,  1004,    -1,  1004,
     287,  1004,   205,  1004,    -1,  1004,   313,   287,  1004,    -1,
    1004,   313,   287,  1004,   205,  1004,    -1,  1004,   245,  1004,
      -1,  1004,   245,  1004,   205,  1004,    -1,  1004,   313,   245,
    1004,    -1,  1004,   313,   245,  1004,   205,  1004,    -1,  1004,
     407,   436,  1004,    -1,  1004,   407,   436,  1004,   205,  1004,
      -1,  1004,   313,   407,   436,  1004,    -1,  1004,   313,   407,
     436,  1004,   205,  1004,    -1,  1004,   270,   318,    -1,  1004,
     271,    -1,  1004,   270,   313,   318,    -1,  1004,   316,    -1,
    1031,   338,  1031,    -1,  1004,   270,   442,    -1,  1004,   270,
     313,   442,    -1,  1004,   270,   217,    -1,  1004,   270,   313,
     217,    -1,  1004,   270,   452,    -1,  1004,   270,   313,   452,
      -1,  1004,   270,   192,   229,  1004,    -1,  1004,   270,   313,
     192,   229,  1004,    -1,  1004,   270,   323,   513,  1041,   514,
      -1,  1004,   270,   313,   323,   513,  1041,   514,    -1,  1004,
     119,  1063,  1005,   105,  1005,    -1,  1004,   313,   119,  1063,
    1005,   105,  1005,    -1,  1004,   119,   423,  1005,   105,  1005,
      -1,  1004,   313,   119,   423,  1005,   105,  1005,    -1,  1004,
     249,  1053,    -1,  1004,   313,   249,  1053,    -1,  1004,  1037,
    1032,   921,    -1,  1004,  1037,  1032,   513,  1004,   514,    -1,
     451,   921,    -1,  1004,   270,   194,    -1,  1004,   270,   313,
     194,    -1,  1006,    -1,  1005,    88,   980,    -1,   504,  1005,
      -1,   505,  1005,    -1,  1005,   504,  1005,    -1,  1005,   505,
    1005,    -1,  1005,   506,  1005,    -1,  1005,   507,  1005,    -1,
    1005,   508,  1005,    -1,  1005,   509,  1005,    -1,  1005,   501,
    1005,    -1,  1005,   502,  1005,    -1,  1005,   500,  1005,    -1,
    1005,  1035,  1005,    -1,  1035,  1005,    -1,  1005,  1035,    -1,
    1005,   270,   192,   229,  1005,    -1,  1005,   270,   313,   192,
     229,  1005,    -1,  1005,   270,   323,   513,  1041,   514,    -1,
    1005,   270,   313,   323,   513,  1041,   514,    -1,  1005,   270,
     194,    -1,  1005,   270,   313,   194,    -1,  1059,    -1,  1080,
      -1,  1220,  1062,    -1,   513,  1004,   514,  1062,    -1,  1054,
      -1,  1008,    -1,   921,    -1,   921,  1061,    -1,   212,   921,
      -1,   107,   921,    -1,   107,  1042,    -1,  1031,    -1,  1079,
     513,   514,    -1,  1079,   513,  1039,   934,   514,    -1,  1079,
     513,   466,  1040,   934,   514,    -1,  1079,   513,  1039,   516,
     466,  1040,   934,   514,    -1,  1079,   513,    99,  1039,   934,
     514,    -1,  1079,   513,   192,  1039,   934,   514,    -1,  1079,
     513,   506,   514,    -1,  1007,  1019,  1020,  1024,    -1,  1010,
      -1,  1007,    -1,  1010,    -1,   144,   224,   513,  1004,   514,
      -1,   165,    -1,   168,    -1,   168,   513,  1081,   514,    -1,
     169,    -1,   169,   513,  1081,   514,    -1,   292,    -1,   292,
     513,  1081,   514,    -1,   293,    -1,   293,   513,  1081,   514,
      -1,   166,    -1,   170,    -1,   402,    -1,   457,    -1,   164,
      -1,   167,    -1,   131,   513,  1004,   108,   980,   514,    -1,
     216,   513,  1044,   514,    -1,   339,   513,  1046,   514,    -1,
     349,   513,  1048,   514,    -1,   422,   513,  1049,   514,    -1,
     439,   513,  1004,   108,   980,   514,    -1,   441,   513,   124,
    1052,   514,    -1,   441,   513,   282,  1052,   514,    -1,   441,
     513,   437,  1052,   514,    -1,   441,   513,  1052,   514,    -1,
     319,   513,  1004,   516,  1004,   514,    -1,   142,   513,  1038,
     514,    -1,   236,   513,  1038,   514,    -1,   284,   513,  1038,
     514,    -1,   485,   513,  1038,   514,    -1,   486,   513,   305,
    1205,   514,    -1,   486,   513,   305,  1205,   516,  1013,   514,
      -1,   486,   513,   305,  1205,   516,  1038,   514,    -1,   486,
     513,   305,  1205,   516,  1013,   516,  1038,   514,    -1,   487,
     513,  1006,  1018,   514,    -1,   488,   513,  1014,   514,    -1,
     489,   513,  1016,  1004,  1017,   514,    -1,   490,   513,   305,
    1205,   514,    -1,   490,   513,   305,  1205,   516,  1004,   514,
      -1,   491,   513,  1004,   516,  1011,  1012,   514,    -1,   492,
     513,  1016,  1004,   108,   982,   514,    -1,   469,  1004,    -1,
     469,   311,   463,    -1,   516,   413,   494,    -1,   516,   413,
     311,    -1,   516,   413,   311,   463,    -1,    -1,   484,   513,
    1014,   514,    -1,  1015,    -1,  1014,   516,  1015,    -1,  1004,
     108,  1205,    -1,  1004,    -1,   194,    -1,   155,    -1,   352,
     475,    -1,   421,   475,    -1,    -1,   345,  1006,    -1,   345,
    1006,   125,   368,    -1,   345,   125,   368,  1006,    -1,   345,
     125,   368,  1006,   125,   368,    -1,   478,   237,   513,   935,
     514,    -1,    -1,   220,   513,   474,  1004,   514,    -1,    -1,
     476,  1022,    -1,    -1,  1023,    -1,  1022,   516,  1023,    -1,
    1203,   108,  1025,    -1,   337,  1025,    -1,   337,  1203,    -1,
      -1,   513,  1026,  1027,   934,  1028,   514,    -1,  1203,    -1,
      -1,   344,   125,  1038,    -1,    -1,   362,  1029,    -1,   388,
    1029,    -1,    -1,  1030,    -1,   119,  1030,   105,  1030,    -1,
     447,   350,    -1,   447,   223,    -1,   163,   387,    -1,  1004,
     350,    -1,  1004,   223,    -1,   387,   513,  1038,   514,    -1,
     387,   513,   514,    -1,   513,  1038,   516,  1004,   514,    -1,
     106,    -1,   411,    -1,    99,    -1,    85,    -1,  1034,    -1,
     504,    -1,   505,    -1,   506,    -1,   507,    -1,   508,    -1,
     509,    -1,   501,    -1,   502,    -1,   500,    -1,    85,    -1,
     329,   513,   823,   514,    -1,  1033,    -1,   329,   513,   823,
     514,    -1,  1033,    -1,   329,   513,   823,   514,    -1,   287,
      -1,   313,   287,    -1,   245,    -1,   313,   245,    -1,  1004,
      -1,  1038,   516,  1004,    -1,  1040,    -1,  1039,   516,  1040,
      -1,  1004,    -1,   802,    90,  1004,    -1,   980,    -1,  1041,
     516,   980,    -1,   511,  1038,   512,    -1,   511,  1043,   512,
      -1,   511,   512,    -1,  1042,    -1,  1043,   516,  1042,    -1,
    1045,   229,  1004,    -1,    -1,  1225,    -1,   493,    -1,   303,
      -1,   175,    -1,   242,    -1,   300,    -1,   394,    -1,  1223,
      -1,  1004,  1047,  1050,  1051,    -1,  1004,  1047,  1050,    -1,
     347,  1004,    -1,  1005,   249,  1005,    -1,    -1,  1004,  1050,
    1051,    -1,  1004,  1051,  1050,    -1,  1004,  1050,    -1,  1004,
    1051,    -1,  1038,    -1,    -1,   229,  1004,    -1,   224,  1004,
      -1,  1004,   229,  1038,    -1,   229,  1038,    -1,  1038,    -1,
     921,    -1,   513,  1038,   514,    -1,   130,  1058,  1055,  1057,
     203,    -1,  1056,    -1,  1055,  1056,    -1,   473,  1004,   433,
    1004,    -1,   199,  1004,    -1,    -1,  1004,    -1,    -1,  1203,
      -1,  1203,  1061,    -1,   515,  1076,    -1,   515,   506,    -1,
     511,  1004,   512,    -1,   511,  1004,   518,  1004,   512,    -1,
    1060,    -1,  1061,  1060,    -1,    -1,  1062,  1060,    -1,   112,
      -1,    -1,  1004,    -1,   180,    -1,  1064,    -1,  1065,   516,
    1064,    -1,   513,  1065,   514,    -1,  1068,    -1,    -1,  1069,
      -1,  1068,   516,  1069,    -1,  1004,   108,  1205,    -1,  1004,
    1225,    -1,  1004,    -1,   506,    -1,  1071,    -1,  1070,   516,
    1071,    -1,  1203,    -1,  1203,  1061,    -1,  1073,    -1,  1072,
     516,  1073,    -1,  1203,    -1,  1203,    -1,  1203,    -1,  1205,
      -1,  1203,    -1,  1223,    -1,  1204,    -1,  1203,  1061,    -1,
    1081,    -1,  1222,    -1,  1223,    -1,  1221,    -1,    84,    -1,
    1079,  1223,    -1,  1079,   513,  1039,   934,   514,  1223,    -1,
     983,  1223,    -1,  1000,  1223,  1002,    -1,  1000,   513,  1081,
     514,  1223,  1002,    -1,   442,    -1,   217,    -1,   318,    -1,
    1217,    -1,  1215,    -1,    86,    -1,  1085,    -1,  1082,    -1,
    1083,   516,  1082,    -1,  1081,    -1,  1217,    -1,   504,  1081,
      -1,   505,  1081,    -1,  1225,    -1,  1086,    -1,  1087,    -1,
    1088,    -1,    91,    -1,    92,    -1,    93,    -1,    94,    -1,
      95,    -1,    96,    -1,    97,    -1,    98,    -1,   100,    -1,
     101,    -1,   102,    -1,   110,    -1,   111,    -1,   113,    -1,
     114,    -1,   116,    -1,   117,    -1,   118,    -1,   125,    -1,
     126,    -1,   127,    -1,   128,    -1,   129,    -1,   132,    -1,
     133,    -1,   136,    -1,   138,    -1,   139,    -1,   140,    -1,
     141,    -1,   146,    -1,   147,    -1,   148,    -1,   149,    -1,
     151,    -1,   154,    -1,   155,    -1,   156,    -1,   157,    -1,
     158,    -1,   159,    -1,   162,    -1,   171,    -1,   172,    -1,
     173,    -1,   174,    -1,   176,    -1,   179,    -1,   181,    -1,
     183,    -1,   184,    -1,   185,    -1,   186,    -1,   187,    -1,
     189,    -1,   190,    -1,   191,    -1,   194,    -1,   195,    -1,
     196,    -1,   197,    -1,   198,    -1,   200,    -1,   201,    -1,
     202,    -1,   204,    -1,   205,    -1,   206,    -1,   208,    -1,
     209,    -1,   210,    -1,   211,    -1,   213,    -1,   214,    -1,
     215,    -1,   218,    -1,   220,    -1,   221,    -1,   223,    -1,
     225,    -1,   227,    -1,   231,    -1,   232,    -1,   233,    -1,
     235,    -1,   238,    -1,   240,    -1,   241,    -1,   243,    -1,
     244,    -1,   246,    -1,   247,    -1,   248,    -1,   250,    -1,
     251,    -1,   252,    -1,   253,    -1,   254,    -1,   255,    -1,
     257,    -1,   261,    -1,   262,    -1,   263,    -1,   269,    -1,
     272,    -1,   274,    -1,   275,    -1,   276,    -1,   277,    -1,
     278,    -1,   280,    -1,   281,    -1,   283,    -1,   286,    -1,
     289,    -1,   290,    -1,   291,    -1,   294,    -1,   295,    -1,
     296,    -1,   297,    -1,   298,    -1,   299,    -1,   301,    -1,
     302,    -1,   304,    -1,   305,    -1,   306,    -1,   310,    -1,
     311,    -1,   314,    -1,   315,    -1,   317,    -1,   320,    -1,
     322,    -1,   323,    -1,   324,    -1,   326,    -1,   329,    -1,
     330,    -1,   331,    -1,   334,    -1,   337,    -1,   340,    -1,
     341,    -1,   342,    -1,   343,    -1,   344,    -1,   345,    -1,
     346,    -1,   348,    -1,   350,    -1,   353,    -1,   354,    -1,
     352,    -1,   356,    -1,   357,    -1,   358,    -1,   359,    -1,
     360,    -1,   361,    -1,   362,    -1,   363,    -1,   365,    -1,
     366,    -1,   367,    -1,   368,    -1,   370,    -1,   371,    -1,
     372,    -1,   373,    -1,   374,    -1,   375,    -1,   376,    -1,
     377,    -1,   378,    -1,   379,    -1,   380,    -1,   382,    -1,
     383,    -1,   385,    -1,   386,    -1,   388,    -1,   389,    -1,
     390,    -1,   391,    -1,   392,    -1,   393,    -1,   395,    -1,
     397,    -1,   398,    -1,   399,    -1,   400,    -1,   401,    -1,
     403,    -1,   405,    -1,   406,    -1,   408,    -1,   410,    -1,
     412,    -1,   413,    -1,   414,    -1,   415,    -1,   416,    -1,
     417,    -1,   418,    -1,   419,    -1,   420,    -1,   421,    -1,
     424,    -1,   425,    -1,   427,    -1,   428,    -1,   429,    -1,
     430,    -1,   431,    -1,   432,    -1,   438,    -1,   440,    -1,
     443,    -1,   444,    -1,   445,    -1,   446,    -1,   447,    -1,
     448,    -1,   449,    -1,   452,    -1,   453,    -1,   454,    -1,
     455,    -1,   456,    -1,   459,    -1,   460,    -1,   461,    -1,
     462,    -1,   463,    -1,   467,    -1,   469,    -1,   470,    -1,
     471,    -1,   472,    -1,   475,    -1,   478,    -1,   479,    -1,
     480,    -1,   481,    -1,   482,    -1,   483,    -1,   494,    -1,
     495,    -1,   119,    -1,   120,    -1,   122,    -1,   123,    -1,
     135,    -1,   142,    -1,   177,    -1,   178,    -1,   212,    -1,
     216,    -1,   222,    -1,   236,    -1,   259,    -1,   265,    -1,
     267,    -1,   284,    -1,   307,    -1,   309,    -1,   312,    -1,
     319,    -1,   321,    -1,   335,    -1,   339,    -1,   349,    -1,
     351,    -1,   364,    -1,   387,    -1,   404,    -1,   409,    -1,
     422,    -1,   434,    -1,   435,    -1,   439,    -1,   441,    -1,
     465,    -1,   484,    -1,   485,    -1,   486,    -1,   487,    -1,
     488,    -1,   489,    -1,   490,    -1,   491,    -1,   492,    -1,
     115,    -1,   121,    -1,   144,    -1,   150,    -1,   161,    -1,
     167,    -1,   228,    -1,   230,    -1,   245,    -1,   258,    -1,
     270,    -1,   271,    -1,   273,    -1,   285,    -1,   287,    -1,
     308,    -1,   316,    -1,   336,    -1,   338,    -1,   384,    -1,
     407,    -1,   468,    -1,    99,    -1,   103,    -1,   104,    -1,
     105,    -1,   106,    -1,   107,    -1,   108,    -1,   109,    -1,
     112,    -1,   124,    -1,   130,    -1,   131,    -1,   137,    -1,
     143,    -1,   145,    -1,   153,    -1,   160,    -1,   164,    -1,
     165,    -1,   166,    -1,   168,    -1,   169,    -1,   170,    -1,
     180,    -1,   182,    -1,   188,    -1,   192,    -1,   193,    -1,
     199,    -1,   203,    -1,   207,    -1,   217,    -1,   219,    -1,
     224,    -1,   226,    -1,   229,    -1,   234,    -1,   237,    -1,
     239,    -1,   249,    -1,   256,    -1,   266,    -1,   268,    -1,
     279,    -1,   282,    -1,   288,    -1,   292,    -1,   293,    -1,
     313,    -1,   318,    -1,   325,    -1,   327,    -1,   328,    -1,
     332,    -1,   333,    -1,   347,    -1,   355,    -1,   369,    -1,
     381,    -1,   396,    -1,   402,    -1,   411,    -1,   423,    -1,
     426,    -1,   433,    -1,   437,    -1,   442,    -1,   451,    -1,
     457,    -1,   458,    -1,   466,    -1,   473,    -1,   474,    -1,
     476,    -1,   477,    -1,    -1,  1090,  1091,    -1,  1212,  1094,
     523,   517,    -1,  1212,   523,   517,    -1,  1212,  1114,    -1,
    1119,    -1,  1231,    -1,    73,    -1,   519,    -1,   520,    -1,
      -1,   160,   602,   426,   638,   108,  1093,   920,   639,    -1,
     113,  1155,    -1,     9,   436,  1096,  1103,  1104,    -1,     9,
     436,   180,    -1,     9,  1105,    -1,   174,  1096,    -1,  1097,
    1100,  1102,    -1,  1098,   518,  1099,  1102,   507,  1097,  1108,
      -1,  1107,    -1,  1223,    -1,  1074,    -1,    -1,  1225,  1219,
      -1,    85,  1101,    -1,  1099,    -1,    -1,  1203,    -1,  1203,
     515,  1101,    -1,    74,    -1,   518,  1081,    -1,    -1,   108,
    1155,    -1,    -1,   457,  1105,    -1,    -1,  1106,    -1,  1106,
     507,  1106,    -1,  1106,    21,   125,  1106,    -1,  1106,   458,
    1106,    -1,  1082,    -1,  1223,    -1,  1217,    -1,  1219,    -1,
      85,  1109,    -1,    -1,  1203,  1110,    -1,  1203,  1110,    85,
    1109,    -1,    -1,   500,  1081,    -1,   500,  1225,    -1,   500,
    1217,    -1,  1073,    -1,  1107,    -1,   179,   917,   918,   171,
     919,   224,  1111,    -1,   211,   246,  1156,    -1,  1115,    -1,
    1126,    -1,  1128,    -1,   650,    -1,   516,   650,    -1,    -1,
    1002,    -1,   493,   436,   300,    -1,   493,   436,   394,    -1,
     175,   436,   175,    -1,   303,   436,   303,    -1,    -1,  1121,
    1120,  1123,  1122,    -1,  1212,   118,   179,    34,   517,    -1,
    1212,   203,   179,    34,   517,    -1,    -1,  1124,    -1,  1115,
      -1,    73,    -1,  1124,  1115,    -1,  1124,    73,    -1,  1128,
      -1,  1125,  1128,    -1,    -1,    70,  1127,  1135,  1151,  1207,
     981,   517,    -1,    -1,  1132,  1135,  1129,  1148,   517,    -1,
      -1,  1135,  1130,  1148,   517,    -1,  1138,   517,    -1,   518,
    1081,    -1,    -1,  1133,  1134,    -1,  1133,    -1,  1134,    -1,
      56,    -1,    67,    -1,    65,    -1,    50,    -1,    51,    -1,
      69,    -1,  1144,    -1,  1140,    -1,  1136,    -1,  1207,   513,
    1116,  1117,   514,    -1,  1207,  1118,    -1,  1142,    -1,   204,
    1201,  1137,    -1,   204,  1137,    -1,   204,  1201,    -1,   519,
    1229,   520,    -1,    -1,  1142,  1139,   519,  1125,   520,    -1,
    1138,    -1,    -1,  1143,  1141,   519,  1125,   520,    -1,    43,
    1201,    -1,   450,  1201,    -1,    43,    -1,   450,    -1,  1145,
      -1,  1147,  1146,    -1,    44,    35,    -1,    44,    35,   264,
      -1,    44,    -1,    44,   264,    -1,    44,    25,    -1,    44,
      25,   264,    -1,    44,    25,    25,    -1,    44,    25,    25,
     264,    -1,    44,   134,    -1,    35,    -1,    35,   264,    -1,
     264,    -1,    25,    -1,    25,   264,    -1,    25,    25,    -1,
      25,    25,   264,    -1,     5,    -1,   134,    -1,   196,    -1,
      36,    -1,    -1,  1149,    -1,  1148,   516,  1149,    -1,  1151,
    1206,   981,  1131,  1150,    -1,    -1,   500,  1230,    -1,    -1,
     506,    -1,   506,   506,    -1,   179,   415,  1225,    -1,    15,
    1154,    -1,  1155,    -1,   163,    -1,    99,    -1,    -1,  1074,
      -1,   180,    -1,  1107,    -1,  1107,    -1,    71,    -1,    17,
     917,    -1,    17,    99,    -1,    28,   917,  1159,    -1,    -1,
    1160,    -1,   458,  1164,    -1,  1161,    -1,   458,    37,    14,
    1226,    -1,   458,    14,  1073,    -1,   268,    37,    14,  1226,
      -1,   268,    14,  1073,    -1,   268,  1073,    -1,  1165,    -1,
    1165,   516,  1164,    -1,  1166,    -1,  1217,    -1,  1215,    -1,
    1081,    -1,   504,  1081,    -1,   505,  1081,    -1,  1222,    -1,
     504,  1222,    -1,   505,  1222,    -1,  1223,    -1,  1221,    -1,
    1224,    -1,    13,   260,  1111,  1161,    -1,    13,  1168,  1111,
    1161,    -1,    13,  1168,  1111,  1162,    -1,    13,   260,  1111,
    1163,    -1,    13,  1168,  1111,  1163,    -1,    29,    -1,    -1,
       3,    14,  1226,    -1,   176,    14,  1226,    -1,    18,    14,
    1226,  1172,    -1,  1173,    -1,  1172,   516,  1173,    -1,  1219,
     500,  1178,    -1,   403,    14,  1226,  1175,    -1,  1176,    -1,
    1175,   516,  1176,    -1,  1178,   500,  1177,    -1,  1081,    -1,
    1219,    -1,    10,    -1,    18,    14,  1226,   463,  1177,  1180,
      -1,  1181,    -1,  1180,   516,  1181,    -1,  1219,   500,  1186,
      -1,   403,    14,  1226,   463,  1177,  1183,    -1,  1184,    -1,
    1183,   516,  1184,    -1,  1186,   500,  1185,    -1,  1222,    -1,
    1177,    -1,   505,  1222,    -1,   505,  1081,    -1,  1223,    -1,
       8,    -1,   173,    -1,    11,    -1,    12,    -1,    22,    -1,
      23,    -1,    24,    -1,   305,    -1,    26,    -1,    27,    -1,
     351,    -1,    31,    -1,    32,    -1,    33,    -1,   445,    -1,
     403,     4,   500,  1188,    -1,   403,     4,   436,  1188,    -1,
     327,    -1,   324,    -1,   403,   152,   436,  1155,    -1,   403,
     152,   500,  1155,    -1,   403,   152,  1155,    -1,    -1,   445,
    1191,  1207,   270,  1135,   981,  1192,    -1,    30,    -1,    -1,
      -1,    45,  1194,  1205,   270,  1135,   981,  1192,    -1,    46,
      38,  1196,    -1,    46,   313,    16,  1196,    -1,    46,    40,
    1196,    -1,   156,    -1,    39,    -1,    42,    -1,    20,  1073,
      -1,    19,   436,  1073,    -1,   193,  1073,   513,  1213,   514,
      -1,   193,     6,    -1,     7,  1073,   513,  1213,   514,    -1,
       7,  1073,    -1,  1198,    -1,  1199,    -1,     6,    -1,     7,
      -1,     8,    -1,    10,    -1,    11,    -1,    12,    -1,    16,
      -1,    19,    -1,    20,    -1,    21,    -1,    22,    -1,    23,
      -1,    24,    -1,    26,    -1,    27,    -1,    31,    -1,    32,
      -1,    33,    -1,    34,    -1,    37,    -1,    38,    -1,    39,
      -1,    40,    -1,    42,    -1,     9,    -1,    13,    -1,    15,
      -1,    28,    -1,    45,    -1,    46,    -1,     5,    -1,    25,
      -1,    29,    -1,    35,    -1,    43,    -1,    36,    -1,    44,
      -1,  1205,    -1,  1225,    -1,  1086,    -1,  1087,    -1,  1210,
      -1,  1197,    -1,  1208,    -1,   134,    -1,   464,    -1,  1225,
      -1,  1209,    -1,  1087,    -1,  1197,    -1,  1208,    -1,   134,
      -1,   464,    -1,  1225,    -1,  1209,    -1,  1088,    -1,  1197,
      -1,  1208,    -1,  1200,    -1,  1206,    -1,  1200,    -1,   134,
      -1,   163,    -1,   260,    -1,   264,    -1,   436,    -1,   450,
      -1,   464,    -1,  1208,    -1,  1210,    -1,  1207,    -1,  1086,
      -1,  1089,    -1,  1199,    -1,   152,    -1,  1225,    -1,  1087,
      -1,  1088,    -1,  1198,    -1,    50,    -1,    51,    -1,    56,
      -1,    65,    -1,    67,    -1,    70,    -1,    69,    -1,  1086,
      -1,  1210,    -1,   152,    -1,   175,    -1,   242,    -1,   300,
      -1,   303,    -1,   394,    -1,   493,    -1,  1214,    -1,  1211,
     516,  1214,    -1,    41,    -1,    -1,  1229,    -1,  1219,  1218,
      -1,  1219,    -1,  1219,  1218,    -1,  1107,    -1,  1219,    -1,
    1219,    -1,    22,  1219,    -1,    22,  1073,    -1,    72,    -1,
      87,    -1,    83,    -1,    81,    -1,    82,    -1,    76,    -1,
      77,    -1,    78,    -1,    75,    -1,    84,    -1,    80,    -1,
      71,    -1,    79,    -1,  1073,    -1,  1107,    -1,  1232,    -1,
     513,   514,    -1,   513,  1228,   514,    -1,  1227,    -1,  1228,
    1227,    -1,  1230,    -1,  1229,   516,  1230,    -1,  1228,    -1,
     519,  1229,   520,    -1,  1232,    -1,   513,    -1,   514,    -1,
     516,    -1,   517,    -1,  1225,    -1,  1081,    -1,  1222,    -1,
    1223,    -1,   506,    -1,   504,    -1,   505,    -1,   507,    -1,
     508,    -1,   318,    -1,    47,    -1,    48,    -1,    49,    -1,
      50,    -1,    51,    -1,    52,    -1,    53,    -1,    54,    -1,
      55,    -1,    56,    -1,    57,    -1,    58,    -1,    60,    -1,
      59,    -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,
      65,    -1,    66,    -1,    67,    -1,    68,    -1,    70,    -1,
      69,    -1,     5,    -1,   204,    -1,   242,    -1,   264,    -1,
      25,    -1,   300,    -1,   303,    -1,   394,    -1,    35,    -1,
      36,    -1,    43,    -1,    44,    -1,   493,    -1,   134,    -1,
     222,    -1,   436,    -1,   450,    -1,   465,    -1,   511,    -1,
     512,    -1,   500,    -1,   518,    -1,   176,  1111,    -1,   176,
     353,  1111,    -1,   176,    99,    -1,   176,   353,    99,    -1,
    1081,    -1,   513,  1234,   514,    -1,  1234,   504,  1234,    -1,
    1234,   505,  1234,    -1,  1234,   506,  1234,    -1,  1234,   507,
    1234,    -1,  1234,   508,  1234,    -1,  1223,    -1,  1203,    -1,
    1203,   513,  1135,   514,    -1,    -1,  1160,  1236,    -1,  1236,
    1160,    -1,  1160,    -1,  1236,    -1,   268,  1211,    -1,  1162,
      -1,  1236,    -1,  1161,    -1,    -1,  1237,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1511,  1511,  1514,  1516,  1518,  1520,  1522,  1524,  1526,
    1528,  1530,  1532,  1534,  1536,  1538,  1540,  1542,  1544,  1546,
    1548,  1550,  1552,  1554,  1556,  1558,  1560,  1562,  1564,  1566,
    1568,  1570,  1572,  1590,  1592,  1594,  1596,  1598,  1600,  1602,
    1604,  1606,  1608,  1610,  1612,  1614,  1616,  1618,  1620,  1622,
    1624,  1626,  1628,  1630,  1632,  1634,  1636,  1638,  1640,  1642,
    1644,  1646,  1648,  1650,  1654,  1656,  1658,  1660,  1662,  1664,
    1666,  1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,
    1686,  1688,  1690,  1692,  1694,  1696,  1698,  1700,  1702,  1704,
    1706,  1708,  1710,  1712,  1714,  1716,  1718,  1720,  1722,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1771,  1773,
    1779,  1789,  1793,  1799,  1803,  1813,  1823,  1824,  1838,  1845,
    1851,  1862,  1868,  1877,  1884,  1890,  1899,  1906,  1914,  1919,
    1927,  1932,  1938,  1943,  1949,  1954,  1960,  1964,  1968,  1972,
    1976,  1980,  1984,  1988,  1992,  2000,  2004,  2008,  2012,  2016,
    2020,  2028,  2036,  2045,  2047,  2055,  2059,  2067,  2075,  2083,
    2087,  2095,  2099,  2107,  2115,  2123,  2127,  2135,  2139,  2147,
    2151,  2155,  2160,  2169,  2174,  2180,  2185,  2191,  2195,  2199,
    2203,  2207,  2211,  2219,  2223,  2227,  2235,  2239,  2243,  2251,
    2255,  2259,  2263,  2264,  2268,  2272,  2276,  2281,  2285,  2289,
    2293,  2297,  2301,  2305,  2313,  2317,  2325,  2329,  2337,  2341,
    2355,  2359,  2363,  2367,  2375,  2379,  2383,  2387,  2395,  2399,
    2403,  2407,  2411,  2415,  2419,  2427,  2431,  2436,  2442,  2446,
    2454,  2462,  2466,  2470,  2474,  2482,  2486,  2494,  2498,  2506,
    2510,  2518,  2522,  2526,  2530,  2534,  2543,  2551,  2555,  2563,
    2567,  2575,  2583,  2587,  2591,  2595,  2599,  2607,  2611,  2615,
    2619,  2623,  2627,  2631,  2635,  2639,  2643,  2647,  2651,  2655,
    2659,  2663,  2667,  2675,  2679,  2687,  2691,  2695,  2699,  2703,
    2707,  2711,  2715,  2719,  2723,  2727,  2731,  2735,  2739,  2743,
    2747,  2751,  2755,  2759,  2763,  2767,  2771,  2775,  2779,  2783,
    2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,  2819,  2823,
    2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,  2859,  2867,
    2871,  2879,  2883,  2888,  2894,  2899,  2905,  2910,  2916,  2920,
    2924,  2928,  2936,  2944,  2949,  2955,  2959,  2967,  2971,  2975,
    2979,  2987,  2995,  2999,  3007,  3011,  3015,  3019,  3027,  3032,
    3040,  3048,  3056,  3060,  3068,  3073,  3079,  3083,  3087,  3095,
    3099,  3107,  3112,  3118,  3122,  3126,  3130,  3134,  3138,  3142,
    3146,  3150,  3154,  3158,  3162,  3166,  3170,  3178,  3183,  3189,
    3194,  3200,  3205,  3211,  3216,  3222,  3226,  3234,  3242,  3246,
    3250,  3254,  3259,  3265,  3269,  3277,  3285,  3289,  3293,  3297,
    3305,  3309,  3313,  3317,  3321,  3325,  3329,  3334,  3340,  3345,
    3351,  3356,  3362,  3366,  3374,  3378,  3386,  3390,  3394,  3402,
    3406,  3414,  3422,  3430,  3435,  3441,  3445,  3449,  3453,  3461,
    3465,  3469,  3473,  3477,  3481,  3485,  3493,  3497,  3501,  3505,
    3513,  3521,  3525,  3530,  3536,  3540,  3544,  3548,  3552,  3556,
    3564,  3568,  3576,  3580,  3584,  3588,  3592,  3596,  3600,  3608,
    3613,  3619,  3624,  3630,  3634,  3642,  3650,  3654,  3659,  3664,
    3670,  3674,  3682,  3686,  3694,  3699,  3705,  3709,  3713,  3717,
    3722,  3728,  3736,  3744,  3748,  3752,  3756,  3760,  3768,  3773,
    3779,  3783,  3787,  3792,  3798,  3802,  3806,  3811,  3817,  3822,
    3828,  3833,  3839,  3847,  3855,  3859,  3864,  3870,  3878,  3886,
    3891,  3897,  3905,  3913,  3917,  3925,  3930,  3936,  3940,  3948,
    3952,  3956,  3960,  3964,  3968,  3972,  3976,  3980,  3984,  3988,
    3992,  4000,  4005,  4011,  4015,  4019,  4027,  4031,  4039,  4043,
    4051,  4056,  4062,  4066,  4074,  4079,  4085,  4089,  4097,  4102,
    4108,  4112,  4120,  4125,  4131,  4139,  4144,  4150,  4154,  4162,
    4166,  4174,  4179,  4185,  4189,  4193,  4201,  4209,  4214,  4220,
    4228,  4232,  4236,  4240,  4244,  4248,  4252,  4256,  4260,  4264,
    4268,  4272,  4276,  4280,  4284,  4288,  4292,  4296,  4300,  4304,
    4308,  4312,  4316,  4320,  4328,  4336,  4340,  4344,  4348,  4356,
    4360,  4368,  4373,  4379,  4383,  4391,  4395,  4403,  4408,  4414,
    4418,  4426,  4434,  4438,  4446,  4450,  4454,  4458,  4466,  4474,
    4482,  4490,  4498,  4503,  4509,  4513,  4521,  4526,  4532,  4536,
    4544,  4548,  4552,  4560,  4564,  4572,  4576,  4584,  4592,  4596,
    4600,  4608,  4612,  4620,  4628,  4632,  4640,  4644,  4648,  4656,
    4660,  4668,  4672,  4676,  4680,  4684,  4692,  4697,  4703,  4708,
    4714,  4718,  4726,  4731,  4737,  4741,  4746,  4752,  4756,  4760,
    4764,  4772,  4777,  4784,  4786,  4794,  4798,  4802,  4806,  4810,
    4814,  4822,  4826,  4834,  4838,  4846,  4850,  4858,  4866,  4870,
    4878,  4886,  4890,  4894,  4898,  4906,  4915,  4924,  4928,  4932,
    4936,  4940,  4944,  4948,  4952,  4956,  4960,  4964,  4968,  4972,
    4976,  4984,  4992,  4996,  5004,  5008,  5016,  5020,  5024,  5028,
    5032,  5040,  5048,  5052,  5060,  5068,  5073,  5079,  5083,  5091,
    5095,  5099,  5107,  5112,  5118,  5126,  5130,  5138,  5142,  5146,
    5150,  5154,  5162,  5167,  5173,  5178,  5184,  5188,  5193,  5199,
    5205,  5211,  5219,  5223,  5231,  5235,  5243,  5247,  5255,  5259,
    5267,  5271,  5279,  5287,  5295,  5299,  5303,  5307,  5315,  5319,
    5323,  5327,  5331,  5335,  5339,  5343,  5347,  5351,  5355,  5359,
    5363,  5367,  5371,  5375,  5379,  5387,  5391,  5399,  5403,  5411,
    5415,  5423,  5431,  5435,  5440,  5446,  5450,  5454,  5458,  5462,
    5466,  5470,  5474,  5478,  5482,  5486,  5490,  5494,  5502,  5506,
    5510,  5514,  5518,  5522,  5526,  5530,  5534,  5538,  5542,  5546,
    5550,  5554,  5558,  5562,  5566,  5570,  5574,  5578,  5582,  5586,
    5590,  5598,  5602,  5610,  5614,  5618,  5622,  5626,  5634,  5639,
    5645,  5649,  5653,  5657,  5661,  5665,  5669,  5673,  5677,  5681,
    5685,  5689,  5693,  5701,  5705,  5713,  5717,  5721,  5725,  5731,
    5737,  5743,  5749,  5755,  5761,  5767,  5777,  5788,  5799,  5810,
    5821,  5832,  5843,  5859,  5875,  5891,  5902,  5918,  5929,  5945,
    5960,  5964,  5972,  5977,  5983,  5991,  5995,  6003,  6007,  6011,
    6015,  6019,  6027,  6031,  6039,  6043,  6047,  6051,  6059,  6063,
    6067,  6071,  6075,  6079,  6083,  6087,  6091,  6095,  6099,  6103,
    6107,  6111,  6115,  6119,  6127,  6131,  6139,  6143,  6151,  6156,
    6162,  6166,  6174,  6182,  6190,  6194,  6202,  6207,  6213,  6218,
    6224,  6232,  6237,  6243,  6247,  6251,  6259,  6263,  6267,  6275,
    6279,  6283,  6287,  6295,  6303,  6308,  6314,  6319,  6325,  6330,
    6336,  6341,  6347,  6351,  6359,  6363,  6367,  6375,  6380,  6386,
    6390,  6395,  6401,  6405,  6410,  6416,  6420,  6425,  6431,  6435,
    6439,  6447,  6452,  6458,  6462,  6470,  6474,  6482,  6486,  6494,
    6498,  6506,  6510,  6514,  6518,  6522,  6530,  6534,  6538,  6542,
    6546,  6554,  6562,  6570,  6574,  6578,  6586,  6590,  6594,  6602,
    6611,  6615,  6619,  6623,  6631,  6635,  6643,  6647,  6655,  6659,
    6663,  6667,  6671,  6675,  6679,  6683,  6687,  6691,  6695,  6699,
    6703,  6707,  6711,  6719,  6723,  6727,  6731,  6739,  6743,  6751,
    6756,  6762,  6770,  6774,  6782,  6790,  6794,  6802,  6807,  6813,
    6817,  6825,  6829,  6837,  6841,  6849,  6853,  6857,  6861,  6869,
    6873,  6881,  6889,  6893,  6901,  6905,  6913,  6917,  6921,  6929,
    6933,  6938,  6944,  6952,  6957,  6963,  6967,  6971,  6979,  6983,
    6991,  6996,  7002,  7006,  7014,  7018,  7022,  7026,  7030,  7034,
    7038,  7042,  7046,  7050,  7054,  7058,  7062,  7066,  7070,  7074,
    7078,  7082,  7086,  7090,  7094,  7098,  7102,  7106,  7110,  7114,
    7118,  7122,  7126,  7130,  7134,  7138,  7142,  7146,  7150,  7154,
    7158,  7162,  7166,  7170,  7174,  7178,  7182,  7186,  7190,  7198,
    7203,  7209,  7214,  7220,  7224,  7228,  7232,  7236,  7240,  7244,
    7248,  7252,  7256,  7260,  7264,  7268,  7272,  7276,  7280,  7284,
    7288,  7292,  7296,  7300,  7304,  7308,  7312,  7320,  7324,  7328,
    7332,  7336,  7340,  7344,  7348,  7352,  7356,  7360,  7364,  7368,
    7372,  7376,  7380,  7384,  7388,  7392,  7400,  7408,  7412,  7416,
    7424,  7428,  7436,  7440,  7444,  7448,  7452,  7460,  7465,  7471,
    7475,  7479,  7483,  7491,  7495,  7500,  7506,  7510,  7518,  7526,
    7531,  7537,  7545,  7549,  7557,  7561,  7565,  7569,  7573,  7577,
    7581,  7585,  7589,  7593,  7597,  7601,  7605,  7609,  7617,  7621,
    7626,  7632,  7636,  7640,  7644,  7648,  7656,  7660,  7664,  7672,
    7677,  7683,  7687,  7691,  7696,  7705,  7709,  7713,  7718,  7724,
    7732,  7740,  7745,  7751,  7755,  7759,  7763,  7767,  7771,  7775,
    7779,  7783,  7787,  7791,  7795,  7799,  7803,  7807,  7811,  7819,
    7824,  7830,  7834,  7842,  7850,  7855,  7861,  7869,  7873,  7881,
    7885,  7893,  7901,  7905,  7909,  7913,  7917,  7921,  7925,  7933,
    7938,  7944,  7952,  7956,  7960,  7964,  7968,  7972,  7980,  7988,
    7992,  7996,  8004,  8009,  8015,  8019,  8023,  8027,  8031,  8039,
    8043,  8051,  8055,  8059,  8063,  8071,  8075,  8083,  8087,  8095,
    8100,  8106,  8111,  8117,  8122,  8128,  8133,  8139,  8143,  8147,
    8151,  8159,  8163,  8167,  8171,  8175,  8179,  8183,  8187,  8191,
    8199,  8203,  8211,  8219,  8223,  8231,  8235,  8240,  8246,  8252,
    8262,  8267,  8273,  8277,  8281,  8285,  8293,  8295,  8303,  8308,
    8314,  8322,  8326,  8330,  8338,  8342,  8350,  8358,  8363,  8369,
    8377,  8382,  8388,  8396,  8401,  8407,  8411,  8415,  8419,  8423,
    8427,  8431,  8435,  8443,  8448,  8454,  8462,  8466,  8474,  8478,
    8486,  8494,  8502,  8510,  8514,  8522,  8575,  8579,  8592,  8594,
    8598,  8602,  8606,  8615,  8621,  8625,  8633,  8637,  8645,  8649,
    8657,  8661,  8665,  8669,  8673,  8677,  8681,  8685,  8693,  8697,
    8705,  8709,  8713,  8717,  8721,  8725,  8733,  8737,  8745,  8749,
    8757,  8765,  8770,  8776,  8781,  8783,  8789,  8793,  8797,  8801,
    8805,  8809,  8813,  8817,  8821,  8829,  8834,  8840,  8844,  8849,
    8855,  8859,  8863,  8868,  8874,  8879,  8885,  8893,  8897,  8905,
    8909,  8917,  8921,  8925,  8929,  8937,  8942,  8948,  8952,  8957,
    8965,  8969,  8977,  8981,  8989,  8997,  9001,  9006,  9012,  9020,
    9024,  9032,  9036,  9044,  9049,  9055,  9060,  9066,  9070,  9078,
    9083,  9089,  9093,  9101,  9109,  9113,  9117,  9121,  9129,  9134,
    9140,  9144,  9152,  9157,  9163,  9167,  9175,  9179,  9183,  9187,
    9194,  9201,  9205,  9213,  9217,  9221,  9225,  9229,  9233,  9241,
    9245,  9249,  9253,  9261,  9266,  9272,  9276,  9280,  9284,  9289,
    9295,  9299,  9303,  9307,  9315,  9320,  9326,  9330,  9338,  9342,
    9346,  9350,  9358,  9362,  9370,  9374,  9378,  9386,  9390,  9398,
    9406,  9410,  9418,  9423,  9429,  9434,  9440,  9445,  9451,  9455,
    9461,  9467,  9472,  9478,  9482,  9490,  9498,  9500,  9502,  9506,
    9510,  9514,  9522,  9532,  9543,  9552,  9556,  9560,  9564,  9568,
    9572,  9576,  9584,  9588,  9592,  9596,  9604,  9608,  9616,  9621,
    9627,  9631,  9635,  9639,  9643,  9647,  9651,  9655,  9659,  9663,
    9667,  9675,  9680,  9686,  9690,  9698,  9702,  9710,  9718,  9726,
    9730,  9738,  9742,  9750,  9758,  9766,  9770,  9774,  9778,  9782,
    9786,  9794,  9799,  9805,  9810,  9816,  9820,  9824,  9828,  9836,
    9844,  9848,  9853,  9859,  9863,  9867,  9871,  9875,  9879,  9883,
    9887,  9891,  9895,  9899,  9903,  9907,  9912,  9918,  9922,  9930,
    9934,  9938,  9942,  9946,  9950,  9954,  9958,  9962,  9966,  9970,
    9974,  9978,  9982,  9986,  9990,  9994,  9998, 10002, 10006, 10010,
   10014, 10018, 10022, 10026, 10030, 10034, 10038, 10042, 10046, 10050,
   10054, 10058, 10062, 10066, 10070, 10074, 10078, 10082, 10086, 10090,
   10094, 10098, 10102, 10106, 10110, 10114, 10118, 10122, 10126, 10130,
   10134, 10138, 10142, 10146, 10150, 10154, 10159, 10163, 10171, 10175,
   10179, 10183, 10187, 10191, 10195, 10199, 10203, 10207, 10211, 10215,
   10219, 10223, 10227, 10231, 10235, 10239, 10243, 10247, 10251, 10255,
   10263, 10267, 10271, 10275, 10279, 10283, 10287, 10291, 10295, 10299,
   10303, 10307, 10315, 10319, 10323, 10327, 10331, 10335, 10339, 10347,
   10351, 10359, 10363, 10371, 10375, 10379, 10383, 10387, 10391, 10395,
   10399, 10403, 10407, 10411, 10415, 10419, 10423, 10427, 10431, 10435,
   10439, 10443, 10447, 10451, 10455, 10459, 10463, 10467, 10471, 10475,
   10479, 10483, 10487, 10491, 10495, 10499, 10503, 10507, 10511, 10515,
   10519, 10523, 10527, 10531, 10535, 10543, 10547, 10555, 10559, 10563,
   10568, 10574, 10582, 10586, 10594, 10598, 10606, 10610, 10618, 10622,
   10627, 10633, 10637, 10641, 10645, 10653, 10658, 10664, 10669, 10675,
   10680, 10686, 10690, 10698, 10706, 10710, 10715, 10721, 10729, 10733,
   10740, 10745, 10751, 10756, 10761, 10767, 10771, 10779, 10783, 10787,
   10791, 10795, 10803, 10807, 10811, 10819, 10823, 10827, 10835, 10839,
   10847, 10851, 10855, 10859, 10863, 10867, 10871, 10875, 10879, 10887,
   10891, 10899, 10903, 10911, 10915, 10919, 10923, 10927, 10931, 10939,
   10943, 10951, 10955, 10963, 10967, 10975, 10979, 10987, 10991, 10995,
   11003, 11007, 11015, 11020, 11026, 11030, 11034, 11038, 11042, 11046,
   11050, 11054, 11062, 11066, 11074, 11082, 11087, 11093, 11097, 11101,
   11105, 11109, 11114, 11120, 11128, 11136, 11140, 11144, 11152, 11156,
   11164, 11172, 11176, 11184, 11192, 11197, 11203, 11208, 11214, 11218,
   11226, 11230, 11234, 11238, 11246, 11250, 11259, 11261, 11269, 11274,
   11280, 11284, 11292, 11296, 11304, 11312, 11317, 11323, 11327, 11335,
   11339, 11343, 11347, 11355, 11359, 11367, 11371, 11379, 11383, 11391,
   11399, 11407, 11415, 11423, 11431, 11439, 11443, 11451, 11455, 11459,
   11463, 11467, 11471, 11475, 11479, 11483, 11487, 11491, 11495, 11499,
   11503, 11504, 11509, 11515, 11523, 11527, 11535, 11539, 11540, 11544,
   11552, 11556, 11560, 11564, 11572, 11576, 11580, 11584, 11588, 11592,
   11596, 11600, 11604, 11608, 11612, 11616, 11620, 11624, 11628, 11632,
   11636, 11640, 11644, 11648, 11652, 11656, 11660, 11664, 11668, 11672,
   11676, 11680, 11684, 11688, 11692, 11696, 11700, 11704, 11708, 11712,
   11716, 11720, 11724, 11728, 11732, 11736, 11740, 11744, 11748, 11752,
   11756, 11760, 11764, 11768, 11772, 11776, 11780, 11784, 11788, 11792,
   11796, 11800, 11804, 11808, 11812, 11816, 11820, 11824, 11828, 11832,
   11836, 11840, 11844, 11848, 11852, 11856, 11860, 11864, 11868, 11872,
   11876, 11880, 11884, 11888, 11892, 11896, 11900, 11904, 11908, 11912,
   11916, 11920, 11924, 11928, 11932, 11936, 11940, 11944, 11948, 11952,
   11956, 11960, 11964, 11968, 11972, 11976, 11980, 11984, 11988, 11992,
   11996, 12000, 12004, 12008, 12012, 12016, 12020, 12024, 12028, 12032,
   12036, 12040, 12044, 12048, 12052, 12056, 12060, 12064, 12068, 12072,
   12076, 12080, 12084, 12088, 12092, 12096, 12100, 12104, 12108, 12112,
   12116, 12120, 12124, 12128, 12132, 12136, 12140, 12144, 12148, 12152,
   12156, 12160, 12164, 12168, 12172, 12176, 12180, 12184, 12188, 12192,
   12196, 12200, 12204, 12208, 12212, 12216, 12220, 12224, 12228, 12232,
   12236, 12240, 12244, 12248, 12252, 12256, 12260, 12264, 12268, 12272,
   12276, 12280, 12284, 12288, 12292, 12296, 12300, 12304, 12308, 12312,
   12316, 12320, 12324, 12328, 12332, 12336, 12340, 12344, 12348, 12352,
   12356, 12360, 12364, 12368, 12372, 12376, 12380, 12384, 12388, 12392,
   12396, 12400, 12404, 12408, 12412, 12416, 12420, 12424, 12428, 12432,
   12436, 12440, 12444, 12448, 12452, 12456, 12460, 12464, 12468, 12472,
   12476, 12480, 12484, 12488, 12492, 12496, 12500, 12504, 12508, 12512,
   12516, 12520, 12524, 12528, 12532, 12536, 12540, 12544, 12548, 12552,
   12556, 12560, 12564, 12568, 12576, 12580, 12584, 12588, 12592, 12596,
   12600, 12604, 12608, 12612, 12616, 12620, 12624, 12628, 12632, 12636,
   12640, 12644, 12648, 12652, 12656, 12660, 12664, 12668, 12672, 12676,
   12680, 12684, 12688, 12692, 12696, 12700, 12704, 12708, 12712, 12716,
   12720, 12724, 12728, 12732, 12736, 12740, 12744, 12748, 12756, 12760,
   12764, 12768, 12772, 12776, 12780, 12784, 12788, 12792, 12796, 12800,
   12804, 12808, 12812, 12816, 12820, 12824, 12828, 12832, 12836, 12840,
   12848, 12852, 12856, 12860, 12864, 12868, 12872, 12876, 12880, 12884,
   12888, 12892, 12896, 12900, 12904, 12908, 12912, 12916, 12920, 12924,
   12928, 12932, 12936, 12940, 12944, 12948, 12952, 12956, 12960, 12964,
   12968, 12972, 12976, 12980, 12984, 12988, 12992, 12996, 13000, 13004,
   13008, 13012, 13016, 13020, 13024, 13028, 13032, 13036, 13040, 13044,
   13048, 13052, 13056, 13060, 13064, 13068, 13072, 13076, 13080, 13084,
   13088, 13092, 13096, 13100, 13104, 13108, 13112, 13116, 13120, 13124,
   13128, 13132, 13136, 13140, 13144, 13154, 13155, 13158, 13159, 13160,
   13166, 13167, 13168, 13169, 13170, 13183, 13183, 13192, 13207, 13209,
   13212, 13214, 13218, 13230, 13246, 13250, 13261, 13262, 13265, 13277,
   13286, 13287, 13290, 13291, 13292, 13295, 13296, 13299, 13300, 13303,
   13304, 13307, 13309, 13311, 13313, 13317, 13324, 13331, 13347, 13381,
   13391, 13394, 13398, 13411, 13412, 13414, 13416, 13420, 13434, 13441,
   13502, 13511, 13513, 13514, 13517, 13519, 13520, 13523, 13524, 13525,
   13526, 13527, 13534, 13533, 13543, 13545, 13547, 13548, 13551, 13552,
   13553, 13554, 13557, 13558, 13562, 13561, 13578, 13576, 13592, 13591,
   13605, 13611, 13612, 13615, 13617, 13618, 13621, 13622, 13623, 13624,
   13627, 13628, 13631, 13639, 13656, 13664, 13687, 13793, 13827, 13829,
   13831, 13835, 13839, 13838, 13889, 13891, 13890, 13905, 13911, 13918,
   13923, 13929, 13930, 13933, 13934, 13935, 13936, 13937, 13938, 13939,
   13947, 13955, 13958, 13959, 13960, 13961, 13962, 13963, 13971, 13979,
   13980, 13981, 13984, 13985, 13988, 13990, 13999, 14087, 14088, 14095,
   14096, 14097, 14103, 14112, 14115, 14116, 14117, 14118, 14121, 14122,
   14123, 14126, 14128, 14136, 14137, 14143, 14151, 14152, 14155, 14156,
   14159, 14164, 14171, 14176, 14183, 14190, 14190, 14192, 14199, 14200,
   14203, 14204, 14205, 14206, 14207, 14208, 14209, 14210, 14211, 14217,
   14224, 14236, 14242, 14249, 14257, 14258, 14270, 14281, 14292, 14296,
   14297, 14300, 14305, 14309, 14310, 14313, 14319, 14327, 14333, 14340,
   14344, 14345, 14348, 14351, 14355, 14356, 14359, 14365, 14374, 14379,
   14389, 14399, 14411, 14412, 14413, 14414, 14415, 14416, 14417, 14418,
   14419, 14420, 14421, 14422, 14423, 14424, 14425, 14432, 14433, 14436,
   14437, 14444, 14445, 14446, 14453, 14452, 14469, 14470, 14477, 14476,
   14546, 14552, 14558, 14566, 14572, 14578, 14584, 14590, 14596, 14602,
   14608, 14614, 14625, 14626, 14629, 14630, 14631, 14632, 14633, 14634,
   14635, 14636, 14637, 14638, 14639, 14640, 14641, 14642, 14643, 14644,
   14645, 14646, 14647, 14648, 14649, 14650, 14651, 14652, 14655, 14656,
   14657, 14658, 14659, 14660, 14664, 14665, 14666, 14667, 14668, 14669,
   14670, 14673, 14676, 14677, 14678, 14679, 14680, 14681, 14682, 14683,
   14696, 14697, 14698, 14699, 14700, 14701, 14702, 14707, 14708, 14709,
   14710, 14711, 14712, 14718, 14719, 14720, 14721, 14722, 14723, 14724,
   14725, 14726, 14727, 14728, 14731, 14732, 14733, 14734, 14735, 14738,
   14739, 14740, 14741, 14744, 14745, 14746, 14747, 14748, 14749, 14750,
   14767, 14768, 14769, 14772, 14773, 14774, 14775, 14776, 14777, 14781,
   14781, 14784, 14790, 14791, 14794, 14796, 14801, 14811, 14822, 14829,
   14830, 14831, 14834, 14867, 14869, 14871, 14874, 14884, 14894, 14904,
   14905, 14908, 14910, 14911, 14912, 14915, 14917, 14925, 14926, 14927,
   14931, 14932, 14936, 14937, 14940, 14941, 14944, 14945, 14946, 14947,
   14948, 14951, 14952, 14953, 14954, 14955, 14956, 14957, 14958, 14959,
   14960, 14961, 14962, 14963, 14964, 14965, 14966, 14967, 14968, 14969,
   14970, 14971, 14972, 14973, 14974, 14975, 14976, 14977, 14978, 14979,
   14980, 14981, 14982, 14983, 14984, 14985, 14986, 14987, 14988, 14989,
   14990, 14991, 14992, 14993, 14994, 14995, 14996, 14997, 14998, 14999,
   15000, 15001, 15002, 15003, 15004, 15005, 15006, 15009, 15010, 15011,
   15012, 15015, 15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023,
   15024, 15031, 15032, 15033, 15034, 15035, 15038, 15039, 15042, 15043,
   15054, 15055
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "RoleId", "role_list",
  "SignedIconst", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
      61,    60,    62,   755,    43,    45,    42,    47,    37,    94,
     756,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   524,
     525,   525,   526,   526,   527,   527,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   529,   529,   529,   529,   529,
     529,   530,   531,   532,   532,   533,   533,   534,   535,   536,
     536,   537,   537,   538,   539,   540,   540,   541,   541,   542,
     542,   542,   542,   543,   543,   544,   544,   545,   545,   545,
     545,   545,   545,   546,   546,   546,   547,   547,   547,   548,
     548,   548,   548,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   550,   550,   551,   551,   552,   552,
     553,   553,   553,   553,   554,   554,   554,   554,   555,   555,
     555,   555,   555,   555,   555,   556,   556,   556,   557,   557,
     558,   559,   559,   559,   559,   560,   560,   561,   561,   562,
     562,   563,   563,   563,   563,   563,   564,   565,   565,   566,
     566,   567,   568,   568,   568,   568,   568,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   572,
     572,   573,   573,   573,   574,   574,   575,   575,   576,   576,
     576,   576,   577,   578,   578,   579,   579,   580,   580,   580,
     580,   581,   582,   582,   583,   583,   583,   583,   584,   584,
     585,   585,   586,   586,   587,   587,   588,   588,   588,   589,
     589,   590,   590,   591,   591,   591,   591,   591,   591,   591,
     591,   591,   591,   591,   591,   591,   591,   592,   592,   593,
     593,   594,   594,   595,   595,   596,   596,   597,   598,   598,
     598,   598,   598,   599,   599,   600,   601,   601,   601,   601,
     602,   602,   602,   602,   602,   602,   602,   602,   603,   603,
     604,   604,   605,   605,   606,   606,   607,   607,   607,   608,
     608,   609,   610,   611,   611,   612,   612,   612,   612,   613,
     613,   613,   613,   613,   613,   613,   614,   614,   614,   614,
     615,   616,   616,   616,   617,   617,   617,   617,   617,   617,
     618,   618,   619,   619,   619,   619,   619,   619,   619,   620,
     620,   621,   621,   622,   622,   623,   624,   624,   624,   624,
     625,   625,   626,   626,   627,   627,   628,   628,   628,   628,
     628,   629,   630,   631,   631,   631,   631,   631,   632,   632,
     633,   633,   633,   633,   634,   634,   634,   634,   635,   635,
     636,   636,   637,   638,   639,   639,   639,   640,   641,   642,
     642,   643,   644,   645,   645,   646,   646,   647,   647,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   649,   649,   650,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   656,   657,   657,
     658,   658,   659,   659,   660,   661,   661,   662,   662,   663,
     663,   664,   664,   665,   665,   665,   666,   667,   667,   668,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   670,   671,   671,   671,   671,   672,
     672,   673,   673,   674,   674,   675,   675,   676,   676,   677,
     677,   678,   679,   679,   680,   680,   680,   680,   681,   682,
     683,   684,   685,   685,   686,   686,   687,   687,   688,   688,
     689,   689,   689,   690,   690,   691,   691,   692,   693,   693,
     693,   694,   694,   695,   696,   696,   697,   697,   697,   698,
     698,   699,   699,   699,   699,   699,   700,   700,   701,   701,
     702,   702,   703,   703,   704,   704,   704,   705,   705,   705,
     705,   706,   706,   707,   707,   708,   708,   708,   708,   708,
     708,   709,   709,   710,   710,   711,   711,   712,   713,   713,
     714,   715,   715,   715,   715,   716,   717,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   719,   720,   720,   721,   721,   722,   722,   722,   722,
     722,   723,   724,   724,   725,   726,   726,   727,   727,   728,
     728,   728,   729,   729,   730,   731,   731,   732,   732,   732,
     732,   732,   733,   733,   734,   734,   735,   735,   735,   736,
     736,   737,   738,   738,   739,   739,   740,   740,   741,   741,
     742,   742,   743,   744,   745,   745,   745,   745,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   747,   747,   748,   748,   749,
     749,   750,   751,   751,   751,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   754,   754,   755,   755,   755,   755,   755,   756,   756,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   758,   758,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     761,   761,   762,   762,   763,   764,   764,   765,   765,   765,
     765,   765,   766,   766,   767,   767,   767,   767,   768,   768,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   768,   769,   769,   770,   770,   771,   771,
     772,   772,   773,   774,   775,   775,   776,   776,   777,   777,
     778,   779,   779,   780,   780,   780,   781,   781,   781,   782,
     782,   782,   782,   783,   784,   784,   785,   785,   786,   786,
     787,   787,   788,   788,   789,   789,   789,   790,   790,   791,
     791,   791,   792,   792,   792,   793,   793,   793,   794,   794,
     794,   795,   795,   796,   796,   797,   797,   798,   798,   799,
     799,   800,   800,   800,   800,   800,   801,   801,   801,   801,
     801,   802,   803,   804,   804,   804,   805,   805,   805,   806,
     807,   807,   807,   807,   808,   808,   809,   809,   810,   810,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   811,   811,   811,   811,   812,   812,   813,
     813,   814,   815,   815,   816,   817,   817,   818,   818,   819,
     819,   820,   820,   821,   821,   822,   822,   822,   822,   823,
     823,   824,   825,   825,   826,   826,   827,   827,   827,   828,
     828,   828,   829,   830,   830,   831,   831,   831,   832,   832,
     833,   833,   834,   834,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   836,
     836,   837,   837,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   840,   841,   841,   841,
     842,   842,   843,   843,   843,   843,   843,   844,   844,   845,
     845,   845,   845,   846,   846,   846,   847,   847,   848,   849,
     849,   850,   851,   851,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   853,   853,
     853,   854,   854,   854,   854,   854,   855,   855,   855,   856,
     856,   857,   857,   857,   857,   858,   858,   858,   858,   859,
     860,   861,   861,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   863,
     863,   864,   864,   865,   866,   866,   867,   868,   868,   869,
     869,   870,   871,   871,   871,   871,   871,   871,   871,   872,
     872,   873,   874,   874,   874,   874,   874,   874,   875,   876,
     876,   876,   877,   877,   878,   878,   878,   878,   878,   879,
     879,   880,   880,   880,   880,   881,   881,   882,   882,   883,
     883,   884,   884,   885,   885,   886,   886,   887,   887,   887,
     887,   888,   888,   888,   888,   888,   888,   888,   888,   888,
     889,   889,   890,   891,   891,   892,   892,   892,   893,   893,
     894,   894,   895,   895,   895,   895,   896,   896,   897,   897,
     898,   899,   899,   899,   900,   900,   901,   902,   902,   903,
     904,   904,   905,   906,   906,   907,   907,   907,   907,   907,
     907,   907,   907,   908,   908,   909,   910,   910,   911,   911,
     912,   913,   914,   915,   915,   916,   917,   917,   918,   918,
     918,   918,   918,   919,   919,   919,   920,   920,   921,   921,
     922,   922,   922,   922,   922,   922,   922,   922,   923,   923,
     924,   924,   924,   924,   924,   924,   925,   925,   926,   926,
     927,   928,   928,   929,   929,   929,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   931,   931,   932,   932,   932,
     933,   933,   933,   933,   934,   934,   935,   936,   936,   937,
     937,   938,   938,   938,   938,   939,   939,   940,   940,   940,
     941,   941,   942,   942,   943,   944,   944,   944,   945,   946,
     946,   947,   947,   948,   948,   949,   949,   950,   950,   951,
     951,   952,   952,   953,   954,   954,   954,   954,   955,   955,
     956,   956,   957,   957,   958,   958,   959,   959,   959,   959,
     959,   959,   959,   960,   960,   960,   960,   960,   960,   961,
     961,   961,   961,   962,   962,   963,   963,   963,   963,   963,
     964,   964,   964,   964,   965,   965,   966,   966,   967,   967,
     967,   967,   968,   968,   969,   969,   969,   970,   970,   971,
     972,   972,   973,   973,   974,   974,   975,   975,   976,   976,
     976,   977,   977,   978,   978,   979,   980,   980,   980,   980,
     980,   980,   981,   981,   981,   982,   982,   982,   982,   982,
     982,   982,   983,   983,   983,   983,   984,   984,   985,   985,
     986,   986,   986,   986,   986,   986,   986,   986,   986,   986,
     986,   987,   987,   988,   988,   989,   989,   990,   991,   992,
     992,   993,   993,   994,   995,   996,   996,   996,   996,   996,
     996,   997,   997,   998,   998,   999,   999,   999,   999,  1000,
    1001,  1001,  1001,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1003,  1003,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1007,  1007,  1007,  1007,  1007,  1007,  1007,  1008,
    1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1011,  1011,  1012,  1012,  1012,
    1012,  1013,  1014,  1014,  1015,  1015,  1016,  1016,  1017,  1017,
    1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,  1020,  1021,
    1021,  1022,  1022,  1023,  1024,  1024,  1024,  1025,  1026,  1026,
    1027,  1027,  1028,  1028,  1028,  1029,  1029,  1030,  1030,  1030,
    1030,  1030,  1031,  1031,  1031,  1032,  1032,  1032,  1033,  1033,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1035,
    1035,  1036,  1036,  1037,  1037,  1037,  1037,  1037,  1037,  1038,
    1038,  1039,  1039,  1040,  1040,  1041,  1041,  1042,  1042,  1042,
    1043,  1043,  1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1046,  1046,  1047,  1048,  1048,  1049,  1049,  1049,
    1049,  1049,  1049,  1050,  1051,  1052,  1052,  1052,  1053,  1053,
    1054,  1055,  1055,  1056,  1057,  1057,  1058,  1058,  1059,  1059,
    1060,  1060,  1060,  1060,  1061,  1061,  1062,  1062,  1063,  1063,
    1064,  1064,  1065,  1065,  1066,  1067,  1067,  1068,  1068,  1069,
    1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,  1072,  1073,
    1074,  1075,  1076,  1077,  1078,  1079,  1079,  1080,  1080,  1080,
    1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,
    1080,  1080,  1081,  1082,  1083,  1083,  1084,  1084,  1084,  1084,
    1085,  1085,  1085,  1085,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1090,  1090,  1091,  1091,  1091,
    1091,  1091,  1091,  1091,  1091,  1093,  1092,  1094,  1095,  1095,
    1095,  1095,  1096,  1096,  1096,  1096,  1097,  1097,  1098,  1099,
    1100,  1100,  1101,  1101,  1101,  1102,  1102,  1103,  1103,  1104,
    1104,  1105,  1105,  1105,  1105,  1106,  1106,  1106,  1107,  1108,
    1108,  1109,  1109,  1110,  1110,  1110,  1110,  1111,  1111,  1112,
    1113,  1114,  1115,  1115,  1116,  1117,  1117,  1118,  1118,  1118,
    1118,  1118,  1120,  1119,  1121,  1122,  1123,  1123,  1124,  1124,
    1124,  1124,  1125,  1125,  1127,  1126,  1129,  1128,  1130,  1128,
    1128,  1131,  1131,  1132,  1132,  1132,  1133,  1133,  1133,  1133,
    1134,  1134,  1135,  1135,  1135,  1135,  1135,  1135,  1136,  1136,
    1136,  1137,  1139,  1138,  1140,  1141,  1140,  1142,  1142,  1143,
    1143,  1144,  1144,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1147,  1147,  1148,  1148,  1149,  1150,  1150,  1151,
    1151,  1151,  1152,  1153,  1154,  1154,  1154,  1154,  1155,  1155,
    1155,  1156,  1156,  1157,  1157,  1158,  1159,  1159,  1160,  1160,
    1161,  1161,  1162,  1162,  1163,  1164,  1164,  1165,  1165,  1165,
    1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1167,
    1167,  1167,  1167,  1167,  1168,  1168,  1169,  1170,  1171,  1172,
    1172,  1173,  1174,  1175,  1175,  1176,  1177,  1177,  1178,  1179,
    1180,  1180,  1181,  1182,  1183,  1183,  1184,  1185,  1185,  1185,
    1185,  1185,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1187,  1187,  1188,
    1188,  1189,  1189,  1189,  1191,  1190,  1192,  1192,  1194,  1193,
    1195,  1195,  1195,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1197,  1197,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1199,  1199,
    1199,  1199,  1199,  1199,  1200,  1200,  1200,  1200,  1200,  1200,
    1200,  1201,  1202,  1202,  1202,  1202,  1202,  1202,  1202,  1202,
    1203,  1203,  1203,  1203,  1203,  1203,  1203,  1204,  1204,  1204,
    1204,  1204,  1204,  1205,  1205,  1205,  1205,  1205,  1205,  1205,
    1205,  1205,  1205,  1205,  1206,  1206,  1206,  1206,  1206,  1207,
    1207,  1207,  1207,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1209,  1209,  1209,  1210,  1210,  1210,  1210,  1210,  1210,  1211,
    1211,  1212,  1213,  1213,  1214,  1214,  1215,  1216,  1217,  1218,
    1218,  1218,  1219,  1220,  1221,  1222,  1223,  1223,  1223,  1223,
    1223,  1224,  1225,  1225,  1225,  1226,  1226,  1227,  1227,  1227,
    1228,  1228,  1229,  1229,  1230,  1230,  1231,  1231,  1231,  1231,
    1231,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1233,  1233,  1233,
    1233,  1234,  1234,  1234,  1234,  1234,  1234,  1234,  1234,  1234,
    1234,  1235,  1235,  1235,  1235,  1235,  1236,  1236,  1237,  1237,
    1238,  1238
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     4,     3,
       5,     3,     5,     5,     6,     1,     1,     3,     5,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     3,     4,     5,     4,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     4,     6,    10,
      13,     4,     6,    10,    13,     4,     6,     4,     6,     5,
       7,    11,    14,     1,     3,     2,     3,     4,     6,     6,
       6,     5,     5,     6,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     3,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     1,     1,
       1,     3,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     4,     1,     3,     4,     6,     4,     8,     2,     2,
      11,     7,     1,     1,     1,     0,     1,     1,     1,     1,
       3,     2,     0,     1,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     3,     2,     1,     0,     2,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    11,    14,    10,    13,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     4,     2,     0,     3,     1,     1,     2,     2,
       1,     3,     4,     5,     2,     5,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     2,
       0,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     3,     5,     2,     3,     0,     8,     4,     1,
       0,     6,     5,     4,     6,     1,     0,     1,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     1,
       3,     1,     0,     1,     2,     1,     1,     3,     6,    10,
       1,     0,     1,     2,     2,     0,     2,     2,     1,     0,
       5,     7,     1,     0,     7,     2,     0,     3,     5,     5,
       8,     2,     0,     2,     2,     2,     5,     2,     0,     2,
       7,    10,     6,     6,     6,     6,     7,     7,     9,     9,
       6,     7,     6,     8,     8,     8,     8,     6,     6,     7,
       7,     8,     6,     6,     7,     2,     2,     2,     2,     1,
       2,     1,     0,     6,     8,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,     2,     0,     2,     2,     1,     0,     4,     6,
       5,     4,     4,    10,    13,     5,     7,     8,     1,     1,
       1,     7,     9,     8,    15,    20,     1,     1,     2,     1,
       3,     1,     1,     1,     3,     1,     3,     0,     1,     0,
       1,     1,     4,     0,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,     6,     8,    11,    13,     1,     3,     5,     1,     3,
       5,     1,     2,     2,     1,     8,     4,     5,     4,     4,
       4,     3,     7,     8,     6,     6,     6,     6,     6,     4,
       5,     3,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     3,     0,    13,     1,     3,     5,     6,     4,
       7,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     5,     7,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     1,     3,     1,     2,     2,
       3,     5,     2,     2,     0,     6,     7,     7,     7,     8,
       8,     6,     8,     9,     9,     7,    10,     7,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     1,     3,     2,     3,     3,     3,
       3,     1,     1,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     2,     3,     4,     5,
       4,     5,     3,     4,     3,     4,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     4,     4,     4,     4,
       1,     1,     1,     0,     7,     7,    10,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     1,     2,
       2,     4,     3,     2,     2,     2,     2,     3,     2,     2,
       2,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       1,     3,     2,     6,     6,     9,     3,     0,     3,     0,
       5,     2,     0,     3,     3,     3,     7,     7,    10,     1,
       1,     1,     1,    14,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     2,     0,     1,
       2,     0,     1,     1,     0,     1,     1,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     1,     2,     4,     5,
       1,     1,     1,     1,     3,     3,     2,     2,     1,     2,
       2,     2,     1,     2,     2,     1,     1,     1,     3,     2,
       0,     2,     1,     3,     5,     1,     2,     1,     0,     5,
       7,     5,     7,     5,     7,     3,     5,     5,     5,     1,
       3,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,     4,     4,     4,     1,     1,
       1,     0,     5,     5,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     9,    11,     8,     9,    11,     8,     8,     7,
       6,     6,     6,     8,     8,     8,     8,     6,     9,     1,
       0,     2,     0,     7,     6,     6,     6,     6,     6,     7,
       9,     9,     6,     8,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     6,     6,
       6,     6,     6,     7,     7,     7,     9,     9,     6,     6,
       6,     8,     8,     8,     6,     7,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,    12,    14,     3,     4,     4,     0,     2,
       5,     2,     0,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     4,     3,     3,     1,
       0,     5,     6,     4,     2,     0,     4,     3,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     4,
       3,     0,     1,     1,     1,     1,     4,     9,     3,     0,
       6,     1,     4,     2,     1,     3,     2,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     8,     1,     3,     1,     1,
       3,     5,     2,     1,     3,     7,     1,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     1,     2,     4,     4,     4,     2,     3,     1,     3,
       6,     1,     0,     2,     1,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     0,     3,     1,     3,     4,
       3,     2,     2,     1,     1,     1,     0,     2,     4,     5,
       2,     3,     1,     1,     1,     1,     3,     0,     1,     1,
       1,     1,     1,     3,     0,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       2,     3,     2,     0,     1,     3,     2,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     2,     6,     2,
       1,     3,     4,     0,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     1,     3,     3,     2,     3,     5,     6,
       2,     3,     3,     4,     0,     1,     1,     1,     1,     1,
       2,     5,     1,     1,     1,     1,     2,     3,     3,     0,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       1,     3,     0,     1,     1,     1,     1,     5,     2,     1,
       1,     1,     1,     5,     2,     2,     2,     1,     3,     3,
       2,     1,     0,     3,     0,     5,     2,     5,     2,     1,
       2,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     0,     1,     4,     1,
       3,     3,     5,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       3,     5,     4,     6,     3,     5,     4,     6,     4,     6,
       5,     7,     3,     2,     4,     2,     3,     3,     4,     3,
       4,     3,     4,     5,     6,     6,     7,     6,     7,     6,
       7,     3,     4,     4,     6,     2,     3,     4,     1,     3,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     2,     2,     0,     1,     4,     2,     2,     2,
       2,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     1,     4,     1,     4,     1,     2,     1,     2,     1,
       3,     1,     3,     1,     3,     1,     3,     3,     3,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     2,     3,     0,     3,     3,     2,
       2,     1,     0,     2,     2,     3,     2,     1,     1,     3,
       5,     1,     2,     4,     2,     0,     1,     0,     1,     2,
       2,     2,     3,     5,     1,     2,     0,     2,     1,     0,
       1,     1,     1,     3,     3,     1,     0,     1,     3,     3,
       2,     1,     1,     1,     3,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     6,     2,     3,     6,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     2,     4,     3,     2,
       1,     1,     1,     1,     1,     0,     8,     2,     5,     3,
       2,     2,     3,     7,     1,     1,     1,     0,     2,     2,
       1,     0,     1,     3,     1,     2,     0,     2,     0,     2,
       0,     1,     3,     4,     3,     1,     1,     1,     1,     2,
       0,     2,     4,     0,     2,     2,     2,     1,     1,     7,
       3,     1,     1,     1,     1,     2,     0,     1,     3,     3,
       3,     3,     0,     4,     5,     5,     0,     1,     1,     1,
       2,     2,     1,     2,     0,     7,     0,     5,     0,     4,
       2,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     5,     2,     1,     3,     2,
       2,     3,     0,     5,     1,     0,     5,     2,     2,     1,
       1,     1,     2,     2,     3,     1,     2,     2,     3,     3,
       4,     2,     1,     2,     1,     1,     2,     2,     3,     1,
       1,     1,     1,     0,     1,     3,     5,     0,     2,     0,
       1,     2,     3,     2,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     2,     2,     3,     0,     1,     2,     1,
       4,     3,     4,     3,     2,     1,     3,     1,     1,     1,
       1,     2,     2,     1,     2,     2,     1,     1,     1,     4,
       4,     4,     4,     4,     1,     0,     3,     3,     4,     1,
       3,     3,     4,     1,     3,     3,     1,     1,     1,     6,
       1,     3,     3,     6,     1,     3,     3,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     1,
       1,     4,     4,     3,     0,     7,     1,     0,     0,     7,
       3,     4,     3,     1,     1,     1,     2,     3,     5,     2,
       5,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     0,     2,     2,     1,     1,     2,     1,     1,     1,
       0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2365,     0,     2,     1,  2795,  2799,  2803,  2804,  2721,  2805,
    2806,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,
    2780,  2781,  2782,  2784,  2783,  2785,  2786,  2787,  2788,  2789,
    2790,  2791,  2792,  2794,  2793,  2743,  2372,  2740,  2737,  2738,
    2739,  2744,  2742,  2735,  2736,  1962,  2808,  2796,  2809,  2797,
    2798,  2800,  2801,  2770,  2802,  2810,  2811,  2812,  2807,  2815,
    2766,  2767,  2765,  2768,  2769,  2813,  2814,  2757,  2758,  2759,
    2760,  2816,  2373,  2374,  2762,  2366,  2370,  2432,  2503,  2763,
    2764,  2761,  2371,  2756,  2503,     0,  2624,  2625,  2626,     0,
    2627,  2628,  2629,  2555,  2517,  2630,     0,     0,  2631,  2632,
    2633,  2634,  2635,  2636,  2637,  2638,     0,  2639,  2640,  2641,
    2642,  2502,  2643,  2644,  2645,  2646,  2647,  2479,  2485,  2608,
       0,  2459,  2460,  2456,  2458,  2457,  2461,  2444,  1220,   563,
    1308,  1307,     0,  2268,  1220,  2224,  2225,  2269,  2226,  2227,
    2228,   261,     0,  1310,  2229,  2270,     0,  1220,  2271,   388,
     982,  2272,  2273,  2387,     0,  2230,  2231,     0,     0,     0,
     563,  1220,     0,     0,  2232,  1422,  2233,     0,  2234,  2274,
    2275,     0,  2235,  2276,  2277,  2236,  2237,  2238,  2278,  2279,
    2280,  2239,  2281,  2282,     0,     0,  1436,     0,  2240,  2283,
    2241,  2242,     0,  2284,  2243,  2244,  2245,  2285,  2286,  2246,
    2247,  2248,     0,  2249,     0,     0,     0,     0,     0,     0,
    2287,  1220,  2250,     0,     0,  1443,     0,  2251,     0,  2288,
    2252,     0,  2253,     0,  2254,  2255,  2256,  2257,  1436,  2604,
    2480,     0,  1312,     0,  2258,  2289,     0,  2259,  2260,  2261,
    2262,  2263,  2264,  2265,  2266,  2267,     0,     0,    59,    60,
      24,    23,    29,    28,    82,    83,    47,    15,    73,    53,
     116,   115,   117,    35,    31,    67,    20,    22,    32,    36,
      55,    48,    94,    54,    18,    52,    77,    56,    80,    42,
       9,    10,    43,    71,    11,    44,    72,    12,    45,    13,
      61,    84,    27,    57,    81,    58,     3,    38,    69,    65,
       8,    49,    50,    51,    74,    75,    76,    99,    79,   111,
      34,   108,    88,    89,   105,    90,   106,     6,    91,    46,
      14,   102,   101,   103,    68,    39,    70,   100,    21,   104,
      16,    17,   107,    78,    97,    93,   112,   110,   118,    95,
      62,     4,     5,    85,    19,    41,     7,    26,    25,    40,
      33,   114,    30,  1310,    87,    98,    86,    92,    66,    96,
     113,    64,   109,  1409,  1396,  1445,  1408,  1421,     0,  1411,
    2700,  2701,    37,  1422,   120,   121,   126,  2369,  2421,  2422,
    2423,  2503,  2454,  2455,  2448,  2464,  2474,  2463,  2467,  2475,
    2462,  2481,     0,   123,   125,   127,   130,   124,   119,   122,
     129,   134,   128,   133,   131,   132,   135,   136,   137,  2702,
    1636,  2699,    63,  2439,  2438,     0,  2503,     0,  2732,  1974,
    1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,
    1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,
    2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,
    2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,
    2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,
    2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,
    2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,  2083,  2084,
    2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,
    2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,
    2125,  2128,  2126,  2127,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,
    2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,
    2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,
    2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,
    2185,  2186,  2187,  2188,  2189,  2190,  2387,  2191,  2192,  2193,
    2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,
    2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2405,  1963,  1971,  1972,  1973,  2380,  2401,  2407,  2728,  2406,
    1970,  2554,     0,     0,  2648,  2649,  2650,  2651,  2652,  2653,
    2703,  2704,  2705,  2706,  2707,  2709,  2708,  2516,  2675,  2712,
    2515,  2713,  2519,  2714,  2715,  2716,  2717,  2676,  2718,  2518,
    2710,  2672,  2520,  2513,  2514,  2673,  2622,  2623,  1940,  2674,
    2671,  2711,  2408,  2670,  2524,  2523,  1386,  2727,  1939,  1387,
       0,  2526,  2654,  2655,  2656,  2657,  2659,  2658,  2660,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2685,  2302,  2303,  2304,  2698,  2305,  2306,  2686,  2307,
    2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,
    2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,
    2328,  2329,  2330,  2687,  2688,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2689,
    2355,  2356,  2690,  2357,  2358,  2359,  2691,  2360,  2361,  2362,
    2363,  2364,  2695,  2696,  2697,  2684,  2477,  2661,  2683,  2694,
    2692,  2693,  2487,  2483,  2491,  2486,     0,     0,     0,     0,
    2503,  1219,  1218,  1204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2377,     0,  1230,   359,   358,  1309,
    1290,   563,     0,  1207,   387,     0,     0,     0,     0,     0,
       0,     0,     0,   752,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,     0,     0,   411,   410,     0,
       0,     0,   954,   416,     0,     0,     0,     0,     0,   551,
    2386,  2381,  2391,     0,  2384,  2385,  2670,     0,  2819,  2126,
    2417,  2418,  2817,  2176,  1388,   262,   265,   266,   263,   264,
       0,  1061,  1062,  1064,     0,     0,  1074,   787,   788,     0,
     786,     0,   790,     0,     0,     0,   782,     0,     0,     0,
       0,     0,   789,   779,     0,   778,     0,     0,     0,   785,
       0,   780,     0,     0,  1208,     0,  2469,  2470,  2064,  1349,
     417,     0,     0,  1422,     0,  1327,  1328,  1310,  1317,  1329,
    1322,  1324,  1323,  1325,  1321,  1326,  1975,   893,  1989,   893,
    2054,   890,   891,   893,   893,   893,  2143,     0,     0,   865,
       0,   876,  1966,   893,  1967,  2728,   898,   472,   472,   472,
       0,   897,   902,   472,  1201,  1239,  1944,  1435,     0,  1989,
    2054,   866,  1200,  2191,  1341,     0,     0,     0,  1078,     0,
    1079,     0,  2158,  1212,   246,  2668,  2167,  2254,  2191,  2669,
     245,   240,   241,  2663,  2664,  2666,   214,  2667,  2665,  2662,
    1979,     0,     0,   897,     0,  1209,  1210,   849,  1442,  1440,
    1926,     0,     0,  1997,     0,  2009,  2090,   237,  2154,  2159,
    2167,  2254,  2191,  2221,   193,   203,   198,     0,   255,  2167,
    2254,  2191,     0,  1230,     0,  1412,  1528,  1935,     0,     0,
    2478,  1203,  1202,  1311,     0,  1314,     0,  1490,  2139,  1416,
    1418,  1316,  1409,     0,     0,  2368,  1305,  1439,  1439,     0,
    1439,     0,  1401,  1409,  1404,  1408,     0,     0,     0,     0,
    1220,     0,  2446,  2474,  2453,  2509,  2450,     0,     0,  2499,
    2495,  2492,  2500,  2501,  2494,  2482,  1625,  1626,  1627,  1624,
    1637,  1623,     0,  2427,  1628,  2466,  2433,     0,  2441,  2440,
    2745,  2746,  2556,  2379,  2398,     0,     0,     0,     0,     0,
       0,     0,  2525,  2527,  2529,  2489,  2488,  2484,     0,     0,
       0,     0,  2614,  2615,  2613,     0,  2610,  2612,     0,  2509,
       0,  2679,  2673,  2682,     0,  1945,  2674,  2671,  2670,     0,
     797,     0,   141,   942,     0,     0,     0,     0,  1939,     0,
       0,     0,     0,     0,     0,  2063,     0,     0,     0,  1838,
    2001,  2049,  1848,  1846,  1847,  1840,  1841,  1842,  1843,  1844,
    1845,     0,  1059,  1839,     0,   163,   141,     0,     0,  2063,
       0,     0,     0,     0,     0,  2063,     0,     0,     0,     0,
       0,  2093,   141,  2063,     0,     0,     0,  1224,     0,     0,
       0,  1226,  1229,  1205,  1293,     0,  1935,     0,     0,   828,
     818,     0,   829,   819,   824,     0,   831,     0,     0,   821,
       0,     0,     0,   832,     0,   820,   822,   834,   823,   830,
       0,     0,   825,   826,     0,     0,  1216,   472,   365,     0,
       0,     0,     0,     0,   141,  1280,     0,  2063,   141,     0,
       0,   415,   414,   141,   413,   412,  2001,  2049,     0,   981,
     141,  2063,     0,   186,   633,   566,     0,     0,   711,  2093,
     141,     0,     0,     0,     0,     0,     0,   957,     0,     0,
     550,   563,     0,  2390,  2396,     0,  2388,  2557,  2820,  2818,
    2512,     0,  1065,   238,   239,  1063,  2063,     0,   333,     0,
       0,  2063,  1267,   784,     0,   783,  2063,     0,  2063,  1964,
     177,     0,   781,  2001,  2049,  2063,     0,     0,  2063,   169,
    2063,     0,  2063,   333,  2063,   567,     0,  2063,     0,  2063,
    2093,   171,     0,  2063,   333,   795,     0,     0,  2750,  2754,
       0,  2752,  2747,  2468,  2522,  2521,  2420,     0,  2831,     0,
    1388,  1319,  1334,     0,  1330,  1337,  1333,  1422,   893,   892,
       0,   893,     0,  2840,   893,     0,   893,     0,  2840,   893,
       0,     0,     0,   893,  1968,  1969,     0,     0,  2839,  2837,
    2838,   867,   877,     0,   899,     0,     0,   906,   905,   904,
       0,     0,     0,   907,  1532,  1364,     0,   874,     0,   872,
       0,  1198,  1215,     0,     0,     0,     0,   957,  1081,  1081,
    1081,  1211,   244,   242,     0,     0,     0,     0,     0,     0,
    1217,     0,     0,     0,     0,  2734,  1951,  1849,  2733,     0,
    2225,  2226,  2227,  1907,     0,  2675,  2228,  2229,  2270,  1757,
    1744,  1753,  1758,  1745,  1747,  1754,  2230,  2231,  2033,  2232,
    2233,  1958,  2234,  2235,  1580,  2237,  2238,  2239,  1749,  1751,
    2240,  2241,     0,  1959,  2243,  2244,  2112,  2246,  2247,  2249,
    2250,  1755,  2252,  2253,  2254,  2255,  2256,  2257,  1957,     0,
    1756,  2258,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,
       0,     0,  1932,     0,  1726,     0,  1572,  1573,  1595,  1596,
    1574,  1601,  1602,  1614,  1575,     0,  1931,  1639,  1806,  1725,
    1740,  1731,     0,  1724,  1720,  1425,  1925,  1927,     0,  1721,
    1947,  1908,  1961,  1960,  2728,  1916,  1950,  1948,  1949,     0,
       0,     0,   206,     0,     0,  2603,   257,     0,   258,  1933,
    2167,   194,   236,   208,   235,   209,   207,     0,  1999,   195,
       0,     0,   196,     0,     0,     0,     0,     0,     0,     0,
     251,  1206,     0,  1530,  1529,     0,     0,  1914,  1936,   804,
       0,  1303,  1304,  1302,     0,  1299,  1301,  1313,  1310,  1921,
    1920,  1922,     0,  1417,     0,     0,     0,  1399,  1398,  1316,
    1437,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
    1480,  1453,  1454,  1456,  1477,  1481,  1489,     0,  1405,     0,
       0,  1534,     0,  1491,  2367,  2509,  2510,     0,  2504,     0,
    2503,  2503,  2497,  2496,  2493,     0,     0,     0,     0,     0,
       0,     0,  2424,   545,  2426,   543,     0,     0,  2400,     0,
    2404,  2402,     0,  2549,  2552,     0,  2550,  2551,  2553,     0,
    2558,  2559,     0,     0,     0,  2741,     0,     0,  2540,  2528,
    2535,  2537,  2539,  2538,  2547,  2543,  2546,  2548,  2490,  2503,
    2621,     0,  2616,  2619,     0,  2611,     0,     0,     0,  1946,
       0,     0,     0,     0,   798,     0,     0,     0,     0,     0,
       0,   140,  1265,   248,  1263,     0,     0,     0,     0,     0,
       0,     0,  1272,     0,     0,   175,   176,   578,   563,     0,
    2063,     0,     0,     0,     0,  1021,  1028,     0,     0,     0,
       0,     0,     0,     0,  1022,  1020,  1023,   250,  1032,  1045,
    1048,     0,   932,     0,     0,     0,     0,     0,  1130,     0,
       0,  1130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   271,   283,   328,     0,     0,  2063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,     0,     0,     0,   530,   542,     0,     0,
       0,     0,     0,   539,     0,   141,   275,   523,   527,     0,
       0,     0,   642,   641,  1270,  1269,     0,     0,     0,  1130,
       0,   267,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   351,   352,     0,
       0,     0,   145,   168,     0,     0,     0,   277,     0,  2434,
       0,  1225,  1222,  1223,     0,  1228,     0,  1289,     0,     0,
       0,     0,   836,     0,   833,     0,     0,   827,  2001,  2049,
       0,     0,     0,     0,     0,     0,   390,   364,     0,     0,
     708,     0,     0,  1583,  1612,  1590,  1612,  1612,  1579,  1579,
    1592,  1581,  1619,     0,  1612,  1579,  1584,     0,  1582,  1622,
    1622,  1607,     0,  1564,  1565,  1566,  1567,  1593,  1594,  1568,
    1599,  1600,  1569,  1636,  2680,  1579,  2681,  2678,  2677,     0,
       0,   719,     0,  1242,  1279,     0,     0,     0,   572,     0,
    2063,     0,   143,   753,     0,   709,   416,     0,   143,     0,
       0,   180,     0,   637,     0,     0,     0,     0,     0,     0,
     657,   656,     0,     0,     0,   710,     0,   143,     0,   526,
    2063,     0,   472,   472,     0,     0,   956,   959,     0,     0,
       0,  2394,  2389,  2392,     0,  2382,  2396,  1391,  1393,  1392,
       0,  1390,     0,   333,   331,   332,   706,  1073,     0,     0,
       0,     0,   333,     0,     0,  2063,   333,  2063,     0,  2063,
       0,     0,   333,   333,     0,     0,     0,     0,   638,     0,
     794,   792,   791,   793,     0,     0,     0,     0,     0,  2063,
     333,     0,     0,   775,  2748,     0,     0,  2751,     0,  2471,
    1859,     0,  2834,  1346,  2835,     0,     0,  1422,     0,   225,
     226,   224,  1335,   227,  1336,  1332,  1318,     0,   885,     0,
    2840,  2841,   870,     0,   880,     0,  2840,   868,     0,   881,
     878,   879,     0,     0,     0,  2836,  2719,  2725,   884,     0,
       0,   473,   475,     0,     0,  2019,  2032,     0,  2055,  2081,
    2082,  2159,  2163,     0,  2186,  2195,     0,   908,   937,   903,
       0,     0,  1374,   875,   873,  1199,  1339,  1865,     0,  1422,
       0,     0,  1080,  1077,  1076,  1075,   243,   215,     0,     0,
       0,   939,  2158,  1214,   848,   563,     0,     0,  1729,  1730,
    1611,  1598,  1906,     0,     0,  1606,  1605,     0,     0,     0,
       0,     0,  1588,  1587,  1586,  1728,  1873,     0,  1585,     0,
       0,     0,     0,  1612,  1612,  1610,  1659,     0,  1589,     0,
       0,  1886,     0,  1892,     0,     0,     0,  1618,     0,  1616,
       0,     0,  1695,     0,     0,     0,     0,     0,     0,     0,
       0,  1643,  1644,  2676,  1726,  1859,     0,  1727,  1954,     0,
       0,  1604,     0,  1636,  1849,     0,     0,     0,     0,  1919,
       0,  1857,     0,     0,  1673,  1855,     0,  1675,     0,     0,
       0,  1848,  1846,  1847,  1840,  1841,  1842,  1843,  1844,  1845,
    1853,  1656,     0,  1930,     0,  1808,     0,  1655,     0,  1493,
    1424,     0,     0,  1952,  1909,     0,  2726,  2729,  1722,  2600,
    2599,  2598,  2597,  2568,     0,  2562,  2563,     0,  2601,  2602,
     259,   260,   256,     0,     0,   211,   210,     0,   233,   234,
     205,   232,     0,   228,   229,   213,  1797,  1796,   212,   204,
     201,   199,   216,   218,   219,   202,   200,   254,   252,     0,
       0,     0,  1911,  1910,  1942,  1915,     0,     0,   333,  2503,
    1297,     0,  1294,  1924,     0,  1419,     0,  1937,     0,  1306,
    1415,  1414,  1446,  1447,   974,  1413,  1471,  1472,  1467,     0,
       0,     0,  1486,  1484,  1463,  1457,  1462,  1460,     0,  1464,
    1639,  1479,  1403,  1451,  1452,  1455,  1402,     0,  1482,     0,
    1374,  1480,  1456,  1361,     0,     0,  1535,     0,     0,  2511,
    2509,  2449,  1564,  2503,  2442,  2503,  2498,  2430,  1630,  1631,
    1632,  1633,  1634,  1635,  2431,     0,  2428,  1629,  2429,   544,
       0,     0,     0,  2397,     0,  2378,  2403,  2534,  2643,  2566,
       0,  2567,     0,     0,  2531,     0,  2541,  2544,  2542,  2545,
       0,  1564,  2722,  2617,  2722,  1564,   996,   998,     0,   997,
       0,  1000,     0,  1009,     0,     0,   995,  1014,     0,  1003,
    1001,     0,     0,     0,     0,     0,     0,   799,     0,     0,
       0,     0,     0,     0,  2186,   247,  1261,     0,     0,     0,
       0,   941,   940,     0,     0,   961,     0,     0,     0,  1275,
     461,     0,   330,     0,     0,     0,     0,     0,     0,     0,
       0,   704,   701,     0,     0,   700,     0,   576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   612,     0,  1130,     0,
     645,     0,  1030,     0,  1029,     0,     0,     0,  1031,  1026,
    1027,  2159,  2167,  2191,   249,  1047,     0,  1046,  1044,   984,
       0,   985,     0,     0,     0,     0,     0,  2042,   285,   298,
       0,  1129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   319,     0,   322,   321,     0,     0,     0,
       0,     0,   326,     0,     0,     0,   325,     0,     0,     0,
       0,     0,  1130,     0,   279,     0,     0,     0,     0,     0,
       0,  1060,     0,   166,     0,   162,   165,     0,     0,     0,
       0,   529,   541,     0,   533,   534,   531,   535,   536,     0,
       0,     0,     0,     0,     0,   528,     0,     0,   635,   634,
     640,     0,     0,     0,     0,     0,     0,     0,     0,  1083,
    1082,     0,     0,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,   648,   649,     0,   650,     0,
     167,     0,     0,     0,     0,     0,     0,     0,   223,  1221,
    1227,  1292,  1943,  1291,     0,     0,     0,   835,     0,     0,
       0,     0,     0,     0,     0,   837,   838,   839,   840,     0,
       0,     0,     0,     0,   367,   368,   141,   366,     0,   732,
    2677,   707,     0,  1564,     0,  1560,  1556,  1625,  1624,  1623,
       0,  1570,  1579,  1576,   720,     0,   722,   725,     0,  1240,
     434,     0,     0,   569,   612,     0,   419,   173,     0,     0,
       0,     0,   139,   184,   186,   417,     0,   185,   187,   189,
     190,   191,   188,   192,   632,   636,     0,   565,     0,     0,
       0,     0,     0,   658,   662,   661,   665,   663,     0,   659,
       0,     0,  1552,     0,   161,     0,   522,   525,     0,  2375,
       0,   419,   503,   344,     0,   472,     0,     0,   958,     0,
       0,     0,     0,     0,  2395,     0,     0,     0,     0,  1389,
       0,  1051,     0,  1268,  2063,   333,     0,  1049,   178,  1965,
       0,   776,     0,     0,     0,     0,     0,  1053,   772,   170,
       0,   333,   333,   568,     0,   333,   172,     0,     0,     0,
     560,   333,   796,  2749,  2755,  2753,  1348,     0,  2832,  2833,
     472,  1393,  1320,  1331,   882,   889,   871,   888,   887,   869,
     886,   883,  2533,     0,     0,  2724,     0,   900,     0,   471,
       0,     0,     0,   914,   915,     0,     0,   913,   930,   916,
       0,   918,   910,   909,   919,   920,     0,     0,   939,     0,
    1371,     0,  1369,     0,  1533,  1373,  1362,  1340,     0,  1338,
    1343,  1345,  1344,  1342,     0,   516,     0,     0,   897,     0,
       0,   333,  1213,     0,   850,   851,   857,     0,     0,     0,
       0,     0,   858,   854,   855,   856,   859,   860,   861,     0,
       0,     0,  1869,     0,  1870,     0,     0,     0,  1905,  1901,
       0,     0,     0,     0,     0,     0,  1877,  1878,  1879,  1876,
    1880,  1875,     0,     0,  1881,  1874,     0,     0,     0,     0,
       0,  1609,  1608,     0,     0,     0,     0,     0,     0,     0,
    1698,  1731,     0,     0,  1833,     0,  1859,  1891,     0,     0,
    1620,     0,     0,     0,     0,     0,     0,     0,  1859,  1897,
       0,     0,     0,     0,  1795,     0,  1792,     0,     0,     0,
       0,  1916,     0,     0,     0,     0,  1955,  1640,  1657,  1929,
       0,  1918,     0,     0,  1641,  1664,     0,  1898,  1691,     0,
    1696,  1679,     0,  1672,     0,  1677,  1681,  1660,  1919,  1858,
       0,  1856,     0,     0,  1658,     0,  1653,  1651,  1652,  1645,
    1646,  1647,  1648,  1649,  1650,  1654,  1837,  1835,  1836,     0,
       0,     0,  1816,     0,     0,  1676,  2057,  2090,     0,  1436,
    1436,  1436,  1423,  1434,     0,  1547,  1928,     0,     0,     0,
       0,  1732,     0,  1863,  1445,  1861,  1945,  2731,  2730,  1917,
       0,     0,     0,  1934,     0,     0,  1636,     0,   253,  1531,
    1912,     0,   802,   803,   801,  1564,  1316,  1300,  1296,  1295,
    1923,  1315,     0,  1422,     0,   972,   973,     0,   977,     0,
       0,  1465,  1487,     0,  1478,     0,  1469,  1470,  1461,  1488,
    1483,  1407,  1406,     0,  1550,     0,     0,  1358,  1351,  1536,
       0,  1493,  1376,  1378,  1379,     0,  1916,  2447,  2505,  2452,
    2473,  2443,  2476,  1638,  2425,  2465,     0,  2399,  2569,  2570,
       0,  2560,  2561,  2530,  2536,  2607,     0,  2723,     0,     0,
     999,     0,  1579,  1010,     0,   994,     0,   993,  1579,     0,
    1011,     0,  1579,     0,     0,     0,  1158,  1085,  1134,   800,
    1159,  1086,  1135,  1160,  1087,  1262,     0,  1264,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   683,  2063,   333,  1273,  1161,     0,  1088,   329,
    1274,  1136,  1278,   703,   702,     0,     0,  1137,     0,   577,
       0,     0,   582,   583,   584,     0,     0,     0,   585,     0,
    2001,  2049,     0,   590,   597,   602,   592,     0,   603,   598,
       0,     0,     0,     0,     0,     0,   609,   611,     0,     0,
       0,     0,     0,     0,  1024,  1025,  1162,  1091,     0,  1138,
     983,     0,  1092,   174,     0,     0,   272,   286,   618,   683,
    1132,   305,   318,   313,   314,   312,  2063,   333,  2063,   333,
       0,     0,     0,     0,   315,   310,   311,   307,   320,  1978,
    2034,  2168,     0,   622,   624,     0,   629,   323,  1106,   340,
     339,   338,     0,   327,     0,   345,   348,   324,   303,   306,
     304,   300,   284,     0,     0,     0,     0,     0,     0,     0,
    1941,     0,     0,  1055,     0,     0,     0,   164,  1120,     0,
       0,   150,     0,     0,     0,     0,   144,   154,     0,  1168,
    1096,     0,     0,   276,   524,   532,   537,  1100,   540,  1148,
     538,  1174,  1097,     0,  1130,     0,   268,     0,  1098,     0,
    1142,  1170,  1122,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1281,     0,     0,     0,     0,     0,   333,     0,
       0,     0,  1132,  2063,   333,  1169,     0,  1127,  1156,     0,
     353,     0,  1121,     0,     0,   278,  1102,  1150,     0,     0,
     221,   220,   222,     0,     0,     0,     0,     0,     0,     0,
       0,   842,   811,   841,     0,     0,     0,   805,   389,   362,
     363,   365,   372,   731,     0,     0,     0,  1561,  1557,     0,
       0,     0,     0,     0,     0,  1577,   721,     0,     0,     0,
       0,  1260,  1260,  1260,  1260,  1260,  1260,  1260,  1241,  1271,
       0,   141,     0,     0,     0,   571,   611,   618,     0,     0,
       0,   418,   422,   426,   427,   428,     0,     0,     0,     0,
     155,   142,     0,   761,     0,   472,     0,   186,   179,     0,
       0,     0,   344,   718,   716,   715,   717,     0,     0,     0,
     736,   714,     0,  1551,  1553,     0,     0,     0,     0,     0,
     421,     0,   475,     0,     0,   507,     0,     0,     0,   344,
       0,     0,   988,     0,  1006,   989,     0,     0,     0,  1035,
    1040,  1036,  1016,     0,   548,  2393,  2387,  1394,  1395,     0,
     333,     0,     0,   613,   333,   333,     0,   333,     0,   333,
     333,     0,  1196,   639,     0,   691,     0,     0,   333,   774,
    1860,     0,  2532,  2720,   901,   474,     0,     0,     0,     0,
     912,     0,   546,   917,     0,   929,   924,   926,     0,   933,
    1372,  1365,  1367,  1366,     0,     0,  1363,  1866,   773,     0,
     521,     0,     0,   333,     0,   934,     0,   852,   853,     0,
       0,   862,     0,     0,  1441,  1867,  1868,     0,     0,     0,
       0,  1902,     0,     0,  1770,     0,  1746,  1748,  1578,  1760,
       0,  1591,  1771,  1772,  1750,  1752,     0,  1850,     0,     0,
    1761,  1700,  1701,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1713,  1712,  1762,  1832,
       0,     0,  1889,  1890,  1763,  1621,  1622,  1622,     0,     0,
    1896,     0,     0,     0,  1768,  1773,     0,     0,     0,     0,
    1779,     0,  1800,     0,     0,     0,  1723,  1860,  1613,  1614,
       0,     0,     0,     0,     0,     0,     0,     0,  1697,  1680,
    1674,     0,  1678,  1682,     0,     0,     0,     0,  1666,  1692,
    1662,     0,     0,  1668,     0,  1693,     0,     0,     0,  1739,
    1436,  1436,  1436,  1436,  1433,     0,     0,     0,     0,  2156,
       0,  1514,  1492,  1494,  1501,  1514,  1519,  1741,  1545,  1742,
       0,  1935,     0,  1474,  1445,  1445,  1445,  1738,     0,     0,
       0,  1444,  2582,  2584,  2585,  2586,  2587,  2588,  2590,  2591,
    2593,  2594,  2595,  2583,  2589,  2592,  2596,  2573,  2574,     0,
    2564,  2565,   197,     0,   230,   217,     0,  2607,  1298,  1938,
       0,  1448,     0,  1851,   977,   975,   976,  1450,     0,     0,
    1485,  1458,  1360,     0,  1358,  1353,     0,  1354,  1916,     0,
    1350,  1383,     0,     0,  1550,     0,  1382,     0,  2507,  2435,
       0,     0,  2606,  2609,  2620,  2618,  2445,     0,  1579,   991,
     992,     0,  1015,     0,  1157,  1084,  1133,  1260,   944,   945,
       0,   943,     0,     0,     0,   460,   960,     0,     0,     0,
     683,     0,     0,   464,     0,  1276,     0,  1175,  1119,   579,
     580,     0,   591,     0,   600,   599,     0,     0,   587,     0,
       0,     0,     0,   586,   605,   552,   606,   608,     0,     0,
     607,   610,   615,  1130,     0,   646,  1108,     0,  1154,  1018,
       0,   986,     0,     0,     0,     0,   434,   299,     0,     0,
       0,   287,   297,     0,     0,   302,     0,   295,   316,   308,
     317,   309,   626,   627,   625,   621,     0,   628,   630,     0,
     342,     0,     0,     0,  1164,     0,  1130,     0,   280,  1104,
       0,  1152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,  1139,     0,     0,   147,   146,     0,
     153,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   354,   335,     0,   739,
       0,     0,     0,   356,     0,     0,     0,     0,  1163,  1093,
     806,     0,     0,   807,   815,     0,     0,   808,     0,     0,
     817,     0,     0,   361,   369,   733,     0,  2112,  1840,  1841,
     729,   734,   726,   728,   727,   730,   683,     0,     0,     0,
    1562,     0,  2821,  2829,  2828,     0,  1636,   723,   724,     0,
    1260,  1259,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   446,     0,     0,   440,     0,     0,  1040,
     433,   436,   437,     0,     0,   572,   575,   573,   574,   604,
       0,   453,     0,     0,   157,     0,     0,   158,   156,     0,
       0,   344,     0,   182,   417,     0,     0,   564,   664,   667,
     660,     0,   735,   737,   712,     0,   618,     0,     0,  1349,
     516,     0,   503,   499,   501,   500,   502,     0,   509,   343,
       0,   516,   509,     0,   961,   987,     0,     0,     0,  1033,
    1037,  1034,     0,     0,  1002,     0,  1017,   980,  1191,  1192,
    1189,  1190,     0,     0,  2410,  1385,  2419,  1052,     0,   333,
    1050,   777,     0,   768,     0,   770,  1054,   333,   333,   651,
       0,   561,     0,     0,     0,     0,   911,   931,     0,   927,
       0,     0,   894,   936,  1370,  1368,   514,     0,   939,     0,
     895,   938,     0,     0,     0,     0,     0,  1871,  1597,     0,
    1904,  1900,     0,  1743,  1872,     0,  1884,  1883,  1699,  1885,
       0,  1718,     0,     0,  1710,  1708,  1709,  1702,  1703,  1704,
    1705,  1706,  1707,  1711,  1894,  1893,  1887,  1888,  1617,  1615,
       0,  1765,  1766,  1767,  1895,  1774,     0,  1992,  1801,  1778,
    1794,  1793,     0,     0,     0,  1781,     0,     0,  1790,     0,
    1834,  1603,  1636,  1642,     0,     0,  1665,  1899,  1683,     0,
       0,     0,  1661,     0,     0,     0,     0,  1670,  1850,     0,
       0,     0,     0,  1819,  1814,  1815,     0,     0,     0,     0,
    1427,  1426,  1432,  1514,  1519,     0,  1409,     0,  1501,     0,
    1513,  1499,  1512,     0,     0,  1525,  1523,     0,  1525,     0,
    1525,     0,  1496,     0,  1515,  1497,  1512,  1544,  1537,     0,
    1936,  1546,     0,  1476,     0,     0,     0,     0,  1864,     0,
    1862,  1733,     0,     0,     0,  1913,  2605,  1420,     0,  1449,
    1466,  1459,     0,  1548,  1359,     0,     0,  1356,     0,     0,
       0,  1377,  1358,  1380,  2451,     0,  2506,  2571,  2572,  1012,
       0,     0,  1004,     0,   950,   951,   949,   952,     0,     0,
       0,   683,     0,     0,   480,     0,   968,   968,     0,     0,
     466,   512,  1040,   686,     0,     0,     0,   684,   333,  1089,
       0,   601,     0,     0,   596,   594,   593,   595,   553,  1173,
    1090,     0,     0,     0,     0,  1019,     0,     0,  1107,     0,
     431,     0,   292,  1131,     0,     0,     0,   291,     0,   333,
     333,   623,   341,   346,   347,   350,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   762,   745,
       0,     0,   763,   764,     0,     0,     0,  1057,  1058,  1056,
     151,   148,   149,   152,  1117,  1101,  1149,     0,     0,  1099,
       0,  1143,  1114,  1110,     0,     0,     0,     0,     0,  1172,
    1126,  1147,  1171,  1124,  1145,  1123,  1144,  1125,  1146,  1118,
       0,  1555,   742,     0,     0,     0,   333,   333,   653,  1103,
    1151,     0,   809,     0,     0,   810,   812,   392,     0,   395,
     402,   373,   378,  1280,     0,  1280,     0,   375,   379,  1280,
     374,  1280,   371,   705,     0,     0,     0,  1558,     0,  2503,
       0,     0,     0,     0,     0,  1563,  1571,   682,     0,  1251,
    1250,  1249,  1253,  1252,  1255,  1254,  1246,  1245,  1258,  1257,
    1244,  1243,  1248,  1247,     0,   438,     0,   444,   448,   449,
     447,   439,  1040,   472,   511,     0,     0,   695,     0,   570,
     419,   450,     0,   423,   160,   159,     0,     0,     0,   186,
       0,     0,   669,   673,   713,     0,  1554,   647,   344,     0,
     419,   516,  2376,     0,   424,   429,   430,     0,   507,     0,
     503,     0,     0,   513,  1238,   517,   518,     0,     0,   990,
    1007,  1008,     0,     0,  1040,  1039,     0,   555,     0,  2383,
     333,   614,   333,   333,  1197,   692,     0,   923,   922,   921,
     547,     0,   925,   515,   333,     0,     0,     0,     0,     0,
     864,   843,   863,  1903,  1759,  1769,  1882,     0,     0,  1719,
       0,     0,  1764,  2259,     0,     0,     0,     0,  1798,  1799,
    1780,     0,  2103,  1785,     0,     0,     0,  1956,  1689,  1687,
    1684,     0,  1685,     0,     0,  1667,  1663,     0,  1669,  1694,
    1805,     0,  1821,  1818,  1431,  1430,  1429,  1428,  1500,  1498,
       0,  1503,  1510,     0,  1495,     0,  1524,  1520,     0,  1521,
       0,     0,  1522,     0,     0,  1510,     0,  1445,     0,     0,
    1810,  1736,  1737,  1734,  1445,  1953,  2575,     0,  2578,  2576,
    2577,  2581,  1636,     0,     0,  1352,  1355,  1357,     0,  1384,
    1375,  2508,  1005,  1013,  1266,     0,     0,     0,   462,     0,
    1040,     0,     0,     0,   971,   971,     0,  1040,   511,   688,
     687,   690,   685,   689,  1277,     0,   588,   589,  1109,     0,
    1155,  1115,     0,  1374,     0,   619,   288,   289,   290,   293,
     335,   301,   294,     0,     0,     0,  1105,     0,  1153,  1112,
    1166,  1094,  1140,     0,     0,   751,     0,     0,     0,     0,
    1167,  1095,  1141,     0,  1374,     0,     0,     0,     0,  1286,
       0,   334,   741,   740,   335,   355,  1128,     0,   813,   814,
     393,   141,     0,   370,     0,   400,     0,   398,   397,   399,
       0,   386,     0,     0,     0,     0,     0,     0,  1559,     0,
    1071,  1071,  2822,     0,  2823,  2824,  2825,  2826,  2827,     0,
     683,  1256,     0,     0,   435,   511,   479,     0,   441,     0,
       0,     0,     0,     0,     0,     0,   618,     0,     0,     0,
     181,   419,   618,   668,     0,     0,     0,   738,     0,   421,
       0,  1347,   420,     0,     0,   509,     0,   507,     0,   504,
       0,   508,     0,  1231,     0,     0,  1038,     0,  1042,     0,
    1001,   978,  1547,     0,   559,  2409,  2413,  1072,   769,   771,
     652,   928,   935,   333,   844,   845,   846,   847,  1714,     0,
       0,     0,     0,  1775,     0,  1776,  1803,  1802,  1782,  1786,
       0,  1783,  1784,  1686,  1690,  1688,  1671,  1807,     0,  1445,
    1540,     0,  1543,  1502,     0,     0,  1504,     0,     0,  1506,
    1508,     0,     0,     0,     0,     0,  1939,     0,  1473,  1475,
       0,  1410,     0,  2580,  2579,   231,  1852,  1549,  1381,   929,
       0,   333,   968,   511,   481,  2112,   482,   967,     0,   969,
     974,   974,     0,   511,   683,   581,     0,     0,   273,   617,
       0,   337,   349,     0,  1374,     0,     0,     0,   758,   746,
       0,     0,   765,     0,   269,  1111,     0,     0,     0,     0,
       0,   333,   816,   372,     0,   396,   405,     0,   403,   376,
     381,     0,   385,   383,   382,   377,   380,  1071,     0,  1068,
    1067,  2830,   681,     0,   470,   442,     0,   490,     0,     0,
     696,     0,     0,     0,   459,   458,   455,   454,   456,   457,
     452,   451,   643,   755,   344,  1238,   631,   670,   671,   666,
       0,     0,     0,   503,   499,   425,   434,   408,     0,   509,
     505,   506,     0,     0,     0,  1288,     0,   962,  1041,     0,
       0,     0,   554,     0,     0,   558,   549,     0,  2411,   896,
    1715,     0,  1716,     0,     0,     0,  1788,  1787,     0,  1824,
    1545,     0,     0,  1539,     0,  1511,  1527,     0,  1507,  1505,
    1516,     0,  1518,  1733,  1809,  1811,     0,  1735,   946,     0,
     947,   971,   485,     0,   970,   977,   977,   472,   683,   463,
    1116,     0,   620,     0,   296,     0,   281,  1113,     0,   749,
       0,   760,   758,     0,     0,     0,  1282,     0,  1283,  1284,
    1287,   357,   360,   391,   401,     0,   384,  1066,  1070,  1069,
       0,     0,   443,   476,   477,   478,     0,   445,   486,   487,
       0,   693,     0,   698,     0,     0,     0,     0,     0,  1232,
       0,     0,  1238,   507,   503,   432,   498,   406,     0,  1235,
       0,   344,     0,  1040,  1043,  1195,   557,   556,  2414,  2416,
    2415,     0,  1717,  1791,  1777,  1804,  1789,  1820,     0,     0,
       0,  1538,  1541,     0,  1509,     0,  1517,     0,     0,     0,
     974,     0,   683,     0,   965,   964,   479,   465,  1374,   336,
       0,     0,     0,   756,   759,   747,   760,   767,   766,  1374,
       0,   404,     0,   469,     0,     0,     0,   488,     0,   489,
     510,     0,   697,     0,   618,   754,     0,     0,   672,     0,
    1233,   509,   507,  1236,  1237,   509,   963,   979,  1194,  1193,
    1422,  2412,  2224,     0,  2197,     0,  1822,  1825,  1823,  1817,
       0,  1526,  1812,  1813,   333,   977,     0,   467,   483,   490,
     274,  1374,     0,     0,   748,   270,  1285,   673,   495,     0,
     494,     0,   492,   491,   694,   699,   644,   744,  1238,   676,
     409,   509,  1547,  1177,  1422,  1176,  1178,  1186,  1183,  1185,
    1184,  1182,     0,  1829,  1828,  1827,  1831,  1830,  1542,   948,
     966,     0,   683,   282,   750,   757,     0,   493,   497,   496,
    1234,     0,   674,   677,   680,   678,   679,   407,   953,     0,
    1187,  1181,  1409,  1396,     0,   484,   468,     0,   654,     0,
    1179,  1422,  1826,     0,   675,  1180,     0,   676,     0,   655
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1752,  2697,  2575,  3420,  3421,   249,
     250,  1827,   251,   252,   253,   254,   255,   256,   257,  1768,
     258,   259,  1322,  1981,  2707,   260,  2445,  1085,  1086,  1087,
    2301,  2302,  2639,  2303,  2290,  1603,  2083,  1787,  1051,  1052,
    1754,  1788,   262,   263,  1597,  2282,   264,   265,   266,  1814,
    1815,  1762,  2026,  4361,  4994,  3253,  2556,  3457,  3254,  3255,
     267,  1877,  1878,   268,   269,  3371,  1918,  2666,  3923,  3924,
    4392,   885,  2663,  4681,  4682,  4378,  4379,  4688,  4877,  4878,
    2708,  1977,  3451,  4012,  3411,  4463,  3412,  4464,  3413,  4465,
    3399,  3970,  3971,  3972,  3414,  4441,  4910,  3415,  2460,  5022,
    2742,  2113,  2111,  4897,  4253,  4254,  5082,  5027,  5028,  5029,
    5162,  4470,  3455,  4018,  4473,  4718,  3152,  2001,  3530,   985,
    2744,   916,   986,  2709,   274,  2736,  1847,  1848,  2583,  3930,
    3513,   275,  1341,  3794,  4764,  4945,  4946,   276,   873,   277,
    1985,   278,   279,  2693,  3405,   280,  2477,  3169,   281,   282,
    3196,  3197,  3198,   283,   284,  3816,  4634,  1816,  3242,  3243,
    3244,  3245,  3837,   285,  1983,  1853,  2716,   286,   287,   288,
     289,   290,  2627,   291,   292,  2710,  1993,  2728,  2729,  4453,
    4734,  4919,  4736,  5201,  5202,  4710,  3773,  4267,   294,   295,
    4436,  4437,  5034,   296,  2475,   297,   298,   299,  1961,  2685,
    2686,  3931,  1920,  2668,  2669,  4001,  4002,   300,  3331,   301,
    4318,  4319,   917,  5037,  5001,  5095,   302,   303,  4322,  4323,
     304,   305,   306,   307,   308,   973,  1394,  1395,  1744,   309,
    2318,   310,  1295,  3362,   311,  1483,  2880,  4511,   312,  1009,
    1419,  1420,  2711,   314,  1020,  2858,  1022,  2126,  3515,  3516,
    4072,  2827,  1211,   315,   316,  2838,  2861,   317,  1755,  2451,
    2452,  4248,  2712,   918,  2007,  2747,  3147,  4936,  4255,  4614,
    4840,  3058,  3717,   319,   919,  1792,  2520,  2750,  3463,  2423,
    2424,  2425,  4033,  2426,  3465,  2427,  1738,  2428,  3470,  3471,
    3472,  4029,  4037,  4758,  4759,   320,  1790,  2518,   321,   322,
     323,  1824,  1231,   324,   941,   942,   325,  4889,   326,  1360,
     327,  1041,  2143,   328,   329,  2533,  3823,   330,   331,   332,
    5175,  5209,  5210,  5211,  4042,  5130,   333,  5177,  1461,   335,
     336,   337,   876,  1261,  1262,  1263,  2713,  4753,   339,   340,
    2689,  3398,  3952,   341,   342,  2446,  3137,   343,   344,   345,
     346,  1965,   347,   348,   349,   350,  1897,   351,  1634,  1635,
     352,   353,   880,  1105,  1638,  1646,   354,   988,  1413,  1414,
    1415,  2085,   355,  1465,  2849,   989,  1408,   990,  3077,  3726,
    3727,  3730,   991,  3074,   359,  2132,  2843,  2846,   992,  3081,
    3082,  3083,  3084,  3085,  3732,   993,  1011,  1351,  2758,   994,
    1554,   364,   365,   366,  1114,  1109,  1110,   368,  2259,  3012,
    1028,  1652,  1070,  1121,  3681,  2332,  2333,  2355,  2356,  1661,
    1662,  2345,  2347,  3060,  2348,  3068,  2338,  4203,  4580,  2351,
    2352,  1664,  1665,  1666,  2360,   369,  3015,  3662,  3663,  3664,
    4180,  4181,  4195,  4191,  4567,  4809,  3665,  1455,  1672,  3666,
    4800,  4801,  4963,  4198,  3673,  3724,  3442,  3443,  3444,  2429,
    2676,  1943,  1555,  1944,  2683,  1556,  2178,  1946,  1557,  1558,
    1559,  1949,  1560,  1561,  1562,  1563,  2161,  2221,  1564,  1565,
    2197,  1153,  1154,  2070,  2919,  1567,  1568,  1569,  3668,  1570,
    4138,  4535,  4524,  2945,  2946,  2298,  4134,  3608,  2255,  3002,
    4821,  4974,  4975,  3649,  4164,  4552,  4799,  5070,  5136,  5137,
    1571,  2999,  2250,  1233,  1572,  3933,  2252,  2939,  3024,  3025,
    2138,  2159,  2885,  2902,  2903,  2916,  3569,  2923,  2928,  3592,
    3593,  2940,  2968,  1573,  2888,  2889,  3552,  2163,  1574,  1627,
    1628,  2268,  2963,  1641,  1642,  1107,  1575,  1576,  1577,  2127,
    1096,  4805,   726,   709,  3269,  2313,  1265,  1025,  1578,  1579,
    1580,  1369,  1370,  1693,   671,   710,   711,  1191,   823,     2,
      75,   995,  3449,   373,   374,   921,   922,   923,  1343,  1344,
    2012,  2015,  1698,  2395,   675,   676,   727,  4489,  4765,  4948,
     979,   375,   376,   377,   378,  1694,  2391,  1155,    76,    84,
      77,  1156,   415,   416,  2373,   379,   840,   380,  1675,  1135,
    3738,   381,   382,   383,   384,   385,   976,   386,  1137,   387,
    1138,   388,   389,   390,   391,  1145,   392,  1677,  1678,  4236,
    1679,   393,   394,   713,   714,  1406,   395,   396,  1172,  1173,
    1438,  1439,  1704,  1719,  1720,  1721,   397,   683,   398,   399,
     400,  1710,  1711,   401,  2275,  2276,  2400,  2277,   402,  3098,
    3099,   403,  3697,  3698,  4589,  3699,   404,  2271,   405,   406,
    1099,  3743,   407,   836,   408,  1186,   715,   716,   717,  1193,
     826,  1056,   728,  1195,  3246,   828,   829,   719,   720,   721,
    2105,    78,  3106,  2106,  1582,   729,  1583,  2266,  1584,  1585,
    1586,  1587,  1588,  1727,   723,  1162,  1398,  1399,  3107,  1401,
      82,  1402,   412,  3945,  2073,  1440,  2091,  2092
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4802
static const int yypact[] =
{
   -4802,   365, 24805, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, 25815, -4802,
   -4802, -4802, -4802, -4802,100556,   362, -4802, -4802, -4802,105497,
   -4802, -4802, -4802,   775, 67726, -4802, 70666,   378, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, 74586, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, 56443,  1302, -4802,
     821, -4802, -4802, -4802, -4802, -4802, -4802, -4802,  1322,  5861,
   -4802, -4802, 71156, -4802,    92, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, 71646,   692, -4802, -4802,   584,  1246, -4802,   116,
   15382, -4802, -4802, 64296, 68706, -4802, -4802, 75076,   536,  1899,
   13289,  1322, 25321, 75566, -4802,  1702, -4802, 52966, -4802, -4802,
   -4802, 68216, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, 82916,  2861,   880, 53466, -4802, -4802,
   -4802, -4802, 82916, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, 76056, -4802,  1099,  1120,  1203, 83406, 83896, 65766,
   -4802,  1409, -4802, 82916,  1247,  1260, 55461, -4802, 84386, -4802,
   -4802,  1122, -4802, 76546, -4802, -4802, -4802, -4802,   880, -4802,
   56443, 51982,   200,  1287, -4802, -4802, 84876, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802,  2035,  1028, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802,   692, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802,   594, -4802,  1271,   755,   851,   733,  1263,
   -4802, -4802, -4802, 12305, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802,102017,  2020, -4802, -4802, -4802,  1199, -4802,  1428, -4802,
   -4802, -4802,  1297, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
    1225, -4802, -4802, -4802, -4802,  1885,101043, 74586, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, 63806, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802,   191, -4802, -4802, -4802,
   -4802, -4802, 74586, 74586, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   74586,  1506, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802,   258,  1726, -4802, -4802, 56443,  2573,  2573,  2014,
  102017, -4802, -4802, -4802, 57916, 82916, 82916, 82916,  1785, 82916,
    1595, 82916,   303, 57916,109298, 77036,  1827,  1686, 47469, -4802,
  108454, 82916, 82916, 85366, 82916,  1502, 72136, 82916,  1768, 82916,
   82916,109720, 85856,  1945, -4802,  2200,  1456, -4802, -4802, -4802,
   82916, 15932,  2861, -4802, -4802, 82916,  1830, 57916, 82916,  1770,
   82916,  1847, 82916, -4802, 82916,  1868, 86346,   690,  1649,109298,
    1822, 47973,  1951,109298, 86836, 82916, 82916, -4802, -4802,  1941,
   82916, 82916, -4802,  2060,110142,  2204,  2110,  2263,  2162,   777,
   -4802, -4802,  2342,  1929, -4802, -4802,  2383, 74586, -4802, 72626,
   -4802, -4802, -4802,  2192, -4802, -4802, -4802, -4802, -4802, -4802,
  106766,  1899, -4802, -4802, 58407, 82916,  2231, -4802, -4802, 87326,
   -4802,  2019, -4802,   737, 58898,110564,  2330,  2022, 48477,  2390,
  110986, 87816, -4802, -4802, 88306, -4802, 88796,  2115, 89286, -4802,
  111408, -4802,  2253, 89776, -4802, 11542, -4802,  2004,   984,  2030,
    1400, 74586, 74586,   726,103354, -4802, -4802,   692, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802,   166,   152, 53966,   671,
   54466, -4802, -4802,  1250,  1266,  1333,   166,  2449,  2449,    90,
   74586, -4802, -4802,   152, -4802,   656,   472,  2043,  2043,  2043,
    2233,   887, -4802,  2043, -4802, -4802, -4802, -4802, 76546, 53966,
   54466, -4802,  2048,  2861,    40,  2450,  2108, 82916, -4802, 82916,
   -4802, 82916, 82916, -4802, -4802, -4802,  2469,  2096,  2323, -4802,
    2089, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
    2277,  2290,  2289,    77,  2861,  2187, -4802,  2411, -4802,  2321,
   31409,   853, 74586,  2861, 54966, 77526, 97616,   217,106766,  2861,
   90266,  2157,  1383,  2336, -4802, -4802, -4802,   801, -4802,  2554,
    2190,  2406,    14,  1456, 44985, -4802,  2184,  1767, 76546,102504,
   -4802, -4802, -4802, -4802,   232,  2476, 31918, -4802, 82916,  2199,
   -4802,  2206,  2209,  2223,   851, -4802, 82916,  1305,  1305,  2615,
    1305,  1765,  1838, -4802,  2086, -4802,  2512,  2480, 76546,  1287,
    1322,  2235, -4802, -4802, -4802,  2250, -4802,  2240,  2243, -4802,
     513,  2503, -4802, -4802, -4802, -4802,  2332,  2347,  2366,  2371,
    2281,  2376,   247, -4802, -4802, -4802, -4802,  2575, -4802, -4802,
   -4802, -4802, -4802, -4802,  2713,  2704,105922,105922,   558,   673,
     160,   203, -4802, -4802, -4802,  2558, -4802, -4802,  2562, 82916,
    2397, 82916, -4802, -4802, -4802, 90756, -4802, -4802,  2573,  2250,
    2327, -4802,   271, -4802,  1767, -4802,   330,   358,   403,  1530,
    2329,  1823,  1992, -4802,   201, 82916,  2448,   162,   529,  2374,
   78016,  3477,  2346,   787,  2622,  2660,  6048,   247, 78506, -4802,
   82916, 82916, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802,  2364, -4802, -4802,  2367,  2634,   576,  2559,  1728,  2675,
    7041,  1973, 91246, 98106,  2644,  2694,  8361,  1740,   768,  2582,
     854,  2693,  1671,  2701,  9360, 82916,  2405, -4802,  2640,  2759,
     878, -4802,   273, -4802,  2484,  2624,    -4, 57916,  2452, -4802,
   -4802, 82916, -4802, -4802, -4802,  2522, -4802,   774, 57916, -4802,
    2649,  2505, 48981, -4802, 82916, -4802, -4802, -4802, -4802, -4802,
    2587, 82916, -4802, -4802,  2710, 82916, -4802,  2043,  2630,  2491,
    2877, 61353,    71, 82916,  2542,  2921, 82916,  2721,  2542,  2563,
   91736, -4802, -4802,  2542, -4802, -4802, 82916, 82916,  2543,  1382,
    2542,  2742,  2951,  2974,  2656,  2774,   926,  1564,   115,  2900,
    2542,  2646, 82916, 92226, 82916,  2671, 82916,  2980, 57916, 82916,
   -4802,  2776, 78996, -4802,  2620,  2342, -4802, -4802, -4802, -4802,
   -4802,  1078, -4802, -4802, -4802, -4802,  2932,  2327,   592,  2933,
    2635,  2940, -4802, -4802,  2676, -4802,  2944,  2346,  2950, -4802,
    2651, 92716, -4802, 93206, 93696,  2959,  2364,109298,  2960,  2651,
    2971,  2865,  2984,   592,  2985, -4802,  1045,  2992,  2880,  3003,
    1624,  2651,107188,  3004,   106, -4802, 14761, 11542, -4802, 27356,
    1778, -4802, -4802, -4802, -4802, -4802, -4802, 35481,   744,  2798,
   -4802, -4802, -4802,  1864, -4802,104641, -4802,   726,   152, -4802,
   74586,   152, 74586,    90,   152, 74586,   152, 74586,    90,   152,
   74586, 74586, 74586,   152, -4802, -4802,  2024,   366, -4802, -4802,
   -4802, -4802, -4802, 74586,  2728, 82916, 82916, -4802, -4802, -4802,
   69196,109298, 69686, -4802, -4802,   150, 74586, -4802, 74586, -4802,
    2861, -4802, -4802,   984, 61353,  3140,109298,  2980,  3024,  3024,
    3024, -4802, -4802, -4802,  2973, 82916,  3036,  3039, 69196,109298,
   -4802, 94186,106766,  2937,  2753, -4802, -4802, -4802, -4802,  1987,
    2917,   412,  2983, 35481,  2754,   296,   296,  2755,  3045, -4802,
   -4802, -4802,   427,  2758,  2761, -4802,   457,   457,  2926,  2765,
    2766, -4802,   474,  2767, -4802,  3083,   483,  2768,  2770,  2772,
    2052,   296, 35481, -4802,  2773,   457,  2777,  2780,  2782,  3099,
    2783, -4802,  3113,  2785,   309,   374,  2786,  2788, -4802,  2765,
   -4802,   443,  2789,  2790,  2791,  2792,  2793,  2795,  2796,  2797,
   35481, 35481, -4802, 30391,  1767,  2861, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802,   107, -4802,   523,  3236, -4802,  2809, -4802,
   -4802,  2962, 35481, -4802, -4802,  3021,  2801, -4802,   533, -4802,
   -4802,  1767, -4802, -4802,  1522, -4802, -4802, -4802, -4802,  1979,
    1979,   221, -4802, 71156, 71156, -4802, -4802,   173,  2804, -4802,
    1197, -4802, -4802, -4802, -4802, -4802, -4802,106344,  3203, -4802,
    2029,  2861,   273,  1718,  3149,103779,104210,  3046,  3046,  3027,
   -4802, -4802, 82916, -4802, -4802, 35481, 50998, -4802,  1767,    98,
    3052, -4802, -4802, -4802,  2047, -4802, -4802, -4802,   692, -4802,
   14660, -4802,  2054,  2199, 82916, 82916,  3215, -4802, -4802,  2206,
   -4802, -4802,   851,   851, 35481,   851,   143,  1511, 32427, 35481,
    3101,  3001,  1451,  1023,  3104, -4802,  3009,  1765,  1838, 76546,
   82916, 94676,  2931, -4802, -4802,  2250,  2823,  1834, -4802, 63316,
  101530,101530,  3071, -4802, -4802,  1517,   975,  2942,  3034,  2449,
    1135,  1558, -4802, -4802,  2822, -4802,  3160, 71156,  2883,105922,
   -4802, -4802, 82916, -4802, -4802, 79486, -4802, -4802, -4802,   842,
    2826, -4802,  2843, 82916,  3331, -4802,  1558,  1558, -4802, -4802,
    2831, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,102017,
    2835, 82916, -4802,  2841,  2845, -4802,102504, 51490,  1915,  1767,
    2920,  2923,  2969, 56443,  2846,  2927,  2928,  2975,  2929,  2934,
   98596, -4802, -4802, -4802, -4802,  1495,  1248,  1083,  2939,   371,
     146,  3209, -4802,  1124,  2977, -4802, -4802, -4802,  5446, 82916,
    3157,  9522,  3049,   247,  2986, -4802, -4802,  3095,  2947,  2948,
    3064,   247,   170, 99086, -4802, -4802, -4802, -4802, -4802, -4802,
    4878, 28890, -4802,  2952,  2930,  2961, 82916, 64786,  1497,  3063,
    1270,  2135,   123, 82916,  3137,  3070, 82916,  2881,  2967,  2968,
    3152,  2884,  1531,  3243,  2889, -4802, -4802,  3065,  3158,  3196,
    9649,  2953,  2963, 60371,  1251, 49485,  3245,  1773,  2988, -4802,
    1773, 82916,  2989,  2990, 82916,   247, -4802,  3285,   247,   247,
    1282,  3295,  2991,   163,  1618,  2542,  2889,  1921, -4802,  2993,
    2994,  1940, -4802,  3100, -4802, -4802,  1492,  3005, 76546,   176,
    1888,  2889,  2996,  2998,  2884,  2884, 82916, 82916, 82916, 82916,
   82916,   144,  3321,  3326,  3007,   145,  3051,  2935, -4802,107610,
    3013, 97616, -4802, -4802, 82916,  3016,  1911,  2889,  1771, -4802,
    1784, -4802, -4802, -4802,  1456, -4802, 82916, -4802, 82916,  2327,
   61353,  3118, -4802,  2978, -4802,  2346,   247, -4802, 82916, 82916,
    2364,  1043,  1204,  3131, 82916,  3191,  2987, -4802,   347, 51490,
   -4802,  2543,  2954, -4802,  3002, -4802,  3002,  3002,  2957,  2957,
    2958, -4802, -4802,  2052,  3002,  2957, -4802, 62335, -4802,  1455,
    1869, -4802,  3364,  3356, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802,  1227, -4802,  2068, -4802, -4802, -4802, 82916,
   56443, -4802,  3376, -4802, -4802, 61353,  3150,  3264, -4802, 82916,
    3165,  2970, -4802,  3300,  3026, -4802, -4802,   516, -4802,  3274,
  109298,   791,  2861,  3018, 82916,  3194, 82916, 82916, 82916, 82916,
   -4802, -4802,  3166,   630,    56, -4802,107610, -4802, 82916,  1921,
    3177,  3383,   716,  2043, 82916,  3268, -4802, 82916,  2995,  3385,
    3220, -4802, -4802,  2982,  2449, -4802,  2620, -4802,  2121, -4802,
    3107, -4802, 57916,   592, -4802, -4802, -4802, -4802, 61353, 82916,
   95166, 57916,   592,109298,109298,  3288,   106,  3291,  3053,  3292,
    3055, 49485,   592,   117,109298, 82916, 82916, 82916, -4802, 82916,
   -4802, -4802, -4802, -4802, 82916, 82916,109298,107610,  3298,  3305,
     592, 82916, 82916, -4802, -4802, 27267,  1893, -4802, 11542, -4802,
   14660,  2094,  3046, -4802,  1506, 82916,  1338,   726,108032, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, 74586, -4802, 74586,
      90, -4802, -4802, 74586, -4802, 74586,    90, -4802, 74586, -4802,
   -4802, -4802, 74586, 82916,  3504,  3008, -4802,  1522, -4802, 82916,
    2105, -4802, -4802,  2128,    86, 82916, 82916,    99, 57916, 82916,
    3197, 82916, 82916, 82916, 82916, 82916,  3085,  2804,  1407, -4802,
     317, 76546,  3208, -4802, -4802, -4802, -4802, -4802,  2133,  2035,
     914, 82916, -4802, -4802, -4802, -4802, -4802, -4802, 69686, 68216,
    3302,    74, 82916, -4802, -4802,  3618, 35481, 30900, -4802, -4802,
   -4802,  3014, 14660,  3062, 35481, -4802, -4802, 35481,  3028,  2449,
    2449, 35481, -4802, -4802, -4802, -4802,  2825,  2449, -4802, 35481,
   35481,  2449,  2449,  3002,  3002, -4802,  4315, 35481, -4802, 49485,
   35481, 37008, 28380, 35481,  3105,  3047,  2449, -4802,  2449, -4802,
   35481, 29882, -4802, 35481,  3235, 38026, 35481,  1718,  3238, 35481,
    1718,  3456,  3456,  1287,  1703,  6330,  3029,  1767, -4802,  3143,
    2449, -4802,  2449,   879,   244, 61353, 35481, 56443,  3116,   154,
   82916, 35481,  3040,  2018, -4802, 35481,   845, -4802,  3041, 35481,
    3111, 35481, 35481, 35481, 35481, 35481, 35481, 35481, 35481, 35481,
   -4802, 39016,   269, -4802,  3319,  3337,   504,  1049, 70176,  3332,
   -4802, 31409, 27870, -4802,   263, 74586, -4802, -4802,  1767, -4802,
   -4802, -4802, -4802, -4802,   842,  3054, -4802,  3067, -4802, -4802,
   -4802, -4802, -4802, 82916,  3203, -4802, -4802,  3124, -4802, -4802,
   -4802, -4802,   582, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802,  3057, -4802, -4802, -4802, -4802,  3057, -4802, -4802,  3046,
    3060,  5362, -4802, -4802, -4802, -4802,  3320,  3343,   592,102017,
   82916,   232, 73116, -4802, 31918, -4802,  2145, -4802,  3056, -4802,
    3325, -4802,  3076, -4802, 10104,  3325, -4802, -4802,   205,  3182,
    3323,  3265, -4802, -4802, -4802,  3079, 14660, -4802,  2009, 14660,
    2076, -4802, -4802, -4802, -4802, -4802, -4802,  1342, -4802, 82916,
    3208,  3101,  1023,  3141,   615, 82916, -4802, 45480,  2002, -4802,
    2250, -4802, -4802, 26303, -4802, 26793, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802,  3084, -4802, -4802, -4802, -4802,
     247,  3086,  3568, -4802,105922, -4802, -4802, -4802,  3504, -4802,
    2383, -4802,  2383,  3593, -4802, 74586, -4802, -4802, -4802, -4802,
    1063, -4802, 11542, -4802, 11542, -4802,  3271, -4802,  3483, -4802,
   62335, -4802,  3096, -4802, 61844, 59389, -4802, -4802,   872, -4802,
    1151,  3175,  3176,  3222,109298, 82916, 82916, -4802, 56443,109298,
   82916, 82916,109298, 82916, 82916, -4802,  3462,   -48, 68216,  3224,
   66256, -4802, -4802,  3103, 82916,  3159,  3344,  3347,  1177, -4802,
   -4802, 95656, -4802,  3307,109298, 82916, 82916, 35481,  3308, 82916,
   82916, -4802,   394,  3192,  3193, -4802, 82916,  3195, 57916,  3114,
   82916, 82916, 82916,  3190,   805, 57916,  3167, 49989, 82916, 82916,
   82916, 82916,  3247, 82916, 82916,  3362,  1295, 76546,   245,  2000,
    2889,  3327, -4802,  1107, -4802,109298, 82916,  3314, -4802, -4802,
   -4802, 66746,  3529,  3237, -4802, -4802, 99576, -4802, -4802, -4802,
    2149, -4802,109298,109298, 82916,  9658, 82916,  1267, -4802, -4802,
   61353, -4802, 82916, 82916, 82916, 82916, 73606, 96146, 96636,  1328,
    1363, 82916, 74096, -4802, 82916, -4802, -4802, 56934,109298, 82916,
     834, 56443, -4802, 82916,  3322,   184, -4802, 82916,  7300,  3210,
    3221, 82916,   300,  2178,  2889, 82916, 82916,  3134,  2161,  3216,
    3260, -4802, 82916, -4802,109298,  2690, -4802,  3280,109298, 82916,
    7634, -4802, -4802,   247, -4802, -4802, -4802, -4802, -4802, 82916,
   82916,   247, 82916,   247,  1550, -4802,109298, 82916, -4802, -4802,
   -4802, 82916,  9813, 82916, 82916, 82916, 82916,109298, 82916, -4802,
   -4802,  1516,  1482,  1329,  1546,  3281, 82916,  3413, 82916, 97126,
  109298, 82916, 82916, 82916,  1187, -4802, -4802,  3259, -4802,109298,
    2690, 10069, 82916, 82916,  3225,  3226,   141,  3297, -4802, -4802,
   -4802, -4802, -4802, -4802,  3393,  3556, 82916, -4802,  3395,  3396,
    3211,  3213,  3402,  2058, 82916, -4802, -4802, -4802, -4802, 82916,
    3403,  2058,  3348,   714, -4802, -4802,  2542, -4802,  2165, -4802,
    3178, -4802, 35481,  3572, 61353,  3164,  3169,  3248, -4802,  3249,
    2449, -4802,  2186, -4802, -4802,  2193, -4802,  3181,   630,  2005,
   -4802, 56443, 82916,   619,  1032,  3474, 65276,  2506,  3463, 82916,
    3218, 82916,  2506, 82916, -4802,  1861, 68216, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802,  3465, -4802,  2861,  2543,
    2543,  2543,  2543, -4802, -4802, -4802, -4802,  3366,  1873, -4802,
    3180,  2543, 82916,  3294,  2506,  3183, -4802,  1921,  3485,  3487,
   82916, 65276,  2247,  3223,  3591,  2043,  2861,  3375, -4802, 29386,
    5607,  3377,106766, 78996, -4802,  3198,  3466,  3467,  3479, -4802,
    2327, -4802,  3598, -4802,  3497,   592,  2346, -4802,  2651, -4802,
   82916, -4802, 82916, 82916, 82916, 82916,  2364, -4802, -4802,  2651,
    3384,   592,   592, -4802,  3387,   592,  2651,  3310,  3488,106766,
   -4802,   106, -4802, -4802, -4802, -4802, -4802, 35481, -4802, -4802,
    2043,  2121, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, 74586,  2383, -4802,  2214, -4802, 82916, -4802,
    3468,  3469,  3470,  3199,  3206,  3242, 82916,  3212, -4802,  3199,
     247,  3199,  2804,  2804,  3199,  3206,108876,  3629,  3495,    78,
   -4802,   720,   546,  3429, -4802, -4802, -4802, -4802, 61353, -4802,
   -4802, -4802, -4802, -4802, 82916,  3255,   122,  3407,  3234,108876,
    3626,   592, -4802, 57916, -4802, -4802, -4802,  3312,  3328, 57916,
    3431,  3287, -4802, -4802, -4802, -4802, -4802, -4802, -4802,  3482,
   82916,  2219, -4802,  1927, -4802,  1942, 35481, 35481,   121, -4802,
   10464,  2230, 35481,  3250,  3253,  2237, -4802, -4802, -4802, -4802,
   -4802, -4802,  3257,  3530, -4802, -4802,  3258,  2249,  2257,  3261,
    3262, -4802, -4802,  6280,  3263, 11686,  3266, 37008, 37008,   981,
   -4802, -4802, 37008,  3269, -4802,  2265, 10395,  3246,  3272,  3279,
   -4802,  3277,  3283, 12755, 32936, 35481, 32936, 32936, 12792,  3246,
    3286,  2287, 56443,  3416, 13599,  2304, -4802, 35481, 56443,  6802,
   35481, -4802, 35481, 82916,  3289,  3303, -4802, -4802,  4315, -4802,
    3284, -4802, 37008, 37008, -4802,  4474, 30391, -4802, -4802,  3540,
   -4802, -4802,  1678, -4802,  3275, -4802, -4802,  5066,   156, 35481,
    3040, 35481,  3342, 49485,  4031, 35481,  4800,  3685,  3685,   453,
     453,   133,   133,   133,   289,  1049, -4802, -4802, -4802,  3282,
    3293,  3296,  3448,  2783, 35481, -4802,  2408,  2414, 82916, 12043,
   14003, 14169, -4802, -4802, 40529,  3334, -4802, 35481, 35481, 35481,
    3306, -4802,  3704, 14660,   447, -4802,  3711, -4802, -4802, -4802,
    1145,  3593,   842, -4802,  1456,  2449,   879,104641, -4802, -4802,
   -4802, 35481, -4802, -4802, -4802, -4802,  2206, -4802, -4802, -4802,
   -4802, -4802, 82916,  2035, 35481, -4802, -4802,   718,  2215, 35481,
    2009, -4802, -4802,  3346, -4802, 35481, -4802, -4802, -4802,  2804,
   -4802, -4802, -4802, 40529,  3338,  3341, 44490,  3430, -4802, -4802,
   82916,   212, -4802, -4802, -4802,  3329, -4802, -4802, -4802,  1626,
   -4802, -4802, -4802, -4802, -4802, -4802,  3304, -4802,  3309, -4802,
    3330, -4802, -4802, -4802, -4802,   178,  3317,  3316,  3324,  1780,
   -4802, 59389,  2068, -4802, 61844, -4802, 61844, -4802,  2068,  3689,
   -4802, 59389,  1817,109298, 82916, 82916, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802,  3531, -4802,109298,109298,
    3496, 82916,  3492,  3499, 35481,   611, 82916,  3333,  3335,  1362,
    3581, 82916, -4802,  3623,   592, -4802, -4802,  3400, -4802, 14660,
   -4802, -4802, -4802, -4802, -4802,109298, 82916, -4802,106766, -4802,
    2327, 61353, -4802, -4802, -4802, 82916,  3361, 82916, -4802, 82916,
   82916, 82916,  2364, -4802, -4802, -4802, -4802,  1210, -4802, -4802,
   82916, 82916,   637,  3401,  3414, 82916, -4802,   595,  3100, 10181,
   82916, 82916, 82916,  3596, -4802, -4802, -4802, -4802,  3535, -4802,
   -4802, 59389, -4802,  2651,   995,  3421,  2889, -4802,  3527, -4802,
    1219, -4802, -4802, -4802, -4802, -4802,  3648,   592,  3649,   592,
   82916, 82916, 82916, 82916, -4802, -4802, -4802, -4802, -4802, 56443,
   56443, 56443,  2340, -4802, -4802,  2861, -4802, -4802, -4802, -4802,
   -4802, -4802,  3611, -4802,  2344, -4802,   992, -4802, -4802, -4802,
   -4802, -4802, -4802,109298, 82916, 10344, 82916, 82916, 82916,  2012,
   -4802,   639, 61353, -4802, 60862,109298, 82916, -4802, -4802,  3576,
    3520, -4802,  2375,  3523,109298,  3418, -4802, -4802,  3435, -4802,
   -4802,  3439,  2183,  2889,  1921, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802,  1068,   323,  2226,  2889,  3440, -4802,  3441,
   -4802, -4802, -4802,  3582,  3583,  3585,  3446,  3449,  3493,  3451,
    3452,  3500, -4802,  3454,  3501,  3457,  3503,  3460,   592, 61353,
    3586,  2861,  3498,  3686,   592, -4802,  3464, -4802, -4802,  3788,
   -4802, 82916, -4802,  3471,  2259,  2889, -4802, -4802,109298, 82916,
   -4802, -4802, -4802,  2058, 61353,  3633,  2058,  2058, 82916, 82916,
    2058, -4802, -4802, -4802,  3634,  3635,  2058, -4802, -4802, -4802,
   -4802,  2630,  3398, -4802,  2192, 46965,  7028,  3397,  3169,  3392,
    2449, 43005,  1657,  3606,  3399, -4802, -4802, 56443, 46965,  1930,
    3624,  3415,  3415,  3415,  3415,  3415,  3415,  3415, -4802,  2358,
     260,  2542,106766, 82916,106766, -4802,  1032,  3527, 82916, 82916,
    3404,  3406, -4802, -4802, -4802, -4802,109298,  1047,109298,  2449,
   -4802, -4802,  3472, -4802, 82916,  2043,  3799,  2974,   791,  3543,
    2212,  3750,  3223, -4802, -4802, -4802, -4802, 82916, 82916,   630,
    2861, -4802,  3410,  3409, -4802, 82916, 82916, 82916, 82916,  2035,
    3419,  3417, 61353,   494,  3602,  3609,  2884,  3830,  2035,  3223,
    3505, 82916, -4802,  2362,    87, -4802,  2861,106766, 59880, -4802,
    4512, -4802, -4802,   759,  3701, -4802, 82916, -4802, -4802, 43995,
     592, 61353, 82916, -4802,   592,   106,  3484,   592,  3486,   592,
     592, 82916, -4802, -4802, 82916, -4802, 82916,107610,   592, -4802,
   14660,  3716, -4802, -4802, -4802, -4802,  3552,  3555,  3557, 82916,
    3199, 57916, -4802,  3434,109298,  1508, -4802, -4802,  3617, -4802,
   -4802, -4802, -4802, -4802,  3741,  3742, -4802, -4802, -4802,   756,
   -4802,109298, 69196,   177,109298, -4802,  2327, -4802, -4802,  2346,
     247, -4802, 82916,  3683, -4802, -4802, -4802,  3443,  2398, 14029,
   35481, -4802,  3754, 61353, -4802,  7375, -4802, -4802, -4802, -4802,
   35481, -4802, -4802, -4802, -4802, -4802, 35481, -4802, 35481,  3729,
   -4802,  3871,  3871, 61353, 37008,  1858,  2777, 37008, 37008, 37008,
   37008, 37008, 37008, 37008, 37008, 37008, 39525,   704, -4802, -4802,
   35481, 35481,  3737,  3729, -4802, -4802,  1540,  1540, 61353,  3450,
    3246,  3453,  3459, 35481, -4802, -4802,  2407, 38521,  3461, 56443,
   -4802, 35481, 10432,  2415,  3502, 14380,  1767,  7514, -4802,  3827,
    2861, 35481,  1855,  2284, 35481,  2433, 35481,  3736, -4802, -4802,
   -4802,  3455, -4802, -4802, 61353, 35481, 37008, 37008,  5557, -4802,
    6657, 35481,  3475,  8635, 30391, -4802,  3637,  3506, 45975, -4802,
     880,   880,   880,   880, -4802, 82916, 82916, 82916, 41024,  3745,
   40034, 79976,  3476,  1715, -4802, 79976, 80466, -4802,  3481, -4802,
    3473,  1767, 35481,  3740,   664,   664,  3637, -4802, 35481, 33445,
    3480, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802,  3494, -4802,  3491,
   -4802, -4802,   273,  3513, -4802, -4802,  5435,   178, -4802, -4802,
    3515, -4802,  3507, -4802,  2215, -4802, -4802, -4802,  7883,  3638,
   -4802, -4802,  3476, 33954,  3430, -4802,  2438, -4802, -4802, 31409,
   -4802, -4802,  2442, 45480,  3338, 31918,  1767,  2449,  3508, -4802,
    2383,  1145, -4802, -4802, -4802, -4802, -4802,  2456,  1829, -4802,
   -4802, 59389, -4802,  3536, -4802, -4802, -4802,  3415,  2651,  2651,
    1414,  3199,  3758,  1414,  7986, -4802, -4802, 41519, 82916, 82916,
   -4802, 82916,  2460,  1590, 82916, -4802, 82916, -4802, -4802, -4802,
   -4802,  3877, -4802, 82916, -4802, -4802,  3537,  3538, -4802, 82916,
   82916, 82916, 82916, -4802, -4802,  2329, -4802, -4802,109298, 82916,
   -4802, -4802, -4802,   325,  2297,  2889, -4802,  3561, -4802, -4802,
    3728, -4802,  3868,  3570, 82916,  3517, -4802,  1590,   213,  2884,
     610, -4802, -4802,  3554, 82916, -4802, 82916, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, 56934, -4802, -4802, 82916,
   -4802, 56443, 46965, 56443, -4802,  1111,   361,  2303,  2889, -4802,
    3564, -4802,  3575,  3577,  3625,  1281,   132,  3595,  3597,  3627,
    3518,  3524,  3526, -4802, -4802,   166,  2861, -4802, -4802,  2861,
    2651,  2861, 82916, 82916, 82916,  3892,  3614, 82916, 82916, 82916,
   82916, 82916,  3795,   825,  1972,109298, 82916, 82916,109298, 82916,
   82916, 82916, 82916, 82916, 82916, 82916, -4802,  3894,  3833,  2114,
    3874,  3604, 82916, -4802, 82916,  3100, 82916, 82916, -4802, -4802,
   -4802,  3539,  2058, -4802, -4802,  3782,  3784, -4802,  2058,  2058,
   -4802,   347, 56443, -4802,  2892, -4802,  3178,  3507,  2449,  1558,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802,  2449,  2508,  3545,
   -4802, 43500, -4802,  3542, -4802,  2292,   879, -4802, -4802, 82916,
    3415, -4802,  2787,  2748,  2946,  2955, 80956, 81446, 81936,  3546,
   82916, 82916, 37008, -4802,  1426,   126, -4802,  3786, 82916,  3584,
   -4802, -4802, -4802,  3699, 82916, -4802, -4802, -4802, -4802, -4802,
    3549, -4802,  3664, 65276,  2651,109298,109298,  2651, -4802, 61353,
    3558,  3223,109298,   791,  1551, 92226,  3587, -4802,  3551,  3841,
   -4802,  3559,  3560, -4802, -4802, 82916,  3527,  2475,   761,  2030,
    3255, 67236,  2247,  3815, -4802, -4802, -4802,  3924,  3646, -4802,
    2035,  3255,  3646,  2861,  3159, -4802, 59389, 35481, 35481, -4802,
    3562, -4802,  3566,  6225, -4802,  2543, -4802, -4802, -4802, -4802,
   -4802, -4802,  3639, 82916,  3992, -4802, -4802, -4802,  3567,   592,
   -4802, -4802, 82916, -4802, 82916, -4802, -4802,   592,   592, -4802,
    3680, -4802,  2035, 82916, 82916, 82916,  3199, -4802,   247, -4802,
    3848,108876, -4802, -4802, -4802, -4802, -4802,  3910,    74,  3856,
   -4802, -4802,  3816,  3819,  3820,  3821,  2396, -4802, -4802, 35481,
   14660, -4802,  3579, -4802, 14660,  8393, 14660,  3737, -4802,  1898,
    3867, -4802,  1086,  3588,  1898,  2598,  2598,   485,   485,   142,
     142,   142,  3871,   704, 14660, 14660, -4802, -4802, -4802, -4802,
    3589, -4802, -4802, -4802,  3246, -4802, 35990,  3730,  3972, -4802,
   -4802, -4802,  3630,  3631,  3590, -4802, 35481, 36499,  3592, 62335,
   -4802, -4802,   879,  1751, 37008, 37008,  2579, -4802,  1071, 35481,
   61353,  2487,  2579,  2541,  2568, 35481, 35481,  9459,   283, 35481,
    8556,  3599, 35481,100066, -4802, -4802, 82916, 82916, 82916, 82916,
   -4802, -4802, -4802, 79976, 80466,  3601, 42509,  1715,  3603, 82916,
   -4802, -4802,  3605, 40529,  3826,  3764, -4802, 40529,  3764,  1541,
    3764,  3829, -4802, 46470, -4802, -4802,  3608, -4802, -4802, 27870,
    1933, 14660,  3984,  3872, 35481,  3612,  3613,  3619, 14660, 35481,
   -4802,  2861,  1145,   649,  2861, -4802, -4802, -4802, 49485, -4802,
   -4802, -4802,  3787, 14660, -4802,  2035, 82916,  1767,   189,  3615,
   82916, -4802,  3430, -4802, -4802, 11542, -4802, -4802, -4802, -4802,
    3667,  2494, -4802,   166, -4802, -4802, -4802, -4802,  3687, 68216,
    3893, -4802, 35481,  2495, -4802,  3651,  3982,   110,  2504,  2511,
    1590, -4802,  3584, -4802,  1437,  3878,    80, -4802,   592, -4802,
   61353, -4802, 82916, 82916, -4802, -4802, -4802, -4802,  2846, -4802,
   -4802, 82916, 82916, 82916, 82916, -4802,109298, 82916, -4802, 56443,
    2358,  3813, -4802, -4802,  3823,   166, 82916, -4802, 61353,   592,
     592, -4802, -4802, -4802, -4802,  3652,  4013,  3721, 82916, 82916,
   82916, 82916,109298, 82916, 82916,  2449,  2449, 61353,  3640, -4802,
    2449,  2449,  3645, -4802,109298, 82916, 82916, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802,109298, 82916, -4802,
    3715, -4802, -4802, -4802, 82916, 82916, 82916, 82916,  3943, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   82916, -4802, -4802,  2861,  2861, 61353,   592,   592, -4802, -4802,
   -4802,  3895, -4802,  2058,  2058, -4802, -4802,   287,  2524, -4802,
  102926, -4802, -4802,  2921,  2861,  2921,  1575, -4802, -4802,  2921,
   -4802,  2921, -4802,  1590,  3650,  1806,  3932, -4802,  1982,102017,
   43500, 43500, 43500, 43500, 43500, -4802, -4802,  3935,   166, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802, 35481, -4802,  1432,  1898, -4802, -4802,
   -4802, -4802,  3584,  2043,  3708, 57916,  1200, -4802,  3918,   619,
   65276,  1542, 82916, -4802,  2651,  2651,  3712, 82916,  4061, -4802,
     784, 82916,  3973,  3702, -4802,  2861, -4802, -4802,  3223, 82916,
   65276,  3255, -4802,  2537, -4802, -4802, -4802,  3703,  3609,  3663,
    2247,  1410, 82916, -4802,  3705, -4802, -4802,  3949,  3666, -4802,
   14660, 14660,  2861, 62826,  4512, -4802, 82916,  3926, 82916, -4802,
     592, -4802,   592,   592, -4802, -4802, 82916,  3199,  3199,  3199,
   -4802,  3854, -4802, -4802,   592,108876,  2396,  2396,  2396,  2396,
   -4802, -4802, -4802, 14660, -4802, -4802, -4802, 37008,  3959, -4802,
    3688, 61353, -4802,  3690,  2548,  2565, 38026,  3831, -4802, -4802,
   -4802,  8847,  3735, 14660,  3791,  3691,  3692, -4802,  1269,  1269,
    1071,  2566, -4802, 37008, 37008,  2579,  2579, 35481,  2579, -4802,
   -4802,  8926,  3864, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   57425, 79976,  3697, 82916,  1715, 40529, -4802, -4802,  1629, -4802,
   40529,  3927, -4802, 40529, 82916,  3698, 82916,   447, 35481, 35481,
    3744, -4802, -4802, -4802,  3637, -4802, -4802,  1558, -4802, -4802,
   -4802, -4802,   879,  3710, 74586, -4802, -4802, -4802,  1287, -4802,
   -4802, -4802, -4802, -4802, -4802,108876,  3886,108876,  1590,  8962,
    3584, 41519, 50493, 82916, 82426, 82426,  3849,  3584,  3708, -4802,
   -4802, -4802, -4802, -4802, -4802,  3713, -4802, -4802, -4802,  3781,
   -4802, -4802,   -89,  3208,  2576, -4802, -4802, -4802, -4802, -4802,
    3894, -4802, -4802, 46965,109298, 82916, -4802,  3789, -4802, -4802,
   -4802, -4802, -4802, 42014, 49485, -4802,  1281,  3709,  3717,   132,
   -4802, -4802, -4802,   -73,  3208, 82916,  1527,   545,  3751,  3199,
    4005, -4802, -4802, -4802,  3894, -4802, -4802,  2058, -4802, -4802,
   -4802,  2542,  4044, -4802, 56443, -4802,105072, -4802, -4802, -4802,
    2861, -4802,  2861,  3914, 82916, 52474,  2861,  2861, -4802, 57916,
    4126,  4126, -4802,  3722,  2081,  2081, -4802, -4802, -4802, 82916,
   -4802, -4802,  9002,  3919, -4802,  3708,  3941,  3988, -4802,  3731,
   82916,  3882,  3732,  3734,   651,   651,  3527, 82916,  2580,  2035,
     791, 65276,  3527, -4802,  1821,  3738,  4032, -4802,  4134,  3419,
    3739, -4802, -4802, 67236,  3921,  3646, 82916,  3609,  3861, -4802,
    3869, -4802,  1209, -4802, 82916, 41519, -4802, 61844, -4802,  2594,
   -4802, -4802,  3334, 82916,   658, -4802,  3755, -4802, -4802, -4802,
   -4802, -4802, -4802,   177, -4802, -4802, -4802, -4802,   997, 37008,
   61353,  2597, 35481, -4802, 35481, -4802,  4131, -4802, -4802, -4802,
     815, -4802, -4802, -4802,  1269,  1269,  2579, -4802,  4135,  3637,
   -4802,  2613,  4151, -4802, 82916,  2617, -4802, 35481,  3748, -4802,
   -4802, 40529,  1629,  2637, 82916,  2654, 61353,  3749,  3246, 14660,
   82916, -4802,  3752, -4802, -4802, -4802, -4802, -4802, -4802,  1508,
    1414,   177,  3982,  3708, -4802,  3757, -4802, -4802, 82916, -4802,
     285,   285, 82916,  3708, -4802, -4802, 82916,  3834, -4802, -4802,
   56443,  3806, -4802,   -51,  3208, 82916, 61353,  2346,   118, -4802,
   61353, 61353, -4802,  3837, -4802, -4802, 82916, 82916, 82916, 82916,
   82916,   592, -4802,  3398,  2861, -4802, -4802,  2664, -4802, -4802,
   -4802, 82916,  3551, -4802,  3551, -4802, -4802,  4126,  1080, -4802,
   -4802, -4802, -4802,  2286,  3956, -4802,  1388,  3946,  3846,  3761,
   -4802, 57916,  4195,  3879, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802,  4060,  3223,  3705, -4802, -4802, -4802, -4802,
   35481,  3922,  2035,  2247,  3815, -4802, -4802, -4802,  2668,  3646,
   -4802, -4802,  4145,  3953,  4149, -4802,  2686, -4802, -4802,  6225,
   62826,  4095, -4802,  3828, 82916, -4802, -4802,  2839,  4204, -4802,
     997,  2689, -4802,  2692,  2697,  3923,  3832, -4802, 35481,  1394,
    3481, 57425,  3779, -4802,  2698, -4802, 14660, 82916, -4802, -4802,
   -4802,  2706, -4802, -4802,  3777, -4802,  4186, -4802, -4802,  4069,
   -4802, 82426,  3825, 49485, -4802,  2215,  2215,  2043, -4802,  1590,
   -4802, 82916, -4802, 35481, -4802,  3876, -4802, -4802,  2707, -4802,
    1178,  3939,  4082,  2711,  2714, 82916,  3206,  3835,  3206, -4802,
    3199, -4802, -4802, -4802, -4802,105072,  3551, -4802, -4802, -4802,
    4109,  4054, -4802, -4802, -4802, -4802,   281, -4802,  3987,  3989,
   82916, -4802,  3796, -4802,  2715, 82916, 82916,  4209,  4211, -4802,
    9278, 57916,  3705,  3609,  2247,  2358, -4802, -4802,  3990, -4802,
    3991,  3223, 41519,  4512, -4802,   931, -4802, -4802, -4802, -4802,
   -4802, 82916, -4802, -4802, -4802, -4802, -4802,  3246, 34463, 34463,
    3809, -4802, -4802, 82916, -4802,  2719, -4802, 82916,  3811,108876,
     285,  3814, -4802,  3812, -4802, -4802,  3941,  1590,  3208, 14660,
   82916, 57916,  4203, -4802, -4802, -4802,  3939, -4802, -4802,  3208,
   82916, -4802,  3942, -4802,   771,   771,  4146, -4802,  3880, -4802,
   -4802,  3818, -4802,  4248,  3527, -4802,  1281,  2035, -4802,  3824,
   -4802,  3646,  3609, -4802, -4802,  3646, -4802, -4802, -4802, -4802,
    1953, -4802, 37517,  3947,   633, 10736, -4802, -4802, -4802, -4802,
    2720, -4802, -4802, -4802,   177,  2215, 35481,  1590, -4802,  3946,
   -4802,  3208,  2346, 82916, -4802, -4802, -4802,  3702, -4802,  4239,
   -4802,   953, -4802, -4802, -4802, -4802, -4802,  3640,  3705, 55952,
   -4802,  3646,  3334, -4802,  2126, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802,  4233, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802,  9830, -4802, -4802, -4802, -4802,  4130, -4802, -4802, -4802,
   -4802,  2726, -4802, -4802, -4802, -4802, -4802, -4802, -4802,  1350,
   -4802, -4802,  1912,  2223, 34972, -4802,  1590,  3983, -4802, 55952,
   -4802,  2126, -4802, 57916, -4802, -4802,  3836, 55952,  2730, -4802
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4802, -4802,  3970, -4802, -1219,   149,  2464,  -709, -4802, -4802,
   -4802,  3112, -4802, -4802, -4802, -4802, -4802, -4802, -4802,  3138,
   -4802, -4802,  1650, -2611, -4802, -4802,   -52,  3109, -1618,   -56,
    2738,  1318, -4802, -1392, -4802, -4802,  -845,    31, -4802,  3115,
   -1061, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -1174,
    1798,  1138,  3490, -2702, -4802, -4802, -1698, -3328, -4802,   518,
   -4802, -4802,  1746, -4802, -4802, -4802,   993,   451,  -500, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802,  -310, -4802, -4802,  -640,
     219,  -123, -2615,  -363, -4802, -4802,   396,  -366, -1619, -4802,
   -3662, -4802,   -46, -4802, -4802, -4802,  -344, -1737,  1237, -4802,
    -980, -1440,  1565,  -702, -4802,  -225, -4802,  -764,  -642,  -639,
    -717,  -534, -3840, -4283, -3877, -3375,  1242, -4802, -3771,   229,
   -4802, -4802,   266,   279, -4802, -4802, -1813, -1731, -4802,  -535,
   -4802, -4802, -4802, -3116, -4802, -4802, -4802, -4802,   -82, -4802,
   -4802, -4802, -4802,   417, -4802, -4802, -4802, -4802, -4802, -4802,
   -2391,  1699,  1700, -4802, -4802, -3307, -4802, -1199, -4802,   559,
   -3114,  1156, -4802, -4802, -4802,  2416, -4802, -4802, -4802, -4802,
   -4802, -4802, -1904, -4802, -4802,   288, -4802,  1710,   963, -4802,
   -4802, -4802,  -753,  -820,  -811, -4802, -3151, -4802, -4802, -4802,
   -4802,  -311, -4802, -4802, -4802, -4802, -4802, -4802, -1278, -4802,
    1026, -3251, -4802, -4802,  1036, -4802, -4802, -4802, -4802, -4802,
    -701,  -242,  2443, -4802,  -585,  -678, -4802, -4802, -4802,  -240,
   -4802, -4802, -4802, -4802, -4802, -4802, -1346,  6300, -1856, -4802,
   -4802, -4802, -4802, -2539, -4802, -4802, -4802, -1875, -4802,  4236,
       3,   114,   292, -4802,  -198,   -88,  2972, -1413, -2810,   349,
    -404, -4802, -2074, -4802, -4802, -4802, -2704, -4802, -4802, -4802,
   -4802, -3613,   318, -4802,  2964, -4802,   402, -4802, -4485, -4059,
   -4354, -4325, -3604, -4802, -4802, -1359, -4802, -4802, -4802, -1745,
    2007, -2206, -4802, -2370,   401,  1308, -1252, -2927, -3876, -1022,
   -3379, -4802, -3787,  -510, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -1342,  -899, -4802, -4802,  3509, -4802, -4379, -4802, -4802,
   -4802, -4802,  1081, -4802, -4802, -1717,  1103, -4802, -4802, -4802,
   -4802, -4802,  -693,  -782, -4802, -4802, -4802,   338, -4802, -4802,
   -4802, -4802,  1735, -1217, -1007,  3349,   339, -4065, -4802, -4802,
   -4802, -4802, -3193, -4802, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -2008, -4802, -4802, -4802, -4802, -4802, -4802, -4802,  2119,
    2122,   -67,  -215, -4802, -4802, -1525, -4802,  -822, -4802,  2363,
   -4802, -4802, -4802, -4802,  1390,   343,   436,   -72, -4802, -4802,
     220, -3531,   -71, -4802, -4802, -4802, -4802, -2324,   -69, -4802,
     715, -4802, -4802, -2937, -4802,   376,   -10,  3037,  1648,   -57,
     277,  -245,  -226,  -192,   -75,  3345,  2807, -4802, -4802, -4802,
    -196,  2127, -4802, -1109,  -349, -4802,  1398,  -929,  2092,  2794,
    2800, -4802,  1392, -4802, -4802,  1399, -4802, -4802, -4802,  -927,
    2101, -4802,  2802, -4802, -4802, -4802,  1384,  1395, -3464,   807,
   -3489, -3470,   295,   282,  -932,  -342,  -152,  3374,  2805,   817,
    -488, -4802, -4802,  -484, -4540,   743, -4802, -4367, -2486,  -455,
   -2191, -1884, -4802, -4802, -1437, 10202, -4802, -4802, -4802, 12084,
   13299, -4802, -4802, 13768, 14420, -4802, -1248,   859, 16269,  8196,
   -1473, -1912, -1567, 19843,  1449,  2080, -2902, -4802, -3612, -2858,
   -4802, -4802, -4802,  -303,   869,   284, -4802, -4802, -4802, -4802,
   -4802, -4802,  -595, -4802,  -594, -4802, -4802, -4802,  -586, -4801,
    2544, -4802,  -844, -4802, 20028,  1429, -4802, -1290, -2869, -2883,
   -3494, -2031, -4802, -4802, -4802, -4802, -4802, -4802, -4802, -1805,
   -3395,  -430,  1505, -4802, -4802,  1600, -4802, -4802, -4802, -1576,
   -1166, -2783,  1512, -2222, -4802, -1116, -4802,   760,  2232, -1063,
    6466, -1539, 17452,  -105, -2463, -1560, -1819, -4802,   363, -4802,
    2530,  3355,  -863,  -136,  -920,  6477,  4530,  5200, -3229, -4802,
   -4802,   380, -4802, -4802, -4802,  3855,  1016, -4802,  3153, -4802,
    1741,  2479, -4802, -4802,  2103,  -956,   111, -4802,  -562, -4802,
    -128, -4802, -4802, -4802,   167, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802, -4802, -4802,  2819, -4802, -4802, -1501, -4802, -4802,
   -4802, -4802, -4802,  4119,  -377, -4802,  3528,  -371, -4802, -4802,
   -4802, -4802, -4802, -4802, -4802, -4802, -4802,  2829,  2136, -4802,
    3336, -4802, -4802, -4802,    -9,  3048, -4802, -4802, -4802, -1239,
    -598,  3339,  3340,  2100, -4802, -4802, -4802, -4802, -4802, -4802,
   -4802, -4802,  2111, -4802, -4802,  1481, -2201,  2113, -4802, -4802,
     778, -4802, -4802,   302, -4802,   776, -4802,  2936, -4802, -4802,
   -4802,   816, -4802, -4802, -4802,  -582, 15261,   -54,   207,   198,
    1133, -4802,  9193, 11109,   -95,  2848,   -49, 12430, 19696,    11,
   -4802,  4113,  2116,  1720, -1032, -4802,  3006,  2422, 19165, -4802,
   -1027,   127,  1802, -4802,    -2,  -672, -1225,  3147,  -749, -2007,
   -4802,  4545, -4802, -3728, -4802, -1074,  3544, -1241
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2682
static const yytype_int16 yytable[] =
{
      81,  1113,  1318,   367,  1132,  2110,   357,   358,  2032,   360,
    1133,  1062,  1598,  1673,  1232,  1667,  1122,  1829,  1620,  2459,
    1353,   362,   827,  2082,   409,  2036,   932,   915,  1739,   410,
     409,  1013,  1098,  1882,  2042,   410,  3070,  1447,  1448,  1449,
    1975,  2681,  1852,  1453,  2828,  1895,  2521,  1921,   920,  3533,
    1995,  1013,  2315,  2673,  3115,  3117,  3022,  1232,  1170,  1376,
    2529,  2795,  2199,   409,  1416,  2150,  1846,   827,  3817,  2172,
    2173,  1095,  1861,  3030,  1034,  1612,   411,  2641,   972,  3800,
    1887,  3410,   411,  1021,  2538,  1963,   725,   680,  2188,  1968,
     367,  4036,  2733,  3428,  1972,  1352,   731,  1379,   987,  2682,
    3979,  1978,  3050,  3271,  3997,  2023,  2326,  1391,   409,   261,
    4219,  1997,  3667,  2552,  1232,   411,  2595,  2071,  2380,  2382,
    2383,  1063,  3367,   874,  2329,  3832,  2884,  3834,   831,    79,
    3328,  4022,   878,  1174,  3519,   827,  3676,  3948,  1116,  1722,
    4151,  1124,  2605,  3731,  1724,  4476,  3934,   934,  3674,  3675,
    4250,   926,  1050,  2787,  4290,  4256,  3669,  4484,  1353,  3934,
     411,  1411,  1092,  2315,  1084,  2514,  2609,  2610,  3616,  2072,
    1010,  3667,  4468,   831,  2067,  1125,   409,  4194,  2528,  2374,
    2374,  3089,  4434,  2437,  3747,  4745,  2737,  2097,  2748,  1789,
    1010,  1883,  1660,  4224,  1663,  4192,  4177,  4116,  4615,  3953,
    3954,  3955,  3956,  3957,  3958,   712,  1059,  4813,  3742,  4815,
    1700,  1701,  1165,  4398,  1059,  3669,  1059,  1713,  3114,  1058,
    3105,  2225,  4941,  1994,  3109,  2539,  1400,  1058,   411,  1058,
    3573,  2273,   418,  1605,  2024,  -141,  3423,   884,   418,  4462,
    1714,   831,  2219,   712,  -141,  2024,  2228,  2165,  2166,  -141,
    4475,   414,    45,  4613,  2316,  1347,  1187,  1765,  2616,  2621,
    2730,  4841,  4622,  2216,   924,   931,  2961,  4027,  2961,  1463,
    4937,   875,  2825,  2185,   931,   418,  2230,   418,    37,    38,
      39,    40,  1436,  1175,    43,    44,  1485,  1715,  3520,    45,
    3350,    45,    37,    38,    39,    40,  1756,   270,   367,    44,
    1959,   357,   358,  3736,   360,  2024,  1479,   271,  4430,  2860,
    3487,  2956,  3489,   931,  4847,   825,   362,  1916,  2820,   418,
    3550,  2531,  4890, -1943,   824,  3259,  2467,   409,    43,  2603,
    4863,  5182,   410,    45,  2074,   130,   131,  3138, -1946, -1946,
   -1946, -1946,  5000, -1838,   272, -1946, -2680, -2680, -2680, -2680,
   -1838,  3531,  4995, -2680,  2509,   363,  2280,   273,  1436,  1766,
     825, -2680,   409,  4320,  2336,     3,   293,   410,  2996,   824,
     313, -1612, -1612, -1612, -1612,  2997,   417,  2225, -1612,   411,
    1713,  1001, -1854,  1910, -1622, -1622, -1622, -1622,  2217, -1854,
    2531, -1622,   730,  2462,  3055,  1895,   318,  1602,  1757,  2130,
    1591,  1002,  2228,  1714,   261, -2681, -2681, -2681, -2681,  3139,
    2839,  3178, -2681,  5222,   411,  2264,   334,   338,  2731,  2281,
   -2681,   356,    37,    38,    39,    40,   886,  2034,   825,    44,
    1103, -1612,  2230, -2678, -2678, -2678, -2678,   824,  1232,  2510,
   -2678,  3014,   363,  2034,  4431,  2531, -2101,  4971, -2678, -1622,
   -1622, -1622, -1622,  2337,   361,  1257, -1622,  1436,   372,  2468,
    1631,  4321,  1632,  1189,  4929,  2034,  5104,  2199,  2531,  1133,
    2531,  3973,  1353,  3056,  -394,  4618,  1209,  2317, -2677, -2677,
   -2677, -2677,  3378,  3521,  2821, -2677,  2025, -1612, -1612, -1612,
   -1612,  2172,  2173, -2677, -1612,  1353,  3163,  2025,  2188,  2826,
    2540,  2260, -2273, -2273, -2273, -2273,  2531,  1625,  5017, -2273,
    3260,  1626,  2541,  2822,  2043,  4985,  4986, -2273, -1607, -1607,
   -1607, -1607,  1176,  1112,  2465, -1607,  4291,  2840,  1161,  1475,
     841,   920, -1579, -1579, -1579, -1579,  2673,  2469,  1682, -1579,
    4623,  2225,  1758,  2307,  2308,  1258,  2648,  2060,  1437, -1592,
   -1592, -1592, -1592,  1464,  1168,  1169, -1592,  2025, -1619, -1619,
   -1619, -1619,  1353,  2542,  4243, -1619,  2228,  5126,  2652,  2732,
    1703,  1706,   842,  3573,  3122,  1759,  2823,  2962, -1607,  3636,
    2829,  2622,  2831,  1159,  1960,  2834,  1259,  4028,  2128,  3351,
    2034,  4304,   270,  1452,  2887,  2086,  2230,  2500,    37,    38,
      39,    40,   271,  2140,  1760,    44,  1735,  2617,    37,    38,
      39,    40,  2604,  3934,  2131,    44,  2151,  1692,  1767,  4260,
    2220,  1625,  2062,  1709,  2591,  1626,  2593,  5080,  1960,   246,
    4747,  1823,  5208,  2034,   926,   935,  1260,  2154,  1452,   272,
    1751,  2315,  2249,  2671,  1123,  4715,  2564,  2644,  2066,  1166,
     363,  3585,   273, -2101,  2600, -1838,  4541,    37,    38,    39,
      40,   293,  1761,  4448,    44,   313,  2131,  -141,  -141,  2816,
    1007,  1008,  4704,  4705,  4706,  4707,  4708,  2640,  2165,  2166,
    2998,  3200,  1817,  3766,  2274,  4194,  2185,  1353,  2315,  3381,
    4741,   318,  3029,  4071, -1854,  1353,  1353,  4761,  1167,  4457,
    1633,  4600,  4516,  4558,  2841,  2261,  5140,  1716,  1717,  1007,
    1008,   334,   338,  1104,  1246,  2791,   356, -2101,  3059,  4564,
    2024,   418,  2842,  4568,    37,    38,    39,    40,  3733,  1210,
      43,    44, -2101,  3974,  3855,    45,  3266,  5105,  2361,  1113,
    2362,  1178,  1202,  2396,  3749,  4680,  3750,   924,  2453,   361,
    4904,  1007,  1691,   372, -1397,  5145,  3667,  4408,  3667,  3877,
    5121,  4281,  2286,  2160,  2664,  2665,  2573,  3294,  2517,  2576,
    2824,  3164,  1417,  4981,  1625,  1668, -1946,  1683,  1626,  2835,
    1119,  3201,   409,  4293, -2680,  4393,   409,  1304,  2194,  1894,
    2467,   410,  3573,   931,   931,  3075,  4210,  4308,  4905,  1294,
    3669,  1349,  3669,  1219,   681,  4906,  3801,  2466,  2195, -1612,
    1174,  3022,  3022,  3022,  3910,  2724,  3993,  3913,  3914,  2455,
    4014,  3917,  2196,  4833,  4241,  1826,  1702,  3920, -1397,  1444,
    4843,  3701,  4907,  3191,   411,  2799,  3856,  2456,   411,  5171,
    2067,  1161,  1198, -2681,  1362,  3267,  1942,   831,  3402,  2806,
    5039,  1198,   680,  2194,  3707,  2809,  5184,  1409,   680,   837,
    1418,   838,  1424,  1309,  1429,  3667,  2881,  2883,  4927,   680,
    1433, -2678,  3091,  2195,  3091,  3796,  1454,  2891,  3129,  2160,
    2084,  2895,  1765,  2700,   936,  1198,   980,  2198,  1124,  2907,
    2908,  3003,  2725,  1424,  1429,  3915,  3916,   680,  2514,  5158,
    1001,   680,  2925,  2927,  4908,   981,  3192,  3217,   367,  3669,
    1364,   881,   680,  2941,   418, -1400, -2677,  1412,  1126,  1866,
    1002,  4867,  1125,  4294, -2408, -1612,  2571,  4487,    45,  4076,
    3522,  1350,  -797,  3524,   937,  2911,  2912,   982,   680, -2051,
   -2273,  1705,  1198,  3369,  4038,  4227,  1454,  1903,  4802,  1871,
    1828,  2705,  1198,   680,  -163,  1872, -1607,  1867,   680,  2246,
    2247,  2248,  2249,  3679,  2978,   938,  2457,   939,   680,  4943,
    2171,  1410,  2025,    81,  3575, -1397,  1671,  5120,  3176,  -163,
    3857,  1232,   680,  5185,  1766,  1445,  2701,  2177,  1423, -1400,
    1428,  3582,  3583,  3584,  3585,  1127, -1619,  1119,  2798,  4256,
    1442,  1422,  3525,  1427,  3464,  3932,  2595,  2551,  1338,  2137,
    3403,   215,  1436,  3858,  3249,  3801,  1437,  3004,  3932,  1457,
    1459,  4039,  4868,  2743,  1601,  2706,  4295,  4781,  1609,  4296,
    1614,  5128,  1456,  1458,   825,   682,  2222,  1636,  1161,  2740,
     931,   223,  3859,   824,  1743,   409,  2262,  3712,  2217,  4345,
    1630,  1873,  5047,  1751,  2677,  1404,   418,  3195,  1771,  2832,
    2833,  3052,  2458,  5053,  3250,  1595,  1487,  4077,  1198,  3573,
    4909, -1397,  4803,  2726,  1059,  2291,   680,  1986,  1059,   233,
    2304,  2304,  5159,  5043,  4459,  3573,  2727,  1058,  3404,  1405,
    2979,  1058,   236,   931,  2980,  3035,   205,   411,  4034,  3797,
    4608,  4806,    79,  5200,  1198,  4036,  4810,  2740, -1397,  4812,
    1868, -1397,  -616,  1425, -2408,  1987,  1310,  1430,  1431,  1432,
    4944,  1147,   215,  2551,  3704,  3523,  4956,  1443,  3076, -2051,
    4738,  1437,  2981,  5198,   839,   418, -1400,  2225,    37,    38,
      39,    40,  2776,  4256,    43,    44,  1485,  1715,  3251,    45,
    3370,  5160,   223,  3682,  4587,  4040,  3683,  3684,  1416,  2225,
     879,  1793,  2228,  1365,   680,   680,  1339,  3685,  3686,  3687,
    2768,  3688,  3689, -2408,  5161,  4635,  3690,  3691,  3692,  1148,
    4204,  2779,  2678,  1161,  2228,   712,  1050,  1856, -2051,  1128,
     233,  5018,  2230,  2786,  5129,  1874,  2050,  1232,  1869,  2017,
    1904,  4346,  1171,   236,  5122,  3119,  1892,  1190,  3580,  3581,
    3582,  3583,  3584,  3585,  2230,  4041,  1212,  4979,  1222,  1223,
    1224,  1340,  1225,  1226,  1227,  1228,  1229,  1230,  1875,  2741,
    3574,  3177, -1400,  1753,  2051,  3038,  2461,  1615,  2502,   246,
    1059,  1059,  1656,  4844,  5170,  3385,  2508,   215,  5172,  2018,
    1299,  3575,  2982,  1058,  1058,  2802,  3748,  1876, -1579,  2010,
     363,  1112,  3122,  2462,  5045,  1198,  5127, -2682,  1988, -1400,
    3191,  5199, -1400,  1150,  4460,  2381,  1198,   223,  4518,  1695,
    4519,  3667,  3339,  1753,  3985,  3667,  4951,  3510,  1872,  1589,
    2914,  3204,  3252,  4599,  5207,   977,  3069,  4731,  1725,  1958,
    2581,  1616,  1139,  2584,  2585,  4720,  1027,  1357,  1113,  4957,
    3576,  1658,  1607,  2653,  2471,   233,  1475,  1367,  3693,  2233,
    2234,  4210,  1140,  1451,  2472,  3669,  4584,   832,  5019,  3669,
    4577, -1579,  1141,  2284,  3322,  3812,  1198,   833,  4932,  2019,
    4895, -2682,   367,  3192,  1695,  1232,  4933,  4968,  1659,  4802,
    2854,  3216,  2411,  1590,  1487,  2655,  1989,  3573,  1133,  1068,
    1893,  3789,  4998,  1100,   246,  2237,  5003,  5004,  2568,  1150,
    2654,  2649,  2679,  4372,  4504,   680,  3205,  1037,  1722,  4375,
    4376,  5084,  5085,  1724,  1873,  2453,  3120,  2052,  3121,  2020,
     680,  1123,  4852,  2656,    81,    81,  2463,    81,  3813,  3790,
    1146,  2454,  2677,  1452,  1650,  1198,  3293,  3484,  3875,  4520,
    2088,  4721,  2090,   680,  3934,  2094,  3818,  2096,  1036,  4912,
    2099,  2100,  2101,  2322,  3485,  4916,  2330,  2331,  3306,  2335,
    2034,  1142,  3986,  2108,  3490,  2386,   834,  4067,  2387,  1035,
    4256,  3433,  3434,  3435,  3436,  2645,  2133,  3372,  2134,   680,
    3694,  4306,  1069,  3441,  2586,  1038,  2455,  3345,  4982,  2017,
    1125,  1125,  1958,  1125,   680,  2473,  3811,  1147,  4988,  1147,
    2021,  3876,  3932,  3022,  2456,  2053,  1174,   680,  1117,  1001,
     680,  3577,  3578,  3579, -1579,  3580,  3581,  3582,  3583,  3584,
    3585,  1198,  3842,  1143,  3195,  1001,  3695,  1651,  2474,  1002,
    4934,  3580,  3581,  3582,  3583,  3584,  3585,  3843,  3480,  2801,
    2690,  5092,  4315,  4233,  4307,  1002,  4087,  1671, -2083,  4456,
    1198,  3708,  1067,    79,    79,  1148,    79,  1148,  1149,  2388,
    2678,  2314,  2087,  3191, -2102,  2089,  2544,  1118,  2093,  3575,
    2095,  5190,  1695,  2098,  2265,  1115,  2657,  2102,  1198,  1198,
    1807,  1198,  3791,  2244,  2245,  2246,  2247,  2248,  2249,  4893,
    1093,  1144,  1001,  2595,  2253,  1257,   835,  1716,  1717,  3959,
    1198,  5093,   409,  2762,  1405,  2244,  2245,  2246,  2247,  2248,
    2249,  2587,  1002,  2588,  2278,  2279,  5038,  3878,  3182,  4492,
    3696,  4493,  2569,  4060,   418,  4748,  3548,  3819,  3576,  2019,
     882, -2129,  3761,  2457,  1119,   680,  3192,  4749,  2294,  4428,
    4316,  3313,  3962,   680,   680,   898,  2339,  3314,  5023,  1150,
    4619,  1150,  3820,  1198,   411,   409,   409,   409,  1039,  1040,
    1899,   410,   410,   898,  2658,  3150,  3193,   831,  1257,    43,
    3792,  1905,  2531,  1232,    45,  3600,  4244,  4942,  2314,  2020,
    2532, -1579,  1198,  2340,  2570,  1258,  1198,  1198,  3667,  2535,
    3213,  1990, -1579,  3667,  2171, -1579,  1743, -1579,  3667,  3194,
    1656,  3667,  4429,   900,  4036,   409,  3625,   411,   411,   411,
     410,  1991,   409,  4620,   841,  3385,  2495,  2415,  2393,   409,
    3151,   900,  2377,  4989,   363,  4773,  1259,   680,  -520,  2458,
    4317,  2008,  3669,  3323,   712,   712,  2602,  3669, -2083,  3667,
    2536,  3772,  3669,  3315,  2216,  3669,  1136,  3230,  1151,  2447,
    2679,  1120,  2586,  5125, -2102,  3146,   842,   411,  1258,  2448,
    2021,  5024,  3324,  3103,   411,  1958,  4992,  1695,  1152,  1658,
    2680,   411,  1695,  1695,  2449,  4713,  1260,  2342,  1059,  -417,
    3966,  4724,  3232,  3669,   831,  4015,  5068,  3195,  4019,  2378,
     841,  1058,  4750,  1064,  4097,  3459,  2158, -2083,  3231,  1259,
    2957,  4185,  4263,  3580,  3581,  3582,  3583,  3584,  3585,  1129,
    -961,  1059,  5069, -2102,   898,  2339,  2175,  3967,  4117,  1958,
    4184, -2129,  4725,  1611,  1058,  4829,  5025,  4831,  2343,  4186,
    1106,  3968,   842,  3233,    80,   130,   131,  5166,   712,  4626,
    4627,   907,  4245,   908,  4570,  2380,  2202,  2379,  2389,  1260,
    3150,  1958,  2340,  3319,   825,  4723,  4188,  1992,  5057,   907,
    2214,   908,  1353,   824,  4678,  4679,  1976,  5087,  4730,  2225,
    3788,  4246,   900,  2407,  2409,  4740,  4264,   841,  2057,  2587,
   -2129,  2588,  -417,  3667,   913,  3094,  3320,  3316,  1753,  4185,
    4247,  1753,   980,   843,  5220,  2687,  3286,  5221,  2058,  1353,
    3627,  1740,  3628,  2296,  2341,  3769,  4184,   680,  2450,  1059,
    1242,   981,   883,  3969,  2837,  3321,   824,  4186,  4693,   842,
    3317,   679,  1058,  4694,  2230,  3629,   974,  3669,  1958,  2378,
    1695,  4265,  4187,  4266,  1741,  1243,   409,  3474,  1695,  3667,
   -1409,  1150,  2297,   982,  4188,  3680,  2342,  2670,  3780,  3318,
    3325,  3286, -1409,  2034,  2763,  4190,     8, -1409,  1615,  1123,
    1123,  5147,  1123,  1742,  2194,  1958,  4695,  4189,  4851,  4278,
    1487,   825,  3045,  3573,  3498,  4185,  1065, -2472,  1133,  3326,
     824,  2857,  4261,  3669,  2195,   925,  4807,  2379,   411,  2553,
    4144,   943,  1695,  1958,  1171,  1695,  1695,  2343,  2196, -1409,
    4066,   831,  4871,  4186,    37,    38,    39,    40,   680,  2844,
     907,    44,   908,  1487,  1656,  4070,  3573,  1026,  4187,  1657,
    1177, -1409,  1616,  3022,   680,  1960,  3630,  3998,  3022,  3802,
    4188,  3631,   367,  3022,  4866,  1976,  4007,  1475,  2554,  2592,
    2555,  1412,  4588,  4190,   891,    37,    38,    39,    40,  2194,
    1198,  3822,    44,  4189,  4071,  3805,  1958,  3702, -1409,  1198,
    1188,   680,   680,  1695,  4406,  1205, -1409,  4699,  2103,  2195,
    3029,  5216,   680,  3052,  2551,  1880,  2553,  1835,  3295,   208,
    4100,  1150,  4101,  1658,   680,   680,  3298, -1444,  3300,  3667,
    2856,  2104, -1444,    81,   367,  4700,    81,  2850,  2851,  1832,
    2852,   122,   205,  2879,  1881,  3218,   680,  2804,  1311,  2805,
    1312,  1862,  2853,  2807,  3642,  2808,  4282,  4808,  2810,   126,
    1659,  3848,  2811,  1836,   898,  2554,   418,  2555,   215,  4190,
      35,   418,  1833,  3669,    37,    38,    39,    40,    41,    42,
      43,    44,  2634,  -955,  1863,    45,  1198,  1353,  1864,  4079,
    3632,  4292,  4297,  4118,  4119,  3575, -1444,  2702,   223,  4309,
    3633,  2551,  2959,    37,    38,    39,    40,  3381,  4872,  1232,
      44,  3502,  1203,  1865,  3737,  2635,  2734,  2636,  1751,  1217,
    3667,   208,   900, -1409,  1198,  1198,  1218,  3390,   825,  2637,
    3029,  1248,  1198, -1444,  1745,  1198,   233,   824,  3575,  1198,
     983,  4102,  1837,   409,  2905,   940,  1881,  1198,  1198,   236,
    4083,  4103,  3975,  2638,  3576,  1198,  2183,  2184,  1198,  1198,
    1198,  1198,    79,  3429,  3669,    79,  4347,  1746,  1198,  1198,
    3438,  1198,  3061,  1198,  1198,  3439,  3391,  1198,  4917,  2288,
    2969,  4363,  2970,  3713,  1625,   984,  4348,  1647,  1626,  3379,
    1838,  1255,  1839,  1958,  1198,   411,  1747,  3576,  4601,  1198,
    4537,  4364,  2594,  1198,  1256,  2971,  4918,  1198,   831,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1353,  1198,
    3140,  1314,  3143,  1315,  1636,  4536,  2431,  3949,  2598,  1198,
    1198,  1841,  3439,    35,  4913,   409,  1298,  5173,   192,  5144,
     410,    41,    42,  3932,  4466,  3758,  3759,  4757,  1625,  2606,
    2531,  3464,  1626,  1301,  4082,  3392,  3393,  1303,  2537,  2432,
     907,  3381,   908,  1117,  2068,  3512,  1932,  3746,  2069,  3394,
    1843,   910,  2633,  2269,  1807, -1445,  2270,  3078,  1306,  4848,
   -1445,  3385,   912,  4124,  1849,  1976,  2553,   411,  2433,   409,
    2289,   409,  1198,  3779,   410,  3753,   410,  1319,  4258,  4259,
    2171,  2972,  2438,  1748,  1326,  1845,  2973,  4240,  3134,  2553,
    4864,  2974,  2171,  2314,  2438,  3199,  3395,  1850,  2194,   215,
    2370,  2371,  1118,  3852,   363,  3577,  3578,  3579,  -519,  3580,
    3581,  3582,  3583,  3584,  3585,  2554,  1749,  2555,  2195,  1487,
     208,   411,  3573,   411, -1445,  4690,  3361,  4692,  2077,   223,
    2078,  4696,  2198,  4697,   409,  2760,  3853,  4938,  2554,  4145,
    2555,  3202,   680,  3527,  2766,  1750,  3066,  3067,  3577,  3578,
    3579,  2551,  3580,  3581,  3582,  3583,  3584,  3585,  1335,  2068,
      81, -1445,    81,  2794,  1337,  3854,   363,   233,  1958,  1119,
    1336,  3870,  1958,  1958,  2551,   825,  1647,  1342,  2553, -1397,
     236,   215,   680,  3396,   824,  3397,   411,   680,   925,  3545,
     680,   192,  1851,  2797,  1625,  3991, -1946,  1345,  1626,   831,
      37,    38,    39,    40,  3546,   418,  3256,    44,  3547,  1363,
    2975,   223,   680, -1468, -1468,  1198,  5174,  3277,  4263,  1751,
    2976,    37,    38,    39,    40,  1359,  1198,  2554,    44,  2555,
    1371,  1212,  1353,  1198,  1353,  1895,  4400,  4401,  4402,  4403,
    4404,  2947,  1372,   409,  2950,  3959,  4702,   409,  2157,   233,
     246,  3960,  2304,   680,  3599,  4200,  3601,  3602,  1386,  2967,
    5020,  3961,   236,  2551,  1059,  1377,  1161,  1695,  2370,  3087,
     680,   680,   215,   975,  4497,  4498,  4499,  1058,  1958,  1392,
    4996,  3713,    74,  1007,  1691,    45,  1120,  1725,  3962,    79,
    3963,    79,  4264,  1407,  3713,   411,   680,  1353,   246,   411,
    2144,  2145,   223,  3984,  3575,  3987,  1446,  3976,   831,  3978,
    1450,  2320,   831,  2321,  1460,  4205,  4206,  4207,  2323,  3268,
    2324,  1331,   680,  3287,  3874,  1466,   680,    35,  1467,  1331,
    1179,  2171,  3430,  1743,  1472,    41,    42,  4402,  4403,  4404,
     233,  1473,  1180,  1181,   680,  1474,  3400,  4265,  2756,  4266,
    2757,  1332,  3416,   236,  1475,   680,  2553,  1476,  2796,  1332,
    2797,  2553,  1182,  3576,  3964,  1183,  1478,  3879,   680,  2817,
    1477,  2818,  4031,  1481,  2315,  4887,  1487,   680,  3287,  3573,
    1333,  4774,  4775,  4776,  4777,  1482,   825,   409,  3995,   246,
   -1188,   363,  2819, -1188,  2818,   824,  4543,  2847,  1484,  2848,
    3907,  3029,  1610,  1487,  2553,  2554,  3573,  2555,  3279,  3051,
    2554,  3052,  2555,  3210,  2224,  3211,  1613,  2225,  4078,  1617,
    1198,  3965,  1958,  4544,  1334,  3273,  3966,  3274,  1619,  3373,
    4825,  3374,  1334,  1487,  1296,  1618,  3573,  2553,  4283,   411,
    1624,  2551,  2228,  3867,  4310,  3287,  2551,  1012,  2229,  2171,
    3287,  2438,   831,  2554,  1637,  2555,  4368,  3386,  3280,  3387,
    1695,  3715,  3716,  3967,  4510,  1644,  3781,  1012,  1695,  1645,
    1695,  1113,  2230,  1647,  3453,  2553,  3454,  3968,  3504,  1184,
    2818,  2553,  3287,  3544,  4757,  2797,  2554,  1648,  2555,  2551,
    1654,  1669,  1354,   943,  3554,   825,  2797,  1958,  1670,   825,
     680,  3558,  1674,  2797,   824,  3417,  1676,  4485,   824,  1680,
    3281,    35,  1681,  3562,  5150,  2797,  1185,  1684,  1685,    41,
      42,  3563,  2551,  2797,  2554,  5155,  2555,    80,  1696,  3589,
    2554,  2797,  2555,  1686,  3577,  3578,  3579,   680,  3580,  3581,
    3582,  3583,  3584,  3585,  1689,  1198,  4400,  4401,  4402,  4403,
    4404,  3605,  1687,  2797,  4405,  4666,  4667,  1688,  4669,  3969,
    2551,  3575,  1690,  3655,  3656,  3657,  2551,  3860,  3610,  3862,
    3611,  1697,  1728,    37,    38,    39,    40,  5193,  2232,  1699,
      44,  1113,  1729,  1731,   680,  1462,  4525,  3650,  3575,  3651,
    1737,  3170,  3279,  3652,  1743,  3653,  1958,  3606,  1212,  2233,
    2234,  1764,  3282,  3613,  3835,  1769,  3836,   680,  3840,  1791,
    3841,  1198,    37,    38,    39,    40,  1480,  1198,  3575,    44,
    3576,  1795,  1796,    45,  3897,  1592,  4025,  1823,  4026,  1604,
    1354,  1606,  1825,  1826,  1198,  1198,  1831,  1834,   409,   825,
    1198,  3418,  3280,  1857,   409,  2237,    35,  3576,   824,  3911,
      37,    38,    39,    40,    41,    42,  1858,    44,  2238,  1870,
      35,   418,  4088,  1884,  2797,  1198,  1198,  1879,    41,    42,
    1198,  4125,  1889,  4126,  1161,    45,  1890,  3576,  4412,  4135,
    3419,  4136,  1198,  1198,  1198,  1198,    37,    38,    39,    40,
     411,  1891,  1896,    44,  3281,  1198,   411,  4147,  1198,  2797,
    1198,  1898,  4225,   831,  4226,  3283,  4229,  1695,  4230,   831,
    1198,  1198,  1902,  3284,  1198,  1900,  3285,  4409,   679,   679,
    4239,  1906,  3121,  1726,  4262,  1907,  2818,  1198,   367,  1198,
    1912,  2850,  2851,  1198,  2852,  4395,  1914,  4396,  4687,  4458,
    1917,  2818, -1583, -1583, -1583, -1583,  2853,  3218,  3713, -1583,
    2896,  4542,  1198,  2848,  1919,  4084,  4466,  4728,  4603,  4610,
    3121,  4611,  1198,  4381,  1922,  1198,  1198,  1198,  4616,  1751,
    2818,    37,    38,    39,    40,  4617,  4048,  2818,    44,  1964,
      37,    38,    39,    40,  1967,   680,  3282,    44,  4683,  1198,
    4684,  3577,  3578,  3579,  1969,  3580,  3581,  3582,  3583,  3584,
    3585,  4742,  1198,  4743,  4382,  1979,  1960,  1198, -1590, -1590,
   -1590, -1590,  4783,  1198,  4784, -1590,  1980,  2897,  3577,  3578,
    3579,  1198,  3580,  3581,  3582,  3583,  3584,  3585,  4383,  4785,
    4793,  2797,  2848,  2244,  2245,  2246,  2247,  2248,  2249,  -183,
    4849,  1739,  4850,  4384,  4914,   677,  2818,  4385,  4092, -2682,
   -2682,  1982,  3580,  3581,  3582,  3583,  3584,  3585,  4939,  1958,
    4940,  4952,  1958,  2848,  1958,  1984,  1998,  4386,  4098,  1958,
    4387,   680,  4444,  4445,  1996,  2898,  4414,  4960,  2899,  4961,
    2006,  4965,  4388,  3052,   859,  4416,   680,   680,  2014,  3283,
     825,  2004,  1198,  4120,  2022,  2027,   825,  3284,  2028,   824,
    3285,  4970,  2029,  4005,  4597,   824,  2031,  2030, -1581, -1581,
   -1581, -1581,  2033,   680,  1695, -1581,   680,  2034,  4972,  1958,
    4005,  2041,  2044,  1014, -1584, -1584, -1584, -1584,  5014,  2137,
    5015, -1584,  5046,  2045,  2283,   409,   409,   409, -1582, -1582,
   -1582, -1582,  2046,  1014,  1354, -1582,  2047,  2049,    80,    80,
    5051,    80,  5052,  5062,  2054,  2848,  5063,  2055,  3611,  1958,
    4389,  5064,  5074,  2797,  3052,  2056,  2061,  1354,  4390,  2900,
    5076,  5091,  4005,  2848,  2075,  5097,  3536,  2848,  5098,  5112,
    2848,  5113,  3539,  5141,  5188,  3052,  4005,   411,   411,   411,
    5218,  2109,  5219,  2214,  5229,  1653,  5219,  1655,  2139,  2142,
     831,   831,   831,  4391,  4882,  4884,  4569,  2967,  4572,  2146,
    2148,   680,  2135,  2149,  2155,  4964,  2156,  2164,  2167,  2168,
    1958,  2169,  1958,   680,  2170,  4964,  3645,  2174,   246,  2176,
    2179,  2180,   680,  2181,  1354,  2182,  2187,  2254,  4818,  2258,
    2189,  3661,  2687,  2190,  4876,  2191,  2192,  4161,  2193,  2200,
    2256,  2201,  2203,  2204,  2205,  2206,  2207,    35,  2208,  2209,
    2210,  2287,  2299,  2309,  1436,    41,    42,  2261,  2901,  4593,
    2283,  2224,  2319,  2328,  2225,  1657,  1659,  1958,  2357,  2369,
     363,  5010,  2359,   409,  2367,  2376,  1150,  2384,  2390,  2392,
    2394,  2226,  2402,  2403,  2227,  2405,   680,  2410,  2412,  2228,
    3661,  4046,  1958,  1112, -2624,  2229,  2434,  2218,  2414,  2435,
    2436,  2438,  2470,  2439,  2440,  2442,  2441,  2223,  2476,  2497,
    2443,   920,  3926,  1958,  1232,  2464,  2501,  3670,  2504,  2230,
    2263,  2503,  2507,  2505,  2506,   411,  1958,  2523,  2522,  2524,
    2534,  2544,  4010,  2545,  2547,  2550,  2557,  2551,   831,  1113,
     680,  4021,   680,  2548,  2549,  2558,  2559,  2560,  2561,  1354,
    2582,  2565,  2293,  2295,   680,  1113,   680,  1354,  1354,  2572,
    2589,  2566,  4045,  4632,  2574,  2578,  2579,  2590,  5075,  2596,
    2597,  1807,  2607,  2601,  2608,  2618,  3670,   825,   825,   825,
    2619,  5016,  2623,  2620,   670,  2646,   824,   824,   824,  2629,
    1958,  2624,  2632,  4716,  4166,  4167,  4168,  4169,  2659,  2647,
    1353,  2661,  4873,  2675,  2662,   680,  1958,  2672,  4817,  2160,
    2171,  2177,  2674,  2688,  4663,  4822,  2692,  2691,  2695,  1958,
     893,  2231,  4828,  2696,  2699,  2232,  2703,  1851,  2718,  2723,
    2738,  2739,  2746,  2751,  4954,   680,  2752,  2753,  4999,  2759,
    2770,   679,  1695,  2772,  2774,    74,  2233,  2234,  2749,  1198,
    2788,  2773,   680,  2775,  4130,  1695,  5002,  2789,  2813,  2830,
    5006,  2836,  5008,  2235,  2814,  2845,  1012,  2886,  1012,   680,
    1012,  2859,   680,  4500,  4446,  2887,  1012,  1434,  1435,  2929,
    2942,  2892,  2930,  2948,  2225,  2952,  2953,  2985,  1198,  2236,
    2960,  1958,  2237,  2966,  2983,   409,  3000,  3001,  1198,  1012,
    1012,  3014,  3034,  3042,  1198,  2238,  1198,  3032,  2239,  3053,
    3031,  1958,  1198,  3037,  3039,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,   825,  3043,  3062,  1198,  1198,
     931,  1118,  3054,  3064,   824,  3065,  1958,  3063,  3093,  3073,
    3095,  1198,  3096,  2273,  1772,  1198,  3110,   411,  3111,  1198,
    3113,  3123,  3124,  3125,  3136,  3141,  3144,  3146,  3148,  1198,
     831,  3149,  1198,  4876,  1198,  3155,  3160,  3171,  3165,  3166,
    3175,  3168,  1958,  1198,  1198,  1198,  1773,  3179,  3190,  1198,
    3187,  3208,  1198,  2240,  1607,  3203,  3263,  1611,  3258,  3264,
    3272,  3276,  3275,  2599,  3288,  3327,  1198,  3330,  1198,  3341,
    3352,  3348,  3349,  3353,  3354,  3356,  3357,  1695,  5067,  3358,
    1198,  3359,  3360,  3366,  3368,  3380,  1198,  1198,  3375,  3377,
    3381,  3388,  1012,  4928,  3382,  3383,  3408,  3422,  3424,  3437,
    4959,  3431,  1774,  3440,  3445,  2137,  3446,  3447,  3448,  3458,
    3456,  1718,  3461,  3479,  3473,  3476,  3481,  3477,  3478,  3482,
    3496,  3491,  3497,  4836,  3494,  3052,  2863,  3506,  3507,  3508,
    2667,  1198,  2062,  3509,  1775,  3518,   363,  1198,  3511,  4330,
    2860,  3526,  3529,  1198,  3532,   363,  2241,  2242,  2243,  2350,
    2244,  2245,  2246,  2247,  2248,  2249,  3256,  1012,  4305,  1958,
    1452,  3534,  3537,  3540,  3538,  4858,   363,  3541,  3542,  3560,
    1776,  3607,  2797,  2864,  3556,  1198,  1353,  3557,  1232,  3626,
    2224,  3559,  3561,  2225,  3595,  3564,  3565,  3567,  3641,  3621,
    3570,  4853,   409,  3588,  2714,  3648,  3594,   409,  3634,   409,
    1777,  3596,  2865,  5194,  3678,  3644,   680,  3597,  2228,  3713,
    3604, -1001,  3720,  3619,  2229,  3725,  3646,   825,  3672,  3647,
    1232,  3729,  3723,  2866,  3751,  4625,   824,  3620,  1778,  3757,
    3677,  3739,  3762,  3760,  2867,  3740,  3763,  4380,  2230,  3735,
    3741,  3744,  2068,  3771,   411,  3774,  3776,  3798,  3745,   411,
    1958,   411,  3783,  4640,  2868,  4689,  3767,   831,  3768,  2869,
    3799,  1779,   831,  3810,   831,   208,  3809,  3814,  3815,  1780,
    3824,  3826,  4655,  3839,  3865,  1781,  3866,    80,   409,  3869,
      80,  3872,  1782,  3871,  1212,  3873,  3880,  3881,  3882,  3883,
    1783,  3884,  3885,   680,  3887,  3886,   680,  3888,  3889,  1784,
    3891,  3890,  3892,  3893,  3894,  2870,  3895,  1785,  3902,  3898,
    3904,  3900,  2616,  3912,  3918,  3919,  3938,  3906,  3937,  2387,
    4674,  3922,  3950,  3946,  3992,  3951,  2871,  3989,  3982,  3994,
     411,  2214,  3983,  3996,  4004,  4005,    74,    74,  4016,    74,
    2231,  4013,  4011,   831,  2232,  4173,  4017,  4176,  4020,  4043,
    4062,  4023,  4052,  4063,  4054,  1012,  4064,  4073,  4065,  1786,
    4068,  4074,  4075,  4086,  2157,  2233,  2234,  4091,  3591,  3573,
    1198,  3590,  2219,  4474,  4121,  4149,  4221,  4122,  4150,  1695,
    1119,  4137,  2235,  4123,  4175,  4129,   859,  4202,  2904,  4197,
    4162,  4242,  4249,   680,   680,  4270,  4199,  1958,  4285,  4158,
     680,  4213,  4183,  4286,  4211,  4272,  4273,  4284,  4287,  4298,
    4311,  2237,  1014,  2872,  1014,  4045,  1014,  5086,  4235,  2873,
    4212,  4312,  1014,  4313,  2238,  2874,  4314,  4337,  4326,  4344,
    4218,  3670,  4703,  3670,  1958,  1198,  1198,  4214,  1133,  4217,
    4289,  4324,  4327,  4325,   825,  1014,  1014,  4360,  4328,   825,
    4329,   825,  4338,   824,  2875,  4362,  2876,  4293,   824,  4365,
     824,  4606,  4373,  4371,  4374,  4399,  2389,  4397,  4435,  4424,
    4432,  4035,  4440,  2877,  4442,  4452,  2137,  2818,  4451,   680,
    4469,  4447,  4471,  4454,  4472,  4486,  4455,  4488,  4482,  4483,
    4496,  4490,  4501,  4503,  5083,  4505,  4506,  1198,  2878,  4507,
    4508,  4509,  2240,  4514,  3036,  1353,  4517,  4527,  4526,  4565,
    4566,  4521,  4573,  4522,  4530,  4528,  4529,  4604,  4534,  4578,
    4594,  4579,  4602,  4550,  4560,  4598,  2224,  4561,  4563,  2225,
     825,  4576,  4607,  4605,  1198,  4613,  4581,  4582,  4612,   824,
    3670,  4636,  4621,  4583,  1198,  1198,  2226,  1958,  4644,  1232,
    1012,  4637,  1198,  1198,  2228,  1012,  1012,  1198,  1958,  4645,
    2229,  4665,  4643,  1198,  1198,  4670,  4656,  1198,  1014,  4638,
    1198,  4659,  4698,  4701,  4709,  4677,  4717,  4722,  4595,  4729,
    4727,  4733,   677,   677,  2230,  4735,  4746,  1723,  4754,  4755,
    4744,  1198,  4752,  4763,  4771,  1198, -2682, -2682,  4779,  2244,
    2245,  2246,  2247,  2248,  2249,  1695,   679,  1198,  4789,  4787,
    4811,  4780,  1198,  4782,  4790,  4791,  4792,  1198,  4798,  1213,
    4804,  4814,  1726,  4830,    80,  1236,    80,  4846,  4842,  2385,
    4820,  1435,  4860,  1014,  4826,  4855,  1252,  4845,  4869,  4870,
    4861,  4874,  4881,    81,  4888,   409,  4891,  4431,  4896,  2399,
    4898,  4901,  4922,  4921,  4899,  4902,  2406,  2408,  4903,  4930,
    1198,  4920,  4926,  4924,  1313,  4947,  4955,  4931,  1320,  4962,
    4958,  4967,  4991,  4973,  4993,  5005,  4977,  5021,  1958,  1330,
    4983,  2920,  4711,  5026,  5030,  5031,  2231,  5033,  5036,  5035,
    2232,  5041,  5048,  5049,   680,  2943,  5050,   411,  5055,  5061,
    5056,  5065,  5073,  5077,  5078,  5066,  1958,   363,  5079,  5081,
     831,  2233,  2234,  1012,  5090,  5094,  5000,  5102,  5103,  5111,
     680,  1012,  5100,  1606,  5106,  1958,  5108,  5116,  2235,  5117,
    5123,  5124,   680,  5139,  4163,  2137,  5148,  5146,  5153,  5157,
    5165,  5104,  5164,  5197,  5183,   680,  5105,  5169,  5214,   363,
    4590,  5217,  5223,  1131,  2236,   409,  2630,  2237,  1830,  5227,
     410,  1794,  1855,  3426,  2306,  3705,  3262,  1854,  3821,  4303,
    2238,  3897,    79,  1958,  3921,  1012,  3571,  3572,  1012,  1012,
    3340,  3587,  4377,  5012,  4875,  5101,  4923,  4925,   680,  4443,
    4714,  4911,  3765,  3505,  5149,  5192,  4834,  5109,  5163,  5107,
    5044,  3770,  4439,  3406,  3407,  4301,  3833,   411,  3389,  2715,
    2224,  2137,  4000,  2225,  5196,  2137,  2137,  5228,  5224,  4900,
    3925,  3622,  3623,  3947,  4859,  5167,  2698,  5096,  5154,  4862,
    4502,  1014,  1198,  1031,  2129,  4978,  4478,  4479,  2228,  3752,
    5054,  2141,  3116,  1198,  2229,  3901,  1012,  5176,  2240,  5225,
    3047,  2803,  1621,  3710,  3048,  4461,  4596,  2076,  4231,  3501,
    1355,  2325,  3711,  1643,  3072,  3363,  2354,  3721,  2230,  3719,
    3661,  2353,  3071,  3363,  3661,  3734,  2358,  4178,  3722,  4559,
    4969,  4571,  1629,  5072,  2363,  4174,  5071,  4232,  4141,  4953,
    4131,  1958,  5142,  5138,  5143,  3639,  3714,   825,  3551,  4228,
    3637,  1164,  4044,  3016,  3475,  2755,   824,  3097,  2016,  5131,
    2375,  1134,   363,   680,  2368,  1403,  3088,  1695,  1707,  1708,
    3104,  2136,  3700,  3101,  4586,  1198,  3102,  4238,  4237,  1958,
    3432,   670,   670,  4216,  1198,  1736,  2272,  2372,  1157,  2815,
    3108,  2241,  2242,  2243,  3503,  2244,  2245,  2246,  2247,  2248,
    2249,  1198,  1198,  2065,  2754,  1198,  3670,    83,  3460,     0,
    3670,     0,     0,  1441,  1354,     0,     0,     0,  1198,  2224,
    2231,     0,  2225,  1198,  2232,     0,     0,     0,  1198,     0,
       0,  1198,     0,     0,     0,     0,  1198,  1198,     0,     0,
       0,     0,     0,     0,  4827,  2233,  2234,  2228,     0,  4380,
       0,  1354,     0,  2229,     0,    74,     0,     0,    74,     0,
       0,     0,  2235,   680,     0,   680,     0,     0,   370,  1198,
       0,     0,     0,     0,   370,     0,  1014,  2230,     0,   673,
    3466,  1014,  1014,     0,     0,     0,     0,     0,  2236,     0,
     409,  2237,     0,     0,     0,     0,     0,     0,     0,  1772,
       0,  1958,   680,     0,  2238,     0,     0,   370,     0,     0,
       0,  1198,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1773,  4915,     0,     0,     0,     0,     0,     0,  3624,
       0,     0,   411,     0,   680,     0,     0,     0,     0,     0,
       0,     0,   370,     0,     0,   831,     0,  1198,     0,  2893,
    2894,     0,     0,     0,     0,   677,     0,  2906,     0,     0,
       0,  2909,  2910,     0,  4824,     0,     0,     0,     0, -2682,
       0,     0,  2240,  2232,     0,     0,  2931,  1774,  2932,     0,
       0,     0,     0,     0,     0,  2921,     0,     0,  1054,     0,
       0,     0,     0,     0,  2233,  2234,  1054,     0,  1054,  2921,
    2954,     0,  2955,  1198,     0,  1958,     0,     0,     0,  1775,
     370, -2682,     0,     0,     0,     0,     0,     0,     0,     0,
    1695,     0,     0,     0,     0,     0,     0,  1198,  1958,  1014,
    1198,     0,  1198,     0,     0,     0,     0,  1014,  3467,     0,
    2237,     0,     0,     0,     0,  1776,   409,     0,  4719,     0,
    3005,     0,     0,  2238,  2399,  1198,     0,     0,     0,  1198,
       0,     0,     0,     0,  1958,  2241,  2242,  2243,     0,  2244,
    2245,  2246,  2247,  2248,  2249,  1777,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1354,
       0,  1014,  3661,     0,  1014,  1014,     0,  3661,   411,     0,
    3661,     0,     0,     0,  1958,     0,     0,     0,  1958,  1958,
       0,   831,     0,     0,     0,  5042,     0,     0,  1012,     0,
       0,     0,     0,  2048,     0,     0,     0,     0,     0,     0,
       0, -2682,   825,     0,  2063,  2224,     0,     0,  2225,     0,
     208,   824,     0,     0,  1780,     0,     0,     0,     0,  1198,
    1781,     0,     0,     0,     0,     0,     0,  1782,     0,     0,
       0,   370,  1014,  2228,     0,  2516,     0,     0,  1198,  2229,
    1012,     0,     0,  3670,  1784,     0,     0,     0,  3670,  5213,
       0,     0,  1785,  3670,     0,     0,  3670,     0,  1958,     0,
    1718,     0,    74,  2230,    74,  5060,   370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1198,     0,     0,  1198,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1354,     0,     0,     0,  3670,     0,     0,     0,  2244,  2245,
    2246,  2247,  2248,  2249,  1786,     0,     0,     0,  3469,  4035,
       0,  1198,     0,     0,     0,     0,     0,  2920,  2920,     0,
       0,     0,  2920,     0,     0,  1772,   363,     0,     0,     0,
       0,     0,     0,   680,     0,     0,  4857,     0,     0,     0,
       0,     0,     0,  4099,     0,     0,  4104,  4105,  4106,  4107,
    4108,  4109,  4110,  4111,  4112,  4113,     0,  1773,     0,  1198,
       0,     0,  2920,  2920,     0,  2231,     0,  3838,   825,  2232,
    1198,     0,     0,     0,   670,   367,     0,   824,  5178,  5179,
    5168,  5180,  1212,     0,     0,     0,  1198,  1198,     0,     0,
    2233,  2234,     0,  5181,  5204,     0,     0,   680,     0,     0,
       0,     0,     0,     0,  3868,  4153,  4154,  2235,  3661,  1198,
       0,     0,     0,  1774,     0,     0,     0,     0,     0,   367,
       0,     0,  5178,  5179,     0,  5180,     0,     0,     0,     0,
       0,     0,     0,  1012,     0,   409,  2237,  5181,  3670,     0,
       0,  1012,     0,  1012,  5204,  1775,     0,     0,     0,  2238,
    1198,     0,  5204,  3899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1198,     0,   367,     0,     0,  5178,
    5179,  2224,  5180,     0,  2225,  3363,     0,     0,  3363,  3363,
       0,  1776,  3363,     0,  5181,   409,     0,   411,  3363,     0,
       0,     0,     0,   409,  3670,     0,     0,  3935,     0,  2228,
     831,     0,     0,  3944,     0,  2229,     0,     0,     0,     0,
    3935,  1777,     0,     0,     0,     0,     0,     0,     0,   363,
       0,     0,     0,     0,  1354,     0,  1354,  2240,     0,  2230,
    3384,     0,  1198,     0,     0,     0,     0,   411,     0,     0,
       0,  1198,     0,     0,     0,   411,     0,     0,     0,     0,
     831,     0,     0,     0,  2628,     0,     0,     0,   831,     0,
       0,     0,  4003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,     0,  2515,     0,
    1780,     0,     0,     0,  5032,     0,  1781,     0,  4030,  1354,
       0,  3635,     0,  1782,     0,     0,     0,     0,   371,     0,
       0,  2516,     0,     0,   371,     0,     0,     0,     0,   674,
    1784,     0,     0,     0,     0,     0,  5205,     0,  1785,     0,
    2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,
       0, -2682,     0,     0,     0,  2232,     0,   371,     0,     0,
       0,     0,     0,     0,  3670,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2704,  2233,  2234,     0,     0,
       0,     0,     0,     0,  1014,     0,  5205,     0,     0,     0,
    1786,  2628,     0, -2682,  5205,     0,     0,     0,     0,     0,
    1012,     0,   371,     0,     0,     0,   370,   825,     0,     0,
     370,     0,     0,     0,     0,     0,   824,     0,     0,     0,
       0,     0,  2237,     0,   673,     0,     0,     0,     0,  2769,
     673,     0,     0,     0,   363,  2238,  1014,     0,     0,     0,
     677,   673,     0,     0,  5119,     0,     0,   363,     0,     0,
       0,  4427,  2628,     0,     0,  3670,  1723,   825,     0,     0,
       0,     0,  4142,     0,     0,   825,   824,     0,     0,   673,
     371,     0,     0,   673,   824,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,     0,     0,  2224,     0,     0,
    2225,  5212,     0,     0,  5152,     0,     0,     0,     0,     0,
       0,  2921,  2921,     0,     0,     0,  2921,  2226,     0,     0,
     673,     0,     0, -2682,     0,  2228,     0,     0,     0,     0,
       0,  2229,     0,     0,     0,   673,     0,     0,     0,     0,
     673,     0,     0,     0,     0,     0,     0,     0,   363,     0,
     673,     0,     0,     0,     0,  2230,  2921,  2921,     0,     0,
       0,     0,     0,  2761,   673,     0,     0,     0,     0,     0,
    2224,     0,  2767,  2225,     0,     0,  2771,     0,     0,     0,
       0,     0,  2777,  2778,     0,     0,     0,     0,     0,     0,
    2226,     0,     0,     0,  2478,     0,     0,     0,  2228,     0,
    2790,     0,     0,     0,  2229,     0,     0,     0,     0,     0,
       0,     0,  2399,     0,     0,  3703,     0,  1012,     0,     0,
    2244,  2245,  2246,  2247,  2248,  2249,     0,  2479,  2230,     0,
       0,   371,     0,     0,     0,     0,  5226,     0,     0,  1014,
    2480,     0,     0,  4538,  4539,     0,     0,  1014,     0,  1014,
       0,     0,     0,  2481,     0,     0,  1054,  2231,   673,     0,
    1054,  2232,     0,     0,     0,     0,   371,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   370,
       0,     0,  2233,  2234,     0,     0,     0,     0,     0,     0,
       0,  2482,  2224,     0,  3935,  2225,     0,     0,     0,  2235,
       0,     0,  2483,     0,  2920,     0,     0,  2920,  2920,  2920,
    2920,  2920,  2920,  2920,  2920,  2920,  2920,     0,  4331,     0,
    2228,  4332,  2484,  4333,     0,  2236,  2229,  2485,  2237,     0,
    2231,     0,     0,     0,  2232,     0,     0,  4128,     0,     0,
       0,  2238,     0,     0,  2239,     0,   673,   673,     0,     0,
    2230,     0,     0,     0,     0,  2233,  2234,     0,     0,     0,
       0,     0,     0,     0,  3363,  3466,  2920,  2920,     0,     0,
    3363,  3363,  2235,  2667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1772,     0,     0,     0,     0,     0,
       0,     0,     0,  3944,  2486,     0,     0,     0,  2236,   670,
       0,  2237,     0,     0,  4411,  4413,  4415,  4417,     0,     0,
       0,     0,  4155,     0,  2238,     0,  1773,  2239,     0,  2240,
       0,     0,  1054,  1054,     0,  2487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3126,
       0,     0,     0,     0,  3130,     0,     0,  3133,     0,     0,
       0,     0, -2682,     0,   859,     0,  2232,     0,  3044,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3156,
       0,     0,  1774,     0,     0,  4477,     0,  2233,  2234,     0,
       0,     0,     0,     0,     0,     0,  1014,  2488,     0,     0,
       0,     0,  2240,  2489, -2682,     0,  2490,     0,     0,     0,
       0,     0,     0,     0,  1775,     0,     0,     0,     0,     0,
    3206,     0,  2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,
    2248,  2249,  2491,  2237,  3040,     0,     0,  3212,  2492,     0,
    3041,     0,     0,  3467,     0,     0,  2238,     0,  4512,     0,
    1776,  2493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3247,     0,  1012,     0,   673,     0,     0,
    3939,  3942,     0,     0,     0,     0,  2494,     0,  1012,     0,
    1777,     0,   673,     0,     0,     0,     0,     0,     0,  3278,
       0,     0,     0,  3289,     0,  2241,  2242,  2243,     0,  2244,
    2245,  2246,  2247,  2248,  2249,   673,     0,  4215,     0,  3988,
       0,  3301,     0,     0,     0,     0,     0,     0,     0,   844,
       0,     0,  3311,     0, -2682,     0,  4778,     0,     0,     0,
       0,     0,     0,     0,     0,  3335,     0,     0,     0,     0,
       0,   673,     0,     0,  3342,   208,     0,     0,     0,  3468,
       0,     0,  4794,  4795,     0,  1781,   673,     0,     0,     0,
       0,     0,  1782,     0,     0,   845,     0,     0,     0,   673,
    2516,     0,   673,  4585,     0,  4591,  4592,     0,   846,  1784,
       0,     0,     0,     0,     0,     0,     0,  1785,     0,     0,
       0,     0,     0,     0,     0,   847,   371,    80,     0,     0,
     371,   848,  2920,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,   849,     0,     0,     0,
     674,  2244,  2245,  2246,  2247,  2248,  2249,   850,     0,     0,
    1012,   674,     0,     0,     0,   851,     0,     0,     0,  1786,
       0,     0,     0,  3469,     0,     0,     0,   852,     0,     0,
       0,     0,   853,     0,     0,     0,     0,     0,   854,   674,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   855,   674,     0,     0,     0,  2921,     0,
       0,  2921,  2921,  2921,  2921,  2921,  2921,  2921,  2921,  2921,
    2921,     0,     0,     0,     0,     0,     0,   673,   856,     0,
     674,     0,     0,  1797,     0,   673,   673,     0,     0,  1798,
       0,  2921,     0,     0,     0,   674,   370,     0,     0,   857,
     674,     0,     0,     0,     0,  4672,  4673,     0,     0,     0,
     674,     0,     0,     0,     0,  3363,  3363,     0,     0,     0,
    2921,  2921,  1354,     0,   674,     0,  4691,     0,     0,  1799,
     858,  3517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3944,  3944,  3944,  3944,  3944,     0,     0,   370,
     370,   370,     0,     0,  3517,     0,     0,     0,     0,   859,
       0,     0,     0,     0,  2920,  2920,     0,     0,  4950,   673,
       0,     0,     0,     0,     0,     0,     0,     0,  1800,     0,
       0,     0,     0,     0,     0,  1801,   860,     0,  1802,     0,
     861,     0,   862,     0,     0,  3483,     0,  4737,   863,   370,
       0,   864,     0,     0,     0,     0,   370,  4234,     0,     0,
       0,  3492,  3493,   370,     0,  3495,     0,     0,   674,     0,
    1054,  3499,     0,     0,  4756,     0,   865,   866,     0,   867,
       0,     0,     0,   868,     0,     0,     0,     0,     0,   371,
       0,   869,  1803,     0,     0,     0,   870,     0,  4512,  4512,
    4512,  4512,     0,  1054,     0,     0,     0,     0,   871,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,  3466,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3535,  1772,     0,     0,     0,     0,     0,     0,  1804,
       0,  1805,     0,     0,     0,  2224,   674,   674,  2225,     0,
       0,  1806,  1012,     0,     0,     0,     0,     0,     0,  1807,
       0,  1014,     0,     0,  1773,  2226,     0,     0,     0,  1808,
       0,     0,     0,  2228,  1014,  1012,     0,     0,     0,  2229,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
       0,  1054,     0,     0,     0,  2224,     0,     0,  2225,     0,
       0,     0,  1809,  2230,     0,  1810,  1811,     0,     0,     0,
       0,     0,     0,     0,     0,  2226,     0,     0,     0,     0,
    1774,     0,     0,  2228,     0,  3935,     0,     0,     0,  2229,
       0,  1812,     0,     0,     0,     0,     0,     0,  1434,  1435,
       0,     0,     0,     0,     0,     0,     0,  4394,     0,     0,
       0,  3942,  1775,  2230,     0,     0,     0,     0,  3754,  3363,
       0,     0,  4410,     0,     0,     0,     0,     0,  1354,     0,
     370,     0,  4879,     0,  4880,     0,     0,     0,  4885,  4886,
       0,  3467,     0,     0,     0,     0,  2921,     0,  1776,  1813,
     673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3777,     0,     0,     0,     0,  2231,   673,     0,     0,  2232,
       0,     0,     0,     0,     0,     0,     0,     0,  1777,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,     0,     0,
    2233,  2234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   673,   673,     0,   672,  2235,     0,     0,
       0,     0,     0,     0,   673,  2231,     0,   674,     0,  2232,
       0,     0,     0,     0,     0,     0,   673,   673,     0,     0,
       0,     0,   674,  2236,   822,     0,  2237,  2920,  1012,     0,
    2233,  2234,     0,   208,     0,     0,  4786,  1780,   673,  2238,
       0,     0,  2239,  1781,     0,   674,     0,  2235,  3844,     0,
    1782,     0,     0,  2920,  2920,     0,     0,     0,  2516,     0,
    3863,     0,     0,     0,     0,     0,     0,  1784,     0,   822,
       0,     0,     0,  2236,  3775,  1785,  2237,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,  2238,
       0,     0,  2239,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5013,     0,     0,   674,
       0,     0,   674,     0,     0,  1053,     0,  2240,  2921,  2921,
       0,     0,     0,  1053,     0,  1053,     0,  1786,     0,     0,
       0,  3469,     0,  3908,     0,     0,     0,   822,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3825,     0,  3827,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2240,     0,     0,
       0,     0,  2224,  2399,     0,  2225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   370,     0,     0,
       0,     0,     0,     0,     0,    74,     0,     0,     0,     0,
    2228,     0,     0,  1012,     0,     0,  2229,     0,     0,     0,
    2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,
       0,     0,     0,     0,     0,     0,  3566,     0,     0,     0,
    2230,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,   674,   674,  1354,  3896,     0,
       0,     0,     0,     0,  3903,  1012,   371,     0,     0,     0,
    2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,
       0,     0,     0,     0,  2951,  4653,  4654,     0,  1014,   370,
    4657,  4658,  2628,     0,     0,     0,     0,     0,     0,  2920,
       0,     0,  4156,     0,     0,     0,     0,     0,     0,  4069,
       0,  1014,     0,     0,     0,     0,     0,     0,     0,   371,
     371,   371,     0,     0,     0,     0,     0,  2224,     0,  4081,
    2225,     0,     0,     0,     0,     0,     0,     0,     0,   674,
       0,     0, -2682,   370,     0,   370,  2232,  2226,     0,     0,
    1012,     0,     0,     0,     0,  2228,     0,     0,     0,     0,
       0,  2229,     0,     0,   673,     0,     0,  2233,  2234,   371,
    3942,  3942,  3942,  3942,  3942,     0,   371,     0,  1012,     0,
       0,     0,     0,   371, -2682,  2230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,   370,   673,
    4047,  5206,   673,  2237,  4050,  4051,     0,  4053,     0,  4055,
    4056,     0,     0,     0,     0,     0,  2238,     0,  4061,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5206,     0,  4080,     0,     0,     0,     0,     0,  5206,
       0,     0,     0,     0,     0,   673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1054,  2231,     0,     0,
       0,  2232,   673,   673,     0,     0,     0,     0,     0,     0,
       0,  2921,     0,     0, -2682,     0,     0,     0,     0,     0,
    2921,     0,  2233,  2234,  1014,     0,     0,   370,   673,   674,
       0,   370,     0,     0,     0,     0,     0,  2921,  2921,  2235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,   673,     0,
       0,     0,     0,  2224,     0,  2236,  2225,  4823,  2237,     0,
       0,     0,     0,     0,     0,     0,   673,     0,     0,     0,
       0,  2238,     0,  2226,  2239,     0,  1797,   673,     0,     0,
       0,  2228,  1798,     0,     0,  1199,  1201,  2229,     0,  1204,
     673,  1206,     0,  4279,     0,     0,     0,     0,     0,   673,
     371,  2244,  2245,  2246,  2247,  2248,  2249,  1835,     0,     0,
    1250,  2230,     0,  1012,     0,     0,     0,     0,     0,     0,
     674,     0,  1799,     0,     0,     0,     0,     0,     0,     0,
    1302,     0,     0,     0,  1305,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2240,
       0,  1328,     0,  1836,     0,     0,     0,     0,     0,     0,
       0,   370,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1800,     0,   674,   674,     0,     0,     0,  1801,     0,
    4349,  1802,     0,  4352,   674,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,     0,     0,   674,   674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2231,     0,     0,     0,  2232,   674,     0,
       0,     0,   673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1837,     0,     0,  1803,     0,     0,  2233,  2234,
       0,  1014,  2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,
    2248,  2249,     0,   822,     0,  2235,     0,     0,  3614,   673,
       0,  1216,     0,  2921,     0,     0,     0,     0,     0,  1240,
       0,   672,     0,     0,     0,     0,     0,   672,  1254,     0,
    1838,  2236,  1839,     0,  2237,     0,  1264,  4449,   672,     0,
       0,  1297,  1840,     0,  1805,     0,     0,  2238,     0,     0,
    2239,     0,     0,     0,  1806,     0,   673,     0,     0,     0,
       0,     0,  1807,     0,     0,     0,   672,     0,     0,     0,
     672,  1841,  1808,     0,     0,     0,  1014,     0,     0,   673,
       0,   672,     0,     0,     0,  1797,     0,     0,     0,     0,
       0,  1798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1014,  1842,     0,   672,  1810,  1811,
    1843,     0,     0,     0,     0,     0,  3517,   371,     0,     0,
       0,     0,   672,     0,     0,  2240,     0,   672,     0,     0,
       0,  1799,     0,     0,  1844,     0,     0,   672,     0,     0,
       0,     0,     0,     0,     0,  1845,     0,     0,     0,     0,
    2224,   672,     0,  2225,     0,     0,     0,     0,     0,     0,
       0,     0,   370,     0,     0,     0,     0,  5058,   370,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
    1800,     0,     0,     0,  2229,     0,     0,  1801,     0,     0,
    1802,     0,  1813,     0,     0,     0,     0,  1470,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2230,   371,
    1821,  1822,     0,     0,     0,     0,     0,     0,  2241,  2242,
    2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,     0,  4491,
       0,  1599,  3936,     0,     0,     0,     0,  4494,  4495,     0,
       0,     0,     0,  1053,  1803,   672,     0,  1053,     0,     0,
    1623,     0,     0,     0,     0,     0,     0,   673,     0,     0,
       0,     0,     0,   371,     0,   371,     0,     0,     0,     0,
       0,     0,  1649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,  1915,     0,     0,     0,  2224,
       0,     0,  2225,     0,     0,     0,     0,     0,     0,     0,
       0,  1804,     0,  1805,     0,     0,  1973,  1974,     0,  2226,
    2231,     0,     0,  1806,  2232,     0,     0,  2228,     0,     0,
       0,  1807,     0,  2229,   674,     0,  2005,     0,   371,   674,
       0,  1808,   674,   672,   672,  2233,  2234,     0,     0,  1014,
       0,     0,     0,   673,     0,     0,     0,  2230,     0,     0,
       0,     0,  2235,     0,   674,     0,     0,  4650,   673,   673,
       0,     0,     0,  2038,  2040,     0,     0,  1810,  1811,  4660,
       0,     0,     0,     0,  1820,     0,     0,     0,  2236,     0,
       0,  2237,     0,     0,     0,   673,     0,     0,   673,  5203,
       0,     0,     0,  1812,  2238,   674,     0,  2239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1053,
    1053,     0,   674,   674,     0,     0,     0,     0,     0,  1797,
       0,     0,     0,     0,     0,  1798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   371,   674,  5203,
       0,   371,     0,     0,     0,     0,     0,  5203,  4624,  2231,
    1835,  1813,     0,  2232,     0,     0,     0,     0,     0,   370,
     370,   370,     0,     0,   674,  1799,  1971,     0,   674,     0,
       0,     0,  2240,     0,  2233,  2234,     0,     0,     0,  4641,
    4642,     0,     0,   673,     0,     0,   674,     0,  1999,  2002,
    2003,  2235,     0,     0,     0,   673,  1836,   674,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
     674,     0,     0,     0,  1800,     0,     0,  2236,     0,   674,
    2237,  1801,     0,     0,  1802,     0,     0,     0,     0,     0,
       0,     0,     0,  2238,     0,     0,  2239,     0,     0,     0,
       0,     0,     0,     0,   672,     0,  4675,  4676,     0,     0,
    3517,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,  2241,  2242,  2243,   673,  2244,
    2245,  2246,  2247,  2248,  2249,  1837,     0,     0,  1803,  4093,
       0,   371,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1599,   370,     0,     0,
       0,  2240,     0,     0,     0,     0,     0,     0,   672,     0,
       0,     0,   673,  1838,   673,  1839,     0,     0,     0,     0,
       0,     0,     0,   672,  1599,  1840,   673,  1805,   673,     0,
       0,     0,   674,  5059,     0,     0,   672,  1806,     0,   672,
    3517,     0,  3517,     0,     0,  1807,     0,     0,  2224,     0,
       0,  2225,     0,     0,  1841,  1808,     0,     0,     0,     0,
    4767,     0,  4768,  4769,     0,     0,     0,     0,  2226,   674,
       0,     0,     0,     0,  4772,     0,  2228,   673,     0,     0,
       0,     0,  2229,     0,     0,     0,     0,     0,  3291,     0,
       0,  1810,  1811,  1843,  2241,  2242,  2243,     0,  2244,  2245,
    2246,  2247,  2248,  2249,     0,     0,  2230,   673,  4140,     0,
       0,     0,     0,     0,     0,     0,   674,  3292,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,  1845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   674,
       0,   673,     0,     0,   673,     0,     0,     0,     0,     0,
       0,  2224,     0,     0,  2225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,  2310,     0,
       0,  2226,   672,   672,     0,  1813,     0,     0,     0,  2228,
       0,     0,     0,   822,     0,  2229,  2546,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2231,  2230,
       0,     0,  2232,     0,     0,     0,  2364,     0,     0,   370,
       0,     0,   371,     0,     0,     0,     0,     0,   371,     0,
       0,     0,     0,  2233,  2234,     0,   822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2611,  2612,  2613,  2614,
    2235,     0,     0,     0,     0,     0,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2236,     0,     0,  2237,
       0,     0,     0,     0,     0,     0,     0,     0,  2650,  2651,
       0,     0,  2238,     0,  2660,  2239,     0,     0,     0,     0,
     822,     0,     0,     0,     0,     0,     0,  1053,     0,     0,
       0,  2231,     0,     0,     0,  2232,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2233,  2234,     0,  2684,
    1053,     0,  2525,  4949,     0,     0,     0,     0,     0,  2543,
       0,     0,     0,  2235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2719,  2720,  2721,  2722,
    2240,     0,     0,     0,     0,     0,     0,  2577,     0,  2236,
    2580,     0,  2237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2238,     0,     0,  2239,     0,
       0,  4980,     0,   674,     0,     0,     0,     0,   673,     0,
       0,     0,     0,     0,     0,     0,  2615,     0,   674,   674,
       0,     0,     0,     0,     0,     0,  2781,     0,     0,     0,
    2631,     0,     0,     0,     0,  2785,   672,     0,  1053,     0,
       0,  5011,  2792,     0,  2643,   674,   370,     0,   674,     0,
       0,   370,     0,   370,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2241,  2242,  2243,     0,  2244,  2245,  2246,
    2247,  2248,  2249,  2240,     0,     0,     0,  4220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   673,     0,     0,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3517,     0,     0,   822,     0,   371,
     371,   371,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   370,     0,     0,     0,  1797,   672,     0,     0,
       0,     0,  1798,   674,  2735,     0,     0,     0,     0,     0,
    2745,     0,     0,   672,     0,   674,     0,     0,  2224,     0,
       0,  2225,     0,     0,   674,     0,  2241,  2242,  2243,     0,
    2244,  2245,  2246,  2247,  2248,  2249,     0,     0,  2226,     0,
    4251,     0,  1799,     0,     0,     0,  2228,     0,     0,     0,
     672,   672,  2229,     0,     0,   673,   673,     0,     0,     0,
       0,   672,   673,     0,     0,     0,     0,     0,     0,     0,
    2964,     0,     0,   672,   672,     0,  2230,     0,     0,     0,
       0,  2800,     0,     0,     0,     0,     0,     0,   674,     0,
       0,  1800,     0,     0,     0,   672,     0,     0,  1801,     0,
       0,  1802,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   371,  1599,  1599,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   673,   674,     0,   674,     0,     0,  2855,     0,     0,
       0,     0,     0,     0,     0,  1803,   674,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5189,     0,     0,     0,  2231,     0,
       0,  2224,  2232,     0,  2225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2226,     0,  2233,  2234,     0,     0,   674,     0,  2228,
       0,     0,  1804,     0,  1805,  2229,     0,     0,     0,     0,
    2235,     0,     0,     0,  1806,     0,     0,     0,     0,     0,
       0,     0,  1807,     0,     0,     0,     0,   674,     0,  2230,
       0,     0,  1808,     0,   822,     0,  2236,     0,     0,  2237,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
    2224,     0,  2238,  2225,  3013,  2239,     0,     0,     0,     0,
       0,   674,     0,     0,   674,  1859,     0,     0,  1810,  1811,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,  3033,
       0,     0,     0,     0,  2229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1860,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2230,     0,
    3172,  3173,  3174,     0,     0,     0,  3046,     0,  3049,  3184,
       0,  3186,     0,  3188,  3189,     0,     0,     0,     0,     0,
    2240,  2231,     0,     0,     0,  2232,     0,     0,     0,   371,
       0,     0,     0,     0,     0,     0,   673,     0,     0,   370,
       0,     0,  1813,     0,     0,  1599,  2233,  2234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4159,     0,   673,  2235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   673,     0,  2236,
       0,   672,  2237,     0,     0,     0,     0,     0,     0,     0,
   -2682,     0,     0,     0,  2232,  2238,     0,     0,  2239,  3296,
       0,     0,     0,  2241,  2242,  2243,     0,  2244,  2245,  2246,
    2247,  2248,  2249,     0,     0,  2233,  2234,  4515,     0,     0,
     673,   672,     0,     0,     0,   822,   672,     0,     0,   672,
       0,     0, -2682,     0,     0,     0,     0,     0,     0,   370,
       0,     0,  2224,     0,     0,  2225,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,  3355,     0,     0,     0,
       0,  2237,  2226,     0,  3364,     0,     0,     0,     0,  3365,
    2228,     0,     0,  2240,  2238,     0,  2229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
    2230,     0,     0,  1053,     0,     0,     0,     0,   674,   672,
     672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3238,  2224,     0,     0,  2225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   822,   672,     0,  3265,   822,     0,
       0,  2226,     0,     0,     0,   673,   371,     0,     0,  2228,
    3450,   371, -2682,   371,     0,  2229,     0,  2224,     0,     0,
    2225,   672,     0,     0,     0,   672,  2241,  2242,  2243,     0,
    2244,  2245,  2246,  2247,  2248,  2249,     0,  2226,     0,  2230,
    4549,     0,  3486,   672,  3488,  2228,     0,     0,     0,     0,
       0,  2229,     0,     0,   672,   674,     0,  2224,   674,     0,
    2225,     0,  2231,     0,     0,     0,  2232,   672,     0,     0,
       0,     0,     0,     0,     0,  2230,   672,  2226,     0,     0,
       0,     0,     0,     0,     0,  2228,     0,  2233,  2234,     0,
       0,  2229,   371,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2235,   673,     0,   673,     0,  2244,
    2245,  2246,  2247,  2248,  2249,  2230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2236,     0,     0,  2237,     0,     0,     0,  3425,   822,     0,
       0,  2231,     0,     0,   673,  2232,  2238,     0,     0,  2239,
    3543,     0,     0,     0,     0,   674,   674,     0,     0,     0,
       0,     0,   674,     0,     0,     0,  2233,  2234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2231,     0,     0,
       0,  2232,     0,  2235,   370,     0,   673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,  2233,  2234,     0,     0,     0,     0,     0,  2236,
       0,     0,  2237,     0,     0,     0,     0,  2231,     0,  2235,
       0,  2232,     0,     0,  2240,  2238,     0,     0,  2239,     0,
       0,     0,     0,     0,     0,     0,   672,     0,     0,     0,
       0,   674,  2233,  2234,     0,  2236,     0,     0,  2237,     0,
       0,     0,     0,     0,     0,     0,     0,   718,     0,  2235,
       0,  2238,     0,     0,  2239,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,  2236,     0,     0,  2237,     0,
       0,     0,     0,     0,     0,   718,     0,     0,     0,     0,
       0,  2238,     0,  2240,  2239,     0,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   718,  2241,  2242,  2243,
       0,  2244,  2245,  2246,  2247,  2248,  2249,     0,     0,     0,
       0,  4788,     0,  2224,  1023,     0,  2225,     0,     0,  2240,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
     370,     0,     0,  2226,     0,  1032,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,  2229,     0,     0,
    1043,     0,  1023,     0,     0,     0,  1066,     0,     0,  2240,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,   822,
       0,  2230,     0,     0,  1102,   822,  2241,  2242,  2243,     0,
    2244,  2245,  2246,  2247,  2248,  2249,     0,     0,     0,     0,
    4797,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1797,     0,     0,     0,     0,
       0,  1798,  2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,
    2248,  2249,     0,     0,  3654,     0,  4832,  3784,     0,  3785,
    3786,  3787,     0,     0,     0,     0,   674,     0,     0,   371,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,  1799,  2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,
    2248,  2249,   674,     0,   672,     0,  4894,     0,     0,     0,
       0,     0,     0,  2231,   674,     0,     0,  2232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,  2224,   673,     0,  2225,  2233,  2234,
    1800,     0,     0,     0,     0,     0,     0,  1801,     0,     0,
    1802,     0,     0,     0,     0,  2235,     0,     0,     0,     0,
       0,     0,  2228,     0,     0,     0,     0,     0,  2229,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2236,     0,     0,  2237,     0,     0,     0,     0,   371,
     672,     0,  2230,     0,     0,     0,     0,  2238,     0,   673,
    2239,     0,     0,     0,  1803,   672,   672,  1797,     0,     0,
       0,     0,     0,  1798,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,  1799,  4547,     0,     0,     0,     0,     0,
       0,  1804,     0,  1805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,  2240,     0,     0,     0,     0,
       0,  1807,     0,     0,     0,     0,     0,     0,     0,   370,
       0,  1808,     0,     0, -2682,   674,     0,     0,  2232,     0,
       0,     0,  1800,     0,     0,     0,   822,   822,   822,  1801,
       0,     0,  1802,     0,     0,     0,     0,     0,     0,  2233,
    2234,     0,     0,     0,  1885,     0,     0,  1810,  1811,     0,
     672,     0,     0,     0,  1797,     0, -2682,     0,     0,   370,
    1798,     0,   672,  1797,     0,     0,     0,   370,     0,  1798,
       0,   672,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2237,  1803,     0,  2241,  2242,
    2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,  2238,     0,
    1799,  4057,  5118,     0,  4058,     0,     0,     0,     0,  1799,
       0,     0,     0,     0,     0,   674,  2292,   674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,     0,   672,     0,     0,     0,   718,
       0,     0,     0,  1804,     0,  1805,     0,     0,     0,  1800,
       0,     0,  4085,     0,   674,  1806,  1801,     0,  1800,  1802,
       0,     0,     0,  1807,     0,  1801,     0,     0,  1802,     0,
       0,     0,     0,  1808,   822,     0, -2682,     0,     0,     0,
       0,     0,     0,     0,  3980,  3981,     0,     0,     0,   672,
       0,   672,     0,     0,   371,     0,   674,     0,     0,     0,
    3990,     0,     0,   672,     0,   672,  2498,     0,     0,  1810,
    1811,     0,     0,  1803,  3999,     0,     0,     0,  1797,     0,
       0,     0,  1803,  4008,  1798,  2224,     0,     0,  2225,     0,
       0,     0,     0,     0,     0,  2499,     0,  4024,     0,     0,
       0,     0,     0,  1953,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,  2228,   672,     0,     0,     0,     0,  2229,
       0,     0,     0,     0,  1799,     0,     0,     0,     0,     0,
    1804,     0,  1805,  2244,  2245,  2246,  2247,  2248,  2249,  1804,
       0,  1805,  1806,  2230,   672,     0,     0,     0,     0,     0,
    1807,  1806,     0,  1813,     0,     0,     0,  1953,     0,  1807,
    1808,   672,     0,     0,     0,     0,     0,     0,  1599,  1808,
       0,     0,     0,  1800,     0,     0,     0,     0,   672,     0,
    1801,   672,     0,  1802,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,  2562,     0,     0,  1810,  1811,     0,     0,
       0,     0,  3215,     0,     0,  1810,  1811,  1194,  1200,  1200,
     718,     0,  1200,     0,  1208,     0,  1194,     0,  1097,     0,
     371,  1234,  2563,     0,     0,     0,  1097,     0,     0,  1097,
       0,  1812,     0,  1200,     0,  1097,     0,  1803,     0,     0,
       0,     0,     0,  1266,     0,  2231,     0,     0,  1097,  2232,
    1194,     0,     0,  1200,     0,   718,   822,  1200,     0,  4274,
    4275,  4276,  4277,     0,  1234,     0,  1953,  1323,     0,     0,
    2233,  2234,     0,     0,  1200,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  1953,     0,  2235,     0,  1813,
       0,  4170,  4171,  4172,  1804,     0,  1805,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,  1806,  1194,     0,     0,
       0,     0,   718,  2236,  1807,     0,  2237,  1194,     0,     0,
       0,  1234,     0,     0,  1808,     0,     0,     0,     0,  2238,
       0,  1953,  2239,     0,  1797,     0,  1200,     0,     0,     0,
    1798,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3304,     0,  2224,
    1810,  1811,  2225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
    1799,     0,     0,  3055,     0,   674,  3305,  2228,     0,     0,
       0,  1097,     0,  2229,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1471,     0,  2240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1800,
    4425,     0,     0,  1581,     0,     0,  1801,   718,  1097,  1802,
       0,     0,     0,     0,  1813,   672,  1797,     0,     0,   674,
       0,     0,  1798,     0,     0,     0,     0,  1097,     0,     0,
       0,  1097,  3056,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
       0,     0,     0,   822,     0,     0,     0,     0,   822,     0,
     822,  1097,  1799,  1803,     0,     0,     0,     0,     0,     0,
    2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,
       0,     0,     0,     0,  5215,     0,     0,     0,     0,  2231,
       0,     0,     0,  2232,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,   672,     0,     0,     0,   371,
       0,  1800,     0,     0,  2233,  2234,     0,     0,  1801,     0,
    1804,  1802,  1805,     0,     0,     0,     0,     0,     0,     0,
       0,  2235,  1806,     0,     0,     0,     0,     0,     0,   822,
    1807,     0,     0,  1097,     0,     0,     0,     0,     0,     0,
    1808,  1097,     0,  1200,  1200,  4407,     0,  2236,     0,   371,
    2237,  1953,     0,     0,     0,     0,     0,   371,     0,     0,
       0,     0,     0,  2238,  4433,  1803,  2239,     0,     0,  1797,
       0,     0,     0,  3343,     0,  1798,  1810,  1811,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1194,  4450,   672,   672,     0,     0,     0,     0,     0,   672,
       0,  1194,  3344,     0,     0,  1234,     0,     0,     0,     0,
    2224,     0,     0,  2225,     0,  1799,     0,     0,  1200,     0,
       0,     0,  1804,     0,  1805,     0,     0,     0,     0,     0,
    2226,     0,     0,  1097,  1806,     0,     0,     0,  2228,  1200,
    1200,  2240,  1807,     0,  2229,     0,     0,  2224,     0,     0,
    2225,     0,  1808,     0,     0,  1097,  1097,  1097,     0,  1200,
    1813,  1194,     0,     0,  1800,  2013,     0,  2226,  2230,     0,
       0,  1801,     0,     0,  1802,  2228,     0,     0,   672,  2224,
       0,  2229,  2225,     0,     0,  3803,     0,     0,  1810,  1811,
       0,     0,  3057,     0,  1200,     0,  1200,  1200,     0,  2226,
       0,     0,  3553,     0,     0,  2230,     0,  2228,     0,     0,
       0,     0,     0,  2229,  3804,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1803,     0,
    1581,     0,     0,     0,  2241,  2242,  2243,  2230,  2244,  2245,
    2246,  2247,  2248,  2249,     0,     0,  1953,     0,     0,  3590,
    1953,  1953,     0,     0,  3591,     0,     0,     0,     0,     0,
       0,     0,  4554,  4555,  4556,  4557,     0,     0,  2112,  2112,
    2231,     0,  1813,  1097,  2232,  1023,  4668,     0,     0,     0,
       0,     0,     0,     0,     0,  1804,     0,  1805,     0,     0,
    4671,     0,     0,     0,     0,  2233,  2234,  1806,  2147,     0,
       0,  1097,     0,     0,  2153,  1807,     0,  2231,     0,     0,
       0,  2232,  2235,     0,     0,  1808,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2233,  2234,     0,     0,     0,     0,  2236,  2231,
       0,  2237,     0,  2232,     0,  1581,     0,     0,  3846,  2235,
       0,  1810,  1811,     0,  2238,     0,  1953,  2239,     0,     0,
       0,     0,     0,     0,  2233,  2234,     0,     0,     0,     0,
       0,     0,     0,  1581,  1581,  2236,  1581,  3847,  2237,     0,
       0,  2235,     0,     0,     0,     0,     0,     0,     0,  4739,
       0,  2238,     0,   672,  2239,  1581,   822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2236,     0,     0,
    2237,     0,     0,     0,  4132,     0,   718,   718,     0,   672,
       0,     0,     0,  2238,     0,     0,  2239,     0,     0,     0,
       0,   672,  2240,     0,     0,  1813,     0,     0,     0,     0,
       0,     0,     0,     0,   672,  1097,     0,     0,  1581,     0,
       0,  2224,     0,     0,  2225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2240,
       0,  2226,     0,     0,     0,     0,     0,  1581,     0,  2228,
       0,  1581,  1581,  4133,     0,  2229,     0,   672,     0,     0,
       0,     0,  1097,  1097,  2366,     0,     0,     0,     0,     0,
    1953,  2240,     0,     0,     0,     0,     0,     0,     0,  2230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     718,     0,     0,     0,     0,  2241,  2242,  2243,     0,  2244,
    2245,  2246,  2247,  2248,  2249,     0,     0,     0,     0,     0,
       0,     0,     0,  4837,  4839,  4839,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,
    2248,  2249,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,  4762,     0,     0,     0,     0,     0,     0,  5186,
       0,     0,     0,     0,  2241,  2242,  2243,     0,  2244,  2245,
    2246,  2247,  2248,  2249,     0,     0,     0,     0,     0,     0,
       0,  2231,   672,     0,     0,  2232,     0,     0,     0,  1097,
    2530,     0,     0,     0,     0,     0,  1097,     0,     0,  1200,
       0,     0,     0,     0,     0,     0,  2233,  2234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1234,     0,
       0,     0,     0,  2235,  1097,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,  2236,
       0,  1097,  2237,     0,  4935,     0,     0,     0,     0,  1200,
    1200,  1200,  1200,  1097,     0,  2238,     0,     0,  2239,     0,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,   672,     0,   672,     0,  5187,     0,     0,  2642,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,  1200,     0,     0,     0,     0,  1200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4984,     0,
       0,     0,     0,  2240,     0,     0,     0,     0,     0,     0,
       0,     0,  1200,     0,     0,     0,     0,     0,     0,     0,
       0,   822,     0,   672,     0,     0,     0,  5007,     0,  5009,
       0,     0,     0,     0,     0,  4892,     0,     0,     0,  1200,
    1200,  1200,  1200,     0,     0,     0,     0,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,  1097,     0,     0,
    2642,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1599,     0,     0,  1194,     0,     0,     0,     0,
       0,     0,   718,     0,  1194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1234,     0,  2241,  2242,  2243,  1200,
    2244,  2245,  2246,  2247,  2248,  2249,     0,     0,  1200,     0,
       0,     0,     0,     0,  1200,  1200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4839,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2112,     0,     0,     0,     0,  1953,  4987,  1200,
    1953,  1194,  1953,     0,     0,  1097,  1097,  1953,  1200,     0,
       0,     0,     0,     0,  1097,     0,     0,   822,     0,     0,
       0,     0,     0,     0,  1097,     0,  5115,     0,     0,     0,
       0,  1023,  1023,     0,     0,  2862,     0,     0,     0,  1581,
    1581,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
    1581,     0,     0,     0,  1581,     0,     0,  1953,     0,     0,
       0,     0,  1581,  1581,     0,     0,     0,     0,     0,     0,
    1581,     0,  1234,  1581,  1581,  1581,  1581,     0,     0,     0,
       0,     0,     0,  1581,  1581,     0,  1581,     0,  1581,  1581,
    5156,     0,  1581,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,  1200,  1581,     0,     0,     0,  1581,     0,
       0,     0,  1581,     0,  1581,  1581,  1581,  1581,  1581,  1581,
    1581,  1581,  1581,     0,  1581,     0,     0,     0,     0,     0,
       0,  1097,     0,  5195,  1581,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1953,     0,
    1953,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1945,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1097,     0,  1097,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
    1953,     0,  1097,     0,     0,     0,   672,     0,  3079,     0,
    3086,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     0,  1953,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,   718,     0,     0,     0,
       0,  1023,     0,  1023,     0,     0,   822,     0,  1953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,  1953,     0,  1945,     0,     0,     0,
       0,  1194,     0,  1200,  1200,  1200,    46,  1953,  1194,     0,
    1234,     0,  1200,     0,  1200,     0,  1200,  1200,     0,     0,
    1097,     0,     0,     0,     0,     0,   822,     0,     0,     0,
       0,     0,     0,     0,   822,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2530,
       0,     0,     0,     0,     0,     0,  3220,     0,     0,     0,
       0,  3229,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,  1953,
       0,     0,     0,     0,  1097,     0,     0,     0,  3270,  3270,
       0,     0,     0,     0,    48,   718,     0,     0,     0,  1953,
       0,  2224,     0,     0,  2225,     0,     0,     0,     0,     0,
       0,     0,  1200,     0,    49,     0,     0,     0,     0,     0,
       0,  2226,     0,     0,  1953,     0,     0,     0,     0,  2228,
       0,     0,     0,     0,     0,  2229,    50,     0,     0,  3329,
       0,  3332,  3334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2230,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
       0,     0,    51,     0,     0,    52,     0,  1200,     0,     0,
       0,     0,  1200,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2530,
       0,     0,  3270,     0,  1097,     0,  3427,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3329,     0,     0,     0,     0,
       0,  2231,     0,  1200,  3452,  2232,    54,     0,     0,  1945,
       0,     0,     0,     0,     0,     0,  2013,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,  2233,  2234,     0,     0,
       0,     0,     0,  1200,     0,  1200,  3270,  1200,  3270,     0,
       0,     0,     0,  2235,     0,     0,     0,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,    56,  1945,     0,     0,     0,     0,     0,  2236,
       0,     0,  2237,     0,     0,     0,     0,    57,     0,     0,
       0,  2112,     0,     0,     0,  2238,     0,     0,  2239,     0,
       0,     0,     0,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,  3568,     0,    58,     0,     0,  1953,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1396,  1194,     0,     0,     0,
      71,  1397,  1194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1200,     0,     0,     0,     0,     0,  1581,
    1581,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,  2240,     0,     0,     0,     0,     0,     0,
       0,     0,  1945,     0,     0,     0,     0,     0,     0,     0,
    1581,  1581,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,  1945,     0,     0,     0,     0,     0,  1581,  1581,  1581,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,  1945,
    1581,     0,     0,  1581,     0,  1581,  3618,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,  1581,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,  1581,     0,  1581,     0,  1234,     0,  1581,     0,
       0,     0,     0,     0,     0,  1953,  2241,  2242,  2243,     0,
    2244,  2245,  2246,  2247,  2248,  2249,     0,  1581,     0,     0,
       0,  1097,     0, -2187,     0,     0,     0,  3671,     0,     0,
    1581,  1581,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
    1945,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
   -2187,     0,  1581,     0,     0,     0,     0,     0,  1581,     0,
       0,     0, -2187,     0,     0,     0,  3671, -2187,     0,  3728,
       0,     0, -2187,  3086,     0,     0,     0, -2187,     0,     0,
   -2187,     0, -2187,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    85, -2187,
       0,     0,     0,     0,    89,     0,     0,     0,    93,     0,
      94,     0,    96,    97,     0,     0,     0,     0,     0,     0,
       0, -2187,     0,   106,     0,  1953,     0,  1581,     0,  3270,
       0,     0,     0,     0,  2112,     0,  1953,     0,     0,     0,
     119,   120,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2187,     0,
    1200,     0,  1200,  1200,  1200,     0, -2187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   129,     0,   130,   131,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1130, -2187,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   141,     0,   142,   143,     0,     0,     0,
       0,   146,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   149,     0,   150,  1953,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   153,
       0,   154,     0,     0,   157,     0,     0,     0,     0,     0,
       0,     0,     0, -2187,  1953,     0,   158,     0,   159,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,  1953,     0,     0,   163, -2187,   165, -2187,
   -2187,     0,     0,     0,   167,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   171,
       0,     0,     0,     0,     0,     0,     0,   830,     0,     0,
       0,  3270,  3270,     0, -2187,     0,     0, -2187, -2187,     0,
   -2187,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,  3943,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,   184,   185,     0,     0,     0,     0,
     186,  1097,  1097,     0,     0,     0,     0,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
     192,     0,  1945,     0,     0,     0,  1945,  1945,     0,     0,
    2112,  1097,     0,     0,     0,     0,     0,     0,  1057,  2112,
    1097,     0,     0,     0,     0,     0,  1057,     0,  1057,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,   202,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,   718,
     204,     0,     0,     0,     0,   205,   206,     0,   207,     0,
       0,     0,     0,   208,  1200,     0,     0,  1200,   209,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
     214,   215,     0,     0,  1194,     0,     0,     0,   216,     0,
       0,   218,     0,     0,     0,     0,     0,  1953,     0,   221,
       0,     0,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,   223,  1945,     0,     0,  1200,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,   228,     0,
     229,     0,     0,  1581,     0,     0,     0,     0,   231,  1581,
       0,  1581,     0,     0,   232,     0,     0,  1581,     0,   233,
    1581,  1581,  1581,  1581,  1581,  1581,  1581,  1581,  1581,  1581,
       0,     0,   236,  1581,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
    1581,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,  1581,   246,  1581,
       0,     0,  -138,     0,     0,     0,     0,     0,  1581,  1581,
    1581,     0,     0,     0,  1581,     0,     0,  1581,     0,  1953,
    2224,  4165,     0,  2225,     0,     0,  2430,     0,  1097,  1097,
    1097,  1194,     0,  3671,  4182,     0,     0,     0,  4182,  4196,
    2226,     0,     0,  3598,     0,  1581,     0,     0,  2228,     0,
       0,  1581,  1581,     0,  2229,     0,  1945,  2224,     0,     0,
    2225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,  2230,     0,
    2430,     0,     0,     0,     0,  2228,     0,     0,     0,     0,
       0,  2229,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,  3086,     0,  1581,     0,
       0,     0,  1955,     0,     0,  2230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1945,     0,  1953,     0,     0,     0,     0,     0,     0,
    4257,  2112,  2112,     0,  2642,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,  1200,  1200,  1200,  1200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2231,     0,     0,     0,  2232,     0,     0,     0,     0,  1955,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,  4300,
       0,  3603,     0,     0,     0,  2233,  2234,     0,  2430,     0,
       0,     0,     0,     0,     0,     0,     0,  2231,     0,     0,
       0,  2232,  2235,     0,     0,     0,  1955,     0,     0,     0,
    1945,     0,  1953,     0,     0,     0,  1953,  1953,     0,     0,
       0,     0,  2233,  2234,     0,     0,     0,     0,  2236,     0,
       0,  2237,     0,     0,  1955,     0,     0,     0,     0,  2235,
       0,     0,     0,     0,  2238,     0,     0,  2239,     0,     0,
       0,     0,     0,     0,     0,  4366,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2236,     0,     0,  2237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2238,     0,     0,  2239,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3943,     0,     0,  1955,     0,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1200,     0,  1581,     0,     0,     0,     0,
       0,  1097,  2240,     0,     0,     0,     0,  4438,     0,     0,
       0,     0,     0,     0,     0,     0,  2530,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3329,  2240,
       0,     0,     0,     0,  4467,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,  1581,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3270,     0,  3270,     0,     0,
       0,     0,     0,     0,     0,  2241,  2242,  2243,     0,  2244,
    2245,  2246,  2247,  2248,  2249,     0,   830,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,  1581,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,  2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,
    2248,  2249,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1945,     0,     0,  1945,  1196,  1945,  1581,
       0,     0,     0,  1945,     0,     0,     0,     0,     0,  1581,
    1581,     0,     0,     0,  1955,     0,     0,  1581,  1581,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,  1581,  1581,
       0,     0,  1581,     0,     0,  1581,  4553,     0,     0,  1097,
    1097,  1097,  1097,     0,     0,     0,  4182,  4196,     0,  4182,
       0,  3026,  4562,  1945,  1196,     0,  3671,     0,     0,     0,
    3671,     0,     0,     0,  1196,  1947,  4575,   944,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,  1581,     0,   945,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,  1234,     0,  1945,     0,     0,     0,     0,     0,  3728,
     946,     0,     0,  3086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   947,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,  1581,   948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   949,     0,  3270,  3270,     0,     0,     0,
       0,     0,     0,     0,  1945,     0,  1945,     0,     0,     0,
       0,     0,     0,     0,   950,     0,     0,     0,     0,  4639,
       0,     0,     0,     0,     0,   951,     0,     0,     0,     0,
    1196,     0,     0,   952,     0,     0,  1057,     0,     0,     0,
    1057,     0,     0,     0,     0,   953,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,   955,     0,     0,  3112,
       0,  1945,     0,  2430,  3118,     0,  1196,     0,     0,  1200,
       0,   956,     0,     0,     0,     0,     0,     0,  1947,     0,
       0,     0,     0,  1200,     0,     0,  1945,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   957,     0,     0,
    1945,     0,     0,  3943,  3943,  3943,  3943,  3943,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,   958,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,   959,
       0,     0,     0,  2530,     0,     0,     0,     0,     0,  1955,
    2112,     0,     0,     0,     0,     0,     0,   859,     0,     0,
       0,     0,  1200,  2530,  1945,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1945,     0,  1057,  1057,   960,     0,     0,     0,   961,  1097,
     962,  4766,     0,  1945,  2224,     0,   963,  2225,     0,   964,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,  2226,     0,     0,  3609,  1196,     0,
    1581,     0,  2228,     0,     0,   965,     0,   966,  2229,  1581,
       0,   967,     0,     0,     0,     0,     0,     0,     0,   968,
       0,  1956,     0,     0,   969,     0,  1581,  1581,     0,     0,
    1581,     0,  2230,     0,     0,     0,   970,     0,     0,     0,
       0,     0,     0,  1194,  4182,  1945,     0,     0,  3671,   971,
       0,     0,     0,  3671,     0,     0,  3671,  3329,  1196,  4816,
       0,  1581,  1581,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1945,     0,     0,     0,  4257,  1234,  1200,  1200,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1945,  1196,     0,     0,
       0,     0,     0,     0,  2231,     0,  1194,  1234,  2232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2233,
    2234,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2235,  2112,  2112,     0,
       0,     0,  1194,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,     0,     0,  1947,     0,     0,
       0,     0,  2236,  4438,     0,  2237,     0,     0,     0,     0,
    3270,     0,     0,  1196,  2530,     0,     0,     0,  2238,     0,
       0,  2239,     0,     0,     0,     0,  4467,     0,     0,  1097,
       0,     0,     0,     0,     0,     0,     0,  1200,  4257,     0,
       0,     0,  1196,  1945,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,  1581,     0,  1581,     0,     0,
    1196,  1196,     0,  1196,  1947,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,  1196,  1947,  3671,     0,  2240,  4816,     0,     0,
       0,     0,     0,  4976,     0,     0,     0,     0,     0,     0,
       0,  1947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,     0,     0,     0,  1097,     0,     0,     0,     0,
       0,     0,     0,     0,  1945,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,     0,  1196,   830,     0,     0,  1200,
    1200,  1200,  1200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2112,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,  1196,  1196,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,  2241,
    2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,     0,
       0,     0,  1947,  1581,  2224,     0,     0,  2225,     0,     0,
       0,     0,     0,     0,     0,     0,  3026,  3026,  3026,     0,
       0,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
       0,     0,  2228,     0,     0,     0,     0,     0,  2229,     0,
       0,  1581,     0,     0,  1194,     0,     0,     0,     0,     0,
       0,     0,     0, -2189,     0,     0,     0,  1956,     0,     0,
       0,     0,  2230,   830,  1200,     0,  1234,     0,     0,     0,
    1057,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,  1945,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2189,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
    2430,  1956, -2189,  3118,     0,  3118,     0, -2189,  1945,  1200,
    2430,     0, -2189,     0,  1194,     0,     0, -2189,     0,     0,
   -2189,     0, -2189,     0,     0,  4257,     0,     0,     0,     0,
       0,     0,     0,  1956,  4766,     0,     0,     0,     0,     0,
       0,  1581,  1581,     0,     0,     0,  3329,     0,     0, -2189,
    4976,     0,     0,     0,  2231,     0,     0,     0,  2232,     0,
    1955,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
       0, -2189,     0,  1200,     0,     0,     0,     0,     0,  2233,
    2234,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,  1057,     0,     0,     0,     0,  2235,     0,     0,     0,
    2430,     0,     0,     0,     0,  1581,     0,     0, -2189, -2202,
    1956,     0,     0,     0,     0,     0, -2189,     0,     0,  1581,
       0,  1945,  2236,     0,     0,  2237,  1200,     0,     0,  1956,
       0,     0,  1945,     0,     0,     0,     0,     0,  2238,     0,
       0,  2239,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,     0, -2202,     0,     0,     0,
       0,  1955,     0,  1955, -2189,     0,     0,     0, -2202,     0,
     830,     0,     0, -2202,     0,  1956,     0,     0, -2202,     0,
       0,     0,     0, -2202,     0,     0, -2202,  1581, -2202,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0, -2202,  2240,     0,  1955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196, -2189,     0,     0,     0, -2202,  1956,     0,
       0,  1196,  4089,  1955,     0,  2224,     0,     0,  2225,     0,
       0,     0,  1945,     0,     0,     0,     0, -2189,     0, -2189,
   -2189,     0,     0,     0,  3118,  2226,     0,     0,  4139,     0,
       0,     0,     0,  2228, -2202,     0,     0,  3118,     0,  2229,
    1945,     0, -2202,     0,  1947,     0,     0,     0,  1947,  1947,
       0,     0,     0,     0, -2189,     0,     0, -2189, -2189,  1945,
   -2189,     0,     0,  2230,     0,     0,     0,     0,     0,  2241,
    2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
   -2202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3118,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,  1196,     0,     0,
    1955,     0,     0,     0,  1196,  1027,     0,  1196,     0,     0,
    1948,  1196,     0,     0,     0,     0,     0,     0,     0,  1196,
    1196,     0,     0,     0,  1947,     0,     0,  1196,     0, -2202,
    1196,  1196,  1196,  1196,     0,  2231,     0,     0,     0,  2232,
    1196,  1196,     0,  1196,     0,  1196,  1196,     0,     0,  1196,
       0,     0,     0, -2202,     0, -2202, -2202,     0,     0,     0,
    2233,  2234,     0,     0,     0,  1956,  1196,   830,     0,     0,
       0,  1196,  1955,     0,     0,  1196,     0,  2235,     0,  1196,
       0,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
   -2202,  1196,  1955, -2202, -2202,     0, -2202,     0,     0,     0,
       0,  1196,  1196,  2236,     0,     0,  2237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,  2238,
       0,     0,  2239,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1945,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,  2224,     0,     0,  2225,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,  1947,     0,
       0,     0,     0,  1948,     0,  2226,     4,     0,     0,     0,
       0,     0,     0,  2228,     0,     0,     0,     0,     0,  2229,
       0,     0,     0,     0,     0,     0,     5,  2240,  3026,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,  2230,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,  1947,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,  1945,     0,    45,     0,     0,
    1956,     0,     0,     0,  1956,  1956,     0,     0,     0,     0,
    2430,     0,     0,     0,     0,     0,     0,     0,   830,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,
       0,     0,     0,     0,     0,    46,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,  2231,     0,     0,  1196,  2232,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2233,  2234,  1947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,  2235,     0,     0,
       0,  3118,     0,     0,     0,     0,     0,     0,     0,  1945,
    1956,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,  2236,     0,     0,  2237,   830,     0,     0,
       0,   830,  1945,    48,     0,     0,     0,     0,     0,  2238,
       0,     0,  2239,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1945,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1945,     0,
       0,    51,  1945,  1945,    52,     0,     0,  2240,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,  1196,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,  1948,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    54,     0,     0,     0,     0,
    2241,  2242,  2243,     0,  2244,  2245,  2246,  2247,  2248,  2249,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1947,     0,    55,  1947,  1948,
    1947,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,    56,     0,     0,     0,     0,     0,     0,  1948,     0,
       0,     0,     0,     0,     0,     0,    57,  1196,     0,     0,
       0,     0,  1950,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,     0,    58,  1947,     0,     0,     0,  1955,
       0,    59,     0,     0,  1948,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1396,  2064,     0,     0,  1956,    71,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,  1947,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,  3026,     0,
       0,     0,     0,  3026,     0,     0,  1196,  1196,  3026,     0,
       0,     0,  1196,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,  1196,     0,
       0,     0,  1196,     0,     0,     0,  1947,     0,  1947,     0,
       0,     0,     0,     0,  1196,  1196,  1196,  1196,     0,     0,
       0,     0,   830,     0,     0,     0,     0,  1196,   830,  1955,
    1196,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,  1196,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,  1196,
       0,  1196,     0,  1947,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,  1947,     0,
       0,     0,     0,     0,  1196,     0,     0,  1196,  1196,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1055,
       0,  1196,  1947,     0,  1955,     0,     0,  1055,     0,  1055,
     887,     0,     0,     0,  1196,     0,     0,     0,     0,  1196,
       0,     0,   888,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,   890,     0,     0,     0,
       0,     0,     0,     0,     0,   891,  1947,     0,     0,  -753,
       0,  1956,     0,     0,  1956,     0,  1956,     0,     0,     0,
       0,  1956,  1947,     0,     0,     0,   892,     0,     0,  1950,
       0,     0,   893,     0,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   895,     0,
       0,  1950,  4760,     0,     0,     0,   896,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,   897,     0,
       0,     0,     0,     0,     0,   898,     0,     0,     0,   899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1955,     0,     0,     0,  -955,     0,     0,  1947,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,   830,
     830,   830,     0,   900,     0,     0,     0,     0,     0,     0,
    -520,     0,  1947,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,  1956,  1950,     0,     0,     0,     0,
       0,   901,     0,     0,   902,     0,     0,     0,  1947,  1948,
       0,  1951,     0,  1948,  1948,     0,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -417,
       0,     0,  3118,     0,     0,     0,     0,     0,     0,  1956,
       0,     0,     0,     0,     0,     0,     0,   903,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,  -417,
       0,     0,   905,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,  -417,     0,
     906,   907,     0,   908,   909,     0,     0,   830,  1956,     0,
       0,     0,   910,     0,     0,     0,     0,   911,     0,  1948,
       0,     0,     0,   912,     0,  1947,   913,     0,     0,   914,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3118,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,  1951,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1955,  1947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1955,     0,     0,     0,  1955,
    1955,     0,     0,  1948,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,  1950,     0,     0,  1196,     0,  1196,     0,
       0,     0,     0,  1956,  1196,     0,     0,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,     0,     0,     0,
    1196,  1196,     0,     0,     0,     0,     0,     0,  1956,     0,
    1267,     0,     0,  1196,     0,     0,     0,  1196,     0,   830,
       0,  1196,     0,     0,     0,     0,     0,     0,  1948,  4760,
       0,  1196,     0,     0,  1196,     0,  1196,     0,     0,     0,
       0,     0,     0,  1268,  1956,  1196,  1196,  1196,     0,     0,
       0,  1196,     0,  1947,  1196,     0,  1269,  1270,     0,     0,
       0,     0,     0,     0,     0,  1271,     0,     0,  1196,  1272,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,  1192,  1273,     0,  1196,  1196,
    1947,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1274,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1275,     0,
       0,     0,     0,     0,     0,     0,  1276,  1948,  1192,     0,
       0,     0,     0,  1196,     0,     0,     0,  1951,  1277,  1196,
       0,     0,     0,  1278,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,  1279,     0,     0,     0,  1950,     0,
       0,     0,  1950,  1950,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,  1280,
       0,  1951,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,  1947,     0,     0,     0,     0,     0,     0,
    1281,     0,     0,     0,  1947,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1282,     0,     0,     0,     0,   830,     0,     0,     0,
       0,   830,  1956,   830,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     859,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1283,     0,     0,
    1951,  1284,     0,  1285,     0,     0,     0,     0,     0,  1286,
       0,  1192,  1287,     0,     0,     0,     0,  1055,     0,  1951,
       0,  1055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,  1947,     0,     0,  1951,  1288,     0,
    1289,     0,     0,     0,  1290,     0,     0,  1192,     0,     0,
       0,     0,  1291,     0,     0,     0,     0,  1292,     0,     0,
       0,     0,  1947,     0,     0,  1951,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,  1947,  1293,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,  1948,     0,  1948,     0,     0,     0,  1956,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,  1951,  1947,
       0,     0,     0,     0,     0,     0,  1956,  1196,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1055,  1055,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,  1950,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,  1196,  1196,     0,  1956,
       0,  1948,     0,  1948,  1196,  1196,     0,     0,     0,  1196,
    1956,     0,     0,     0,     0,  1196,  1196,     0,     0,  1196,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,  1950,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1948,  1196,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,  1951,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
       0,     0,     0,     0,     0,  1954,     0,  1947,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,  1948,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1192,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
    1951,  1947,     0,     0,  1951,  1951,     0,     0,     0,     0,
       0,     0,  1948,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1947,  1196,     0,     0,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,  1950,     0,  1950,     0,  1192,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
    1947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1956,     0,  1192,     0,     0,     0,  1192,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,     0,     0,     0,  1950,
    1947,     0,     0,     0,  1947,  1947,     0,  1196,     0,     0,
    1951,  1956,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1196,     0,     0,  1196,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,  1196,     0,     0,  1954,     0,
    1196,     0,     0,  1196,     0,     0,     0,     0,  1196,  1196,
       0,  1055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,  1196,  1950,     0,  1055,     0,     0,     0,     0,     0,
    1948,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1954,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   830,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1948,  1055,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,  1196,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1954,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
    1956,     0,  1196,     0,  1196,     0,     0,     0,     0,     0,
    1950,     0,     0,     0,     0,     0,  1954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,  1196,     0,     0,
       0,  1196,     0,     0,     0,     0,  1956,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,  1192,     0,     0,  1956,     0,  1948,  1954,
    1956,  1956,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,  1948,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
       0,     0,     0,  1196,     0,  1192,     0,     0,  1192,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,  1948,     0,
    1192,  1192,     0,     0,     0,     0,     0,     0,  1192,  1948,
       0,  1192,  1192,  1192,  1192,     0,     0,     0,     0,     0,
       0,  1192,  1192,     0,  1192,     0,  1192,  1192,     0,     0,
    1192,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,  1954,  1192,     0,     0,
       0,     0,  1192,     0,     0,     0,  1192,     0,  1196,  1196,
    1192,     0,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,     0,  1192,     0,     0,     0,     0,     0,     0,  1950,
       0,  1196,  1192,  1192,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,  1951,     0,  1951,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,  1948,
    1952,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,  1948,     0,   830,
       0,     0,     0,     0,     0,     0,   930,     0,     0,     0,
    1950,     0,     0,     0,     0,   930,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,   830,
       0,     0,     0,  1196,   930,     0,     0,   830,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,  1954,  1954,     0,  1111,     0,
       0,     0,  1951,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,  1055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,  1950,  1951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1160,
       0,     0,  1951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,  1954,     0,     0,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,  1948,     0,  1192,     0,
    1952,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1948,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,  1952,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,  1948,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
    1192,     0,     0,  1950,   930,   930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
       0,     0,     0,  1192,     0,  1948,     0,     0,     0,  1948,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,  1951,     0,     0,     0,     0,     0,     0,  1192,  1192,
       0,     0,  1160,  1192,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,  1192,  1192,  1192,  1192,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,  1192,     0,
       0,  1192,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,  1192,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
    1192,     0,  1192,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1951,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,  1192,  1192,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,  1192,  1207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1237,  1238,  1192,  1241,     0,     0,  1247,
    1192,  1249,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
    1300,     0,     0,     0,     0,     0,     0,     0,  1308,     0,
       0,     0,     0,     0,     0,     0,     0,  1324,  1325,     0,
       0,     0,  1327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,  1954,     0,  1954,     0,  1160,
       0,   930,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,  1951,
       0,  1950,     0,  1381,     0,     0,  1383,     0,  1385,     0,
    1388,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,   930,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1468,
       0,  1469,     0,     0,  1952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1160,  1950,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,  1954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1951,
    1111,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1954,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,  1950,  1950,
       0,  1730,     0,  1732,     0,     0,  1954,  1734,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,     0,     0,  1763,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
    1951,     0,     0,  1952,  1952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,  1901,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,     0,  1911,  1951,     0,     0,
       0,     0,  1954,  1913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1962,     0,     0,  1966,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1951,     0,     0,     0,     0,
       0,  2009,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,  1954,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,  1192,     0,  1192,
       0,     0,     0,     0,  1954,  1192,     0,     0,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,     0,     0,
       0,  1192,  1192,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,  1192,     0,     0,     0,  1192,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,  1192,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,  1954,  1192,  1192,  1192,     0,
       0,     0,  1192,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,  1192,
    1192,  1951,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1111,  2327,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2397,     0,     0,  2397,     0,     0,
       0,     0,     0,     0,     0,  2404,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1951,     0,     0,
       0,     0,     0,  2413,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2496,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,   678,     0,     0,     0,     0,   722,
       0,   722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,     0,     0,     0,     0,  1951,     0,     0,     0,
    1951,  1951,     0,     0,     0,     0,     0,  1954,  1192,  1192,
       0,     0,     0,     0,     0,     0,     0,   722,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   722,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,   722,
       0,     0,   722,     0,     0,     0,     0,     0,   722,     0,
       0,     0,  1015,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,  1015,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   722,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,  1952,     0,  1952,     0,  1192,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
    1954,     0,     0,     0,     0,  1192,  1192,     0,     0,     0,
    1192,  1954,     0,     0,     0,     0,  1192,  1192,     0,     0,
    1192,  2694,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2717,     0,     0,     0,
    1952,     0,     0,     0,  1192,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,  2765,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2780,     0,  2782,
       0,  2783,     0,     0,     0,     0,  2784,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1952,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2812,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,     0,     0,  2327,     0,     0,
       0,  2327,     0,  2327,     0,     0,  2327,     0,  1954,     0,
       0,     0,   722,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,  1954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3027,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,     0,  1954,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,  1954,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,     0,     0,  1192,  1192,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1952,     0,     0,     0,  1192,     0,     0,     0,
       0,  1192,     0,     0,  1192,     0,     0,     0,     0,  1192,
    1192,     0,  1952,     0,     0,     0,     0,   722,   722,     0,
       0,     0,     0,     0,     0,     0,     0,  1160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3127,  3128,     0,
       0,     0,  3131,  3132,     0,   722,  3135,     0,     0,     0,
       0,     0,     0,  1952,  1954,     0,  3145,     0,     0,     0,
       0,     0,     0,  3154,  1192,     0,     0,  3157,  3158,     0,
       0,  3161,  3162,     0,     0,     0,     0,     0,  3167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3183,     0,  3185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3207,     0,
    1192,     0,     0,  3209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3214,     0,     0,     0,
       0,     0,     0,     0,  3219,     0,  3221,  3222,  3225,  3227,
       0,     0,     0,  3234,  3237,     0,     0,     0,     0,     0,
       0,  3248,     0,     0,     0,  3257,     0,     0,     0,  3261,
       0,     0,     0,     0,     0,     0,  1192,     0,  1954,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3290,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,  1954,  3297,  1192,  3299,  1192,     0,     0,     0,  3302,
       0,     0,     0,  3303,     0,  3307,  3308,  3309,  3310,     0,
    3312,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,  1192,  3336,  3337,  3338,     0,  1954,     0,     0,
       0,     0,     0,     0,  3346,  3347,     0,     0,     0,     0,
       0,  1346,   722,     0,   722,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,  1954,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   722,  3401,     0,   722,   722,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,  1192,  1015,     0,  1015,     0,     0,     0,     0,
       0,   678,     0,     0,     0,   722,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1015,  1015,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   722,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,  1160,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2327,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,  3528,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,   678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
    1192,   678,   678,     0,     0,  1712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3709,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,  3755,  3756,     0,     0,
     678,     0,     0,  1197,     0,   722,  1952,   722,     0,     0,
     722,     0,   722,  2327,     0,   722,   722,   722,     0,     0,
       0,  2107,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3778,     0,
       0,   722,     0,   722,     0,     0,     0,  3782,   722,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
    1197,     0,  3793,  3795,     0,     0,     0,  3795,     0,     0,
    1197,     0,  3806,  3807,  3808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3828,  3829,  3830,  3831,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3845,     0,  3849,  3850,
    3851,     0,     0,     0,     0,     0,     0,     0,  3864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2267,
       0,     0,     0,     0,     0,     0,     0,     0,   722,   722,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
     678,   678,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,  3905,     0,     0,     0,     0,     0,     0,
       0,  3909,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3977,     0,     0,     0,     0,
       0,     0,   722,     0,   678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2401,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4006,     0,     0,
    4009,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1952,  1566,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   930,     0,     0,  4049,     0,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,   678,     0,  4059,  1640,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2327,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
     678,     0,     0,   678,   678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,  1952,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1957,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,  4268,     0,  4269,     0,
       0,     0,     0,     0,     0,  4271,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,  1197,     0,  1197,
       0,  4280,   722,     0,   722,     0,     0,     0,   722,     0,
     722,     0,     0,   722,     0,     0,  4288,   722,  1197,     0,
       0,     0,  2267,     0,     0,     0,  4299,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,  4334,  4335,  4336,     0,     0,  4339,
    4340,  4341,  4342,  4343,     0,     0,  2162,     0,  4350,  4351,
       0,  4353,  4354,  4355,  4356,  4357,  4358,  4359,     0,     0,
    1197,     0,     0,     0,  1197,  1197,  4367,     0,  4369,  4370,
       0,     0,     0,     0,     0,  2186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2211,  2212,     0,  2215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4419,  4421,
    4423,     0,     0,  4426,     0,  2257,     0,     0,     0,     0,
       0,     0,     0,  2107,     0,     0,     0,     0,     0,     0,
    3028,     0,     0,  1957,     0,     0,     0,     0,     0,  2401,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2311,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,     0,  3795,     0,  2334,     0,     0,
       0,  2346,  2349,   678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2327,  2327,  2327,     0,  1957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,   678,
       0,     0,     0,     0,     0,  3100,     0,  1712,     0,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2251,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,     0,     0,     0,     0,     0,     0,  2251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,  1957,     0,     0,  1197,     0,     0,
       0,     0,     0,  4628,  4629,  4630,  4631,     0,     0,  4633,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   678,     0,
    4646,  4647,  4648,  4649,     0,  4651,  4652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4661,  4662,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4664,     0,     0,     0,     0,     0,  2327,  2327,     0,  2327,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,  1197,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,  1197,  1197,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,  1197,  1197,  1197,  1197,
       0,     0,     0,     0,  4726,     0,  1197,  1197,     0,  1197,
       0,  1197,  1197,  4732,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,  1197,     0,  4751,     0,     0,  1197,     0,     0,
       0,  1197,     0,     0,     0,  1197,     0,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,     0,  1197,  4770,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,  2107,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2890,     0,     0,
       0,     0,     0,     0,     0,  2327,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,  2327,     0,
    2913,     0,     0,  2915,     0,     0,  2926,     0,     0,     0,
       0,     0,     0,  2933,  2938,     0,     0,     0,     0,  2944,
       0,     0,  2949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2958,
       0,     0,     0,     0,  2965,     0,     0,     0,  2977,     0,
       0,     0,  2984,     0,  2986,  2987,  2988,  2989,  2990,  2991,
    2992,  2993,  2994,     0,  2995,     0,     0,  4854,  2251,     0,
       0,     0,     0,     0,  1566,  3023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,  4865,     0,     0,
    1957,  1957,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1640,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
    2251,     0,     0,     0,     0,     0,     0,  2401,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2251,  3795,     0,     0,     0,  2922,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2251,
    2251,     0,     0,  2251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2327,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2327,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2251,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4990,     0,
       0,     0,     0,     0,     0,     0,     0,  4997,     0,     0,
    3159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2251,     0,     0,     0,     0,     0,  1197,     0,
    1957,     0,     0,     0,  2251,     0,     0,  2251,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3795,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2327,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5088,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5110,     0,     0,     0,     0,  5114,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,  5151,     0,  1957,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,  1197,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,     0,
    3500,     0,     0,  1197,   722,     0,  1197,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,  1197,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,  1197,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,   678,     0,     0,     0,     0,
    1197,     0,     0,  1197,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3549,     0,     0,     0,     0,  3555,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,  2938,     0,  2938,
    2938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3612,     0,     0,  3615,     0,  3617,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
    1957,     0,  1957,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,  3638,     0,  3640,     0,     0,     0,  3643,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3023,  3023,  3023,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3706,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2334,     0,     0,
       0,     0,  3718,     0,     0,  3100,     0,  1957,  2349,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2251,     0,  2251,     0,  2922,  2922,  3586,     0,     0,
    2922,     0,     0,     0,  2251,     0,     0,     0,     0,     0,
       0,  2251,     0,     0,     0,     0,  2251,     0,  1957,     0,
    1957,     0,  2251,     0,     0,     0,     0,  2251,     0,     0,
       0,     0,     0,     0,     0,     0,  2251,  3764,     0,     0,
    2922,  2922,     0,  2251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2251,     0,   678,     0,     0,
       0,     0,  2251,     0,  2251,  2251,  2251,  2251,  2251,  2251,
    2251,  2251,  2251,  2251,     0,  1957,     0,     0,     0,     0,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1957,  2251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1957,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1957,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2251,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,  1957,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,  1197,     0,  1197,     0,     0,     0,     0,  1957,
    1197,     0,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,     0,     0,     0,  1197,  1197,     0,     0,
       0,     0,     0,     0,  1957,     0,     0,     0,     0,  1197,
       0,     0,     0,  1197,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
    1197,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
    1957,  1197,  1197,  1197,     0,     0,     0,  1197,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,  2401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4094,  2251,     0,     0,     0,   678,  4095,
       0,  4096,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,  1197,     0,  4114,  4115,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,  2944,     0,     0,     0,     0,     0,
     678,     0,     0,  1197,  4143,     0,     0,  4146,     0,  4148,
       0,     0,     0,     0,     0,     0,     0,     0,  4152,     0,
       0,     0,     0,     0,  4157,     0,     0,  4160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4201,     0,     0,     0,     0,
       0,  4208,  3023,     0,     0,     0,     0,     0,  2251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4223,     0,     0,     0,
       0,     0,  1566,   678,     0,     0,     0,  2251,  1640,     0,
       0,     0,     0,  2251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3586,
    3586,     0,  2922,     0,     0,  2922,  2922,  2922,  2922,  2922,
    2922,  2922,  2922,  2922,  2922,  3586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2251,     0,     0,  2251,     0,  2251,     0,     0,     0,     0,
    3586,  3586,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,  2922,  2922,  2251,     0,  2251,     0,
       0,  2251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1957,  1197,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2251,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2251,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,  2251,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,  1957,     0,     0,     0,     0,
    1197,  1197,     0,     0,     0,  1197,  1957,     0,     0,     0,
       0,  1197,  1197,     0,     0,  1197,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4480,  4481,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4513,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4531,
    4533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2922,     0,  4540,     0,  1957,     0,     0,     0,  4545,  4546,
       0,     0,  4548,     0,     0,  4551,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3023,     0,     0,     0,     0,  3023,     0,     0,
       0,     0,  3023,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,  2251,     0,
    1197,     0,  2251,  2251,  2251,     0,     0,  3586,     0,     0,
       0,  1197,  3586,  3586,  3586,  3586,  3586,  3586,  3586,  3586,
    3586,  3586,  2251,  2251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2251,  2922,  2922,  2251,     0,  2251,     0,     0,  1957,
    2251,  3586,  3586,     0,     0,  2251,     0,     0,  2251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1957,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,  2251,
       0,     0,     0,     0,     0,     0,  2251,     0,     0,  1197,
    1197,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,  2251,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,  1197,  4712,     0,  1197,
       0,     0,     0,     0,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4796,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4819,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,  1957,     0,  3586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,  1957,     0,  1197,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1197,  2251,  2251,
       0,     0,  1957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2251,     0,     0,     0,  2922,     0,     0,     0,     0,
       0,     0,  1957,     0,     0,     0,  1957,  1957,     0,  2251,
       0,  2251,     0,     0,     0,     0,  3586,  3586,  2251,     0,
       0,  2922,  2922,  2251,  2251,     0,  2251,     0,     0,  2251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,  2944,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,  2251,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4966,     0,     0,     0,  1197,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
    2251,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5040,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3586,  2922,     0,     0,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3586,  3586,  2251,     0,     0,     0,  1197,     0,
       5,     0,     0,     0,     0,     0,  5089,     0,     0,     0,
       6,     7,  1197,     0,     0,     0,     8,  2251,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,    36,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,  5135,  5135,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5135,     0,     0,  3586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5191,
       0,     0,     0,     0,  2251,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2251,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,  2251,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    58,     0,
       0,     0,     0,     0,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,    67,    68,
       0,    69,    70,    71,    72,    73,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
     739,   427,   428,   429,   740,   741,   742,   743,   744,   745,
     746,   430,   431,   747,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,   748,   437,   438,   439,   440,
     441,   749,   750,   442,   443,   751,   140,   444,   752,   445,
     446,   447,   448,   144,   753,   145,   754,   449,   450,   451,
     452,   148,   453,   755,   756,   454,   455,   456,   457,   458,
     459,   757,   151,   460,   758,   759,   760,   761,   152,   762,
     763,   764,   461,   462,   463,   464,   701,   465,   155,   156,
     466,   765,   467,   766,   468,   469,   470,   471,   472,   767,
     473,   474,   475,   768,   769,   476,   477,   478,   479,   480,
     770,   481,   482,   483,   771,   484,   485,   486,   772,   487,
     488,   489,   490,   164,   491,   492,   493,   166,   773,   494,
     774,   495,   496,   168,   497,   775,   498,   776,   499,   169,
     777,   170,   500,   501,   502,   778,   503,   172,   779,   504,
     780,   505,   506,   703,   507,   508,   173,   509,   510,   511,
     781,   512,   513,   514,   515,   516,   517,   782,   518,   174,
     175,   783,   519,   520,   521,   784,   176,   785,   177,   786,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
     787,   529,   530,   788,   531,   181,   182,   532,   183,   789,
     533,   534,   535,   790,   791,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,   792,   549,   550,   193,   551,   793,
     194,   552,   195,   553,   554,   555,   794,   556,   795,   796,
     557,   558,   559,   797,   798,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,   799,   569,
     200,   570,   201,   571,   572,   573,   800,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
     801,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   802,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,   803,   608,   609,
     610,   611,   612,   804,   613,   217,   614,   615,   219,   616,
     220,   617,   805,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,   806,   628,   629,   807,   630,   631,
     632,   633,   634,   635,   808,   224,   225,   809,   810,   637,
     226,   638,   227,   811,   639,   640,   641,   642,   643,   644,
     645,   812,   813,   646,   647,   648,   649,   650,   814,   815,
     651,   652,   653,   654,   655,   816,   234,   817,   656,   235,
     657,   658,   659,   660,   818,   819,   661,   820,   821,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,    85,     0,
       0,    86,    87,    88,    89,    90,    91,    92,    93,     0,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     975,   104,   105,   106,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
     119,   120,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   129,     0,   130,   131,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
     133,     0,     0,   134,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,   141,     0,   142,   143,   144,     0,   145,
       0,   146,     0,   147,     0,   148,     0,     0,     0,     0,
       0,     0,     0,   149,     0,   150,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,   153,
       0,   154,   155,   156,   157,     0,     0,     0,     0,     0,
   -1422,     0,     0,     0,     0,     0,   158,     0,   159,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,     0,     0,     0,     0,     0,   163,   164,   165,     0,
       0,   166,     0,     0,   167,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0, -1422,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,   184,   185,     0,     0,     0,     0,
     186,     0,     0,     0,     0,     0,     0,     0,     0,   187,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
     192,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,     0,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,     0,     0,     0,   205,   206,     0,   207,     0,
       0,     0,     0,   208,     0,     0,     0,     0,   209,   210,
       0,   211,   212,     0,     0,   213,     0,     0,     0,     0,
     214,   215,     0,     0,     0,     0,     0,     0,   216,   217,
       0,   218,   219,     0,   220,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,   223,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,   228,     0,
     229,     0,     0,     0,     0,   230,     0,     0,   231,     0,
       0, -1422,     0,     0,   232,     0,     0,     0,     0,   233,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   246,   104,
     105,     0,  -138,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
       0,   198,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,   201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,  3090,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
       0,   198,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,   201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,     0,  3092,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,    46,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    48,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    55,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,     0,    59,     0,     0,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1396,  2793,     0,     0,     0,    71,     0,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1396,
       0,     0,     0,     0,    71,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  3017,
     427,   428,   429,     0,     0,     0,     0,  1489,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1490,   137,  1491,  1492,     0,   437,   438,   439,   440,   441,
    1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,   446,
     447,   448,  1497,     0,  1498,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,
    1505,   461,   462,   463,   464,   701,   465,  1506,  1507,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,  3018,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1509,   491,   492,   493,  1510,  1511,   494,     0,
     495,   496,  1512,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1513,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1514,  1515,     0,  1516,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1517,   182,   532,   183,     0,   533,
     534,   535,  1518,  1519,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1520,   189,  1521,
     547,   548,   191,  1522,   549,   550,   193,   551,  1523,  1524,
     552,  1525,   553,   554,   555,     0,   556,     0,     0,  1526,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1527,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1528,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1529,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1530,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1531,   613,   217,   614,   615,   219,   616,  1532,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1533,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1534,  1535,     0,     0,   637,  1536,
     638,  1537,  1538,   639,   640,   641,   642,   643,   644,   645,
       0,  1539,   646,   647,   648,   649,   650,  1540,     0,   651,
     652,   653,   654,   655,   707,  1541,  3019,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1550,  1551,  3020,     0,     0,     0,
       0,     0,     0,  1553,  3021,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1489,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1490,   137,  1491,  1492,     0,   437,   438,   439,   440,   441,
    1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,   446,
     447,   448,  1497,     0,  1498,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,
    1505,   461,   462,   463,   464,   701,   465,  1506,  1507,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1509,   491,   492,   493,  1510,  1511,   494,     0,
     495,   496,  1512,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1513,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1514,  1515,     0,  1516,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1517,   182,   532,   183,     0,   533,
     534,   535,  1518,  1519,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1520,   189,  1521,
     547,   548,   191,  1522,   549,   550,   193,   551,  1523,  1524,
     552,  1525,   553,   554,   555,     0,   556,     0,     0,  1526,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1527,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1528,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1529,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1530,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1531,   613,   217,   614,   615,   219,   616,  1532,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1533,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1534,  1535,     0,     0,   637,  1536,
     638,  1537,  1538,   639,   640,   641,   642,   643,   644,   645,
       0,  1539,   646,   647,   648,   649,   650,  1540,     0,   651,
     652,   653,   654,   655,   707,  1541,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1550,  1551,     0,     0,     0,     0,
       0,     0,     0,  1553,  2924,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1923,   137,  1924,  1925,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1926,  1927,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1928,  1929,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1930,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,  2416,
     512,   513,   514,   515,   516,   517,     0,   518,   174,  2417,
       0,   519,   520,   521,  1514,  1931,     0,  1932,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1933,   189,  1934,
     547,   548,     0,     0,   549,   550,   193,   551,     0,     0,
     552,  1935,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,  2419,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1936,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  2420,   614,   615,   219,   616,  1938,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1939,  1940,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1941,  2421,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,     0,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  2519,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,  1923,   137,  1924,  1925,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1926,  1927,   444,     0,   445,   446,   447,   448,     0,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,  1928,  1929,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,     0,   491,
     492,   493,     0,     0,   494,     0,   495,   496,  1930,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,     0,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,  2416,   512,   513,   514,   515,
     516,   517,     0,   518,   174,  2417,     0,   519,   520,   521,
    1514,  1931,     0,  1932,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
       0,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1933,   189,  1934,   547,   548,     0,     0,
     549,   550,   193,   551,     0,     0,   552,  1935,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,  2419,   197,   561,   198,     0,   562,   563,   564,   565,
     566,   567,   568,     0,   569,     0,   570,     0,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1936,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
    2420,   614,   615,   219,   616,  1938,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,     0,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1939,  1940,     0,     0,   637,     0,   638,     0,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,  1941,  2421,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     668,   669,     0,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    3462,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1489,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1490,   137,  1491,  1492,  2934,   437,   438,   439,
     440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,
     445,   446,   447,   448,  1497,     0,  1498,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,
    1503,  1504,  1505,   461,   462,   463,   464,   701,   465,  1506,
    1507,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1508,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1509,   491,   492,   493,  1510,  1511,
     494,     0,   495,   496,  1512,   497,     0,   498,     0,   499,
     169,  2935,   170,   500,   501,   502,     0,   503,  1513,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1514,  1515,     0,  1516,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,  2936,   531,  1517,   182,   532,   183,
       0,   533,   534,   535,  1518,  1519,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1520,
     189,  1521,   547,   548,   191,  1522,   549,   550,   193,   551,
    1523,  1524,   552,  1525,   553,   554,   555,     0,   556,     0,
       0,  1526,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1527,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1528,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1529,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1530,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1531,   613,   217,   614,   615,   219,
     616,  1532,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1533,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1534,  1535,     0,  2937,
     637,  1536,   638,  1537,  1538,   639,   640,   641,   642,   643,
     644,   645,     0,  1539,   646,   647,   648,   649,   650,  1540,
       0,   651,   652,   653,   654,   655,   707,  1541,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1542,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1550,  1551,     0,     0,
       0,     0,     0,     0,     0,  1553,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1489,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1490,   137,  1491,  1492,     0,   437,   438,   439,   440,
     441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,
     446,   447,   448,  1497,     0,  1498,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,
    1504,  1505,   461,   462,   463,   464,   701,   465,  1506,  1507,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1508,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1509,   491,   492,   493,  1510,  1511,   494,
       0,   495,   496,  1512,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1513,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1514,  1515,     0,  1516,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1517,   182,   532,   183,     0,
     533,   534,   535,  1518,  1519,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1520,   189,
    1521,   547,   548,   191,  1522,   549,   550,   193,   551,  1523,
    1524,   552,  1525,   553,   554,   555,     0,   556,     0,     0,
    1526,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1527,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1528,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1529,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1530,   601,
     602,   603,   604,   605,   606,   706,   607,   215,   608,   609,
     610,   611,   612,  1531,   613,   217,   614,   615,   219,   616,
    1532,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1533,     0,   628,   629,   223,   630,   631,
     632,   633,   634,   635,     0,  1534,  1535,     0,     0,   637,
    1536,   638,  1537,  1538,   639,   640,   641,   642,   643,   644,
     645,     0,  1539,   646,   647,   648,   649,   650,  1540,     0,
     651,   652,   653,   654,   655,  2213,  1541,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,   236,   662,
     663,   664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1550,  1551,     0,     0,     0,
       0,     0,     0,     0,  1553,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1489,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1490,   137,  1491,  1492,     0,   437,   438,   439,   440,   441,
    1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,   446,
     447,   448,  1497,     0,  1498,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,
    1505,   461,   462,   463,   464,   701,   465,  1506,  1507,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1509,   491,   492,   493,  1510,  1511,   494,     0,
     495,   496,  1512,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1513,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1514,  1515,     0,  1516,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1517,   182,   532,   183,     0,   533,
     534,   535,  1518,  1519,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1520,   189,  1521,
     547,   548,   191,  1522,   549,   550,   193,   551,  1523,  1524,
     552,  1525,   553,   554,   555,     0,   556,     0,     0,  1526,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1527,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1528,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1529,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1530,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1531,   613,   217,   614,   615,   219,   616,  1532,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1533,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1534,  1535,     0,     0,   637,  1536,
     638,  1537,  1538,   639,   640,   641,   642,   643,   644,   645,
       0,  1539,   646,   647,   648,   649,   650,  1540,     0,   651,
     652,   653,   654,   655,   707,  1541,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1550,  1551,     0,     0,     0,     0,
       0,  2157,  2882,  1553,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1489,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1490,
     137,  1491,  1492,     0,   437,   438,   439,   440,   441,  1493,
    1494,   442,   443,  1495,  1496,   444,     0,   445,   446,   447,
     448,  1497,     0,  1498,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
     461,   462,   463,   464,   701,   465,  1506,  1507,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1508,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1509,   491,   492,   493,  1510,  1511,   494,     0,   495,
     496,  1512,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1513,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1514,  1515,     0,  1516,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1517,   182,   532,   183,     0,   533,   534,
     535,  1518,  1519,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1520,   189,  1521,   547,
     548,   191,  1522,   549,   550,   193,   551,  1523,  1524,   552,
    1525,   553,   554,   555,     0,   556,     0,     0,  1526,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1527,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1528,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1529,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1530,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1531,   613,   217,   614,   615,   219,   616,  1532,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1533,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1534,  1535,     0,     0,   637,  1536,   638,
    1537,  1538,   639,   640,   641,   642,   643,   644,   645,     0,
    1539,   646,   647,   648,   649,   650,  1540,     0,   651,   652,
     653,   654,   655,   707,  1541,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1550,  1551,  1552,     0,     0,     0,     0,
       0,     0,  1553,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1489,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1490,   137,
    1491,  1492,     0,   437,   438,   439,   440,   441,  1493,  1494,
     442,   443,  1495,  1496,   444,     0,   445,   446,   447,   448,
    1497,     0,  1498,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,
     462,   463,   464,   701,   465,  1506,  1507,   466,  1639,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1508,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1509,   491,   492,   493,  1510,  1511,   494,     0,   495,   496,
    1512,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1513,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1514,  1515,     0,  1516,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1517,   182,   532,   183,     0,   533,   534,   535,
    1518,  1519,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1520,   189,  1521,   547,   548,
     191,  1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,
     553,   554,   555,     0,   556,     0,     0,  1526,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1527,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1528,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1529,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1530,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1531,   613,   217,   614,   615,   219,   616,  1532,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1533,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,
    1538,   639,   640,   641,   642,   643,   644,   645,     0,  1539,
     646,   647,   648,   649,   650,  1540,     0,   651,   652,   653,
     654,   655,   707,  1541,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1550,  1551,     0,     0,     0,     0,     0,     0,
       0,  1553,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,  2344,   427,   428,   429,
       0,     0,     0,     0,  1489,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1490,   137,  1491,
    1492,     0,   437,   438,   439,   440,   441,  1493,  1494,   442,
     443,  1495,  1496,   444,     0,   445,   446,   447,   448,  1497,
       0,  1498,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,
     463,   464,   701,   465,  1506,  1507,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1509,
     491,   492,   493,  1510,  1511,   494,     0,   495,   496,  1512,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1513,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1514,  1515,     0,  1516,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1517,   182,   532,   183,     0,   533,   534,   535,  1518,
    1519,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1520,   189,  1521,   547,   548,   191,
    1522,   549,   550,   193,   551,  1523,  1524,   552,  1525,   553,
     554,   555,     0,   556,     0,     0,  1526,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1527,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1528,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1529,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1530,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1531,
     613,   217,   614,   615,   219,   616,  1532,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1533,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,
     639,   640,   641,   642,   643,   644,   645,     0,  1539,   646,
     647,   648,   649,   650,  1540,     0,   651,   652,   653,   654,
     655,   707,  1541,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,  1551,     0,     0,     0,     0,     0,     0,     0,
    1553,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1485,
    1486,  1487,    45,  1488,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1489,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1490,   137,  1491,  1492,
       0,   437,   438,   439,   440,   441,  1493,  1494,   442,   443,
    1495,  1496,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,  1506,  1507,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1509,   491,
     492,   493,  1510,  1511,   494,     0,   495,   496,  1512,   497,
       0,   498,     0,   499,   169,  2935,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1514,  1515,     0,  1516,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1517,   182,   532,   183,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1520,   189,  1521,   547,   548,   191,  1522,
     549,   550,   193,   551,  1523,  1524,   552,  1525,   553,   554,
     555,     0,   556,     0,     0,  1526,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1529,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1530,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,   219,   616,  1532,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,
     640,   641,   642,   643,   644,   645,     0,  1539,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,  1541,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1550,  1551,     0,     0,     0,     0,     0,     0,     0,  1553,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1485,  1486,
    1487,    45,  1488,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1489,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1490,   137,  1491,  1492,     0,
     437,   438,   439,   440,   441,  1493,  1494,   442,   443,  1495,
    1496,   444,     0,   445,   446,   447,   448,  1497,     0,  1498,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1499,
    1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,
     701,   465,  1506,  1507,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1508,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1509,   491,   492,
     493,  1510,  1511,   494,     0,   495,   496,  1512,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1513,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1514,
    1515,     0,  1516,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1517,
     182,   532,   183,     0,   533,   534,   535,  1518,  1519,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1520,   189,  1521,   547,   548,   191,  1522,   549,
     550,   193,   551,  1523,  1524,   552,  1525,   553,   554,   555,
       0,   556,     0,     0,  1526,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1527,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1528,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1529,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1530,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1531,   613,   217,
     614,   615,   219,   616,  1532,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1533,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1534,
    1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,   640,
     641,   642,   643,   644,   645,     0,  1539,   646,   647,   648,
     649,   650,  1540,     0,   651,   652,   653,   654,   655,   707,
    1541,  4209,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1550,
    1551,     0,     0,     0,     0,     0,     0,     0,  1553,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1485,  1486,  1487,
      45,  1488,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1489,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1490,   137,  1491,  1492,     0,   437,
     438,   439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,
     444,     0,   445,   446,   447,   448,  1497,     0,  1498,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,  4222,  1499,  1500,
    1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,
     465,  1506,  1507,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1508,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1509,   491,   492,   493,
    1510,  1511,   494,     0,   495,   496,  1512,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1513,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1514,  1515,
       0,  1516,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1517,   182,
     532,   183,     0,   533,   534,   535,  1518,  1519,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1520,   189,  1521,   547,   548,   191,  1522,   549,   550,
     193,   551,  1523,  1524,   552,  1525,   553,   554,   555,     0,
     556,     0,     0,  1526,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1527,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1528,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1529,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1530,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1531,   613,   217,   614,
     615,   219,   616,  1532,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1533,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1534,  1535,
       0,     0,   637,  1536,   638,  1537,  1538,   639,   640,   641,
     642,   643,   644,   645,     0,  1539,   646,   647,   648,   649,
     650,  1540,     0,   651,   652,   653,   654,   655,   707,  1541,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1542,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1550,  1551,
       0,     0,     0,     0,     0,     0,     0,  1553,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1485,  1486,  1487,    45,
    1488,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1489,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,  5132,  1490,   137,  1491,  1492,     0,   437,   438,
     439,   440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,
       0,   445,   446,   447,   448,  1497,     0,  1498,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,  5133,  1499,  1500,  1501,
    1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,   465,
    1506,  1507,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1508,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1509,   491,   492,   493,  1510,
    1511,   494,     0,   495,   496,  1512,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1513,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1514,  1515,     0,
    1516,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1517,   182,   532,
     183,     0,   533,   534,   535,  1518,  1519,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1520,   189,  1521,   547,   548,   191,  1522,   549,   550,   193,
     551,  1523,  1524,   552,  1525,   553,   554,   555,     0,   556,
       0,     0,  1526,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1527,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1528,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1529,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1530,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1531,   613,   217,   614,   615,
     219,   616,  1532,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1533,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1534,  1535,     0,
       0,   637,  1536,   638,  1537,  1538,   639,   640,   641,   642,
    5134,   644,   645,     0,  1539,   646,   647,   648,   649,   650,
    1540,     0,   651,   652,   653,   654,   655,   707,  1541,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1542,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1550,  1551,     0,
       0,     0,     0,     0,     0,     0,  1553,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1489,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1490,   137,  1491,  1492,     0,   437,   438,   439,
     440,   441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,
     445,   446,   447,   448,  1497,     0,  1498,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,  5133,  1499,  1500,  1501,  1502,
    1503,  1504,  1505,   461,   462,   463,   464,   701,   465,  1506,
    1507,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1508,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1509,   491,   492,   493,  1510,  1511,
     494,     0,   495,   496,  1512,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1513,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1514,  1515,     0,  1516,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1517,   182,   532,   183,
       0,   533,   534,   535,  1518,  1519,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1520,
     189,  1521,   547,   548,   191,  1522,   549,   550,   193,   551,
    1523,  1524,   552,  1525,   553,   554,   555,     0,   556,     0,
       0,  1526,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1527,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1528,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1529,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1530,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1531,   613,   217,   614,   615,   219,
     616,  1532,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1533,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1534,  1535,     0,     0,
     637,  1536,   638,  1537,  1538,   639,   640,   641,   642,  5134,
     644,   645,     0,  1539,   646,   647,   648,   649,   650,  1540,
       0,   651,   652,   653,   654,   655,   707,  1541,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1542,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1550,  1551,     0,     0,
       0,     0,     0,     0,     0,  1553,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1489,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1490,   137,  1491,  1492,     0,   437,   438,   439,   440,
     441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,
     446,   447,   448,  1497,     0,  1498,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,
    1504,  1505,   461,   462,   463,   464,   701,   465,  1506,  1507,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1508,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1509,   491,   492,   493,  1510,  1511,   494,
       0,   495,   496,  1512,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1513,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1514,  1515,     0,  1516,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1517,   182,   532,   183,     0,
     533,   534,   535,  1518,  1519,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1520,   189,
    1521,   547,   548,   191,  1522,   549,   550,   193,   551,  1523,
    1524,   552,  1525,   553,   554,   555,     0,   556,     0,     0,
    1526,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1527,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1528,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1529,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1530,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1531,   613,   217,   614,   615,   219,   616,
    1532,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1533,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1534,  1535,     0,     0,   637,
    1536,   638,  1537,  1538,   639,   640,   641,   642,   643,   644,
     645,     0,  1539,   646,   647,   648,   649,   650,  1540,     0,
     651,   652,   653,   654,   655,   707,  1541,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1550,  1551,     0,     0,     0,
       0,     0,     0,     0,  1553,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1489,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1490,   137,  1491,  1492,     0,   437,   438,   439,   440,   441,
    1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,   446,
     447,   448,  1497,     0,  1498,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,
    1505,   461,   462,   463,   464,   701,   465,  1506,  1507,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1509,   491,   492,   493,  1510,  1511,   494,     0,
     495,   496,  1512,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1513,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1514,  1515,     0,  1516,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1517,   182,   532,   183,     0,   533,
     534,   535,  1518,  1519,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1520,   189,  1521,
     547,   548,   191,  1522,   549,   550,   193,   551,  1523,  1524,
     552,  1525,   553,   554,   555,     0,   556,     0,     0,  1526,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1527,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1528,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1529,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1530,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1531,   613,   217,   614,   615,   219,   616,  1532,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1533,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1534,  1535,     0,     0,   637,  1536,
     638,  1537,  1538,   639,   640,   641,   642,   643,   644,   645,
       0,  1539,   646,   647,   648,   649,   650,  1540,     0,   651,
     652,   653,   654,   655,   707,  1541,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,  4523,  1542,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1550,  1551,     0,     0,     0,     0,
       0,     0,     0,  1553,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1489,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1490,
     137,  1491,  1492,     0,   437,   438,   439,   440,   441,  1493,
    1494,   442,   443,  1495,  1496,   444,     0,   445,   446,   447,
     448,  1497,     0,  1498,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
     461,   462,   463,   464,   701,   465,  1506,  1507,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1508,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1509,   491,   492,   493,  1510,  1511,   494,     0,   495,
     496,  1512,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1513,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1514,  1515,     0,  1516,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1517,   182,   532,   183,     0,   533,   534,
     535,  1518,  1519,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1520,   189,  1521,   547,
    4532,   191,  1522,   549,   550,   193,   551,  1523,  1524,   552,
    1525,   553,   554,   555,     0,   556,     0,     0,  1526,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1527,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1528,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1529,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1530,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1531,   613,   217,   614,   615,   219,   616,  1532,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1533,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1534,  1535,     0,     0,   637,  1536,   638,
    1537,  1538,   639,   640,   641,   642,   643,   644,   645,     0,
    1539,   646,   647,   648,   649,   650,  1540,     0,   651,   652,
     653,   654,   655,   707,  1541,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1550,  1551,     0,     0,     0,     0,     0,
       0,     0,  1553,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1489,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1490,   137,
    1491,  1492,     0,   437,   438,   439,   440,   441,  1493,  1494,
     442,   443,  1495,  1496,   444,     0,   445,   446,   447,   448,
    1497,     0,  1498,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,
     462,   463,   464,   701,   465,  1506,  1507,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1508,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1509,   491,   492,   493,  1510,  1511,   494,     0,   495,   496,
    1512,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1513,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1514,  1515,     0,  1516,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1517,   182,   532,   183,     0,   533,   534,   535,
    1518,  1519,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1520,   189,  1521,   547,   548,
     191,     0,   549,   550,   193,   551,  1523,  1524,   552,  1525,
     553,   554,   555,     0,   556,     0,     0,  1526,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1527,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1528,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1529,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1530,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1531,   613,   217,   614,   615,   219,   616,  1532,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1533,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,
    1538,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  1540,     0,   651,   652,   653,
     654,   655,   707,  1541,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  2917,  2918,     0,     0,     0,     0,     0,     0,
       0,  1553,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1485,  1486,  1487,    45,  1488,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1489,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436, -2682,  1490,   137,  1491,
    1492,     0,   437,   438,   439,   440,   441,  1493,  1494,   442,
     443,  1495,  1496,   444,     0,   445,   446,   447,   448,  1497,
       0,  1498,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
    5133,  1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,
     463,   464,   701,   465,  1506,  1507,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1508,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1509,
     491,   492,   493,  1510,  1511,   494,     0,   495,   496,  1512,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1513,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1514,  1515,     0,  1516,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1517,   182,   532,     0,     0,   533,   534,   535,  1518,
    1519,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1520,   189,  1521,   547,   548,   191,
       0,   549,   550,   193,   551,  1523,  1524,   552,  1525,   553,
     554,   555,     0,   556,     0,     0,  1526,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1527,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1528,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1529,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1530,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1531,
     613,   217,   614,   615,     0,   616,  1532,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1533,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,
     639,   640,   641,   642,  5134,   644,   645,     0,  1539,   646,
     647,   648,   649,   650,  1540,     0,   651,   652,   653,   654,
     655,   707,  1541,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,  1551,     0,     0,     0,     0,     0,     0,     0,
    1553,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1485,
    1486,     0,    45,  1488,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1489,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1490,   137,  1491,  1492,
       0,   437,   438,   439,   440,   441,  1493,  1494,   442,   443,
    1495,  1496,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,  1506,  1507,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1509,   491,
     492,   493,  1510,  1511,   494,     0,   495,   496,  1512,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1514,  1515,     0,  1516,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1517,   182,   532,   183,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1520,   189,  1521,   547,   548,   191,     0,
     549,   550,   193,   551,  1523,  1524,   552,  1525,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1529,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1530,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,   219,   616,  1532,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,  1541,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,  1553,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1485,  1486,     0,    45,  1488,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1489,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1490,   137,  1491,  1492,     0,  4127,   438,   439,   440,
     441,  1493,  1494,   442,   443,  1495,  1496,   444,     0,   445,
     446,   447,   448,  1497,     0,  1498,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1499,  1500,  1501,  1502,  1503,
    1504,  1505,   461,   462,   463,   464,   701,   465,  1506,  1507,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1508,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1509,   491,   492,   493,  1510,  1511,   494,
       0,   495,   496,  1512,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1513,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1514,  1515,     0,  1516,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1517,   182,   532,   183,     0,
     533,   534,   535,  1518,  1519,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1520,   189,
    1521,   547,   548,   191,     0,   549,   550,   193,   551,  1523,
    1524,   552,  1525,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1527,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1528,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1529,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1530,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1531,   613,   217,   614,   615,   219,   616,
    1532,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1533,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1534,  1535,     0,     0,   637,
    1536,   638,  1537,  1538,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,  1540,     0,
     651,   652,   653,   654,   655,   707,  1541,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1542,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,   708,   668,   669,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  1553,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1485,
    1486,  1487,    45,  1488,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1489,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,  1490,   137,  1491,  1492,
       0,   437,   438,   439,   440,   441,  1493,  1494,   442,   443,
    1495,  1496,   444,     0,   445,   446,   447,   448,  1497,     0,
    1498,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1499,  1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,
     464,   701,   465,  1506,  1507,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1508,   479,   480,     0,   481,   482,   483,     0,
     484,     0,   486,     0,   487,   488,   489,   490,  1509,   491,
     492,   493,  1510,  1511,   494,     0,   495,   496,  1512,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1513,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1514,  1515,     0,  1516,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1517,   182,   532,     0,     0,   533,   534,   535,  1518,  1519,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1520,   189,  1521,   547,   548,   191,     0,
     549,   550,   193,   551,  1523,  1524,   552,  1525,   553,   554,
     555,     0,   556,     0,     0,  1526,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1527,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1528,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1529,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1530,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1531,   613,
     217,   614,   615,     0,   616,  1532,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1533,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1534,  1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,
     640,   641,   642,   643,   644,   645,     0,  1539,   646,   647,
     648,   649,   650,  1540,     0,   651,   652,   653,   654,   655,
     707,  1541,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1550,  1551,     0,     0,     0,     0,     0,     0,     0,  1553,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1485,  1486,
    1487,    45,  1488,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1489,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,     0,  1490,   137,  1491,  1492,     0,
     437,   438,   439,   440,   441,  1493,  1494,   442,   443,  1495,
    1496,   444,     0,   445,   446,   447,   448,  1497,     0,  1498,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1499,
    1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,
     701,   465,  1506,  1507,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1508,   479,   480,     0,   481,   482,   483,     0,   484,
       0,   486,     0,   487,   488,   489,   490,  1509,   491,   492,
     493,  1510,  1511,   494,     0,   495,   496,  1512,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1513,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1514,
    1515,     0,  1516,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1517,
     182,   532,     0,     0,   533,   534,   535,  1518,  1519,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1520,   189,  1521,   547,   548,   191,     0,   549,
     550,   193,   551,  1523,  1524,   552,  1525,   553,   554,   555,
       0,   556,     0,     0,  1526,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1527,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1528,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1529,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1530,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1531,   613,   217,
     614,   615,     0,   616,  1532,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1533,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1534,
    1535,     0,     0,   637,  1536,   638,  1537,  1538,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,  1540,     0,   651,   652,   653,   654,   655,   707,
    1541,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  2917,
    2918,     0,     0,     0,     0,     0,     0,     0,  1553,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,  1494,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,  1497,     0,  1498,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1499,  1500,
    1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
    1510,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1513,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,  3658,   529,   530,     0,   531,  1517,   182,
     532,   183,     0,   533,   534,   535,  1518,  1519,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,  1524,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1527,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1528,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,  3659,   602,   603,   604,   605,   606,   706,   607,
     215,   608,   609,   610,   611,   612,  1531,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1533,     0,   628,   629,
     223,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,  1536,   638,  1537,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  1540,     0,   651,   652,   653,   654,   655,  2213,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,   236,   662,   663,   664,   665,   666,   667,   237,  1542,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,
       0,     0,     0,     0,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  3660,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
    1494,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,  1497,     0,  1498,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,  1510,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1513,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,  3658,   529,
     530,     0,   531,  1517,   182,   532,   183,     0,   533,   534,
     535,  1518,  1519,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,  1524,   552,
     195,   553,   554,   555,     0,   556,     0,  1094,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1527,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1528,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,  3659,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1531,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1533,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,  1536,   638,
    1537,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,  1540,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,   708,   668,   669,     0,     0,     0,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  3660,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,  1494,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,  1497,     0,  1498,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1499,  1500,
    1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
    1510,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1513,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1517,   182,
     532,   183,     0,   533,   534,   535,  1518,  1519,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,  1524,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1527,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1528,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,  3659,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1531,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1533,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,  1536,   638,  1537,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  1540,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1542,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,   669,
       0,     0,     0,     0,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,   246,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
    1494,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,  1497,     0,  1498,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1499,  1500,  1501,  1502,  1503,  1504,  1505,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,  1510,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1513,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1517,   182,   532,   183,     0,   533,   534,
     535,  1518,  1519,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,  1524,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1527,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1528,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1531,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1533,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,  1536,   638,
    1537,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,  1540,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1542,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,   708,   668,   669,     0,     0,     0,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  4252,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  4856,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,  4179,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
   -1514,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0, -1514,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518, -1514,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523, -1514,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181, -1514,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188, -1514,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598, -1514,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,     0,
       0,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,  1647,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,  3940,  3941,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,  3941,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,   215,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,   223,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,  2213,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,   236,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,   246,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,   215,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,   223,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  2213,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,   236,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,   246,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,  1622,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,  3080,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,  4163,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,  4574,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
    1219,    45,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,   739,   427,   428,   429,   740,   741,
     742,   743,   744,   745,   746,   430,   431,   747,   432,   433,
     133,   434,   435,   436,     0,  1923,   137,  1924,  1925,   748,
     437,   438,   439,   440,   441,   749,   750,   442,   443,  1926,
    1927,   444,   752,   445,   446,   447,   448,     0,   753,   145,
     754,   449,   450,   451,   452,   148,   453,   699,   756,   454,
     455,   456,   457,   458,   459,   757,   151,   460,     0,   759,
     760,   761,   152,   762,   763,   764,   461,   462,   463,   464,
     701,   465,  1928,  1929,   466,   765,   467,   766,   468,   469,
     470,   471,   472,   767,   473,   474,   475,   768,   769,   476,
     477,  1508,   479,   480,   770,   481,   482,   483,   771,   484,
     485,   486,   772,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   773,   494,   774,   495,   496,  1930,   497,   775,
     498,   776,   499,   169,   777,   170,   500,   501,   502,   778,
     503,     0,   779,   504,   780,   505,   506,   703,   507,   508,
     173,   509,   510,   511,   781,   512,   513,   514,   515,   516,
     517,   782,   518,   174,     0,     0,   519,   520,   521,  1514,
    1931,   785,  1932,   786,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,   787,   529,   530,   788,   531,     0,
     182,   532,   183,   789,   533,   534,   535,   790,   791,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1933,   189,  1934,   547,   548,     0,   792,   549,
     550,   193,   551,   793,     0,   552,  1935,   553,   554,   555,
     794,   556,   795,   796,  3927,   558,   559,   797,   798,   560,
       0,   197,   561,   198,     0,   562,   563,   564,   565,   566,
     567,   568,   799,   569,     0,   570,     0,   571,   572,   573,
     800,   574,   575,   576,   577,   578,   579,   580,   581,  1936,
     582,   583,   584,   585,   801,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   802,   597,   598,   210,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   706,
     607,   803,   608,   609,   610,   611,   612,   804,   613,  2420,
     614,   615,   219,   616,  1938,   617,   805,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,     0,   806,   628,
     629,   807,   630,   631,   632,   633,   634,   635,   808,  1939,
    1940,     0,   810,   637,     0,   638,     0,   811,   639,   640,
     641,   642,   643,   644,   645,     0,   813,   646,   647,   648,
     649,   650,   814,   815,   651,   652,   653,   654,   655,     0,
    1941,   817,   656,   235,   657,   658,   659,   660,   818,   819,
     661,   820,   821,   662,   663,   664,   665,   666,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   708,   668,
     669,     0,     0,     0,     0,  1222,  1223,  1224,     0,  3928,
    3929,  1227,  1228,  1229,  1230,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1219,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,  1220,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,  1221,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,  1222,
    1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1219,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,  1316,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,  1317,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  1225,  1226,  1227,
    1228,  1229,  1230,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1219,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,  1373,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,  1374,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,  1375,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
    1908,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,  1909,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1219,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,  1222,  1223,  1224,     0,  1225,
    1226,  1227,  1228,  1229,  1230,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1219,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,  3180,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,  3181,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,  1222,
    1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1219,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,  4835,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  1225,  1226,  1227,
    1228,  1229,  1230,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   739,   427,   428,
     429,   740,   741,   742,   743,   744,   745,   746,   430,   431,
     747,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,   748,   437,   438,   439,   440,   441,   749,   750,
     442,   443,   751,   140,   444,   752,   445,   446,   447,   448,
     144,   753,   145,   754,   449,   450,   451,   452,   148,   453,
     755,   756,   454,   455,   456,   457,   458,   459,   757,   151,
     460,   758,   759,   760,   761,   152,   762,   763,   764,   461,
     462,   463,   464,   701,   465,   155,   156,   466,   765,   467,
     766,   468,   469,   470,   471,   472,   767,   473,   474,   475,
     768,   769,   476,   477,   478,   479,   480,   770,   481,   482,
     483,   771,   484,   485,   486,   772,   487,   488,   489,   490,
     164,   491,   492,   493,   166,   773,   494,   774,   495,   496,
     168,   497,   775,   498,   776,   499,   169,   777,   170,   500,
     501,   502,   778,   503,   172,   779,   504,   780,   505,   506,
     703,   507,   508,   173,   509,   510,   511,   781,   512,   513,
     514,   515,   516,   517,   782,   518,   174,   175,   783,   519,
     520,   521,   784,   176,   785,   177,   786,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,   787,   529,   530,
     788,   531,   181,   182,   532,   183,   789,   533,   534,   535,
     790,   791,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,   792,   549,   550,   193,   551,   793,   194,   552,   195,
     553,   554,   555,   794,   556,   795,   796,   557,   558,   559,
     797,   798,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,   799,   569,   200,   570,   201,
     571,   572,   573,   800,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,   801,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   802,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,   803,   608,   609,   610,   611,   612,
     804,   613,   217,   614,   615,   219,   616,   220,   617,   805,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,   806,   628,   629,   807,   630,   631,   632,   633,   634,
     635,   808,   224,   225,   809,   810,   637,   226,   638,   227,
     811,   639,   640,   641,   642,   643,   644,   645,   812,   813,
     646,   647,   648,   649,   650,   814,   815,   651,   652,   653,
     654,   655,   816,   234,   817,   656,   235,   657,   658,   659,
     660,   818,   819,   661,   820,   821,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,   732,    86,    87,    88,   684,
      90,    91,    92,   685,  2312,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1923,   137,  1924,  1925,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1926,  1927,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1928,  1929,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1930,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,  2416,
     512,   513,   514,   515,   516,   517,     0,   518,   174,  2417,
       0,   519,   520,   521,  1514,  1931,     0,  1932,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1933,   189,  1934,
     547,   548,     0,     0,   549,   550,   193,   551,     0,     0,
     552,  1935,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,  2418,   560,  2419,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1936,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  2420,   614,   615,   219,   616,  1938,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1939,  1940,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1941,  2421,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,  2422,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,  1101,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,    86,    87,    88,   684,    90,    91,    92,   685,
    4883,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   996,   421,
     422,   423,   424,   425,   426,   997,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   998,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   999,   168,   497,
       0,   498,     0,  1000,     0,  1001,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,  1002,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,  1003,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,  1004,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,  1005,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,  1006,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,  1008,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   996,   421,
     422,   423,   424,   425,   426,   997,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,  1029,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   999,   168,   497,
       0,   498,     0,  1030,     0,  1001,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,  1002,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,  1003,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,  1004,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,  1005,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,  1006,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,  1008,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1421,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,  1001,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,  1002,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,  1008,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1426,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,  1001,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,  1002,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,  1008,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   702,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,  1593,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,  1071,  1594,    86,    87,    88,
     684,    90,    91,    92,   685,  1072,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,  1073,   443,  1045,   140,   444,     0,   445,
     446,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,  1074,     0,  1075,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,  1076,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,  1077,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,  1078,   600,   212,   601,
     602,   603,  1079,   605,   606,   706,   607,     0,   608,   609,
     610,   611,  1080,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1081,   225,     0,     0,  1082,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,  1049,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,  1083,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,   739,   427,   428,   429,   740,   741,   742,   743,   744,
     745,   746,   430,   431,   747,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,   748,   437,   438,   439,
     440,   441,   749,   750,   442,   443,   751,   140,   444,   752,
     445,   446,   447,   448,   144,   753,   145,   754,   449,   450,
     451,   452,   148,   453,   755,   756,   454,   455,   456,   457,
     458,   459,   757,   151,   460,   758,   759,   760,   761,   152,
     762,   763,   764,   461,   462,   463,   464,   701,   465,   155,
     156,   466,   765,   467,   766,   468,   469,   470,   471,   472,
     767,   473,   474,   475,   768,   769,   476,   477,   478,   479,
     480,   770,   481,   482,   483,   771,   484,   485,   486,   772,
     487,   488,   489,   490,   164,   491,   492,   493,   166,   773,
     494,   774,   495,   496,   168,   497,   775,   498,   776,   499,
     169,   777,   170,   500,   501,   502,   778,   503,   172,   779,
     504,   780,   505,   506,   703,   507,   508,   173,   509,   510,
     511,   781,   512,   513,   514,   515,   516,   517,   782,   518,
     174,   175,   783,   519,   520,   521,   784,   176,   785,   177,
     786,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,   787,   529,   530,   788,   531,   181,   182,   532,   183,
     789,   533,   534,   535,   790,   791,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,   792,   549,   550,   193,   551,
     793,   194,   552,   195,   553,   554,   555,   794,   556,   795,
     796,   557,   558,   559,   797,   798,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,   799,
     569,   200,   570,   201,   571,   572,   573,   800,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,   801,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   802,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,   803,   608,
     609,   610,   611,   612,   804,   613,   217,   614,   615,   219,
     616,   220,   617,   805,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,   806,   628,   629,   807,   630,
     631,   632,   633,   634,   635,   808,   224,   225,   809,   810,
     637,   226,   638,   227,   811,   639,   640,   641,   642,   643,
     644,   645,   812,   813,   646,   647,   648,   649,   650,   814,
     815,   651,   652,   653,   654,   655,   816,   234,   817,   656,
     235,   657,   658,   659,   660,   818,   819,   661,   820,   821,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   739,   427,   428,   429,   740,   741,   742,   743,
     744,   745,   746,   430,   431,   747,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,   748,   437,   438,
     439,   440,   441,   749,   750,   442,   443,   751,   140,   444,
     752,   445,   446,   447,   448,   144,   753,   145,   754,   449,
     450,   451,   452,   148,   453,   755,   756,   454,   455,   456,
     457,   458,   459,   757,   151,   460,   758,   759,   760,   761,
     152,   762,   763,   764,   461,   462,   463,   464,   701,   465,
     155,   156,   466,   765,   467,   766,   468,   469,   470,   471,
     472,   767,   473,   474,   475,   768,   769,   476,   477,   478,
     479,   480,   770,   481,   482,   483,   771,   484,   485,   486,
     772,   487,   488,   489,   490,   164,   491,   492,   493,   166,
     773,   494,   774,   495,   496,   168,   497,   775,   498,   776,
     499,   169,   777,   170,   500,   501,   502,   778,   503,   172,
     779,   504,   780,   505,   506,   703,   507,   508,   173,   509,
     510,   511,   781,   512,   513,   514,   515,   516,   517,   782,
     518,   174,   175,   783,   519,   520,   521,   784,   176,   785,
     177,   786,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,   787,   529,   530,   788,   531,   181,   182,   532,
     183,   789,   533,   534,   535,   790,   791,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,   189,   190,   547,   548,   191,   792,   549,   550,   193,
     551,   793,   194,   552,   195,   553,   554,   555,   794,   556,
     795,   796,   557,   558,   559,   797,   798,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
     799,   569,   200,   570,   201,   571,   572,   573,   800,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,   801,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   802,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,   803,
     608,   609,   610,   611,   612,   804,   613,   217,   614,   615,
     219,   616,   220,   617,   805,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,   806,   628,   629,   807,
     630,   631,   632,   633,   634,   635,   808,   224,   225,   809,
     810,   637,   226,   638,   227,   811,   639,   640,   641,   642,
     643,   644,   645,   812,   813,   646,   647,   648,   649,   650,
     814,   815,   651,   652,   653,   654,   655,   816,   234,   817,
     656,   235,   657,   658,   659,   660,   818,   819,   661,   820,
     821,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,  3239,
     424,   425,   426,   739,   427,   428,   429,   740,   741,   742,
     743,   744,   745,   746,   430,   431,   747,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,   748,   437,
     438,   439,   440,   441,   749,   750,   442,   443,   751,   140,
     444,   752,   445,   446,   447,   448,   144,   753,   145,   754,
     449,   450,   451,   452,   148,   453,   755,   756,   454,   455,
     456,   457,   458,   459,   757,   151,   460,   758,   759,   760,
     761,   152,   762,   763,   764,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   765,   467,   766,   468,   469,   470,
     471,   472,   767,   473,   474,   475,   768,   769,   476,   477,
     478,  3240,   480,   770,   481,   482,   483,   771,   484,   485,
     486,   772,   487,   488,   489,   490,   164,   491,   492,   493,
     166,   773,   494,   774,   495,   496,   168,   497,   775,   498,
     776,   499,   169,   777,   170,   500,   501,   502,   778,   503,
     172,   779,   504,   780,   505,   506,   703,   507,   508,   173,
     509,   510,   511,   781,   512,   513,   514,   515,   516,   517,
     782,   518,   174,   175,   783,   519,   520,   521,   784,   176,
     785,   177,   786,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,   787,   529,   530,   788,   531,   181,   182,
     532,   183,   789,   533,   534,   535,   790,   791,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,   792,   549,   550,
     193,   551,   793,   194,   552,   195,   553,   554,   555,   794,
     556,   795,   796,   557,   558,   559,   797,   798,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,   799,   569,   200,   570,   201,   571,   572,   573,   800,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,   801,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   802,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
     803,   608,   609,   610,   611,   612,   804,  3241,   217,   614,
     615,   219,   616,   220,   617,   805,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,   806,   628,   629,
     807,   630,   631,   632,   633,   634,   635,   808,   224,   225,
     809,   810,   637,   226,   638,   227,   811,   639,   640,   641,
     642,   643,   644,   645,   812,   813,   646,   647,   648,   649,
     650,   814,   815,   651,   652,   653,   654,   655,   816,   234,
     817,   656,   235,   657,   658,   659,   660,   818,   819,   661,
     820,   821,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,  1494,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,  1497,     0,  1498,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1499,
    1500,  1501,  1502,  1503,  1504,  1505,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,  1510,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1513,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1517,
     182,   532,   183,     0,   533,   534,   535,  1518,  1519,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,  1524,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1527,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1528,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1531,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1533,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,  1536,   638,  1537,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,  1540,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,  1356,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1366,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,     0,  1923,
     137,  1924,  1925,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,  1926,  1927,   444,     0,   445,   446,   447,
     448,     0,     0,   145,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,   701,   465,  1928,  1929,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1508,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,     0,   491,   492,   493,     0,     0,   494,     0,   495,
     496,  1930,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,     0,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,  2416,   512,
     513,   514,   515,   516,   517,     0,   518,   174,  2417,     0,
     519,   520,   521,  1514,  1931,     0,  1932,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,     0,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1933,   189,  1934,   547,
     548,     0,     0,   549,   550,   193,   551,     0,     0,   552,
    1935,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,  2419,   197,   561,   198,     0,   562,
     563,   564,   565,   566,   567,   568,     0,   569,     0,   570,
       0,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1936,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,  2420,   614,   615,   219,   616,  1938,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,     0,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1939,  1940,     0,     0,   637,     0,   638,
       0,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,  1941,  2421,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1923,   137,  1924,  1925,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1926,  1927,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1928,  1929,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1508,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1930,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,     0,
       0,   519,   520,   521,  1514,  1931,     0,  1932,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1933,   189,  1934,
     547,   548,     0,     0,   549,   550,   193,   551,  2507,     0,
     552,  1935,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,     0,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1936,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  2420,   614,   615,   219,   616,  1938,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,  4032,   630,   631,   632,
     633,   634,   635,     0,  1939,  1940,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1941,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
       0,  1923,   137,  1924,  1925,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,  1926,  1927,   444,     0,   445,
     446,   447,   448,     0,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,  1928,  1929,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1508,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,     0,   491,   492,   493,     0,     0,   494,
       0,   495,   496,  1930,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,     0,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
       0,     0,   519,   520,   521,  1514,  1931,     0,  1932,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,     0,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1933,   189,
    1934,   547,   548,  2567,     0,   549,   550,   193,   551,     0,
       0,   552,  1935,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,     0,   197,   561,   198,
       0,   562,   563,   564,   565,   566,   567,   568,     0,   569,
       0,   570,     0,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1936,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,  1937,   614,   615,   219,   616,
    1938,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,     0,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1939,  1940,     0,     0,   637,
       0,   638,     0,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,  1941,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1923,   137,  1924,  1925,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1926,  1927,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1928,
    1929,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1508,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1930,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,     0,     0,   519,   520,   521,  1514,  1931,     0,  1932,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1933,
     189,  1934,   547,   548,  3861,     0,   549,   550,   193,   551,
       0,     0,   552,  1935,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,     0,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1936,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,  1937,   614,   615,   219,
     616,  1938,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1939,  1940,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1941,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1923,   137,  1924,  1925,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1926,  1927,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
    1928,  1929,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1508,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,  1930,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,     0,     0,   519,   520,   521,  1514,  1931,     0,
    1932,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1933,   189,  1934,   547,   548,     0,     0,   549,   550,   193,
     551,     0,     0,   552,  1935,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1936,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,  1937,   614,   615,
     219,   616,  1938,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1939,  1940,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,  1941,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1923,   137,  1924,  1925,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1926,  1927,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,  1928,  1929,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1508,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,  1930,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,     0,     0,   519,   520,   521,  1514,  1931,
       0,  1932,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1933,   189,  1934,   547,   548,     0,     0,   549,   550,
     193,   551,     0,     0,   552,  1935,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,     0,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1936,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,  2420,   614,
     615,   219,   616,  1938,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1939,  1940,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,  1941,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,     0,  1923,   137,  1924,  1925,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,  1926,
    1927,   444,     0,   445,   446,   447,   448,     0,     0,   145,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
     701,   465,  1928,  1929,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1508,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,     0,   491,   492,
     493,     0,     0,   494,     0,   495,   496,  1930,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,     0,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,     0,     0,   519,   520,   521,  1514,
    1931,     0,  1932,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,     0,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1933,   189,  1934,   547,   548,     0,     0,   549,
     550,   193,   551,     0,     0,   552,  1935,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
       0,   197,   561,   198,     0,   562,   563,   564,   565,   566,
     567,   568,     0,   569,     0,   570,     0,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1936,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,     0,
     614,   615,   219,   616,  1938,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,     0,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1939,
    1940,     0,     0,   637,     0,   638,     0,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
    1941,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,     0,   137,     0,     0,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,     0,   444,     0,   445,   446,   447,   448,     0,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,     0,     0,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,     0,   491,
     492,   493,     0,     0,   494,     0,   495,   496,     0,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,     0,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,     0,     0,   519,   520,   521,
       0,     0,     0,     0,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
       0,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,     0,   189,     0,   547,   548,     0,     0,
     549,   550,   193,   551,     0,     0,   552,     0,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,     0,   197,   561,   198,     0,   562,   563,   564,   565,
     566,   567,   568,     0,   569,     0,   570,     0,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
       0,   614,   615,   219,   616,     0,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,     0,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
       0,     0,     0,     0,   637,     0,   638,     0,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,     0,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
       0,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,     0,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,     0,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,   479,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,     0,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,     0,   519,   520,   521,
       0,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,   803,   608,   609,   610,   611,   612,   804,   613,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,     0,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,     0,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
       0,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,  1163,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,  2453,   445,   446,   447,   448,   144,     0,
       0,  2526,   449,   450,   451,   452,     0,   453,   699,  2454,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,  2527,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,  2456,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,  2457,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,  2458,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,  2453,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,  2454,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,  2527,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,  2456,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,  3409,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,  2457,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,  2458,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,  1060,   425,   426,  1016,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,  1017,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
    1061,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,  1018,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,  1019,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1016,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,  1017,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
    3142,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,  1018,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,  1019,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,  2453,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,  2454,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,  2527,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,  2456,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,  2457,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,  2458,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   697,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,   700,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   702,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1016,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,  1017,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,  1018,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,  1019,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
     927,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   928,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   929,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  2114,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
    2115,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,  2116,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,  2117,   499,     0,     0,     0,  2118,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,  2119,  2120,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,  2121,   605,   606,
     706,   607,     0,  2122,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,  2123,   630,  2124,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,  2125,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,  1017,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,  1018,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,  1019,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
    2103,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,  2398,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,  3006,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,  3007,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,  3008,   630,   631,  3009,   633,  3010,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
    3011,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   724,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   702,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   877,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1244,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1245,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,  1094,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1348,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,   130,
     131,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  3223,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  3224,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  3235,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  3236,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   933,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   978,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,  1033,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,  1094,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1214,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1215,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1596,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1770,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,  1094,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1818,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1819,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
    2011,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
    2103,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,  2398,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,  4179,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,  4193,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,  4418,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,  4420,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,  4422,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,  4838,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,  1042,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1044,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  1046,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1047,   225,     0,     0,  1048,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1088,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  1089,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1090,   225,     0,     0,  1091,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,  1108,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1239,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1253,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1307,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1321,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1361,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1380,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1382,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1384,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1387,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1393,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,  1607,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,  1073,   443,
    1045,   140,  1608,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,  1077,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,  1078,   600,   212,   601,   602,   603,  1079,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  1600,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1081,   225,     0,     0,  1082,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,  1083,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,  1733,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,  1044,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1970,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    2000,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    2035,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    2037,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    2039,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,  2152,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,  2365,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,     0,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    2764,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    3153,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    3226,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    3228,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    3333,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,  1073,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,  1077,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,  1078,   600,   212,   601,   602,   603,  1079,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  1600,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1081,   225,     0,     0,  1082,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,  1083,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,  1073,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,  1077,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,  1078,   600,   212,   601,   602,   603,  1079,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  1600,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,  2444,   632,   633,   634,   635,     0,
    1081,   225,     0,     0,  1082,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,  1083,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,  1073,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,  1077,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,  1078,   600,   212,   601,   602,   603,  2511,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  2512,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1081,   225,     0,     0,  2513,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,  1083,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,  1073,   443,
    1045,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,  1077,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,  1078,   600,   212,   601,   602,   603,  1079,   605,   606,
     706,   607,     0,   608,   609,   610,   611,  2512,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1081,   225,     0,     0,  2513,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
    1049,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,  1083,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
       0,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,     0,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,     0,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115, -2436,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,   413,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,     0,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115, -2437,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,  1158,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
       0,   198,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,   201,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,     0,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,     0,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,     0,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,     0,
       0,   219,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,  2079,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,  2080,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,  2081,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669,     0,     0,     0,    35,     0,     0,     0,     0,
    1007,  1691,  4685,    41,    42,     0,     0,     0,     0,  4686,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,   130,   131,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
     215,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
     223,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   233,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,   236,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,   246,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,  2300,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,  2079,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,  2080,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,  2081,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   668,   669,     0,     0,     0,     0,     0,
       0,    35,   418,  1007,  1691,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
    2305,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,  2079,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,  2080,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,  2081,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   668,   669,     0,     0,     0,     0,
       0,     0,    35,   418,  1007,  1691,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,  2079,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,  2080,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,  2081,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,     0,   668,   669,     0,     0,     0,
       0,     0,     0,    35,     0,  1007,  1691,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,  2079,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,  2080,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,  2081,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   668,   669,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,   636,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   668,   669,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,  2285,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,  2059,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
    2625,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,  2626,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,   130,   131,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1235,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,  3514,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,  1251,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,  1329,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,  1368,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
    1378,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,  1389,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,  1390,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   668,   669
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4802))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2682))

static const yytype_int16 yycheck[] =
{
       2,   246,   901,    78,   381,  1445,    78,    78,  1367,    78,
     381,   209,  1075,  1129,   858,  1124,   365,  1236,  1092,  1756,
     940,    78,   117,  1415,    78,  1371,   154,   150,  1194,    78,
      84,   167,   228,  1252,  1376,    84,  2360,  1017,  1018,  1019,
    1318,  1953,  1241,  1023,  2118,  1262,  1791,  1299,   153,  2859,
    1328,   187,  1628,  1937,  2424,  2425,  2262,   901,   730,   958,
    1797,  2068,  1535,   117,   984,  1478,  1240,   162,  3219,  1506,
    1507,   223,  1246,  2274,   202,  1082,    78,  1896,   160,  3195,
    1254,  2696,    84,   171,  1801,  1304,    96,    89,  1525,  1308,
     165,  3470,  1996,  2704,  1313,   940,   106,   960,   165,  1955,
    3407,  1320,  2324,  2566,  3432,  1357,  1645,   970,   162,    78,
    3714,  1330,  3014,  1811,   958,   117,  1847,  1407,  1685,  1686,
    1687,   209,  2661,   132,  1649,  3239,  2157,  3241,   117,     2,
    2616,  3459,   142,   731,  2838,   230,  3019,  3388,   353,  1171,
    3634,   367,  1859,  3080,  1171,  4022,  3375,   157,  3017,  3018,
    3763,   153,   208,  2057,  3816,  3767,  3014,  4033,  1078,  3388,
     162,   983,   218,  1739,   216,  1783,  1864,  1865,  2951,  1408,
     167,  3073,  4012,   162,  1399,   367,   230,  3666,  1797,  1680,
    1681,  2372,  3969,  1743,  3111,  4468,  1999,  1428,  2007,  1211,
     187,  1252,  1121,  3724,  1121,  3665,  3660,  3592,  4257,  3392,
    3393,  3394,  3395,  3396,  3397,    94,   208,  4574,    30,  4576,
    1166,  1167,    21,  3941,   216,  3073,   218,    14,  2424,   208,
    2411,    88,  4762,   108,  2415,   102,   975,   216,   230,   218,
      88,    10,    72,  1078,   128,    72,  2699,   121,    72,  4010,
      37,   230,   135,   132,    81,   128,   113,  1495,  1496,    86,
    4021,    84,    86,   143,   156,   927,   838,    95,   114,   114,
     204,  4615,   182,  1553,   153,   154,   112,   180,   112,   229,
    4755,   179,   173,  1521,   163,    72,   143,    72,    75,    76,
      77,    78,   268,    25,    81,    82,    83,    84,   210,    86,
     149,    86,    75,    76,    77,    78,    95,    78,   373,    82,
     229,   373,   373,  3086,   373,   128,   229,    78,   182,   235,
    2773,  2223,  2775,   202,   403,   117,   373,  1297,   232,    72,
     199,   145,  4701,   327,   117,   141,   180,   381,    81,   153,
     403,  5132,   381,    86,  1408,   103,   104,   385,    75,    76,
      77,    78,   224,    99,    78,    82,    75,    76,    77,    78,
     106,   229,   403,    82,   184,    78,   183,    78,   268,   197,
     162,    90,   416,   231,   221,     0,    78,   416,    99,   162,
      78,    75,    76,    77,    78,   106,    14,    88,    82,   381,
      14,   229,    99,  1282,    75,    76,    77,    78,  1554,   106,
     145,    82,    14,   180,   109,  1612,    78,   180,   197,   249,
    1072,   249,   113,    37,   373,    75,    76,    77,    78,   457,
      93,  2485,    82,  5214,   416,  1581,    78,    78,   362,   246,
      90,    78,    75,    76,    77,    78,   149,   516,   230,    82,
     230,   135,   143,    75,    76,    77,    78,   230,  1282,   269,
      82,   229,   165,   516,   318,   145,   229,  4814,    90,    75,
      76,    77,    78,   310,    78,   182,    82,   268,    78,   313,
     228,   329,   230,   840,  4747,   516,   185,  1940,   145,   840,
     145,   211,  1392,   188,   187,  4262,   173,   379,    75,    76,
      77,    78,  2673,   405,   398,    82,   380,    75,    76,    77,
      78,  1928,  1929,    90,    82,  1415,   102,   380,  1935,   400,
     377,  1575,    75,    76,    77,    78,   145,   511,  4887,    82,
     326,   515,   389,   427,  1377,  4840,  4841,    90,    75,    76,
      77,    78,   264,   246,   153,    82,   313,   210,   417,   515,
     438,   636,    75,    76,    77,    78,  2420,   391,    25,    82,
     460,    88,   341,  1617,  1618,   272,  1905,  1392,   458,    75,
      76,    77,    78,   513,   682,   683,    82,   380,    75,    76,
      77,    78,  1482,   440,  3757,    82,   113,  5052,  1910,   513,
    1168,  1169,   480,    88,  2430,   374,  2115,   423,   135,   423,
    2119,   436,  2121,   416,   513,  2124,   313,   500,  1451,   448,
     516,  3842,   373,   516,   473,  1417,   143,  1771,    75,    76,
      77,    78,   373,  1466,   403,    82,  1188,   463,    75,    76,
      77,    78,   436,  3842,   516,    82,  1479,  1152,   456,  3770,
     513,   511,   516,   463,  1843,   515,  1845,  4981,   513,   513,
    4470,   513,  5172,   516,   636,    99,   363,  1482,   516,   373,
     477,  2217,   509,  1921,   367,  4432,  1820,  1899,  1397,   458,
     373,   509,   373,   436,  1853,   411,  4150,    75,    76,    77,
      78,   373,   461,  3991,    82,   373,   516,   504,   505,  2109,
     504,   505,  4400,  4401,  4402,  4403,  4404,  1894,  1926,  1927,
     411,   436,  1217,  3146,   463,  4174,  1934,  1607,  2264,   511,
    4461,   373,  2268,   516,   411,  1615,  1616,  4484,   507,  4006,
     468,  4232,  4097,  4173,   387,   516,  5073,   504,   505,   504,
     505,   373,   373,   513,   866,  2061,   373,   500,   513,  4183,
     128,    72,   405,  4187,    75,    76,    77,    78,   516,   426,
      81,    82,   515,   473,    95,    86,   436,   456,  1667,   984,
    1667,   836,   847,  1699,  3114,   458,  3116,   636,   137,   373,
      99,   504,   505,   373,   160,  5080,  3658,  3950,  3660,   436,
    5043,   436,  1607,   467,   417,   418,  1827,  2580,  1790,  1830,
    2116,   377,   987,  4832,   511,  1124,   513,   264,   515,  2125,
     333,  2498,   836,   173,   513,  3936,   840,   892,   479,   516,
     180,   840,    88,   682,   683,   180,  3679,   436,   147,   881,
    3658,   929,  3660,    85,    29,   154,  3197,   436,   499,   513,
    1408,  3017,  3018,  3019,  3353,   185,  3427,  3356,  3357,   208,
     326,  3360,   513,  4610,  3751,   249,   268,  3366,   234,   357,
    4617,  3032,   181,   238,   836,  2074,   197,   226,   840,  5122,
    2065,   730,   844,   513,   949,  2562,  1301,   836,   229,  2090,
    4915,   853,   854,   479,  3045,  2096,   223,   980,   860,    38,
     996,    40,   998,   173,  1000,  3767,  2156,  2157,  4745,   871,
    1006,   513,  2373,   499,  2375,   238,  1028,  2167,  2438,   467,
    1415,  2171,    95,   367,   348,   887,   160,   513,  1114,  2179,
    2180,   387,   262,  1029,  1030,  3358,  3359,   899,  2516,   128,
     229,   903,  2192,  2193,   253,   179,   311,  2526,   983,  3767,
     173,   327,   914,  2203,    72,   160,   513,   984,   185,   151,
     249,   376,  1114,   313,   268,   513,  1825,  4043,    86,   173,
     210,   933,   403,   387,   398,  2183,  2184,   211,   940,   268,
     513,   268,   944,   229,   185,  3728,  1098,   173,  4560,    95,
     374,   160,   954,   955,   378,   101,   513,   189,   960,   506,
     507,   508,   509,   516,   119,   429,   355,   431,   970,   311,
     513,   981,   380,   975,   270,   381,  1128,  5042,   173,   403,
     341,  1825,   984,   350,   197,   513,   470,   513,   998,   234,
    1000,   506,   507,   508,   509,   262,   513,   333,  2072,  4611,
    1010,   998,   456,  1000,  2749,  3375,  2737,   513,   231,  1464,
     391,   396,   268,   374,   180,  3406,   458,   513,  3388,  1029,
    1030,   262,   477,  2003,  1076,   234,   416,  4521,  1080,   419,
     229,   100,  1029,  1030,   836,   260,   513,  1104,   927,   323,
     929,   426,   403,   836,   515,  1099,   513,   329,  2214,   224,
    1099,   197,  4929,   477,   175,    71,    72,   462,  1210,  2122,
    2123,   516,   451,  4939,   230,  1074,    85,   311,  1070,    88,
     419,   477,  4561,   443,  1076,  1610,  1078,   151,  1080,   464,
    1615,  1616,   311,  4923,   323,    88,   456,  1076,   469,   978,
     245,  1080,   477,   982,   249,   513,   370,  1099,  3468,   462,
    4251,  4565,   975,  5168,  1106,  4484,  4570,   323,   514,  4573,
     342,   517,   517,   999,   458,   189,   426,  1003,  1004,  1005,
     462,   242,   396,   513,  3036,   405,   311,  1013,   513,   458,
    4458,   458,   287,   180,   313,    72,   381,    88,    75,    76,
      77,    78,  2041,  4755,    81,    82,    83,    84,   314,    86,
     436,   380,   426,     8,   505,   396,    11,    12,  2078,    88,
     468,   374,   113,   426,  1166,  1167,   389,    22,    23,    24,
    2033,    26,    27,   517,   403,  4289,    31,    32,    33,   300,
     516,  2044,   303,  1072,   113,  1074,  1242,  1243,   517,   456,
     464,   111,   143,  2056,   263,   341,   151,  2041,   430,   121,
     426,   376,   458,   477,  5044,   333,   328,   844,   504,   505,
     506,   507,   508,   509,   143,   456,   853,  4830,   500,   501,
     502,   444,   504,   505,   506,   507,   508,   509,   374,   513,
     249,   426,   477,  1202,   189,  2309,   153,   436,  1773,   513,
    1242,  1243,   219,  4618,  5121,  2682,  1781,   396,  5125,   171,
     887,   270,   407,  1242,  1243,  2077,  3112,   403,   107,  1341,
     983,   984,  3118,   180,  4926,  1267,  5053,   270,   342,   514,
     238,   318,   517,   394,   513,   300,  1278,   426,   192,  1152,
     194,  4183,    95,  1252,   237,  4187,  4780,  2826,   101,   436,
    2189,   184,   458,  4230,  5171,   162,  2359,   513,  1171,  1301,
    1835,   500,     5,  1838,  1839,   105,   426,   944,  1553,   494,
     329,   288,   115,   270,   190,   464,   515,   954,   173,   270,
     271,  4204,    25,   436,   200,  4183,  4209,    25,   248,  4187,
    4199,   180,    35,   136,  2612,   340,  1338,    35,   129,   261,
    4715,   270,  1417,   311,  1217,  2189,   137,  4811,   325,  4961,
     436,  2525,  1729,   500,    85,   151,   430,    88,  1729,    99,
     482,   151,  4856,   230,   513,   316,  4860,  4861,  1823,   394,
     327,  1906,   493,  3912,  4078,  1377,   269,   174,  2410,  3918,
    3919,  4985,  4986,  2410,   197,   137,   514,   342,   516,   311,
    1392,  1114,  4643,   189,  1396,  1397,   313,  1399,   403,   189,
     175,   153,   175,   516,    99,  1407,  2580,  2766,   340,   323,
    1420,   211,  1422,  1415,  4643,  1425,   197,  1427,   298,  4726,
    1430,  1431,  1432,  1638,  2770,  4732,  1652,  1653,  2602,  1655,
     516,   134,   385,  1443,  2776,   300,   134,  3511,   303,   340,
    5052,  2719,  2720,  2721,  2722,  1900,  1456,  2666,  1458,  1451,
     305,   340,   192,  2731,   172,   252,   208,  2631,  4833,   121,
    1652,  1653,  1464,  1655,  1466,   341,  3211,   242,  4843,   242,
     392,   403,  3842,  3679,   226,   430,  2074,  1479,   207,   229,
    1482,   500,   501,   502,   333,   504,   505,   506,   507,   508,
     509,  1493,   500,   196,   462,   229,   351,   192,   374,   249,
     291,   504,   505,   506,   507,   508,   509,   515,  2760,   171,
    1965,   333,   231,  3735,   403,   249,  3547,  1669,   268,  4005,
    1522,  3046,   275,  1396,  1397,   300,  1399,   300,   303,   394,
     303,  1626,  1418,   238,   268,  1421,   254,   266,  1424,   270,
    1426,  5145,  1415,  1429,    22,   517,   342,  1433,  1550,  1551,
     331,  1553,   342,   504,   505,   506,   507,   508,   509,  4710,
     438,   264,   229,  3294,  1566,   182,   264,   504,   505,   137,
    1572,   393,  1626,  2028,  1463,   504,   505,   506,   507,   508,
     509,   299,   249,   301,  1593,  1594,  4914,  3304,  2487,  4052,
     445,  4054,   341,  3497,    72,   185,  2886,   378,   329,   261,
     354,   268,  3141,   355,   333,  1607,   311,   197,  1610,   183,
     329,    95,   180,  1615,  1616,   233,   274,   101,   230,   394,
     183,   394,   403,  1625,  1626,  1679,  1680,  1681,   425,   426,
    1267,  1680,  1681,   233,   430,   458,   341,  1626,   182,    81,
     430,  1278,   145,  2487,    86,  2935,   232,  4763,  1743,   311,
     153,   500,  1654,   311,   403,   272,  1658,  1659,  4560,   389,
    2523,    97,   511,  4565,   513,   514,   515,   516,  4570,   374,
     219,  4573,   246,   291,  5053,  1729,  2966,  1679,  1680,  1681,
    1729,   117,  1736,   246,   438,  3122,  1768,  1736,  1697,  1743,
     513,   291,   175,  4844,  1417,  4505,   313,  1699,   298,   451,
     419,  1338,  4560,   374,  1593,  1594,  1858,  4565,   458,  4611,
     440,  3151,  4570,   197,  3004,  4573,   517,   389,   493,   224,
     493,   450,   172,  5051,   458,   458,   480,  1729,   272,   234,
     392,   343,   403,  2405,  1736,  1737,  4850,  1610,   513,   288,
     513,  1743,  1615,  1616,   249,   313,   363,   405,  1750,   367,
     318,   209,   389,  4611,  1743,  3453,   362,   462,  3456,   242,
     438,  1750,   352,   354,  3569,  2745,  1489,   517,   440,   313,
    2225,   230,   182,   504,   505,   506,   507,   508,   509,   516,
     513,  1783,   388,   517,   233,   274,  1509,   355,  3593,  1791,
     161,   458,   250,   410,  1783,  4605,   408,  4607,   456,   258,
     513,   369,   480,   440,     2,   103,   104,  5114,  1697,  4272,
    4273,   429,   398,   431,   273,  3382,  1539,   300,  1691,   363,
     458,  1823,   311,   341,  1626,  4440,   285,   263,  4944,   429,
    1553,   431,  2752,  1626,  4373,  4374,   454,  4988,  4449,    88,
    3182,   427,   291,  1716,  1717,  4460,   256,   438,   224,   299,
     517,   301,   470,  4755,   454,  2390,   374,   341,  1827,   230,
     446,  1830,   160,   128,   514,  1960,  2575,   517,   244,  2789,
     192,   341,   194,   155,   363,   513,   161,  1879,   383,  1881,
     378,   179,   147,   451,   477,   403,  1679,   258,   313,   480,
     374,    89,  1881,   318,   143,   217,   161,  4755,  1900,   242,
    1773,   311,   273,   313,   374,   403,  1960,  2752,  1781,  4811,
     207,   394,   194,   211,   285,  3024,   405,  1919,  3170,   403,
     374,  2630,   219,   516,  2029,   384,    41,   224,   436,  1652,
    1653,  5082,  1655,   403,   479,  1937,   361,   308,  4640,  3795,
      85,  1743,  2319,    88,  2789,   230,   211,   519,  2319,   403,
    1743,  2149,  3771,  4811,   499,   153,   327,   300,  1960,   428,
     105,   159,  1835,  1965,   458,  1838,  1839,   456,   513,   266,
    3509,  1960,  4674,   258,    75,    76,    77,    78,  1980,  2131,
     429,    82,   431,    85,   219,   477,    88,   185,   273,   224,
     264,   288,   500,  4199,  1996,   513,   318,  3437,  4204,  3198,
     285,   323,  2077,  4209,   477,   454,  3446,   515,   477,   391,
     479,  2078,  4213,   384,   153,    75,    76,    77,    78,   479,
    2022,  3220,    82,   308,   516,  3199,  2028,  3034,   325,  2031,
      16,  2033,  2034,  1906,  3946,   440,   333,   231,    14,   499,
    3616,  5192,  2044,   516,   513,   374,   428,   126,  2583,   378,
     192,   394,   194,   288,  2056,  2057,  2591,   219,  2593,  4961,
    2148,    37,   224,  2065,  2139,   259,  2068,  2139,  2139,   341,
    2139,    51,   370,  2155,   403,  2530,  2078,  2087,   429,  2089,
     431,   341,  2139,  2093,  2983,  2095,  3803,   458,  2098,    69,
     325,  3265,  2102,   172,   233,   477,    72,   479,   396,   384,
      71,    72,   374,  4961,    75,    76,    77,    78,    79,    80,
      81,    82,   341,   252,   374,    86,  2118,  3037,   378,  3532,
     442,  3819,  3820,  3596,  3597,   270,   288,  1978,   426,  3846,
     452,   513,  2227,    75,    76,    77,    78,   511,  4677,  2983,
      82,  2813,   357,   403,   518,   374,  1997,   363,   477,   322,
    5052,   378,   291,   450,  2156,  2157,   470,   152,  1960,   375,
    3736,   393,  2164,   325,   341,  2167,   464,  1960,   270,  2171,
     468,   313,   251,  2227,  2176,   276,   403,  2179,  2180,   477,
    3539,   323,  3401,   399,   329,  2187,   134,   135,  2190,  2191,
    2192,  2193,  2065,   332,  5052,  2068,   224,   374,  2200,  2201,
     327,  2203,  2338,  2205,  2206,   332,   201,  2209,   387,   180,
     192,    97,   194,  3057,   511,   513,   244,   514,   515,  2674,
     299,   276,   301,  2225,  2226,  2227,   403,   329,  4235,  2231,
    4142,   117,   311,  2235,    34,   217,   415,  2239,  2227,  2241,
    2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  3168,  2251,
    2448,   429,  2450,   431,  2321,  4139,   341,   327,   318,  2261,
    2262,   340,   332,    71,  4727,  2319,   436,   314,   315,  5079,
    2319,    79,    80,  4643,  4011,  3138,  3139,  4483,   511,   391,
     145,  4026,   515,   513,  3536,   280,   281,   440,   153,   374,
     429,   511,   431,   207,   516,  2830,   267,   517,   520,   294,
     379,   440,   391,   324,   331,   219,   327,  2364,   440,  4633,
     224,  3748,   451,  3603,   341,   454,   428,  2319,   403,  2373,
     291,  2375,  2324,  3168,  2373,   508,  2375,   376,  3768,  3769,
     513,   313,   515,   341,   393,   414,   318,   508,  2443,   428,
    4664,   323,   513,  2438,   515,  2497,   341,   374,   479,   396,
     516,   517,   266,   341,  2077,   500,   501,   502,   298,   504,
     505,   506,   507,   508,   509,   477,   374,   479,   499,    85,
     378,  2373,    88,  2375,   288,  4383,   318,  4385,   514,   426,
     516,  4389,   513,  4391,  2438,  2022,   374,  4757,   477,   105,
     479,   391,  2394,  2848,  2031,   403,   387,   388,   500,   501,
     502,   513,   504,   505,   506,   507,   508,   509,   298,   516,
    2412,   325,  2414,   520,   252,   403,  2139,   464,  2420,   333,
     157,  3284,  2424,  2425,   513,  2227,   514,    85,   428,   517,
     477,   396,  2434,   428,  2227,   430,  2438,  2439,   636,   512,
    2442,   315,   469,   516,   511,  3425,   513,   518,   515,  2438,
      75,    76,    77,    78,   512,    72,  2551,    82,   516,   440,
     442,   426,  2464,   387,   388,  2467,   513,  2572,   182,   477,
     452,    75,    76,    77,    78,   244,  2478,   477,    82,   479,
     150,  2118,  3402,  2485,  3404,  3702,   504,   505,   506,   507,
     508,  2207,   470,  2547,  2210,   137,   514,  2551,   511,   464,
     513,   143,  3037,  2505,  2934,  3671,  2936,  2937,   393,  2232,
     224,   153,   477,   513,  2516,   125,  2405,  2390,   516,   517,
    2522,  2523,   396,   519,  4063,  4064,  4065,  2516,  2530,   276,
    4854,  3375,     2,   504,   505,    86,   450,  2410,   180,  2412,
     182,  2414,   256,   513,  3388,  2547,  2548,  3467,   513,  2551,
    1469,  1470,   426,  3416,   270,  3418,   513,  3402,  2547,  3404,
     327,   514,  2551,   516,   516,  3674,  3675,  3676,   514,   391,
     516,   367,  2574,  2575,   391,   125,  2578,    71,   470,   367,
       7,   513,  2705,   515,   115,    79,    80,   506,   507,   508,
     464,   495,    19,    20,  2596,   272,  2691,   311,   477,   313,
     479,   397,    96,   477,   515,  2607,   428,   330,   514,   397,
     516,   428,    39,   329,   256,    42,   327,   391,  2620,   514,
     330,   516,  3467,   436,  4200,  4699,    85,  2629,  2630,    88,
     426,  4506,  4507,  4508,  4509,   224,  2438,  2691,   426,   513,
     514,  2364,   514,   517,   516,  2438,   105,   514,   327,   516,
     391,  4227,   495,    85,   428,   477,    88,   479,   152,   514,
     477,   516,   479,   514,    85,   516,   330,    88,  3531,   115,
    2672,   313,  2674,   105,   470,   514,   318,   516,   272,   514,
    4592,   516,   470,    85,   882,   495,    88,   428,   391,  2691,
     506,   513,   113,   318,   391,  2697,   513,   167,   119,   513,
    2702,   515,  2691,   477,   228,   479,  3905,   514,   202,   516,
    2583,   496,   497,   355,   318,   516,  3171,   187,  2591,   513,
    2593,  2966,   143,   514,   477,   428,   479,   369,   514,   156,
     516,   428,  2734,   514,  4940,   516,   477,   514,   479,   513,
     125,   229,   940,   941,   514,  2547,   516,  2749,   268,  2551,
    2752,   514,   517,   516,  2547,   249,   506,  4035,  2551,   519,
     254,    71,   519,   514,  5088,   516,   193,   264,   436,    79,
      80,   514,   513,   516,   477,  5099,   479,   975,   203,   514,
     477,   516,   479,   436,   500,   501,   502,  2789,   504,   505,
     506,   507,   508,   509,   513,  2797,   504,   505,   506,   507,
     508,   514,   436,   516,   512,  4344,  4345,   436,  4347,   451,
     513,   270,   436,  3009,  3010,  3011,   513,  3272,   514,  3274,
     516,   108,   264,    75,    76,    77,    78,  5151,   249,   125,
      82,  3076,   270,   436,  2836,  1033,  4126,   429,   270,   431,
     513,  2478,   152,   429,   515,   431,  2848,  2942,  2485,   270,
     271,   403,   346,  2948,   514,   481,   516,  2859,   514,   513,
     516,  2863,    75,    76,    77,    78,  1064,  2869,   270,    82,
     329,   249,   212,    86,  3329,  1073,   514,   513,   516,  1077,
    1078,  1079,   515,   249,  2886,  2887,   327,   212,  2942,  2691,
    2892,   385,   202,   249,  2948,   316,    71,   329,  2691,  3354,
      75,    76,    77,    78,    79,    80,   212,    82,   329,   327,
      71,    72,   514,   212,   516,  2917,  2918,   224,    79,    80,
    2922,   514,   517,   516,  2813,    86,   286,   329,   180,   514,
     424,   516,  2934,  2935,  2936,  2937,    75,    76,    77,    78,
    2942,   182,   458,    82,   254,  2947,  2948,   514,  2950,   516,
    2952,   327,   514,  2942,   516,   449,   514,  2830,   516,  2948,
    2962,  2963,   440,   457,  2966,   513,   460,   180,  1166,  1167,
     514,   322,   516,  1171,   514,   470,   516,  2979,  3053,  2981,
     393,  3053,  3053,  2985,  3053,   477,   276,   479,  4380,   514,
     360,   516,    75,    76,    77,    78,  3053,  3452,  3842,    82,
     175,   514,  3004,   516,   513,  3540,  4743,  4447,   514,   514,
     516,   516,  3014,   121,   137,  3017,  3018,  3019,   514,   477,
     516,    75,    76,    77,    78,   514,  3481,   516,    82,   108,
      75,    76,    77,    78,   313,  3037,   346,    82,   514,  3041,
     516,   500,   501,   502,   481,   504,   505,   506,   507,   508,
     509,   514,  3054,   516,   162,   313,   513,  3059,    75,    76,
      77,    78,   514,  3065,   516,    82,   115,   242,   500,   501,
     502,  3073,   504,   505,   506,   507,   508,   509,   186,   514,
     514,   516,   516,   504,   505,   506,   507,   508,   509,   115,
     514,  4257,   516,   201,   514,    89,   516,   205,  3553,   501,
     502,   445,   504,   505,   506,   507,   508,   509,   514,  3111,
     516,   514,  3114,   516,  3116,   341,   470,   225,  3573,  3121,
     228,  3123,  3985,  3986,   224,   300,   180,   514,   303,   516,
     150,   514,   240,   516,   358,   180,  3138,  3139,   518,   449,
    2942,   470,  3144,  3598,   212,   212,  2948,   457,   513,  2942,
     460,   514,   212,   516,  4228,  2948,   212,   481,    75,    76,
      77,    78,   212,  3165,  3037,    82,  3168,   516,   514,  3171,
     516,   212,   212,   167,    75,    76,    77,    78,   514,  3634,
     516,    82,   514,   212,   516,  3239,  3240,  3241,    75,    76,
      77,    78,   327,   187,  1392,    82,   212,   212,  1396,  1397,
     514,  1399,   516,   514,   212,   516,   514,   327,   516,  3211,
     318,   514,   514,   516,   516,   212,   212,  1415,   326,   394,
     514,   514,   516,   516,   426,   514,  2863,   516,   514,   514,
     516,   516,  2869,   514,   514,   516,   516,  3239,  3240,  3241,
     514,   513,   516,  2966,   514,  1118,   516,  1120,   108,   225,
    3239,  3240,  3241,   361,  4694,  4695,  4188,  2980,  4190,   286,
     224,  3263,  1460,   224,   327,  4804,   513,   513,   513,   224,
    3272,   513,  3274,  3275,   513,  4814,  2999,   351,   513,   513,
     513,   513,  3284,   513,  1482,   513,   513,   478,  4578,   268,
     513,  3014,  3387,   513,  4686,   513,   513,  3646,   513,   513,
     338,   513,   513,   513,   513,   513,   513,    71,   513,   513,
     513,   108,   163,   286,   268,    79,    80,   516,   493,  4218,
     516,    85,   270,   108,    88,   224,   325,  3329,   224,   506,
    3053,  4870,   323,  3387,   403,   264,   394,   303,   516,   179,
     457,   105,   516,   500,   108,    14,  3348,   516,   513,   113,
    3073,  3479,  3354,  3076,   513,   119,   436,  1555,   513,   436,
     391,   515,   153,   436,   436,   436,   391,  1565,   391,   212,
     436,  3476,  3374,  3375,  4218,   436,   327,  3014,   283,   143,
    1578,   395,   318,   436,   436,  3387,  3388,   457,   436,   428,
     327,   254,  3449,   323,   513,   243,   153,   513,  3387,  3644,
    3402,  3458,  3404,   436,   436,   516,   341,   249,   212,  1607,
     125,   458,  1610,  1611,  3416,  3660,  3418,  1615,  1616,   174,
     125,   458,  3479,  4286,   436,   436,   436,   436,  4967,   436,
     436,   331,   436,   428,   436,   114,  3073,  3239,  3240,  3241,
     114,  4881,   391,   436,    89,   327,  3239,  3240,  3241,   436,
    3452,   516,   436,  4433,  3650,  3651,  3652,  3653,   327,   481,
    4380,   270,  4681,   107,   477,  3467,  3468,   513,  4577,   467,
     513,   513,   108,    97,  4337,  4584,   212,   327,   313,  3481,
     180,   245,  4598,   513,   458,   249,   212,   469,   294,   323,
     313,   108,   224,   108,  4784,  3497,   276,   515,  4857,   392,
     212,  1699,  3375,   212,   212,   975,   270,   271,   513,  3511,
     212,   458,  3514,   458,  3609,  3388,  4858,   212,    14,   322,
    4866,   436,  4868,   287,   516,   317,   996,   513,   998,  3531,
    1000,   229,  3534,  4068,  3989,   473,  1006,  1007,  1008,   434,
     305,   513,   495,   305,    88,   516,   403,   436,  3550,   313,
     434,  3553,   316,   513,   513,  3609,   237,   220,  3560,  1029,
    1030,   229,   438,   243,  3566,   329,  3568,   500,   332,   513,
     516,  3573,  3574,   516,   514,  3577,  3578,  3579,  3580,  3581,
    3582,  3583,  3584,  3585,  3586,  3387,   243,   405,  3590,  3591,
    3479,   266,   516,   328,  3387,   516,  3598,   274,   514,   458,
     514,  3603,    34,    10,   127,  3607,   335,  3609,   125,  3611,
     514,   436,   436,   391,   152,   391,   513,   458,   274,  3621,
    3609,   274,  3624,  5015,  3626,   318,   318,   513,   436,   436,
     440,   436,  3634,  3635,  3636,  3637,   159,   470,   276,  3641,
     393,   327,  3644,   407,   115,   318,   436,   410,   326,   428,
     516,   391,   436,  1851,   374,   374,  3658,   244,  3660,   400,
     363,   436,   436,   270,   108,   270,   270,  3540,  4958,   458,
    3672,   458,   270,   270,   326,   511,  3678,  3679,   500,   107,
     511,   500,  1152,  4746,   436,   436,   212,   224,   470,   323,
    4799,   226,   215,   513,   400,  4150,   513,   212,   211,   108,
     477,  1171,   327,   224,   327,   507,   108,   241,   241,   212,
     400,   327,   224,  4612,   327,   516,    98,   249,   249,   249,
    1918,  3723,   516,   481,   247,    96,  3449,  3729,   516,  3865,
     235,   302,   477,  3735,   327,  3458,   500,   501,   502,  1659,
     504,   505,   506,   507,   508,   509,  3841,  1217,  3843,  3751,
     516,   125,   440,   322,   426,  4654,  3479,   470,   276,   229,
     283,   345,   516,   145,   514,  3767,  4686,   514,  4612,   229,
      85,   514,   514,    88,   495,   514,   514,   514,   436,   495,
     514,  4644,  3836,   514,  1982,   337,   514,  3841,   513,  3843,
     313,   514,   174,  5152,    90,   513,  3798,   514,   113,  4643,
     514,    90,   456,   514,   119,   464,   513,  3609,   474,   513,
    4654,   381,   474,   195,   125,  4270,  3609,   514,   341,   288,
     514,   517,   330,   327,   206,   516,   327,  3922,   143,   500,
     500,   514,   516,   252,  3836,   212,   436,   436,   514,  3841,
    3842,  3843,   481,  4298,   226,  4380,   513,  3836,   513,   231,
     436,   374,  3841,   318,  3843,   378,   260,   436,   331,   382,
     212,   212,  4317,   252,   288,   388,   346,  2065,  3922,   346,
    2068,   436,   395,   455,  3511,   436,   436,   436,   296,   296,
     403,   296,   436,  3885,   391,   436,  3888,   436,   436,   412,
     436,   391,   391,   436,   391,   277,   436,   420,   212,   313,
     436,   403,   114,   270,   270,   270,   514,   436,   511,   303,
    4365,   513,   288,   514,   115,   500,   298,   445,   514,   376,
    3922,  3644,   516,   173,   514,   516,  1396,  1397,   326,  1399,
     245,   514,   513,  3922,   249,  3658,   327,  3660,   108,   238,
     224,   436,   458,   391,   458,  1415,   391,   330,   391,   472,
     516,   210,   210,   270,   511,   270,   271,   203,   229,    88,
    3962,   224,   135,  4020,   514,   229,   328,   514,   513,  3842,
     333,   469,   287,   514,   229,   514,   358,   237,  2176,   498,
     474,   445,   224,  3985,  3986,   108,   513,  3989,   260,   514,
    3992,   500,   516,   125,   514,   458,   458,   436,   428,   445,
     436,   316,   996,   385,   998,  4062,  1000,  4987,   500,   391,
     516,   436,  1006,   436,   329,   397,   391,   125,   391,   224,
     513,  3658,  4399,  3660,  4026,  4027,  4028,   514,  4399,   514,
     513,   436,   514,   436,  3836,  1029,  1030,   143,   514,  3841,
     514,  3843,   428,  3836,   426,   212,   428,   173,  3841,   445,
    3843,  4249,   270,   514,   270,   513,  3929,   512,   359,   513,
     274,   477,   513,   445,   400,   224,  4521,   516,   481,  4071,
     255,   513,   148,   514,   428,   436,   516,    85,   516,   513,
     400,   514,   234,   173,  4983,   229,   270,  4089,   470,   270,
     270,   270,   407,   514,  2292,  5015,   229,   125,   368,   273,
     336,   513,   273,   514,   514,   475,   475,  4243,   516,   125,
     323,   239,   445,   514,   513,   500,    85,   514,   513,    88,
    3922,   513,   229,   436,  4126,   143,   514,   514,   477,  3922,
    3767,   318,   254,   514,  4136,  4137,   105,  4139,   125,  4983,
    1610,   318,  4144,  4145,   113,  1615,  1616,  4149,  4150,   428,
     119,   436,   500,  4155,  4156,   212,   516,  4159,  1152,  4295,
    4162,   516,   512,   231,   229,   270,   458,   249,  4225,   108,
     458,   198,  1166,  1167,   143,   473,   513,  1171,   229,   513,
     477,  4183,   477,   257,   330,  4187,   501,   502,   229,   504,
     505,   506,   507,   508,   509,  4068,  2394,  4199,   463,   368,
     273,   513,  4204,   513,   413,   514,   514,  4209,   344,   854,
     513,   513,  2410,   327,  2412,   860,  2414,   436,   369,  1689,
     476,  1691,   513,  1217,   514,   436,   871,   514,   477,   224,
     513,   187,   318,  4235,   108,  4289,   514,   318,   297,  1709,
     252,   359,   108,   211,   513,   513,  1716,  1717,   514,   388,
    4252,   513,   331,   514,   899,   500,   125,   388,   903,   108,
     125,   513,   428,   514,   458,   428,   514,   311,  4270,   914,
     513,  2191,  4408,   327,   428,   514,   245,    82,   218,   400,
     249,   359,   137,   330,  4286,  2205,   137,  4289,   193,    85,
     462,   368,   513,   516,   108,   463,  4298,  4020,   229,   474,
    4289,   270,   271,  1773,   428,   366,   224,   198,   254,   513,
    4312,  1781,   477,  2511,   327,  4317,   327,   108,   287,   108,
     330,   330,  4324,   514,   513,  4780,   514,   513,   125,   387,
      82,   185,   514,    94,   387,  4337,   456,   513,   105,  4062,
    4213,   211,   359,   373,   313,  4399,  1882,   316,  1236,   513,
    4399,  1213,  1243,  2703,  1616,  3037,  2558,  1242,  3220,  3841,
     329,  4816,  4235,  4365,  3371,  1835,  2917,  2918,  1838,  1839,
    2624,  2922,  3921,  4873,  4684,  5015,  4739,  4743,  4380,  3983,
    4426,  4725,  3145,  2818,  5086,  5149,  4611,  5029,  5105,  5028,
    4924,  3149,  3975,  2694,  2694,  3836,  3240,  4399,  2688,  1983,
      85,  4856,  3439,    88,  5157,  4860,  4861,  5227,  5219,  4720,
    3374,  2962,  2963,  3387,  4656,  5116,  1973,  5002,  5096,  4659,
    4071,  1415,  4424,   187,  1452,  4829,  4024,  4026,   113,  3121,
    4940,  1467,  2425,  4435,   119,  3332,  1906,  5130,   407,  5221,
    2321,  2078,  1093,  3053,  2322,  4009,  4226,  1410,  3733,  2801,
     941,  1644,  3054,  1108,  2362,  2653,  1662,  3065,   143,  3060,
    4183,  1661,  2361,  2661,  4187,  3081,  1664,  3660,  3073,  4174,
    4812,  4189,  1098,  4961,  1669,  3658,  4960,  3734,  3619,  4782,
    3611,  4483,  5077,  5069,  5078,  2980,  3057,  4289,  2888,  3729,
    2978,   636,  3476,  2261,  2753,  2016,  4289,  2394,  1345,  5061,
    1681,   382,  4225,  4505,  1675,   977,  2370,  4380,  1169,  1169,
    2410,  1463,  3031,  2402,  4212,  4517,  2403,  3741,  3740,  4521,
    2718,  1166,  1167,  3707,  4526,  1189,  1590,  1679,   415,  2107,
    2414,   500,   501,   502,  2814,   504,   505,   506,   507,   508,
     509,  4543,  4544,  1396,  2014,  4547,  4183,     2,  2746,    -1,
    4187,    -1,    -1,  1009,  2752,    -1,    -1,    -1,  4560,    85,
     245,    -1,    88,  4565,   249,    -1,    -1,    -1,  4570,    -1,
      -1,  4573,    -1,    -1,    -1,    -1,  4578,  4579,    -1,    -1,
      -1,    -1,    -1,    -1,  4594,   270,   271,   113,    -1,  4684,
      -1,  2789,    -1,   119,    -1,  2065,    -1,    -1,  2068,    -1,
      -1,    -1,   287,  4605,    -1,  4607,    -1,    -1,    78,  4611,
      -1,    -1,    -1,    -1,    84,    -1,  1610,   143,    -1,    89,
     108,  1615,  1616,    -1,    -1,    -1,    -1,    -1,   313,    -1,
    4684,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   127,
      -1,  4643,  4644,    -1,   329,    -1,    -1,   117,    -1,    -1,
      -1,  4653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   159,  4729,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,  4684,    -1,  4686,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,  4684,    -1,  4699,    -1,  2169,
    2170,    -1,    -1,    -1,    -1,  1699,    -1,  2177,    -1,    -1,
      -1,  2181,  2182,    -1,  4587,    -1,    -1,    -1,    -1,   245,
      -1,    -1,   407,   249,    -1,    -1,  2196,   215,  2198,    -1,
      -1,    -1,    -1,    -1,    -1,  2191,    -1,    -1,   208,    -1,
      -1,    -1,    -1,    -1,   270,   271,   216,    -1,   218,  2205,
    2220,    -1,  2222,  4755,    -1,  4757,    -1,    -1,    -1,   247,
     230,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4643,    -1,    -1,    -1,    -1,    -1,    -1,  4779,  4780,  1773,
    4782,    -1,  4784,    -1,    -1,    -1,    -1,  1781,   276,    -1,
     316,    -1,    -1,    -1,    -1,   283,  4850,    -1,  4435,    -1,
    2256,    -1,    -1,   329,  2274,  4807,    -1,    -1,    -1,  4811,
      -1,    -1,    -1,    -1,  4816,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3037,
      -1,  1835,  4565,    -1,  1838,  1839,    -1,  4570,  4850,    -1,
    4573,    -1,    -1,    -1,  4856,    -1,    -1,    -1,  4860,  4861,
      -1,  4850,    -1,    -1,    -1,  4922,    -1,    -1,  2338,    -1,
      -1,    -1,    -1,  1383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,  4684,    -1,  1394,    85,    -1,    -1,    88,    -1,
     378,  4684,    -1,    -1,   382,    -1,    -1,    -1,    -1,  4901,
     388,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,   381,  1906,   113,    -1,   403,    -1,    -1,  4920,   119,
    2390,    -1,    -1,  4560,   412,    -1,    -1,    -1,  4565,  5174,
      -1,    -1,   420,  4570,    -1,    -1,  4573,    -1,  4940,    -1,
    2410,    -1,  2412,   143,  2414,  4947,   416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4958,    -1,    -1,  4961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3168,    -1,    -1,    -1,  4611,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   472,    -1,    -1,    -1,   476,   477,
      -1,  4993,    -1,    -1,    -1,    -1,    -1,  2917,  2918,    -1,
      -1,    -1,  2922,    -1,    -1,   127,  4729,    -1,    -1,    -1,
      -1,    -1,    -1,  5015,    -1,    -1,  4653,    -1,    -1,    -1,
      -1,    -1,    -1,  3574,    -1,    -1,  3577,  3578,  3579,  3580,
    3581,  3582,  3583,  3584,  3585,  3586,    -1,   159,    -1,  5041,
      -1,    -1,  2962,  2963,    -1,   245,    -1,  3245,  4850,   249,
    5052,    -1,    -1,    -1,  1699,  5130,    -1,  4850,  5130,  5130,
    5117,  5130,  4699,    -1,    -1,    -1,  5068,  5069,    -1,    -1,
     270,   271,    -1,  5130,  5169,    -1,    -1,  5079,    -1,    -1,
      -1,    -1,    -1,    -1,  3282,  3636,  3637,   287,  4811,  5091,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,    -1,  5174,
      -1,    -1,  5174,  5174,    -1,  5174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2583,    -1,  5169,   316,  5174,  4755,    -1,
      -1,  2591,    -1,  2593,  5219,   247,    -1,    -1,    -1,   329,
    5132,    -1,  5227,  3331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5146,    -1,  5221,    -1,    -1,  5221,
    5221,    85,  5221,    -1,    88,  3353,    -1,    -1,  3356,  3357,
      -1,   283,  3360,    -1,  5221,  5219,    -1,  5169,  3366,    -1,
      -1,    -1,    -1,  5227,  4811,    -1,    -1,  3375,    -1,   113,
    5169,    -1,    -1,  3381,    -1,   119,    -1,    -1,    -1,    -1,
    3388,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4922,
      -1,    -1,    -1,    -1,  3402,    -1,  3404,   407,    -1,   143,
    2680,    -1,  5214,    -1,    -1,    -1,    -1,  5219,    -1,    -1,
      -1,  5223,    -1,    -1,    -1,  5227,    -1,    -1,    -1,    -1,
    5219,    -1,    -1,    -1,  1879,    -1,    -1,    -1,  5227,    -1,
      -1,    -1,  3440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,   380,    -1,
     382,    -1,    -1,    -1,  4901,    -1,   388,    -1,  3466,  3467,
      -1,   205,    -1,   395,    -1,    -1,    -1,    -1,    78,    -1,
      -1,   403,    -1,    -1,    84,    -1,    -1,    -1,    -1,    89,
     412,    -1,    -1,    -1,    -1,    -1,  5169,    -1,   420,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,   245,    -1,    -1,    -1,   249,    -1,   117,    -1,    -1,
      -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1980,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,  2338,    -1,  5219,    -1,    -1,    -1,
     472,  1996,    -1,   287,  5227,    -1,    -1,    -1,    -1,    -1,
    2830,    -1,   162,    -1,    -1,    -1,   836,  5169,    -1,    -1,
     840,    -1,    -1,    -1,    -1,    -1,  5169,    -1,    -1,    -1,
      -1,    -1,   316,    -1,   854,    -1,    -1,    -1,    -1,  2034,
     860,    -1,    -1,    -1,  5117,   329,  2390,    -1,    -1,    -1,
    2394,   871,    -1,    -1,  5041,    -1,    -1,  5130,    -1,    -1,
      -1,  3962,  2057,    -1,    -1,  5052,  2410,  5219,    -1,    -1,
      -1,    -1,  3620,    -1,    -1,  5227,  5219,    -1,    -1,   899,
     230,    -1,    -1,   903,  5227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   914,    -1,    -1,    85,    -1,    -1,
      88,  5174,    -1,    -1,  5091,    -1,    -1,    -1,    -1,    -1,
      -1,  2917,  2918,    -1,    -1,    -1,  2922,   105,    -1,    -1,
     940,    -1,    -1,   407,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   955,    -1,    -1,    -1,    -1,
     960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,    -1,
     970,    -1,    -1,    -1,    -1,   143,  2962,  2963,    -1,    -1,
      -1,    -1,    -1,  2023,   984,    -1,    -1,    -1,    -1,    -1,
      85,    -1,  2032,    88,    -1,    -1,  2036,    -1,    -1,    -1,
      -1,    -1,  2042,  2043,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    98,    -1,    -1,    -1,   113,    -1,
    2060,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3032,    -1,    -1,  3035,    -1,  3037,    -1,    -1,
     504,   505,   506,   507,   508,   509,    -1,   131,   143,    -1,
      -1,   381,    -1,    -1,    -1,    -1,  5223,    -1,    -1,  2583,
     144,    -1,    -1,  4144,  4145,    -1,    -1,  2591,    -1,  2593,
      -1,    -1,    -1,   157,    -1,    -1,  1076,   245,  1078,    -1,
    1080,   249,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   195,    85,    -1,  3842,    88,    -1,    -1,    -1,   287,
      -1,    -1,   206,    -1,  3574,    -1,    -1,  3577,  3578,  3579,
    3580,  3581,  3582,  3583,  3584,  3585,  3586,    -1,  3866,    -1,
     113,  3869,   226,  3871,    -1,   313,   119,   231,   316,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,  3607,    -1,    -1,
      -1,   329,    -1,    -1,   332,    -1,  1166,  1167,    -1,    -1,
     143,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3912,   108,  3636,  3637,    -1,    -1,
    3918,  3919,   287,  3921,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3941,   298,    -1,    -1,    -1,   313,  2394,
      -1,   316,    -1,    -1,  3952,  3953,  3954,  3955,    -1,    -1,
      -1,    -1,   205,    -1,   329,    -1,   159,   332,    -1,   407,
      -1,    -1,  1242,  1243,    -1,   329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2434,
      -1,    -1,    -1,    -1,  2439,    -1,    -1,  2442,    -1,    -1,
      -1,    -1,   245,    -1,   358,    -1,   249,    -1,  2318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2464,
      -1,    -1,   215,    -1,    -1,  4023,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2830,   391,    -1,    -1,
      -1,    -1,   407,   397,   287,    -1,   400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
    2505,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   426,   316,   512,    -1,    -1,  2522,   432,    -1,
     518,    -1,    -1,   276,    -1,    -1,   329,    -1,  4086,    -1,
     283,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2548,    -1,  3375,    -1,  1377,    -1,    -1,
    3380,  3381,    -1,    -1,    -1,    -1,   470,    -1,  3388,    -1,
     313,    -1,  1392,    -1,    -1,    -1,    -1,    -1,    -1,  2574,
      -1,    -1,    -1,  2578,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,  1415,    -1,   512,    -1,  3419,
      -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,  2607,    -1,   407,    -1,  4517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2620,    -1,    -1,    -1,    -1,
      -1,  1451,    -1,    -1,  2629,   378,    -1,    -1,    -1,   382,
      -1,    -1,  4543,  4544,    -1,   388,  1466,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,   144,    -1,    -1,    -1,  1479,
     403,    -1,  1482,  4211,    -1,  4213,  4214,    -1,   157,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,   836,  4235,    -1,    -1,
     840,   180,  3962,  3037,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   854,    -1,   195,    -1,    -1,    -1,
     860,   504,   505,   506,   507,   508,   509,   206,    -1,    -1,
    3540,   871,    -1,    -1,    -1,   214,    -1,    -1,    -1,   472,
      -1,    -1,    -1,   476,    -1,    -1,    -1,   226,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,   899,
      -1,    -1,    -1,   903,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,   914,    -1,    -1,    -1,  3574,    -1,
      -1,  3577,  3578,  3579,  3580,  3581,  3582,  3583,  3584,  3585,
    3586,    -1,    -1,    -1,    -1,    -1,    -1,  1607,   277,    -1,
     940,    -1,    -1,    95,    -1,  1615,  1616,    -1,    -1,   101,
      -1,  3607,    -1,    -1,    -1,   955,  1626,    -1,    -1,   298,
     960,    -1,    -1,    -1,    -1,  4363,  4364,    -1,    -1,    -1,
     970,    -1,    -1,    -1,    -1,  4373,  4374,    -1,    -1,    -1,
    3636,  3637,  4380,    -1,   984,    -1,  4384,    -1,    -1,   141,
     329,  2836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4400,  4401,  4402,  4403,  4404,    -1,    -1,  1679,
    1680,  1681,    -1,    -1,  2859,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,  4144,  4145,    -1,    -1,  4779,  1699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,
      -1,    -1,    -1,    -1,    -1,   197,   385,    -1,   200,    -1,
     389,    -1,   391,    -1,    -1,  2765,    -1,  4455,   397,  1729,
      -1,   400,    -1,    -1,    -1,    -1,  1736,  3737,    -1,    -1,
      -1,  2781,  2782,  1743,    -1,  2785,    -1,    -1,  1078,    -1,
    1750,  2791,    -1,    -1,  4482,    -1,   425,   426,    -1,   428,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,  1099,
      -1,   440,   254,    -1,    -1,    -1,   445,    -1,  4506,  4507,
    4508,  4509,    -1,  1783,    -1,    -1,    -1,    -1,   457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2861,   127,    -1,    -1,    -1,    -1,    -1,    -1,   311,
      -1,   313,    -1,    -1,    -1,    85,  1166,  1167,    88,    -1,
      -1,   323,  3842,    -1,    -1,    -1,    -1,    -1,    -1,   331,
      -1,  3375,    -1,    -1,   159,   105,    -1,    -1,    -1,   341,
      -1,    -1,    -1,   113,  3388,  3865,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,
      -1,  1881,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,   374,   143,    -1,   377,   378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
     215,    -1,    -1,   113,    -1,  4643,    -1,    -1,    -1,   119,
      -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,  3928,  3929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3937,    -1,    -1,
      -1,  3941,   247,   143,    -1,    -1,    -1,    -1,  3123,  4677,
      -1,    -1,  3952,    -1,    -1,    -1,    -1,    -1,  4686,    -1,
    1960,    -1,  4690,    -1,  4692,    -1,    -1,    -1,  4696,  4697,
      -1,   276,    -1,    -1,    -1,    -1,  3962,    -1,   283,   461,
    1980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3165,    -1,    -1,    -1,    -1,   245,  1996,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3540,    -1,    -1,    -1,
     270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2033,  2034,    -1,    89,   287,    -1,    -1,
      -1,    -1,    -1,    -1,  2044,   245,    -1,  1377,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,  2056,  2057,    -1,    -1,
      -1,    -1,  1392,   313,   117,    -1,   316,  4517,  4068,    -1,
     270,   271,    -1,   378,    -1,    -1,  4526,   382,  2078,   329,
      -1,    -1,   332,   388,    -1,  1415,    -1,   287,  3263,    -1,
     395,    -1,    -1,  4543,  4544,    -1,    -1,    -1,   403,    -1,
    3275,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,   162,
      -1,    -1,    -1,   313,  3154,   420,   316,    -1,    -1,    -1,
      -1,  1451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,  1466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4874,    -1,    -1,  1479,
      -1,    -1,  1482,    -1,    -1,   208,    -1,   407,  4144,  4145,
      -1,    -1,    -1,   216,    -1,   218,    -1,   472,    -1,    -1,
      -1,   476,    -1,  3348,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3227,    -1,  3229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,
      -1,    -1,    85,  4213,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4235,    -1,    -1,    -1,    -1,
     113,    -1,    -1,  4243,    -1,    -1,   119,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,  1607,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1615,  1616,  5015,  3328,    -1,
      -1,    -1,    -1,    -1,  3334,  4295,  1626,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,   514,  4315,  4316,    -1,  3842,  2319,
    4320,  4321,  3497,    -1,    -1,    -1,    -1,    -1,    -1,  4779,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,  3514,
      -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1679,
    1680,  1681,    -1,    -1,    -1,    -1,    -1,    85,    -1,  3534,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1699,
      -1,    -1,   245,  2373,    -1,  2375,   249,   105,    -1,    -1,
    4380,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,  2394,    -1,    -1,   270,   271,  1729,
    4400,  4401,  4402,  4403,  4404,    -1,  1736,    -1,  4408,    -1,
      -1,    -1,    -1,  1743,   287,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2434,    -1,    -1,    -1,  2438,  2439,
    3480,  5169,  2442,   316,  3484,  3485,    -1,  3487,    -1,  3489,
    3490,    -1,    -1,    -1,    -1,    -1,   329,    -1,  3498,    -1,
      -1,    -1,    -1,    -1,  2464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5219,    -1,  3533,    -1,    -1,    -1,    -1,    -1,  5227,
      -1,    -1,    -1,    -1,    -1,  2505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,   245,    -1,    -1,
      -1,   249,  2522,  2523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4517,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,
    4526,    -1,   270,   271,  4068,    -1,    -1,  2547,  2548,  1879,
      -1,  2551,    -1,    -1,    -1,    -1,    -1,  4543,  4544,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2574,    -1,    -1,    -1,  2578,    -1,
      -1,    -1,    -1,    85,    -1,   313,    88,  4587,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2596,    -1,    -1,    -1,
      -1,   329,    -1,   105,   332,    -1,    95,  2607,    -1,    -1,
      -1,   113,   101,    -1,    -1,   845,   846,   119,    -1,   849,
    2620,   851,    -1,  3798,    -1,    -1,    -1,    -1,    -1,  2629,
    1960,   504,   505,   506,   507,   508,   509,   126,    -1,    -1,
     870,   143,    -1,  4643,    -1,    -1,    -1,    -1,    -1,    -1,
    1980,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     890,    -1,    -1,    -1,   894,    -1,  1996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,   911,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,  2033,  2034,    -1,    -1,    -1,   197,    -1,
    3885,   200,    -1,  3888,  2044,    -1,    -1,    -1,    -1,  4243,
      -1,    -1,    -1,    -1,    -1,    -1,  2056,  2057,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,   249,  2078,    -1,
      -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,   254,    -1,    -1,   270,   271,
      -1,  4295,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,   836,    -1,   287,    -1,    -1,   516,  2789,
      -1,   855,    -1,  4779,    -1,    -1,    -1,    -1,    -1,   863,
      -1,   854,    -1,    -1,    -1,    -1,    -1,   860,   872,    -1,
     299,   313,   301,    -1,   316,    -1,   880,  3992,   871,    -1,
      -1,   885,   311,    -1,   313,    -1,    -1,   329,    -1,    -1,
     332,    -1,    -1,    -1,   323,    -1,  2836,    -1,    -1,    -1,
      -1,    -1,   331,    -1,    -1,    -1,   899,    -1,    -1,    -1,
     903,   340,   341,    -1,    -1,    -1,  4380,    -1,    -1,  2859,
      -1,   914,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4408,   374,    -1,   940,   377,   378,
     379,    -1,    -1,    -1,    -1,    -1,  4071,  2227,    -1,    -1,
      -1,    -1,   955,    -1,    -1,   407,    -1,   960,    -1,    -1,
      -1,   141,    -1,    -1,   403,    -1,    -1,   970,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,
      85,   984,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2942,    -1,    -1,    -1,    -1,  4947,  2948,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     190,    -1,    -1,    -1,   119,    -1,    -1,   197,    -1,    -1,
     200,    -1,   461,    -1,    -1,    -1,    -1,  1041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,  2319,
    1220,  1221,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,  4049,
      -1,  1075,   514,    -1,    -1,    -1,    -1,  4057,  4058,    -1,
      -1,    -1,    -1,  1076,   254,  1078,    -1,  1080,    -1,    -1,
    1094,    -1,    -1,    -1,    -1,    -1,    -1,  3037,    -1,    -1,
      -1,    -1,    -1,  2373,    -1,  2375,    -1,    -1,    -1,    -1,
      -1,    -1,  1116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2394,  1295,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,   313,    -1,    -1,  1316,  1317,    -1,   105,
     245,    -1,    -1,   323,   249,    -1,    -1,   113,    -1,    -1,
      -1,   331,    -1,   119,  2434,    -1,  1336,    -1,  2438,  2439,
      -1,   341,  2442,  1166,  1167,   270,   271,    -1,    -1,  4643,
      -1,    -1,    -1,  3123,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,   287,    -1,  2464,    -1,    -1,  4312,  3138,  3139,
      -1,    -1,    -1,  1373,  1374,    -1,    -1,   377,   378,  4324,
      -1,    -1,    -1,    -1,  1218,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,  3165,    -1,    -1,  3168,  5169,
      -1,    -1,    -1,   403,   329,  2505,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1242,
    1243,    -1,  2522,  2523,    -1,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2547,  2548,  5219,
      -1,  2551,    -1,    -1,    -1,    -1,    -1,  5227,  4268,   245,
     126,   461,    -1,   249,    -1,    -1,    -1,    -1,    -1,  3239,
    3240,  3241,    -1,    -1,  2574,   141,  1310,    -1,  2578,    -1,
      -1,    -1,   407,    -1,   270,   271,    -1,    -1,    -1,  4299,
    4300,    -1,    -1,  3263,    -1,    -1,  2596,    -1,  1332,  1333,
    1334,   287,    -1,    -1,    -1,  3275,   172,  2607,    -1,    -1,
      -1,    -1,    -1,    -1,  3284,    -1,    -1,    -1,    -1,    -1,
    2620,    -1,    -1,    -1,   190,    -1,    -1,   313,    -1,  2629,
     316,   197,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1377,    -1,  4366,  4367,    -1,    -1,
    4505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1392,
      -1,    -1,    -1,    -1,    -1,   500,   501,   502,  3348,   504,
     505,   506,   507,   508,   509,   251,    -1,    -1,   254,   514,
      -1,  2691,  1415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1450,  3387,    -1,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,  1451,    -1,
      -1,    -1,  3402,   299,  3404,   301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1466,  1478,   311,  3416,   313,  3418,    -1,
      -1,    -1,  2752,  4947,    -1,    -1,  1479,   323,    -1,  1482,
    4605,    -1,  4607,    -1,    -1,   331,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,   340,   341,    -1,    -1,    -1,    -1,
    4490,    -1,  4492,  4493,    -1,    -1,    -1,    -1,   105,  2789,
      -1,    -1,    -1,    -1,  4504,    -1,   113,  3467,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,   374,    -1,
      -1,   377,   378,   379,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,   143,  3497,   514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2836,   403,    -1,    -1,
      -1,    -1,    -1,    -1,  3514,    -1,    -1,    -1,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,
      -1,  3531,    -1,    -1,  3534,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1607,    -1,    -1,    -1,  1622,    -1,
      -1,   105,  1615,  1616,    -1,   461,    -1,    -1,    -1,   113,
      -1,    -1,    -1,  1626,    -1,   119,  1806,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,   143,
      -1,    -1,   249,    -1,    -1,    -1,  1670,    -1,    -1,  3609,
      -1,    -1,  2942,    -1,    -1,    -1,    -1,    -1,  2948,    -1,
      -1,    -1,    -1,   270,   271,    -1,  1679,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1866,  1867,  1868,  1869,
     287,    -1,    -1,    -1,    -1,    -1,  1699,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1908,  1909,
      -1,    -1,   329,    -1,  1914,   332,    -1,    -1,    -1,    -1,
    1743,    -1,    -1,    -1,    -1,    -1,    -1,  1750,    -1,    -1,
      -1,   245,    -1,    -1,    -1,   249,    -1,  3037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,  1959,
    1783,    -1,  1796,  4773,    -1,    -1,    -1,    -1,    -1,  1803,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1986,  1987,  1988,  1989,
     407,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,   313,
    1834,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,  4831,    -1,  3123,    -1,    -1,    -1,    -1,  3798,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1870,    -1,  3138,  3139,
      -1,    -1,    -1,    -1,    -1,    -1,  2046,    -1,    -1,    -1,
    1884,    -1,    -1,    -1,    -1,  2055,  1879,    -1,  1881,    -1,
      -1,  4871,  2062,    -1,  1898,  3165,  3836,    -1,  3168,    -1,
      -1,  3841,    -1,  3843,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   407,    -1,    -1,    -1,   514,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3885,    -1,    -1,  3888,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5079,    -1,    -1,  1960,    -1,  3239,
    3240,  3241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,    -1,    -1,    95,  1980,    -1,    -1,
      -1,    -1,   101,  3263,  1998,    -1,    -1,    -1,    -1,    -1,
    2004,    -1,    -1,  1996,    -1,  3275,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,  3284,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,   105,    -1,
     514,    -1,   141,    -1,    -1,    -1,   113,    -1,    -1,    -1,
    2033,  2034,   119,    -1,    -1,  3985,  3986,    -1,    -1,    -1,
      -1,  2044,  3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2230,    -1,    -1,  2056,  2057,    -1,   143,    -1,    -1,    -1,
      -1,  2075,    -1,    -1,    -1,    -1,    -1,    -1,  3348,    -1,
      -1,   190,    -1,    -1,    -1,  2078,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,  2122,  2123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4071,  3402,    -1,  3404,    -1,    -1,  2141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   254,  3416,    -1,  3418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5144,    -1,    -1,    -1,   245,    -1,
      -1,    85,   249,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,   270,   271,    -1,    -1,  3467,    -1,   113,
      -1,    -1,   311,    -1,   313,   119,    -1,    -1,    -1,    -1,
     287,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   331,    -1,    -1,    -1,    -1,  3497,    -1,   143,
      -1,    -1,   341,    -1,  2227,    -1,   313,    -1,    -1,   316,
      -1,    -1,    -1,    -1,  3514,    -1,    -1,    -1,    -1,    -1,
      85,    -1,   329,    88,  2258,   332,    -1,    -1,    -1,    -1,
      -1,  3531,    -1,    -1,  3534,   374,    -1,    -1,   377,   378,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,  2283,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
    2480,  2481,  2482,    -1,    -1,    -1,  2320,    -1,  2322,  2489,
      -1,  2491,    -1,  2493,  2494,    -1,    -1,    -1,    -1,    -1,
     407,   245,    -1,    -1,    -1,   249,    -1,    -1,    -1,  3609,
      -1,    -1,    -1,    -1,    -1,    -1,  4286,    -1,    -1,  4289,
      -1,    -1,   461,    -1,    -1,  2359,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     205,    -1,  4312,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,   313,
      -1,  2394,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,   249,   329,    -1,    -1,   332,  2589,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,   270,   271,   514,    -1,    -1,
    4380,  2434,    -1,    -1,    -1,  2438,  2439,    -1,    -1,  2442,
      -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,  4399,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,  2464,    -1,    -1,    -1,    -1,  2646,    -1,    -1,    -1,
      -1,   316,   105,    -1,  2654,    -1,    -1,    -1,    -1,  2659,
     113,    -1,    -1,   407,   329,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,  2516,    -1,    -1,    -1,    -1,  3798,  2522,
    2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2544,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2547,  2548,    -1,  2561,  2551,    -1,
      -1,   105,    -1,    -1,    -1,  4505,  3836,    -1,    -1,   113,
    2740,  3841,   407,  3843,    -1,   119,    -1,    85,    -1,    -1,
      88,  2574,    -1,    -1,    -1,  2578,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,   105,    -1,   143,
     514,    -1,  2772,  2596,  2774,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,  2607,  3885,    -1,    85,  3888,    -1,
      88,    -1,   245,    -1,    -1,    -1,   249,  2620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,  2629,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,   270,   271,    -1,
      -1,   119,  3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,  4605,    -1,  4607,    -1,   504,
     505,   506,   507,   508,   509,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,    -1,  2701,  2691,    -1,
      -1,   245,    -1,    -1,  4644,   249,   329,    -1,    -1,   332,
    2880,    -1,    -1,    -1,    -1,  3985,  3986,    -1,    -1,    -1,
      -1,    -1,  3992,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,   249,    -1,   287,  4684,    -1,  4686,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2752,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,   245,    -1,   287,
      -1,   249,    -1,    -1,   407,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2789,    -1,    -1,    -1,
      -1,  4071,   270,   271,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,   287,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2836,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,
      -1,   329,    -1,   407,   332,    -1,  2859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,   514,    -1,    85,   171,    -1,    88,    -1,    -1,   407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,
    4850,    -1,    -1,   105,    -1,   192,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
     207,    -1,   209,    -1,    -1,    -1,   213,    -1,    -1,   407,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,  2942,
      -1,   143,    -1,    -1,   231,  2948,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,  3008,    -1,   514,  3177,    -1,  3179,
    3180,  3181,    -1,    -1,    -1,    -1,  4286,    -1,    -1,  4289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1301,    -1,    -1,
      -1,   141,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,  4312,    -1,  3037,    -1,   514,    -1,    -1,    -1,
      -1,    -1,    -1,   245,  4324,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,    -1,
      -1,    -1,    -1,    -1,    85,  5015,    -1,    88,   270,   271,
     190,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,
     200,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
    4380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,  4399,
    3123,    -1,   143,    -1,    -1,    -1,    -1,   329,    -1,  5079,
     332,    -1,    -1,    -1,   254,  3138,  3139,    95,    -1,    -1,
      -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3165,    -1,    -1,  3168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    -1,   141,   205,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,   407,    -1,    -1,    -1,    -1,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5169,
      -1,   341,    -1,    -1,   245,  4505,    -1,    -1,   249,    -1,
      -1,    -1,   190,    -1,    -1,    -1,  3239,  3240,  3241,   197,
      -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,   374,    -1,    -1,   377,   378,    -1,
    3263,    -1,    -1,    -1,    95,    -1,   287,    -1,    -1,  5219,
     101,    -1,  3275,    95,    -1,    -1,    -1,  5227,    -1,   101,
      -1,  3284,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   316,   254,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   329,    -1,
     141,  3491,   514,    -1,  3494,    -1,    -1,    -1,    -1,   141,
      -1,    -1,    -1,    -1,    -1,  4605,  1610,  4607,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   461,    -1,    -1,    -1,  3348,    -1,    -1,    -1,   636,
      -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,   190,
      -1,    -1,  3542,    -1,  4644,   323,   197,    -1,   190,   200,
      -1,    -1,    -1,   331,    -1,   197,    -1,    -1,   200,    -1,
      -1,    -1,    -1,   341,  3387,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3408,  3409,    -1,    -1,    -1,  3402,
      -1,  3404,    -1,    -1,  4684,    -1,  4686,    -1,    -1,    -1,
    3424,    -1,    -1,  3416,    -1,  3418,   374,    -1,    -1,   377,
     378,    -1,    -1,   254,  3438,    -1,    -1,    -1,    95,    -1,
      -1,    -1,   254,  3447,   101,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,   403,    -1,  3461,    -1,    -1,
      -1,    -1,    -1,  1737,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,  3467,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,
     311,    -1,   313,   504,   505,   506,   507,   508,   509,   311,
      -1,   313,   323,   143,  3497,    -1,    -1,    -1,    -1,    -1,
     331,   323,    -1,   461,    -1,    -1,    -1,  1791,    -1,   331,
     341,  3514,    -1,    -1,    -1,    -1,    -1,    -1,  3532,   341,
      -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,  3531,    -1,
     197,  3534,    -1,   200,    -1,    -1,    -1,    -1,    -1,  1823,
      -1,    -1,    -1,   374,    -1,    -1,   377,   378,    -1,    -1,
      -1,    -1,   374,    -1,    -1,   377,   378,   844,   845,   846,
     847,    -1,   849,    -1,   851,    -1,   853,    -1,   855,    -1,
    4850,   858,   403,    -1,    -1,    -1,   863,    -1,    -1,   866,
      -1,   403,    -1,   870,    -1,   872,    -1,   254,    -1,    -1,
      -1,    -1,    -1,   880,    -1,   245,    -1,    -1,   885,   249,
     887,    -1,    -1,   890,    -1,   892,  3609,   894,    -1,  3789,
    3790,  3791,  3792,    -1,   901,    -1,  1900,   904,    -1,    -1,
     270,   271,    -1,    -1,   911,    -1,    -1,    -1,    -1,    -1,
     461,    -1,    -1,    -1,    -1,  1919,    -1,   287,    -1,   461,
      -1,  3655,  3656,  3657,   311,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,  1937,    -1,    -1,   323,   944,    -1,    -1,
      -1,    -1,   949,   313,   331,    -1,   316,   954,    -1,    -1,
      -1,   958,    -1,    -1,   341,    -1,    -1,    -1,    -1,   329,
      -1,  1965,   332,    -1,    95,    -1,   973,    -1,    -1,    -1,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,    85,
     377,   378,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     141,    -1,    -1,   109,    -1,  5015,   403,   113,    -1,    -1,
      -1,  1028,    -1,   119,  2028,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1041,  1042,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
    3960,    -1,    -1,  1070,    -1,    -1,   197,  1074,  1075,   200,
      -1,    -1,    -1,    -1,   461,  3798,    95,    -1,    -1,  5079,
      -1,    -1,   101,    -1,    -1,    -1,    -1,  1094,    -1,    -1,
      -1,  1098,   188,    -1,    -1,    -1,    -1,    -1,    -1,  1106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,
      -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,  3841,    -1,
    3843,  1128,   141,   254,    -1,    -1,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,   514,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3885,    -1,    -1,  3888,    -1,    -1,    -1,  5169,
      -1,   190,    -1,    -1,   270,   271,    -1,    -1,   197,    -1,
     311,   200,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,   323,    -1,    -1,    -1,    -1,    -1,    -1,  3922,
     331,    -1,    -1,  1210,    -1,    -1,    -1,    -1,    -1,    -1,
     341,  1218,    -1,  1220,  1221,  3949,    -1,   313,    -1,  5219,
     316,  2225,    -1,    -1,    -1,    -1,    -1,  5227,    -1,    -1,
      -1,    -1,    -1,   329,  3968,   254,   332,    -1,    -1,    95,
      -1,    -1,    -1,   374,    -1,   101,   377,   378,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1267,  3995,  3985,  3986,    -1,    -1,    -1,    -1,    -1,  3992,
      -1,  1278,   403,    -1,    -1,  1282,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,   141,    -1,    -1,  1295,    -1,
      -1,    -1,   311,    -1,   313,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,  1310,   323,    -1,    -1,    -1,   113,  1316,
    1317,   407,   331,    -1,   119,    -1,    -1,    85,    -1,    -1,
      88,    -1,   341,    -1,    -1,  1332,  1333,  1334,    -1,  1336,
     461,  1338,    -1,    -1,   190,  1342,    -1,   105,   143,    -1,
      -1,   197,    -1,    -1,   200,   113,    -1,    -1,  4071,    85,
      -1,   119,    88,    -1,    -1,   374,    -1,    -1,   377,   378,
      -1,    -1,   458,    -1,  1371,    -1,  1373,  1374,    -1,   105,
      -1,    -1,   108,    -1,    -1,   143,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,   403,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
    1407,    -1,    -1,    -1,   500,   501,   502,   143,   504,   505,
     506,   507,   508,   509,    -1,    -1,  2420,    -1,    -1,   224,
    2424,  2425,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4166,  4167,  4168,  4169,    -1,    -1,  1445,  1446,
     245,    -1,   461,  1450,   249,  1452,  4346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,
    4360,    -1,    -1,    -1,    -1,   270,   271,   323,  1475,    -1,
      -1,  1478,    -1,    -1,  1481,   331,    -1,   245,    -1,    -1,
      -1,   249,   287,    -1,    -1,   341,  1493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,   313,   245,
      -1,   316,    -1,   249,    -1,  1522,    -1,    -1,   374,   287,
      -1,   377,   378,    -1,   329,    -1,  2530,   332,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1550,  1551,   313,  1553,   403,   316,    -1,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,
      -1,   329,    -1,  4286,   332,  1572,  4289,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,    -1,   352,    -1,  1593,  1594,    -1,  4312,
      -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
      -1,  4324,   407,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4337,  1622,    -1,    -1,  1625,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,   105,    -1,    -1,    -1,    -1,    -1,  1654,    -1,   113,
      -1,  1658,  1659,   421,    -1,   119,    -1,  4380,    -1,    -1,
      -1,    -1,  1669,  1670,  1671,    -1,    -1,    -1,    -1,    -1,
    2674,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1697,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4613,  4614,  4615,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,  2749,    -1,    -1,    -1,    -1,
      -1,    -1,  4486,    -1,    -1,    -1,    -1,    -1,    -1,   223,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,  4505,    -1,    -1,   249,    -1,    -1,    -1,  1796,
    1797,    -1,    -1,    -1,    -1,    -1,  1803,    -1,    -1,  1806,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,
      -1,    -1,    -1,   287,  1831,    -1,    -1,  1834,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2848,    -1,    -1,    -1,    -1,   313,
      -1,  1858,   316,    -1,  4754,    -1,    -1,    -1,    -1,  1866,
    1867,  1868,  1869,  1870,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1884,    -1,    -1,
      -1,    -1,  4605,    -1,  4607,    -1,   350,    -1,    -1,  1896,
      -1,  1898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1908,  1909,    -1,    -1,    -1,    -1,  1914,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4684,    -1,  4686,    -1,    -1,    -1,  4867,    -1,  4869,
      -1,    -1,    -1,    -1,    -1,  4709,    -1,    -1,    -1,  1986,
    1987,  1988,  1989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1998,    -1,    -1,    -1,    -1,    -1,  2004,    -1,    -1,
    2007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4746,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,  2029,    -1,  2031,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2041,    -1,   500,   501,   502,  2046,
     504,   505,   506,   507,   508,   509,    -1,    -1,  2055,    -1,
      -1,    -1,    -1,    -1,  2061,  2062,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2075,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2109,    -1,    -1,    -1,    -1,  3111,  4842,  2116,
    3114,  2118,  3116,    -1,    -1,  2122,  2123,  3121,  2125,    -1,
      -1,    -1,    -1,    -1,  2131,    -1,    -1,  4850,    -1,    -1,
      -1,    -1,    -1,    -1,  2141,    -1,  5036,    -1,    -1,    -1,
      -1,  2148,  2149,    -1,    -1,  2152,    -1,    -1,    -1,  2156,
    2157,    -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,    -1,
    2167,    -1,    -1,    -1,  2171,    -1,    -1,  3171,    -1,    -1,
      -1,    -1,  2179,  2180,    -1,    -1,    -1,    -1,    -1,    -1,
    2187,    -1,  2189,  2190,  2191,  2192,  2193,    -1,    -1,    -1,
      -1,    -1,    -1,  2200,  2201,    -1,  2203,    -1,  2205,  2206,
    5100,    -1,  2209,    -1,    -1,    -1,    -1,  3211,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2226,
      -1,    -1,    -1,  2230,  2231,    -1,    -1,    -1,  2235,    -1,
      -1,    -1,  2239,    -1,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,    -1,  2251,    -1,    -1,    -1,    -1,    -1,
      -1,  2258,    -1,  5153,  2261,  2262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3272,    -1,
    3274,    -1,    -1,    -1,    -1,    -1,  2283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2320,    -1,  2322,    -1,  2324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
    3354,    -1,  2359,    -1,    -1,    -1,  5079,    -1,  2365,    -1,
    2367,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,  3375,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,  3388,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2443,    -1,    -1,    -1,
      -1,  2448,    -1,  2450,    -1,    -1,  5169,    -1,  3452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2467,    -1,    -1,    -1,  3468,    -1,  1464,    -1,    -1,    -1,
      -1,  2478,    -1,  2480,  2481,  2482,   134,  3481,  2485,    -1,
    2487,    -1,  2489,    -1,  2491,    -1,  2493,  2494,    -1,    -1,
    2497,    -1,    -1,    -1,    -1,    -1,  5219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,
      -1,    -1,    -1,    -1,    -1,    -1,  2533,    -1,    -1,    -1,
      -1,  2538,    -1,    -1,    -1,    -1,    -1,  2544,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,  3553,
      -1,    -1,    -1,    -1,  2561,    -1,    -1,    -1,  2565,  2566,
      -1,    -1,    -1,    -1,   222,  2572,    -1,    -1,    -1,  3573,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2589,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,  3598,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,   264,    -1,    -1,  2616,
      -1,  2618,  2619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
    3634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2646,
      -1,    -1,   300,    -1,    -1,   303,    -1,  2654,    -1,    -1,
      -1,    -1,  2659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,    -1,    -1,    -1,  2672,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,
      -1,    -1,  2699,    -1,  2701,    -1,  2703,    -1,    -1,  2706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2732,    -1,    -1,    -1,    -1,
      -1,   245,    -1,  2740,  2741,   249,   394,    -1,    -1,  1737,
      -1,    -1,    -1,    -1,    -1,    -1,  2753,  3751,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,  2770,    -1,  2772,  2773,  2774,  2775,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2797,    -1,   450,  1791,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,   465,    -1,    -1,
      -1,  2818,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,  1823,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   493,    -1,    -1,  3842,    -1,
      -1,    -1,   500,    -1,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,  2863,    -1,    -1,    -1,
     518,   519,  2869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2880,    -1,    -1,    -1,    -1,    -1,  2886,
    2887,    -1,    -1,    -1,    -1,  2892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2917,  2918,    -1,    -1,    -1,  2922,    -1,    -1,    -1,    -1,
      -1,  1919,    -1,    -1,    -1,    -1,    -1,  2934,  2935,  2936,
    2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,
    2947,    -1,    -1,  2950,    -1,  2952,  2953,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2962,  2963,    -1,    -1,  2966,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1965,    -1,    -1,
      -1,    -1,  2979,    -1,  2981,    -1,  2983,    -1,  2985,    -1,
      -1,    -1,    -1,    -1,    -1,  3989,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,  3004,    -1,    -1,
      -1,  3008,    -1,   160,    -1,    -1,    -1,  3014,    -1,    -1,
    3017,  3018,  3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,    -1,    -1,    -1,  3041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3054,    -1,    -1,
     207,    -1,  3059,    -1,    -1,    -1,    -1,    -1,  3065,    -1,
      -1,    -1,   219,    -1,    -1,    -1,  3073,   224,    -1,  3076,
      -1,    -1,   229,  3080,    -1,    -1,    -1,   234,    -1,    -1,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,   266,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,    -1,
      15,    -1,    17,    18,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    28,    -1,  4139,    -1,  3144,    -1,  3146,
      -1,    -1,    -1,    -1,  3151,    -1,  4150,    -1,    -1,    -1,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
    3177,    -1,  3179,  3180,  3181,    -1,   333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,
    1301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   381,    -1,    -1,  2225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,   140,   141,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,   160,  4270,    -1,    -1,   426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,  4298,    -1,   191,    -1,   193,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,  4317,    -1,    -1,   211,   474,   213,   476,
     477,    -1,    -1,    -1,   219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
      -1,  3358,  3359,    -1,   511,    -1,    -1,   514,   515,    -1,
     517,  4365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1464,  3381,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,   289,   290,    -1,    -1,    -1,    -1,
     295,  3408,  3409,    -1,    -1,    -1,    -1,    -1,    -1,   304,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3424,    -1,    -1,
     315,    -1,  2420,    -1,    -1,    -1,  2424,  2425,    -1,    -1,
    3437,  3438,    -1,    -1,    -1,    -1,    -1,    -1,   208,  3446,
    3447,    -1,    -1,    -1,    -1,    -1,   216,    -1,   218,    -1,
      -1,    -1,    -1,    -1,  3461,    -1,    -1,    -1,   353,    -1,
     230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3476,
     365,    -1,    -1,    -1,    -1,   370,   371,    -1,   373,    -1,
      -1,    -1,    -1,   378,  3491,    -1,    -1,  3494,   383,    -1,
      -1,   386,    -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,
     395,   396,    -1,    -1,  3511,    -1,    -1,    -1,   403,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,  4521,    -1,   414,
      -1,    -1,    -1,    -1,    -1,  3532,    -1,    -1,    -1,    -1,
      -1,   426,  2530,    -1,    -1,  3542,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3550,    -1,    -1,    -1,    -1,   443,    -1,
     445,    -1,    -1,  3560,    -1,    -1,    -1,    -1,   453,  3566,
      -1,  3568,    -1,    -1,   459,    -1,    -1,  3574,    -1,   464,
    3577,  3578,  3579,  3580,  3581,  3582,  3583,  3584,  3585,  3586,
      -1,    -1,   477,  3590,  3591,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,
    3607,    -1,    -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3621,    -1,    -1,  3624,   513,  3626,
      -1,    -1,   517,    -1,    -1,    -1,    -1,    -1,  3635,  3636,
    3637,    -1,    -1,    -1,  3641,    -1,    -1,  3644,    -1,  4643,
      85,  3648,    -1,    88,    -1,    -1,  1737,    -1,  3655,  3656,
    3657,  3658,    -1,  3660,  3661,    -1,    -1,    -1,  3665,  3666,
     105,    -1,    -1,   108,    -1,  3672,    -1,    -1,   113,    -1,
      -1,  3678,  3679,    -1,   119,    -1,  2674,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   143,    -1,
    1791,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,  3723,    -1,    -1,    -1,
      -1,    -1,  3729,    -1,    -1,    -1,  3733,    -1,  3735,    -1,
      -1,    -1,  1823,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2749,    -1,  4757,    -1,    -1,    -1,    -1,    -1,    -1,
    3767,  3768,  3769,    -1,  3771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,    -1,    -1,
      -1,    -1,  3789,  3790,  3791,  3792,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,  1900,
      -1,    -1,  4816,    -1,    -1,    -1,    -1,    -1,    -1,  3826,
      -1,   229,    -1,    -1,    -1,   270,   271,    -1,  1919,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,   249,   287,    -1,    -1,    -1,  1937,    -1,    -1,    -1,
    2848,    -1,  4856,    -1,    -1,    -1,  4860,  4861,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,  1965,    -1,    -1,    -1,    -1,   287,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3941,    -1,    -1,  2028,    -1,    -1,
      -1,    -1,  3949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3960,    -1,  3962,    -1,    -1,    -1,    -1,
      -1,  3968,   407,    -1,    -1,    -1,    -1,  3974,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3983,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4005,   407,
      -1,    -1,    -1,    -1,  4011,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4027,  4028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4052,    -1,  4054,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,   836,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   844,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4089,   853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3111,    -1,    -1,  3114,   887,  3116,  4126,
      -1,    -1,    -1,  3121,    -1,    -1,    -1,    -1,    -1,  4136,
    4137,    -1,    -1,    -1,  2225,    -1,    -1,  4144,  4145,    -1,
      -1,    -1,  4149,    -1,    -1,    -1,    -1,    -1,  4155,  4156,
      -1,    -1,  4159,    -1,    -1,  4162,  4163,    -1,    -1,  4166,
    4167,  4168,  4169,    -1,    -1,    -1,  4173,  4174,    -1,  4176,
      -1,  2262,  4179,  3171,   944,    -1,  4183,    -1,    -1,    -1,
    4187,    -1,    -1,    -1,   954,  1301,  4193,    98,    -1,    -1,
      -1,    -1,  4199,    -1,    -1,    -1,    -1,  4204,    -1,   110,
      -1,    -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4218,    -1,  3211,    -1,    -1,    -1,    -1,    -1,  4226,
     131,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4249,    -1,    -1,  4252,   157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,  4272,  4273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3272,    -1,  3274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,  4296,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,
    1070,    -1,    -1,   214,    -1,    -1,  1076,    -1,    -1,    -1,
    1080,    -1,    -1,    -1,    -1,   226,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,  2420,
      -1,  3329,    -1,  2424,  2425,    -1,  1106,    -1,    -1,  4346,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,  1464,    -1,
      -1,    -1,    -1,  4360,    -1,    -1,  3354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   298,    -1,    -1,
    3388,    -1,    -1,  4400,  4401,  4402,  4403,  4404,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4424,   329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4435,   340,
      -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,  2530,
    4447,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,
      -1,    -1,  4459,  4460,  3452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3468,    -1,  1242,  1243,   385,    -1,    -1,    -1,   389,  4486,
     391,  4488,    -1,  3481,    85,    -1,   397,    88,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1267,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,  1278,    -1,
    4517,    -1,   113,    -1,    -1,   426,    -1,   428,   119,  4526,
      -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,
      -1,  1301,    -1,    -1,   445,    -1,  4543,  4544,    -1,    -1,
    4547,    -1,   143,    -1,    -1,    -1,   457,    -1,    -1,    -1,
      -1,    -1,    -1,  4560,  4561,  3553,    -1,    -1,  4565,   470,
      -1,    -1,    -1,  4570,    -1,    -1,  4573,  4574,  1338,  4576,
      -1,  4578,  4579,    -1,    -1,  3573,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3598,    -1,    -1,    -1,  4611,  4612,  4613,  4614,  4615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3634,  1407,    -1,    -1,
      -1,    -1,    -1,    -1,   245,    -1,  4653,  4654,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,  1791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,  4694,  4695,    -1,
      -1,    -1,  4699,    -1,  1464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4709,    -1,    -1,    -1,    -1,  1823,    -1,    -1,
      -1,    -1,   313,  4720,    -1,   316,    -1,    -1,    -1,    -1,
    4727,    -1,    -1,  1493,  4731,    -1,    -1,    -1,   329,    -1,
      -1,   332,    -1,    -1,    -1,    -1,  4743,    -1,    -1,  4746,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,  4755,    -1,
      -1,    -1,  1522,  3751,    -1,    -1,    -1,  2848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4779,    -1,    -1,  4782,    -1,  4784,    -1,    -1,
    1550,  1551,    -1,  1553,  1900,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4807,    -1,  1572,  1919,  4811,    -1,   407,  4814,    -1,    -1,
      -1,    -1,    -1,  4820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4838,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,  1965,
      -1,    -1,    -1,    -1,    -1,  1625,  1626,    -1,    -1,  4866,
    4867,  4868,  4869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1654,    -1,    -1,    -1,  1658,  1659,
      -1,    -1,    -1,    -1,  4901,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,  2028,  4920,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3017,  3018,  3019,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,  4958,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   160,    -1,    -1,    -1,  1737,    -1,    -1,
      -1,    -1,   143,  1743,  4981,    -1,  4983,    -1,    -1,    -1,
    1750,    -1,    -1,    -1,    -1,    -1,  4993,    -1,    -1,    -1,
      -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     207,    -1,    -1,  1783,    -1,    -1,    -1,    -1,    -1,    -1,
    3111,  1791,   219,  3114,    -1,  3116,    -1,   224,  4026,  5036,
    3121,    -1,   229,    -1,  5041,    -1,    -1,   234,    -1,    -1,
     237,    -1,   239,    -1,    -1,  5052,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1823,  5061,    -1,    -1,    -1,    -1,    -1,
      -1,  5068,  5069,    -1,    -1,    -1,  5073,    -1,    -1,   266,
    5077,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,    -1,
    3171,    -1,    -1,    -1,  5091,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,  5100,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2225,
      -1,  1881,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,
    3211,    -1,    -1,    -1,    -1,  5132,    -1,    -1,   325,   160,
    1900,    -1,    -1,    -1,    -1,    -1,   333,    -1,    -1,  5146,
      -1,  4139,   313,    -1,    -1,   316,  5153,    -1,    -1,  1919,
      -1,    -1,  4150,    -1,    -1,    -1,    -1,    -1,   329,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,  1937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,
      -1,  3272,    -1,  3274,   381,    -1,    -1,    -1,   219,    -1,
    1960,    -1,    -1,   224,    -1,  1965,    -1,    -1,   229,    -1,
      -1,    -1,    -1,   234,    -1,    -1,   237,  5214,   239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      -1,    -1,    -1,    -1,    -1,   266,   407,    -1,  3329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2022,   450,    -1,    -1,    -1,   288,  2028,    -1,
      -1,  2031,   433,  3354,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,  4270,    -1,    -1,    -1,    -1,   474,    -1,   476,
     477,    -1,    -1,    -1,  3375,   105,    -1,    -1,   108,    -1,
      -1,    -1,    -1,   113,   325,    -1,    -1,  3388,    -1,   119,
    4298,    -1,   333,    -1,  2420,    -1,    -1,    -1,  2424,  2425,
      -1,    -1,    -1,    -1,   511,    -1,    -1,   514,   515,  4317,
     517,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,
     381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3452,    -1,    -1,    -1,    -1,    -1,  4365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2156,  2157,    -1,    -1,
    3481,    -1,    -1,    -1,  2164,   426,    -1,  2167,    -1,    -1,
    1301,  2171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2179,
    2180,    -1,    -1,    -1,  2530,    -1,    -1,  2187,    -1,   450,
    2190,  2191,  2192,  2193,    -1,   245,    -1,    -1,    -1,   249,
    2200,  2201,    -1,  2203,    -1,  2205,  2206,    -1,    -1,  2209,
      -1,    -1,    -1,   474,    -1,   476,   477,    -1,    -1,    -1,
     270,   271,    -1,    -1,    -1,  2225,  2226,  2227,    -1,    -1,
      -1,  2231,  3553,    -1,    -1,  2235,    -1,   287,    -1,  2239,
      -1,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
     511,  2251,  3573,   514,   515,    -1,   517,    -1,    -1,    -1,
      -1,  2261,  2262,   313,    -1,    -1,   316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3634,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,  2324,    -1,    -1,    -1,  2674,    -1,
      -1,    -1,    -1,  1464,    -1,   105,     5,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    25,   407,  3679,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,   143,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,  2749,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,  4643,    -1,    86,    -1,    -1,
    2420,    -1,    -1,    -1,  2424,  2425,    -1,    -1,    -1,    -1,
    3751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,   134,    -1,  2467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,  2478,   249,
      -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,   271,  2848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,   287,    -1,    -1,
      -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4757,
    2530,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,   316,  2547,    -1,    -1,
      -1,  2551,  4780,   222,    -1,    -1,    -1,    -1,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4816,    -1,
      -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1737,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4856,    -1,
      -1,   300,  4860,  4861,   303,    -1,    -1,   407,    -1,  1301,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,
      -1,    -1,  2672,    -1,  2674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2691,  1823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3111,    -1,   436,  3114,  1900,
    3116,    -1,    -1,    -1,    -1,  3121,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,  1919,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,  2797,    -1,    -1,
      -1,    -1,  1464,    -1,    -1,    -1,  1937,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,
      -1,    -1,    -1,    -1,   493,  3171,    -1,    -1,    -1,  4150,
      -1,   500,    -1,    -1,  1965,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,   514,    -1,    -1,  2848,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2863,    -1,  3211,    -1,    -1,    -1,  2869,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4199,    -1,
      -1,    -1,    -1,  4204,    -1,    -1,  2886,  2887,  4209,    -1,
      -1,    -1,  2892,    -1,    -1,    -1,    -1,  2028,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,  2918,    -1,
      -1,    -1,  2922,    -1,    -1,    -1,  3272,    -1,  3274,    -1,
      -1,    -1,    -1,    -1,  2934,  2935,  2936,  2937,    -1,    -1,
      -1,    -1,  2942,    -1,    -1,    -1,    -1,  2947,  2948,  4270,
    2950,    -1,  2952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2962,  2963,    -1,    -1,  2966,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4298,    -1,  2979,
      -1,  2981,    -1,  3329,    -1,  2985,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3004,    -1,    -1,    -1,  3354,    -1,
      -1,    -1,    -1,    -1,  3014,    -1,    -1,  3017,  3018,  3019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
      -1,  3041,  3388,    -1,  4365,    -1,    -1,   216,    -1,   218,
      98,    -1,    -1,    -1,  3054,    -1,    -1,    -1,    -1,  3059,
      -1,    -1,   110,    -1,    -1,  3065,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3073,    -1,  1737,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2225,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   153,  3452,    -1,    -1,   157,
      -1,  3111,    -1,    -1,  3114,    -1,  3116,    -1,    -1,    -1,
      -1,  3121,  3468,    -1,    -1,    -1,   174,    -1,    -1,  1791,
      -1,    -1,   180,    -1,    -1,  3481,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3144,    -1,    -1,   195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,  1823,  4483,    -1,    -1,    -1,   214,    -1,    -1,    -1,
      -1,  3171,    -1,    -1,    -1,    -1,    -1,    -1,   226,    -1,
      -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,   237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4521,    -1,    -1,    -1,   252,    -1,    -1,  3553,    -1,    -1,
      -1,  3211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3573,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1900,  3239,
    3240,  3241,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,
     298,    -1,  3598,    -1,    -1,    -1,    -1,  1919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3272,    -1,  3274,  1937,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,  3634,  2420,
      -1,  1301,    -1,  2424,  2425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1965,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,  4643,    -1,    -1,    -1,    -1,    -1,    -1,  3329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,
      -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,  3354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3375,    -1,    -1,   426,    -1,
     428,   429,    -1,   431,   432,    -1,    -1,  3387,  3388,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,   445,    -1,  2530,
      -1,    -1,    -1,   451,    -1,  3751,   454,    -1,    -1,   457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3452,    -1,  1464,    -1,    -1,    -1,    -1,  4780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4816,  3842,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,    -1,  4860,
    4861,    -1,    -1,  2674,    -1,    -1,    -1,    -1,    -1,    -1,
    3550,    -1,    -1,  3553,    -1,    -1,    -1,    -1,    -1,    -1,
    3560,    -1,    -1,  2225,    -1,    -1,  3566,    -1,  3568,    -1,
      -1,    -1,    -1,  3573,  3574,    -1,    -1,  3577,  3578,  3579,
    3580,  3581,  3582,  3583,  3584,  3585,  3586,    -1,    -1,    -1,
    3590,  3591,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,
      98,    -1,    -1,  3603,    -1,    -1,    -1,  3607,    -1,  3609,
      -1,  3611,    -1,    -1,    -1,    -1,    -1,    -1,  2749,  4940,
      -1,  3621,    -1,    -1,  3624,    -1,  3626,    -1,    -1,    -1,
      -1,    -1,    -1,   131,  3634,  3635,  3636,  3637,    -1,    -1,
      -1,  3641,    -1,  3989,  3644,    -1,   144,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,  3658,   157,
    3660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3672,    -1,    -1,   844,   174,    -1,  3678,  3679,
    4026,    -1,    -1,    -1,   853,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   214,  2848,   887,    -1,
      -1,    -1,    -1,  3723,    -1,    -1,    -1,  1737,   226,  3729,
      -1,    -1,    -1,   231,    -1,  3735,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3751,    -1,    -1,   252,    -1,    -1,    -1,  2420,    -1,
      -1,    -1,  2424,  2425,    -1,    -1,    -1,  3767,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   944,    -1,    -1,    -1,   277,
      -1,  1791,    -1,    -1,    -1,   954,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,  4150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,    -1,    -1,  3836,    -1,    -1,    -1,
      -1,  3841,  3842,  3843,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,
    1900,   389,    -1,   391,    -1,    -1,    -1,    -1,    -1,   397,
      -1,  1070,   400,    -1,    -1,    -1,    -1,  1076,    -1,  1919,
      -1,  1080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,  4270,    -1,    -1,  1937,   426,    -1,
     428,    -1,    -1,    -1,   432,    -1,    -1,  1106,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,  4298,    -1,    -1,  1965,    -1,    -1,    -1,    -1,
      -1,    -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4317,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3111,    -1,    -1,  3114,    -1,  3116,    -1,    -1,    -1,  3989,
    3121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2674,    -1,    -1,    -1,    -1,    -1,  2028,  4365,
      -1,    -1,    -1,    -1,    -1,    -1,  4026,  4027,  4028,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1242,  1243,    -1,    -1,    -1,    -1,    -1,
    3211,    -1,    -1,    -1,    -1,    -1,    -1,  2749,    -1,  4089,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,
      -1,    -1,  1301,    -1,    -1,    -1,  4136,  4137,    -1,  4139,
      -1,  3272,    -1,  3274,  4144,  4145,    -1,    -1,    -1,  4149,
    4150,    -1,    -1,    -1,    -1,  4155,  4156,    -1,    -1,  4159,
      -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,  1338,
      -1,    -1,    -1,    -1,    -1,  4521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4183,    -1,    -1,  2848,  4187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,  4199,
      -1,    -1,    -1,    -1,  4204,    -1,    -1,    -1,    -1,  4209,
      -1,    -1,    -1,    -1,    -1,  2225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1407,    -1,
      -1,    -1,    -1,    -1,  3375,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4252,    -1,    -1,    -1,    -1,  3388,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4289,
      -1,    -1,    -1,    -1,    -1,  1464,    -1,  4643,  4298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4317,    -1,    -1,
      -1,  3452,    -1,    -1,  1493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3481,    -1,    -1,  1522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1550,  1551,    -1,  1553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1572,    -1,    -1,    -1,    -1,    -1,    -1,
    2420,  4757,    -1,    -1,  2424,  2425,    -1,    -1,    -1,    -1,
      -1,    -1,  3553,    -1,  4424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4780,  4435,    -1,    -1,    -1,    -1,
      -1,    -1,  3573,    -1,    -1,    -1,    -1,    -1,    -1,  3111,
      -1,    -1,  3114,    -1,  3116,    -1,  1625,    -1,    -1,  3121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,    -1,
    4816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4483,    -1,  1654,    -1,    -1,    -1,  1658,
    1659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3634,    -1,    -1,    -1,    -1,    -1,  3171,
    4856,    -1,    -1,    -1,  4860,  4861,    -1,  4517,    -1,    -1,
    2530,  4521,    -1,    -1,    -1,    -1,  4526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4543,  4544,    -1,    -1,  4547,    -1,  3211,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4560,    -1,    -1,    -1,    -1,  4565,    -1,    -1,  1737,    -1,
    4570,    -1,    -1,  4573,    -1,    -1,    -1,    -1,  4578,  4579,
      -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3272,  4611,  3274,    -1,  1783,    -1,    -1,    -1,    -1,    -1,
    3751,    -1,  1791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4643,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4653,  1823,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2674,    -1,    -1,  3329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3354,    -1,    -1,    -1,    -1,    -1,    -1,  4699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3842,  1881,  3375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,
      -1,  1900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1919,    -1,    -1,    -1,    -1,  4755,    -1,  4757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4779,
    4780,    -1,  4782,    -1,  4784,    -1,    -1,    -1,    -1,    -1,
    3452,    -1,    -1,    -1,    -1,    -1,  1965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3468,  4807,    -1,    -1,
      -1,  4811,    -1,    -1,    -1,    -1,  4816,    -1,    -1,  3481,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4850,    -1,    -1,  2022,    -1,    -1,  4856,    -1,  3989,  2028,
    4860,  4861,  2031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3553,    -1,    -1,    -1,  4026,    -1,    -1,    -1,    -1,
      -1,  4901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,    -1,    -1,
    4940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4958,    -1,
      -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2156,  2157,    -1,
      -1,    -1,    -1,  4993,    -1,  2164,    -1,    -1,  2167,    -1,
      -1,    -1,  2171,    -1,    -1,    -1,    -1,    -1,  4139,    -1,
    2179,  2180,    -1,    -1,    -1,    -1,    -1,    -1,  2187,  4150,
      -1,  2190,  2191,  2192,  2193,    -1,    -1,    -1,    -1,    -1,
      -1,  2200,  2201,    -1,  2203,    -1,  2205,  2206,    -1,    -1,
    2209,  5041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5052,    -1,    -1,    -1,  2225,  2226,    -1,    -1,
      -1,    -1,  2231,    -1,    -1,    -1,  2235,    -1,  5068,  5069,
    2239,    -1,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,
    2249,    -1,  2251,    -1,    -1,    -1,    -1,    -1,    -1,  3751,
      -1,  5091,  2261,  2262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3111,    -1,    -1,  3114,    -1,  3116,    -1,    -1,    -1,
      -1,  3121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5132,    -1,    -1,    -1,    -1,    -1,    -1,  4270,
    1301,    -1,    -1,    -1,    -1,    -1,  5146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2324,    -1,    -1,    -1,    -1,
      -1,  3171,    -1,    -1,    -1,    -1,    -1,  4298,    -1,  5169,
      -1,    -1,    -1,    -1,    -1,    -1,   154,    -1,    -1,    -1,
    3842,    -1,    -1,    -1,    -1,   163,  4317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5214,    -1,    -1,    -1,    -1,  5219,
      -1,    -1,    -1,  5223,   202,    -1,    -1,  5227,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2420,    -1,    -1,    -1,  2424,  2425,    -1,   236,    -1,
      -1,    -1,  3272,    -1,  3274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2467,    -1,
      -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,  2478,
      -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,  3329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3354,    -1,    -1,  2516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2530,    -1,    -1,  4026,  3375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    -1,  3452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3481,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2672,    -1,  2674,    -1,    -1,    -1,    -1,
      -1,    -1,  4643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3553,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3573,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1737,    -1,    -1,    -1,
    2749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3634,    -1,  4757,    -1,  2797,    -1,
    1791,    -1,    -1,    -1,    -1,    -1,  4298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,
      -1,    -1,    -1,    -1,    -1,  4317,    -1,    -1,    -1,    -1,
      -1,    -1,  1823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,
      -1,    -1,    -1,    -1,    -1,  4816,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2863,    -1,    -1,    -1,    -1,    -1,
    2869,    -1,    -1,  4365,   682,   683,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,  2887,    -1,
      -1,    -1,    -1,  2892,    -1,  4856,    -1,    -1,    -1,  4860,
    4861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1900,
      -1,  3751,    -1,    -1,    -1,    -1,    -1,    -1,  2917,  2918,
      -1,    -1,   730,  2922,    -1,    -1,    -1,    -1,  1919,    -1,
      -1,    -1,    -1,    -1,    -1,  2934,  2935,  2936,  2937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1937,    -1,  2947,    -1,
      -1,  2950,    -1,  2952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2962,  2963,    -1,    -1,  2966,    -1,    -1,
      -1,    -1,    -1,    -1,  1965,    -1,    -1,    -1,    -1,    -1,
    2979,    -1,  2981,    -1,    -1,    -1,  2985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3842,    -1,    -1,  3004,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,  3017,  3018,
    3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2028,    -1,    -1,
      -1,    -1,  3041,   851,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   861,   862,  3054,   864,    -1,    -1,   867,
    3059,   869,    -1,    -1,    -1,    -1,  3065,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3073,    -1,    -1,    -1,    -1,    -1,
     888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   896,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   905,   906,    -1,
      -1,    -1,   910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3111,    -1,    -1,  3114,    -1,  3116,    -1,   927,
      -1,   929,  3121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   945,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3144,    -1,    -1,    -1,  3989,
      -1,  4643,    -1,   961,    -1,    -1,   964,    -1,   966,    -1,
     968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3171,    -1,   982,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1037,
      -1,  1039,    -1,    -1,  2225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1072,  4757,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3272,    -1,  3274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,
    1108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4816,    -1,    -1,    -1,    -1,    -1,
    3329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4856,    -1,    -1,    -1,  4860,  4861,
      -1,  1179,    -1,  1181,    -1,    -1,  3375,  1185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2420,
    4270,    -1,    -1,  2424,  2425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1255,    -1,    -1,
      -1,    -1,    -1,  3452,    -1,    -1,    -1,    -1,  4298,    -1,
      -1,    -1,    -1,  1271,    -1,    -1,    -1,    -1,    -1,  3468,
      -1,    -1,    -1,    -1,    -1,    -1,  1284,  4317,    -1,    -1,
      -1,    -1,  3481,  1291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1303,    -1,    -1,  1306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,
      -1,  1339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3550,    -1,    -1,  3553,    -1,    -1,    -1,    -1,    -1,
      -1,  3560,    -1,    -1,    -1,    -1,    -1,  3566,    -1,  3568,
      -1,    -1,    -1,    -1,  3573,  3574,    -1,    -1,  3577,  3578,
    3579,  3580,  3581,  3582,  3583,  3584,  3585,  3586,    -1,    -1,
      -1,  3590,  3591,    -1,    -1,    -1,    -1,    -1,    -1,  3598,
      -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,  3607,    -1,
      -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3621,    -1,    -1,  3624,    -1,  3626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3634,  3635,  3636,  3637,    -1,
      -1,    -1,  3641,    -1,    -1,  3644,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3658,
      -1,  3660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3672,    -1,    -1,    -1,    -1,    -1,  3678,
    3679,  4521,    -1,  2674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3723,    -1,    -1,    -1,    -1,    -1,
    3729,    -1,    -1,    -1,    -1,    -1,  3735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3751,    -1,    -1,    -1,    -1,    -1,  2749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3767,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4643,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1644,  1645,    -1,    -1,
      -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1702,    -1,    -1,  1705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1713,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4757,    -1,    -1,
      -1,    -1,    -1,  1731,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1769,    -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3989,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,
      -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,    -1,    -1,    -1,    -1,  4856,    -1,    -1,    -1,
    4860,  4861,    -1,    -1,    -1,    -1,    -1,  4026,  4027,  4028,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,   154,
      -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,   163,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4089,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3111,    -1,    -1,  3114,    -1,  3116,    -1,  4126,    -1,    -1,
    3121,    -1,    -1,    -1,    -1,    -1,    -1,  4136,  4137,    -1,
    4139,    -1,    -1,    -1,    -1,  4144,  4145,    -1,    -1,    -1,
    4149,  4150,    -1,    -1,    -1,    -1,  4155,  4156,    -1,    -1,
    4159,  1969,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1984,    -1,    -1,    -1,
    3171,    -1,    -1,    -1,  4183,    -1,    -1,    -1,  4187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4199,    -1,    -1,    -1,    -1,  4204,    -1,    -1,    -1,    -1,
    4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3211,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2045,    -1,  2047,
      -1,  2049,    -1,    -1,    -1,    -1,  2054,    -1,    -1,    -1,
      -1,    -1,    -1,  4252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3272,    -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2103,    -1,    -1,    -1,  4298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2115,    -1,    -1,
      -1,  2119,    -1,  2121,    -1,    -1,  2124,    -1,  4317,    -1,
      -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3354,    -1,    -1,  4365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3375,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,    -1,    -1,
      -1,  3452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,    -1,
      -1,    -1,    -1,    -1,  4483,    -1,    -1,    -1,    -1,    -1,
    3481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4517,    -1,
      -1,    -1,  4521,    -1,    -1,    -1,    -1,  4526,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   636,    -1,    -1,  4543,  4544,    -1,    -1,  4547,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4560,  3553,    -1,    -1,    -1,  4565,    -1,    -1,    -1,
      -1,  4570,    -1,    -1,  4573,    -1,    -1,    -1,    -1,  4578,
    4579,    -1,  3573,    -1,    -1,    -1,    -1,   682,   683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,    -1,    -1,
      -1,    -1,  4611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2435,  2436,    -1,
      -1,    -1,  2440,  2441,    -1,   730,  2444,    -1,    -1,    -1,
      -1,    -1,    -1,  3634,  4643,    -1,  2454,    -1,    -1,    -1,
      -1,    -1,    -1,  2461,  4653,    -1,    -1,  2465,  2466,    -1,
      -1,  2469,  2470,    -1,    -1,    -1,    -1,    -1,  2476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2488,    -1,  2490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2506,    -1,
    4699,    -1,    -1,  2511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2532,    -1,  2534,  2535,  2536,  2537,
      -1,    -1,    -1,  2541,  2542,    -1,    -1,    -1,    -1,    -1,
      -1,  2549,    -1,    -1,    -1,  2553,    -1,    -1,    -1,  2557,
      -1,    -1,    -1,    -1,    -1,    -1,  4755,    -1,  4757,    -1,
    3751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4779,  4780,  2590,  4782,  2592,  4784,    -1,    -1,    -1,  2597,
      -1,    -1,    -1,  2601,    -1,  2603,  2604,  2605,  2606,    -1,
    2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4807,    -1,
      -1,    -1,  4811,  2621,  2622,  2623,    -1,  4816,    -1,    -1,
      -1,    -1,    -1,    -1,  2632,  2633,    -1,    -1,    -1,    -1,
      -1,   926,   927,    -1,   929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3842,    -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,
      -1,  4860,  4861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   978,  2692,    -1,   981,   982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   996,  4901,   998,    -1,  1000,    -1,    -1,    -1,    -1,
      -1,  1006,    -1,    -1,    -1,  1010,    -1,    -1,    -1,    -1,
      -1,  4920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1029,  1030,    -1,    -1,    -1,    -1,
      -1,  4940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4958,
      -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1072,    -1,  1074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4993,    -1,    -1,    -1,  3989,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,    -1,
      -1,    -1,  5041,    -1,    -1,    -1,  2854,    -1,    -1,    -1,
      -1,    -1,    -1,  5052,    -1,    -1,    -1,  1152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5068,
    5069,  1166,  1167,    -1,    -1,  1170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5132,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5146,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5214,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4270,
     844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   853,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3124,  3125,    -1,    -1,
    1415,    -1,    -1,   887,    -1,  1420,  4317,  1422,    -1,    -1,
    1425,    -1,  1427,  3141,    -1,  1430,  1431,  1432,    -1,    -1,
      -1,  1436,    -1,    -1,    -1,    -1,    -1,    -1,  1443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3166,    -1,
      -1,  1456,    -1,  1458,    -1,    -1,    -1,  3175,  1463,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
     944,    -1,  3190,  3191,    -1,    -1,    -1,  3195,    -1,    -1,
     954,    -1,  3200,  3201,  3202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3230,  3231,  3232,  3233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3264,    -1,  3266,  3267,
    3268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1593,  1594,
      -1,    -1,    -1,    -1,    -1,    -1,  1070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,
    1615,  1616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4521,    -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3349,  1106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3403,    -1,    -1,    -1,    -1,
      -1,    -1,  1697,    -1,  1699,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1709,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3445,    -1,    -1,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4643,  1070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3479,    -1,    -1,  3482,    -1,    -1,    -1,  1773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1781,    -1,  3496,  1106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3509,    -1,  1267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1301,    -1,    -1,
    1835,    -1,    -1,  1838,  1839,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4816,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,    -1,  4860,
    4861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3774,    -1,  3776,    -1,
      -1,    -1,    -1,    -1,    -1,  3783,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1550,  1551,    -1,  1553,
      -1,  3799,  2087,    -1,  2089,    -1,    -1,    -1,  2093,    -1,
    2095,    -1,    -1,  2098,    -1,    -1,  3814,  2102,  1572,    -1,
      -1,    -1,  2107,    -1,    -1,    -1,  3824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1625,    -1,    -1,  3872,  3873,  3874,    -1,    -1,  3877,
    3878,  3879,  3880,  3881,    -1,    -1,  1493,    -1,  3886,  3887,
      -1,  3889,  3890,  3891,  3892,  3893,  3894,  3895,    -1,    -1,
    1654,    -1,    -1,    -1,  1658,  1659,  3904,    -1,  3906,  3907,
      -1,    -1,    -1,    -1,    -1,  1522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1550,  1551,    -1,  1553,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3956,  3957,
    3958,    -1,    -1,  3961,    -1,  1572,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,
    2265,    -1,    -1,  1737,    -1,    -1,    -1,    -1,    -1,  2274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1625,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4043,    -1,  1654,    -1,    -1,
      -1,  1658,  1659,  2338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4063,  4064,  4065,    -1,  1823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2390,    -1,    -1,    -1,  2394,
      -1,    -1,    -1,    -1,    -1,  2400,    -1,  2402,    -1,    -1,
    2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1566,    -1,  1900,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1965,    -1,    -1,    -1,    -1,    -1,    -1,  1640,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,
      -1,    -1,    -1,    -1,  2028,    -1,    -1,  2031,    -1,    -1,
      -1,    -1,    -1,  4281,  4282,  4283,  4284,    -1,    -1,  4287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2583,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2591,    -1,  2593,    -1,
    4308,  4309,  4310,  4311,    -1,  4313,  4314,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4325,  4326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4338,    -1,    -1,    -1,    -1,    -1,  4344,  4345,    -1,  4347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2156,  2157,    -1,    -1,    -1,    -1,    -1,    -1,
    2164,    -1,    -1,  2167,    -1,    -1,    -1,  2171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2179,  2180,    -1,    -1,    -1,
      -1,    -1,    -1,  2187,    -1,    -1,  2190,  2191,  2192,  2193,
      -1,    -1,    -1,    -1,  4442,    -1,  2200,  2201,    -1,  2203,
      -1,  2205,  2206,  4451,    -1,  2209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2225,  2226,    -1,  4472,    -1,    -1,  2231,    -1,    -1,
      -1,  2235,    -1,    -1,    -1,  2239,    -1,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,    -1,  2251,  4496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2261,  2262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,  2814,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,
    2324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4576,    -1,
    2187,    -1,    -1,  2190,    -1,    -1,  2193,    -1,    -1,    -1,
      -1,    -1,    -1,  2200,  2201,    -1,    -1,    -1,    -1,  2206,
      -1,    -1,  2209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2226,
      -1,    -1,    -1,    -1,  2231,    -1,    -1,    -1,  2235,    -1,
      -1,    -1,  2239,    -1,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,    -1,  2251,    -1,    -1,  4645,  2070,    -1,
      -1,    -1,    -1,    -1,  2261,  2262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2420,  4665,    -1,    -1,
    2424,  2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2467,    -1,    -1,    -1,  2324,    -1,    -1,
      -1,    -1,    -1,    -1,  2478,    -1,    -1,    -1,    -1,    -1,
      -1,  2485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2162,    -1,    -1,    -1,    -1,    -1,    -1,  3032,    -1,    -1,
      -1,    -1,  3037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2186,  4763,    -1,    -1,    -1,  2191,
      -1,    -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2211,
    2212,    -1,    -1,  2215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4804,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4855,    -1,    -1,
    2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2311,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,  2672,    -1,
    2674,    -1,    -1,    -1,  2346,    -1,    -1,  2349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4944,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4967,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4991,    -1,  2749,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5030,    -1,    -1,    -1,    -1,  5035,    -1,    -1,
      -1,    -1,    -1,  2797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2672,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3375,    -1,  5090,    -1,  2848,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3388,    -1,    -1,    -1,    -1,    -1,  2863,
      -1,    -1,    -1,    -1,    -1,  2869,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2886,  2887,    -1,    -1,    -1,    -1,  2892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2917,  2918,    -1,    -1,    -1,  2922,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2934,  2935,  2936,  2937,    -1,    -1,    -1,    -1,    -1,    -1,
    2797,    -1,    -1,  2947,  3479,    -1,  2950,    -1,  2952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,  2963,
      -1,    -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2979,    -1,  2981,    -1,    -1,
      -1,  2985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3004,    -1,    -1,    -1,    -1,  3540,    -1,    -1,    -1,    -1,
    3014,    -1,    -1,  3017,  3018,  3019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2887,    -1,    -1,    -1,    -1,  2892,    -1,  3041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3054,    -1,    -1,    -1,    -1,  3059,    -1,    -1,    -1,    -1,
      -1,  3065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,  2936,
    2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2947,    -1,    -1,  2950,    -1,  2952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3111,    -1,    -1,
    3114,    -1,  3116,    -1,    -1,    -1,    -1,  3121,    -1,    -1,
      -1,    -1,  2979,    -1,  2981,    -1,    -1,    -1,  2985,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3017,  3018,  3019,    -1,    -1,    -1,    -1,  3171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3054,    -1,    -1,
      -1,    -1,  3059,    -1,    -1,  3740,    -1,  3211,  3065,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2890,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2913,    -1,  2915,    -1,  2917,  2918,  2919,    -1,    -1,
    2922,    -1,    -1,    -1,  2926,    -1,    -1,    -1,    -1,    -1,
      -1,  2933,    -1,    -1,    -1,    -1,  2938,    -1,  3272,    -1,
    3274,    -1,  2944,    -1,    -1,    -1,    -1,  2949,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2958,  3144,    -1,    -1,
    2962,  2963,    -1,  2965,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2977,    -1,  3842,    -1,    -1,
      -1,    -1,  2984,    -1,  2986,  2987,  2988,  2989,  2990,  2991,
    2992,  2993,  2994,  2995,    -1,  3329,    -1,    -1,    -1,    -1,
    3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3354,  3023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4068,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3550,    -1,    -1,  3553,
      -1,    -1,    -1,    -1,    -1,    -1,  3560,    -1,    -1,    -1,
      -1,    -1,  3566,    -1,  3568,    -1,    -1,    -1,    -1,  3573,
    3574,    -1,    -1,  3577,  3578,  3579,  3580,  3581,  3582,  3583,
    3584,  3585,  3586,    -1,    -1,    -1,  3590,  3591,    -1,    -1,
      -1,    -1,    -1,    -1,  3598,    -1,    -1,    -1,    -1,  3603,
      -1,    -1,    -1,  3607,    -1,    -1,    -1,  3611,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3621,    -1,    -1,
    3624,    -1,  3626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3634,  3635,  3636,  3637,    -1,    -1,    -1,  3641,    -1,    -1,
    3644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3658,    -1,  3660,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3672,    -1,
      -1,    -1,    -1,    -1,  3678,  3679,    -1,    -1,  4213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3560,  3376,    -1,    -1,    -1,  4243,  3566,
      -1,  3568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3723,
      -1,    -1,    -1,    -1,    -1,  3729,    -1,    -1,    -1,    -1,
      -1,  3735,    -1,  3590,  3591,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3751,    -1,    -1,
      -1,    -1,    -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,
    4295,    -1,    -1,  3767,  3621,    -1,    -1,  3624,    -1,  3626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3635,    -1,
      -1,    -1,    -1,    -1,  3641,    -1,    -1,  3644,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3672,    -1,    -1,    -1,    -1,
      -1,  3678,  3679,    -1,    -1,    -1,    -1,    -1,  3500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3842,    -1,
      -1,    -1,    -1,    -1,    -1,  4380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3723,    -1,    -1,    -1,
      -1,    -1,  3729,  4408,    -1,    -1,    -1,  3549,  3735,    -1,
      -1,    -1,    -1,  3555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3571,
    3572,    -1,  3574,    -1,    -1,  3577,  3578,  3579,  3580,  3581,
    3582,  3583,  3584,  3585,  3586,  3587,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3612,    -1,    -1,  3615,    -1,  3617,    -1,    -1,    -1,    -1,
    3622,  3623,    -1,    -1,    -1,    -1,    -1,    -1,  3962,    -1,
      -1,    -1,    -1,    -1,  3636,  3637,  3638,    -1,  3640,    -1,
      -1,  3643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4026,  4027,  4028,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3706,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3718,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4089,    -1,    -1,    -1,    -1,
      -1,    -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4643,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4136,  4137,    -1,  4139,    -1,    -1,    -1,    -1,
    4144,  4145,    -1,    -1,    -1,  4149,  4150,    -1,    -1,    -1,
      -1,  4155,  4156,    -1,    -1,  4159,    -1,    -1,  4162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4027,  4028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,
      -1,    -1,    -1,  4187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,
    4204,    -1,    -1,    -1,    -1,  4209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4136,
    4137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3962,    -1,  4149,    -1,  4298,    -1,    -1,    -1,  4155,  4156,
      -1,    -1,  4159,    -1,    -1,  4162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4199,    -1,    -1,    -1,    -1,  4204,    -1,    -1,
      -1,    -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4947,    -1,    -1,    -1,    -1,    -1,  4090,    -1,
    4424,    -1,  4094,  4095,  4096,    -1,    -1,  4099,    -1,    -1,
      -1,  4435,  4104,  4105,  4106,  4107,  4108,  4109,  4110,  4111,
    4112,  4113,  4114,  4115,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4143,  4144,  4145,  4146,    -1,  4148,    -1,    -1,  4483,
    4152,  4153,  4154,    -1,    -1,  4157,    -1,    -1,  4160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4517,    -1,    -1,    -1,  4521,    -1,    -1,
      -1,    -1,  4526,    -1,    -1,    -1,    -1,    -1,    -1,  4201,
      -1,    -1,    -1,    -1,    -1,    -1,  4208,    -1,    -1,  4543,
    4544,    -1,    -1,  4547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4223,    -1,    -1,    -1,    -1,  4560,    -1,    -1,    -1,
      -1,  4565,    -1,    -1,    -1,    -1,  4570,  4424,    -1,  4573,
      -1,    -1,    -1,    -1,  4578,  4579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4611,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4643,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4547,    -1,    -1,    -1,    -1,  4699,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4755,    -1,  4757,    -1,  4427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4779,  4780,    -1,  4782,    -1,
    4784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4807,    -1,    -1,    -1,  4811,  4480,  4481,
      -1,    -1,  4816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4513,    -1,    -1,    -1,  4517,    -1,    -1,    -1,    -1,
      -1,    -1,  4856,    -1,    -1,    -1,  4860,  4861,    -1,  4531,
      -1,  4533,    -1,    -1,    -1,    -1,  4538,  4539,  4540,    -1,
      -1,  4543,  4544,  4545,  4546,    -1,  4548,    -1,    -1,  4551,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4901,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4782,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4940,  4609,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4807,    -1,    -1,    -1,  4958,    -1,    -1,  4961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5041,    -1,    -1,
    4712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5052,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4920,  5068,  5069,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4778,  4779,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4794,  4795,  4796,    -1,    -1,    -1,  5132,    -1,
      25,    -1,    -1,    -1,    -1,    -1,  4993,    -1,    -1,    -1,
      35,    36,  5146,    -1,    -1,    -1,    41,  4819,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5214,  5068,  5069,    -1,    -1,    -1,    -1,    -1,    -1,  5223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5132,    -1,    -1,  4950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5146,
      -1,    -1,    -1,    -1,  4966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5214,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5040,   264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5089,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
      -1,   516,   517,   518,   519,   520,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,     3,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
     519,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     115,    -1,    -1,   118,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,
      -1,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,
      -1,    -1,    -1,    -1,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,    -1,    -1,   219,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,    -1,    -1,   262,    -1,    -1,
     265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,    -1,   287,    -1,   289,   290,    -1,    -1,    -1,    -1,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,
      -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,
     315,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   349,    -1,   351,    -1,   353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,
     365,    -1,    -1,    -1,    -1,   370,   371,    -1,   373,    -1,
      -1,    -1,    -1,   378,    -1,    -1,    -1,    -1,   383,   384,
      -1,   386,   387,    -1,    -1,   390,    -1,    -1,    -1,    -1,
     395,   396,    -1,    -1,    -1,    -1,    -1,    -1,   403,   404,
      -1,   406,   407,    -1,   409,    -1,    -1,    -1,    -1,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,
      -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
     435,    -1,    -1,    -1,   439,    -1,   441,    -1,   443,    -1,
     445,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,    -1,
      -1,   456,    -1,    -1,   459,    -1,    -1,    -1,    -1,   464,
     465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,   513,    26,
      27,    -1,   517,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,
      -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
      -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
     407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,
      -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,
      -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,   520,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,
      -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
      -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
     407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,
      -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,
      -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,    -1,   520,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,   134,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
     303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,
      -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
      -1,   504,   505,   506,   507,   508,    -1,    -1,   511,   512,
     513,   514,    -1,    -1,    -1,   518,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
      -1,    -1,    -1,    -1,   518,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   514,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,    -1,
     314,   315,   316,   317,    -1,    -1,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,    -1,   350,    -1,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     514,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,   511,   512,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,   506,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   513,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   513,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   514,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,   512,   513,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   513,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   513,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   513,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   513,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   513,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   513,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   513,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,    -1,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,   506,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   506,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   506,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     506,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,   229,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,   229,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,   229,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,   229,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,   436,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,     4,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,    -1,   350,
      -1,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,    -1,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
      -1,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,    -1,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
      -1,   350,    -1,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
      -1,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,    -1,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,    -1,   314,   315,
     316,   317,    -1,    -1,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,    -1,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,    -1,   314,
     315,   316,   317,    -1,    -1,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,    -1,   350,    -1,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,    -1,   121,    -1,    -1,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,    -1,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,    -1,    -1,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,    -1,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,    -1,    -1,   261,   262,   263,
      -1,    -1,    -1,    -1,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,    -1,   310,   311,    -1,    -1,
     314,   315,   316,   317,    -1,    -1,   320,    -1,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,    -1,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,    -1,   350,    -1,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
      -1,   405,   406,   407,   408,    -1,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,    -1,
      -1,   145,   146,   147,   148,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,   226,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,   226,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,   226,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,   226,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      74,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,
      -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,    -1,
      -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,
      -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,
      -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
      -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
     407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,
      -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,
      -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,
      -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,    -1,
     270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,   309,
      -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,   319,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,
      -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,
      -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,
      -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
      -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
     504,   505,   506,    79,    80,    -1,    -1,    -1,    -1,   513,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,   513,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    72,   504,   505,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    72,   504,   505,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,   504,   505,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,   436,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   522,  1090,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   222,   242,
     264,   300,   303,   318,   394,   436,   450,   465,   493,   500,
     504,   505,   506,   507,   508,   511,   512,   513,   514,   516,
     517,   518,   519,   520,  1081,  1091,  1119,  1121,  1212,  1222,
    1223,  1225,  1231,  1232,  1120,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   222,   228,
     230,   234,   236,   245,   258,   259,   265,   267,   270,   271,
     273,   284,   285,   287,   289,   290,   295,   304,   307,   308,
     309,   312,   315,   316,   319,   321,   335,   336,   338,   339,
     349,   351,   353,   364,   365,   370,   371,   373,   378,   383,
     384,   386,   387,   390,   395,   396,   403,   404,   406,   407,
     409,   414,   422,   426,   434,   435,   439,   441,   443,   445,
     450,   453,   459,   464,   465,   468,   477,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   513,   523,   524,   530,
     531,   533,   534,   535,   536,   537,   538,   539,   541,   542,
     546,   558,   563,   564,   567,   568,   569,   581,   584,   585,
     601,   640,   643,   644,   645,   652,   658,   660,   662,   663,
     666,   669,   670,   674,   675,   684,   688,   689,   690,   691,
     692,   694,   695,   696,   709,   710,   714,   716,   717,   718,
     728,   730,   737,   738,   741,   742,   743,   744,   745,   750,
     752,   755,   759,   763,   764,   774,   775,   778,   783,   794,
     816,   819,   820,   821,   824,   827,   829,   831,   834,   835,
     838,   839,   840,   847,   848,   850,   851,   852,   857,   859,
     860,   864,   865,   868,   869,   870,   871,   873,   874,   875,
     876,   878,   881,   882,   887,   893,   896,   898,   903,   905,
     909,   916,   920,   921,   922,   923,   924,   925,   928,   956,
    1087,  1088,  1092,  1094,  1095,  1112,  1113,  1114,  1115,  1126,
    1128,  1132,  1133,  1134,  1135,  1136,  1138,  1140,  1142,  1143,
    1144,  1145,  1147,  1152,  1153,  1157,  1158,  1167,  1169,  1170,
    1171,  1174,  1179,  1182,  1187,  1189,  1190,  1193,  1195,  1198,
    1207,  1225,  1233,    73,  1115,  1123,  1124,    14,    72,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     110,   111,   113,   114,   116,   117,   118,   125,   126,   127,
     128,   129,   132,   133,   136,   138,   139,   140,   141,   146,
     147,   148,   149,   151,   154,   155,   156,   157,   158,   159,
     162,   171,   172,   173,   174,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   206,   208,   209,   210,
     211,   213,   214,   215,   218,   220,   221,   223,   225,   227,
     231,   232,   233,   235,   238,   240,   241,   243,   244,   246,
     247,   248,   250,   251,   252,   253,   254,   255,   257,   261,
     262,   263,   269,   272,   274,   275,   276,   277,   278,   280,
     281,   283,   286,   289,   290,   291,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   310,   311,   314,
     315,   317,   320,   322,   323,   324,   326,   329,   330,   331,
     334,   337,   340,   341,   342,   343,   344,   345,   346,   348,
     350,   352,   353,   354,   356,   357,   358,   359,   360,   361,
     362,   363,   365,   366,   367,   368,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   385,
     386,   388,   389,   390,   391,   392,   393,   395,   397,   398,
     399,   400,   401,   403,   405,   406,   408,   410,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   424,   425,
     427,   428,   429,   430,   431,   432,   436,   438,   440,   443,
     444,   445,   446,   447,   448,   449,   452,   453,   454,   455,
     456,   459,   460,   461,   462,   463,   467,   469,   470,   471,
     472,   475,   478,   479,   480,   481,   482,   483,   494,   495,
    1082,  1085,  1086,  1087,  1088,  1105,  1106,  1217,  1219,  1223,
    1225,    29,   260,  1168,     9,    13,    15,    28,    45,    46,
      50,    51,    56,    65,    67,    69,    70,    99,   134,   152,
     163,   175,   180,   242,   300,   303,   394,   464,   493,  1074,
    1086,  1087,  1107,  1154,  1155,  1197,  1198,  1199,  1203,  1208,
    1209,  1210,  1219,  1225,    99,   917,  1073,  1107,  1203,  1216,
      14,   917,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   224,   226,   229,   234,   237,
     239,   249,   256,   260,   264,   266,   268,   279,   282,   288,
     292,   293,   313,   318,   325,   327,   328,   332,   333,   347,
     355,   369,   381,   396,   402,   411,   423,   426,   433,   436,
     437,   442,   450,   451,   457,   458,   464,   466,   473,   474,
     476,   477,  1086,  1089,  1199,  1200,  1201,  1205,  1206,  1207,
    1208,  1210,    25,    35,   134,   264,  1194,    38,    40,   313,
    1127,   438,   480,   853,    98,   144,   157,   174,   180,   195,
     206,   214,   226,   231,   237,   252,   277,   298,   329,   358,
     385,   389,   391,   397,   400,   425,   426,   428,   432,   440,
     445,   457,   470,   659,  1155,   179,   853,    99,   917,   468,
     883,   327,   354,   853,   121,   592,   921,    98,   110,   131,
     144,   153,   174,   180,   195,   206,   214,   226,   233,   237,
     291,   329,   332,   385,   391,   400,   428,   429,   431,   432,
     440,   445,   451,   454,   457,   602,   642,   733,   784,   795,
    1074,  1096,  1097,  1098,  1107,  1223,  1225,    14,    99,   353,
    1073,  1107,  1111,   415,   917,    99,   348,   398,   429,   431,
     276,   825,   826,  1223,    98,   110,   131,   144,   157,   174,
     195,   206,   214,   226,   231,   237,   252,   298,   329,   340,
     385,   389,   391,   397,   400,   426,   428,   432,   440,   445,
     457,   470,   659,   746,   853,   519,  1137,  1201,   246,  1111,
     160,   179,   211,   468,   513,   640,   643,   882,   888,   896,
     898,   903,   909,   916,   920,  1092,    92,    99,   116,   221,
     227,   229,   249,   278,   310,   356,   372,   504,   505,   760,
     761,   917,  1081,  1084,  1217,  1219,    99,   160,   369,   396,
     765,   766,   767,  1203,  1203,  1078,  1223,   426,   931,   116,
     227,   760,  1203,   438,  1111,   340,   298,   174,   252,   425,
     426,   832,   390,  1203,    99,   134,   401,   434,   438,   464,
     550,   559,   560,  1086,  1087,  1197,  1202,  1208,  1210,  1225,
      96,   234,   765,   766,   354,   853,  1203,   275,    99,   192,
     933,     4,    14,   132,   152,   154,   291,   306,   385,   391,
     401,   434,   438,   483,   547,   548,   549,   550,    99,   401,
     434,   438,   550,   438,   328,   967,  1071,  1203,   931,  1191,
    1201,   506,  1203,   230,   513,   884,   513,  1066,   367,   926,
     927,  1073,   921,   922,   925,   517,   883,   207,   266,   333,
     450,   934,   935,   921,   923,   924,   185,   262,   456,   516,
     118,   523,  1135,  1138,  1134,  1130,   517,  1139,  1141,     5,
      25,    35,   134,   196,   264,  1146,   175,   242,   300,   303,
     394,   493,   513,  1002,  1003,  1118,  1122,  1212,    73,  1115,
    1073,  1107,  1226,   180,  1096,    21,   458,   507,  1111,  1111,
    1226,   458,  1159,  1160,  1161,    25,   264,   264,  1205,     7,
      19,    20,    39,    42,   156,   193,  1196,  1196,    16,  1135,
    1079,  1088,  1197,  1200,  1203,  1204,  1208,  1209,  1225,   748,
    1203,   748,  1074,   357,   748,   440,   748,  1073,  1203,   173,
     426,   773,  1079,  1082,    99,   244,  1071,   322,   470,    85,
     139,   218,   500,   501,   502,   504,   505,   506,   507,   508,
     509,   823,  1033,  1034,  1203,    99,  1082,  1073,  1073,   244,
    1071,  1073,   378,   403,    99,   244,   967,  1073,   393,  1073,
     748,   296,  1082,   244,  1071,   276,    34,   182,   272,   313,
     363,   854,   855,   856,  1071,  1077,  1203,    98,   131,   144,
     145,   153,   157,   174,   195,   206,   214,   226,   231,   252,
     277,   298,   329,   385,   389,   391,   397,   400,   426,   428,
     432,   440,   445,   470,   659,   753,  1223,  1071,   436,  1079,
    1073,   513,   748,   440,  1074,   748,   440,   244,  1073,   173,
     426,   429,   431,  1082,   429,   431,   139,   218,   823,   376,
    1082,   244,   543,  1203,  1073,  1073,   393,  1073,   748,   296,
    1082,   367,   397,   426,   470,   298,   157,   252,   231,   389,
     444,   653,    85,  1099,  1100,   518,  1219,  1226,    99,  1111,
    1225,   918,   557,  1085,  1223,   826,   244,  1079,  1073,   244,
     830,   244,  1074,   440,   173,   426,   244,  1079,   244,  1082,
    1083,   150,   470,   139,   218,   244,   823,   125,   244,  1083,
     244,  1073,   244,  1073,   244,  1073,   393,   244,  1073,   244,
     296,  1083,   276,   244,   747,   748,   513,   519,  1227,  1228,
    1229,  1230,  1232,  1137,    71,  1107,  1156,   513,   897,   602,
     917,   888,   882,   889,   890,   891,  1085,   883,  1084,   761,
     762,    99,   761,   917,  1084,   762,    99,   761,   917,  1084,
     762,   762,   762,  1084,  1081,  1081,   268,   458,  1161,  1162,
    1236,  1237,   917,   762,   357,   513,   513,   621,   621,   621,
     327,   436,   516,   621,   967,   968,   761,   917,   761,   917,
     516,   849,  1223,   229,   513,   894,   125,   470,  1073,  1073,
    1071,  1203,   115,   495,   272,   515,   330,   330,   327,   229,
    1223,   436,   224,   756,   327,    83,    84,    85,    87,   107,
     120,   122,   123,   130,   131,   134,   135,   142,   144,   164,
     165,   166,   167,   168,   169,   170,   177,   178,   196,   212,
     216,   217,   222,   236,   264,   265,   267,   284,   292,   293,
     307,   309,   313,   318,   319,   321,   329,   339,   349,   364,
     387,   402,   409,   422,   434,   435,   439,   441,   442,   451,
     457,   465,   485,   486,   487,   488,   489,   490,   491,   492,
     504,   505,   506,   513,   921,   983,   986,   989,   990,   991,
     993,   994,   995,   996,   999,  1000,  1004,  1006,  1007,  1008,
    1010,  1031,  1035,  1054,  1059,  1067,  1068,  1069,  1079,  1080,
    1081,  1203,  1215,  1217,  1219,  1220,  1221,  1222,  1223,   436,
     500,  1226,  1223,   436,   500,  1155,    99,   565,  1070,  1071,
     401,   547,   180,   556,  1223,   557,  1223,   115,   136,   547,
     495,   410,   855,   330,   229,   436,   500,   115,   495,   272,
    1236,   856,   513,  1071,   506,   511,   515,  1060,  1061,   968,
    1207,   228,   230,   468,   879,   880,   882,   228,   885,   180,
    1004,  1064,  1065,   926,   516,   513,   886,   514,   514,  1071,
      99,   192,   932,   932,   125,   932,   219,   224,   288,   325,
     938,   940,   941,   950,   952,   953,   954,   934,   935,   229,
     268,   967,   969,  1066,   517,  1129,   506,  1148,  1149,  1151,
     519,   519,    25,   264,   264,   436,   436,   436,   436,   513,
     436,   505,   650,  1084,  1116,  1222,   203,   108,  1103,   125,
    1106,  1106,   268,  1161,  1163,   268,  1161,  1162,  1163,   463,
    1172,  1173,  1219,    14,    37,    84,   504,   505,  1081,  1164,
    1165,  1166,  1215,  1217,  1221,  1222,  1223,  1224,   264,   270,
    1073,   436,  1073,     6,  1073,  1196,  1151,   513,   807,  1061,
     341,   374,   403,   515,   749,   341,   374,   403,   341,   374,
     403,   477,   525,   558,   561,   779,    95,   197,   341,   374,
     403,   461,   572,  1073,   403,    95,   197,   456,   540,   481,
     244,   967,   127,   159,   215,   247,   283,   313,   341,   374,
     382,   388,   395,   403,   412,   420,   472,   558,   562,   810,
     817,   513,   796,   374,   540,   249,   212,    95,   101,   141,
     190,   197,   200,   254,   311,   313,   323,   331,   341,   374,
     377,   378,   403,   461,   570,   571,   678,   650,    99,   244,
    1071,   748,   748,   513,   822,   515,   249,   532,   374,   525,
     532,   327,   341,   374,   212,   126,   172,   251,   299,   301,
     311,   340,   374,   379,   403,   414,   570,   647,   648,   341,
     374,   469,   678,   686,   560,   548,   550,   249,   212,   374,
     403,   570,   341,   374,   378,   403,   151,   189,   342,   430,
     327,    95,   101,   197,   341,   374,   403,   582,   583,   224,
     374,   403,   525,   561,   212,   374,   403,   570,  1073,   517,
     286,   182,   328,   482,   516,   854,   458,   877,   327,  1079,
     513,  1073,   440,   173,   426,  1079,   322,   470,   139,   218,
     823,  1073,   393,  1073,   276,   748,   621,   360,   587,   513,
     723,   807,   137,   120,   122,   123,   134,   135,   177,   178,
     222,   265,   267,   307,   309,   321,   364,   404,   409,   434,
     435,   465,   980,   982,   984,   986,   988,   990,   991,   992,
     994,   995,   999,  1000,  1197,  1204,  1208,  1209,  1225,   229,
     513,   719,  1073,   525,   108,   872,  1073,   313,   525,   481,
     244,  1071,   525,   748,   748,   719,   454,   602,   525,   313,
     115,   544,   445,   685,   341,   661,   151,   189,   342,   430,
      97,   117,   263,   697,   108,   719,   224,   525,   470,  1071,
     244,   638,  1071,  1071,   470,   748,   150,   785,  1079,  1073,
     659,    74,  1101,  1203,   518,  1102,  1099,   121,   171,   261,
     311,   392,   212,   807,   128,   380,   573,   212,   513,   212,
     481,   212,   796,   212,   516,   244,   747,   244,   748,   244,
     748,   212,   822,  1083,   212,   212,   327,   212,   573,   212,
     151,   189,   342,   430,   212,   327,   212,   224,   244,   244,
     557,   212,   516,   573,   514,  1228,  1229,  1227,   516,   520,
    1004,  1038,  1160,  1235,  1236,   426,   918,   514,   516,   217,
     327,   442,   554,   557,   650,   892,   888,   762,   917,   762,
     917,  1237,  1238,   762,   917,   762,   917,  1238,   762,   917,
     917,   917,   762,    14,    37,  1211,  1214,  1219,   917,   513,
     622,   623,  1203,   622,    99,   174,   195,   226,   231,   276,
     277,   391,   397,   426,   428,   445,   768,  1070,  1083,   767,
     249,   516,   906,   917,   917,  1223,  1156,   980,  1041,   108,
    1083,   785,   225,   833,   833,   833,   286,  1203,   224,   224,
     768,  1083,   390,  1203,   557,   327,   513,   511,   921,  1042,
     467,   997,  1004,  1058,   513,   997,   997,   513,   224,   513,
     513,   513,   985,   985,   351,   921,   513,   513,   987,   513,
     513,   513,   513,   134,   135,   997,  1004,   513,   985,   513,
     513,   513,   513,   513,   479,   499,   513,  1001,   513,  1001,
     513,   513,   921,   513,   513,   513,   513,   513,   513,   513,
     513,  1004,  1004,   464,   921,  1004,  1038,  1061,  1223,   135,
     513,   998,   513,  1223,    85,    88,   105,   108,   113,   119,
     143,   245,   249,   270,   271,   287,   313,   316,   329,   332,
     407,   500,   501,   502,   504,   505,   506,   507,   508,   509,
    1033,  1035,  1037,  1225,   478,  1019,   338,  1004,   268,   929,
    1236,   516,   513,  1223,  1061,    22,  1218,  1219,  1062,   324,
     327,  1188,  1188,    10,   463,  1175,  1176,  1178,  1155,  1155,
     183,   246,   566,   516,   136,   180,   557,   108,   180,   291,
     555,   650,  1000,  1223,  1225,  1223,   155,   194,  1016,   163,
     180,   551,   552,   554,   650,   180,   551,  1236,  1236,   286,
    1071,  1004,   506,  1076,  1205,  1060,   156,   379,   751,   270,
     514,   516,   883,   514,   516,   927,  1072,  1073,   108,   886,
     923,   923,   936,   937,  1004,   923,   221,   310,   947,   274,
     311,   363,   405,   456,    99,   942,  1004,   943,   945,  1004,
    1006,   950,   951,   941,   940,   938,   939,   224,   953,   323,
     955,   938,   950,   969,  1071,   108,  1203,   403,  1148,   506,
     516,   517,  1206,  1125,  1128,  1125,   264,   175,   242,   300,
    1003,   300,  1003,  1003,   303,  1081,   300,   303,   394,  1222,
     516,  1117,   179,  1155,   457,  1104,  1106,  1073,    37,  1081,
    1177,  1219,   516,   500,  1073,    14,  1081,  1222,  1081,  1222,
     516,  1135,   513,  1073,   513,  1207,   249,   259,   333,   335,
     404,   466,   506,   800,   801,   802,   804,   806,   808,   980,
    1204,   341,   374,   403,   436,   436,   391,  1076,   515,   436,
     436,   391,   436,   436,   428,   547,   866,   224,   234,   249,
     383,   780,   781,   137,   153,   208,   226,   355,   451,   618,
     619,   153,   180,   313,   436,   153,   436,   180,   313,   391,
     153,   190,   200,   341,   374,   715,   391,   667,    98,   131,
     144,   157,   195,   206,   226,   231,   298,   329,   391,   397,
     400,   426,   432,   445,   470,   659,  1073,   212,   374,   403,
     570,   327,   650,   395,   283,   436,   436,   318,   650,   184,
     269,   391,   401,   438,   549,   380,   403,   810,   818,   514,
     797,   800,   436,   457,   428,  1071,   145,   208,   609,   618,
    1203,   145,   153,   836,   327,   389,   440,   153,   836,   102,
     377,   389,   440,  1071,   254,   323,   748,   513,   436,   436,
     243,   513,   577,   428,   477,   479,   577,   153,   516,   341,
     249,   212,   374,   403,   570,   458,   458,   312,   980,   341,
     403,   823,   174,   561,   436,   527,   561,  1071,   436,   436,
    1071,   650,   125,   649,   650,   650,   172,   299,   301,   125,
     436,   525,   391,   525,   311,   648,   436,   436,   318,  1223,
     678,   428,   967,   153,   436,   836,   391,   436,   436,   577,
     577,   748,   748,   748,   748,  1071,   114,   463,   114,   114,
     436,   114,   436,   391,   516,   170,   457,   693,  1082,   436,
     527,  1071,   436,   391,   341,   374,   363,   375,   399,   553,
     854,  1077,  1203,  1071,   807,   980,   327,   481,   796,   650,
     748,   748,   822,   270,   327,   151,   189,   342,   430,   327,
     748,   270,   477,   593,   417,   418,   588,  1223,   724,   725,
    1225,   719,   513,   982,   108,   107,   981,   175,   303,   493,
     513,  1002,   749,   985,   748,   720,   721,  1205,    97,   861,
     980,   327,   212,   664,  1073,   313,   513,   526,   733,   458,
     367,   470,   526,   212,  1082,   160,   234,   545,   601,   644,
     696,   763,   783,   857,  1223,   686,   687,  1073,   294,   748,
     748,   748,   748,   323,   185,   262,   443,   456,   698,   699,
     204,   362,   513,   693,   526,  1071,   646,   647,   313,   108,
     323,   513,   621,   621,   641,  1071,   224,   786,  1077,   513,
     798,   108,   276,   515,  1081,  1102,   477,   479,   919,   392,
    1079,   573,   980,  1074,   244,  1073,  1079,   573,  1083,  1082,
     212,   573,   212,   458,   212,   458,   823,   573,   573,  1083,
    1073,   748,  1073,  1073,  1073,   748,  1083,   693,   212,   212,
     573,   747,   748,   514,   520,  1230,   514,   516,  1236,  1160,
    1071,   171,   888,   890,   917,   917,  1238,   917,   917,  1238,
     917,   917,  1073,    14,   516,  1218,   622,   514,   516,   514,
     232,   398,   427,  1072,   747,   173,   400,   772,   773,  1072,
     322,  1072,  1070,  1070,  1072,   747,   436,   477,   776,    93,
     210,   387,   405,   907,   967,   317,   908,   514,   516,   895,
     898,   903,   909,   920,   436,  1071,   766,   765,   766,   229,
     235,   777,  1203,    98,   145,   174,   195,   206,   226,   231,
     277,   298,   385,   391,   397,   426,   428,   445,   470,   659,
     757,  1038,   512,  1038,  1042,  1043,   513,   473,  1055,  1056,
    1004,  1038,   513,  1081,  1081,  1038,   175,   242,   300,   303,
     394,   493,  1044,  1045,  1223,  1225,  1081,  1038,  1038,  1081,
    1081,   997,   997,  1004,   823,  1004,  1046,   504,   505,  1005,
    1006,  1031,  1035,  1048,   514,  1038,  1004,  1038,  1049,   434,
     495,  1081,  1081,  1004,   124,   229,   282,   437,  1004,  1038,
    1052,  1038,   305,  1006,  1004,  1014,  1015,  1016,   305,  1004,
    1016,   514,   516,   403,  1081,  1081,  1002,   980,  1004,  1205,
     434,   112,   423,  1063,   748,  1004,   513,   921,  1053,   192,
     194,   217,   313,   318,   323,   442,   452,  1004,   119,   245,
     249,   287,   407,   513,  1004,   436,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,    99,   106,   411,  1032,
     237,   220,  1020,   387,   513,  1031,   233,   291,   426,   429,
     431,   454,   930,  1071,   229,   957,  1069,    99,   192,   466,
     506,   514,   802,  1004,  1039,  1040,  1204,  1073,  1219,  1060,
    1177,   516,   500,  1071,   438,   513,  1223,   516,  1236,   514,
     512,   518,   243,   243,   573,  1135,  1071,   880,   881,  1071,
    1064,   514,   516,   513,   516,   109,   188,   458,   792,   513,
     944,  1084,   405,   274,   328,   516,   387,   388,   946,  1070,
     908,   951,   939,   458,   904,   180,   513,   899,   920,  1203,
     513,   910,   911,   912,   913,   914,  1203,   517,  1149,   981,
     520,  1128,   520,   514,   650,   514,    34,  1105,  1180,  1181,
    1219,  1173,  1178,  1226,  1164,   981,  1213,  1229,  1213,   981,
     335,   125,  1204,   514,   802,   804,   801,   804,  1204,   333,
     514,   516,   749,   436,   436,   391,  1082,  1073,  1073,  1076,
    1082,  1073,  1073,  1082,  1074,  1073,   152,   867,   385,   457,
     765,   391,   234,   765,   513,  1073,   458,   787,   274,   274,
     458,   513,   637,   244,  1073,   318,  1082,  1073,  1073,  1004,
     318,  1073,  1073,   102,   377,   436,   436,  1073,   436,   668,
    1079,   513,   748,   748,   748,   440,   173,   426,   773,   470,
     139,   218,   823,  1073,   748,  1073,   748,   393,   748,   748,
     276,   238,   311,   341,   374,   462,   671,   672,   673,   967,
     436,   836,   391,   318,   184,   269,  1082,  1073,   327,  1073,
     514,   516,  1082,  1083,  1073,   374,   570,   609,   980,  1073,
    1203,  1073,  1073,    99,   457,  1073,   244,  1073,   244,  1203,
     389,   440,   389,   440,  1073,    99,   457,  1073,  1071,    95,
     197,   403,   679,   680,   681,   682,  1205,  1082,  1073,   180,
     230,   314,   458,   576,   579,   580,  1205,  1073,   326,   141,
     326,  1073,   571,   436,   428,  1071,   436,   836,   391,  1075,
    1203,  1075,   516,   514,   516,   436,   391,  1074,  1082,   152,
     202,   254,   346,   449,   457,   460,   528,  1225,   374,  1082,
    1073,   374,   403,   570,   647,   650,   748,  1073,   650,  1073,
     650,  1082,  1073,  1073,   374,   403,   570,  1073,  1073,  1073,
    1073,  1082,  1073,    95,   101,   197,   341,   374,   403,   341,
     374,   403,   719,   374,   403,   374,   403,   374,   979,  1203,
     244,   729,  1203,   244,  1203,  1082,  1073,  1073,  1073,    95,
     583,   400,  1082,   374,   403,   570,  1073,  1073,   436,   436,
     149,   448,   363,   270,   108,   748,   270,   270,   458,   458,
     270,   318,   754,  1223,   748,   748,   270,   754,   326,   229,
     436,   586,   525,   514,   516,   500,  1004,   107,   981,   980,
     511,   511,   436,   436,  1081,   985,   514,   516,   500,   698,
     152,   201,   280,   281,   294,   341,   428,   430,   862,   611,
    1205,  1073,   229,   391,   469,   665,   672,   673,   212,   287,
     603,   605,   607,   609,   615,   618,    96,   249,   385,   424,
     528,   529,   224,  1075,   470,  1071,   543,  1203,   544,   332,
     602,   226,  1223,   719,   719,   719,   719,   323,   327,   332,
     513,   719,   977,   978,   979,   400,   513,   212,   211,  1093,
     748,   603,  1203,   477,   479,   633,   477,   578,   108,   621,
    1223,   327,   514,   799,   800,   805,   108,   276,   382,   476,
     809,   810,   811,   327,   557,  1101,   507,   241,   241,   224,
     807,   108,   212,   573,   796,   747,   748,  1075,   748,  1075,
     822,   327,   573,   573,   327,   573,   400,   224,   557,   573,
    1004,   919,  1226,  1214,   514,   623,   249,   249,   249,   481,
    1072,   516,   650,   651,   237,   769,   770,  1082,    96,   777,
     210,   405,   210,   405,   387,   456,   302,   980,  1073,   477,
     639,   229,   327,   769,   125,   573,  1079,   440,   426,  1079,
     322,   470,   276,   748,   514,   512,   512,   516,  1038,  1004,
     199,  1056,  1057,   108,   514,  1004,   514,   514,   514,   514,
     229,   514,   514,   514,   514,   514,   516,   514,   347,  1047,
     514,  1005,  1005,    88,   249,   270,   329,   500,   501,   502,
     504,   505,   506,   507,   508,   509,  1035,  1005,   514,   514,
     224,   229,  1050,  1051,   514,   495,   514,   514,   108,  1052,
    1038,  1052,  1052,   229,   514,   514,  1205,   345,  1018,   108,
     514,   516,  1004,  1205,   516,  1004,  1062,  1004,  1203,   514,
     514,   495,  1005,  1005,   205,  1038,   229,   192,   194,   217,
     318,   323,   442,   452,   513,   205,   423,  1063,  1004,  1053,
    1004,   436,   823,  1004,   513,   921,   513,   513,   337,  1024,
     429,   431,   429,   431,  1071,   931,   931,   931,   279,   388,
     513,   921,   958,   959,   960,   967,   970,  1007,  1009,  1010,
    1079,  1203,   474,   975,  1039,  1039,  1040,   514,    90,   516,
     934,   935,     8,    11,    12,    22,    23,    24,    26,    27,
      31,    32,    33,   173,   305,   351,   445,  1183,  1184,  1186,
    1176,  1177,   855,  1081,  1002,   552,  1004,   981,   886,  1073,
     895,   937,   329,  1033,  1036,   496,   497,   793,  1004,   946,
     456,   943,   958,   474,   976,   464,   900,   901,  1203,   381,
     902,   914,   915,   516,   957,   500,  1062,   518,  1131,   517,
     516,   500,    30,  1192,   514,   514,   517,   808,   749,   804,
     804,   125,   806,   508,  1082,  1073,  1073,   288,  1083,  1083,
     327,  1072,   330,   327,  1004,   619,  1075,   513,   513,   513,
     637,   252,   622,   707,   212,   573,   436,  1082,  1073,   557,
     807,   980,  1073,   481,   748,   748,   748,   748,   822,   151,
     189,   342,   430,  1073,   654,  1073,   238,   462,   436,   436,
     654,   671,   678,   374,   403,   570,  1073,  1073,  1073,   260,
     318,   800,   340,   403,   436,   331,   676,   707,   197,   378,
     403,   572,   678,   837,   212,   573,   212,   573,  1073,  1073,
    1073,  1073,   681,   682,   681,   514,   516,   683,  1223,   252,
     514,   516,   500,   515,  1082,  1073,   374,   403,   570,  1073,
    1073,  1073,   341,   374,   403,    95,   197,   341,   374,   403,
     980,   312,   980,  1082,  1073,   288,   346,   318,  1223,   346,
    1083,   455,   436,   436,   391,   340,   403,   436,   836,   391,
     436,   436,   296,   296,   296,   436,   436,   391,   436,   436,
     391,   436,   391,   436,   391,   436,   573,   980,   313,  1223,
     403,   837,   212,   573,   436,  1073,   436,   391,  1082,  1073,
     754,   980,   270,   754,   754,  1075,  1075,   754,   270,   270,
     754,   587,   513,   589,   590,   725,  1225,   329,   504,   505,
     650,   722,   804,  1036,  1089,  1223,   514,   511,   514,  1081,
     512,   513,  1081,  1203,  1223,  1234,   514,   721,   722,   327,
     288,   500,   863,   863,   863,   863,   863,   863,   863,   137,
     143,   153,   180,   182,   256,   313,   318,   355,   369,   451,
     612,   613,   614,   211,   473,   525,   557,  1073,   557,   676,
    1071,  1071,   514,   516,  1083,   237,   385,  1083,  1081,   445,
    1071,   621,   115,   544,   376,   426,   173,   578,   622,  1071,
     699,   726,   727,  1223,   514,   516,  1073,   622,  1071,  1073,
     920,   513,   604,   514,   326,   577,   326,   327,   634,   577,
     108,   920,   578,   436,  1071,   514,   516,   180,   500,   812,
    1223,   557,   426,   803,   804,   477,   811,   813,   185,   262,
     396,   456,   845,   238,  1097,   920,  1111,   573,   980,  1073,
     573,   573,   458,   573,   458,   573,   573,   748,   748,  1073,
     693,   573,   224,   391,   391,   391,  1072,   773,   516,  1082,
     477,   516,   771,   330,   210,   210,   173,   311,  1083,   768,
     573,  1082,   807,   796,   650,   748,   270,  1042,   514,   433,
    1004,   203,   980,   514,  1004,  1004,  1004,  1050,   980,  1005,
     192,   194,   313,   323,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1004,  1004,  1051,  1050,  1001,  1001,
     980,   514,   514,   514,  1038,   514,   516,   125,  1006,   514,
    1205,  1015,   352,   421,  1017,   514,   516,   469,  1011,   108,
     514,   998,  1223,  1004,   105,   105,  1004,   514,  1004,   229,
     513,  1041,  1004,  1005,  1005,   205,   205,  1004,   514,   205,
    1004,   935,   474,   513,  1025,  1203,   931,   931,   931,   931,
    1071,  1071,  1071,   921,   970,   229,   921,   959,   960,   108,
     961,   962,  1203,   516,   161,   230,   258,   273,   285,   308,
     384,   964,   962,   108,   961,   963,  1203,   498,   974,   513,
    1061,  1004,   237,   948,   516,   934,   934,   934,  1004,   466,
    1040,   514,   516,   500,   514,   512,  1192,   514,   513,   793,
     514,   328,   163,  1004,   902,   514,   516,  1062,  1068,   514,
     516,   911,   976,  1064,  1081,   500,  1150,  1181,  1186,   514,
     508,   808,   445,   863,   232,   398,   427,   446,   782,   224,
     782,   514,   513,   625,   626,   789,  1009,  1203,   622,   622,
     707,  1077,   514,   182,   256,   311,   313,   708,  1073,  1073,
     108,  1073,   458,   458,   748,   748,   748,   748,   749,  1082,
    1073,   436,   836,   391,   436,   260,   125,   428,  1073,   513,
     611,   313,   577,   173,   313,   416,   419,   577,   445,  1073,
    1203,   680,  1073,   580,   722,  1205,   340,   403,   436,   836,
     391,   436,   436,   436,   391,   231,   329,   419,   731,   732,
     231,   329,   739,   740,   436,   436,   391,   514,   514,   514,
    1084,  1223,  1223,  1223,  1073,  1073,  1073,   125,   428,  1073,
    1073,  1073,  1073,  1073,   224,   224,   376,   224,   244,  1082,
    1073,  1073,  1082,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
     143,   574,   212,    97,   117,   445,  1203,  1073,   678,  1073,
    1073,   514,   754,   270,   270,   754,   754,   588,   596,   597,
    1205,   121,   162,   186,   201,   205,   225,   228,   240,   318,
     326,   361,   591,   707,  1081,   477,   479,   512,  1234,   513,
     504,   505,   506,   507,   508,   512,  1002,  1071,   863,   180,
    1081,  1223,   180,  1223,   180,  1223,   180,  1223,   180,  1073,
     180,  1073,   180,  1073,   513,   748,  1073,  1005,   183,   246,
     182,   318,   274,  1071,   813,   359,   711,   712,  1203,   664,
     513,   616,   400,   607,  1083,  1083,   980,   513,   578,  1082,
    1071,   481,   224,   700,   514,   516,   979,   676,   514,   323,
     513,   897,   639,   606,   608,   610,   618,  1203,   633,   255,
     632,   148,   428,   635,   920,   639,   635,  1223,   787,   805,
    1004,  1004,   516,   513,   809,   719,   436,   654,    85,  1108,
     514,   573,  1075,  1075,   573,   573,   400,  1072,  1072,  1072,
     650,   234,   770,   173,   777,   229,   270,   270,   270,   270,
     318,   758,  1223,  1004,   514,   514,  1051,   229,   192,   194,
     323,   513,   514,   484,  1013,  1038,   368,   125,   475,   475,
     514,  1004,   311,  1004,   516,  1012,   982,  1002,  1005,  1005,
    1004,  1041,   514,   105,   105,  1004,  1004,   205,  1004,   514,
     514,  1004,  1026,  1203,  1071,  1071,  1071,  1071,   962,   963,
     513,   514,  1203,   513,   959,   273,   336,   965,   959,   965,
     273,   964,   965,   273,   513,  1203,   513,  1039,   125,   239,
     949,   514,   514,   514,  1040,  1223,  1184,   505,  1177,  1185,
    1222,  1223,  1223,   823,   323,   920,   901,  1236,   500,   914,
     902,  1230,   445,   514,  1084,   436,   765,   229,   707,  1004,
     514,   516,   477,   143,   790,   790,   514,   514,   813,   183,
     246,   254,   182,   460,   573,   980,  1075,  1075,  1073,  1073,
    1073,  1073,  1083,  1073,   677,   681,   318,   318,  1084,  1203,
     980,   573,   573,   500,   125,   428,  1073,  1073,  1073,  1073,
    1082,  1073,  1073,  1081,  1081,   980,   516,  1081,  1081,   516,
    1082,  1073,  1073,  1083,  1073,   436,  1072,  1072,   748,  1072,
     212,   748,  1223,  1223,   980,   573,   573,   270,   754,   754,
     458,   594,   595,   514,   516,   506,   513,   554,   598,   650,
     872,  1223,   872,   313,   318,   361,   872,   872,   512,   231,
     259,   231,   514,  1135,  1234,  1234,  1234,  1234,  1234,   229,
     706,  1084,  1004,   313,   613,   813,   621,   458,   636,  1079,
     105,   211,   249,   603,   209,   250,  1073,   458,   622,   108,
     544,   513,  1073,   198,   701,   473,   703,  1223,   578,   748,
     603,   639,   514,   516,   477,   634,   513,   633,   185,   197,
     352,  1073,   477,   858,   229,   513,  1223,   802,   814,   815,
    1204,   813,  1071,   257,   655,  1109,  1203,   573,   573,   573,
    1073,   330,   573,   769,   758,   758,   758,   758,  1005,   229,
     513,  1041,   513,   514,   516,   514,  1006,   368,   514,   463,
     413,   514,   514,   514,  1005,  1005,  1004,   514,   344,  1027,
     971,   972,  1009,   961,   513,  1072,   959,   327,   458,   966,
     959,   273,   959,   978,   513,   978,  1203,   934,  1038,  1004,
     476,  1021,   934,  1081,  1222,  1002,   514,   917,  1066,   769,
     327,   769,   514,   813,   626,   329,   823,   748,   458,   748,
     791,   791,   369,   813,   636,   514,   436,   403,   908,   514,
     516,   574,   722,  1083,  1073,   436,   513,  1079,   823,   732,
     513,   513,   740,   403,   908,  1073,   477,   376,   477,   477,
     224,   574,   754,   525,   187,   597,   554,   599,   600,  1223,
    1223,   318,   622,   506,   622,  1223,  1223,   773,   108,   828,
     828,   514,  1071,   707,   514,   636,   297,   624,   252,   513,
     712,   359,   513,   514,    99,   147,   154,   181,   253,   419,
     617,   617,   676,  1075,   514,   920,   676,   387,   415,   702,
     513,   211,   108,   604,   514,   608,   331,   635,  1070,   634,
     388,   388,   129,   137,   291,   748,   788,   789,   804,   514,
     516,   975,   654,   311,   462,   656,   657,   500,  1110,   573,
    1005,  1041,   514,  1014,  1038,   125,   311,   494,   125,   934,
     514,   516,   108,   973,  1072,   514,  1004,   513,   959,   966,
     514,   978,   514,   514,  1022,  1023,  1203,   514,   771,   782,
     573,   790,   636,   513,   748,   792,   792,  1071,   636,   707,
    1073,   428,   681,   458,   575,   403,   908,  1073,  1041,   796,
     224,   735,   822,  1041,  1041,   428,   747,   748,   747,   748,
    1072,   573,   589,  1223,   514,   516,   622,   828,   111,   248,
     224,   311,   620,   230,   343,   408,   327,   628,   629,   630,
     428,   514,  1079,    82,   713,   400,   218,   734,   578,   858,
    1004,   359,   920,   633,   632,   611,   514,   635,   137,   330,
     137,   514,   516,   809,   814,   193,   462,   654,  1081,  1217,
    1225,    85,   514,   514,   514,   368,   463,  1038,   362,   388,
    1028,   974,   971,   513,   514,  1072,   514,   516,   108,   229,
     791,   474,   627,   823,   793,   793,   621,   707,  1073,  1004,
     428,   514,   333,   393,   366,   736,   735,   514,   514,  1073,
     477,   600,   198,   254,   185,   456,   327,   630,   327,   629,
    1073,   513,   514,   516,  1073,   748,   108,   108,   514,  1079,
     858,   634,   633,   330,   330,   578,   789,   813,   100,   263,
     846,  1109,   119,   163,   447,  1004,  1029,  1030,  1029,   514,
     978,   514,  1023,  1025,   769,   792,   513,   707,   514,   624,
     908,  1073,  1079,   125,   736,   908,   748,   387,   128,   311,
     380,   403,   631,   631,   514,    82,   676,   731,   920,   513,
     635,   634,   635,   314,   513,   841,   843,   848,   898,   903,
     909,   920,  1030,   387,   223,   350,   223,   350,   514,   573,
     793,  1004,   628,   908,   796,   748,   703,    94,   180,   318,
     858,   704,   705,  1081,  1205,  1222,  1223,   635,   975,   842,
     843,   844,   921,   922,   105,   514,   707,   211,   514,   516,
     514,   517,  1030,   359,   705,   844,  1079,   513,   704,   514
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1521 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1523 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1525 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1527 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1529 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1531 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1533 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1535 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1537 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1539 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1541 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1543 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1545 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1547 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1549 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1551 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1555 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1557 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1573 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1595 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1597 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1599 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1609 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1611 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1613 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1615 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1617 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1619 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1621 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1623 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1625 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1627 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1629 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1631 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1633 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1635 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1637 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1639 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1643 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1645 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1647 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1649 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1651 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1657 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1659 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1661 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1663 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1665 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1667 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1669 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1685 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1687 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1689 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1693 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1695 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1697 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1701 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1703 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1705 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1713 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1715 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1717 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1719 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1721 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1723 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1730 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1732 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1734 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1736 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1738 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1740 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1742 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1744 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1746 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1748 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1750 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1752 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1758 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1760 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1762 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1764 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1766 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1768 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1770 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1772 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1774 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1780 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1790 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1794 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1800 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1804 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1814 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1823 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1825 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1839 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1846 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1852 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1863 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1869 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1878 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1885 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1891 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1900 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1907 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1914 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1920 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1932 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1943 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1961 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1969 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1981 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1985 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1993 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 2001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 2005 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 2009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 2013 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 2017 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 2029 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 2048 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 2056 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 2060 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 2068 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 2076 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 2084 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 2088 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 2096 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 2100 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 2116 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2124 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2128 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2136 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2148 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2152 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2156 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[(6) - (9)].str),mm_strdup("authorization"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2161 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2174 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2181 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2185 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2192 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2200 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2204 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2212 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2224 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2236 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2240 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2244 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2252 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2260 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2269 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2273 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2277 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2282 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2286 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2290 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2302 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2318 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2338 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2342 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2356 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2364 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2368 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2396 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2400 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2404 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2408 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2412 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2428 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2436 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2443 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2447 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2455 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2463 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time zone");
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization");
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2483 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2495 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2499 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2507 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2511 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2519 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2535 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2544 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2552 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2556 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2564 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2568 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2576 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2584 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2588 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2592 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2596 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2600 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2608 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2612 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2616 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[(6) - (10)].str),mm_strdup("set tablespace"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2620 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[(6) - (13)].str),mm_strdup("owned by"),(yyvsp[(9) - (13)].str),mm_strdup("set tablespace"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2624 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2628 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2632 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[(6) - (10)].str),mm_strdup("set tablespace"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2636 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[(6) - (13)].str),mm_strdup("owned by"),(yyvsp[(9) - (13)].str),mm_strdup("set tablespace"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2640 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2644 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2648 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2652 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2660 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2664 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[(7) - (11)].str),mm_strdup("set tablespace"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2668 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[(7) - (14)].str),mm_strdup("owned by"),(yyvsp[(10) - (14)].str),mm_strdup("set tablespace"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2676 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2680 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2688 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2692 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2696 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2700 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2708 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2712 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2716 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2720 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2724 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2728 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2732 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2736 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2740 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2760 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2764 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2768 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2772 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2780 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2784 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2792 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2796 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2800 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2804 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2808 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2812 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2816 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2820 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2824 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2828 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2844 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2848 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2852 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2856 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[(3) - (3)].str));
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2860 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2868 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2872 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2880 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2884 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2888 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2895 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2899 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2906 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2910 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2917 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2929 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2945 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2956 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2960 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2968 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2972 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2976 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2980 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2996 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 3000 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 3008 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 3012 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 3016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 3020 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 3028 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 3033 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 3041 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (11)].str), "from") == 0 &&
			   (strcmp((yyvsp[(7) - (11)].str), "stdin") == 0 || strcmp((yyvsp[(7) - (11)].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[(2) - (11)].str),(yyvsp[(3) - (11)].str),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 3049 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[(2) - (7)].str),mm_strdup("to"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 3057 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 3061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 3069 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 3073 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 3080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 3084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 3088 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 3096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 3100 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 3108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3112 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3135 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3147 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3151 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3167 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[(3) - (3)].str));
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3171 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3183 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3194 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3201 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3205 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3216 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3223 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3227 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3235 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3243 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3247 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3255 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3259 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3286 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3290 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3294 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3298 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3334 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3341 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3345 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3352 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3356 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3363 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3367 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3391 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3395 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3403 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3407 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3415 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3423 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3431 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3435 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3442 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3446 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3450 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3454 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3478 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3482 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3486 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3530 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3545 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3549 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3553 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3557 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3565 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3569 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3577 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3581 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3585 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3589 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3597 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3601 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3620 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3624 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3631 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3635 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3643 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3655 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3660 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3664 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3671 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3675 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3683 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3687 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3695 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3699 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3706 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3710 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3722 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3729 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3749 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3753 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3757 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3773 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3780 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3792 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3811 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3818 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3822 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3833 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3848 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3856 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3860 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3864 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3871 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("materialized view"),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3879 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3891 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3898 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3906 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3914 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3926 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3930 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3953 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3961 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3965 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3969 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3973 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3981 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3993 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 4001 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 4005 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 4012 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 4016 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 4020 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 4028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 4032 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 4040 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 4044 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 4052 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 4056 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4063 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4067 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4075 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4086 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4102 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4109 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4113 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4121 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4125 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4132 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("location"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4144 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4163 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4167 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4175 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4179 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4190 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4202 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4210 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4214 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4229 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4233 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4237 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4241 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4245 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4249 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4253 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4257 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4261 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4265 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4269 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4273 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("event trigger"),(yyvsp[(7) - (7)].str));
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4277 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4281 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4285 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4289 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4293 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4297 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4301 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("materialized view"),(yyvsp[(7) - (7)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4309 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4313 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4317 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4321 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4329 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4337 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4345 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4357 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4361 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4373 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4380 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4384 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4392 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4396 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4404 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4408 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4415 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4427 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4435 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4439 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4447 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4455 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4459 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4467 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4475 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4483 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4491 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4499 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4503 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4510 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4522 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4526 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4545 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4561 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[(4) - (10)].str),mm_strdup("("),(yyvsp[(6) - (10)].str),mm_strdup(") server"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4565 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("("),(yyvsp[(9) - (13)].str),mm_strdup(") server"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4585 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4601 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4609 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4613 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4629 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4657 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4669 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4681 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4693 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4697 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4704 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4708 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4731 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4738 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4746 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4753 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4757 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4761 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4765 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4773 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4777 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4784 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4823 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4827 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4835 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[(4) - (11)].str),mm_strdup("on"),(yyvsp[(6) - (11)].str),mm_strdup("execute procedure"),(yyvsp[(9) - (11)].str),mm_strdup("( )"));
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4839 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[(4) - (13)].str),mm_strdup("on"),(yyvsp[(6) - (13)].str),mm_strdup("when"),(yyvsp[(8) - (13)].str),mm_strdup("execute procedure"),(yyvsp[(11) - (13)].str),mm_strdup("( )"));
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4851 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4859 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("in ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sconst");
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4871 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup(", sconst"));
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4879 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable replica");
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable always");
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4907 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4916 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4925 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4929 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4933 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4937 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4945 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4949 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4953 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4957 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4961 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4965 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4969 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4973 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4977 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4993 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4997 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5005 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5009 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5017 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5021 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5041 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5049 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5053 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5061 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5069 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5073 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5084 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5092 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[(3) - (7)].str),mm_strdup("add value"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5096 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("before"),(yyvsp[(9) - (9)].str));
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5100 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("after"),(yyvsp[(9) - (9)].str));
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5108 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if not exists");
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5112 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5119 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5139 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5143 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5147 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5151 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5167 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5174 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5178 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5185 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5189 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5193 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5200 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5205 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5212 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5220 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5224 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5232 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5236 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5244 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5248 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5256 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5260 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5268 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5272 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5288 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5296 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5300 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5308 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5316 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5320 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5324 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5340 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5348 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5352 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5356 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5364 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5368 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5372 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5392 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5400 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5404 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5416 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5424 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5440 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5447 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5451 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5455 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5459 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5463 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5467 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5471 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5475 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5479 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5483 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5487 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5491 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5495 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5599 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5611 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5615 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5619 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5623 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5627 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5635 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5639 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5702 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5722 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5726 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5732 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5738 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5744 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5750 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5756 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5762 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5768 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5778 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5789 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5800 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5811 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5822 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5833 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5844 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5860 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5876 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5892 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5903 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5919 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5930 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5946 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5973 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5977 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5984 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5992 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5996 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 6004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 6008 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 6012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 6016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 6020 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 6028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6032 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6040 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6044 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6048 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6052 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6060 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6068 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6072 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6076 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6080 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6084 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6088 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6092 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6096 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6100 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6104 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6116 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6132 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6140 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6152 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6156 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6163 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6167 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6175 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6183 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6191 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6195 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6207 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6214 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6218 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6225 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6233 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6237 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6244 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6260 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6264 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6268 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6280 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6296 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6308 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6319 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6330 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6337 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6341 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6348 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6352 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6360 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6364 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6368 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6376 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6380 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6391 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6395 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6410 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6425 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6432 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6436 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6440 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6448 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6452 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6459 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6471 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6475 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6499 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6507 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6511 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6515 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6519 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6523 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6555 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6563 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6575 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6579 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6591 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6595 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6603 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6624 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (6)].str),mm_strdup("order by"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6632 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6636 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6644 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6648 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6660 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6664 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6676 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6680 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6696 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6704 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6708 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6712 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6728 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6740 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6752 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6756 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6791 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6807 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6814 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6818 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6826 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6830 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6854 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6890 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6894 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6906 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6914 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6918 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6922 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6938 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6945 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6953 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6957 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6964 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6968 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6972 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6980 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6984 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6992 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6996 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7031 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7043 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7047 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7051 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7055 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7063 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7067 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7071 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7075 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7079 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7083 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7087 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7091 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7095 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7099 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7103 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7111 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7115 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7119 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7123 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7127 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7131 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7135 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7139 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7143 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7147 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7151 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7155 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7159 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7163 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7167 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7171 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7175 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7179 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7183 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7187 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7191 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7203 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7214 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7221 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7225 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7229 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7233 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7237 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7241 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7245 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7249 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7253 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7257 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7261 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7265 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7269 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7273 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7277 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7281 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7285 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7289 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7293 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7297 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7301 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7305 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7309 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7313 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7321 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7325 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7329 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7333 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7337 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7341 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7345 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7349 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7353 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7357 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7361 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7365 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7369 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7373 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7377 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7381 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7385 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7389 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7393 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7401 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7413 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7437 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7441 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7461 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7465 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7500 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7507 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7511 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7527 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7531 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7546 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7558 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7562 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7570 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7574 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7582 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7586 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7590 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7594 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7598 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7626 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7633 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7649 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7657 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7665 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7673 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7677 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7684 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7688 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7692 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("recursive view"),(yyvsp[(5) - (12)].str),mm_strdup("("),(yyvsp[(7) - (12)].str),mm_strdup(")"),(yyvsp[(9) - (12)].str),mm_strdup("as"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7697 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[(4) - (14)].str),mm_strdup("recursive view"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),mm_strdup("as"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7718 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7725 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7733 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7741 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7764 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7768 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7772 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7776 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7780 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7788 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7792 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7796 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7800 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7808 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7812 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7824 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7831 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7835 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7843 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7851 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7855 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7870 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7874 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7886 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7894 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7902 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7910 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7914 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7918 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7922 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7926 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7938 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7945 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7953 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7957 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7961 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 7965 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 7969 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 7973 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 7981 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 7997 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8009 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8016 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8024 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8028 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8032 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8040 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8044 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8052 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8072 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8076 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8088 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8100 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8111 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8122 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8133 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8144 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8152 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8160 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8164 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8168 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8172 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8176 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8180 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8184 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8188 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8192 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8200 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8232 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8240 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8247 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8253 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8267 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8286 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8294 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8296 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8308 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8315 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8323 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8327 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8339 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8343 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8351 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8359 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8363 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8370 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8378 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8382 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8401 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8412 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8448 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8455 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8463 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8467 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8475 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8487 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8495 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8511 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8523 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8576 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8580 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8592 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8603 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8607 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8615 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8634 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8658 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8666 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8670 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8674 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8682 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8686 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8694 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8706 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8710 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8718 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8722 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8726 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8746 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8758 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8766 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8770 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8777 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8781 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8790 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8794 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8802 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8810 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8818 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8834 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8841 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8845 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8849 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8856 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8860 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8868 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8875 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8879 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8886 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8898 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8906 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8910 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8918 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8926 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8930 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8942 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8953 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8958 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8966 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8970 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8978 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 8990 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 8998 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9002 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9006 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9013 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9025 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9033 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9049 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9056 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9060 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9067 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9079 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9083 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9090 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9094 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9102 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for update");
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for no key update");
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for share");
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for key share");
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9130 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9134 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9153 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9157 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9164 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9168 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9176 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9180 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9188 "preproc.y"
    { 
	if ((yyvsp[(2) - (2)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9195 "preproc.y"
    { 
	if ((yyvsp[(3) - (3)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9202 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9206 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9214 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9218 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9222 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9230 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9234 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9242 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9273 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9277 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9281 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9285 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9289 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9296 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9304 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9316 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9320 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9331 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9339 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9343 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9347 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9351 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9359 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9363 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9371 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9375 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9387 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9391 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9399 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9411 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9434 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9445 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9452 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9456 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9461 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9468 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9472 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9499 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9501 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9503 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9507 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9511 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9523 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9533 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9543 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9561 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9569 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9573 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9577 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9585 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9593 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9597 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9605 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9609 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9617 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9621 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9628 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9648 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9652 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9656 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9660 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9664 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9676 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9680 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9687 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9691 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9703 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9799 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9810 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9817 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9821 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9845 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9849 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9853 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9860 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9872 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9876 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9880 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9884 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9892 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9896 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9900 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9904 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9908 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9912 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9939 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 10043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 10047 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 10051 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 10055 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 10063 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 10079 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10083 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10087 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10091 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10095 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10099 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10103 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10107 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10111 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10115 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10119 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10123 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10127 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10131 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10135 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10139 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10143 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10147 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10151 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10155 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10160 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10164 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10172 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10176 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10180 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10188 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10192 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10196 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10216 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10236 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10240 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10244 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10248 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10256 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10268 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10272 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10276 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10280 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10288 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10296 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10304 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10308 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10316 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("( )"));
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10320 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10324 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10328 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10332 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( all"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10336 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( distinct"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10340 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("( * )"));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10348 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10352 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10360 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10364 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10372 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10384 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10392 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10396 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10400 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10408 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10412 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10436 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10440 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10444 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10448 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10452 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10456 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10460 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10464 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10476 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10484 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10488 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10492 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10496 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10500 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10504 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10508 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10512 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10528 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10544 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10548 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10556 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10560 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10564 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10568 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10575 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10583 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10599 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10627 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10658 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10669 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10676 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10680 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10687 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10691 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10699 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10707 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10711 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10715 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10722 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10730 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10734 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10741 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10745 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10752 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10757 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10761 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10768 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10772 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10780 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10796 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10808 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10812 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10824 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10828 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10836 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10840 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10848 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10852 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10856 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10860 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10872 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10876 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10880 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10888 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10892 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10900 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10904 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10912 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10920 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10924 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10940 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10944 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10952 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10956 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10964 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10968 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10976 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10980 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 10992 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 10996 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 11004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 11008 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 11016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 11020 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 11094 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 11098 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 11102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 11106 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 11110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11114 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11121 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11129 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11137 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11145 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11153 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11157 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11165 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11173 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11177 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11185 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11193 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11197 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11204 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11208 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11262 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11274 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11281 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11285 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11293 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11297 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11305 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11313 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11317 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11324 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11328 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11336 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11340 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11344 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11348 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11356 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11360 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11368 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11372 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11380 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11384 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11392 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11400 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11408 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11416 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11424 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11432 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11440 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11444 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11452 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11456 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11460 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11464 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11472 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11476 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11480 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11484 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11488 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11503 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11504 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11510 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11516 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11524 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11536 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11539 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11561 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11573 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11577 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11581 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11585 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11589 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11601 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11613 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11649 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11653 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11657 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11661 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11665 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11669 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11681 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11697 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11701 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11705 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11709 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11713 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11717 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11721 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11725 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11729 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11733 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11737 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11741 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11749 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11753 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11757 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11765 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11769 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11773 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11777 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11781 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11785 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11789 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11793 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11797 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11801 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11805 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11809 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11813 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11817 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11821 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11825 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11829 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11833 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11841 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11845 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11849 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11853 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11865 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11873 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11877 "preproc.y"
    { 
 (yyval.str) = mm_strdup("filter");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11881 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11885 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11889 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11893 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11897 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11917 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11921 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11933 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11941 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11945 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11949 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11953 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11969 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11973 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11981 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11985 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11993 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11997 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 12001 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 12005 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 12009 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 12013 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 12017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 12021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 12025 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 12029 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 12033 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 12037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 12041 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 12045 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 12049 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 12053 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 12057 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 12061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 12065 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 12069 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 12073 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 12077 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 12081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 12085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 12089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 12093 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 12097 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 12101 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 12105 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 12109 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 12113 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 12117 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 12121 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 12125 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 12129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 12133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 12137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ordinality");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 12141 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 12145 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 12149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 12153 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 12157 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 12161 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 12165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 12169 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 12173 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 12177 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 12181 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 12185 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 12189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 12193 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 12197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 12201 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 12205 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 12209 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 12213 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 12217 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 12221 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 12225 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 12229 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 12233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12237 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("refresh");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12253 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12257 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12281 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12285 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12289 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12293 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12297 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12301 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12305 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12321 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12325 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12329 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12333 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12353 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12357 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12361 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12365 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12369 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12373 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12377 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12425 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12429 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12445 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12449 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12453 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12457 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12461 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12465 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12469 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12473 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12477 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12501 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12505 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12509 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12513 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12517 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12521 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12525 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("views");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12533 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("within");
}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12545 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12549 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12553 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12557 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12561 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12565 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12569 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12577 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12581 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12585 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12589 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12601 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12613 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12649 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12653 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12657 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12661 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12665 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12669 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12681 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12697 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12701 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12705 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12709 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12713 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12717 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12721 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12725 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12729 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12733 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12737 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12741 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12749 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12757 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12765 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12769 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12773 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12777 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12781 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12785 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12789 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12793 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12797 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12801 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12805 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12809 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12813 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12817 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12821 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12825 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12829 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12833 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12841 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12849 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 12853 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12865 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 12869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 12873 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 12877 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 12881 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 12885 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 12889 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 12893 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 12897 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12917 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12921 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12933 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12941 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 12945 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12949 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 12953 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 12957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 12965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12969 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 12973 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12981 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 12985 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 12989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 12993 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 12997 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 13001 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 13005 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 13009 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 13013 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 13017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lateral");
}
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13025 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13029 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13033 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13041 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13045 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13049 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13053 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13057 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13065 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13069 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13073 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13077 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13093 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13097 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13101 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13105 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13109 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13113 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13117 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13121 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13125 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13141 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13145 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13158 "preproc.y"
    { connection = NULL; }
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13161 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				}
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13167 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13168 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13169 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13171 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13183 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13184 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13193 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13208 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13210 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13213 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13215 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13219 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13231 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)), (yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13247 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13251 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13261 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13262 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13266 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13286 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13287 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13290 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13291 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13292 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13295 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13296 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13299 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13300 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13303 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13304 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13308 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13310 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13312 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13314 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13318 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13325 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13332 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13348 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13382 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13391 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13395 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			}
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13399 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13411 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13413 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13415 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13417 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13421 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		}
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13434 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13442 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13503 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13513 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13514 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13517 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13519 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13520 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13524 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13525 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13526 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13527 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13534 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13536 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13543 "preproc.y"
    {}
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13545 "preproc.y"
    {}
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13547 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13548 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13551 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13552 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13553 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13554 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13558 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13562 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13568 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13578 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13588 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13592 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13602 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13606 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13611 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13612 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13616 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13617 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13618 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13621 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13622 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13623 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13624 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13627 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13628 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13632 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13640 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13657 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13665 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13688 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13794 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13828 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13830 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13832 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13836 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13839 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13846 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13889 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13891 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13897 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13906 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13912 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13919 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13924 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		}
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13929 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13930 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13933 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13934 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13935 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13936 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13937 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13938 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13940 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13948 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13955 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13958 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13959 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13960 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13961 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13962 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13964 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13972 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13979 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13980 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13981 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13989 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13991 "preproc.y"
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(";"), (yyvsp[(3) - (3)].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 14000 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 14087 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 14089 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 14095 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 14096 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 14097 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 14104 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 14112 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 14115 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 14118 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 14144 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 14155 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 14156 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 14160 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 14165 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 14172 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 14177 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 14184 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 14193 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 14199 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 14200 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 14203 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 14204 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 14205 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 14206 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 14207 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 14208 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 14209 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 14210 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 14211 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 14218 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 14225 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 14237 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 14243 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 14250 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 14257 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 14258 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 14271 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 14282 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 14293 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 14301 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 14306 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 14314 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 14320 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 14328 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 14333 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2569:

/* Line 1806 of yacc.c  */
#line 14341 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 14348 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2573:

/* Line 1806 of yacc.c  */
#line 14352 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 14360 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 14366 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 14375 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 14380 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 14390 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 14400 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14417 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14418 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14425 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14433 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14436 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14437 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14444 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14445 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14446 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14453 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14459 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14469 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14470 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14477 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14483 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14547 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14553 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2612:

/* Line 1806 of yacc.c  */
#line 14559 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2613:

/* Line 1806 of yacc.c  */
#line 14567 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14573 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14579 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14585 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14591 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14597 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2619:

/* Line 1806 of yacc.c  */
#line 14603 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2620:

/* Line 1806 of yacc.c  */
#line 14609 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2621:

/* Line 1806 of yacc.c  */
#line 14615 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14625 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14626 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14629 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14630 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14631 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14632 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14633 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14634 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14635 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14636 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14637 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14638 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14639 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14640 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14641 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14642 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14643 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14644 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14645 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14646 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14647 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14648 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); }
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14649 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14650 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14651 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14652 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14655 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14656 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14657 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14658 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2652:

/* Line 1806 of yacc.c  */
#line 14659 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2653:

/* Line 1806 of yacc.c  */
#line 14660 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2654:

/* Line 1806 of yacc.c  */
#line 14664 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14665 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14666 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14667 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14668 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14669 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14670 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14673 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14676 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14677 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14678 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14679 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14680 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14681 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14682 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14683 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2670:

/* Line 1806 of yacc.c  */
#line 14696 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2671:

/* Line 1806 of yacc.c  */
#line 14697 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14698 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14699 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14700 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14701 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2676:

/* Line 1806 of yacc.c  */
#line 14702 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2677:

/* Line 1806 of yacc.c  */
#line 14707 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2678:

/* Line 1806 of yacc.c  */
#line 14708 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14709 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2680:

/* Line 1806 of yacc.c  */
#line 14710 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2681:

/* Line 1806 of yacc.c  */
#line 14711 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2682:

/* Line 1806 of yacc.c  */
#line 14712 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14718 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14719 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14720 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14721 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2687:

/* Line 1806 of yacc.c  */
#line 14722 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2688:

/* Line 1806 of yacc.c  */
#line 14723 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2689:

/* Line 1806 of yacc.c  */
#line 14724 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14725 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2691:

/* Line 1806 of yacc.c  */
#line 14726 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2692:

/* Line 1806 of yacc.c  */
#line 14727 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2693:

/* Line 1806 of yacc.c  */
#line 14728 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2694:

/* Line 1806 of yacc.c  */
#line 14731 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2695:

/* Line 1806 of yacc.c  */
#line 14732 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2696:

/* Line 1806 of yacc.c  */
#line 14733 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2697:

/* Line 1806 of yacc.c  */
#line 14734 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2698:

/* Line 1806 of yacc.c  */
#line 14735 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2699:

/* Line 1806 of yacc.c  */
#line 14738 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2700:

/* Line 1806 of yacc.c  */
#line 14739 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2701:

/* Line 1806 of yacc.c  */
#line 14740 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2702:

/* Line 1806 of yacc.c  */
#line 14741 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2703:

/* Line 1806 of yacc.c  */
#line 14744 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2704:

/* Line 1806 of yacc.c  */
#line 14745 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2705:

/* Line 1806 of yacc.c  */
#line 14746 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2706:

/* Line 1806 of yacc.c  */
#line 14747 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2707:

/* Line 1806 of yacc.c  */
#line 14748 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2708:

/* Line 1806 of yacc.c  */
#line 14749 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2709:

/* Line 1806 of yacc.c  */
#line 14750 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2710:

/* Line 1806 of yacc.c  */
#line 14767 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2711:

/* Line 1806 of yacc.c  */
#line 14768 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2712:

/* Line 1806 of yacc.c  */
#line 14769 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2713:

/* Line 1806 of yacc.c  */
#line 14772 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2714:

/* Line 1806 of yacc.c  */
#line 14773 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2715:

/* Line 1806 of yacc.c  */
#line 14774 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2716:

/* Line 1806 of yacc.c  */
#line 14775 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2717:

/* Line 1806 of yacc.c  */
#line 14776 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2718:

/* Line 1806 of yacc.c  */
#line 14777 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2721:

/* Line 1806 of yacc.c  */
#line 14784 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2722:

/* Line 1806 of yacc.c  */
#line 14790 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2723:

/* Line 1806 of yacc.c  */
#line 14791 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2724:

/* Line 1806 of yacc.c  */
#line 14795 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2725:

/* Line 1806 of yacc.c  */
#line 14797 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2726:

/* Line 1806 of yacc.c  */
#line 14802 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2727:

/* Line 1806 of yacc.c  */
#line 14812 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2728:

/* Line 1806 of yacc.c  */
#line 14823 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2729:

/* Line 1806 of yacc.c  */
#line 14829 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2730:

/* Line 1806 of yacc.c  */
#line 14830 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2731:

/* Line 1806 of yacc.c  */
#line 14831 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2732:

/* Line 1806 of yacc.c  */
#line 14835 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2733:

/* Line 1806 of yacc.c  */
#line 14867 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2734:

/* Line 1806 of yacc.c  */
#line 14869 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2735:

/* Line 1806 of yacc.c  */
#line 14871 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2736:

/* Line 1806 of yacc.c  */
#line 14875 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2737:

/* Line 1806 of yacc.c  */
#line 14885 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2738:

/* Line 1806 of yacc.c  */
#line 14895 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2739:

/* Line 1806 of yacc.c  */
#line 14904 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2740:

/* Line 1806 of yacc.c  */
#line 14905 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2741:

/* Line 1806 of yacc.c  */
#line 14908 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2742:

/* Line 1806 of yacc.c  */
#line 14910 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2743:

/* Line 1806 of yacc.c  */
#line 14911 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2744:

/* Line 1806 of yacc.c  */
#line 14912 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2745:

/* Line 1806 of yacc.c  */
#line 14916 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2746:

/* Line 1806 of yacc.c  */
#line 14918 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2747:

/* Line 1806 of yacc.c  */
#line 14925 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2748:

/* Line 1806 of yacc.c  */
#line 14926 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2749:

/* Line 1806 of yacc.c  */
#line 14928 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2750:

/* Line 1806 of yacc.c  */
#line 14931 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2751:

/* Line 1806 of yacc.c  */
#line 14933 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2752:

/* Line 1806 of yacc.c  */
#line 14936 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2753:

/* Line 1806 of yacc.c  */
#line 14937 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2754:

/* Line 1806 of yacc.c  */
#line 14940 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2755:

/* Line 1806 of yacc.c  */
#line 14941 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2756:

/* Line 1806 of yacc.c  */
#line 14944 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2757:

/* Line 1806 of yacc.c  */
#line 14945 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2758:

/* Line 1806 of yacc.c  */
#line 14946 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2759:

/* Line 1806 of yacc.c  */
#line 14947 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2760:

/* Line 1806 of yacc.c  */
#line 14948 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2761:

/* Line 1806 of yacc.c  */
#line 14951 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2762:

/* Line 1806 of yacc.c  */
#line 14952 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2763:

/* Line 1806 of yacc.c  */
#line 14953 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2764:

/* Line 1806 of yacc.c  */
#line 14954 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2765:

/* Line 1806 of yacc.c  */
#line 14955 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2766:

/* Line 1806 of yacc.c  */
#line 14956 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2767:

/* Line 1806 of yacc.c  */
#line 14957 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2768:

/* Line 1806 of yacc.c  */
#line 14958 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2769:

/* Line 1806 of yacc.c  */
#line 14959 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2770:

/* Line 1806 of yacc.c  */
#line 14960 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2771:

/* Line 1806 of yacc.c  */
#line 14961 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2772:

/* Line 1806 of yacc.c  */
#line 14962 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2773:

/* Line 1806 of yacc.c  */
#line 14963 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2774:

/* Line 1806 of yacc.c  */
#line 14964 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2775:

/* Line 1806 of yacc.c  */
#line 14965 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2776:

/* Line 1806 of yacc.c  */
#line 14966 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2777:

/* Line 1806 of yacc.c  */
#line 14967 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2778:

/* Line 1806 of yacc.c  */
#line 14968 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2779:

/* Line 1806 of yacc.c  */
#line 14969 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2780:

/* Line 1806 of yacc.c  */
#line 14970 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2781:

/* Line 1806 of yacc.c  */
#line 14971 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2782:

/* Line 1806 of yacc.c  */
#line 14972 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2783:

/* Line 1806 of yacc.c  */
#line 14973 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2784:

/* Line 1806 of yacc.c  */
#line 14974 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2785:

/* Line 1806 of yacc.c  */
#line 14975 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2786:

/* Line 1806 of yacc.c  */
#line 14976 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2787:

/* Line 1806 of yacc.c  */
#line 14977 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2788:

/* Line 1806 of yacc.c  */
#line 14978 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2789:

/* Line 1806 of yacc.c  */
#line 14979 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2790:

/* Line 1806 of yacc.c  */
#line 14980 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2791:

/* Line 1806 of yacc.c  */
#line 14981 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2792:

/* Line 1806 of yacc.c  */
#line 14982 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2793:

/* Line 1806 of yacc.c  */
#line 14983 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2794:

/* Line 1806 of yacc.c  */
#line 14984 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2795:

/* Line 1806 of yacc.c  */
#line 14985 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2796:

/* Line 1806 of yacc.c  */
#line 14986 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2797:

/* Line 1806 of yacc.c  */
#line 14987 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2798:

/* Line 1806 of yacc.c  */
#line 14988 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2799:

/* Line 1806 of yacc.c  */
#line 14989 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2800:

/* Line 1806 of yacc.c  */
#line 14990 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2801:

/* Line 1806 of yacc.c  */
#line 14991 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2802:

/* Line 1806 of yacc.c  */
#line 14992 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2803:

/* Line 1806 of yacc.c  */
#line 14993 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2804:

/* Line 1806 of yacc.c  */
#line 14994 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2805:

/* Line 1806 of yacc.c  */
#line 14995 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2806:

/* Line 1806 of yacc.c  */
#line 14996 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2807:

/* Line 1806 of yacc.c  */
#line 14997 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2808:

/* Line 1806 of yacc.c  */
#line 14998 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2809:

/* Line 1806 of yacc.c  */
#line 14999 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2810:

/* Line 1806 of yacc.c  */
#line 15000 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2811:

/* Line 1806 of yacc.c  */
#line 15001 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2812:

/* Line 1806 of yacc.c  */
#line 15002 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2813:

/* Line 1806 of yacc.c  */
#line 15003 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2814:

/* Line 1806 of yacc.c  */
#line 15004 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2815:

/* Line 1806 of yacc.c  */
#line 15005 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2816:

/* Line 1806 of yacc.c  */
#line 15006 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2817:

/* Line 1806 of yacc.c  */
#line 15009 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2818:

/* Line 1806 of yacc.c  */
#line 15010 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2819:

/* Line 1806 of yacc.c  */
#line 15011 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2820:

/* Line 1806 of yacc.c  */
#line 15012 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2821:

/* Line 1806 of yacc.c  */
#line 15015 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2822:

/* Line 1806 of yacc.c  */
#line 15016 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2823:

/* Line 1806 of yacc.c  */
#line 15017 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2824:

/* Line 1806 of yacc.c  */
#line 15018 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2825:

/* Line 1806 of yacc.c  */
#line 15019 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2826:

/* Line 1806 of yacc.c  */
#line 15020 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2827:

/* Line 1806 of yacc.c  */
#line 15021 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2828:

/* Line 1806 of yacc.c  */
#line 15022 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2829:

/* Line 1806 of yacc.c  */
#line 15023 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2830:

/* Line 1806 of yacc.c  */
#line 15024 "preproc.y"
    { if (pg_strcasecmp((yyvsp[(1) - (4)].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[(1) - (4)].str), mm_strdup("("), (yyvsp[(3) - (4)].type).type_str, mm_strdup(")"));
						}
    break;

  case 2831:

/* Line 1806 of yacc.c  */
#line 15031 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2832:

/* Line 1806 of yacc.c  */
#line 15032 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2833:

/* Line 1806 of yacc.c  */
#line 15033 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2834:

/* Line 1806 of yacc.c  */
#line 15034 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2835:

/* Line 1806 of yacc.c  */
#line 15035 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2836:

/* Line 1806 of yacc.c  */
#line 15038 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2837:

/* Line 1806 of yacc.c  */
#line 15039 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2838:

/* Line 1806 of yacc.c  */
#line 15042 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2839:

/* Line 1806 of yacc.c  */
#line 15044 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2840:

/* Line 1806 of yacc.c  */
#line 15054 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2841:

/* Line 1806 of yacc.c  */
#line 15055 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 54364 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 15058 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

